// Code generated by ./internal/gen/main.go. DO NOT EDIT.

//go:generate go run ./internal/gen/main.go

package encoder

var testCasesSingle = []testCase{
	{ // 0
		mask: EncodeZero,
		in:   "＊2π%ｊ８｜aｗ␄k%\x15β\x00σ\\τ７␟'R\f␀τ；β7７␇",
		out:  "＊2π%ｊ８｜aｗ␄k%\x15β␀σ\\τ７␟'R\f‛␀τ；β7７␇",
	}, { // 1
		mask: EncodeSlash,
		in:   "␄␅VＪｇ：Ｋ|\x10+\x10／φ｀/π\n\bρRα\x03ζ？＜VLν␗ｑ",
		out:  "␄␅VＪｇ：Ｋ|\x10+\x10‛／φ｀／π\n\bρRα\x03ζ？＜VLν␗ｑ",
	}, { // 2
		mask: EncodeSingleQuote,
		in:   "γ␅＇Ｐｎ\fχ\nε␍[υ\r␉］ζM2ω␘＇$\nＡＮ␄^'\\\x7f",
		out:  "γ␅‛＇Ｐｎ\fχ\nε␍[υ\r␉］ζM2ω␘‛＇$\nＡＮ␄^＇\\\x7f",
	}, { // 3
		mask: EncodeBackQuote,
		in:   "\x17＼θWfｃＲ␟(［｀\vＶ６τη\x1d［'mυ>：#｜βw｛`ρ",
		out:  "\x17＼θWfｃＲ␟(［‛｀\vＶ６τη\x1d［'mυ>：#｜βw｛｀ρ",
	}, { // 4
		mask: EncodeLtGt,
		in:   "４＞>ｏ\n\x1bＰι,␅Pυ\x0e＜\n＂！９tπ＞<␎\b(ης：oε",
		out:  "４‛＞＞ｏ\n\x1bＰι,␅Pυ\x0e‛＜\n＂！９tπ‛＞＜␎\b(ης：oε",
	}, { // 5
		mask: EncodeSquareBracket,
		in:   "␛␡\fενm\x1bρ[M+τ\x19\\\x04νw＾］＃␚ｑ．ψＩ0Ｘ＃［]",
		out:  "␛␡\fενm\x1bρ［M+τ\x19\\\x04νw＾‛］＃␚ｑ．ψＩ0Ｘ＃‛［］",
	}, { // 6
		mask: EncodeSemicolon,
		in:   "Rφ#'\x06\x13ςY｜ψ＞ｌ%；ｙｓｏ$;;ς␆ξ␗␚\x1b[＼ι＼",
		out:  "Rφ#'\x06\x13ςY｜ψ＞ｌ%‛；ｙｓｏ$；；ς␆ξ␗␚\x1b[＼ι＼",
	}, { // 7
		mask: EncodeExclamation,
		in:   "\x17!;Ｘτ\x02？^εE！π\x01＆＃␇␐＆ψ＊ι～␀:~/\"θ␎R",
		out:  "\x17！;Ｘτ\x02？^εE‛！π\x01＆＃␇␐＆ψ＊ι～‛␀:~/\"θ␎R",
	}, { // 8
		mask: EncodeDollar,
		in:   "ωQ＝λ␕γ␗＄＂ε／#Ｒ$!$␚\x1e:Ｙ\x1e８\x7f$π␇ν\x19␁=",
		out:  "ωQ＝λ␕γ␗‛＄＂ε／#Ｒ＄!＄␚\x1e:Ｙ\x1e８\x7f＄π␇ν\x19␁=",
	}, { // 9
		mask: EncodeDoubleQuote,
		in:   "χ␙ρ\x13\x15Ｅ\t\x0fＣ␈\x15３sος␙７␔νk!π＂␆o␎\"MＷ\x05",
		out:  "χ␙ρ\x13\x15Ｅ\t\x0fＣ␈\x15３sος␙７␔νk!π‛＂␆o␎＂MＷ\x05",
	}, { // 10
		mask: EncodeColon,
		in:   "\x1f\x18%～:／\x18Ｑ＋δω␆R｜：OζＩs␇\x7f／\x17?␊μτC；φ",
		out:  "\x1f\x18%～：／\x18Ｑ＋δω␆R｜‛：OζＩs␇\x7f／\x17?␊μτC；φ",
	}, { // 11
		mask: EncodeQuestion,
		in:   "Q␝Ｊａｌ？Vz\v␏␁\x16\x10?␛χκ?[␑ι\n＜␝ν\x15#βλＵ",
		out:  "Q␝Ｊａｌ‛？Vz\v␏␁\x16\x10？␛χκ？[␑ι\n＜␝ν\x15#βλＵ",
	}, { // 12
		mask: EncodeAsterisk,
		in:   "W=\x05ｘξβ＄\x1bmａε␡*␝!＊␡␊f\\\"␑Yｈｚτ\x1fδτｋ",
		out:  "W=\x05ｘξβ＄\x1bmａε␡＊␝!‛＊␡␊f\\\"␑Yｈｚτ\x1fδτｋ",
	}, { // 13
		mask: EncodePipe,
		in:   "#\x18␍␊Ｘ\x18␍ｋp＊λ\f:\aθｔg]｜ｋρ;|υο␎Oξ␍｀",
		out:  "#\x18␍␊Ｘ\x18␍ｋp＊λ\f:\aθｔg]‛｜ｋρ;｜υο␎Oξ␍｀",
	}, { // 14
		mask: EncodeHash,
		in:   "*［␄％μ$φ#$＄ｉδ%|␝ο＼χ\x1fxI）\x11yＧ＃！ςt９",
		out:  "*［␄％μ$φ＃$＄ｉδ%|␝ο＼χ\x1fxI）\x11yＧ‛＃！ςt９",
	}, { // 15
		mask: EncodePercent,
		in:   "DδＭ｀ξ␍\x06ρ␓ζ：＄Ｔ\x04␒φ!\x01Ｏ$%d%/γＷＪ\r％:",
		out:  "DδＭ｀ξ␍\x06ρ␓ζ：＄Ｔ\x04␒φ!\x01Ｏ$％d％/γＷＪ\r‛％:",
	}, { // 16
		mask: EncodeBackSlash,
		in:   "\x1aｌ^.\\ｘP␇ββσ\x10*\x01␓＼α＞\x16＊\":'／␄λ／ｅχＶ",
		out:  "\x1aｌ^.＼ｘP␇ββσ\x10*\x01␓‛＼α＞\x16＊\":'／␄λ／ｅχＶ",
	}, { // 17
		mask: EncodeCrLf,
		in:   "Fｇ！［␂π|\x0eY\nμ$＊0␊ν\x01VχI３␍＞\x00␐？δ\r␊ω",
		out:  "Fｇ！［␂π|\x0eY␊μ$＊0‛␊ν\x01VχI３‛␍＞␀␐？δ␍‛␊ω",
	}, { // 18
		mask: EncodeDel,
		in:   "ο␡：πς␓\x14ｏ␏*P:␙\x18d␊λδZ<;＆／\x7f\x00６［\x03Ｖδ",
		out:  "ο‛␡：πς␓\x14ｏ␏*P:␙\x18d␊λδZ<;＆／␡␀６［\x03Ｖδ",
	}, { // 19
		mask: EncodeCtl,
		in:   "␊\n␅␚ρ␉␄␈\x1f\\\x1bζ\x19␏ｔ␘\aφ\f\x11\x05␃－␒␁␙␟␔ξ#␄ＸN␜\b\r\x14\x04␋\x10＜␑2!\x18\x1c\t␆\x06␞{␍␐␎5␝\x12ｃ\x1a\x03␗\x0e␛\b\x15\x1eX␛␐␌\x01\x1d\x17\x02\x1d8？\x13␖␂\x18\v␕＾␙\x0fα␕␇;μ␓\x16",
		out:  "‛␊␊‛␅‛␚ρ‛␉‛␄‛␈␟\\␛ζ␙‛␏ｔ‛␘␇φ␌␑␅‛␃－‛␒‛␁‛␙‛␟‛␔ξ#‛␄ＸN‛␜␈␍␔␄‛␋␐＜‛␑2!␘␜␉‛␆␆‛␞{‛␍‛␐‛␎5‛␝␒ｃ␚␃‛␗␎‛␛␈␕␞X‛␛‛␐‛␌␁␝␗␂␝8？␓‛␖‛␂␘␋‛␕＾‛␙␏α‛␕‛␇;μ‛␓␖",
	},
}

var testCasesSingleEdge = []testCase{
	{ // 0
		mask: EncodeLeftSpace,
		in:   " ",
		out:  "␠",
	}, { // 1
		mask: EncodeZero | EncodeLeftSpace,
		in:   "\fQα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５μ",
		out:  "\fQα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５μ",
	}, { // 2
		mask: EncodeZero | EncodeLeftSpace,
		in:   " ␠α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５μ",
		out:  "␠␠α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５μ",
	}, { // 3
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␠␠α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５μ",
		out:  "‛␠␠α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５μ",
	}, { // 4
		mask: EncodeZero | EncodeLeftSpace,
		in:   " Qα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊␠μ",
		out:  "␠Qα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊␠μ",
	}, { // 5
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␠Qα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊␠μ",
		out:  "‛␠Qα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊␠μ",
	}, { // 6
		mask: EncodeZero | EncodeLeftSpace,
		in:   " Qα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５␠",
		out:  "␠Qα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５␠",
	}, { // 7
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␠Qα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５␠",
		out:  "‛␠Qα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５␠",
	}, { // 8
		mask: EncodeZero | EncodeLeftSpace,
		in:   "\f α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５μ",
		out:  "\f α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５μ",
	}, { // 9
		mask: EncodeZero | EncodeLeftSpace,
		in:   "\f␠α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５μ",
		out:  "\f␠α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５μ",
	}, { // 10
		mask: EncodeZero | EncodeLeftSpace,
		in:   "\f α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊␠μ",
		out:  "\f α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊␠μ",
	}, { // 11
		mask: EncodeZero | EncodeLeftSpace,
		in:   "\f␠α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊␠μ",
		out:  "\f␠α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊␠μ",
	}, { // 12
		mask: EncodeZero | EncodeLeftSpace,
		in:   "\f α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５␠",
		out:  "\f α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５␠",
	}, { // 13
		mask: EncodeZero | EncodeLeftSpace,
		in:   "\f␠α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５␠",
		out:  "\f␠α␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５␠",
	}, { // 14
		mask: EncodeZero | EncodeLeftSpace,
		in:   "\fQα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊ μ",
		out:  "\fQα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊ μ",
	}, { // 15
		mask: EncodeZero | EncodeLeftSpace,
		in:   "\fQα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊␠μ",
		out:  "\fQα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊␠μ",
	}, { // 16
		mask: EncodeZero | EncodeLeftSpace,
		in:   "\fQα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊ ␠",
		out:  "\fQα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊ ␠",
	}, { // 17
		mask: EncodeZero | EncodeLeftSpace,
		in:   "\fQα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊␠␠",
		out:  "\fQα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊␠␠",
	}, { // 18
		mask: EncodeZero | EncodeLeftSpace,
		in:   "\fQα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５ ",
		out:  "\fQα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５ ",
	}, { // 19
		mask: EncodeZero | EncodeLeftSpace,
		in:   "\fQα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５␠",
		out:  "\fQα␃Ｊ\x04ψ␘Ｐζ ＇\x1a6θz｜$`?N：␜h>μ｀＊５␠",
	}, { // 20
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "[\"α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␖",
		out:  "[\"α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␖",
	}, { // 21
		mask: EncodeSlash | EncodeLeftSpace,
		in:   " ␠α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␖",
		out:  "␠␠α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␖",
	}, { // 22
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "␠␠α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␖",
		out:  "‛␠␠α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␖",
	}, { // 23
		mask: EncodeSlash | EncodeLeftSpace,
		in:   " \"α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ␠␖",
		out:  "␠\"α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ␠␖",
	}, { // 24
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "␠\"α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ␠␖",
		out:  "‛␠\"α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ␠␖",
	}, { // 25
		mask: EncodeSlash | EncodeLeftSpace,
		in:   " \"α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␠",
		out:  "␠\"α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␠",
	}, { // 26
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "␠\"α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␠",
		out:  "‛␠\"α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␠",
	}, { // 27
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "[ α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␖",
		out:  "[ α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␖",
	}, { // 28
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "[␠α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␖",
		out:  "[␠α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␖",
	}, { // 29
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "[ α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ␠␖",
		out:  "[ α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ␠␖",
	}, { // 30
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "[␠α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ␠␖",
		out:  "[␠α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ␠␖",
	}, { // 31
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "[ α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␠",
		out:  "[ α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␠",
	}, { // 32
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "[␠α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␠",
		out:  "[␠α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␠",
	}, { // 33
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "[\"α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ ␖",
		out:  "[\"α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ ␖",
	}, { // 34
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "[\"α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ␠␖",
		out:  "[\"α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ␠␖",
	}, { // 35
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "[\"α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ ␠",
		out:  "[\"α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ ␠",
	}, { // 36
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "[\"α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ␠␠",
		out:  "[\"α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ␠␠",
	}, { // 37
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "[\"α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[ ",
		out:  "[\"α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[ ",
	}, { // 38
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "[\"α/／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␠",
		out:  "[\"α／‛／ｓ］␎ｄ\x19 ９~ζＯ\n␍ντU*Ｔ\x0eπｍ<eλ[␠",
	}, { // 39
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "\x16␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%\x1cw",
		out:  "\x16␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%\x1cw",
	}, { // 40
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   " ␠３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%\x1cw",
		out:  "␠␠３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%\x1cw",
	}, { // 41
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "␠␠３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%\x1cw",
		out:  "‛␠␠３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%\x1cw",
	}, { // 42
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   " ␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%␠w",
		out:  "␠␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%␠w",
	}, { // 43
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "␠␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%␠w",
		out:  "‛␠␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%␠w",
	}, { // 44
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   " ␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%\x1c␠",
		out:  "␠␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%\x1c␠",
	}, { // 45
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "␠␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%\x1c␠",
		out:  "‛␠␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%\x1c␠",
	}, { // 46
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "\x16 ３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%\x1cw",
		out:  "\x16 ３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%\x1cw",
	}, { // 47
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "\x16␠３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%\x1cw",
		out:  "\x16␠３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%\x1cw",
	}, { // 48
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "\x16 ３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%␠w",
		out:  "\x16 ３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%␠w",
	}, { // 49
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "\x16␠３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%␠w",
		out:  "\x16␠３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%␠w",
	}, { // 50
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "\x16 ３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%\x1c␠",
		out:  "\x16 ３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%\x1c␠",
	}, { // 51
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "\x16␠３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%\x1c␠",
		out:  "\x16␠３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%\x1c␠",
	}, { // 52
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "\x16␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι% w",
		out:  "\x16␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι% w",
	}, { // 53
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "\x16␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%␠w",
		out:  "\x16␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%␠w",
	}, { // 54
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "\x16␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι% ␠",
		out:  "\x16␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι% ␠",
	}, { // 55
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "\x16␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%␠␠",
		out:  "\x16␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%␠␠",
	}, { // 56
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "\x16␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%\x1c ",
		out:  "\x16␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%\x1c ",
	}, { // 57
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "\x16␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα'␐6Ｋ]\x17odι%\x1c␠",
		out:  "\x16␎３ςδ＋３ζ␃ξ \x19␁［t］ｐα＇␐6Ｋ]\x17odι%\x1c␠",
	}, { // 58
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "１＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ\x0f",
		out:  "１＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ\x0f",
	}, { // 59
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   " ␠＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ\x0f",
		out:  "␠␠＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ\x0f",
	}, { // 60
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "␠␠＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ\x0f",
		out:  "‛␠␠＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ\x0f",
	}, { // 61
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   " ＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04␠\x0f",
		out:  "␠＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04␠\x0f",
	}, { // 62
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "␠＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04␠\x0f",
		out:  "‛␠＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04␠\x0f",
	}, { // 63
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   " ＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ␠",
		out:  "␠＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ␠",
	}, { // 64
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "␠＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ␠",
		out:  "‛␠＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ␠",
	}, { // 65
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "１ ＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ\x0f",
		out:  "１ ＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ\x0f",
	}, { // 66
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "１␠＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ\x0f",
		out:  "１␠＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ\x0f",
	}, { // 67
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "１ ＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04␠\x0f",
		out:  "１ ＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04␠\x0f",
	}, { // 68
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "１␠＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04␠\x0f",
		out:  "１␠＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04␠\x0f",
	}, { // 69
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "１ ＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ␠",
		out:  "１ ＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ␠",
	}, { // 70
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "１␠＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ␠",
		out:  "１␠＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ␠",
	}, { // 71
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "１＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04 \x0f",
		out:  "１＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04 \x0f",
	}, { // 72
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "１＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04␠\x0f",
		out:  "１＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04␠\x0f",
	}, { // 73
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "１＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04 ␠",
		out:  "１＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04 ␠",
	}, { // 74
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "１＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04␠␠",
		out:  "１＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04␠␠",
	}, { // 75
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "１＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ ",
		out:  "１＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ ",
	}, { // 76
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "１＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ␠",
		out:  "１＞＜\"ξ］\r\"&B ｑ␗␆σ；\t<␛b␑οF\x0eη）８\x04υ␠",
	}, { // 77
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＜～Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1fδ",
		out:  "‛＜～Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1fδ",
	}, { // 78
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   " ␠Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1fδ",
		out:  "␠␠Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1fδ",
	}, { // 79
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "␠␠Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1fδ",
		out:  "‛␠␠Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1fδ",
	}, { // 80
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   " ～Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'␠δ",
		out:  "␠～Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'␠δ",
	}, { // 81
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "␠～Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'␠δ",
		out:  "‛␠～Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'␠δ",
	}, { // 82
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   " ～Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1f␠",
		out:  "␠～Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1f␠",
	}, { // 83
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "␠～Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1f␠",
		out:  "‛␠～Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1f␠",
	}, { // 84
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＜ Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1fδ",
		out:  "‛＜ Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1fδ",
	}, { // 85
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＜␠Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1fδ",
		out:  "‛＜␠Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1fδ",
	}, { // 86
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＜ Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'␠δ",
		out:  "‛＜ Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'␠δ",
	}, { // 87
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＜␠Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'␠δ",
		out:  "‛＜␠Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'␠δ",
	}, { // 88
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＜ Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1f␠",
		out:  "‛＜ Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1f␠",
	}, { // 89
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＜␠Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1f␠",
		out:  "‛＜␠Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1f␠",
	}, { // 90
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＜～Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi' δ",
		out:  "‛＜～Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi' δ",
	}, { // 91
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＜～Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'␠δ",
		out:  "‛＜～Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'␠δ",
	}, { // 92
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＜～Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi' ␠",
		out:  "‛＜～Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi' ␠",
	}, { // 93
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＜～Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'␠␠",
		out:  "‛＜～Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'␠␠",
	}, { // 94
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＜～Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1f ",
		out:  "‛＜～Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1f ",
	}, { // 95
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＜～Ｘ｛＃＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1f␠",
		out:  "‛＜～Ｘ｛＃‛＞\x10\x19)\x1b ␏_␇κβＦχ␔]［νB（\x1aπi'\x1f␠",
	}, { // 96
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "`γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘ＢX",
		out:  "`γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘ＢX",
	}, { // 97
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   " ␠\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘ＢX",
		out:  "␠␠\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘ＢX",
	}, { // 98
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␠␠\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘ＢX",
		out:  "‛␠␠\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘ＢX",
	}, { // 99
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   " γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘␠X",
		out:  "␠γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘␠X",
	}, { // 100
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␠γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘␠X",
		out:  "‛␠γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘␠X",
	}, { // 101
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   " γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘Ｂ␠",
		out:  "␠γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘Ｂ␠",
	}, { // 102
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␠γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘Ｂ␠",
		out:  "‛␠γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘Ｂ␠",
	}, { // 103
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "` \v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘ＢX",
		out:  "` \v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘ＢX",
	}, { // 104
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "`␠\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘ＢX",
		out:  "`␠\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘ＢX",
	}, { // 105
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "` \v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘␠X",
		out:  "` \v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘␠X",
	}, { // 106
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "`␠\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘␠X",
		out:  "`␠\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘␠X",
	}, { // 107
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "` \v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘Ｂ␠",
		out:  "` \v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘Ｂ␠",
	}, { // 108
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "`␠\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘Ｂ␠",
		out:  "`␠\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘Ｂ␠",
	}, { // 109
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "`γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘ X",
		out:  "`γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘ X",
	}, { // 110
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "`γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘␠X",
		out:  "`γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘␠X",
	}, { // 111
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "`γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘ ␠",
		out:  "`γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘ ␠",
	}, { // 112
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "`γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘␠␠",
		out:  "`γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘␠␠",
	}, { // 113
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "`γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘Ｂ ",
		out:  "`γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘Ｂ ",
	}, { // 114
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "`γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟␀␘Ｂ␠",
		out:  "`γ\v\x12Ｉ\vζ)＊！ αζ\x1f=τ\x04F％Ｃς;<␈Ｈ␟‛␀␘Ｂ␠",
	}, { // 115
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "/%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［～φ",
		out:  "/%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［～φ",
	}, { // 116
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   " ␠j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［～φ",
		out:  "␠␠j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［～φ",
	}, { // 117
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "␠␠j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［～φ",
		out:  "‛␠␠j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［～φ",
	}, { // 118
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   " %j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［␠φ",
		out:  "␠%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［␠φ",
	}, { // 119
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "␠%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［␠φ",
		out:  "‛␠%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［␠φ",
	}, { // 120
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   " %j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［～␠",
		out:  "␠%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［～␠",
	}, { // 121
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "␠%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［～␠",
		out:  "‛␠%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［～␠",
	}, { // 122
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "/ j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［～φ",
		out:  "/ j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［～φ",
	}, { // 123
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "/␠j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［～φ",
		out:  "/␠j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［～φ",
	}, { // 124
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "/ j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［␠φ",
		out:  "/ j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［␠φ",
	}, { // 125
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "/␠j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［␠φ",
		out:  "/␠j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［␠φ",
	}, { // 126
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "/ j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［～␠",
		out:  "/ j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［～␠",
	}, { // 127
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "/␠j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［～␠",
		out:  "/␠j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［～␠",
	}, { // 128
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "/%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［ φ",
		out:  "/%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［ φ",
	}, { // 129
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "/%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［␠φ",
		out:  "/%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［␠φ",
	}, { // 130
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "/%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［ ␠",
		out:  "/%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［ ␠",
	}, { // 131
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "/%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［␠␠",
		out:  "/%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［␠␠",
	}, { // 132
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "/%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［～ ",
		out:  "/%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［～ ",
	}, { // 133
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "/%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10;＃:␀\rＨ2［～␠",
		out:  "/%j2ｒＢ｀␍'ｖ Dυ␁:οπφＬ\x10；＃:‛␀\rＨ2［～␠",
	}, { // 134
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "］␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌χ",
		out:  "］␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌χ",
	}, { // 135
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   " ␠，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌χ",
		out:  "␠␠，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌χ",
	}, { // 136
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "␠␠，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌χ",
		out:  "‛␠␠，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌χ",
	}, { // 137
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   " ␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␠χ",
		out:  "␠␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␠χ",
	}, { // 138
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "␠␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␠χ",
		out:  "‛␠␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␠χ",
	}, { // 139
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   " ␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌␠",
		out:  "␠␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌␠",
	}, { // 140
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "␠␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌␠",
		out:  "‛␠␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌␠",
	}, { // 141
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "］ ，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌χ",
		out:  "］ ，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌χ",
	}, { // 142
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "］␠，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌χ",
		out:  "］␠，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌χ",
	}, { // 143
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "］ ，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␠χ",
		out:  "］ ，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␠χ",
	}, { // 144
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "］␠，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␠χ",
		out:  "］␠，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␠χ",
	}, { // 145
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "］ ，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌␠",
		out:  "］ ，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌␠",
	}, { // 146
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "］␠，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌␠",
		out:  "］␠，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌␠",
	}, { // 147
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "］␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16 χ",
		out:  "］␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16 χ",
	}, { // 148
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "］␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␠χ",
		out:  "］␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␠χ",
	}, { // 149
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "］␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16 ␠",
		out:  "］␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16 ␠",
	}, { // 150
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "］␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␠␠",
		out:  "］␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␠␠",
	}, { // 151
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "］␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌ ",
		out:  "］␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌ ",
	}, { // 152
		mask: EncodeExclamation | EncodeLeftSpace,
		in:   "］␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌␠",
		out:  "］␟，χ％ι＄?]D 1εw\x14\x15Ｘη$␉>␟|ｕε；］\x16␌␠",
	}, { // 153
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "３~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρＦ",
		out:  "３~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρＦ",
	}, { // 154
		mask: EncodeDollar | EncodeLeftSpace,
		in:   " ␠?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρＦ",
		out:  "␠␠?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρＦ",
	}, { // 155
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "␠␠?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρＦ",
		out:  "‛␠␠?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρＦ",
	}, { // 156
		mask: EncodeDollar | EncodeLeftSpace,
		in:   " ~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜␠Ｆ",
		out:  "␠~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜␠Ｆ",
	}, { // 157
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "␠~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜␠Ｆ",
		out:  "‛␠~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜␠Ｆ",
	}, { // 158
		mask: EncodeDollar | EncodeLeftSpace,
		in:   " ~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρ␠",
		out:  "␠~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρ␠",
	}, { // 159
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "␠~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρ␠",
		out:  "‛␠~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρ␠",
	}, { // 160
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "３ ?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρＦ",
		out:  "３ ?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρＦ",
	}, { // 161
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "３␠?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρＦ",
		out:  "３␠?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρＦ",
	}, { // 162
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "３ ?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜␠Ｆ",
		out:  "３ ?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜␠Ｆ",
	}, { // 163
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "３␠?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜␠Ｆ",
		out:  "３␠?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜␠Ｆ",
	}, { // 164
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "３ ?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρ␠",
		out:  "３ ?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρ␠",
	}, { // 165
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "３␠?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρ␠",
		out:  "３␠?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρ␠",
	}, { // 166
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "３~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ Ｆ",
		out:  "３~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ Ｆ",
	}, { // 167
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "３~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜␠Ｆ",
		out:  "３~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜␠Ｆ",
	}, { // 168
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "３~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ ␠",
		out:  "３~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ ␠",
	}, { // 169
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "３~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜␠␠",
		out:  "３~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜␠␠",
	}, { // 170
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "３~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρ ",
		out:  "３~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρ ",
	}, { // 171
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "３~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρ␠",
		out:  "３~?ε␞\x14μO？ψ {ς＼８１\np<\"f␒\x1b␔Ｃ\x15␃｜ρ␠",
	}, { // 172
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "Ｊ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*`",
		out:  "Ｊ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*`",
	}, { // 173
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   " ␠:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*`",
		out:  "␠␠:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*`",
	}, { // 174
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "␠␠:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*`",
		out:  "‛␠␠:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*`",
	}, { // 175
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   " ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a␠`",
		out:  "␠␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a␠`",
	}, { // 176
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "␠␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a␠`",
		out:  "‛␠␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a␠`",
	}, { // 177
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   " ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*␠",
		out:  "␠␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*␠",
	}, { // 178
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "␠␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*␠",
		out:  "‛␠␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*␠",
	}, { // 179
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "Ｊ :o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*`",
		out:  "Ｊ :o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*`",
	}, { // 180
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "Ｊ␠:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*`",
		out:  "Ｊ␠:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*`",
	}, { // 181
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "Ｊ :o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a␠`",
		out:  "Ｊ :o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a␠`",
	}, { // 182
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "Ｊ␠:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a␠`",
		out:  "Ｊ␠:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a␠`",
	}, { // 183
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "Ｊ :o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*␠",
		out:  "Ｊ :o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*␠",
	}, { // 184
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "Ｊ␠:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*␠",
		out:  "Ｊ␠:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*␠",
	}, { // 185
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "Ｊ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a `",
		out:  "Ｊ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a `",
	}, { // 186
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "Ｊ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a␠`",
		out:  "Ｊ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a␠`",
	}, { // 187
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "Ｊ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a ␠",
		out:  "Ｊ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a ␠",
	}, { // 188
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "Ｊ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a␠␠",
		out:  "Ｊ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a␠␠",
	}, { // 189
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "Ｊ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a* ",
		out:  "Ｊ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a* ",
	}, { // 190
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "Ｊ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*␠",
		out:  "Ｊ␛:o\x02%␍Oε␈ τａ\uff00χＫ\x0f␛\x12｜>９ς]ξ␃Ｊ\a*␠",
	}, { // 191
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␖\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␒",
		out:  "␖\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␒",
	}, { // 192
		mask: EncodeColon | EncodeLeftSpace,
		in:   " ␠λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␒",
		out:  "␠␠λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␒",
	}, { // 193
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␠␠λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␒",
		out:  "‛␠␠λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␒",
	}, { // 194
		mask: EncodeColon | EncodeLeftSpace,
		in:   " \x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ ␠␒",
		out:  "␠\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ ␠␒",
	}, { // 195
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␠\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ ␠␒",
		out:  "‛␠\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ ␠␒",
	}, { // 196
		mask: EncodeColon | EncodeLeftSpace,
		in:   " \x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␠",
		out:  "␠\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␠",
	}, { // 197
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␠\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␠",
		out:  "‛␠\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␠",
	}, { // 198
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␖ λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␒",
		out:  "␖ λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␒",
	}, { // 199
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␖␠λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␒",
		out:  "␖␠λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␒",
	}, { // 200
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␖ λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ ␠␒",
		out:  "␖ λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ ␠␒",
	}, { // 201
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␖␠λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ ␠␒",
		out:  "␖␠λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ ␠␒",
	}, { // 202
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␖ λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␠",
		out:  "␖ λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␠",
	}, { // 203
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␖␠λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␠",
		out:  "␖␠λ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␠",
	}, { // 204
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␖\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊  ␒",
		out:  "␖\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊  ␒",
	}, { // 205
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␖\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ ␠␒",
		out:  "␖\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ ␠␒",
	}, { // 206
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␖\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊  ␠",
		out:  "␖\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊  ␠",
	}, { // 207
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␖\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ ␠␠",
		out:  "␖\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ ␠␠",
	}, { // 208
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␖\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S ",
		out:  "␖\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S ",
	}, { // 209
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␖\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␠",
		out:  "␖\x1fλ］␙νο\tμ1 2\x03\x1fｙ\x03ＸＰδ␅V%ν\x7fＷｑ＊ S␠",
	}, { // 210
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "＊νμ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔｖ＃",
		out:  "＊νμ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔｖ＃",
	}, { // 211
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   " ␠μ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔｖ＃",
		out:  "␠␠μ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔｖ＃",
	}, { // 212
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "␠␠μ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔｖ＃",
		out:  "‛␠␠μ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔｖ＃",
	}, { // 213
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   " νμ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔ␠＃",
		out:  "␠νμ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔ␠＃",
	}, { // 214
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "␠νμ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔ␠＃",
		out:  "‛␠νμ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔ␠＃",
	}, { // 215
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   " νμ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔｖ␠",
		out:  "␠νμ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔｖ␠",
	}, { // 216
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "␠νμ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔｖ␠",
		out:  "‛␠νμ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔｖ␠",
	}, { // 217
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "＊ μ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔｖ＃",
		out:  "＊ μ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔｖ＃",
	}, { // 218
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "＊␠μ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔｖ＃",
		out:  "＊␠μ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔｖ＃",
	}, { // 219
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "＊ μ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔ␠＃",
		out:  "＊ μ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔ␠＃",
	}, { // 220
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "＊␠μ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔ␠＃",
		out:  "＊␠μ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔ␠＃",
	}, { // 221
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "＊ μ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔｖ␠",
		out:  "＊ μ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔｖ␠",
	}, { // 222
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "＊␠μ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔｖ␠",
		out:  "＊␠μ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔｖ␠",
	}, { // 223
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "＊νμ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔ ＃",
		out:  "＊νμ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔ ＃",
	}, { // 224
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "＊νμ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔ␠＃",
		out:  "＊νμ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔ␠＃",
	}, { // 225
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "＊νμ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔ ␠",
		out:  "＊νμ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔ ␠",
	}, { // 226
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "＊νμ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔ␠␠",
		out:  "＊νμ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔ␠␠",
	}, { // 227
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "＊νμ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔｖ ",
		out:  "＊νμ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔｖ ",
	}, { // 228
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "＊νμ␜V\x18\aｊθψ θSψU８2j\x01?␂`Ｐ\x17%！␕ｔｖ␠",
		out:  "＊νμ␜V\x18\aｊθψ θSψU８2j\x01？␂`Ｐ\x17%！␕ｔｖ␠",
	}, { // 229
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "５＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00'Ｚ",
		out:  "５＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀'Ｚ",
	}, { // 230
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   " ␠＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00'Ｚ",
		out:  "␠␠＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀'Ｚ",
	}, { // 231
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "␠␠＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00'Ｚ",
		out:  "‛␠␠＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀'Ｚ",
	}, { // 232
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   " ＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00␠Ｚ",
		out:  "␠＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀␠Ｚ",
	}, { // 233
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "␠＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00␠Ｚ",
		out:  "‛␠＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀␠Ｚ",
	}, { // 234
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   " ＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00'␠",
		out:  "␠＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀'␠",
	}, { // 235
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "␠＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00'␠",
		out:  "‛␠＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀'␠",
	}, { // 236
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "５ ＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00'Ｚ",
		out:  "５ ＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀'Ｚ",
	}, { // 237
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "５␠＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00'Ｚ",
		out:  "５␠＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀'Ｚ",
	}, { // 238
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "５ ＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00␠Ｚ",
		out:  "５ ＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀␠Ｚ",
	}, { // 239
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "５␠＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00␠Ｚ",
		out:  "５␠＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀␠Ｚ",
	}, { // 240
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "５ ＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00'␠",
		out:  "５ ＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀'␠",
	}, { // 241
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "５␠＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00'␠",
		out:  "５␠＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀'␠",
	}, { // 242
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "５＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00 Ｚ",
		out:  "５＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀ Ｚ",
	}, { // 243
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "５＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00␠Ｚ",
		out:  "５＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀␠Ｚ",
	}, { // 244
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "５＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00 ␠",
		out:  "５＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀ ␠",
	}, { // 245
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "５＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00␠␠",
		out:  "５＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀␠␠",
	}, { // 246
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "５＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00' ",
		out:  "５＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀' ",
	}, { // 247
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "５＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r\x00'␠",
		out:  "５＂＾␅\x16␡ςＪM' ＇％AB␡；\x7fχπ７Dχ5!θ\r␀'␠",
	}, { // 248
		mask: EncodePipe | EncodeLeftSpace,
		in:   "Y！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␌σ",
		out:  "Y！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␌σ",
	}, { // 249
		mask: EncodePipe | EncodeLeftSpace,
		in:   " ␠\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␌σ",
		out:  "␠␠\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␌σ",
	}, { // 250
		mask: EncodePipe | EncodeLeftSpace,
		in:   "␠␠\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␌σ",
		out:  "‛␠␠\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␌σ",
	}, { // 251
		mask: EncodePipe | EncodeLeftSpace,
		in:   " ！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␠σ",
		out:  "␠！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␠σ",
	}, { // 252
		mask: EncodePipe | EncodeLeftSpace,
		in:   "␠！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␠σ",
		out:  "‛␠！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␠σ",
	}, { // 253
		mask: EncodePipe | EncodeLeftSpace,
		in:   " ！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␌␠",
		out:  "␠！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␌␠",
	}, { // 254
		mask: EncodePipe | EncodeLeftSpace,
		in:   "␠！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␌␠",
		out:  "‛␠！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␌␠",
	}, { // 255
		mask: EncodePipe | EncodeLeftSpace,
		in:   "Y \x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␌σ",
		out:  "Y \x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␌σ",
	}, { // 256
		mask: EncodePipe | EncodeLeftSpace,
		in:   "Y␠\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␌σ",
		out:  "Y␠\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␌σ",
	}, { // 257
		mask: EncodePipe | EncodeLeftSpace,
		in:   "Y \x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␠σ",
		out:  "Y \x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␠σ",
	}, { // 258
		mask: EncodePipe | EncodeLeftSpace,
		in:   "Y␠\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␠σ",
		out:  "Y␠\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␠σ",
	}, { // 259
		mask: EncodePipe | EncodeLeftSpace,
		in:   "Y \x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␌␠",
		out:  "Y \x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␌␠",
	}, { // 260
		mask: EncodePipe | EncodeLeftSpace,
		in:   "Y␠\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␌␠",
		out:  "Y␠\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␌␠",
	}, { // 261
		mask: EncodePipe | EncodeLeftSpace,
		in:   "Y！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞ σ",
		out:  "Y！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞ σ",
	}, { // 262
		mask: EncodePipe | EncodeLeftSpace,
		in:   "Y！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␠σ",
		out:  "Y！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␠σ",
	}, { // 263
		mask: EncodePipe | EncodeLeftSpace,
		in:   "Y！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞ ␠",
		out:  "Y！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞ ␠",
	}, { // 264
		mask: EncodePipe | EncodeLeftSpace,
		in:   "Y！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␠␠",
		out:  "Y！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␠␠",
	}, { // 265
		mask: EncodePipe | EncodeLeftSpace,
		in:   "Y！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␌ ",
		out:  "Y！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␌ ",
	}, { // 266
		mask: EncodePipe | EncodeLeftSpace,
		in:   "Y！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*｜Rφ｀ψ/␞␌␠",
		out:  "Y！\x06␟ｏ！\x12＝！I λ＇α＆g\x16\x1bJν*‛｜Rφ｀ψ/␞␌␠",
	}, { // 267
		mask: EncodeHash | EncodeLeftSpace,
		in:   "\v␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼ρ",
		out:  "\v␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼ρ",
	}, { // 268
		mask: EncodeHash | EncodeLeftSpace,
		in:   " ␠φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼ρ",
		out:  "␠␠φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼ρ",
	}, { // 269
		mask: EncodeHash | EncodeLeftSpace,
		in:   "␠␠φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼ρ",
		out:  "‛␠␠φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼ρ",
	}, { // 270
		mask: EncodeHash | EncodeLeftSpace,
		in:   " ␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r␠ρ",
		out:  "␠␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r␠ρ",
	}, { // 271
		mask: EncodeHash | EncodeLeftSpace,
		in:   "␠␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r␠ρ",
		out:  "‛␠␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r␠ρ",
	}, { // 272
		mask: EncodeHash | EncodeLeftSpace,
		in:   " ␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼␠",
		out:  "␠␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼␠",
	}, { // 273
		mask: EncodeHash | EncodeLeftSpace,
		in:   "␠␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼␠",
		out:  "‛␠␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼␠",
	}, { // 274
		mask: EncodeHash | EncodeLeftSpace,
		in:   "\v φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼ρ",
		out:  "\v φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼ρ",
	}, { // 275
		mask: EncodeHash | EncodeLeftSpace,
		in:   "\v␠φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼ρ",
		out:  "\v␠φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼ρ",
	}, { // 276
		mask: EncodeHash | EncodeLeftSpace,
		in:   "\v φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r␠ρ",
		out:  "\v φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r␠ρ",
	}, { // 277
		mask: EncodeHash | EncodeLeftSpace,
		in:   "\v␠φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r␠ρ",
		out:  "\v␠φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r␠ρ",
	}, { // 278
		mask: EncodeHash | EncodeLeftSpace,
		in:   "\v φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼␠",
		out:  "\v φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼␠",
	}, { // 279
		mask: EncodeHash | EncodeLeftSpace,
		in:   "\v␠φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼␠",
		out:  "\v␠φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼␠",
	}, { // 280
		mask: EncodeHash | EncodeLeftSpace,
		in:   "\v␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r ρ",
		out:  "\v␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r ρ",
	}, { // 281
		mask: EncodeHash | EncodeLeftSpace,
		in:   "\v␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r␠ρ",
		out:  "\v␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r␠ρ",
	}, { // 282
		mask: EncodeHash | EncodeLeftSpace,
		in:   "\v␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r ␠",
		out:  "\v␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r ␠",
	}, { // 283
		mask: EncodeHash | EncodeLeftSpace,
		in:   "\v␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r␠␠",
		out:  "\v␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r␠␠",
	}, { // 284
		mask: EncodeHash | EncodeLeftSpace,
		in:   "\v␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼ ",
		out:  "\v␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼ ",
	}, { // 285
		mask: EncodeHash | EncodeLeftSpace,
		in:   "\v␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼␠",
		out:  "\v␊φ\x11\x0e｝ζ0Ｎ7 \x10(＋ηυ／C\x1b?γS＂｝␆＂␈\r＼␠",
	}, { // 286
		mask: EncodePercent | EncodeLeftSpace,
		in:   "φg␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅]>",
		out:  "φg␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅]>",
	}, { // 287
		mask: EncodePercent | EncodeLeftSpace,
		in:   " ␠␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅]>",
		out:  "␠␠␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅]>",
	}, { // 288
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␠␠␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅]>",
		out:  "‛␠␠␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅]>",
	}, { // 289
		mask: EncodePercent | EncodeLeftSpace,
		in:   " g␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅␠>",
		out:  "␠g␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅␠>",
	}, { // 290
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␠g␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅␠>",
		out:  "‛␠g␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅␠>",
	}, { // 291
		mask: EncodePercent | EncodeLeftSpace,
		in:   " g␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅]␠",
		out:  "␠g␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅]␠",
	}, { // 292
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␠g␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅]␠",
		out:  "‛␠g␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅]␠",
	}, { // 293
		mask: EncodePercent | EncodeLeftSpace,
		in:   "φ ␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅]>",
		out:  "φ ␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅]>",
	}, { // 294
		mask: EncodePercent | EncodeLeftSpace,
		in:   "φ␠␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅]>",
		out:  "φ␠␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅]>",
	}, { // 295
		mask: EncodePercent | EncodeLeftSpace,
		in:   "φ ␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅␠>",
		out:  "φ ␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅␠>",
	}, { // 296
		mask: EncodePercent | EncodeLeftSpace,
		in:   "φ␠␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅␠>",
		out:  "φ␠␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅␠>",
	}, { // 297
		mask: EncodePercent | EncodeLeftSpace,
		in:   "φ ␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅]␠",
		out:  "φ ␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅]␠",
	}, { // 298
		mask: EncodePercent | EncodeLeftSpace,
		in:   "φ␠␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅]␠",
		out:  "φ␠␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅]␠",
	}, { // 299
		mask: EncodePercent | EncodeLeftSpace,
		in:   "φg␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅ >",
		out:  "φg␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅ >",
	}, { // 300
		mask: EncodePercent | EncodeLeftSpace,
		in:   "φg␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅␠>",
		out:  "φg␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅␠>",
	}, { // 301
		mask: EncodePercent | EncodeLeftSpace,
		in:   "φg␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅ ␠",
		out:  "φg␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅ ␠",
	}, { // 302
		mask: EncodePercent | EncodeLeftSpace,
		in:   "φg␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅␠␠",
		out:  "φg␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅␠␠",
	}, { // 303
		mask: EncodePercent | EncodeLeftSpace,
		in:   "φg␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅] ",
		out:  "φg␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅] ",
	}, { // 304
		mask: EncodePercent | EncodeLeftSpace,
		in:   "φg␕＋{<␚sＪ5 γν␔θ␟\x00．φ\x12[αuｎｄC␞␅]␠",
		out:  "φg␕＋{<␚sＪ5 γν␔θ␟␀．φ\x12[αuｎｄC␞␅]␠",
	}, { // 305
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "．\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；ς",
		out:  "．\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；ς",
	}, { // 306
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   " ␠␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；ς",
		out:  "␠␠␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；ς",
	}, { // 307
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␠␠␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；ς",
		out:  "‛␠␠␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；ς",
	}, { // 308
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   " \x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N␠ς",
		out:  "␠\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N␠ς",
	}, { // 309
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␠\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N␠ς",
		out:  "‛␠\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N␠ς",
	}, { // 310
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   " \x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；␠",
		out:  "␠\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；␠",
	}, { // 311
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␠\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；␠",
		out:  "‛␠\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；␠",
	}, { // 312
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "． ␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；ς",
		out:  "． ␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；ς",
	}, { // 313
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "．␠␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；ς",
		out:  "．␠␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；ς",
	}, { // 314
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "． ␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N␠ς",
		out:  "． ␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N␠ς",
	}, { // 315
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "．␠␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N␠ς",
		out:  "．␠␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N␠ς",
	}, { // 316
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "． ␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；␠",
		out:  "． ␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；␠",
	}, { // 317
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "．␠␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；␠",
		out:  "．␠␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；␠",
	}, { // 318
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "．\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N ς",
		out:  "．\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N ς",
	}, { // 319
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "．\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N␠ς",
		out:  "．\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N␠ς",
	}, { // 320
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "．\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N ␠",
		out:  "．\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N ␠",
	}, { // 321
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "．\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N␠␠",
		out:  "．\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N␠␠",
	}, { // 322
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "．\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N； ",
		out:  "．\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N； ",
	}, { // 323
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "．\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；␠",
		out:  "．\x13␡ＭＵψ１J␆W ＂ςο\x18ｘ＊'<χｃυ?\x0e！50N；␠",
	}, { // 324
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ε]Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\rκｇ",
		out:  "ε]Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍κｇ",
	}, { // 325
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   " ␠Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\rκｇ",
		out:  "␠␠Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍κｇ",
	}, { // 326
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "␠␠Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\rκｇ",
		out:  "‛␠␠Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍κｇ",
	}, { // 327
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   " ]Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\r␠ｇ",
		out:  "␠]Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍␠ｇ",
	}, { // 328
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "␠]Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\r␠ｇ",
		out:  "‛␠]Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍␠ｇ",
	}, { // 329
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   " ]Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\rκ␠",
		out:  "␠]Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍κ␠",
	}, { // 330
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "␠]Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\rκ␠",
		out:  "‛␠]Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍κ␠",
	}, { // 331
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ε Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\rκｇ",
		out:  "ε Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍κｇ",
	}, { // 332
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ε␠Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\rκｇ",
		out:  "ε␠Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍κｇ",
	}, { // 333
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ε Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\r␠ｇ",
		out:  "ε Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍␠ｇ",
	}, { // 334
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ε␠Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\r␠ｇ",
		out:  "ε␠Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍␠ｇ",
	}, { // 335
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ε Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\rκ␠",
		out:  "ε Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍κ␠",
	}, { // 336
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ε␠Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\rκ␠",
		out:  "ε␠Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍κ␠",
	}, { // 337
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ε]Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\r ｇ",
		out:  "ε]Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍ ｇ",
	}, { // 338
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ε]Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\r␠ｇ",
		out:  "ε]Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍␠ｇ",
	}, { // 339
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ε]Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\r ␠",
		out:  "ε]Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍ ␠",
	}, { // 340
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ε]Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\r␠␠",
		out:  "ε]Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍␠␠",
	}, { // 341
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ε]Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\rκ ",
		out:  "ε]Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍κ ",
	}, { // 342
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ε]Ｎ)␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３\n#␖\rκ␠",
		out:  "ε]Ｎ)‛␍Ｅτ␙=／ \\\x19＄\x15｜␙ωＥξ1s%３␊#␖␍κ␠",
	}, { // 343
		mask: EncodeDel | EncodeLeftSpace,
		in:   "\x14\bθ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐eη",
		out:  "\x14\bθ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐eη",
	}, { // 344
		mask: EncodeDel | EncodeLeftSpace,
		in:   " ␠θ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐eη",
		out:  "␠␠θ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐eη",
	}, { // 345
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␠␠θ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐eη",
		out:  "‛␠␠θ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐eη",
	}, { // 346
		mask: EncodeDel | EncodeLeftSpace,
		in:   " \bθ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐␠η",
		out:  "␠\bθ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐␠η",
	}, { // 347
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␠\bθ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐␠η",
		out:  "‛␠\bθ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐␠η",
	}, { // 348
		mask: EncodeDel | EncodeLeftSpace,
		in:   " \bθ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐e␠",
		out:  "␠\bθ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐e␠",
	}, { // 349
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␠\bθ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐e␠",
		out:  "‛␠\bθ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐e␠",
	}, { // 350
		mask: EncodeDel | EncodeLeftSpace,
		in:   "\x14 θ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐eη",
		out:  "\x14 θ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐eη",
	}, { // 351
		mask: EncodeDel | EncodeLeftSpace,
		in:   "\x14␠θ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐eη",
		out:  "\x14␠θ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐eη",
	}, { // 352
		mask: EncodeDel | EncodeLeftSpace,
		in:   "\x14 θ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐␠η",
		out:  "\x14 θ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐␠η",
	}, { // 353
		mask: EncodeDel | EncodeLeftSpace,
		in:   "\x14␠θ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐␠η",
		out:  "\x14␠θ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐␠η",
	}, { // 354
		mask: EncodeDel | EncodeLeftSpace,
		in:   "\x14 θ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐e␠",
		out:  "\x14 θ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐e␠",
	}, { // 355
		mask: EncodeDel | EncodeLeftSpace,
		in:   "\x14␠θ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐e␠",
		out:  "\x14␠θ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐e␠",
	}, { // 356
		mask: EncodeDel | EncodeLeftSpace,
		in:   "\x14\bθ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐ η",
		out:  "\x14\bθ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐ η",
	}, { // 357
		mask: EncodeDel | EncodeLeftSpace,
		in:   "\x14\bθ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐␠η",
		out:  "\x14\bθ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐␠η",
	}, { // 358
		mask: EncodeDel | EncodeLeftSpace,
		in:   "\x14\bθ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐ ␠",
		out:  "\x14\bθ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐ ␠",
	}, { // 359
		mask: EncodeDel | EncodeLeftSpace,
		in:   "\x14\bθ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐␠␠",
		out:  "\x14\bθ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐␠␠",
	}, { // 360
		mask: EncodeDel | EncodeLeftSpace,
		in:   "\x14\bθ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐e ",
		out:  "\x14\bθ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐e ",
	}, { // 361
		mask: EncodeDel | EncodeLeftSpace,
		in:   "\x14\bθ／^βδ␀a； H#＞\x00\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐e␠",
		out:  "\x14\bθ／^βδ‛␀a； H#＞␀\x12␐／Ｍγ\x05␛ς＄Ｕ&Ｎ␐e␠",
	}, { // 362
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␉B␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{ｉ]",
		out:  "‛␉B‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{ｉ]",
	}, { // 363
		mask: EncodeCtl | EncodeLeftSpace,
		in:   " ␠␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{ｉ]",
		out:  "␠␠‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{ｉ]",
	}, { // 364
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␠␠␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{ｉ]",
		out:  "‛␠␠‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{ｉ]",
	}, { // 365
		mask: EncodeCtl | EncodeLeftSpace,
		in:   " B␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{␠]",
		out:  "␠B‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{␠]",
	}, { // 366
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␠B␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{␠]",
		out:  "‛␠B‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{␠]",
	}, { // 367
		mask: EncodeCtl | EncodeLeftSpace,
		in:   " B␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{ｉ␠",
		out:  "␠B‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{ｉ␠",
	}, { // 368
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␠B␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{ｉ␠",
		out:  "‛␠B‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{ｉ␠",
	}, { // 369
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␉ ␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{ｉ]",
		out:  "‛␉ ‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{ｉ]",
	}, { // 370
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␉␠␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{ｉ]",
		out:  "‛␉␠‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{ｉ]",
	}, { // 371
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␉ ␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{␠]",
		out:  "‛␉ ‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{␠]",
	}, { // 372
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␉␠␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{␠]",
		out:  "‛␉␠‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{␠]",
	}, { // 373
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␉ ␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{ｉ␠",
		out:  "‛␉ ‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{ｉ␠",
	}, { // 374
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␉␠␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{ｉ␠",
		out:  "‛␉␠‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{ｉ␠",
	}, { // 375
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␉B␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{ ]",
		out:  "‛␉B‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{ ]",
	}, { // 376
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␉B␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{␠]",
		out:  "‛␉B‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{␠]",
	}, { // 377
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␉B␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{ ␠",
		out:  "‛␉B‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{ ␠",
	}, { // 378
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␉B␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{␠␠",
		out:  "‛␉B‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{␠␠",
	}, { // 379
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␉B␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{ｉ ",
		out:  "‛␉B‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{ｉ ",
	}, { // 380
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␉B␑ｓ5}φｕｂ␉ \x0f\rξ@\x17βhι/＞\x18＼␈＜Ｍυ{ｉ␠",
		out:  "‛␉B‛␑ｓ5}φｕｂ‛␉ ␏␍ξ@␗βhι/＞␘＼‛␈＜Ｍυ{ｉ␠",
	}, { // 381
		mask: EncodeLeftPeriod,
		in:   ".",
		out:  "．",
	}, { // 382
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "\x05dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ3",
		out:  "\x05dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ3",
	}, { // 383
		mask: EncodeZero | EncodeLeftPeriod,
		in:   ".．α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ3",
		out:  "．．α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ3",
	}, { // 384
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "．．α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ3",
		out:  "‛．．α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ3",
	}, { // 385
		mask: EncodeZero | EncodeLeftPeriod,
		in:   ".dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ．3",
		out:  "．dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ．3",
	}, { // 386
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "．dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ．3",
		out:  "‛．dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ．3",
	}, { // 387
		mask: EncodeZero | EncodeLeftPeriod,
		in:   ".dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ．",
		out:  "．dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ．",
	}, { // 388
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "．dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ．",
		out:  "‛．dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ．",
	}, { // 389
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "\x05.α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ3",
		out:  "\x05.α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ3",
	}, { // 390
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "\x05．α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ3",
		out:  "\x05．α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ3",
	}, { // 391
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "\x05.α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ．3",
		out:  "\x05.α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ．3",
	}, { // 392
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "\x05．α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ．3",
		out:  "\x05．α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ．3",
	}, { // 393
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "\x05.α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ．",
		out:  "\x05.α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ．",
	}, { // 394
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "\x05．α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ．",
		out:  "\x05．α␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ．",
	}, { // 395
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "\x05dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ.3",
		out:  "\x05dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ.3",
	}, { // 396
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "\x05dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ．3",
		out:  "\x05dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ．3",
	}, { // 397
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "\x05dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ.．",
		out:  "\x05dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ.．",
	}, { // 398
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "\x05dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ．．",
		out:  "\x05dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂ．．",
	}, { // 399
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "\x05dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ.",
		out:  "\x05dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ.",
	}, { // 400
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "\x05dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ．",
		out:  "\x05dα␕\\\x10νσ\t＼.E␊ｘｒρ␔ξ０30?6␑ｂ\x0e␎ｂξ．",
	}, { // 401
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "ε－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡ＢG",
		out:  "ε－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡ＢG",
	}, { // 402
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ".．π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡ＢG",
		out:  "．．π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡ＢG",
	}, { // 403
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "．．π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡ＢG",
		out:  "‛．．π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡ＢG",
	}, { // 404
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ".－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡．G",
		out:  "．－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡．G",
	}, { // 405
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "．－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡．G",
		out:  "‛．－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡．G",
	}, { // 406
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ".－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡Ｂ．",
		out:  "．－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡Ｂ．",
	}, { // 407
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "．－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡Ｂ．",
		out:  "‛．－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡Ｂ．",
	}, { // 408
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "ε.π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡ＢG",
		out:  "ε.π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡ＢG",
	}, { // 409
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "ε．π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡ＢG",
		out:  "ε．π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡ＢG",
	}, { // 410
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "ε.π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡．G",
		out:  "ε.π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡．G",
	}, { // 411
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "ε．π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡．G",
		out:  "ε．π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡．G",
	}, { // 412
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "ε.π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡Ｂ．",
		out:  "ε.π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡Ｂ．",
	}, { // 413
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "ε．π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡Ｂ．",
		out:  "ε．π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡Ｂ．",
	}, { // 414
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "ε－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡.G",
		out:  "ε－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡.G",
	}, { // 415
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "ε－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡．G",
		out:  "ε－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡．G",
	}, { // 416
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "ε－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡.．",
		out:  "ε－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡.．",
	}, { // 417
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "ε－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡．．",
		out:  "ε－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡．．",
	}, { // 418
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "ε－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡Ｂ.",
		out:  "ε－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡Ｂ.",
	}, { // 419
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "ε－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡Ｂ．",
		out:  "ε－π␍ιＮX,Eα.＼*｜ι\x14Ｇ␒␚;*θV％Ｋ+]␡Ｂ．",
	}, { // 420
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "\x0e:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs＄",
		out:  "\x0e:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs＄",
	}, { // 421
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   ".．ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs＄",
		out:  "．．ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs＄",
	}, { // 422
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "．．ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs＄",
		out:  "‛．．ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs＄",
	}, { // 423
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   ".:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς．＄",
		out:  "．:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς．＄",
	}, { // 424
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "．:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς．＄",
		out:  "‛．:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς．＄",
	}, { // 425
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   ".:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs．",
		out:  "．:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs．",
	}, { // 426
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "．:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs．",
		out:  "‛．:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs．",
	}, { // 427
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "\x0e.ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs＄",
		out:  "\x0e.ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs＄",
	}, { // 428
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "\x0e．ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs＄",
		out:  "\x0e．ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs＄",
	}, { // 429
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "\x0e.ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς．＄",
		out:  "\x0e.ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς．＄",
	}, { // 430
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "\x0e．ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς．＄",
		out:  "\x0e．ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς．＄",
	}, { // 431
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "\x0e.ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs．",
		out:  "\x0e.ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs．",
	}, { // 432
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "\x0e．ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs．",
		out:  "\x0e．ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs．",
	}, { // 433
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "\x0e:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς.＄",
		out:  "\x0e:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς.＄",
	}, { // 434
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "\x0e:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς．＄",
		out:  "\x0e:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς．＄",
	}, { // 435
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "\x0e:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς.．",
		out:  "\x0e:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς.．",
	}, { // 436
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "\x0e:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς．．",
		out:  "\x0e:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ς．．",
	}, { // 437
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "\x0e:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs.",
		out:  "\x0e:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs.",
	}, { // 438
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "\x0e:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs．",
		out:  "\x0e:ｚπ９７␖ξ＼U.e#l\rξ%\nι\x1b／／１κｆ＃␔ςs．",
	}, { // 439
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "／？#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0～：",
		out:  "／？#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0～：",
	}, { // 440
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   ".．#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0～：",
		out:  "．．#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0～：",
	}, { // 441
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "．．#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0～：",
		out:  "‛．．#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0～：",
	}, { // 442
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   ".？#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0．：",
		out:  "．？#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0．：",
	}, { // 443
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "．？#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0．：",
		out:  "‛．？#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0．：",
	}, { // 444
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   ".？#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0～．",
		out:  "．？#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0～．",
	}, { // 445
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "．？#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0～．",
		out:  "‛．？#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0～．",
	}, { // 446
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "／.#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0～：",
		out:  "／.#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0～：",
	}, { // 447
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "／．#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0～：",
		out:  "／．#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0～：",
	}, { // 448
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "／.#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0．：",
		out:  "／.#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0．：",
	}, { // 449
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "／．#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0．：",
		out:  "／．#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0．：",
	}, { // 450
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "／.#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0～．",
		out:  "／.#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0～．",
	}, { // 451
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "／．#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0～．",
		out:  "／．#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0～．",
	}, { // 452
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "／？#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0.：",
		out:  "／？#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0.：",
	}, { // 453
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "／？#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0．：",
		out:  "／？#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0．：",
	}, { // 454
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "／？#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0.．",
		out:  "／？#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0.．",
	}, { // 455
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "／？#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0．．",
		out:  "／？#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0．．",
	}, { // 456
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "／？#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0～.",
		out:  "／？#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0～.",
	}, { // 457
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "／？#␅ ;␞␖\rO.lητ`ｄｌ\x01]］ιψ＊\x12γ(ρ0～．",
		out:  "／？#␅ ;␞␖\rO.lητ｀ｄｌ\x01]］ιψ＊\x12γ(ρ0～．",
	}, { // 458
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "Ｕ(!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃σ'",
		out:  "Ｕ(!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃σ'",
	}, { // 459
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   ".．!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃σ'",
		out:  "．．!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃σ'",
	}, { // 460
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "．．!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃σ'",
		out:  "‛．．!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃σ'",
	}, { // 461
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   ".(!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃．'",
		out:  "．(!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃．'",
	}, { // 462
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "．(!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃．'",
		out:  "‛．(!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃．'",
	}, { // 463
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   ".(!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃σ．",
		out:  "．(!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃σ．",
	}, { // 464
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "．(!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃σ．",
		out:  "‛．(!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃σ．",
	}, { // 465
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "Ｕ.!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃σ'",
		out:  "Ｕ.!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃σ'",
	}, { // 466
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "Ｕ．!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃σ'",
		out:  "Ｕ．!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃σ'",
	}, { // 467
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "Ｕ.!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃．'",
		out:  "Ｕ.!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃．'",
	}, { // 468
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "Ｕ．!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃．'",
		out:  "Ｕ．!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃．'",
	}, { // 469
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "Ｕ.!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃σ．",
		out:  "Ｕ.!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃σ．",
	}, { // 470
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "Ｕ．!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃σ．",
		out:  "Ｕ．!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃σ．",
	}, { // 471
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "Ｕ(!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃.'",
		out:  "Ｕ(!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃.'",
	}, { // 472
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "Ｕ(!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃．'",
		out:  "Ｕ(!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃．'",
	}, { // 473
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "Ｕ(!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃.．",
		out:  "Ｕ(!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃.．",
	}, { // 474
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "Ｕ(!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃．．",
		out:  "Ｕ(!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃．．",
	}, { // 475
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "Ｕ(!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃σ.",
		out:  "Ｕ(!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃σ.",
	}, { // 476
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "Ｕ(!υ＇＃\x04sLρ.>'{ｘ\x05］␜␌Ｌτ＞\aυυ！｛＃σ．",
		out:  "Ｕ(!υ＇＃\x04sLρ.＞'{ｘ\x05］␜␌Ｌτ‛＞\aυυ！｛＃σ．",
	}, { // 477
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "V！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!｛",
		out:  "V！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!｛",
	}, { // 478
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   ".．\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!｛",
		out:  "．．\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!｛",
	}, { // 479
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "．．\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!｛",
		out:  "‛．．\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!｛",
	}, { // 480
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   ".！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊．｛",
		out:  "．！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊．｛",
	}, { // 481
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "．！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊．｛",
		out:  "‛．！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊．｛",
	}, { // 482
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   ".！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!．",
		out:  "．！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!．",
	}, { // 483
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "．！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!．",
		out:  "‛．！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!．",
	}, { // 484
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "V.\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!｛",
		out:  "V.\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!｛",
	}, { // 485
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "V．\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!｛",
		out:  "V．\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!｛",
	}, { // 486
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "V.\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊．｛",
		out:  "V.\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊．｛",
	}, { // 487
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "V．\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊．｛",
		out:  "V．\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊．｛",
	}, { // 488
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "V.\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!．",
		out:  "V.\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!．",
	}, { // 489
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "V．\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!．",
		out:  "V．\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!．",
	}, { // 490
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "V！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊.｛",
		out:  "V！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊.｛",
	}, { // 491
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "V！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊．｛",
		out:  "V！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊．｛",
	}, { // 492
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "V！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊.．",
		out:  "V！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊.．",
	}, { // 493
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "V！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊．．",
		out:  "V！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊．．",
	}, { // 494
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "V！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!.",
		out:  "V！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!.",
	}, { // 495
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "V！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!．",
		out:  "V！\x0f＄␃\x1fλβｆ1.I；;/o？Wψｍ\rςζｂ!２␕␊!．",
	}, { // 496
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "\x1f␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１\x02",
		out:  "\x1f␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１\x02",
	}, { // 497
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   ".．`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１\x02",
		out:  "．．`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１\x02",
	}, { // 498
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "．．`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１\x02",
		out:  "‛．．`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１\x02",
	}, { // 499
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   ".␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ．\x02",
		out:  "．␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ．\x02",
	}, { // 500
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "．␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ．\x02",
		out:  "‛．␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ．\x02",
	}, { // 501
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   ".␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１．",
		out:  "．␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１．",
	}, { // 502
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "．␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１．",
		out:  "‛．␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１．",
	}, { // 503
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "\x1f.`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１\x02",
		out:  "\x1f.`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１\x02",
	}, { // 504
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "\x1f．`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１\x02",
		out:  "\x1f．`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１\x02",
	}, { // 505
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "\x1f.`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ．\x02",
		out:  "\x1f.`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ．\x02",
	}, { // 506
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "\x1f．`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ．\x02",
		out:  "\x1f．`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ．\x02",
	}, { // 507
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "\x1f.`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１．",
		out:  "\x1f.`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１．",
	}, { // 508
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "\x1f．`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１．",
		out:  "\x1f．`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１．",
	}, { // 509
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "\x1f␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ.\x02",
		out:  "\x1f␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ.\x02",
	}, { // 510
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "\x1f␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ．\x02",
		out:  "\x1f␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ．\x02",
	}, { // 511
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "\x1f␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ.．",
		out:  "\x1f␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ.．",
	}, { // 512
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "\x1f␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ．．",
		out:  "\x1f␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ．．",
	}, { // 513
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "\x1f␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１.",
		out:  "\x1f␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１.",
	}, { // 514
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "\x1f␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１．",
		out:  "\x1f␔`４`ωＶζυ$.ν␛TｅAqw\x11␈θ\x17@ψｗ␙␗Ｓ１．",
	}, { // 515
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "␍)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`οφ",
		out:  "␍)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`οφ",
	}, { // 516
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   ".．\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`οφ",
		out:  "．．\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`οφ",
	}, { // 517
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "．．\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`οφ",
		out:  "‛．．\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`οφ",
	}, { // 518
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   ".)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`．φ",
		out:  "．)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`．φ",
	}, { // 519
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "．)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`．φ",
		out:  "‛．)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`．φ",
	}, { // 520
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   ".)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`ο．",
		out:  "．)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`ο．",
	}, { // 521
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "．)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`ο．",
		out:  "‛．)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`ο．",
	}, { // 522
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "␍.\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`οφ",
		out:  "␍.\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`οφ",
	}, { // 523
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "␍．\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`οφ",
		out:  "␍．\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`οφ",
	}, { // 524
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "␍.\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`．φ",
		out:  "␍.\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`．φ",
	}, { // 525
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "␍．\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`．φ",
		out:  "␍．\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`．φ",
	}, { // 526
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "␍.\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`ο．",
		out:  "␍.\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`ο．",
	}, { // 527
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "␍．\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`ο．",
		out:  "␍．\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`ο．",
	}, { // 528
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "␍)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`.φ",
		out:  "␍)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`.φ",
	}, { // 529
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "␍)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`．φ",
		out:  "␍)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`．φ",
	}, { // 530
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "␍)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`.．",
		out:  "␍)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`.．",
	}, { // 531
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "␍)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`．．",
		out:  "␍)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`．．",
	}, { // 532
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "␍)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`ο.",
		out:  "␍)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`ο.",
	}, { // 533
		mask: EncodeExclamation | EncodeLeftPeriod,
		in:   "␍)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`ο．",
		out:  "␍)\x1c＋␃ｌυ＄␙\r.δ／＇.*:\b␏δ？Ｗ␔$1τ?`ο．",
	}, { // 534
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x06)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄λ％",
		out:  "\x06)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄λ％",
	}, { // 535
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   ".．μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄λ％",
		out:  "．．μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄λ％",
	}, { // 536
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "．．μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄λ％",
		out:  "‛．．μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄λ％",
	}, { // 537
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   ".)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄．％",
		out:  "．)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄．％",
	}, { // 538
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "．)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄．％",
		out:  "‛．)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄．％",
	}, { // 539
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   ".)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄λ．",
		out:  "．)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄λ．",
	}, { // 540
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "．)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄λ．",
		out:  "‛．)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄λ．",
	}, { // 541
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x06.μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄λ％",
		out:  "\x06.μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄λ％",
	}, { // 542
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x06．μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄λ％",
		out:  "\x06．μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄λ％",
	}, { // 543
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x06.μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄．％",
		out:  "\x06.μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄．％",
	}, { // 544
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x06．μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄．％",
		out:  "\x06．μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄．％",
	}, { // 545
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x06.μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄λ．",
		out:  "\x06.μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄λ．",
	}, { // 546
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x06．μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄λ．",
		out:  "\x06．μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄λ．",
	}, { // 547
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x06)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄.％",
		out:  "\x06)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄.％",
	}, { // 548
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x06)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄．％",
		out:  "\x06)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄．％",
	}, { // 549
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x06)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄.．",
		out:  "\x06)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄.．",
	}, { // 550
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x06)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄．．",
		out:  "\x06)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄．．",
	}, { // 551
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x06)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄λ.",
		out:  "\x06)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄λ.",
	}, { // 552
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x06)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ＄λ．",
		out:  "\x06)μk{␊＊９␊Ａ.\x04π\x1e\x0e␖ｍ＜\x1aｓ\x04Hσ-＂@χ‛＄λ．",
	}, { // 553
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "\x1d\asG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οsη１",
		out:  "\x1d\asG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οsη１",
	}, { // 554
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   ".．sG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οsη１",
		out:  "．．sG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οsη１",
	}, { // 555
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "．．sG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οsη１",
		out:  "‛．．sG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οsη１",
	}, { // 556
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   ".\asG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οs．１",
		out:  "．\asG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οs．１",
	}, { // 557
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "．\asG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οs．１",
		out:  "‛．\asG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οs．１",
	}, { // 558
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   ".\asG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οsη．",
		out:  "．\asG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οsη．",
	}, { // 559
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "．\asG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οsη．",
		out:  "‛．\asG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οsη．",
	}, { // 560
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "\x1d.sG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οsη１",
		out:  "\x1d.sG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οsη１",
	}, { // 561
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "\x1d．sG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οsη１",
		out:  "\x1d．sG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οsη１",
	}, { // 562
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "\x1d.sG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οs．１",
		out:  "\x1d.sG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οs．１",
	}, { // 563
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "\x1d．sG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οs．１",
		out:  "\x1d．sG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οs．１",
	}, { // 564
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "\x1d.sG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οsη．",
		out:  "\x1d.sG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οsη．",
	}, { // 565
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "\x1d．sG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οsη．",
		out:  "\x1d．sG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οsη．",
	}, { // 566
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "\x1d\asG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οs.１",
		out:  "\x1d\asG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οs.１",
	}, { // 567
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "\x1d\asG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οs．１",
		out:  "\x1d\asG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οs．１",
	}, { // 568
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "\x1d\asG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οs.．",
		out:  "\x1d\asG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οs.．",
	}, { // 569
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "\x1d\asG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οs．．",
		out:  "\x1d\asG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οs．．",
	}, { // 570
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "\x1d\asG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οsη.",
		out:  "\x1d\asG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οsη.",
	}, { // 571
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "\x1d\asG#ο\v␋＄7.␡λ＂｀␌ν［５ω]＂\x00＂[～οsη．",
		out:  "\x1d\asG#ο\v␋＄7.␡λ‛＂｀␌ν［５ω]‛＂␀‛＂[～οsη．",
	}, { // 572
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "ςε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！\a␌",
		out:  "ςε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！\a␌",
	}, { // 573
		mask: EncodeColon | EncodeLeftPeriod,
		in:   ".．］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！\a␌",
		out:  "．．］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！\a␌",
	}, { // 574
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "．．］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！\a␌",
		out:  "‛．．］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！\a␌",
	}, { // 575
		mask: EncodeColon | EncodeLeftPeriod,
		in:   ".ε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！．␌",
		out:  "．ε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！．␌",
	}, { // 576
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "．ε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！．␌",
		out:  "‛．ε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！．␌",
	}, { // 577
		mask: EncodeColon | EncodeLeftPeriod,
		in:   ".ε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！\a．",
		out:  "．ε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！\a．",
	}, { // 578
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "．ε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！\a．",
		out:  "‛．ε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！\a．",
	}, { // 579
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "ς.］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！\a␌",
		out:  "ς.］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！\a␌",
	}, { // 580
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "ς．］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！\a␌",
		out:  "ς．］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！\a␌",
	}, { // 581
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "ς.］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！．␌",
		out:  "ς.］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！．␌",
	}, { // 582
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "ς．］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！．␌",
		out:  "ς．］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！．␌",
	}, { // 583
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "ς.］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！\a．",
		out:  "ς.］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！\a．",
	}, { // 584
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "ς．］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！\a．",
		out:  "ς．］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！\a．",
	}, { // 585
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "ςε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！.␌",
		out:  "ςε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！.␌",
	}, { // 586
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "ςε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！．␌",
		out:  "ςε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！．␌",
	}, { // 587
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "ςε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！.．",
		out:  "ςε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！.．",
	}, { // 588
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "ςε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！．．",
		out:  "ςε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！．．",
	}, { // 589
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "ςε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！\a.",
		out:  "ςε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！\a.",
	}, { // 590
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "ςε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι：\x01␟π｝！\a．",
		out:  "ςε］ｃV|␟5S␎.\rＣＬo␍\\π{\n\x1aι‛：\x01␟π｝！\a．",
	}, { // 591
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "␒:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２␛",
		out:  "␒:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２␛",
	}, { // 592
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   ".．W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２␛",
		out:  "．．W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２␛",
	}, { // 593
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "．．W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２␛",
		out:  "‛．．W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２␛",
	}, { // 594
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   ".:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔．␛",
		out:  "．:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔．␛",
	}, { // 595
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "．:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔．␛",
		out:  "‛．:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔．␛",
	}, { // 596
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   ".:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２．",
		out:  "．:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２．",
	}, { // 597
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "．:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２．",
		out:  "‛．:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２．",
	}, { // 598
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "␒.W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２␛",
		out:  "␒.W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２␛",
	}, { // 599
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "␒．W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２␛",
		out:  "␒．W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２␛",
	}, { // 600
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "␒.W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔．␛",
		out:  "␒.W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔．␛",
	}, { // 601
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "␒．W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔．␛",
		out:  "␒．W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔．␛",
	}, { // 602
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "␒.W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２．",
		out:  "␒.W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２．",
	}, { // 603
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "␒．W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２．",
		out:  "␒．W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２．",
	}, { // 604
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "␒:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔.␛",
		out:  "␒:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔.␛",
	}, { // 605
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "␒:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔．␛",
		out:  "␒:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔．␛",
	}, { // 606
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "␒:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔.．",
		out:  "␒:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔.．",
	}, { // 607
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "␒:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔．．",
		out:  "␒:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔．．",
	}, { // 608
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "␒:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２.",
		out:  "␒:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２.",
	}, { // 609
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "␒:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２．",
		out:  "␒:W%＆ξ（\x16␊ｒ.π\x06''Vξη^␆h＇D[τＰθ␔２．",
	}, { // 610
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "+υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!XρＷ",
		out:  "+υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!XρＷ",
	}, { // 611
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   ".．XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!XρＷ",
		out:  "．．XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!XρＷ",
	}, { // 612
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "．．XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!XρＷ",
		out:  "‛．．XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!XρＷ",
	}, { // 613
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   ".υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X．Ｗ",
		out:  "．υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X．Ｗ",
	}, { // 614
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "．υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X．Ｗ",
		out:  "‛．υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X．Ｗ",
	}, { // 615
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   ".υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!Xρ．",
		out:  "．υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!Xρ．",
	}, { // 616
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "．υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!Xρ．",
		out:  "‛．υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!Xρ．",
	}, { // 617
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "+.XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!XρＷ",
		out:  "+.XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!XρＷ",
	}, { // 618
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "+．XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!XρＷ",
		out:  "+．XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!XρＷ",
	}, { // 619
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "+.XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X．Ｗ",
		out:  "+.XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X．Ｗ",
	}, { // 620
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "+．XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X．Ｗ",
		out:  "+．XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X．Ｗ",
	}, { // 621
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "+.XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!Xρ．",
		out:  "+.XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!Xρ．",
	}, { // 622
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "+．XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!Xρ．",
		out:  "+．XＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!Xρ．",
	}, { // 623
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "+υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X.Ｗ",
		out:  "+υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X.Ｗ",
	}, { // 624
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "+υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X．Ｗ",
		out:  "+υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X．Ｗ",
	}, { // 625
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "+υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X.．",
		out:  "+υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X.．",
	}, { // 626
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "+υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X．．",
		out:  "+υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!X．．",
	}, { // 627
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "+υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!Xρ.",
		out:  "+υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!Xρ.",
	}, { // 628
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "+υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!Xρ．",
		out:  "+υXＡξ\x04\\［␑\x05.␟＆Ｗζυ;／c\x02:ｎ␈８␖x!Xρ．",
	}, { // 629
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "κ＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'\uff00!",
		out:  "κ＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'\uff00!",
	}, { // 630
		mask: EncodePipe | EncodeLeftPeriod,
		in:   ".．␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'\uff00!",
		out:  "．．␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'\uff00!",
	}, { // 631
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "．．␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'\uff00!",
		out:  "‛．．␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'\uff00!",
	}, { // 632
		mask: EncodePipe | EncodeLeftPeriod,
		in:   ".＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'．!",
		out:  "．＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'．!",
	}, { // 633
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "．＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'．!",
		out:  "‛．＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'．!",
	}, { // 634
		mask: EncodePipe | EncodeLeftPeriod,
		in:   ".＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'\uff00．",
		out:  "．＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'\uff00．",
	}, { // 635
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "．＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'\uff00．",
		out:  "‛．＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'\uff00．",
	}, { // 636
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "κ.␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'\uff00!",
		out:  "κ.␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'\uff00!",
	}, { // 637
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "κ．␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'\uff00!",
		out:  "κ．␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'\uff00!",
	}, { // 638
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "κ.␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'．!",
		out:  "κ.␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'．!",
	}, { // 639
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "κ．␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'．!",
		out:  "κ．␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'．!",
	}, { // 640
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "κ.␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'\uff00．",
		out:  "κ.␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'\uff00．",
	}, { // 641
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "κ．␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'\uff00．",
		out:  "κ．␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'\uff00．",
	}, { // 642
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "κ＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'.!",
		out:  "κ＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'.!",
	}, { // 643
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "κ＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'．!",
		out:  "κ＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'．!",
	}, { // 644
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "κ＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'.．",
		out:  "κ＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'.．",
	}, { // 645
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "κ＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'．．",
		out:  "κ＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'．．",
	}, { // 646
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "κ＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'\uff00.",
		out:  "κ＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'\uff00.",
	}, { // 647
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "κ＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"\x00％Ｊ\td'\uff00．",
		out:  "κ＂␄␖␁a␕：V［.ι！μχ/!ς＊\x06ω\"␀％Ｊ\td'\uff00．",
	}, { // 648
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "!3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e␑",
		out:  "!3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e␑",
	}, { // 649
		mask: EncodeHash | EncodeLeftPeriod,
		in:   ".．\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e␑",
		out:  "．．\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e␑",
	}, { // 650
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "．．\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e␑",
		out:  "‛．．\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e␑",
	}, { // 651
		mask: EncodeHash | EncodeLeftPeriod,
		in:   ".3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!．␑",
		out:  "．3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!．␑",
	}, { // 652
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "．3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!．␑",
		out:  "‛．3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!．␑",
	}, { // 653
		mask: EncodeHash | EncodeLeftPeriod,
		in:   ".3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e．",
		out:  "．3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e．",
	}, { // 654
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "．3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e．",
		out:  "‛．3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e．",
	}, { // 655
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "!.\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e␑",
		out:  "!.\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e␑",
	}, { // 656
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "!．\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e␑",
		out:  "!．\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e␑",
	}, { // 657
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "!.\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!．␑",
		out:  "!.\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!．␑",
	}, { // 658
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "!．\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!．␑",
		out:  "!．\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!．␑",
	}, { // 659
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "!.\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e．",
		out:  "!.\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e．",
	}, { // 660
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "!．\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e．",
		out:  "!．\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e．",
	}, { // 661
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "!3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!.␑",
		out:  "!3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!.␑",
	}, { // 662
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "!3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!．␑",
		out:  "!3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!．␑",
	}, { // 663
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "!3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!.．",
		out:  "!3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!.．",
	}, { // 664
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "!3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!．．",
		out:  "!3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!．．",
	}, { // 665
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "!3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e.",
		out:  "!3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e.",
	}, { // 666
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "!3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e．",
		out:  "!3\"j]Aｓσ␛␂.πＰｂξ@＜␐\x12θι＂Ｓ＊ο\x14H!\x1e．",
	}, { // 667
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "τＡτkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅］ｚ",
		out:  "τＡτkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅］ｚ",
	}, { // 668
		mask: EncodePercent | EncodeLeftPeriod,
		in:   ".．τkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅］ｚ",
		out:  "．．τkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅］ｚ",
	}, { // 669
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "．．τkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅］ｚ",
		out:  "‛．．τkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅］ｚ",
	}, { // 670
		mask: EncodePercent | EncodeLeftPeriod,
		in:   ".ＡτkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅．ｚ",
		out:  "．ＡτkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅．ｚ",
	}, { // 671
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "．ＡτkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅．ｚ",
		out:  "‛．ＡτkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅．ｚ",
	}, { // 672
		mask: EncodePercent | EncodeLeftPeriod,
		in:   ".ＡτkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅］．",
		out:  "．ＡτkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅］．",
	}, { // 673
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "．ＡτkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅］．",
		out:  "‛．ＡτkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅］．",
	}, { // 674
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "τ.τkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅］ｚ",
		out:  "τ.τkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅］ｚ",
	}, { // 675
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "τ．τkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅］ｚ",
		out:  "τ．τkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅］ｚ",
	}, { // 676
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "τ.τkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅．ｚ",
		out:  "τ.τkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅．ｚ",
	}, { // 677
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "τ．τkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅．ｚ",
		out:  "τ．τkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅．ｚ",
	}, { // 678
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "τ.τkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅］．",
		out:  "τ.τkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅］．",
	}, { // 679
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "τ．τkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅］．",
		out:  "τ．τkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅］．",
	}, { // 680
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "τＡτkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅.ｚ",
		out:  "τＡτkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅.ｚ",
	}, { // 681
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "τＡτkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅．ｚ",
		out:  "τＡτkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅．ｚ",
	}, { // 682
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "τＡτkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅.．",
		out:  "τＡτkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅.．",
	}, { // 683
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "τＡτkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅．．",
		out:  "τＡτkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅．．",
	}, { // 684
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "τＡτkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅］.",
		out:  "τＡτkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅］.",
	}, { // 685
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "τＡτkＢ|␀γ$␎.＿\x7fμψ␀U\nτｂ\n4␖2?d␇␅］．",
		out:  "τＡτkＢ|‛␀γ$␎.＿\x7fμψ‛␀U\nτｂ\n4␖2?d␇␅］．",
	}, { // 686
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "\\（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:|",
		out:  "＼（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:|",
	}, { // 687
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   ".．\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:|",
		out:  "．．\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:|",
	}, { // 688
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "．．\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:|",
		out:  "‛．．\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:|",
	}, { // 689
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   ".（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ．|",
		out:  "．（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ．|",
	}, { // 690
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "．（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ．|",
		out:  "‛．（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ．|",
	}, { // 691
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   ".（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:．",
		out:  "．（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:．",
	}, { // 692
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "．（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:．",
		out:  "‛．（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:．",
	}, { // 693
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "\\.\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:|",
		out:  "＼.\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:|",
	}, { // 694
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "\\．\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:|",
		out:  "＼．\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:|",
	}, { // 695
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "\\.\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ．|",
		out:  "＼.\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ．|",
	}, { // 696
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "\\．\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ．|",
		out:  "＼．\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ．|",
	}, { // 697
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "\\.\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:．",
		out:  "＼.\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:．",
	}, { // 698
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "\\．\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:．",
		out:  "＼．\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:．",
	}, { // 699
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "\\（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ.|",
		out:  "＼（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ.|",
	}, { // 700
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "\\（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ．|",
		out:  "＼（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ．|",
	}, { // 701
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "\\（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ.．",
		out:  "＼（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ.．",
	}, { // 702
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "\\（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ．．",
		out:  "＼（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ．．",
	}, { // 703
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "\\（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:.",
		out:  "＼（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:.",
	}, { // 704
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "\\（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:．",
		out:  "＼（\x02５␃I␜ｑ%N.\nZｐφ＜␃ζ\rχξτt'ｐ␊Ｃφ:．",
	}, { // 705
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "␎:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+\x0e",
		out:  "␎:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+\x0e",
	}, { // 706
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   ".．'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+\x0e",
		out:  "．．'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+\x0e",
	}, { // 707
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "．．'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+\x0e",
		out:  "‛．．'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+\x0e",
	}, { // 708
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   ".:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω．\x0e",
		out:  "．:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω．\x0e",
	}, { // 709
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "．:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω．\x0e",
		out:  "‛．:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω．\x0e",
	}, { // 710
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   ".:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+．",
		out:  "．:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+．",
	}, { // 711
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "．:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+．",
		out:  "‛．:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+．",
	}, { // 712
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "␎.'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+\x0e",
		out:  "␎.'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+\x0e",
	}, { // 713
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "␎．'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+\x0e",
		out:  "␎．'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+\x0e",
	}, { // 714
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "␎.'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω．\x0e",
		out:  "␎.'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω．\x0e",
	}, { // 715
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "␎．'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω．\x0e",
		out:  "␎．'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω．\x0e",
	}, { // 716
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "␎.'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+．",
		out:  "␎.'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+．",
	}, { // 717
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "␎．'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+．",
		out:  "␎．'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+．",
	}, { // 718
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "␎:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω.\x0e",
		out:  "␎:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω.\x0e",
	}, { // 719
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "␎:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω．\x0e",
		out:  "␎:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω．\x0e",
	}, { // 720
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "␎:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω.．",
		out:  "␎:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω.．",
	}, { // 721
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "␎:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω．．",
		out:  "␎:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω．．",
	}, { // 722
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "␎:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+.",
		out:  "␎:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+.",
	}, { // 723
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "␎:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+．",
		out:  "␎:'６\x03＆ξω\tｆ.θ␗6ρ\x1a␔＋\\ｕ％tIφ␏ｄKω+．",
	}, { // 724
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "␓ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿UG",
		out:  "␓ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿UG",
	}, { // 725
		mask: EncodeDel | EncodeLeftPeriod,
		in:   ".．Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿UG",
		out:  "．．Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿UG",
	}, { // 726
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "．．Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿UG",
		out:  "‛．．Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿UG",
	}, { // 727
		mask: EncodeDel | EncodeLeftPeriod,
		in:   ".ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿．G",
		out:  "．ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿．G",
	}, { // 728
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "．ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿．G",
		out:  "‛．ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿．G",
	}, { // 729
		mask: EncodeDel | EncodeLeftPeriod,
		in:   ".ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿U．",
		out:  "．ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿U．",
	}, { // 730
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "．ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿U．",
		out:  "‛．ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿U．",
	}, { // 731
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "␓.Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿UG",
		out:  "␓.Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿UG",
	}, { // 732
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "␓．Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿UG",
		out:  "␓．Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿UG",
	}, { // 733
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "␓.Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿．G",
		out:  "␓.Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿．G",
	}, { // 734
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "␓．Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿．G",
		out:  "␓．Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿．G",
	}, { // 735
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "␓.Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿U．",
		out:  "␓.Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿U．",
	}, { // 736
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "␓．Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿U．",
		out:  "␓．Ｗ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿U．",
	}, { // 737
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "␓ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿.G",
		out:  "␓ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿.G",
	}, { // 738
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "␓ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿．G",
		out:  "␓ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿．G",
	}, { // 739
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "␓ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿.．",
		out:  "␓ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿.．",
	}, { // 740
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "␓ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿．．",
		out:  "␓ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿．．",
	}, { // 741
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "␓ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿U.",
		out:  "␓ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿U.",
	}, { // 742
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "␓ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿U．",
		out:  "␓ＨＷ\tG\x1b＄\x1a＿B.␓ζφψω＜%\x01＄i＿＞'λ?ｇ＿U．",
	}, { // 743
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "U␔\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο\x15D",
		out:  "U‛␔\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο␕D",
	}, { // 744
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   ".．\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο\x15D",
		out:  "．．\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο␕D",
	}, { // 745
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "．．\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο\x15D",
		out:  "‛．．\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο␕D",
	}, { // 746
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   ".␔\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο．D",
		out:  "．‛␔\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο．D",
	}, { // 747
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "．␔\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο．D",
		out:  "‛．‛␔\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο．D",
	}, { // 748
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   ".␔\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο\x15．",
		out:  "．‛␔\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο␕．",
	}, { // 749
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "．␔\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο\x15．",
		out:  "‛．‛␔\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο␕．",
	}, { // 750
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "U.\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο\x15D",
		out:  "U.\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο␕D",
	}, { // 751
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "U．\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο\x15D",
		out:  "U．\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο␕D",
	}, { // 752
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "U.\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο．D",
		out:  "U.\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο．D",
	}, { // 753
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "U．\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο．D",
		out:  "U．\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο．D",
	}, { // 754
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "U.\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο\x15．",
		out:  "U.\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο␕．",
	}, { // 755
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "U．\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο\x15．",
		out:  "U．\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο␕．",
	}, { // 756
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "U␔\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο.D",
		out:  "U‛␔\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο.D",
	}, { // 757
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "U␔\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο．D",
		out:  "U‛␔\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο．D",
	}, { // 758
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "U␔\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο.．",
		out:  "U‛␔\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο.．",
	}, { // 759
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "U␔\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο．．",
		out:  "U‛␔\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο．．",
	}, { // 760
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "U␔\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο\x15.",
		out:  "U‛␔\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο␕.",
	}, { // 761
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "U␔\x7f＊φｗζ\x12\x12␝.Ｂ\x18Uυ␀｜0ψ＄\x06＄\"s］＜βο\x15．",
		out:  "U‛␔\x7f＊φｗζ␒␒‛␝.Ｂ␘Uυ‛␀｜0ψ＄␆＄\"s］＜βο␕．",
	}, { // 762
		mask: EncodeLeftTilde,
		in:   "~",
		out:  "～",
	}, { // 763
		mask: EncodeZero | EncodeLeftTilde,
		in:   "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇)",
		out:  "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇)",
	}, { // 764
		mask: EncodeZero | EncodeLeftTilde,
		in:   "~～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇)",
		out:  "～～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇)",
	}, { // 765
		mask: EncodeZero | EncodeLeftTilde,
		in:   "～～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇)",
		out:  "‛～～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇)",
	}, { // 766
		mask: EncodeZero | EncodeLeftTilde,
		in:   "~～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε～)",
		out:  "～～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε～)",
	}, { // 767
		mask: EncodeZero | EncodeLeftTilde,
		in:   "～～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε～)",
		out:  "‛～～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε～)",
	}, { // 768
		mask: EncodeZero | EncodeLeftTilde,
		in:   "~～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇～",
		out:  "～～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇～",
	}, { // 769
		mask: EncodeZero | EncodeLeftTilde,
		in:   "～～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇～",
		out:  "‛～～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇～",
	}, { // 770
		mask: EncodeZero | EncodeLeftTilde,
		in:   "η~｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇)",
		out:  "η~｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇)",
	}, { // 771
		mask: EncodeZero | EncodeLeftTilde,
		in:   "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇)",
		out:  "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇)",
	}, { // 772
		mask: EncodeZero | EncodeLeftTilde,
		in:   "η~｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε～)",
		out:  "η~｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε～)",
	}, { // 773
		mask: EncodeZero | EncodeLeftTilde,
		in:   "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε～)",
		out:  "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε～)",
	}, { // 774
		mask: EncodeZero | EncodeLeftTilde,
		in:   "η~｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇～",
		out:  "η~｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇～",
	}, { // 775
		mask: EncodeZero | EncodeLeftTilde,
		in:   "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇～",
		out:  "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇～",
	}, { // 776
		mask: EncodeZero | EncodeLeftTilde,
		in:   "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε~)",
		out:  "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε~)",
	}, { // 777
		mask: EncodeZero | EncodeLeftTilde,
		in:   "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε～)",
		out:  "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε～)",
	}, { // 778
		mask: EncodeZero | EncodeLeftTilde,
		in:   "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε~～",
		out:  "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε~～",
	}, { // 779
		mask: EncodeZero | EncodeLeftTilde,
		in:   "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε～～",
		out:  "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε～～",
	}, { // 780
		mask: EncodeZero | EncodeLeftTilde,
		in:   "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇~",
		out:  "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇~",
	}, { // 781
		mask: EncodeZero | EncodeLeftTilde,
		in:   "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇～",
		out:  "η～｜␑ｋ␐Ｚ＜ｐ＇~ζ{\x13|%Pψ\x15\x04］πξk\x18S｛ε＇～",
	}, { // 782
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "%ｓ␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？?",
		out:  "%ｓ‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？?",
	}, { // 783
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "~～␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？?",
		out:  "～～‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？?",
	}, { // 784
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "～～␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？?",
		out:  "‛～～‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？?",
	}, { // 785
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "~ｓ␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e～?",
		out:  "～ｓ‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e～?",
	}, { // 786
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "～ｓ␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e～?",
		out:  "‛～ｓ‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e～?",
	}, { // 787
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "~ｓ␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？～",
		out:  "～ｓ‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？～",
	}, { // 788
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "～ｓ␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？～",
		out:  "‛～ｓ‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？～",
	}, { // 789
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "%~␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？?",
		out:  "%~‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？?",
	}, { // 790
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "%～␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？?",
		out:  "%～‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？?",
	}, { // 791
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "%~␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e～?",
		out:  "%~‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e～?",
	}, { // 792
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "%～␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e～?",
		out:  "%～‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e～?",
	}, { // 793
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "%~␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？～",
		out:  "%~‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？～",
	}, { // 794
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "%～␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？～",
		out:  "%～‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？～",
	}, { // 795
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "%ｓ␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e~?",
		out:  "%ｓ‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e~?",
	}, { // 796
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "%ｓ␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e～?",
		out:  "%ｓ‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e～?",
	}, { // 797
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "%ｓ␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e~～",
		out:  "%ｓ‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e~～",
	}, { // 798
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "%ｓ␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e～～",
		out:  "%ｓ‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e～～",
	}, { // 799
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "%ｓ␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？~",
		out:  "%ｓ‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？~",
	}, { // 800
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "%ｓ␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？～",
		out:  "%ｓ‛␀\x0eψv＆ω＋#~␍ι＊Pe␊␚\x19\x1e＃Uρ＼υνＥ\x0e？～",
	}, { // 801
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "５␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ\r",
		out:  "５␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ\r",
	}, { // 802
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "~～%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ\r",
		out:  "～～%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ\r",
	}, { // 803
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "～～%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ\r",
		out:  "‛～～%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ\r",
	}, { // 804
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "~␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；～\r",
		out:  "～␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；～\r",
	}, { // 805
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "～␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；～\r",
		out:  "‛～␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；～\r",
	}, { // 806
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "~␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ～",
		out:  "～␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ～",
	}, { // 807
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "～␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ～",
		out:  "‛～␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ～",
	}, { // 808
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "５~%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ\r",
		out:  "５~%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ\r",
	}, { // 809
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "５～%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ\r",
		out:  "５～%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ\r",
	}, { // 810
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "５~%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；～\r",
		out:  "５~%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；～\r",
	}, { // 811
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "５～%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；～\r",
		out:  "５～%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；～\r",
	}, { // 812
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "５~%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ～",
		out:  "５~%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ～",
	}, { // 813
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "５～%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ～",
		out:  "５～%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ～",
	}, { // 814
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "５␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；~\r",
		out:  "５␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；~\r",
	}, { // 815
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "５␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；～\r",
		out:  "５␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；～\r",
	}, { // 816
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "５␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；~～",
		out:  "５␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；~～",
	}, { // 817
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "５␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；～～",
		out:  "５␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；～～",
	}, { // 818
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "５␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ~",
		out:  "５␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ~",
	}, { // 819
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "５␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ～",
		out:  "５␓%φφ％L＊\"\x1e~θv<τ１\\ηβ␋\x03ｄ␉x７␁\f；Ｋ～",
	}, { // 820
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ν\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16ε)",
		out:  "ν\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16ε)",
	}, { // 821
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "~～␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16ε)",
		out:  "～～␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16ε)",
	}, { // 822
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "～～␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16ε)",
		out:  "‛～～␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16ε)",
	}, { // 823
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "~\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16～)",
		out:  "～\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16～)",
	}, { // 824
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "～\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16～)",
		out:  "‛～\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16～)",
	}, { // 825
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "~\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16ε～",
		out:  "～\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16ε～",
	}, { // 826
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "～\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16ε～",
		out:  "‛～\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16ε～",
	}, { // 827
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ν~␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16ε)",
		out:  "ν~␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16ε)",
	}, { // 828
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ν～␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16ε)",
		out:  "ν～␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16ε)",
	}, { // 829
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ν~␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16～)",
		out:  "ν~␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16～)",
	}, { // 830
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ν～␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16～)",
		out:  "ν～␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16～)",
	}, { // 831
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ν~␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16ε～",
		out:  "ν~␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16ε～",
	}, { // 832
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ν～␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16ε～",
		out:  "ν～␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16ε～",
	}, { // 833
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ν\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16~)",
		out:  "ν\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16~)",
	}, { // 834
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ν\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16～)",
		out:  "ν\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16～)",
	}, { // 835
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ν\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16~～",
		out:  "ν\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16~～",
	}, { // 836
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ν\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16～～",
		out:  "ν\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16～～",
	}, { // 837
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ν\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16ε~",
		out:  "ν\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16ε~",
	}, { // 838
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ν\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄｀\x13\t-␍\x16ε～",
		out:  "ν\"␈6Ｕ<ｕξｈ｜~ｇｍπ\b␊οσ２3z␄‛｀\x13\t-␍\x16ε～",
	}, { // 839
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "Yε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？u",
		out:  "Yε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？u",
	}, { // 840
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "~～\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？u",
		out:  "～～\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？u",
	}, { // 841
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "～～\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？u",
		out:  "‛～～\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？u",
	}, { // 842
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "~ε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊～u",
		out:  "～ε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊～u",
	}, { // 843
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "～ε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊～u",
		out:  "‛～ε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊～u",
	}, { // 844
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "~ε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？～",
		out:  "～ε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？～",
	}, { // 845
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "～ε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？～",
		out:  "‛～ε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？～",
	}, { // 846
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "Y~\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？u",
		out:  "Y~\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？u",
	}, { // 847
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "Y～\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？u",
		out:  "Y～\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？u",
	}, { // 848
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "Y~\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊～u",
		out:  "Y~\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊～u",
	}, { // 849
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "Y～\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊～u",
		out:  "Y～\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊～u",
	}, { // 850
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "Y~\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？～",
		out:  "Y~\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？～",
	}, { // 851
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "Y～\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？～",
		out:  "Y～\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？～",
	}, { // 852
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "Yε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊~u",
		out:  "Yε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊~u",
	}, { // 853
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "Yε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊～u",
		out:  "Yε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊～u",
	}, { // 854
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "Yε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊~～",
		out:  "Yε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊~～",
	}, { // 855
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "Yε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊～～",
		out:  "Yε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊～～",
	}, { // 856
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "Yε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？~",
		out:  "Yε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？~",
	}, { // 857
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "Yε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？～",
		out:  "Yε\x10m\x1f＇vｓCφ~｜ｗｇδ\r7ξ:\n\\＊␉Ｌμｋｆ␊？～",
	}, { // 858
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   ">\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ＾␉",
		out:  ">\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ＾␉",
	}, { // 859
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "~～κ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ＾␉",
		out:  "～～κ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ＾␉",
	}, { // 860
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "～～κ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ＾␉",
		out:  "‛～～κ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ＾␉",
	}, { // 861
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "~\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ～␉",
		out:  "～\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ～␉",
	}, { // 862
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "～\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ～␉",
		out:  "‛～\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ～␉",
	}, { // 863
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "~\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ＾～",
		out:  "～\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ＾～",
	}, { // 864
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "～\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ＾～",
		out:  "‛～\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ＾～",
	}, { // 865
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   ">~κ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ＾␉",
		out:  ">~κ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ＾␉",
	}, { // 866
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   ">～κ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ＾␉",
		out:  ">～κ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ＾␉",
	}, { // 867
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   ">~κ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ～␉",
		out:  ">~κ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ～␉",
	}, { // 868
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   ">～κ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ～␉",
		out:  ">～κ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ～␉",
	}, { // 869
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   ">~κ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ＾～",
		out:  ">~κ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ＾～",
	}, { // 870
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   ">～κ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ＾～",
		out:  ">～κ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ＾～",
	}, { // 871
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   ">\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ~␉",
		out:  ">\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ~␉",
	}, { // 872
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   ">\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ～␉",
		out:  ">\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ～␉",
	}, { // 873
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   ">\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ~～",
		out:  ">\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ~～",
	}, { // 874
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   ">\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ～～",
		out:  ">\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ～～",
	}, { // 875
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   ">\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ＾~",
		out:  ">\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ＾~",
	}, { // 876
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   ">\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ[V/Ｎ␇ψ｜%\rμ＞μ＾～",
		out:  ">\x1cκ␐␜Eω\x03dλ~＜␎z\x1cＸ［V/Ｎ␇ψ｜%\rμ＞μ＾～",
	}, { // 877
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "␝␊ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ)",
		out:  "␝␊ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ)",
	}, { // 878
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "~～ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ)",
		out:  "～～ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ)",
	}, { // 879
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "～～ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ)",
		out:  "‛～～ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ)",
	}, { // 880
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "~␊ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5～)",
		out:  "～␊ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5～)",
	}, { // 881
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "～␊ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5～)",
		out:  "‛～␊ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5～)",
	}, { // 882
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "~␊ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ～",
		out:  "～␊ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ～",
	}, { // 883
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "～␊ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ～",
		out:  "‛～␊ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ～",
	}, { // 884
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "␝~ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ)",
		out:  "␝~ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ)",
	}, { // 885
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "␝～ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ)",
		out:  "␝～ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ)",
	}, { // 886
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "␝~ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5～)",
		out:  "␝~ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5～)",
	}, { // 887
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "␝～ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5～)",
		out:  "␝～ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5～)",
	}, { // 888
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "␝~ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ～",
		out:  "␝~ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ～",
	}, { // 889
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "␝～ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ～",
		out:  "␝～ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ～",
	}, { // 890
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "␝␊ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5~)",
		out:  "␝␊ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5~)",
	}, { // 891
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "␝␊ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5～)",
		out:  "␝␊ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5～)",
	}, { // 892
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "␝␊ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5~～",
		out:  "␝␊ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5~～",
	}, { // 893
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "␝␊ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5～～",
		out:  "␝␊ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5～～",
	}, { // 894
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "␝␊ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ~",
		out:  "␝␊ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ~",
	}, { // 895
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "␝␊ｍ<；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ～",
		out:  "␝␊ｍ<‛；\uff001δj␏~Ｊ$γzRρ：%６\x04:\a␡ιψ␏5χ～",
	}, { // 896
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "'＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗a",
		out:  "'＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗a",
	}, { // 897
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "~～ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗a",
		out:  "～～ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗a",
	}, { // 898
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "～～ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗a",
		out:  "‛～～ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗a",
	}, { // 899
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "~＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β～a",
		out:  "～＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β～a",
	}, { // 900
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "～＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β～a",
		out:  "‛～＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β～a",
	}, { // 901
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "~＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗～",
		out:  "～＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗～",
	}, { // 902
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "～＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗～",
		out:  "‛～＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗～",
	}, { // 903
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "'~ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗a",
		out:  "'~ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗a",
	}, { // 904
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "'～ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗a",
		out:  "'～ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗a",
	}, { // 905
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "'~ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β～a",
		out:  "'~ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β～a",
	}, { // 906
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "'～ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β～a",
		out:  "'～ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β～a",
	}, { // 907
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "'~ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗～",
		out:  "'~ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗～",
	}, { // 908
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "'～ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗～",
		out:  "'～ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗～",
	}, { // 909
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "'＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β~a",
		out:  "'＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β~a",
	}, { // 910
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "'＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β～a",
		out:  "'＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β～a",
	}, { // 911
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "'＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β~～",
		out:  "'＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β~～",
	}, { // 912
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "'＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β～～",
		out:  "'＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β～～",
	}, { // 913
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "'＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗~",
		out:  "'＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗~",
	}, { // 914
		mask: EncodeExclamation | EncodeLeftTilde,
		in:   "'＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗～",
		out:  "'＄ζ>υ＃W\r]σ~f␉+/）\x10␄η<［ｒ；ς＼\x18８β␗～",
	}, { // 915
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "σ＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ␇",
		out:  "σ＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ␇",
	}, { // 916
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "~～χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ␇",
		out:  "～～χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ␇",
	}, { // 917
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "～～χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ␇",
		out:  "‛～～χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ␇",
	}, { // 918
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "~＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e～␇",
		out:  "～＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e～␇",
	}, { // 919
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "～＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e～␇",
		out:  "‛～＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e～␇",
	}, { // 920
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "~＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ～",
		out:  "～＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ～",
	}, { // 921
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "～＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ～",
		out:  "‛～＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ～",
	}, { // 922
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "σ~χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ␇",
		out:  "σ~χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ␇",
	}, { // 923
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "σ～χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ␇",
		out:  "σ～χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ␇",
	}, { // 924
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "σ~χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e～␇",
		out:  "σ~χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e～␇",
	}, { // 925
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "σ～χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e～␇",
		out:  "σ～χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e～␇",
	}, { // 926
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "σ~χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ～",
		out:  "σ~χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ～",
	}, { // 927
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "σ～χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ～",
		out:  "σ～χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ～",
	}, { // 928
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "σ＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e~␇",
		out:  "σ＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e~␇",
	}, { // 929
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "σ＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e～␇",
		out:  "σ＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e～␇",
	}, { // 930
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "σ＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e~～",
		out:  "σ＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e~～",
	}, { // 931
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "σ＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e～～",
		out:  "σ＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0e～～",
	}, { // 932
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "σ＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ~",
		out:  "σ＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ~",
	}, { // 933
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "σ＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ～",
		out:  "σ＜χ*ω␒ｘ）{␂~\x03αUｈ|σｇ39␆y\x181\x01β␖\x0eｃ～",
	}, { // 934
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "|␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／+",
		out:  "|␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／+",
	}, { // 935
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "~～ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／+",
		out:  "～～ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／+",
	}, { // 936
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "～～ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／+",
		out:  "‛～～ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／+",
	}, { // 937
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "~␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟～+",
		out:  "～␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟～+",
	}, { // 938
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "～␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟～+",
		out:  "‛～␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟～+",
	}, { // 939
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "~␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／～",
		out:  "～␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／～",
	}, { // 940
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "～␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／～",
		out:  "‛～␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／～",
	}, { // 941
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "|~ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／+",
		out:  "|~ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／+",
	}, { // 942
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "|～ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／+",
		out:  "|～ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／+",
	}, { // 943
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "|~ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟～+",
		out:  "|~ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟～+",
	}, { // 944
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "|～ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟～+",
		out:  "|～ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟～+",
	}, { // 945
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "|~ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／～",
		out:  "|~ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／～",
	}, { // 946
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "|～ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／～",
		out:  "|～ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／～",
	}, { // 947
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "|␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟~+",
		out:  "|␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟~+",
	}, { // 948
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "|␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟～+",
		out:  "|␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟～+",
	}, { // 949
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "|␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟~～",
		out:  "|␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟~～",
	}, { // 950
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "|␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟～～",
		out:  "|␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟～～",
	}, { // 951
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "|␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／~",
		out:  "|␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／~",
	}, { // 952
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "|␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／～",
		out:  "|␒ｒＬφνu[:\x1c~ρｉPιd#␎｀ｐｂ␅σ\x19Mβ\x15␟／～",
	}, { // 953
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␜；:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc␉κ",
		out:  "␜；：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc␉κ",
	}, { // 954
		mask: EncodeColon | EncodeLeftTilde,
		in:   "~～:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc␉κ",
		out:  "～～：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc␉κ",
	}, { // 955
		mask: EncodeColon | EncodeLeftTilde,
		in:   "～～:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc␉κ",
		out:  "‛～～：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc␉κ",
	}, { // 956
		mask: EncodeColon | EncodeLeftTilde,
		in:   "~；:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc～κ",
		out:  "～；：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc～κ",
	}, { // 957
		mask: EncodeColon | EncodeLeftTilde,
		in:   "～；:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc～κ",
		out:  "‛～；：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc～κ",
	}, { // 958
		mask: EncodeColon | EncodeLeftTilde,
		in:   "~；:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc␉～",
		out:  "～；：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc␉～",
	}, { // 959
		mask: EncodeColon | EncodeLeftTilde,
		in:   "～；:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc␉～",
		out:  "‛～；：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc␉～",
	}, { // 960
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␜~:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc␉κ",
		out:  "␜~：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc␉κ",
	}, { // 961
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␜～:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc␉κ",
		out:  "␜～：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc␉κ",
	}, { // 962
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␜~:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc～κ",
		out:  "␜~：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc～κ",
	}, { // 963
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␜～:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc～κ",
		out:  "␜～：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc～κ",
	}, { // 964
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␜~:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc␉～",
		out:  "␜~：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc␉～",
	}, { // 965
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␜～:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc␉～",
		out:  "␜～：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc␉～",
	}, { // 966
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␜；:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc~κ",
		out:  "␜；：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc~κ",
	}, { // 967
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␜；:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc～κ",
		out:  "␜；：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc～κ",
	}, { // 968
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␜；:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc~～",
		out:  "␜；：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc~～",
	}, { // 969
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␜；:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc～～",
		out:  "␜；：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc～～",
	}, { // 970
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␜；:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc␉~",
		out:  "␜；：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc␉~",
	}, { // 971
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␜；:υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％\x00υ\x0f；Dc␉～",
		out:  "␜；：υφ\x11χζ{ｃ~␔-６＂\x04\bＳ]＠0％␀υ\x0f；Dc␉～",
	}, { // 972
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "␖F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε␚",
		out:  "␖F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε␚",
	}, { // 973
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "~～'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε␚",
		out:  "～～'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε␚",
	}, { // 974
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "～～'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε␚",
		out:  "‛～～'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε␚",
	}, { // 975
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "~F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς～␚",
		out:  "～F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς～␚",
	}, { // 976
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "～F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς～␚",
		out:  "‛～F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς～␚",
	}, { // 977
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "~F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε～",
		out:  "～F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε～",
	}, { // 978
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "～F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε～",
		out:  "‛～F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε～",
	}, { // 979
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "␖~'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε␚",
		out:  "␖~'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε␚",
	}, { // 980
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "␖～'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε␚",
		out:  "␖～'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε␚",
	}, { // 981
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "␖~'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς～␚",
		out:  "␖~'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς～␚",
	}, { // 982
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "␖～'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς～␚",
		out:  "␖～'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς～␚",
	}, { // 983
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "␖~'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε～",
		out:  "␖~'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε～",
	}, { // 984
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "␖～'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε～",
		out:  "␖～'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε～",
	}, { // 985
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "␖F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς~␚",
		out:  "␖F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς~␚",
	}, { // 986
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "␖F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς～␚",
		out:  "␖F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς～␚",
	}, { // 987
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "␖F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς~～",
		out:  "␖F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς~～",
	}, { // 988
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "␖F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς～～",
		out:  "␖F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ς～～",
	}, { // 989
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "␖F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε~",
		out:  "␖F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε~",
	}, { // 990
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "␖F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε～",
		out:  "␖F'／Ｐ/Kπ/ｎ~ｃδ␜`ε$＞，-\aλ\x05CW＾␄ςε～",
	}, { // 991
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "！␙W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／ｍ",
		out:  "！␙W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／ｍ",
	}, { // 992
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "~～W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／ｍ",
		out:  "～～W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／ｍ",
	}, { // 993
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "～～W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／ｍ",
		out:  "‛～～W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／ｍ",
	}, { // 994
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "~␙W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"～ｍ",
		out:  "～␙W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"～ｍ",
	}, { // 995
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "～␙W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"～ｍ",
		out:  "‛～␙W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"～ｍ",
	}, { // 996
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "~␙W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／～",
		out:  "～␙W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／～",
	}, { // 997
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "～␙W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／～",
		out:  "‛～␙W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／～",
	}, { // 998
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "！~W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／ｍ",
		out:  "！~W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／ｍ",
	}, { // 999
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "！～W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／ｍ",
		out:  "！～W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／ｍ",
	}, { // 1000
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "！~W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"～ｍ",
		out:  "！~W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"～ｍ",
	}, { // 1001
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "！～W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"～ｍ",
		out:  "！～W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"～ｍ",
	}, { // 1002
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "！~W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／～",
		out:  "！~W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／～",
	}, { // 1003
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "！～W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／～",
		out:  "！～W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／～",
	}, { // 1004
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "！␙W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"~ｍ",
		out:  "！␙W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"~ｍ",
	}, { // 1005
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "！␙W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"～ｍ",
		out:  "！␙W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"～ｍ",
	}, { // 1006
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "！␙W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"~～",
		out:  "！␙W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"~～",
	}, { // 1007
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "！␙W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"～～",
		out:  "！␙W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"～～",
	}, { // 1008
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "！␙W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／~",
		out:  "！␙W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／~",
	}, { // 1009
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "！␙W␈7φ`ｌεζ~␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／～",
		out:  "！␙W␈7φ`ｌεζ~‛␀（zａ`\x1bo|ｅＵν␄\r;rσ\"／～",
	}, { // 1010
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\x16Ｌρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02␛",
		out:  "\x16Ｌρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02␛",
	}, { // 1011
		mask: EncodePipe | EncodeLeftTilde,
		in:   "~～ρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02␛",
		out:  "～～ρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02␛",
	}, { // 1012
		mask: EncodePipe | EncodeLeftTilde,
		in:   "～～ρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02␛",
		out:  "‛～～ρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02␛",
	}, { // 1013
		mask: EncodePipe | EncodeLeftTilde,
		in:   "~Ｌρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊～␛",
		out:  "～Ｌρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊～␛",
	}, { // 1014
		mask: EncodePipe | EncodeLeftTilde,
		in:   "～Ｌρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊～␛",
		out:  "‛～Ｌρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊～␛",
	}, { // 1015
		mask: EncodePipe | EncodeLeftTilde,
		in:   "~Ｌρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02～",
		out:  "～Ｌρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02～",
	}, { // 1016
		mask: EncodePipe | EncodeLeftTilde,
		in:   "～Ｌρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02～",
		out:  "‛～Ｌρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02～",
	}, { // 1017
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\x16~ρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02␛",
		out:  "\x16~ρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02␛",
	}, { // 1018
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\x16～ρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02␛",
		out:  "\x16～ρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02␛",
	}, { // 1019
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\x16~ρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊～␛",
		out:  "\x16~ρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊～␛",
	}, { // 1020
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\x16～ρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊～␛",
		out:  "\x16～ρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊～␛",
	}, { // 1021
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\x16~ρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02～",
		out:  "\x16~ρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02～",
	}, { // 1022
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\x16～ρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02～",
		out:  "\x16～ρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02～",
	}, { // 1023
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\x16Ｌρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊~␛",
		out:  "\x16Ｌρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊~␛",
	}, { // 1024
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\x16Ｌρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊～␛",
		out:  "\x16Ｌρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊～␛",
	}, { // 1025
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\x16Ｌρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊~～",
		out:  "\x16Ｌρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊~～",
	}, { // 1026
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\x16Ｌρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊～～",
		out:  "\x16Ｌρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊～～",
	}, { // 1027
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\x16Ｌρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02~",
		out:  "\x16Ｌρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02~",
	}, { // 1028
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\x16Ｌρ\x1eρＴ␐%\x00␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02～",
		out:  "\x16Ｌρ\x1eρＴ␐%␀␓~QL␆\vM␘;\x16αθＹι．γ，a＊\x02～",
	}, { // 1029
		mask: EncodeHash | EncodeLeftTilde,
		in:   "]％␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２ρ\x00",
		out:  "]％␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２ρ␀",
	}, { // 1030
		mask: EncodeHash | EncodeLeftTilde,
		in:   "~～␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２ρ\x00",
		out:  "～～␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２ρ␀",
	}, { // 1031
		mask: EncodeHash | EncodeLeftTilde,
		in:   "～～␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２ρ\x00",
		out:  "‛～～␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２ρ␀",
	}, { // 1032
		mask: EncodeHash | EncodeLeftTilde,
		in:   "~％␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２～\x00",
		out:  "～％␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２～␀",
	}, { // 1033
		mask: EncodeHash | EncodeLeftTilde,
		in:   "～％␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２～\x00",
		out:  "‛～％␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２～␀",
	}, { // 1034
		mask: EncodeHash | EncodeLeftTilde,
		in:   "~％␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２ρ～",
		out:  "～％␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２ρ～",
	}, { // 1035
		mask: EncodeHash | EncodeLeftTilde,
		in:   "～％␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２ρ～",
		out:  "‛～％␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２ρ～",
	}, { // 1036
		mask: EncodeHash | EncodeLeftTilde,
		in:   "]~␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２ρ\x00",
		out:  "]~␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２ρ␀",
	}, { // 1037
		mask: EncodeHash | EncodeLeftTilde,
		in:   "]～␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２ρ\x00",
		out:  "]～␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２ρ␀",
	}, { // 1038
		mask: EncodeHash | EncodeLeftTilde,
		in:   "]~␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２～\x00",
		out:  "]~␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２～␀",
	}, { // 1039
		mask: EncodeHash | EncodeLeftTilde,
		in:   "]～␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２～\x00",
		out:  "]～␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２～␀",
	}, { // 1040
		mask: EncodeHash | EncodeLeftTilde,
		in:   "]~␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２ρ～",
		out:  "]~␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２ρ～",
	}, { // 1041
		mask: EncodeHash | EncodeLeftTilde,
		in:   "]～␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２ρ～",
		out:  "]～␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２ρ～",
	}, { // 1042
		mask: EncodeHash | EncodeLeftTilde,
		in:   "]％␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２~\x00",
		out:  "]％␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２~␀",
	}, { // 1043
		mask: EncodeHash | EncodeLeftTilde,
		in:   "]％␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２～\x00",
		out:  "]％␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２～␀",
	}, { // 1044
		mask: EncodeHash | EncodeLeftTilde,
		in:   "]％␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２~～",
		out:  "]％␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２~～",
	}, { // 1045
		mask: EncodeHash | EncodeLeftTilde,
		in:   "]％␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２～～",
		out:  "]％␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２～～",
	}, { // 1046
		mask: EncodeHash | EncodeLeftTilde,
		in:   "]％␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２ρ~",
		out:  "]％␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２ρ~",
	}, { // 1047
		mask: EncodeHash | EncodeLeftTilde,
		in:   "]％␛e*b＜U#␌~\x1b\x17δ；Ｉ␕␁_\x12\t＃σςＢξω２ρ～",
		out:  "]％␛e*b＜U＃␌~\x1b\x17δ；Ｉ␕␁_\x12\t‛＃σςＢξω２ρ～",
	}, { // 1048
		mask: EncodePercent | EncodeLeftTilde,
		in:   "Zν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y␓",
		out:  "Zν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y␓",
	}, { // 1049
		mask: EncodePercent | EncodeLeftTilde,
		in:   "~～\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y␓",
		out:  "～～\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y␓",
	}, { // 1050
		mask: EncodePercent | EncodeLeftTilde,
		in:   "～～\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y␓",
		out:  "‛～～\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y␓",
	}, { // 1051
		mask: EncodePercent | EncodeLeftTilde,
		in:   "~ν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:～␓",
		out:  "～ν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:～␓",
	}, { // 1052
		mask: EncodePercent | EncodeLeftTilde,
		in:   "～ν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:～␓",
		out:  "‛～ν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:～␓",
	}, { // 1053
		mask: EncodePercent | EncodeLeftTilde,
		in:   "~ν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y～",
		out:  "～ν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y～",
	}, { // 1054
		mask: EncodePercent | EncodeLeftTilde,
		in:   "～ν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y～",
		out:  "‛～ν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y～",
	}, { // 1055
		mask: EncodePercent | EncodeLeftTilde,
		in:   "Z~\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y␓",
		out:  "Z~\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y␓",
	}, { // 1056
		mask: EncodePercent | EncodeLeftTilde,
		in:   "Z～\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y␓",
		out:  "Z～\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y␓",
	}, { // 1057
		mask: EncodePercent | EncodeLeftTilde,
		in:   "Z~\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:～␓",
		out:  "Z~\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:～␓",
	}, { // 1058
		mask: EncodePercent | EncodeLeftTilde,
		in:   "Z～\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:～␓",
		out:  "Z～\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:～␓",
	}, { // 1059
		mask: EncodePercent | EncodeLeftTilde,
		in:   "Z~\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y～",
		out:  "Z~\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y～",
	}, { // 1060
		mask: EncodePercent | EncodeLeftTilde,
		in:   "Z～\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y～",
		out:  "Z～\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y～",
	}, { // 1061
		mask: EncodePercent | EncodeLeftTilde,
		in:   "Zν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:~␓",
		out:  "Zν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:~␓",
	}, { // 1062
		mask: EncodePercent | EncodeLeftTilde,
		in:   "Zν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:～␓",
		out:  "Zν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:～␓",
	}, { // 1063
		mask: EncodePercent | EncodeLeftTilde,
		in:   "Zν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:~～",
		out:  "Zν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:~～",
	}, { // 1064
		mask: EncodePercent | EncodeLeftTilde,
		in:   "Zν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:～～",
		out:  "Zν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:～～",
	}, { // 1065
		mask: EncodePercent | EncodeLeftTilde,
		in:   "Zν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y~",
		out:  "Zν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y~",
	}, { // 1066
		mask: EncodePercent | EncodeLeftTilde,
		in:   "Zν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y～",
		out:  "Zν\x05␂\"␂O!ρｊ~ε\x18ωνｒ\x1bn＿ψＥ3ｗ␞F␍ｓ:y～",
	}, { // 1067
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "η＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄＊",
		out:  "η＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄＊",
	}, { // 1068
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "~～(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄＊",
		out:  "～～(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄＊",
	}, { // 1069
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "～～(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄＊",
		out:  "‛～～(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄＊",
	}, { // 1070
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "~＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ～＊",
		out:  "～＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ～＊",
	}, { // 1071
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "～＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ～＊",
		out:  "‛～＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ～＊",
	}, { // 1072
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "~＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄～",
		out:  "～＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄～",
	}, { // 1073
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "～＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄～",
		out:  "‛～＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄～",
	}, { // 1074
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "η~(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄＊",
		out:  "η~(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄＊",
	}, { // 1075
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "η～(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄＊",
		out:  "η～(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄＊",
	}, { // 1076
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "η~(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ～＊",
		out:  "η~(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ～＊",
	}, { // 1077
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "η～(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ～＊",
		out:  "η～(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ～＊",
	}, { // 1078
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "η~(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄～",
		out:  "η~(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄～",
	}, { // 1079
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "η～(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄～",
		out:  "η～(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄～",
	}, { // 1080
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "η＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ~＊",
		out:  "η＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ~＊",
	}, { // 1081
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "η＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ～＊",
		out:  "η＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ～＊",
	}, { // 1082
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "η＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ~～",
		out:  "η＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ~～",
	}, { // 1083
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "η＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ～～",
		out:  "η＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ～～",
	}, { // 1084
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "η＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄~",
		out:  "η＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄~",
	}, { // 1085
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "η＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄～",
		out:  "η＋(?γz|ｔａv~λ␗\x19\x05␘␒\x11＄ω８＂'!ε*）ψ␄～",
	}, { // 1086
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "＃υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&u8",
		out:  "＃υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&u8",
	}, { // 1087
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "~～t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&u8",
		out:  "～～t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&u8",
	}, { // 1088
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "～～t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&u8",
		out:  "‛～～t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&u8",
	}, { // 1089
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "~υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&～8",
		out:  "～υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&～8",
	}, { // 1090
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "～υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&～8",
		out:  "‛～υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&～8",
	}, { // 1091
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "~υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&u～",
		out:  "～υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&u～",
	}, { // 1092
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "～υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&u～",
		out:  "‛～υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&u～",
	}, { // 1093
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "＃~t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&u8",
		out:  "＃~t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&u8",
	}, { // 1094
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "＃～t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&u8",
		out:  "＃～t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&u8",
	}, { // 1095
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "＃~t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&～8",
		out:  "＃~t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&～8",
	}, { // 1096
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "＃～t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&～8",
		out:  "＃～t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&～8",
	}, { // 1097
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "＃~t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&u～",
		out:  "＃~t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&u～",
	}, { // 1098
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "＃～t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&u～",
		out:  "＃～t␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&u～",
	}, { // 1099
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "＃υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&~8",
		out:  "＃υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&~8",
	}, { // 1100
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "＃υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&～8",
		out:  "＃υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&～8",
	}, { // 1101
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "＃υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&~～",
		out:  "＃υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&~～",
	}, { // 1102
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "＃υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&～～",
		out:  "＃υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&～～",
	}, { // 1103
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "＃υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&u~",
		out:  "＃υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&u~",
	}, { // 1104
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "＃υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓␀\x00\x1fHιψ\x06φ&u～",
		out:  "＃υt␑［␝\x0fｏ␇λ~Ｗφ，%]＞!␓‛␀␀\x1fHιψ\x06φ&u～",
	}, { // 1105
		mask: EncodeDel | EncodeLeftTilde,
		in:   "|νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n␍",
		out:  "|νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n␍",
	}, { // 1106
		mask: EncodeDel | EncodeLeftTilde,
		in:   "~～Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n␍",
		out:  "～～Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n␍",
	}, { // 1107
		mask: EncodeDel | EncodeLeftTilde,
		in:   "～～Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n␍",
		out:  "‛～～Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n␍",
	}, { // 1108
		mask: EncodeDel | EncodeLeftTilde,
		in:   "~νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f～␍",
		out:  "～νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f～␍",
	}, { // 1109
		mask: EncodeDel | EncodeLeftTilde,
		in:   "～νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f～␍",
		out:  "‛～νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f～␍",
	}, { // 1110
		mask: EncodeDel | EncodeLeftTilde,
		in:   "~νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n～",
		out:  "～νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n～",
	}, { // 1111
		mask: EncodeDel | EncodeLeftTilde,
		in:   "～νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n～",
		out:  "‛～νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n～",
	}, { // 1112
		mask: EncodeDel | EncodeLeftTilde,
		in:   "|~Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n␍",
		out:  "|~Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n␍",
	}, { // 1113
		mask: EncodeDel | EncodeLeftTilde,
		in:   "|～Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n␍",
		out:  "|～Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n␍",
	}, { // 1114
		mask: EncodeDel | EncodeLeftTilde,
		in:   "|~Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f～␍",
		out:  "|~Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f～␍",
	}, { // 1115
		mask: EncodeDel | EncodeLeftTilde,
		in:   "|～Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f～␍",
		out:  "|～Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f～␍",
	}, { // 1116
		mask: EncodeDel | EncodeLeftTilde,
		in:   "|~Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n～",
		out:  "|~Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n～",
	}, { // 1117
		mask: EncodeDel | EncodeLeftTilde,
		in:   "|～Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n～",
		out:  "|～Ｊ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n～",
	}, { // 1118
		mask: EncodeDel | EncodeLeftTilde,
		in:   "|νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f~␍",
		out:  "|νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f~␍",
	}, { // 1119
		mask: EncodeDel | EncodeLeftTilde,
		in:   "|νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f～␍",
		out:  "|νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f～␍",
	}, { // 1120
		mask: EncodeDel | EncodeLeftTilde,
		in:   "|νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f~～",
		out:  "|νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f~～",
	}, { // 1121
		mask: EncodeDel | EncodeLeftTilde,
		in:   "|νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f～～",
		out:  "|νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f～～",
	}, { // 1122
		mask: EncodeDel | EncodeLeftTilde,
		in:   "|νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n~",
		out:  "|νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n~",
	}, { // 1123
		mask: EncodeDel | EncodeLeftTilde,
		in:   "|νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n～",
		out:  "|νＪ＝?␑＞γ／σ~#σｗl\x1bfπl$ｎ２T␍␟＜B\x1f\n～",
	}, { // 1124
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "\x14Ｓ＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ<＼",
		out:  "␔Ｓ＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ<＼",
	}, { // 1125
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "~～＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ<＼",
		out:  "～～＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ<＼",
	}, { // 1126
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "～～＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ<＼",
		out:  "‛～～＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ<＼",
	}, { // 1127
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "~Ｓ＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ～＼",
		out:  "～Ｓ＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ～＼",
	}, { // 1128
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "～Ｓ＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ～＼",
		out:  "‛～Ｓ＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ～＼",
	}, { // 1129
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "~Ｓ＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ<～",
		out:  "～Ｓ＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ<～",
	}, { // 1130
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "～Ｓ＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ<～",
		out:  "‛～Ｓ＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ<～",
	}, { // 1131
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "\x14~＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ<＼",
		out:  "␔~＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ<＼",
	}, { // 1132
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "\x14～＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ<＼",
		out:  "␔～＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ<＼",
	}, { // 1133
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "\x14~＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ～＼",
		out:  "␔~＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ～＼",
	}, { // 1134
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "\x14～＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ～＼",
		out:  "␔～＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ～＼",
	}, { // 1135
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "\x14~＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ<～",
		out:  "␔~＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ<～",
	}, { // 1136
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "\x14～＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ<～",
		out:  "␔～＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ<～",
	}, { // 1137
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "\x14Ｓ＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ~＼",
		out:  "␔Ｓ＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ~＼",
	}, { // 1138
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "\x14Ｓ＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ～＼",
		out:  "␔Ｓ＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ～＼",
	}, { // 1139
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "\x14Ｓ＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ~～",
		out:  "␔Ｓ＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ~～",
	}, { // 1140
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "\x14Ｓ＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ～～",
		out:  "␔Ｓ＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ～～",
	}, { // 1141
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "\x14Ｓ＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ<~",
		out:  "␔Ｓ＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ<~",
	}, { // 1142
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "\x14Ｓ＊１Ｑ␍[_ζ|~τ\rδＵ␗␆jξ\x1cνYＨＶ>%␂ζ<～",
		out:  "␔Ｓ＊１Ｑ‛␍[_ζ|~τ␍δＵ‛␗‛␆jξ␜νYＨＶ>%‛␂ζ<～",
	}, { // 1143
		mask: EncodeLeftCrLfHtVt,
		in:   "\t",
		out:  "␉",
	}, { // 1144
		mask: EncodeLeftCrLfHtVt,
		in:   "\n",
		out:  "␊",
	}, { // 1145
		mask: EncodeLeftCrLfHtVt,
		in:   "\v",
		out:  "␋",
	}, { // 1146
		mask: EncodeLeftCrLfHtVt,
		in:   "\r",
		out:  "␍",
	}, { // 1147
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\"？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␅",
		out:  "\"？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␅",
	}, { // 1148
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\t␉␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␅",
		out:  "␉␉␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␅",
	}, { // 1149
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␉␉␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␅",
		out:  "‛␉␉␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␅",
	}, { // 1150
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\t？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ␉␅",
		out:  "␉？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ␉␅",
	}, { // 1151
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␉？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ␉␅",
		out:  "‛␉？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ␉␅",
	}, { // 1152
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\t？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␉",
		out:  "␉？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␉",
	}, { // 1153
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␉？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␉",
		out:  "‛␉？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␉",
	}, { // 1154
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\"\t␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␅",
		out:  "\"\t␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␅",
	}, { // 1155
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\"␉␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␅",
		out:  "\"␉␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␅",
	}, { // 1156
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\"\t␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ␉␅",
		out:  "\"\t␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ␉␅",
	}, { // 1157
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\"␉␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ␉␅",
		out:  "\"␉␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ␉␅",
	}, { // 1158
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\"\t␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␉",
		out:  "\"\t␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␉",
	}, { // 1159
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\"␉␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␉",
		out:  "\"␉␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␉",
	}, { // 1160
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\"？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ\t␅",
		out:  "\"？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ\t␅",
	}, { // 1161
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\"？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ␉␅",
		out:  "\"？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ␉␅",
	}, { // 1162
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\"？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ\t␉",
		out:  "\"？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ\t␉",
	}, { // 1163
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\"？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ␉␉",
		out:  "\"？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａ␉␉",
	}, { // 1164
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\"？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη\t",
		out:  "\"？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη\t",
	}, { // 1165
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\"？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␉",
		out:  "\"？␒>｜\x1fκUＲ\x15\t＞'λ\x1b：ＡｌRＩωοRC＇φ/Ａη␉",
	}, { // 1166
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π＂",
		out:  "\x17u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π＂",
	}, { // 1167
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\n␊%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π＂",
		out:  "␊␊%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π＂",
	}, { // 1168
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␊␊%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π＂",
		out:  "‛␊␊%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π＂",
	}, { // 1169
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\nu%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕␊＂",
		out:  "␊u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕␊＂",
	}, { // 1170
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␊u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕␊＂",
		out:  "‛␊u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕␊＂",
	}, { // 1171
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\nu%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π␊",
		out:  "␊u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π␊",
	}, { // 1172
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␊u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π␊",
		out:  "‛␊u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π␊",
	}, { // 1173
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17\n%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π＂",
		out:  "\x17\n%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π＂",
	}, { // 1174
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17␊%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π＂",
		out:  "\x17␊%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π＂",
	}, { // 1175
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17\n%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕␊＂",
		out:  "\x17\n%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕␊＂",
	}, { // 1176
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17␊%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕␊＂",
		out:  "\x17␊%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕␊＂",
	}, { // 1177
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17\n%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π␊",
		out:  "\x17\n%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π␊",
	}, { // 1178
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17␊%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π␊",
		out:  "\x17␊%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π␊",
	}, { // 1179
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕\n＂",
		out:  "\x17u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕\n＂",
	}, { // 1180
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕␊＂",
		out:  "\x17u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕␊＂",
	}, { // 1181
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕\n␊",
		out:  "\x17u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕\n␊",
	}, { // 1182
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕␊␊",
		out:  "\x17u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕␊␊",
	}, { // 1183
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π\n",
		out:  "\x17u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π\n",
	}, { // 1184
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π␊",
		out:  "\x17u%χＤς［ＨM：\n1kψν！\b\x15␍k＇;Ｉ｀\x12θo␕π␊",
	}, { // 1185
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   ";ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L；",
		out:  ";ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L；",
	}, { // 1186
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\v␋５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L；",
		out:  "␋␋５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L；",
	}, { // 1187
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␋␋５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L；",
		out:  "‛␋␋５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L；",
	}, { // 1188
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\vι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐␋；",
		out:  "␋ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐␋；",
	}, { // 1189
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␋ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐␋；",
		out:  "‛␋ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐␋；",
	}, { // 1190
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\vι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L␋",
		out:  "␋ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L␋",
	}, { // 1191
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␋ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L␋",
		out:  "‛␋ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L␋",
	}, { // 1192
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   ";\v５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L；",
		out:  ";\v５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L；",
	}, { // 1193
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   ";␋５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L；",
		out:  ";␋５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L；",
	}, { // 1194
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   ";\v５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐␋；",
		out:  ";\v５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐␋；",
	}, { // 1195
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   ";␋５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐␋；",
		out:  ";␋５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐␋；",
	}, { // 1196
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   ";\v５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L␋",
		out:  ";\v５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L␋",
	}, { // 1197
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   ";␋５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L␋",
		out:  ";␋５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L␋",
	}, { // 1198
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   ";ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐\v；",
		out:  ";ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐\v；",
	}, { // 1199
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   ";ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐␋；",
		out:  ";ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐␋；",
	}, { // 1200
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   ";ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐\v␋",
		out:  ";ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐\v␋",
	}, { // 1201
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   ";ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐␋␋",
		out:  ";ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐␋␋",
	}, { // 1202
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   ";ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L\v",
		out:  ";ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L\v",
	}, { // 1203
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   ";ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L␋",
		out:  ";ι５:ω␚␂!ξ\x13\v\x05\nυ３␔Ｇ３␊aε/Dｄ\x1dσH␐L␋",
	}, { // 1204
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "οδξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ|/",
		out:  "οδξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ|/",
	}, { // 1205
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\r␍ξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ|/",
		out:  "␍␍ξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ|/",
	}, { // 1206
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␍␍ξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ|/",
		out:  "‛␍␍ξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ|/",
	}, { // 1207
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\rδξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ␍/",
		out:  "␍δξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ␍/",
	}, { // 1208
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␍δξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ␍/",
		out:  "‛␍δξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ␍/",
	}, { // 1209
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\rδξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ|␍",
		out:  "␍δξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ|␍",
	}, { // 1210
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␍δξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ|␍",
		out:  "‛␍δξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ|␍",
	}, { // 1211
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ο\rξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ|/",
		out:  "ο\rξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ|/",
	}, { // 1212
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ο␍ξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ|/",
		out:  "ο␍ξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ|/",
	}, { // 1213
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ο\rξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ␍/",
		out:  "ο\rξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ␍/",
	}, { // 1214
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ο␍ξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ␍/",
		out:  "ο␍ξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ␍/",
	}, { // 1215
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ο\rξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ|␍",
		out:  "ο\rξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ|␍",
	}, { // 1216
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ο␍ξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ|␍",
		out:  "ο␍ξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ|␍",
	}, { // 1217
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "οδξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ\r/",
		out:  "οδξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ\r/",
	}, { // 1218
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "οδξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ␍/",
		out:  "οδξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ␍/",
	}, { // 1219
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "οδξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ\r␍",
		out:  "οδξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ\r␍",
	}, { // 1220
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "οδξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ␍␍",
		out:  "οδξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ␍␍",
	}, { // 1221
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "οδξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ|\r",
		out:  "οδξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ|\r",
	}, { // 1222
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "οδξ␜＇qςwψｑ\r␌␚\x00V␀ωｙ\f\x00＃Ｍ\v%Ｎ２Wｏ|␍",
		out:  "οδξ␜＇qςwψｑ\r␌␚␀V‛␀ωｙ\f␀＃Ｍ\v%Ｎ２Wｏ|␍",
	}, { // 1223
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "χQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊\x15",
		out:  "χQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊\x15",
	}, { // 1224
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\t␉␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊\x15",
		out:  "␉␉␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊\x15",
	}, { // 1225
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␉␉␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊\x15",
		out:  "‛␉␉␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊\x15",
	}, { // 1226
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\tQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀␉\x15",
		out:  "␉Q␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀␉\x15",
	}, { // 1227
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␉Q␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀␉\x15",
		out:  "‛␉Q␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀␉\x15",
	}, { // 1228
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\tQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊␉",
		out:  "␉Q␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊␉",
	}, { // 1229
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␉Q␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊␉",
		out:  "‛␉Q␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊␉",
	}, { // 1230
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "χ\t␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊\x15",
		out:  "χ\t␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊\x15",
	}, { // 1231
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "χ␉␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊\x15",
		out:  "χ␉␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊\x15",
	}, { // 1232
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "χ\t␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀␉\x15",
		out:  "χ\t␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀␉\x15",
	}, { // 1233
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "χ␉␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀␉\x15",
		out:  "χ␉␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀␉\x15",
	}, { // 1234
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "χ\t␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊␉",
		out:  "χ\t␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊␉",
	}, { // 1235
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "χ␉␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊␉",
		out:  "χ␉␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊␉",
	}, { // 1236
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "χQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀\t\x15",
		out:  "χQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀\t\x15",
	}, { // 1237
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "χQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀␉\x15",
		out:  "χQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀␉\x15",
	}, { // 1238
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "χQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀\t␉",
		out:  "χQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀\t␉",
	}, { // 1239
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "χQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀␉␉",
		out:  "χQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀␉␉",
	}, { // 1240
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "χQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊\t",
		out:  "χQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊\t",
	}, { // 1241
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "χQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊␉",
		out:  "χQ␙\"ξ\n＝SＰ%\tκβ\aφzW\x1d␆ｉ\"␍␛5）τ６｀＊␉",
	}, { // 1242
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "＜|＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾wδ",
		out:  "＜|＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾wδ",
	}, { // 1243
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\n␊＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾wδ",
		out:  "␊␊＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾wδ",
	}, { // 1244
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␊␊＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾wδ",
		out:  "‛␊␊＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾wδ",
	}, { // 1245
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\n|＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾␊δ",
		out:  "␊|＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾␊δ",
	}, { // 1246
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␊|＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾␊δ",
		out:  "‛␊|＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾␊δ",
	}, { // 1247
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\n|＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾w␊",
		out:  "␊|＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾w␊",
	}, { // 1248
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␊|＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾w␊",
		out:  "‛␊|＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾w␊",
	}, { // 1249
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "＜\n＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾wδ",
		out:  "＜\n＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾wδ",
	}, { // 1250
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "＜␊＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾wδ",
		out:  "＜␊＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾wδ",
	}, { // 1251
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "＜\n＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾␊δ",
		out:  "＜\n＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾␊δ",
	}, { // 1252
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "＜␊＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾␊δ",
		out:  "＜␊＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾␊δ",
	}, { // 1253
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "＜\n＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾w␊",
		out:  "＜\n＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾w␊",
	}, { // 1254
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "＜␊＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾w␊",
		out:  "＜␊＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾w␊",
	}, { // 1255
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "＜|＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾\nδ",
		out:  "＜|＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾\nδ",
	}, { // 1256
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "＜|＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾␊δ",
		out:  "＜|＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾␊δ",
	}, { // 1257
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "＜|＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾\n␊",
		out:  "＜|＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾\n␊",
	}, { // 1258
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "＜|＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾␊␊",
		out:  "＜|＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾␊␊",
	}, { // 1259
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "＜|＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾w\n",
		out:  "＜|＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾w\n",
	}, { // 1260
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "＜|＞φ＞.\x1d＼ｉG\nξ\v␀%[ρθ：\x06?｀␄P;σ＿＾w␊",
		out:  "＜|＞φ＞.\x1d＼ｉG\nξ\v‛␀%[ρθ：\x06?｀␄P;σ＿＾w␊",
	}, { // 1261
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\t␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ４ψ",
		out:  "␉␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ４ψ",
	}, { // 1262
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\v␋％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ４ψ",
		out:  "␋␋％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ４ψ",
	}, { // 1263
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␋␋％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ４ψ",
		out:  "‛␋␋％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ４ψ",
	}, { // 1264
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\v␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ␋ψ",
		out:  "␋␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ␋ψ",
	}, { // 1265
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␋␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ␋ψ",
		out:  "‛␋␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ␋ψ",
	}, { // 1266
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\v␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ４␋",
		out:  "␋␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ４␋",
	}, { // 1267
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␋␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ４␋",
		out:  "‛␋␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ４␋",
	}, { // 1268
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\t\v％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ４ψ",
		out:  "␉\v％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ４ψ",
	}, { // 1269
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\t␋％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ４ψ",
		out:  "␉␋％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ４ψ",
	}, { // 1270
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\t\v％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ␋ψ",
		out:  "␉\v％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ␋ψ",
	}, { // 1271
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\t␋％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ␋ψ",
		out:  "␉␋％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ␋ψ",
	}, { // 1272
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\t\v％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ４␋",
		out:  "␉\v％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ４␋",
	}, { // 1273
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\t␋％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ４␋",
		out:  "␉␋％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ４␋",
	}, { // 1274
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\t␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ\vψ",
		out:  "␉␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ\vψ",
	}, { // 1275
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\t␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ␋ψ",
		out:  "␉␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ␋ψ",
	}, { // 1276
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\t␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ\v␋",
		out:  "␉␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ\v␋",
	}, { // 1277
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\t␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ␋␋",
		out:  "␉␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ␋␋",
	}, { // 1278
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\t␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ４\v",
		out:  "␉␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ４\v",
	}, { // 1279
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\t␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ/ｎ４␋",
		out:  "␉␑％␞ς$\v＇␋:\vλ␞ｚ␊f|８\x02DςRρ&ξＯ／ｎ４␋",
	}, { // 1280
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "ψ）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n:{",
		out:  "ψ）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n:{",
	}, { // 1281
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\r␍ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n:{",
		out:  "␍␍ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n:{",
	}, { // 1282
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␍␍ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n:{",
		out:  "‛␍␍ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n:{",
	}, { // 1283
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\r）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n␍{",
		out:  "␍）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n␍{",
	}, { // 1284
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␍）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n␍{",
		out:  "‛␍）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n␍{",
	}, { // 1285
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\r）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n:␍",
		out:  "␍）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n:␍",
	}, { // 1286
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␍）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n:␍",
		out:  "‛␍）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n:␍",
	}, { // 1287
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "ψ\rζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n:{",
		out:  "ψ\rζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n:{",
	}, { // 1288
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "ψ␍ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n:{",
		out:  "ψ␍ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n:{",
	}, { // 1289
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "ψ\rζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n␍{",
		out:  "ψ\rζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n␍{",
	}, { // 1290
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "ψ␍ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n␍{",
		out:  "ψ␍ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n␍{",
	}, { // 1291
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "ψ\rζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n:␍",
		out:  "ψ\rζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n:␍",
	}, { // 1292
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "ψ␍ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n:␍",
		out:  "ψ␍ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n:␍",
	}, { // 1293
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "ψ）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n\r{",
		out:  "ψ）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n\r{",
	}, { // 1294
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "ψ）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n␍{",
		out:  "ψ）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n␍{",
	}, { // 1295
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "ψ）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n\r␍",
		out:  "ψ）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n\r␍",
	}, { // 1296
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "ψ）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n␍␍",
		out:  "ψ）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n␍␍",
	}, { // 1297
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "ψ）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n:\r",
		out:  "ψ）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n:\r",
	}, { // 1298
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "ψ）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r／␘␙）ω!ψ１？\n:␍",
		out:  "ψ）ζ<␕a－7\x15\x0e\r＊＆ρＣ$τ\r‛／␘␙）ω!ψ１？\n:␍",
	}, { // 1299
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "β␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐη",
		out:  "β␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐη",
	}, { // 1300
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\t␉&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐη",
		out:  "␉␉&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐη",
	}, { // 1301
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␉␉&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐη",
		out:  "‛␉␉&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐη",
	}, { // 1302
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\t␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ␉η",
		out:  "␉␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ␉η",
	}, { // 1303
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␉␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ␉η",
		out:  "‛␉␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ␉η",
	}, { // 1304
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\t␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐ␉",
		out:  "␉␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐ␉",
	}, { // 1305
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␉␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐ␉",
		out:  "‛␉␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐ␉",
	}, { // 1306
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "β\t&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐη",
		out:  "β\t&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐη",
	}, { // 1307
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "β␉&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐη",
		out:  "β␉&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐη",
	}, { // 1308
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "β\t&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ␉η",
		out:  "β\t&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ␉η",
	}, { // 1309
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "β␉&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ␉η",
		out:  "β␉&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ␉η",
	}, { // 1310
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "β\t&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐ␉",
		out:  "β\t&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐ␉",
	}, { // 1311
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "β␉&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐ␉",
		out:  "β␉&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐ␉",
	}, { // 1312
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "β␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ\tη",
		out:  "β␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ\tη",
	}, { // 1313
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "β␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ␉η",
		out:  "β␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ␉η",
	}, { // 1314
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "β␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ\t␉",
		out:  "β␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ\t␉",
	}, { // 1315
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "β␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ␉␉",
		out:  "β␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵ␉␉",
	}, { // 1316
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "β␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐ\t",
		out:  "β␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐ\t",
	}, { // 1317
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "β␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐ␉",
		out:  "β␙&Ｊ＿］;ｉτθ\t\x0eN␗Ｉ\x16aβ␈\x16＞>＄\x0e\a_αＵｐ␉",
	}, { // 1318
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "|I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$Hμη",
		out:  "|I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$Hμη",
	}, { // 1319
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\n␊_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$Hμη",
		out:  "␊␊_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$Hμη",
	}, { // 1320
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␊␊_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$Hμη",
		out:  "‛␊␊_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$Hμη",
	}, { // 1321
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\nI_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$H␊η",
		out:  "␊I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$H␊η",
	}, { // 1322
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␊I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$H␊η",
		out:  "‛␊I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$H␊η",
	}, { // 1323
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\nI_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$Hμ␊",
		out:  "␊I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$Hμ␊",
	}, { // 1324
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␊I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$Hμ␊",
		out:  "‛␊I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$Hμ␊",
	}, { // 1325
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "|\n_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$Hμη",
		out:  "|\n_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$Hμη",
	}, { // 1326
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "|␊_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$Hμη",
		out:  "|␊_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$Hμη",
	}, { // 1327
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "|\n_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$H␊η",
		out:  "|\n_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$H␊η",
	}, { // 1328
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "|␊_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$H␊η",
		out:  "|␊_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$H␊η",
	}, { // 1329
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "|\n_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$Hμ␊",
		out:  "|\n_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$Hμ␊",
	}, { // 1330
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "|␊_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$Hμ␊",
		out:  "|␊_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$Hμ␊",
	}, { // 1331
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "|I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$H\nη",
		out:  "|I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$H\nη",
	}, { // 1332
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "|I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$H␊η",
		out:  "|I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$H␊η",
	}, { // 1333
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "|I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$H\n␊",
		out:  "|I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$H\n␊",
	}, { // 1334
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "|I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$H␊␊",
		out:  "|I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$H␊␊",
	}, { // 1335
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "|I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$Hμ\n",
		out:  "|I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$Hμ\n",
	}, { // 1336
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "|I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ＇$Hμ␊",
		out:  "|I_υｂ␙＝␟＞\x17\n]␅ｙ(␉␘\v\x1cＩξ$\x04υγ‛＇$Hμ␊",
	}, { // 1337
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␘Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉＸ",
		out:  "␘Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉＸ",
	}, { // 1338
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\v␋η／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉＸ",
		out:  "␋␋η／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉＸ",
	}, { // 1339
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␋␋η／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉＸ",
		out:  "‛␋␋η／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉＸ",
	}, { // 1340
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\vＫη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[␋Ｘ",
		out:  "␋Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[␋Ｘ",
	}, { // 1341
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␋Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[␋Ｘ",
		out:  "‛␋Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[␋Ｘ",
	}, { // 1342
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\vＫη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉ␋",
		out:  "␋Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉ␋",
	}, { // 1343
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␋Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉ␋",
		out:  "‛␋Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉ␋",
	}, { // 1344
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␘\vη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉＸ",
		out:  "␘\vη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉＸ",
	}, { // 1345
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␘␋η／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉＸ",
		out:  "␘␋η／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉＸ",
	}, { // 1346
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␘\vη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[␋Ｘ",
		out:  "␘\vη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[␋Ｘ",
	}, { // 1347
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␘␋η／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[␋Ｘ",
		out:  "␘␋η／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[␋Ｘ",
	}, { // 1348
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␘\vη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉ␋",
		out:  "␘\vη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉ␋",
	}, { // 1349
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␘␋η／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉ␋",
		out:  "␘␋η／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉ␋",
	}, { // 1350
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␘Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[\vＸ",
		out:  "␘Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[\vＸ",
	}, { // 1351
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␘Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[␋Ｘ",
		out:  "␘Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[␋Ｘ",
	}, { // 1352
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␘Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[\v␋",
		out:  "␘Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[\v␋",
	}, { // 1353
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␘Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[␋␋",
		out:  "␘Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[␋␋",
	}, { // 1354
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␘Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉ\v",
		out:  "␘Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉ\v",
	}, { // 1355
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␘Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉ␋",
		out:  "␘Ｋη／ο｛W_␜Ｋ\v\x14%\x13／s{!ρ］?␄rωγ｝\x0e[ｉ␋",
	}, { // 1356
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "：ρ|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσTO",
		out:  "：ρ|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσTO",
	}, { // 1357
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\r␍|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσTO",
		out:  "␍␍|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσTO",
	}, { // 1358
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␍␍|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσTO",
		out:  "‛␍␍|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσTO",
	}, { // 1359
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\rρ|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσ␍O",
		out:  "␍ρ|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσ␍O",
	}, { // 1360
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␍ρ|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσ␍O",
		out:  "‛␍ρ|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσ␍O",
	}, { // 1361
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\rρ|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσT␍",
		out:  "␍ρ|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσT␍",
	}, { // 1362
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␍ρ|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσT␍",
		out:  "‛␍ρ|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσT␍",
	}, { // 1363
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "：\r|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσTO",
		out:  "：\r|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσTO",
	}, { // 1364
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "：␍|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσTO",
		out:  "：␍|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσTO",
	}, { // 1365
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "：\r|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσ␍O",
		out:  "：\r|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσ␍O",
	}, { // 1366
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "：␍|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσ␍O",
		out:  "：␍|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσ␍O",
	}, { // 1367
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "：\r|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσT␍",
		out:  "：\r|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσT␍",
	}, { // 1368
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "：␍|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσT␍",
		out:  "：␍|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσT␍",
	}, { // 1369
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "：ρ|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσ\rO",
		out:  "：ρ|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσ\rO",
	}, { // 1370
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "：ρ|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσ␍O",
		out:  "：ρ|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσ␍O",
	}, { // 1371
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "：ρ|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσ\r␍",
		out:  "：ρ|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσ\r␍",
	}, { // 1372
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "：ρ|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσ␍␍",
		out:  "：ρ|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσ␍␍",
	}, { // 1373
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "：ρ|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσT\r",
		out:  "：ρ|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσT\r",
	}, { // 1374
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "：ρ|#~ςT␃ｗ␐\r\x05φ＄／＇ｑτ#？\b\f␃\x1bｉτＶσT␍",
		out:  "：ρ|#~ςT␃ｗ␐\r\x05φ＄／‛＇ｑτ#？\b\f␃\x1bｉτＶσT␍",
	}, { // 1375
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "GD［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτdφ",
		out:  "GD［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτdφ",
	}, { // 1376
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\t␉［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτdφ",
		out:  "␉␉［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτdφ",
	}, { // 1377
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␉␉［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτdφ",
		out:  "‛␉␉［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτdφ",
	}, { // 1378
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\tD［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτ␉φ",
		out:  "␉D［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτ␉φ",
	}, { // 1379
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␉D［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτ␉φ",
		out:  "‛␉D［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτ␉φ",
	}, { // 1380
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\tD［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτd␉",
		out:  "␉D［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτd␉",
	}, { // 1381
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␉D［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτd␉",
		out:  "‛␉D［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτd␉",
	}, { // 1382
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "G\t［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτdφ",
		out:  "G\t［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτdφ",
	}, { // 1383
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "G␉［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτdφ",
		out:  "G␉［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτdφ",
	}, { // 1384
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "G\t［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτ␉φ",
		out:  "G\t［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτ␉φ",
	}, { // 1385
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "G␉［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτ␉φ",
		out:  "G␉［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτ␉φ",
	}, { // 1386
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "G\t［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτd␉",
		out:  "G\t［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτd␉",
	}, { // 1387
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "G␉［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτd␉",
		out:  "G␉［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτd␉",
	}, { // 1388
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "GD［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτ\tφ",
		out:  "GD［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτ\tφ",
	}, { // 1389
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "GD［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτ␉φ",
		out:  "GD［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτ␉φ",
	}, { // 1390
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "GD［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτ\t␉",
		out:  "GD［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτ\t␉",
	}, { // 1391
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "GD［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτ␉␉",
		out:  "GD［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτ␉␉",
	}, { // 1392
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "GD［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτd\t",
		out:  "GD［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτd\t",
	}, { // 1393
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "GD［\v＃Ｔ＃σ>％\tmθ␝I～？\x00ｚｎλ\x06\x0f␉␞<υτd␉",
		out:  "GD［\v＃Ｔ＃σ>％\tmθ␝I～？␀ｚｎλ\x06\x0f␉␞<υτd␉",
	}, { // 1394
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ξVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU％",
		out:  "ξVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU％",
	}, { // 1395
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\n␊χκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU％",
		out:  "␊␊χκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU％",
	}, { // 1396
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␊␊χκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU％",
		out:  "‛␊␊χκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU％",
	}, { // 1397
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\nVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ␊％",
		out:  "␊Vχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ␊％",
	}, { // 1398
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␊Vχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ␊％",
		out:  "‛␊Vχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ␊％",
	}, { // 1399
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\nVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU␊",
		out:  "␊Vχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU␊",
	}, { // 1400
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␊Vχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU␊",
		out:  "‛␊Vχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU␊",
	}, { // 1401
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ξ\nχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU％",
		out:  "ξ\nχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU％",
	}, { // 1402
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ξ␊χκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU％",
		out:  "ξ␊χκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU％",
	}, { // 1403
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ξ\nχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ␊％",
		out:  "ξ\nχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ␊％",
	}, { // 1404
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ξ␊χκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ␊％",
		out:  "ξ␊χκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ␊％",
	}, { // 1405
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ξ\nχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU␊",
		out:  "ξ\nχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU␊",
	}, { // 1406
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ξ␊χκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU␊",
		out:  "ξ␊χκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU␊",
	}, { // 1407
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ξVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ\n％",
		out:  "ξVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ\n％",
	}, { // 1408
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ξVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ␊％",
		out:  "ξVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ␊％",
	}, { // 1409
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ξVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ\n␊",
		out:  "ξVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ\n␊",
	}, { // 1410
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ξVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ␊␊",
		out:  "ξVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδ␊␊",
	}, { // 1411
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ξVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU\n",
		out:  "ξVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU\n",
	}, { // 1412
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ξVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU␊",
		out:  "ξVχκγ \x01u\b＼\n#４␉YＡ＂␗＂/ｋι\x05＇\x13\bＡδU␊",
	}, { // 1413
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␚␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃ρ",
		out:  "␚␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃ρ",
	}, { // 1414
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\v␋(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃ρ",
		out:  "␋␋(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃ρ",
	}, { // 1415
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␋␋(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃ρ",
		out:  "‛␋␋(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃ρ",
	}, { // 1416
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\v␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␋ρ",
		out:  "␋␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␋ρ",
	}, { // 1417
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␋␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␋ρ",
		out:  "‛␋␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␋ρ",
	}, { // 1418
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\v␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃␋",
		out:  "␋␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃␋",
	}, { // 1419
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␋␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃␋",
		out:  "‛␋␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃␋",
	}, { // 1420
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␚\v(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃ρ",
		out:  "␚\v(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃ρ",
	}, { // 1421
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␚␋(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃ρ",
		out:  "␚␋(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃ρ",
	}, { // 1422
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␚\v(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␋ρ",
		out:  "␚\v(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␋ρ",
	}, { // 1423
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␚␋(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␋ρ",
		out:  "␚␋(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␋ρ",
	}, { // 1424
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␚\v(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃␋",
		out:  "␚\v(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃␋",
	}, { // 1425
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␚␋(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃␋",
		out:  "␚␋(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃␋",
	}, { // 1426
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␚␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>\vρ",
		out:  "␚␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>\vρ",
	}, { // 1427
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␚␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␋ρ",
		out:  "␚␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␋ρ",
	}, { // 1428
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␚␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>\v␋",
		out:  "␚␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>\v␋",
	}, { // 1429
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␚␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␋␋",
		out:  "␚␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␋␋",
	}, { // 1430
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␚␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃\v",
		out:  "␚␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃\v",
	}, { // 1431
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␚␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃␋",
		out:  "␚␝(nευＺｏ；\x1a\v＊;r␓\x01X３|\"＞%␞σ\x0fπＺ>␃␋",
	}, { // 1432
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "Ｕ␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι＄",
		out:  "Ｕ␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι＄",
	}, { // 1433
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\r␍／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι＄",
		out:  "␍␍／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι＄",
	}, { // 1434
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␍␍／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι＄",
		out:  "‛␍␍／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι＄",
	}, { // 1435
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\r␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04␍＄",
		out:  "␍␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04␍＄",
	}, { // 1436
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␍␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04␍＄",
		out:  "‛␍␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04␍＄",
	}, { // 1437
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\r␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι␍",
		out:  "␍␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι␍",
	}, { // 1438
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␍␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι␍",
		out:  "‛␍␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι␍",
	}, { // 1439
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "Ｕ\r／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι＄",
		out:  "Ｕ\r／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι＄",
	}, { // 1440
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "Ｕ␍／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι＄",
		out:  "Ｕ␍／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι＄",
	}, { // 1441
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "Ｕ\r／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04␍＄",
		out:  "Ｕ\r／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04␍＄",
	}, { // 1442
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "Ｕ␍／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04␍＄",
		out:  "Ｕ␍／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04␍＄",
	}, { // 1443
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "Ｕ\r／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι␍",
		out:  "Ｕ\r／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι␍",
	}, { // 1444
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "Ｕ␍／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι␍",
		out:  "Ｕ␍／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι␍",
	}, { // 1445
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "Ｕ␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04\r＄",
		out:  "Ｕ␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04\r＄",
	}, { // 1446
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "Ｕ␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04␍＄",
		out:  "Ｕ␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04␍＄",
	}, { // 1447
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "Ｕ␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04\r␍",
		out:  "Ｕ␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04\r␍",
	}, { // 1448
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "Ｕ␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04␍␍",
		out:  "Ｕ␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04␍␍",
	}, { // 1449
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "Ｕ␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι\r",
		out:  "Ｕ␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι\r",
	}, { // 1450
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "Ｕ␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι␍",
		out:  "Ｕ␅／ς\x17Ｃς＞Ｐ\x01\r#␔/\x1cＱ%％!β\x03＾６ψ IB\x04ι␍",
	}, { // 1451
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "?`δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;xπ",
		out:  "?`δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;xπ",
	}, { // 1452
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\t␉δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;xπ",
		out:  "␉␉δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;xπ",
	}, { // 1453
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␉␉δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;xπ",
		out:  "‛␉␉δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;xπ",
	}, { // 1454
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\t`δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;␉π",
		out:  "␉`δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;␉π",
	}, { // 1455
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␉`δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;␉π",
		out:  "‛␉`δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;␉π",
	}, { // 1456
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\t`δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;x␉",
		out:  "␉`δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;x␉",
	}, { // 1457
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␉`δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;x␉",
		out:  "‛␉`δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;x␉",
	}, { // 1458
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "?\tδＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;xπ",
		out:  "?\tδＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;xπ",
	}, { // 1459
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "?␉δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;xπ",
		out:  "?␉δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;xπ",
	}, { // 1460
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "?\tδＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;␉π",
		out:  "?\tδＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;␉π",
	}, { // 1461
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "?␉δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;␉π",
		out:  "?␉δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;␉π",
	}, { // 1462
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "?\tδＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;x␉",
		out:  "?\tδＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;x␉",
	}, { // 1463
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "?␉δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;x␉",
		out:  "?␉δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;x␉",
	}, { // 1464
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "?`δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;\tπ",
		out:  "?`δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;\tπ",
	}, { // 1465
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "?`δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;␉π",
		out:  "?`δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;␉π",
	}, { // 1466
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "?`δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;\t␉",
		out:  "?`δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;\t␉",
	}, { // 1467
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "?`δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;␉␉",
		out:  "?`δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;␉␉",
	}, { // 1468
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "?`δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;x\t",
		out:  "?`δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;x\t",
	}, { // 1469
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "?`δＣπ\x00；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;x␉",
		out:  "?`δＣπ␀；γ␗３\t␜％］/ｑιｌN␃\x06#ρ4Ｐ9␖;x␉",
	}, { // 1470
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x10］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ5",
		out:  "\x10］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ5",
	}, { // 1471
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\n␊φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ5",
		out:  "␊␊φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ5",
	}, { // 1472
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␊␊φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ5",
		out:  "‛␊␊φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ5",
	}, { // 1473
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\n］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!␊5",
		out:  "␊］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!␊5",
	}, { // 1474
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␊］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!␊5",
		out:  "‛␊］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!␊5",
	}, { // 1475
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\n］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ␊",
		out:  "␊］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ␊",
	}, { // 1476
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␊］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ␊",
		out:  "‛␊］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ␊",
	}, { // 1477
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x10\nφυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ5",
		out:  "\x10\nφυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ5",
	}, { // 1478
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x10␊φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ5",
		out:  "\x10␊φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ5",
	}, { // 1479
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x10\nφυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!␊5",
		out:  "\x10\nφυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!␊5",
	}, { // 1480
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x10␊φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!␊5",
		out:  "\x10␊φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!␊5",
	}, { // 1481
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x10\nφυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ␊",
		out:  "\x10\nφυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ␊",
	}, { // 1482
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x10␊φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ␊",
		out:  "\x10␊φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ␊",
	}, { // 1483
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x10］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!\n5",
		out:  "\x10］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!\n5",
	}, { // 1484
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x10］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!␊5",
		out:  "\x10］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!␊5",
	}, { // 1485
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x10］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!\n␊",
		out:  "\x10］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!\n␊",
	}, { // 1486
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x10］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!␊␊",
		out:  "\x10］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!␊␊",
	}, { // 1487
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x10］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ\n",
		out:  "\x10］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ\n",
	}, { // 1488
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x10］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ␊",
		out:  "\x10］φυρ＃9ξb'\n␍␍\x17^＇␊ｙｉαφ␇O2Ｆ\r\x11!ｍ␊",
	}, { // 1489
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "uＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␒`",
		out:  "uＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␒`",
	}, { // 1490
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\v␋ｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␒`",
		out:  "␋␋ｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␒`",
	}, { // 1491
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␋␋ｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␒`",
		out:  "‛␋␋ｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␒`",
	}, { // 1492
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\vＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␋`",
		out:  "␋ＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␋`",
	}, { // 1493
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␋ＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␋`",
		out:  "‛␋ＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␋`",
	}, { // 1494
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\vＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␒␋",
		out:  "␋ＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␒␋",
	}, { // 1495
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␋ＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␒␋",
		out:  "‛␋ＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␒␋",
	}, { // 1496
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "u\vｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␒`",
		out:  "u\vｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␒`",
	}, { // 1497
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "u␋ｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␒`",
		out:  "u␋ｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␒`",
	}, { // 1498
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "u\vｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␋`",
		out:  "u\vｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␋`",
	}, { // 1499
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "u␋ｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␋`",
		out:  "u␋ｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␋`",
	}, { // 1500
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "u\vｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␒␋",
		out:  "u\vｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␒␋",
	}, { // 1501
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "u␋ｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␒␋",
		out:  "u␋ｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␒␋",
	}, { // 1502
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "uＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ\v`",
		out:  "uＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ\v`",
	}, { // 1503
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "uＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␋`",
		out:  "uＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␋`",
	}, { // 1504
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "uＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ\v␋",
		out:  "uＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ\v␋",
	}, { // 1505
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "uＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␋␋",
		out:  "uＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␋␋",
	}, { // 1506
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "uＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␒\v",
		out:  "uＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␒\v",
	}, { // 1507
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "uＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛␀βｄ/γ␚\x13ｙ␒␋",
		out:  "uＣｚβJς\n␟Ｄ:\vυδI␟．\x06\x18]␛‛␀βｄ/γ␚\x13ｙ␒␋",
	}, { // 1508
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "HＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00πυ",
		out:  "HＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00πυ",
	}, { // 1509
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\r␍J$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00πυ",
		out:  "␍␍J$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00πυ",
	}, { // 1510
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␍␍J$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00πυ",
		out:  "‛␍␍J$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00πυ",
	}, { // 1511
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\rＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00␍υ",
		out:  "␍ＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00␍υ",
	}, { // 1512
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␍ＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00␍υ",
		out:  "‛␍ＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00␍υ",
	}, { // 1513
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\rＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00π␍",
		out:  "␍ＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00π␍",
	}, { // 1514
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␍ＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00π␍",
		out:  "‛␍ＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00π␍",
	}, { // 1515
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "H\rJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00πυ",
		out:  "H\rJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00πυ",
	}, { // 1516
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "H␍J$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00πυ",
		out:  "H␍J$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00πυ",
	}, { // 1517
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "H\rJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00␍υ",
		out:  "H\rJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00␍υ",
	}, { // 1518
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "H␍J$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00␍υ",
		out:  "H␍J$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00␍υ",
	}, { // 1519
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "H\rJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00π␍",
		out:  "H\rJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00π␍",
	}, { // 1520
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "H␍J$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00π␍",
		out:  "H␍J$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00π␍",
	}, { // 1521
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "HＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00\rυ",
		out:  "HＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00\rυ",
	}, { // 1522
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "HＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00␍υ",
		out:  "HＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00␍υ",
	}, { // 1523
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "HＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00\r␍",
		out:  "HＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00\r␍",
	}, { // 1524
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "HＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00␍␍",
		out:  "HＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00␍␍",
	}, { // 1525
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "HＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00π\r",
		out:  "HＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00π\r",
	}, { // 1526
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "HＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00π␍",
		out:  "HＶJ$␔Ｔ;σ␘Y\r／␌＊a\x1f｛␐ζｑ`χ!'#Ｙθ\uff00π␍",
	}, { // 1527
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "δｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ\n",
		out:  "δｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ\n",
	}, { // 1528
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\t␉Ｂ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ\n",
		out:  "␉␉Ｂ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ\n",
	}, { // 1529
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␉␉Ｂ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ\n",
		out:  "‛␉␉Ｂ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ\n",
	}, { // 1530
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\tｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b␉\n",
		out:  "␉ｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b␉\n",
	}, { // 1531
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␉ｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b␉\n",
		out:  "‛␉ｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b␉\n",
	}, { // 1532
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\tｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ␉",
		out:  "␉ｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ␉",
	}, { // 1533
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␉ｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ␉",
		out:  "‛␉ｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ␉",
	}, { // 1534
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "δ\tＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ\n",
		out:  "δ\tＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ\n",
	}, { // 1535
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "δ␉Ｂ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ\n",
		out:  "δ␉Ｂ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ\n",
	}, { // 1536
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "δ\tＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b␉\n",
		out:  "δ\tＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b␉\n",
	}, { // 1537
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "δ␉Ｂ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b␉\n",
		out:  "δ␉Ｂ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b␉\n",
	}, { // 1538
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "δ\tＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ␉",
		out:  "δ\tＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ␉",
	}, { // 1539
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "δ␉Ｂ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ␉",
		out:  "δ␉Ｂ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ␉",
	}, { // 1540
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "δｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b\t\n",
		out:  "δｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b\t\n",
	}, { // 1541
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "δｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b␉\n",
		out:  "δｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b␉\n",
	}, { // 1542
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "δｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b\t␉",
		out:  "δｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b\t␉",
	}, { // 1543
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "δｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b␉␉",
		out:  "δｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\b␉␉",
	}, { // 1544
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "δｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ\t",
		out:  "δｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ\t",
	}, { // 1545
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "δｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ␉",
		out:  "δｆＢ/？ηyξ\x1aυ\t+␍＜␉＿\x14␗5%！θ␋eG>Ｘ\bκ␉",
	}, { // 1546
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\x00χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠\a␏",
		out:  "␀χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠\a␏",
	}, { // 1547
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\n␊ξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠\a␏",
		out:  "␊␊ξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠\a␏",
	}, { // 1548
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␊␊ξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠\a␏",
		out:  "‛␊␊ξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠\a␏",
	}, { // 1549
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\nχξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠␊␏",
		out:  "␊χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠␊␏",
	}, { // 1550
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␊χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠␊␏",
		out:  "‛␊χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠␊␏",
	}, { // 1551
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\nχξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠\a␊",
		out:  "␊χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠\a␊",
	}, { // 1552
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␊χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠\a␊",
		out:  "‛␊χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠\a␊",
	}, { // 1553
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\x00\nξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠\a␏",
		out:  "␀\nξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠\a␏",
	}, { // 1554
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\x00␊ξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠\a␏",
		out:  "␀␊ξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠\a␏",
	}, { // 1555
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\x00\nξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠␊␏",
		out:  "␀\nξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠␊␏",
	}, { // 1556
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\x00␊ξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠␊␏",
		out:  "␀␊ξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠␊␏",
	}, { // 1557
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\x00\nξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠\a␊",
		out:  "␀\nξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠\a␊",
	}, { // 1558
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\x00␊ξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠\a␊",
		out:  "␀␊ξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠\a␊",
	}, { // 1559
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\x00χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠\n␏",
		out:  "␀χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠\n␏",
	}, { // 1560
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\x00χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠␊␏",
		out:  "␀χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠␊␏",
	}, { // 1561
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\x00χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠\n␊",
		out:  "␀χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠\n␊",
	}, { // 1562
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\x00χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠␊␊",
		out:  "␀χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠␊␊",
	}, { // 1563
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\x00χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠\a\n",
		out:  "␀χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠\a\n",
	}, { // 1564
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\x00χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.］␖＃＞ｏψ＠\a␊",
		out:  "␀χξ?␌\x1f\x1buβ－\nπγ$？tsｊ＜4.‛］␖＃＞ｏψ＠\a␊",
	}, { // 1565
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "X␛Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊＞κ",
		out:  "X␛Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊＞κ",
	}, { // 1566
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\v␋Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊＞κ",
		out:  "␋␋Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊＞κ",
	}, { // 1567
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␋␋Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊＞κ",
		out:  "‛␋␋Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊＞κ",
	}, { // 1568
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\v␛Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊␋κ",
		out:  "␋␛Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊␋κ",
	}, { // 1569
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␋␛Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊␋κ",
		out:  "‛␋␛Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊␋κ",
	}, { // 1570
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\v␛Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊＞␋",
		out:  "␋␛Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊＞␋",
	}, { // 1571
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␋␛Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊＞␋",
		out:  "‛␋␛Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊＞␋",
	}, { // 1572
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "X\vUpη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊＞κ",
		out:  "X\vUpη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊＞κ",
	}, { // 1573
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "X␋Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊＞κ",
		out:  "X␋Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊＞κ",
	}, { // 1574
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "X\vUpη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊␋κ",
		out:  "X\vUpη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊␋κ",
	}, { // 1575
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "X␋Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊␋κ",
		out:  "X␋Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊␋κ",
	}, { // 1576
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "X\vUpη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊＞␋",
		out:  "X\vUpη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊＞␋",
	}, { // 1577
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "X␋Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊＞␋",
		out:  "X␋Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊＞␋",
	}, { // 1578
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "X␛Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊\vκ",
		out:  "X␛Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊\vκ",
	}, { // 1579
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "X␛Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊␋κ",
		out:  "X␛Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊␋κ",
	}, { // 1580
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "X␛Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊\v␋",
		out:  "X␛Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊\v␋",
	}, { // 1581
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "X␛Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊␋␋",
		out:  "X␛Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊␋␋",
	}, { // 1582
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "X␛Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊＞\v",
		out:  "X␛Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊＞\v",
	}, { // 1583
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "X␛Upη␝\f＇\x00A\vＹψｘ␍ｈηＴ\x15\x057\x00␛ψ2Ｄ[＊＞␋",
		out:  "X␛Upη␝\f＇␀A\vＹψｘ␍ｈηＴ\x15\x057␀␛ψ2Ｄ［＊＞␋",
	}, { // 1584
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "／β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZc",
		out:  "／β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZc",
	}, { // 1585
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\r␍8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZc",
		out:  "␍␍8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZc",
	}, { // 1586
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␍␍8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZc",
		out:  "‛␍␍8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZc",
	}, { // 1587
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\rβ8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ␍c",
		out:  "␍β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ␍c",
	}, { // 1588
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␍β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ␍c",
		out:  "‛␍β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ␍c",
	}, { // 1589
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\rβ8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZ␍",
		out:  "␍β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZ␍",
	}, { // 1590
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␍β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZ␍",
		out:  "‛␍β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZ␍",
	}, { // 1591
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "／\r8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZc",
		out:  "／\r8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZc",
	}, { // 1592
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "／␍8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZc",
		out:  "／␍8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZc",
	}, { // 1593
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "／\r8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ␍c",
		out:  "／\r8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ␍c",
	}, { // 1594
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "／␍8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ␍c",
		out:  "／␍8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ␍c",
	}, { // 1595
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "／\r8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZ␍",
		out:  "／\r8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZ␍",
	}, { // 1596
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "／␍8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZ␍",
		out:  "／␍8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZ␍",
	}, { // 1597
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "／β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ\rc",
		out:  "／β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ\rc",
	}, { // 1598
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "／β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ␍c",
		out:  "／β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ␍c",
	}, { // 1599
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "／β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ\r␍",
		out:  "／β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ\r␍",
	}, { // 1600
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "／β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ␍␍",
		out:  "／β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθ␍␍",
	}, { // 1601
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "／β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZ\r",
		out:  "／β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZ\r",
	}, { // 1602
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "／β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZ␍",
		out:  "／β8\x17r␈␉χ\x11\x10\r｛␏｝␆ζψ\x0f\"8％１\aＫ｛ξｅθZ␍",
	}, { // 1603
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "[＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ␀",
		out:  "[＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ‛␀",
	}, { // 1604
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\t␉9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ␀",
		out:  "␉␉9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ‛␀",
	}, { // 1605
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␉␉9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ␀",
		out:  "‛␉␉9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ‛␀",
	}, { // 1606
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\t＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM␉␀",
		out:  "␉＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM␉‛␀",
	}, { // 1607
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␉＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM␉␀",
		out:  "‛␉＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM␉‛␀",
	}, { // 1608
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\t＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ␉",
		out:  "␉＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ␉",
	}, { // 1609
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␉＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ␉",
		out:  "‛␉＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ␉",
	}, { // 1610
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "[\t9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ␀",
		out:  "[\t9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ‛␀",
	}, { // 1611
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "[␉9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ␀",
		out:  "[␉9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ‛␀",
	}, { // 1612
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "[\t9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM␉␀",
		out:  "[\t9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM␉‛␀",
	}, { // 1613
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "[␉9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM␉␀",
		out:  "[␉9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM␉‛␀",
	}, { // 1614
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "[\t9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ␉",
		out:  "[\t9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ␉",
	}, { // 1615
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "[␉9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ␉",
		out:  "[␉9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ␉",
	}, { // 1616
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "[＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM\t␀",
		out:  "[＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM\t‛␀",
	}, { // 1617
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "[＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM␉␀",
		out:  "[＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM␉‛␀",
	}, { // 1618
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "[＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM\t␉",
		out:  "[＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM\t␉",
	}, { // 1619
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "[＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM␉␉",
		out:  "[＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τM␉␉",
	}, { // 1620
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "[＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ\t",
		out:  "[＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ\t",
	}, { // 1621
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "[＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ␉",
		out:  "[＊9？Fφ␃ｆＶη\t␈＞\t\x16δｋ*#ψ３\x11O␁\x05｀τMρ␉",
	}, { // 1622
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ς#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␄",
		out:  "ς#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␄",
	}, { // 1623
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\n␊δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␄",
		out:  "␊␊δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␄",
	}, { // 1624
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␊␊δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␄",
		out:  "‛␊␊δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␄",
	}, { // 1625
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\n#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ␊␄",
		out:  "␊#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ␊␄",
	}, { // 1626
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␊#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ␊␄",
		out:  "‛␊#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ␊␄",
	}, { // 1627
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\n#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␊",
		out:  "␊#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␊",
	}, { // 1628
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␊#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␊",
		out:  "‛␊#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␊",
	}, { // 1629
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ς\nδ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␄",
		out:  "ς\nδ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␄",
	}, { // 1630
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ς␊δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␄",
		out:  "ς␊δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␄",
	}, { // 1631
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ς\nδ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ␊␄",
		out:  "ς\nδ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ␊␄",
	}, { // 1632
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ς␊δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ␊␄",
		out:  "ς␊δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ␊␄",
	}, { // 1633
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ς\nδ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␊",
		out:  "ς\nδ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␊",
	}, { // 1634
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ς␊δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␊",
		out:  "ς␊δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␊",
	}, { // 1635
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ς#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ\n␄",
		out:  "ς#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ\n␄",
	}, { // 1636
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ς#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ␊␄",
		out:  "ς#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ␊␄",
	}, { // 1637
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ς#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ\n␊",
		out:  "ς#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ\n␊",
	}, { // 1638
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ς#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ␊␊",
		out:  "ς#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15Ｐ␊␊",
	}, { // 1639
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ς#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU\n",
		out:  "ς#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU\n",
	}, { // 1640
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ς#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␊",
		out:  "ς#δ␝␁\x18Ｖφ＊]\n？␘\">R␈ｒRν\x01＿ζψｉC\x15ＰU␊",
	}, { // 1641
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ι!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10？",
		out:  "ι!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10？",
	}, { // 1642
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\v␋？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10？",
		out:  "␋␋？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10？",
	}, { // 1643
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␋␋？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10？",
		out:  "‛␋␋？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10？",
	}, { // 1644
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\v!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A␋？",
		out:  "␋!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A␋？",
	}, { // 1645
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␋!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A␋？",
		out:  "‛␋!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A␋？",
	}, { // 1646
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\v!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10␋",
		out:  "␋!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10␋",
	}, { // 1647
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␋!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10␋",
		out:  "‛␋!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10␋",
	}, { // 1648
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ι\v？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10？",
		out:  "ι\v？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10？",
	}, { // 1649
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ι␋？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10？",
		out:  "ι␋？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10？",
	}, { // 1650
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ι\v？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A␋？",
		out:  "ι\v？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A␋？",
	}, { // 1651
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ι␋？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A␋？",
		out:  "ι␋？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A␋？",
	}, { // 1652
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ι\v？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10␋",
		out:  "ι\v？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10␋",
	}, { // 1653
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ι␋？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10␋",
		out:  "ι␋？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10␋",
	}, { // 1654
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ι!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\v？",
		out:  "ι!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\v？",
	}, { // 1655
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ι!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A␋？",
		out:  "ι!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A␋？",
	}, { // 1656
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ι!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\v␋",
		out:  "ι!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\v␋",
	}, { // 1657
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ι!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A␋␋",
		out:  "ι!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A␋␋",
	}, { // 1658
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ι!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10\v",
		out:  "ι!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10\v",
	}, { // 1659
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "ι!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10␋",
		out:  "ι!？θ\fλ*␕\x1f␂\vＭGUζ␋(`Ｘｌｅ\x12ａδκ＃␡A\x10␋",
	}, { // 1660
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "aχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9Uν",
		out:  "aχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9Uν",
	}, { // 1661
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\r␍Z\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9Uν",
		out:  "␍␍Z\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9Uν",
	}, { // 1662
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␍␍Z\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9Uν",
		out:  "‛␍␍Z\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9Uν",
	}, { // 1663
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\rχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9␍ν",
		out:  "␍χZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9␍ν",
	}, { // 1664
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␍χZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9␍ν",
		out:  "‛␍χZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9␍ν",
	}, { // 1665
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\rχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9U␍",
		out:  "␍χZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9U␍",
	}, { // 1666
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␍χZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9U␍",
		out:  "‛␍χZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9U␍",
	}, { // 1667
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "a\rZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9Uν",
		out:  "a\rZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9Uν",
	}, { // 1668
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "a␍Z\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9Uν",
		out:  "a␍Z\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9Uν",
	}, { // 1669
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "a\rZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9␍ν",
		out:  "a\rZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9␍ν",
	}, { // 1670
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "a␍Z\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9␍ν",
		out:  "a␍Z\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9␍ν",
	}, { // 1671
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "a\rZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9U␍",
		out:  "a\rZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9U␍",
	}, { // 1672
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "a␍Z\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9U␍",
		out:  "a␍Z\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9U␍",
	}, { // 1673
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "aχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9\rν",
		out:  "aχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9\rν",
	}, { // 1674
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "aχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9␍ν",
		out:  "aχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9␍ν",
	}, { // 1675
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "aχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9\r␍",
		out:  "aχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9\r␍",
	}, { // 1676
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "aχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9␍␍",
		out:  "aχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9␍␍",
	}, { // 1677
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "aχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9U\r",
		out:  "aχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9U\r",
	}, { // 1678
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "aχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9U␍",
		out:  "aχZ\x06＇\nｑλ ７\r８ψ＇：\nω\\α＄ｓＪ␌ｐ％\x1b?9U␍",
	}, { // 1679
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␎C6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02\x0f",
		out:  "␎C6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02\x0f",
	}, { // 1680
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "\t␉6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02\x0f",
		out:  "␉␉6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02\x0f",
	}, { // 1681
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␉␉6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02\x0f",
		out:  "‛␉␉6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02\x0f",
	}, { // 1682
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "\tC6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ␉\x0f",
		out:  "␉C6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ␉\x0f",
	}, { // 1683
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␉C6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ␉\x0f",
		out:  "‛␉C6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ␉\x0f",
	}, { // 1684
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "\tC6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02␉",
		out:  "␉C6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02␉",
	}, { // 1685
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␉C6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02␉",
		out:  "‛␉C6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02␉",
	}, { // 1686
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␎\t6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02\x0f",
		out:  "␎\t6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02\x0f",
	}, { // 1687
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␎␉6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02\x0f",
		out:  "␎␉6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02\x0f",
	}, { // 1688
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␎\t6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ␉\x0f",
		out:  "␎\t6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ␉\x0f",
	}, { // 1689
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␎␉6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ␉\x0f",
		out:  "␎␉6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ␉\x0f",
	}, { // 1690
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␎\t6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02␉",
		out:  "␎\t6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02␉",
	}, { // 1691
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␎␉6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02␉",
		out:  "␎␉6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02␉",
	}, { // 1692
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␎C6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\t\x0f",
		out:  "␎C6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\t\x0f",
	}, { // 1693
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␎C6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ␉\x0f",
		out:  "␎C6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ␉\x0f",
	}, { // 1694
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␎C6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\t␉",
		out:  "␎C6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\t␉",
	}, { // 1695
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␎C6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ␉␉",
		out:  "␎C6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ␉␉",
	}, { // 1696
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␎C6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02\t",
		out:  "␎C6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02\t",
	}, { // 1697
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␎C6*Tａ！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02␉",
		out:  "␎C6*Tａ‛！πζκ\tｏ]ζ＄ε^Ｙ／Ｔ\"\x1fS＼τ\nＡＵ\x02␉",
	}, { // 1698
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ο/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f１",
		out:  "ο/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f１",
	}, { // 1699
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "\n␊WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f１",
		out:  "␊␊WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f１",
	}, { // 1700
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␊␊WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f１",
		out:  "‛␊␊WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f１",
	}, { // 1701
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "\n/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z␊１",
		out:  "␊/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z␊１",
	}, { // 1702
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␊/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z␊１",
		out:  "‛␊/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z␊１",
	}, { // 1703
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "\n/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f␊",
		out:  "␊/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f␊",
	}, { // 1704
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␊/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f␊",
		out:  "‛␊/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f␊",
	}, { // 1705
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ο\nWTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f１",
		out:  "ο\nWTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f１",
	}, { // 1706
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ο␊WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f１",
		out:  "ο␊WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f１",
	}, { // 1707
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ο\nWTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z␊１",
		out:  "ο\nWTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z␊１",
	}, { // 1708
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ο␊WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z␊１",
		out:  "ο␊WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z␊１",
	}, { // 1709
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ο\nWTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f␊",
		out:  "ο\nWTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f␊",
	}, { // 1710
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ο␊WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f␊",
		out:  "ο␊WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f␊",
	}, { // 1711
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ο/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\n１",
		out:  "ο/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\n１",
	}, { // 1712
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ο/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z␊１",
		out:  "ο/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z␊１",
	}, { // 1713
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ο/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\n␊",
		out:  "ο/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\n␊",
	}, { // 1714
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ο/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z␊␊",
		out:  "ο/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z␊␊",
	}, { // 1715
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ο/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f\n",
		out:  "ο/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f\n",
	}, { // 1716
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ο/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f␊",
		out:  "ο/WTｍ｝＜␚␖ｍ\nｉ\x18＃\x1dXWφυ2\fλ\vρψ＼］z\x0f␊",
	}, { // 1717
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ζ]ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）Mm",
		out:  "ζ]ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）Mm",
	}, { // 1718
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "\v␋ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）Mm",
		out:  "␋␋ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）Mm",
	}, { // 1719
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␋␋ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）Mm",
		out:  "‛␋␋ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）Mm",
	}, { // 1720
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "\v]ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）␋m",
		out:  "␋]ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）␋m",
	}, { // 1721
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␋]ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）␋m",
		out:  "‛␋]ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）␋m",
	}, { // 1722
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "\v]ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）M␋",
		out:  "␋]ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）M␋",
	}, { // 1723
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␋]ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）M␋",
		out:  "‛␋]ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）M␋",
	}, { // 1724
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ζ\vｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）Mm",
		out:  "ζ\vｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）Mm",
	}, { // 1725
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ζ␋ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）Mm",
		out:  "ζ␋ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）Mm",
	}, { // 1726
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ζ\vｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）␋m",
		out:  "ζ\vｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）␋m",
	}, { // 1727
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ζ␋ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）␋m",
		out:  "ζ␋ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）␋m",
	}, { // 1728
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ζ\vｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）M␋",
		out:  "ζ\vｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）M␋",
	}, { // 1729
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ζ␋ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）M␋",
		out:  "ζ␋ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）M␋",
	}, { // 1730
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ζ]ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）\vm",
		out:  "ζ]ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）\vm",
	}, { // 1731
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ζ]ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）␋m",
		out:  "ζ]ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）␋m",
	}, { // 1732
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ζ]ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）\v␋",
		out:  "ζ]ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）\v␋",
	}, { // 1733
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ζ]ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）␋␋",
		out:  "ζ]ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）␋␋",
	}, { // 1734
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ζ]ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）M\v",
		out:  "ζ]ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）M\v",
	}, { // 1735
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "ζ]ｚ␗␡␗！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）M␋",
		out:  "ζ]ｚ␗␡␗‛！［␍>\v7ｈh／\x1e？νθCχ（ψδ\x03\x1b/）M␋",
	}, { // 1736
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "3vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑μ",
		out:  "3vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑μ",
	}, { // 1737
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "\r␍ξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑μ",
		out:  "␍␍ξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑μ",
	}, { // 1738
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␍␍ξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑μ",
		out:  "‛␍␍ξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑μ",
	}, { // 1739
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "\rvξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␍μ",
		out:  "␍vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␍μ",
	}, { // 1740
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␍vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␍μ",
		out:  "‛␍vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␍μ",
	}, { // 1741
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "\rvξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑␍",
		out:  "␍vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑␍",
	}, { // 1742
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "␍vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑␍",
		out:  "‛␍vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑␍",
	}, { // 1743
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "3\rξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑μ",
		out:  "3\rξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑μ",
	}, { // 1744
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "3␍ξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑μ",
		out:  "3␍ξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑μ",
	}, { // 1745
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "3\rξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␍μ",
		out:  "3\rξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␍μ",
	}, { // 1746
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "3␍ξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␍μ",
		out:  "3␍ξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␍μ",
	}, { // 1747
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "3\rξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑␍",
		out:  "3\rξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑␍",
	}, { // 1748
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "3␍ξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑␍",
		out:  "3␍ξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑␍",
	}, { // 1749
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "3vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏\rμ",
		out:  "3vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏\rμ",
	}, { // 1750
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "3vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␍μ",
		out:  "3vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␍μ",
	}, { // 1751
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "3vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏\r␍",
		out:  "3vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏\r␍",
	}, { // 1752
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "3vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␍␍",
		out:  "3vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␍␍",
	}, { // 1753
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "3vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑\r",
		out:  "3vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑\r",
	}, { // 1754
		mask: EncodeExclamation | EncodeLeftCrLfHtVt,
		in:   "3vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑␍",
		out:  "3vξ＂\x05χ\x14\x1a␒?\r０ψ？φ\x1b＃＇Ｏκｓ]\x16OEＡ＆␏␑␍",
	}, { // 1755
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/4",
		out:  "‛␊ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/4",
	}, { // 1756
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\t␉W\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/4",
		out:  "␉␉W\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/4",
	}, { // 1757
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␉␉W\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/4",
		out:  "‛␉␉W\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/4",
	}, { // 1758
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\tρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ␉4",
		out:  "␉ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ␉4",
	}, { // 1759
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␉ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ␉4",
		out:  "‛␉ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ␉4",
	}, { // 1760
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\tρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/␉",
		out:  "␉ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/␉",
	}, { // 1761
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␉ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/␉",
		out:  "‛␉ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/␉",
	}, { // 1762
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊\tW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/4",
		out:  "‛␊\tW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/4",
	}, { // 1763
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊␉W\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/4",
		out:  "‛␊␉W\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/4",
	}, { // 1764
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊\tW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ␉4",
		out:  "‛␊\tW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ␉4",
	}, { // 1765
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊␉W\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ␉4",
		out:  "‛␊␉W\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ␉4",
	}, { // 1766
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊\tW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/␉",
		out:  "‛␊\tW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/␉",
	}, { // 1767
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊␉W\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/␉",
		out:  "‛␊␉W\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/␉",
	}, { // 1768
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ\t4",
		out:  "‛␊ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ\t4",
	}, { // 1769
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ␉4",
		out:  "‛␊ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ␉4",
	}, { // 1770
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ\t␉",
		out:  "‛␊ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ\t␉",
	}, { // 1771
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ␉␉",
		out:  "‛␊ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ␉␉",
	}, { // 1772
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/\t",
		out:  "‛␊ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/\t",
	}, { // 1773
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/␉",
		out:  "‛␊ρW\tＦ－/τ！５\t␑\x12)ψ＜ｎ\x7f&nＡ>!␁ωπ？δ/␉",
	}, { // 1774
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\"#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␘",
		out:  "\"#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␘",
	}, { // 1775
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\n␊,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␘",
		out:  "␊␊,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␘",
	}, { // 1776
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊␊,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␘",
		out:  "‛␊␊,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␘",
	}, { // 1777
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\n#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB␊␘",
		out:  "␊#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB␊␘",
	}, { // 1778
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB␊␘",
		out:  "‛␊#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB␊␘",
	}, { // 1779
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\n#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␊",
		out:  "␊#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␊",
	}, { // 1780
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␊",
		out:  "‛␊#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␊",
	}, { // 1781
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\"\n,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␘",
		out:  "\"\n,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␘",
	}, { // 1782
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\"␊,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␘",
		out:  "\"␊,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␘",
	}, { // 1783
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\"\n,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB␊␘",
		out:  "\"\n,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB␊␘",
	}, { // 1784
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\"␊,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB␊␘",
		out:  "\"␊,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB␊␘",
	}, { // 1785
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\"\n,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␊",
		out:  "\"\n,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␊",
	}, { // 1786
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\"␊,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␊",
		out:  "\"␊,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␊",
	}, { // 1787
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\"#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB\n␘",
		out:  "\"#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB\n␘",
	}, { // 1788
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\"#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB␊␘",
		out:  "\"#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB␊␘",
	}, { // 1789
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\"#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB\n␊",
		out:  "\"#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB\n␊",
	}, { // 1790
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\"#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB␊␊",
		out:  "\"#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB␊␊",
	}, { // 1791
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\"#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)\n",
		out:  "\"#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)\n",
	}, { // 1792
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\"#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␊",
		out:  "\"#,７ｐ０ｋ>\x0e;\n␚␐χ１ρ>χ␆␗δDＷ］|ηβB)␊",
	}, { // 1793
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "_ι＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυm",
		out:  "_ι＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυm",
	}, { // 1794
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\v␋＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυm",
		out:  "␋␋＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυm",
	}, { // 1795
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␋␋＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυm",
		out:  "‛␋␋＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυm",
	}, { // 1796
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\vι＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν␋m",
		out:  "␋ι＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν␋m",
	}, { // 1797
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␋ι＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν␋m",
		out:  "‛␋ι＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν␋m",
	}, { // 1798
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\vι＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυ␋",
		out:  "␋ι＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυ␋",
	}, { // 1799
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␋ι＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυ␋",
		out:  "‛␋ι＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυ␋",
	}, { // 1800
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "_\v＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυm",
		out:  "_\v＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυm",
	}, { // 1801
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "_␋＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυm",
		out:  "_␋＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυm",
	}, { // 1802
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "_\v＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν␋m",
		out:  "_\v＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν␋m",
	}, { // 1803
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "_␋＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν␋m",
		out:  "_␋＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν␋m",
	}, { // 1804
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "_\v＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυ␋",
		out:  "_\v＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυ␋",
	}, { // 1805
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "_␋＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυ␋",
		out:  "_␋＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυ␋",
	}, { // 1806
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "_ι＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν\vm",
		out:  "_ι＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν\vm",
	}, { // 1807
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "_ι＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν␋m",
		out:  "_ι＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν␋m",
	}, { // 1808
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "_ι＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν\v␋",
		out:  "_ι＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν\v␋",
	}, { // 1809
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "_ι＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν␋␋",
		out:  "_ι＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂ν␋␋",
	}, { // 1810
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "_ι＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυ\v",
		out:  "_ι＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυ\v",
	}, { // 1811
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "_ι＃␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυ␋",
		out:  "_ι＃‛␀＞η>;２\x04\v[／－ο?｜＂\x7f[␊＼OE`ι＂νυ␋",
	}, { // 1812
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␒γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16γ",
		out:  "␒γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16γ",
	}, { // 1813
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\r␍Ｖ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16γ",
		out:  "␍␍Ｖ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16γ",
	}, { // 1814
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␍␍Ｖ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16γ",
		out:  "‛␍␍Ｖ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16γ",
	}, { // 1815
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\rγＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`␍γ",
		out:  "␍γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`␍γ",
	}, { // 1816
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␍γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`␍γ",
		out:  "‛␍γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`␍γ",
	}, { // 1817
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\rγＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16␍",
		out:  "␍γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16␍",
	}, { // 1818
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␍γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16␍",
		out:  "‛␍γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16␍",
	}, { // 1819
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␒\rＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16γ",
		out:  "␒\rＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16γ",
	}, { // 1820
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␒␍Ｖ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16γ",
		out:  "␒␍Ｖ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16γ",
	}, { // 1821
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␒\rＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`␍γ",
		out:  "␒\rＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`␍γ",
	}, { // 1822
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␒␍Ｖ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`␍γ",
		out:  "␒␍Ｖ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`␍γ",
	}, { // 1823
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␒\rＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16␍",
		out:  "␒\rＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16␍",
	}, { // 1824
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␒␍Ｖ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16␍",
		out:  "␒␍Ｖ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16␍",
	}, { // 1825
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␒γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\rγ",
		out:  "␒γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\rγ",
	}, { // 1826
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␒γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`␍γ",
		out:  "␒γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`␍γ",
	}, { // 1827
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␒γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\r␍",
		out:  "␒γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\r␍",
	}, { // 1828
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␒γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`␍␍",
		out:  "␒γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`␍␍",
	}, { // 1829
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␒γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16\r",
		out:  "␒γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16\r",
	}, { // 1830
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␒γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16␍",
		out:  "␒γＶ␌［ρＨ␍\x16υ\r％＜pS\"x/ξE｜ξ`｜-Ｘ４`\x16␍",
	}, { // 1831
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ωλ",
		out:  "σ＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ωλ",
	}, { // 1832
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\t␉\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ωλ",
		out:  "␉␉\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ωλ",
	}, { // 1833
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␉␉\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ωλ",
		out:  "‛␉␉\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ωλ",
	}, { // 1834
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\t＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00␉λ",
		out:  "␉＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00␉λ",
	}, { // 1835
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␉＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00␉λ",
		out:  "‛␉＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00␉λ",
	}, { // 1836
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\t＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ω␉",
		out:  "␉＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ω␉",
	}, { // 1837
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␉＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ω␉",
		out:  "‛␉＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ω␉",
	}, { // 1838
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ\t\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ωλ",
		out:  "σ\t\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ωλ",
	}, { // 1839
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ␉\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ωλ",
		out:  "σ␉\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ωλ",
	}, { // 1840
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ\t\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00␉λ",
		out:  "σ\t\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00␉λ",
	}, { // 1841
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ␉\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00␉λ",
		out:  "σ␉\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00␉λ",
	}, { // 1842
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ\t\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ω␉",
		out:  "σ\t\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ω␉",
	}, { // 1843
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ␉\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ω␉",
		out:  "σ␉\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ω␉",
	}, { // 1844
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00\tλ",
		out:  "σ＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00\tλ",
	}, { // 1845
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00␉λ",
		out:  "σ＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00␉λ",
	}, { // 1846
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00\t␉",
		out:  "σ＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00\t␉",
	}, { // 1847
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00␉␉",
		out:  "σ＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00␉␉",
	}, { // 1848
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ω\t",
		out:  "σ＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ω\t",
	}, { // 1849
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ω␉",
		out:  "σ＃\n#４GV%ζχ\tP\b␍␌@ω␚［\n␟␊＆[２<D\uff00ω␉",
	}, { // 1850
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "ｃυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;2",
		out:  "ｃυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;2",
	}, { // 1851
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\n␊\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;2",
		out:  "␊␊\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;2",
	}, { // 1852
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␊␊\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;2",
		out:  "‛␊␊\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;2",
	}, { // 1853
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\nυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π␊2",
		out:  "␊υ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π␊2",
	}, { // 1854
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␊υ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π␊2",
		out:  "‛␊υ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π␊2",
	}, { // 1855
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\nυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;␊",
		out:  "␊υ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;␊",
	}, { // 1856
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␊υ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;␊",
		out:  "‛␊υ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;␊",
	}, { // 1857
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "ｃ\n\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;2",
		out:  "ｃ\n\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;2",
	}, { // 1858
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "ｃ␊\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;2",
		out:  "ｃ␊\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;2",
	}, { // 1859
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "ｃ\n\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π␊2",
		out:  "ｃ\n\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π␊2",
	}, { // 1860
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "ｃ␊\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π␊2",
		out:  "ｃ␊\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π␊2",
	}, { // 1861
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "ｃ\n\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;␊",
		out:  "ｃ\n\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;␊",
	}, { // 1862
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "ｃ␊\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;␊",
		out:  "ｃ␊\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;␊",
	}, { // 1863
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "ｃυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π\n2",
		out:  "ｃυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π\n2",
	}, { // 1864
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "ｃυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π␊2",
		out:  "ｃυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π␊2",
	}, { // 1865
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "ｃυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π\n␊",
		out:  "ｃυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π\n␊",
	}, { // 1866
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "ｃυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π␊␊",
		out:  "ｃυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π␊␊",
	}, { // 1867
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "ｃυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;\n",
		out:  "ｃυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;\n",
	}, { // 1868
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "ｃυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;␊",
		out:  "ｃυ\x0f\x7fαｈwυ[＄\n＼vB\x1a␏κ％␝/λ＾␊Ｘ]０␛π;␊",
	}, { // 1869
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r！\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␑",
		out:  "␍！\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␑",
	}, { // 1870
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\v␋\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␑",
		out:  "␋␋\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␑",
	}, { // 1871
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋␋\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␑",
		out:  "‛␋␋\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␑",
	}, { // 1872
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\v！\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15␋␑",
		out:  "␋！\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15␋␑",
	}, { // 1873
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋！\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15␋␑",
		out:  "‛␋！\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15␋␑",
	}, { // 1874
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\v！\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␋",
		out:  "␋！\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␋",
	}, { // 1875
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋！\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␋",
		out:  "‛␋！\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␋",
	}, { // 1876
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r\v\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␑",
		out:  "␍\v\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␑",
	}, { // 1877
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r␋\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␑",
		out:  "␍␋\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␑",
	}, { // 1878
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r\v\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15␋␑",
		out:  "␍\v\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15␋␑",
	}, { // 1879
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r␋\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15␋␑",
		out:  "␍␋\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15␋␑",
	}, { // 1880
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r\v\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␋",
		out:  "␍\v\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␋",
	}, { // 1881
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r␋\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␋",
		out:  "␍␋\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␋",
	}, { // 1882
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r！\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15\v␑",
		out:  "␍！\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15\v␑",
	}, { // 1883
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r！\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15␋␑",
		out:  "␍！\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15␋␑",
	}, { // 1884
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r！\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15\v␋",
		out:  "␍！\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15\v␋",
	}, { // 1885
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r！\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15␋␋",
		out:  "␍！\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15␋␋",
	}, { // 1886
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r！\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！\v",
		out:  "␍！\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！\v",
	}, { // 1887
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r！\x0fC＃τｊＹ／\x00\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␋",
		out:  "␍！\x0fC＃τｊＹ／␀\v␞!δB\\π␞ρI=ν␄␜\uff00λ1\x15！␋",
	}, { // 1888
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fος",
		out:  "σ␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fος",
	}, { // 1889
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r␍l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fος",
		out:  "␍␍l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fος",
	}, { // 1890
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␍␍l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fος",
		out:  "‛␍␍l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fος",
	}, { // 1891
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f␍ς",
		out:  "␍␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f␍ς",
	}, { // 1892
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␍␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f␍ς",
		out:  "‛␍␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f␍ς",
	}, { // 1893
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fο␍",
		out:  "␍␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fο␍",
	}, { // 1894
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␍␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fο␍",
		out:  "‛␍␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fο␍",
	}, { // 1895
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ\rl０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fος",
		out:  "σ\rl０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fος",
	}, { // 1896
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ␍l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fος",
		out:  "σ␍l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fος",
	}, { // 1897
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ\rl０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f␍ς",
		out:  "σ\rl０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f␍ς",
	}, { // 1898
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ␍l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f␍ς",
		out:  "σ␍l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f␍ς",
	}, { // 1899
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ\rl０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fο␍",
		out:  "σ\rl０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fο␍",
	}, { // 1900
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ␍l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fο␍",
		out:  "σ␍l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fο␍",
	}, { // 1901
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f\rς",
		out:  "σ␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f\rς",
	}, { // 1902
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f␍ς",
		out:  "σ␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f␍ς",
	}, { // 1903
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f\r␍",
		out:  "σ␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f\r␍",
	}, { // 1904
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f␍␍",
		out:  "σ␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7f␍␍",
	}, { // 1905
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fο\r",
		out:  "σ␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fο\r",
	}, { // 1906
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "σ␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fο␍",
		out:  "σ␑l０=\aＴ%␐＠\r␊Ｄω^ｚw#␇\x12θ␁>ζ３<＄\x7fο␍",
	}, { // 1907
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "；Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγι",
		out:  "；Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγι",
	}, { // 1908
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\t␉\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγι",
		out:  "␉␉\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγι",
	}, { // 1909
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␉␉\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγι",
		out:  "‛␉␉\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγι",
	}, { // 1910
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\tＹ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn␉ι",
		out:  "␉Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn␉ι",
	}, { // 1911
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␉Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn␉ι",
		out:  "‛␉Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn␉ι",
	}, { // 1912
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\tＹ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγ␉",
		out:  "␉Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγ␉",
	}, { // 1913
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␉Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγ␉",
		out:  "‛␉Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγ␉",
	}, { // 1914
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "；\t\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγι",
		out:  "；\t\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγι",
	}, { // 1915
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "；␉\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγι",
		out:  "；␉\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγι",
	}, { // 1916
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "；\t\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn␉ι",
		out:  "；\t\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn␉ι",
	}, { // 1917
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "；␉\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn␉ι",
		out:  "；␉\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn␉ι",
	}, { // 1918
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "；\t\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγ␉",
		out:  "；\t\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγ␉",
	}, { // 1919
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "；␉\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγ␉",
		out:  "；␉\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγ␉",
	}, { // 1920
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "；Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn\tι",
		out:  "；Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn\tι",
	}, { // 1921
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "；Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn␉ι",
		out:  "；Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn␉ι",
	}, { // 1922
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "；Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn\t␉",
		out:  "；Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn\t␉",
	}, { // 1923
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "；Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn␉␉",
		out:  "；Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩn␉␉",
	}, { // 1924
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "；Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγ\t",
		out:  "；Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγ\t",
	}, { // 1925
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "；Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγ␉",
		out:  "；Ｙ\x10␍＇NＭ?␡4\tχ％β\vG\x02\x15ξ␍？ωAQ\x12ｉＩnγ␉",
	}, { // 1926
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "～␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９L",
		out:  "～␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９L",
	}, { // 1927
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\n␊\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９L",
		out:  "␊␊\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９L",
	}, { // 1928
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␊␊\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９L",
		out:  "‛␊␊\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９L",
	}, { // 1929
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\n␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ␊L",
		out:  "␊␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ␊L",
	}, { // 1930
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␊␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ␊L",
		out:  "‛␊␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ␊L",
	}, { // 1931
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\n␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９␊",
		out:  "␊␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９␊",
	}, { // 1932
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␊␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９␊",
		out:  "‛␊␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９␊",
	}, { // 1933
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "～\n\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９L",
		out:  "～\n\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９L",
	}, { // 1934
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "～␊\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９L",
		out:  "～␊\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９L",
	}, { // 1935
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "～\n\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ␊L",
		out:  "～\n\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ␊L",
	}, { // 1936
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "～␊\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ␊L",
		out:  "～␊\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ␊L",
	}, { // 1937
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "～\n\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９␊",
		out:  "～\n\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９␊",
	}, { // 1938
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "～␊\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９␊",
		out:  "～␊\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９␊",
	}, { // 1939
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "～␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ\nL",
		out:  "～␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ\nL",
	}, { // 1940
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "～␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ␊L",
		out:  "～␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ␊L",
	}, { // 1941
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "～␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ\n␊",
		out:  "～␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ\n␊",
	}, { // 1942
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "～␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ␊␊",
		out:  "～␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ␊␊",
	}, { // 1943
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "～␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９\n",
		out:  "～␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９\n",
	}, { // 1944
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "～␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９␊",
		out:  "～␜\nｎ]\x0e\x1eτG＋\niτ␔␟ο␂+\x03λoＳ␕*ｚ␁νλ９␊",
	}, { // 1945
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\x13␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔κ",
		out:  "\x13␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔κ",
	}, { // 1946
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v␋ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔κ",
		out:  "␋␋ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔κ",
	}, { // 1947
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␋␋ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔κ",
		out:  "‛␋␋ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔κ",
	}, { // 1948
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␋κ",
		out:  "␋␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␋κ",
	}, { // 1949
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␋␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␋κ",
		out:  "‛␋␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␋κ",
	}, { // 1950
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔␋",
		out:  "␋␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔␋",
	}, { // 1951
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␋␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔␋",
		out:  "‛␋␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔␋",
	}, { // 1952
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\x13\vｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔κ",
		out:  "\x13\vｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔κ",
	}, { // 1953
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\x13␋ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔κ",
		out:  "\x13␋ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔κ",
	}, { // 1954
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\x13\vｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␋κ",
		out:  "\x13\vｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␋κ",
	}, { // 1955
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\x13␋ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␋κ",
		out:  "\x13␋ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␋κ",
	}, { // 1956
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\x13\vｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔␋",
		out:  "\x13\vｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔␋",
	}, { // 1957
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\x13␋ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔␋",
		out:  "\x13␋ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔␋",
	}, { // 1958
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\x13␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈\vκ",
		out:  "\x13␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈\vκ",
	}, { // 1959
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\x13␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␋κ",
		out:  "\x13␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␋κ",
	}, { // 1960
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\x13␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈\v␋",
		out:  "\x13␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈\v␋",
	}, { // 1961
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\x13␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␋␋",
		out:  "\x13␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␋␋",
	}, { // 1962
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\x13␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔\v",
		out:  "\x13␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔\v",
	}, { // 1963
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\x13␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔␋",
		out:  "\x13␈ｏr\x19γd␑\x15F\vWγιν\x1c＠.␙β6Ｙ␖－Ｖ/５␈␔␋",
	}, { // 1964
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␃",
		out:  "␋\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␃",
	}, { // 1965
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\r␍φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␃",
		out:  "␍␍φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␃",
	}, { // 1966
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␍␍φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␃",
		out:  "‛␍␍φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␃",
	}, { // 1967
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\r\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz␍␃",
		out:  "␍\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz␍␃",
	}, { // 1968
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␍\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz␍␃",
		out:  "‛␍\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz␍␃",
	}, { // 1969
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\r\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␍",
		out:  "␍\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␍",
	}, { // 1970
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␍\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␍",
		out:  "‛␍\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␍",
	}, { // 1971
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v\rφt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␃",
		out:  "␋\rφt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␃",
	}, { // 1972
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v␍φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␃",
		out:  "␋␍φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␃",
	}, { // 1973
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v\rφt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz␍␃",
		out:  "␋\rφt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz␍␃",
	}, { // 1974
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v␍φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz␍␃",
		out:  "␋␍φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz␍␃",
	}, { // 1975
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v\rφt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␍",
		out:  "␋\rφt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␍",
	}, { // 1976
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v␍φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␍",
		out:  "␋␍φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␍",
	}, { // 1977
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz\r␃",
		out:  "␋\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz\r␃",
	}, { // 1978
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz␍␃",
		out:  "␋\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz␍␃",
	}, { // 1979
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz\r␍",
		out:  "␋\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz\r␍",
	}, { // 1980
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz␍␍",
		out:  "␋\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz␍␍",
	}, { // 1981
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀\r",
		out:  "␋\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀\r",
	}, { // 1982
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␍",
		out:  "␋\x10φt(｜␂δι｀\r？MＷμ５！ｓ<7\x1b>］σ'Fωz｀␍",
	}, { // 1983
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD－",
		out:  "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD－",
	}, { // 1984
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\t␉␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD－",
		out:  "␉␉␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD－",
	}, { // 1985
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉␉␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD－",
		out:  "‛␉␉␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD－",
	}, { // 1986
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\t\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ␉－",
		out:  "␉\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ␉－",
	}, { // 1987
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ␉－",
		out:  "‛␉\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ␉－",
	}, { // 1988
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\t\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD␉",
		out:  "␉\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD␉",
	}, { // 1989
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD␉",
		out:  "‛␉\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD␉",
	}, { // 1990
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD－",
		out:  "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD－",
	}, { // 1991
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ε␉␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD－",
		out:  "ε␉␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD－",
	}, { // 1992
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ␉－",
		out:  "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ␉－",
	}, { // 1993
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ε␉␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ␉－",
		out:  "ε␉␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ␉－",
	}, { // 1994
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD␉",
		out:  "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD␉",
	}, { // 1995
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ε␉␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD␉",
		out:  "ε␉␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD␉",
	}, { // 1996
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ\t－",
		out:  "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ\t－",
	}, { // 1997
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ␉－",
		out:  "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ␉－",
	}, { // 1998
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ\t␉",
		out:  "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ\t␉",
	}, { // 1999
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ␉␉",
		out:  "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯ␉␉",
	}, { // 2000
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD\t",
		out:  "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD\t",
	}, { // 2001
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD␉",
		out:  "ε\t␚［\x1fιq！8ｚ\tｓ\nｅjb`\x12η␊␅\x05％χ\x12ＯοＯD␉",
	}, { // 2002
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉？␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ7␞",
		out:  "‛␉‛？␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ7␞",
	}, { // 2003
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\n␊␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ7␞",
		out:  "␊␊␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ7␞",
	}, { // 2004
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␊␊␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ7␞",
		out:  "‛␊␊␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ7␞",
	}, { // 2005
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\n？␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ␊␞",
		out:  "␊‛？␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ␊␞",
	}, { // 2006
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␊？␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ␊␞",
		out:  "‛␊‛？␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ␊␞",
	}, { // 2007
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\n？␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ7␊",
		out:  "␊‛？␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ7␊",
	}, { // 2008
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␊？␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ7␊",
		out:  "‛␊‛？␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ7␊",
	}, { // 2009
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉\n␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ7␞",
		out:  "‛␉\n␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ7␞",
	}, { // 2010
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉␊␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ7␞",
		out:  "‛␉␊␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ7␞",
	}, { // 2011
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉\n␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ␊␞",
		out:  "‛␉\n␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ␊␞",
	}, { // 2012
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉␊␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ␊␞",
		out:  "‛␉␊␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ␊␞",
	}, { // 2013
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉\n␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ7␊",
		out:  "‛␉\n␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ7␊",
	}, { // 2014
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉␊␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ7␊",
		out:  "‛␉␊␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ7␊",
	}, { // 2015
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉？␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ\n␞",
		out:  "‛␉‛？␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ\n␞",
	}, { // 2016
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉？␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ␊␞",
		out:  "‛␉‛？␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ␊␞",
	}, { // 2017
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉？␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ\n␊",
		out:  "‛␉‛？␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ\n␊",
	}, { // 2018
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉？␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ␊␊",
		out:  "‛␉‛？␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ␊␊",
	}, { // 2019
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉？␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ7\n",
		out:  "‛␉‛？␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ7\n",
	}, { // 2020
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉？␎␁θ\x01%\x06␝＂\nπ\x7f？＊ｘ'RυBυａε\nYj\x0eρ7␊",
		out:  "‛␉‛？␎␁θ\x01%\x06␝＂\nπ\x7f‛？＊ｘ'RυBυａε\nYj\x0eρ7␊",
	}, { // 2021
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "hnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␈t",
		out:  "hnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␈t",
	}, { // 2022
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\v␋Ｑ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␈t",
		out:  "␋␋Ｑ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␈t",
	}, { // 2023
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␋␋Ｑ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␈t",
		out:  "‛␋␋Ｑ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␈t",
	}, { // 2024
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\vnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␋t",
		out:  "␋nＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␋t",
	}, { // 2025
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␋nＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␋t",
		out:  "‛␋nＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␋t",
	}, { // 2026
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\vnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␈␋",
		out:  "␋nＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␈␋",
	}, { // 2027
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␋nＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␈␋",
		out:  "‛␋nＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␈␋",
	}, { // 2028
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "h\vＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␈t",
		out:  "h\vＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␈t",
	}, { // 2029
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "h␋Ｑ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␈t",
		out:  "h␋Ｑ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␈t",
	}, { // 2030
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "h\vＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␋t",
		out:  "h\vＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␋t",
	}, { // 2031
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "h␋Ｑ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␋t",
		out:  "h␋Ｑ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␋t",
	}, { // 2032
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "h\vＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␈␋",
		out:  "h\vＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␈␋",
	}, { // 2033
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "h␋Ｑ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␈␋",
		out:  "h␋Ｑ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␈␋",
	}, { // 2034
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "hnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀\vt",
		out:  "hnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀\vt",
	}, { // 2035
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "hnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␋t",
		out:  "hnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␋t",
	}, { // 2036
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "hnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀\v␋",
		out:  "hnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀\v␋",
	}, { // 2037
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "hnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␋␋",
		out:  "hnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␋␋",
	}, { // 2038
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "hnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␈\v",
		out:  "hnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␈\v",
	}, { // 2039
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "hnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝␀δ\x1cθγ\x1e\r｀␈␋",
		out:  "hnＱ１＃\x02!λo#\v␃，␛ｕb｛!α＝‛␀δ\x1cθγ\x1e\r｀␈␋",
	}, { // 2040
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`αζ",
		out:  "␐＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`αζ",
	}, { // 2041
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\r␍\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`αζ",
		out:  "␍␍\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`αζ",
	}, { // 2042
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␍␍\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`αζ",
		out:  "‛␍␍\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`αζ",
	}, { // 2043
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\r＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`␍ζ",
		out:  "␍＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`␍ζ",
	}, { // 2044
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␍＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`␍ζ",
		out:  "‛␍＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`␍ζ",
	}, { // 2045
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\r＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`α␍",
		out:  "␍＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`α␍",
	}, { // 2046
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␍＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`α␍",
		out:  "‛␍＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`α␍",
	}, { // 2047
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐\r\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`αζ",
		out:  "␐\r\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`αζ",
	}, { // 2048
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐␍\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`αζ",
		out:  "␐␍\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`αζ",
	}, { // 2049
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐\r\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`␍ζ",
		out:  "␐\r\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`␍ζ",
	}, { // 2050
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐␍\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`␍ζ",
		out:  "␐␍\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`␍ζ",
	}, { // 2051
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐\r\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`α␍",
		out:  "␐\r\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`α␍",
	}, { // 2052
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐␍\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`α␍",
		out:  "␐␍\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`α␍",
	}, { // 2053
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`\rζ",
		out:  "␐＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`\rζ",
	}, { // 2054
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`␍ζ",
		out:  "␐＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`␍ζ",
	}, { // 2055
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`\r␍",
		out:  "␐＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`\r␍",
	}, { // 2056
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`␍␍",
		out:  "␐＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`␍␍",
	}, { // 2057
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`α\r",
		out:  "␐＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`α\r",
	}, { // 2058
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`α␍",
		out:  "␐＾\x1eＳz␊␖θＯ\r\r␇VＩξ4P\x152$␗Ｎaυ␛αｆ`α␍",
	}, { // 2059
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "8\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN\x02p",
		out:  "8\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN\x02p",
	}, { // 2060
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\t␉ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN\x02p",
		out:  "␉␉ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN\x02p",
	}, { // 2061
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␉␉ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN\x02p",
		out:  "‛␉␉ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN\x02p",
	}, { // 2062
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\t\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN␉p",
		out:  "␉\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN␉p",
	}, { // 2063
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␉\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN␉p",
		out:  "‛␉\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN␉p",
	}, { // 2064
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\t\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN\x02␉",
		out:  "␉\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN\x02␉",
	}, { // 2065
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␉\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN\x02␉",
		out:  "‛␉\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN\x02␉",
	}, { // 2066
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "8\tｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN\x02p",
		out:  "8\tｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN\x02p",
	}, { // 2067
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "8␉ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN\x02p",
		out:  "8␉ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN\x02p",
	}, { // 2068
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "8\tｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN␉p",
		out:  "8\tｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN␉p",
	}, { // 2069
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "8␉ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN␉p",
		out:  "8␉ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN␉p",
	}, { // 2070
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "8\tｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN\x02␉",
		out:  "8\tｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN\x02␉",
	}, { // 2071
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "8␉ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN\x02␉",
		out:  "8␉ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN\x02␉",
	}, { // 2072
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "8\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN\tp",
		out:  "8\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN\tp",
	}, { // 2073
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "8\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN␉p",
		out:  "8\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN␉p",
	}, { // 2074
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "8\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN\t␉",
		out:  "8\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN\t␉",
	}, { // 2075
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "8\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN␉␉",
		out:  "8\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN␉␉",
	}, { // 2076
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "8\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN\x02\t",
		out:  "8\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN\x02\t",
	}, { // 2077
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "8\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓␀φω\x17␡␑4ηJνN\x02␉",
		out:  "8\x03ｅDς␘φ\x05－\x14\t＼Ｖ\x1d␋＾␓‛␀φω\x17␡␑4ηJνN\x02␉",
	}, { // 2078
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "＂\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␔",
		out:  "＂\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␔",
	}, { // 2079
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\n␊？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␔",
		out:  "␊␊？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␔",
	}, { // 2080
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␊␊？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␔",
		out:  "‛␊␊？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␔",
	}, { // 2081
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\n\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ␊␔",
		out:  "␊\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ␊␔",
	}, { // 2082
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␊\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ␊␔",
		out:  "‛␊\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ␊␔",
	}, { // 2083
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\n\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␊",
		out:  "␊\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␊",
	}, { // 2084
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␊\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␊",
		out:  "‛␊\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␊",
	}, { // 2085
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "＂\n？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␔",
		out:  "＂\n？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␔",
	}, { // 2086
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "＂␊？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␔",
		out:  "＂␊？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␔",
	}, { // 2087
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "＂\n？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ␊␔",
		out:  "＂\n？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ␊␔",
	}, { // 2088
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "＂␊？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ␊␔",
		out:  "＂␊？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ␊␔",
	}, { // 2089
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "＂\n？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␊",
		out:  "＂\n？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␊",
	}, { // 2090
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "＂␊？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␊",
		out:  "＂␊？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␊",
	}, { // 2091
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "＂\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ\n␔",
		out:  "＂\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ\n␔",
	}, { // 2092
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "＂\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ␊␔",
		out:  "＂\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ␊␔",
	}, { // 2093
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "＂\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ\n␊",
		out:  "＂\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ\n␊",
	}, { // 2094
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "＂\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ␊␊",
		out:  "＂\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ␊␊",
	}, { // 2095
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "＂\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$\n",
		out:  "＂\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$\n",
	}, { // 2096
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "＂\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␊",
		out:  "＂\x02？6/C#ρυz\nο\x03ｎ［Ｓ␓ζ␛θν＾\nｏF␞mｊ$␊",
	}, { // 2097
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "πｓ］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01Gθ\x0f",
		out:  "πｓ］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01Gθ\x0f",
	}, { // 2098
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\v␋］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01Gθ\x0f",
		out:  "␋␋］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01Gθ\x0f",
	}, { // 2099
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␋␋］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01Gθ\x0f",
		out:  "‛␋␋］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01Gθ\x0f",
	}, { // 2100
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\vｓ］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01G␋\x0f",
		out:  "␋ｓ］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01G␋\x0f",
	}, { // 2101
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␋ｓ］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01G␋\x0f",
		out:  "‛␋ｓ］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01G␋\x0f",
	}, { // 2102
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\vｓ］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01Gθ␋",
		out:  "␋ｓ］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01Gθ␋",
	}, { // 2103
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␋ｓ］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01Gθ␋",
		out:  "‛␋ｓ］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01Gθ␋",
	}, { // 2104
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "π\v］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01Gθ\x0f",
		out:  "π\v］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01Gθ\x0f",
	}, { // 2105
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "π␋］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01Gθ\x0f",
		out:  "π␋］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01Gθ\x0f",
	}, { // 2106
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "π\v］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01G␋\x0f",
		out:  "π\v］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01G␋\x0f",
	}, { // 2107
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "π␋］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01G␋\x0f",
		out:  "π␋］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01G␋\x0f",
	}, { // 2108
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "π\v］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01Gθ␋",
		out:  "π\v］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01Gθ␋",
	}, { // 2109
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "π␋］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01Gθ␋",
		out:  "π␋］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01Gθ␋",
	}, { // 2110
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "πｓ］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01G\v\x0f",
		out:  "πｓ］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01G\v\x0f",
	}, { // 2111
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "πｓ］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01G␋\x0f",
		out:  "πｓ］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01G␋\x0f",
	}, { // 2112
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "πｓ］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01G\v␋",
		out:  "πｓ］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01G\v␋",
	}, { // 2113
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "πｓ］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01G␋␋",
		out:  "πｓ］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01G␋␋",
	}, { // 2114
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "πｓ］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01Gθ\v",
		out:  "πｓ］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01Gθ\v",
	}, { // 2115
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "πｓ］＜Ｒ`η␅πU\vγ＜：2␙＊#AZ`＝β]ｚＤ\x01Gθ␋",
		out:  "πｓ］＜Ｒ`η␅πU\vγ＜：2␙‛＊#AZ`＝β]ｚＤ\x01Gθ␋",
	}, { // 2116
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ｑh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆dβ",
		out:  "ｑh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆dβ",
	}, { // 2117
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\r␍`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆dβ",
		out:  "␍␍`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆dβ",
	}, { // 2118
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␍␍`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆dβ",
		out:  "‛␍␍`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆dβ",
	}, { // 2119
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\rh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆␍β",
		out:  "␍h`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆␍β",
	}, { // 2120
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␍h`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆␍β",
		out:  "‛␍h`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆␍β",
	}, { // 2121
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\rh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆d␍",
		out:  "␍h`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆d␍",
	}, { // 2122
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␍h`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆d␍",
		out:  "‛␍h`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆d␍",
	}, { // 2123
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ｑ\r`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆dβ",
		out:  "ｑ\r`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆dβ",
	}, { // 2124
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ｑ␍`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆dβ",
		out:  "ｑ␍`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆dβ",
	}, { // 2125
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ｑ\r`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆␍β",
		out:  "ｑ\r`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆␍β",
	}, { // 2126
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ｑ␍`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆␍β",
		out:  "ｑ␍`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆␍β",
	}, { // 2127
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ｑ\r`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆d␍",
		out:  "ｑ\r`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆d␍",
	}, { // 2128
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ｑ␍`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆d␍",
		out:  "ｑ␍`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆d␍",
	}, { // 2129
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ｑh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆\rβ",
		out:  "ｑh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆\rβ",
	}, { // 2130
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ｑh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆␍β",
		out:  "ｑh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆␍β",
	}, { // 2131
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ｑh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆\r␍",
		out:  "ｑh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆\r␍",
	}, { // 2132
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ｑh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆␍␍",
		out:  "ｑh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆␍␍",
	}, { // 2133
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ｑh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆d\r",
		out:  "ｑh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆d\r",
	}, { // 2134
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ｑh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆d␍",
		out:  "ｑh`DＧ1␊␘␕＝\r\x11ｇ␖＞υωνs␌λω\x18/C\b|␆d␍",
	}, { // 2135
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ＿",
		out:  "␓␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ＿",
	}, { // 2136
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\t␉Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ＿",
		out:  "␉␉Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ＿",
	}, { // 2137
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␉␉Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ＿",
		out:  "‛␉␉Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ＿",
	}, { // 2138
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\t␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ␉＿",
		out:  "␉␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ␉＿",
	}, { // 2139
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␉␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ␉＿",
		out:  "‛␉␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ␉＿",
	}, { // 2140
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\t␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ␉",
		out:  "␉␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ␉",
	}, { // 2141
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␉␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ␉",
		out:  "‛␉␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ␉",
	}, { // 2142
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓\tＷ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ＿",
		out:  "␓\tＷ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ＿",
	}, { // 2143
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓␉Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ＿",
		out:  "␓␉Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ＿",
	}, { // 2144
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓\tＷ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ␉＿",
		out:  "␓\tＷ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ␉＿",
	}, { // 2145
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓␉Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ␉＿",
		out:  "␓␉Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ␉＿",
	}, { // 2146
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓\tＷ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ␉",
		out:  "␓\tＷ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ␉",
	}, { // 2147
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓␉Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ␉",
		out:  "␓␉Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ␉",
	}, { // 2148
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ\t＿",
		out:  "␓␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ\t＿",
	}, { // 2149
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ␉＿",
		out:  "␓␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ␉＿",
	}, { // 2150
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ\t␉",
		out:  "␓␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ\t␉",
	}, { // 2151
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ␉␉",
		out:  "␓␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θ␉␉",
	}, { // 2152
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ\t",
		out:  "␓␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ\t",
	}, { // 2153
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ␉",
		out:  "␓␟Ｗ␊δω8$\x1dＤ\tH␈\x1f\"μ＇Q␞/ｆω#β\x12[\x03θｇ␉",
	}, { // 2154
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "τ＊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␄",
		out:  "τ＊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␄",
	}, { // 2155
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\n␊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␄",
		out:  "␊␊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␄",
	}, { // 2156
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␊␊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␄",
		out:  "‛␊␊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␄",
	}, { // 2157
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\n＊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e␊␄",
		out:  "␊＊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e␊␄",
	}, { // 2158
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␊＊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e␊␄",
		out:  "‛␊＊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e␊␄",
	}, { // 2159
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\n＊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␊",
		out:  "␊＊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␊",
	}, { // 2160
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␊＊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␊",
		out:  "‛␊＊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␊",
	}, { // 2161
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "τ\nq\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␄",
		out:  "τ\nq\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␄",
	}, { // 2162
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "τ␊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␄",
		out:  "τ␊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␄",
	}, { // 2163
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "τ\nq\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e␊␄",
		out:  "τ\nq\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e␊␄",
	}, { // 2164
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "τ␊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e␊␄",
		out:  "τ␊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e␊␄",
	}, { // 2165
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "τ\nq\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␊",
		out:  "τ\nq\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␊",
	}, { // 2166
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "τ␊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␊",
		out:  "τ␊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␊",
	}, { // 2167
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "τ＊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\n␄",
		out:  "τ＊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\n␄",
	}, { // 2168
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "τ＊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e␊␄",
		out:  "τ＊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e␊␄",
	}, { // 2169
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "τ＊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\n␊",
		out:  "τ＊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\n␊",
	}, { // 2170
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "τ＊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e␊␊",
		out:  "τ＊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e␊␊",
	}, { // 2171
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "τ＊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03\n",
		out:  "τ＊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03\n",
	}, { // 2172
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "τ＊q\x19␐␃｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␊",
		out:  "τ＊q\x19␐␃‛｜\nξφ\n＊μＳm\x0e␝5ｐs?τ\x13δｄ５2\x1e\x03␊",
	}, { // 2173
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "}u`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ＇",
		out:  "}u`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ＇",
	}, { // 2174
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\v␋`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ＇",
		out:  "␋␋`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ＇",
	}, { // 2175
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␋␋`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ＇",
		out:  "‛␋␋`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ＇",
	}, { // 2176
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\vu`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*␋＇",
		out:  "␋u`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*␋＇",
	}, { // 2177
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␋u`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*␋＇",
		out:  "‛␋u`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*␋＇",
	}, { // 2178
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\vu`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ␋",
		out:  "␋u`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ␋",
	}, { // 2179
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␋u`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ␋",
		out:  "‛␋u`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ␋",
	}, { // 2180
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "}\v`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ＇",
		out:  "}\v`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ＇",
	}, { // 2181
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "}␋`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ＇",
		out:  "}␋`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ＇",
	}, { // 2182
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "}\v`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*␋＇",
		out:  "}\v`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*␋＇",
	}, { // 2183
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "}␋`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*␋＇",
		out:  "}␋`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*␋＇",
	}, { // 2184
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "}\v`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ␋",
		out:  "}\v`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ␋",
	}, { // 2185
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "}␋`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ␋",
		out:  "}␋`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ␋",
	}, { // 2186
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "}u`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*\v＇",
		out:  "}u`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*\v＇",
	}, { // 2187
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "}u`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*␋＇",
		out:  "}u`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*␋＇",
	}, { // 2188
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "}u`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*\v␋",
		out:  "}u`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*\v␋",
	}, { // 2189
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "}u`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*␋␋",
		out:  "}u`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*␋␋",
	}, { // 2190
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "}u`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ\v",
		out:  "}u`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ\v",
	}, { // 2191
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "}u`｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ␋",
		out:  "}u`‛｜５2γψθθ\vl\x7fτｂ>␍ωＥｈ\x11␡ｇ\\；3\x16*ｙ␋",
	}, { // 2192
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\x17Ｋβυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛／",
		out:  "\x17Ｋβυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛／",
	}, { // 2193
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\r␍βυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛／",
		out:  "␍␍βυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛／",
	}, { // 2194
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␍␍βυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛／",
		out:  "‛␍␍βυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛／",
	}, { // 2195
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\rＫβυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␍／",
		out:  "␍Ｋβυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␍／",
	}, { // 2196
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␍Ｋβυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␍／",
		out:  "‛␍Ｋβυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␍／",
	}, { // 2197
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\rＫβυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛␍",
		out:  "␍Ｋβυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛␍",
	}, { // 2198
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␍Ｋβυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛␍",
		out:  "‛␍Ｋβυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛␍",
	}, { // 2199
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\x17\rβυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛／",
		out:  "\x17\rβυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛／",
	}, { // 2200
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\x17␍βυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛／",
		out:  "\x17␍βυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛／",
	}, { // 2201
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\x17\rβυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␍／",
		out:  "\x17\rβυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␍／",
	}, { // 2202
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\x17␍βυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␍／",
		out:  "\x17␍βυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␍／",
	}, { // 2203
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\x17\rβυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛␍",
		out:  "\x17\rβυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛␍",
	}, { // 2204
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\x17␍βυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛␍",
		out:  "\x17␍βυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛␍",
	}, { // 2205
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\x17Ｋβυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒\r／",
		out:  "\x17Ｋβυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒\r／",
	}, { // 2206
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\x17Ｋβυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␍／",
		out:  "\x17Ｋβυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␍／",
	}, { // 2207
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\x17Ｋβυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒\r␍",
		out:  "\x17Ｋβυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒\r␍",
	}, { // 2208
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\x17Ｋβυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␍␍",
		out:  "\x17Ｋβυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␍␍",
	}, { // 2209
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\x17Ｋβυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛\r",
		out:  "\x17Ｋβυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛\r",
	}, { // 2210
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\x17Ｋβυγμφ␀\x12<\rＬ'|h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛␍",
		out:  "\x17Ｋβυγμφ‛␀\x12<\rＬ'｜h␇／Ｊ\x18pｍｎιｌ\x1dQ\x19␒␛␍",
	}, { // 2211
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\rZ",
		out:  "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\rZ",
	}, { // 2212
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\t␉φU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\rZ",
		out:  "␉␉φU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\rZ",
	}, { // 2213
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␉␉φU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\rZ",
		out:  "‛␉␉φU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\rZ",
	}, { // 2214
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\t\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏␉Z",
		out:  "␉\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏␉Z",
	}, { // 2215
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␉\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏␉Z",
		out:  "‛␉\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏␉Z",
	}, { // 2216
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\t\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\r␉",
		out:  "␉\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\r␉",
	}, { // 2217
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␉\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\r␉",
		out:  "‛␉\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\r␉",
	}, { // 2218
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\rZ",
		out:  "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\rZ",
	}, { // 2219
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\b␉φU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\rZ",
		out:  "\b␉φU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\rZ",
	}, { // 2220
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏␉Z",
		out:  "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏␉Z",
	}, { // 2221
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\b␉φU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏␉Z",
		out:  "\b␉φU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏␉Z",
	}, { // 2222
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\r␉",
		out:  "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\r␉",
	}, { // 2223
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\b␉φU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\r␉",
		out:  "\b␉φU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\r␉",
	}, { // 2224
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\tZ",
		out:  "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\tZ",
	}, { // 2225
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏␉Z",
		out:  "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏␉Z",
	}, { // 2226
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\t␉",
		out:  "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\t␉",
	}, { // 2227
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏␉␉",
		out:  "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏␉␉",
	}, { // 2228
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\r\t",
		out:  "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\r\t",
	}, { // 2229
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\r␉",
		out:  "\b\tφU␖］｜{Ｘγ\tθημ（ＵlT\x0fπ`␖ｑｚ｀；]␏\r␉",
	}, { // 2230
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "4９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#；\f",
		out:  "4９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃；\f",
	}, { // 2231
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\n␊\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#；\f",
		out:  "␊␊\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃；\f",
	}, { // 2232
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␊␊\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#；\f",
		out:  "‛␊␊\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃；\f",
	}, { // 2233
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\n９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#␊\f",
		out:  "␊９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃␊\f",
	}, { // 2234
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␊９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#␊\f",
		out:  "‛␊９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃␊\f",
	}, { // 2235
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\n９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#；␊",
		out:  "␊９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃；␊",
	}, { // 2236
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␊９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#；␊",
		out:  "‛␊９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃；␊",
	}, { // 2237
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "4\n\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#；\f",
		out:  "4\n\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃；\f",
	}, { // 2238
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "4␊\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#；\f",
		out:  "4␊\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃；\f",
	}, { // 2239
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "4\n\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#␊\f",
		out:  "4\n\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃␊\f",
	}, { // 2240
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "4␊\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#␊\f",
		out:  "4␊\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃␊\f",
	}, { // 2241
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "4\n\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#；␊",
		out:  "4\n\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃；␊",
	}, { // 2242
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "4␊\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#；␊",
		out:  "4␊\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃；␊",
	}, { // 2243
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "4９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#\n\f",
		out:  "4９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃\n\f",
	}, { // 2244
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "4９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#␊\f",
		out:  "4９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃␊\f",
	}, { // 2245
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "4９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#\n␊",
		out:  "4９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃\n␊",
	}, { // 2246
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "4９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#␊␊",
		out:  "4９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃␊␊",
	}, { // 2247
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "4９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#；\n",
		out:  "4９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃；\n",
	}, { // 2248
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "4９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ␀ｆ#；␊",
		out:  "4９\x03α\x01(O\x18Q＜\n，/ζ␃.\nα␋ｒψα］␗Ｗ‛␀ｆ＃；␊",
	}, { // 2249
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "ωＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1fρ",
		out:  "ωＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1fρ",
	}, { // 2250
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\v␋ψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1fρ",
		out:  "␋␋ψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1fρ",
	}, { // 2251
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␋␋ψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1fρ",
		out:  "‛␋␋ψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1fρ",
	}, { // 2252
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\vＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［␋ρ",
		out:  "␋ＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［␋ρ",
	}, { // 2253
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␋ＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［␋ρ",
		out:  "‛␋ＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［␋ρ",
	}, { // 2254
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\vＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1f␋",
		out:  "␋ＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1f␋",
	}, { // 2255
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␋ＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1f␋",
		out:  "‛␋ＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1f␋",
	}, { // 2256
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "ω\vψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1fρ",
		out:  "ω\vψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1fρ",
	}, { // 2257
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "ω␋ψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1fρ",
		out:  "ω␋ψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1fρ",
	}, { // 2258
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "ω\vψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［␋ρ",
		out:  "ω\vψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［␋ρ",
	}, { // 2259
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "ω␋ψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［␋ρ",
		out:  "ω␋ψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［␋ρ",
	}, { // 2260
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "ω\vψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1f␋",
		out:  "ω\vψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1f␋",
	}, { // 2261
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "ω␋ψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1f␋",
		out:  "ω␋ψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1f␋",
	}, { // 2262
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "ωＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\vρ",
		out:  "ωＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\vρ",
	}, { // 2263
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "ωＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［␋ρ",
		out:  "ωＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［␋ρ",
	}, { // 2264
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "ωＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\v␋",
		out:  "ωＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\v␋",
	}, { // 2265
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "ωＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［␋␋",
		out:  "ωＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［␋␋",
	}, { // 2266
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "ωＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1f\v",
		out:  "ωＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1f\v",
	}, { // 2267
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "ωＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1f␋",
		out:  "ωＸψＰ\x19\"Ｍβ％%\v＼5␖ｙ／χ\x16\r␟|m^\nＶοn［\x1f␋",
	}, { // 2268
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "D␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␄τ",
		out:  "D‛␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␄τ",
	}, { // 2269
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\r␍/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␄τ",
		out:  "␍␍/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␄τ",
	}, { // 2270
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␍␍/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␄τ",
		out:  "‛␍␍/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␄τ",
	}, { // 2271
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\r␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␍τ",
		out:  "␍‛␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␍τ",
	}, { // 2272
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␍␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␍τ",
		out:  "‛␍‛␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␍τ",
	}, { // 2273
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\r␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␄␍",
		out:  "␍‛␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␄␍",
	}, { // 2274
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␍␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␄␍",
		out:  "‛␍‛␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␄␍",
	}, { // 2275
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "D\r/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␄τ",
		out:  "D\r/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␄τ",
	}, { // 2276
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "D␍/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␄τ",
		out:  "D␍/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␄τ",
	}, { // 2277
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "D\r/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␍τ",
		out:  "D\r/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␍τ",
	}, { // 2278
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "D␍/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␍τ",
		out:  "D␍/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␍τ",
	}, { // 2279
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "D\r/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␄␍",
		out:  "D\r/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␄␍",
	}, { // 2280
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "D␍/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␄␍",
		out:  "D␍/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␄␍",
	}, { // 2281
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "D␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14\rτ",
		out:  "D‛␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14\rτ",
	}, { // 2282
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "D␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␍τ",
		out:  "D‛␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␍τ",
	}, { // 2283
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "D␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14\r␍",
		out:  "D‛␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14\r␍",
	}, { // 2284
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "D␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␍␍",
		out:  "D‛␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␍␍",
	}, { // 2285
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "D␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␄\r",
		out:  "D‛␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␄\r",
	}, { // 2286
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "D␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa␀ση␡\f\x14␄␍",
		out:  "D‛␀/Mυ＄ｉＭ＿'\r␇v\x15３Ｆ?ζF␜σa‛␀ση␡\f\x14␄␍",
	}, { // 2287
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾%p",
		out:  "‛␊;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾％p",
	}, { // 2288
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\t␉ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾%p",
		out:  "␉␉ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾％p",
	}, { // 2289
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␉␉ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾%p",
		out:  "‛␉␉ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾％p",
	}, { // 2290
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\t;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾␉p",
		out:  "␉;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾␉p",
	}, { // 2291
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␉;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾␉p",
		out:  "‛␉;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾␉p",
	}, { // 2292
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\t;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾%␉",
		out:  "␉;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾％␉",
	}, { // 2293
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␉;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾%␉",
		out:  "‛␉;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾％␉",
	}, { // 2294
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊\tａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾%p",
		out:  "‛␊\tａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾％p",
	}, { // 2295
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊␉ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾%p",
		out:  "‛␊␉ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾％p",
	}, { // 2296
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊\tａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾␉p",
		out:  "‛␊\tａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾␉p",
	}, { // 2297
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊␉ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾␉p",
		out:  "‛␊␉ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾␉p",
	}, { // 2298
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊\tａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾%␉",
		out:  "‛␊\tａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾％␉",
	}, { // 2299
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊␉ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾%␉",
		out:  "‛␊␉ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾％␉",
	}, { // 2300
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾\tp",
		out:  "‛␊;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾\tp",
	}, { // 2301
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾␉p",
		out:  "‛␊;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾␉p",
	}, { // 2302
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾\t␉",
		out:  "‛␊;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾\t␉",
	}, { // 2303
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾␉␉",
		out:  "‛␊;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾␉␉",
	}, { // 2304
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾%\t",
		out:  "‛␊;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾％\t",
	}, { // 2305
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ\x00ｖB\"␡θ＾%␉",
		out:  "‛␊;ａ>κ␜␘\x05@δ\tυＥ＃\aj＊｜γξＧ␀ｖB\"␡θ＾％␉",
	}, { // 2306
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγγ",
		out:  "␊｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγγ",
	}, { // 2307
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n␊υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγγ",
		out:  "␊␊υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγγ",
	}, { // 2308
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊␊υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγγ",
		out:  "‛␊␊υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγγ",
	}, { // 2309
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς␊γ",
		out:  "␊｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς␊γ",
	}, { // 2310
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς␊γ",
		out:  "‛␊｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς␊γ",
	}, { // 2311
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγ␊",
		out:  "␊｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγ␊",
	}, { // 2312
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγ␊",
		out:  "‛␊｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγ␊",
	}, { // 2313
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n\nυ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγγ",
		out:  "␊\nυ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγγ",
	}, { // 2314
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n␊υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγγ",
		out:  "␊␊υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγγ",
	}, { // 2315
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n\nυ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς␊γ",
		out:  "␊\nυ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς␊γ",
	}, { // 2316
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n␊υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς␊γ",
		out:  "␊␊υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς␊γ",
	}, { // 2317
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n\nυ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγ␊",
		out:  "␊\nυ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγ␊",
	}, { // 2318
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n␊υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγ␊",
		out:  "␊␊υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγ␊",
	}, { // 2319
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς\nγ",
		out:  "␊｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς\nγ",
	}, { // 2320
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς␊γ",
		out:  "␊｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς␊γ",
	}, { // 2321
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς\n␊",
		out:  "␊｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς\n␊",
	}, { // 2322
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς␊␊",
		out:  "␊｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ς␊␊",
	}, { // 2323
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγ\n",
		out:  "␊｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγ\n",
	}, { // 2324
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγ␊",
		out:  "␊｜υ＜Ｄ_＝␙:｜\n\x0e>C．ｈ\x7fa\"␜κq␓＄ｉ#\x15ςγ␊",
	}, { // 2325
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "χ/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ0",
		out:  "χ/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ0",
	}, { // 2326
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\v␋ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ0",
		out:  "␋␋ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ0",
	}, { // 2327
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␋␋ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ0",
		out:  "‛␋␋ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ0",
	}, { // 2328
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\v/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14␋0",
		out:  "␋/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14␋0",
	}, { // 2329
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␋/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14␋0",
		out:  "‛␋/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14␋0",
	}, { // 2330
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\v/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ␋",
		out:  "␋/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ␋",
	}, { // 2331
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␋/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ␋",
		out:  "‛␋/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ␋",
	}, { // 2332
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "χ\vς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ0",
		out:  "χ\vς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ0",
	}, { // 2333
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "χ␋ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ0",
		out:  "χ␋ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ0",
	}, { // 2334
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "χ\vς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14␋0",
		out:  "χ\vς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14␋0",
	}, { // 2335
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "χ␋ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14␋0",
		out:  "χ␋ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14␋0",
	}, { // 2336
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "χ\vς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ␋",
		out:  "χ\vς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ␋",
	}, { // 2337
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "χ␋ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ␋",
		out:  "χ␋ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ␋",
	}, { // 2338
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "χ/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14\v0",
		out:  "χ/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14\v0",
	}, { // 2339
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "χ/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14␋0",
		out:  "χ/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14␋0",
	}, { // 2340
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "χ/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14\v␋",
		out:  "χ/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14\v␋",
	}, { // 2341
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "χ/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14␋␋",
		out:  "χ/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14␋␋",
	}, { // 2342
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "χ/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ\v",
		out:  "χ/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ\v",
	}, { // 2343
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "χ/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ␋",
		out:  "χ/ς␊ηλ?＜｛O\v␆'␆.ｐＱδk｀！α␎␍j\x1d\x17\x14Ｕ␋",
	}, { // 2344
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "：o５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c\t",
		out:  "：o５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c\t",
	}, { // 2345
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\r␍５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c\t",
		out:  "␍␍５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c\t",
	}, { // 2346
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␍␍５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c\t",
		out:  "‛␍␍５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c\t",
	}, { // 2347
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\ro５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π␍\t",
		out:  "␍o５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π␍\t",
	}, { // 2348
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␍o５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π␍\t",
		out:  "‛␍o５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π␍\t",
	}, { // 2349
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\ro５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c␍",
		out:  "␍o５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c␍",
	}, { // 2350
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␍o５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c␍",
		out:  "‛␍o５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c␍",
	}, { // 2351
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "：\r５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c\t",
		out:  "：\r５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c\t",
	}, { // 2352
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "：␍５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c\t",
		out:  "：␍５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c\t",
	}, { // 2353
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "：\r５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π␍\t",
		out:  "：\r５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π␍\t",
	}, { // 2354
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "：␍５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π␍\t",
		out:  "：␍５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π␍\t",
	}, { // 2355
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "：\r５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c␍",
		out:  "：\r５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c␍",
	}, { // 2356
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "：␍５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c␍",
		out:  "：␍５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c␍",
	}, { // 2357
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "：o５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π\r\t",
		out:  "：o５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π\r\t",
	}, { // 2358
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "：o５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π␍\t",
		out:  "：o５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π␍\t",
	}, { // 2359
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "：o５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π\r␍",
		out:  "：o５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π\r␍",
	}, { // 2360
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "：o５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π␍␍",
		out:  "：o５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π␍␍",
	}, { // 2361
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "：o５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c\r",
		out:  "：o５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c\r",
	}, { // 2362
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "：o５0ｏK␅＃␟ε\r＇Hχ%ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c␍",
		out:  "：o５0ｏK␅＃␟ε\r＇Hχ％ｂφ\t\x1fpｊυaｔ\"υ＊π\x1c␍",
	}, { // 2363
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφd",
		out:  "‛␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφd",
	}, { // 2364
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\t␉νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφd",
		out:  "␉␉νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφd",
	}, { // 2365
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉␉νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφd",
		out:  "‛␉␉νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφd",
	}, { // 2366
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\t\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e␉d",
		out:  "␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e␉d",
	}, { // 2367
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e␉d",
		out:  "‛␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e␉d",
	}, { // 2368
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\t\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφ␉",
		out:  "␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφ␉",
	}, { // 2369
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφ␉",
		out:  "‛␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφ␉",
	}, { // 2370
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉\tνλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφd",
		out:  "‛␉\tνλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφd",
	}, { // 2371
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉␉νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφd",
		out:  "‛␉␉νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφd",
	}, { // 2372
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉\tνλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e␉d",
		out:  "‛␉\tνλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e␉d",
	}, { // 2373
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉␉νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e␉d",
		out:  "‛␉␉νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e␉d",
	}, { // 2374
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉\tνλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφ␉",
		out:  "‛␉\tνλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφ␉",
	}, { // 2375
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉␉νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφ␉",
		out:  "‛␉␉νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφ␉",
	}, { // 2376
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e\td",
		out:  "‛␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e\td",
	}, { // 2377
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e␉d",
		out:  "‛␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e␉d",
	}, { // 2378
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e\t␉",
		out:  "‛␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e\t␉",
	}, { // 2379
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e␉␉",
		out:  "‛␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1e␉␉",
	}, { // 2380
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφ\t",
		out:  "‛␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφ\t",
	}, { // 2381
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφ␉",
		out:  "‛␉\x12νλ#α６*S5\t／␁:ｕｌ\bφ␗␘␎?＆ω＾\x10Q\x1eφ␉",
	}, { // 2382
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "Ｃ(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξεπ",
		out:  "Ｃ(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξεπ",
	}, { // 2383
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\n␊␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξεπ",
		out:  "␊␊␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξεπ",
	}, { // 2384
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␊␊␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξεπ",
		out:  "‛␊␊␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξεπ",
	}, { // 2385
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\n(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ␊π",
		out:  "␊(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ␊π",
	}, { // 2386
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␊(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ␊π",
		out:  "‛␊(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ␊π",
	}, { // 2387
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\n(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξε␊",
		out:  "␊(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξε␊",
	}, { // 2388
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␊(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξε␊",
		out:  "‛␊(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξε␊",
	}, { // 2389
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "Ｃ\n␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξεπ",
		out:  "Ｃ\n␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξεπ",
	}, { // 2390
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "Ｃ␊␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξεπ",
		out:  "Ｃ␊␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξεπ",
	}, { // 2391
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "Ｃ\n␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ␊π",
		out:  "Ｃ\n␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ␊π",
	}, { // 2392
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "Ｃ␊␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ␊π",
		out:  "Ｃ␊␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ␊π",
	}, { // 2393
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "Ｃ\n␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξε␊",
		out:  "Ｃ\n␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξε␊",
	}, { // 2394
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "Ｃ␊␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξε␊",
		out:  "Ｃ␊␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξε␊",
	}, { // 2395
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "Ｃ(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ\nπ",
		out:  "Ｃ(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ\nπ",
	}, { // 2396
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "Ｃ(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ␊π",
		out:  "Ｃ(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ␊π",
	}, { // 2397
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "Ｃ(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ\n␊",
		out:  "Ｃ(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ\n␊",
	}, { // 2398
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "Ｃ(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ␊␊",
		out:  "Ｃ(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξ␊␊",
	}, { // 2399
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "Ｃ(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξε\n",
		out:  "Ｃ(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξε\n",
	}, { // 2400
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "Ｃ(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξε␊",
		out:  "Ｃ(␍ＮＥ＞␄δ\x14＄\n]｀K－ν\x02Ｗψ`R-␇>*％\x1cξε␊",
	}, { // 2401
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "%λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␜",
		out:  "%λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␜",
	}, { // 2402
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\v␋～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␜",
		out:  "␋␋～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␜",
	}, { // 2403
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␋␋～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␜",
		out:  "‛␋␋～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␜",
	}, { // 2404
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\vλ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ␋␜",
		out:  "␋λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ␋␜",
	}, { // 2405
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␋λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ␋␜",
		out:  "‛␋λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ␋␜",
	}, { // 2406
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\vλ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␋",
		out:  "␋λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␋",
	}, { // 2407
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␋λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␋",
		out:  "‛␋λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␋",
	}, { // 2408
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "%\v～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␜",
		out:  "%\v～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␜",
	}, { // 2409
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "%␋～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␜",
		out:  "%␋～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␜",
	}, { // 2410
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "%\v～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ␋␜",
		out:  "%\v～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ␋␜",
	}, { // 2411
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "%␋～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ␋␜",
		out:  "%␋～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ␋␜",
	}, { // 2412
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "%\v～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␋",
		out:  "%\v～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␋",
	}, { // 2413
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "%␋～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␋",
		out:  "%␋～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␋",
	}, { // 2414
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "%λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ\v␜",
		out:  "%λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ\v␜",
	}, { // 2415
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "%λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ␋␜",
		out:  "%λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ␋␜",
	}, { // 2416
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "%λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ\v␋",
		out:  "%λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ\v␋",
	}, { // 2417
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "%λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ␋␋",
		out:  "%λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖ␋␋",
	}, { // 2418
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "%λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα\v",
		out:  "%λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα\v",
	}, { // 2419
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "%λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␋",
		out:  "%λ～␊＄\x19c／βσ\vRfε／\x12２\nιD＋\x06Ｗ=␍`>ｖα␋",
	}, { // 2420
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "D␅ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␘",
		out:  "D␅ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␘",
	}, { // 2421
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\r␍ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␘",
		out:  "␍␍ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␘",
	}, { // 2422
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␍␍ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␘",
		out:  "‛␍␍ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␘",
	}, { // 2423
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\r␅ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'␍␘",
		out:  "␍␅ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'␍␘",
	}, { // 2424
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␍␅ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'␍␘",
		out:  "‛␍␅ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'␍␘",
	}, { // 2425
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\r␅ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␍",
		out:  "␍␅ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␍",
	}, { // 2426
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␍␅ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␍",
		out:  "‛␍␅ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␍",
	}, { // 2427
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "D\rＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␘",
		out:  "D\rＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␘",
	}, { // 2428
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "D␍ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␘",
		out:  "D␍ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␘",
	}, { // 2429
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "D\rＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'␍␘",
		out:  "D\rＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'␍␘",
	}, { // 2430
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "D␍ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'␍␘",
		out:  "D␍ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'␍␘",
	}, { // 2431
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "D\rＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␍",
		out:  "D\rＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␍",
	}, { // 2432
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "D␍ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␍",
		out:  "D␍ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␍",
	}, { // 2433
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "D␅ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'\r␘",
		out:  "D␅ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'\r␘",
	}, { // 2434
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "D␅ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'␍␘",
		out:  "D␅ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'␍␘",
	}, { // 2435
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "D␅ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'\r␍",
		out:  "D␅ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'\r␍",
	}, { // 2436
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "D␅ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'␍␍",
		out:  "D␅ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'␍␍",
	}, { // 2437
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "D␅ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν\r",
		out:  "D␅ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν\r",
	}, { // 2438
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "D␅ＳＶS_*ξｈｘ\rλ\\；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␍",
		out:  "D␅ＳＶS_*ξｈｘ\rλ＼；！Ｄ/ｘρπ*s␛\x1b␐\x1eQ'ν␍",
	}, { // 2439
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Vｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␊",
		out:  "Vｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␊",
	}, { // 2440
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\t␉\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␊",
		out:  "␉␉\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␊",
	}, { // 2441
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␉␉\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␊",
		out:  "‛␉␉\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␊",
	}, { // 2442
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\tｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂␉␊",
		out:  "␉ｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂␉␊",
	}, { // 2443
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␉ｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂␉␊",
		out:  "‛␉ｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂␉␊",
	}, { // 2444
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\tｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␉",
		out:  "␉ｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␉",
	}, { // 2445
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␉ｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␉",
		out:  "‛␉ｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␉",
	}, { // 2446
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "V\t\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␊",
		out:  "V\t\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␊",
	}, { // 2447
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "V␉\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␊",
		out:  "V␉\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␊",
	}, { // 2448
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "V\t\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂␉␊",
		out:  "V\t\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂␉␊",
	}, { // 2449
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "V␉\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂␉␊",
		out:  "V␉\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂␉␊",
	}, { // 2450
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "V\t\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␉",
		out:  "V\t\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␉",
	}, { // 2451
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "V␉\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␉",
		out:  "V␉\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␉",
	}, { // 2452
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Vｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂\t␊",
		out:  "Vｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂\t␊",
	}, { // 2453
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Vｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂␉␊",
		out:  "Vｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂␉␊",
	}, { // 2454
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Vｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂\t␉",
		out:  "Vｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂\t␉",
	}, { // 2455
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Vｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂␉␉",
		out:  "Vｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂␉␉",
	}, { // 2456
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Vｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ\t",
		out:  "Vｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ\t",
	}, { // 2457
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Vｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␉",
		out:  "Vｊ\x05Ｂ[＾＆␗α\x1b\tζｃ!␒λ␍\x16ιｑ$␞#i%ω@␂ρ␉",
	}, { // 2458
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "{τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$!",
		out:  "{τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$!",
	}, { // 2459
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\n␊W／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$!",
		out:  "␊␊W／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$!",
	}, { // 2460
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␊␊W／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$!",
		out:  "‛␊␊W／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$!",
	}, { // 2461
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\nτW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r␊!",
		out:  "␊τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r␊!",
	}, { // 2462
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␊τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r␊!",
		out:  "‛␊τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r␊!",
	}, { // 2463
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\nτW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$␊",
		out:  "␊τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$␊",
	}, { // 2464
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␊τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$␊",
		out:  "‛␊τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$␊",
	}, { // 2465
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "{\nW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$!",
		out:  "{\nW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$!",
	}, { // 2466
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "{␊W／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$!",
		out:  "{␊W／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$!",
	}, { // 2467
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "{\nW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r␊!",
		out:  "{\nW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r␊!",
	}, { // 2468
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "{␊W／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r␊!",
		out:  "{␊W／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r␊!",
	}, { // 2469
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "{\nW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$␊",
		out:  "{\nW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$␊",
	}, { // 2470
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "{␊W／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$␊",
		out:  "{␊W／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$␊",
	}, { // 2471
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "{τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r\n!",
		out:  "{τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r\n!",
	}, { // 2472
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "{τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r␊!",
		out:  "{τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r␊!",
	}, { // 2473
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "{τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r\n␊",
		out:  "{τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r\n␊",
	}, { // 2474
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "{τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r␊␊",
		out:  "{τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r␊␊",
	}, { // 2475
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "{τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$\n",
		out:  "{τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$\n",
	}, { // 2476
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "{τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$␊",
		out:  "{τW／*ν\x1e８＊／\nπ␜Ｎ％］8θＯ\"ｌς\x01ο,␕*\r$␊",
	}, { // 2477
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "`Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/o",
		out:  "`Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/o",
	}, { // 2478
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\v␋\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/o",
		out:  "␋␋\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/o",
	}, { // 2479
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␋␋\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/o",
		out:  "‛␋␋\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/o",
	}, { // 2480
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\vＮ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜␋o",
		out:  "␋Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜␋o",
	}, { // 2481
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␋Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜␋o",
		out:  "‛␋Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜␋o",
	}, { // 2482
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\vＮ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/␋",
		out:  "␋Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/␋",
	}, { // 2483
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␋Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/␋",
		out:  "‛␋Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/␋",
	}, { // 2484
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "`\v\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/o",
		out:  "`\v\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/o",
	}, { // 2485
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "`␋\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/o",
		out:  "`␋\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/o",
	}, { // 2486
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "`\v\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜␋o",
		out:  "`\v\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜␋o",
	}, { // 2487
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "`␋\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜␋o",
		out:  "`␋\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜␋o",
	}, { // 2488
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "`\v\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/␋",
		out:  "`\v\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/␋",
	}, { // 2489
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "`␋\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/␋",
		out:  "`␋\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/␋",
	}, { // 2490
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "`Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜\vo",
		out:  "`Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜\vo",
	}, { // 2491
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "`Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜␋o",
		out:  "`Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜␋o",
	}, { // 2492
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "`Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜\v␋",
		out:  "`Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜\v␋",
	}, { // 2493
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "`Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜␋␋",
		out:  "`Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜␋␋",
	}, { // 2494
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "`Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/\v",
		out:  "`Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/\v",
	}, { // 2495
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "`Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/␋",
		out:  "`Ｎ\\␎σ␚ＦDｅμ\v\x1c␗ＡA５␈ω[xfＫυ#\x12ς＜␜/␋",
	}, { // 2496
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "n\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠｝",
		out:  "n\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠｝",
	}, { // 2497
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\r␍κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠｝",
		out:  "␍␍κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠｝",
	}, { // 2498
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␍␍κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠｝",
		out:  "‛␍␍κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠｝",
	}, { // 2499
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\r\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ␍｝",
		out:  "␍\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ␍｝",
	}, { // 2500
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␍\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ␍｝",
		out:  "‛␍\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ␍｝",
	}, { // 2501
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\r\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠␍",
		out:  "␍\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠␍",
	}, { // 2502
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␍\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠␍",
		out:  "‛␍\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠␍",
	}, { // 2503
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "n\rκC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠｝",
		out:  "n\rκC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠｝",
	}, { // 2504
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "n␍κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠｝",
		out:  "n␍κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠｝",
	}, { // 2505
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "n\rκC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ␍｝",
		out:  "n\rκC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ␍｝",
	}, { // 2506
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "n␍κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ␍｝",
		out:  "n␍κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ␍｝",
	}, { // 2507
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "n\rκC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠␍",
		out:  "n\rκC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠␍",
	}, { // 2508
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "n␍κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠␍",
		out:  "n␍κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠␍",
	}, { // 2509
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "n\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ\r｝",
		out:  "n\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ\r｝",
	}, { // 2510
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "n\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ␍｝",
		out:  "n\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ␍｝",
	}, { // 2511
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "n\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ\r␍",
		out:  "n\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ\r␍",
	}, { // 2512
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "n\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ␍␍",
		out:  "n\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ␍␍",
	}, { // 2513
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "n\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠\r",
		out:  "n\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠\r",
	}, { // 2514
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "n\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠␍",
		out:  "n\uff00κC␈]\\／＞␂\r%ｔk␏？βδF!/ｌ?8\x16σασ＠␍",
	}, { // 2515
		mask: EncodeRightSpace,
		in:   " ",
		out:  "␠",
	}, { // 2516
		mask: EncodeZero | EncodeRightSpace,
		in:   "ｐλM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅ｏ",
		out:  "ｐλM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅ｏ",
	}, { // 2517
		mask: EncodeZero | EncodeRightSpace,
		in:   " ␠M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅ｏ",
		out:  " ␠M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅ｏ",
	}, { // 2518
		mask: EncodeZero | EncodeRightSpace,
		in:   "␠␠M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅ｏ",
		out:  "␠␠M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅ｏ",
	}, { // 2519
		mask: EncodeZero | EncodeRightSpace,
		in:   " λM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␠ｏ",
		out:  " λM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␠ｏ",
	}, { // 2520
		mask: EncodeZero | EncodeRightSpace,
		in:   "␠λM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␠ｏ",
		out:  "␠λM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␠ｏ",
	}, { // 2521
		mask: EncodeZero | EncodeRightSpace,
		in:   " λM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅␠",
		out:  " λM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅‛␠",
	}, { // 2522
		mask: EncodeZero | EncodeRightSpace,
		in:   "␠λM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅␠",
		out:  "␠λM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅‛␠",
	}, { // 2523
		mask: EncodeZero | EncodeRightSpace,
		in:   "ｐ M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅ｏ",
		out:  "ｐ M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅ｏ",
	}, { // 2524
		mask: EncodeZero | EncodeRightSpace,
		in:   "ｐ␠M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅ｏ",
		out:  "ｐ␠M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅ｏ",
	}, { // 2525
		mask: EncodeZero | EncodeRightSpace,
		in:   "ｐ M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␠ｏ",
		out:  "ｐ M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␠ｏ",
	}, { // 2526
		mask: EncodeZero | EncodeRightSpace,
		in:   "ｐ␠M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␠ｏ",
		out:  "ｐ␠M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␠ｏ",
	}, { // 2527
		mask: EncodeZero | EncodeRightSpace,
		in:   "ｐ M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅␠",
		out:  "ｐ M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅‛␠",
	}, { // 2528
		mask: EncodeZero | EncodeRightSpace,
		in:   "ｐ␠M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅␠",
		out:  "ｐ␠M ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅‛␠",
	}, { // 2529
		mask: EncodeZero | EncodeRightSpace,
		in:   "ｐλM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19 ｏ",
		out:  "ｐλM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19 ｏ",
	}, { // 2530
		mask: EncodeZero | EncodeRightSpace,
		in:   "ｐλM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␠ｏ",
		out:  "ｐλM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␠ｏ",
	}, { // 2531
		mask: EncodeZero | EncodeRightSpace,
		in:   "ｐλM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19 ␠",
		out:  "ｐλM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19 ‛␠",
	}, { // 2532
		mask: EncodeZero | EncodeRightSpace,
		in:   "ｐλM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␠␠",
		out:  "ｐλM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␠‛␠",
	}, { // 2533
		mask: EncodeZero | EncodeRightSpace,
		in:   "ｐλM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅ ",
		out:  "ｐλM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅␠",
	}, { // 2534
		mask: EncodeZero | EncodeRightSpace,
		in:   "ｐλM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅␠",
		out:  "ｐλM ␉DZ\x10␒Ｍ ３\x19κ＇\nｐτ_χπ\rYρ／␡%\x19␅‛␠",
	}, { // 2535
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␑>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞ｚ",
		out:  "␑>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞ｚ",
	}, { // 2536
		mask: EncodeSlash | EncodeRightSpace,
		in:   " ␠␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞ｚ",
		out:  " ␠␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞ｚ",
	}, { // 2537
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␠␠␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞ｚ",
		out:  "␠␠␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞ｚ",
	}, { // 2538
		mask: EncodeSlash | EncodeRightSpace,
		in:   " >␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍␠ｚ",
		out:  " >␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍␠ｚ",
	}, { // 2539
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␠>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍␠ｚ",
		out:  "␠>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍␠ｚ",
	}, { // 2540
		mask: EncodeSlash | EncodeRightSpace,
		in:   " >␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞␠",
		out:  " >␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞‛␠",
	}, { // 2541
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␠>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞␠",
		out:  "␠>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞‛␠",
	}, { // 2542
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␑ ␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞ｚ",
		out:  "␑ ␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞ｚ",
	}, { // 2543
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␑␠␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞ｚ",
		out:  "␑␠␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞ｚ",
	}, { // 2544
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␑ ␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍␠ｚ",
		out:  "␑ ␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍␠ｚ",
	}, { // 2545
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␑␠␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍␠ｚ",
		out:  "␑␠␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍␠ｚ",
	}, { // 2546
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␑ ␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞␠",
		out:  "␑ ␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞‛␠",
	}, { // 2547
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␑␠␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞␠",
		out:  "␑␠␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞‛␠",
	}, { // 2548
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␑>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍ ｚ",
		out:  "␑>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍ ｚ",
	}, { // 2549
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␑>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍␠ｚ",
		out:  "␑>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍␠ｚ",
	}, { // 2550
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␑>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍ ␠",
		out:  "␑>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍ ‛␠",
	}, { // 2551
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␑>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍␠␠",
		out:  "␑>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍␠‛␠",
	}, { // 2552
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␑>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞ ",
		out:  "␑>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞␠",
	}, { // 2553
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␑>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞␠",
		out:  "␑>␒ｚ␌ｏｓσ\x0fζ X\"#)η8ρ␉#λ1\v]＾ο9␍＞‛␠",
	}, { // 2554
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "\rＫi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋{␎",
		out:  "\rＫi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋{␎",
	}, { // 2555
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   " ␠i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋{␎",
		out:  " ␠i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋{␎",
	}, { // 2556
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "␠␠i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋{␎",
		out:  "␠␠i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋{␎",
	}, { // 2557
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   " Ｋi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋␠␎",
		out:  " Ｋi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋␠␎",
	}, { // 2558
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "␠Ｋi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋␠␎",
		out:  "␠Ｋi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋␠␎",
	}, { // 2559
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   " Ｋi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋{␠",
		out:  " Ｋi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋{‛␠",
	}, { // 2560
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "␠Ｋi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋{␠",
		out:  "␠Ｋi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋{‛␠",
	}, { // 2561
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "\r i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋{␎",
		out:  "\r i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋{␎",
	}, { // 2562
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "\r␠i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋{␎",
		out:  "\r␠i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋{␎",
	}, { // 2563
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "\r i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋␠␎",
		out:  "\r i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋␠␎",
	}, { // 2564
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "\r␠i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋␠␎",
		out:  "\r␠i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋␠␎",
	}, { // 2565
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "\r i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋{␠",
		out:  "\r i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋{‛␠",
	}, { // 2566
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "\r␠i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋{␠",
		out:  "\r␠i2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋{‛␠",
	}, { // 2567
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "\rＫi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋ ␎",
		out:  "\rＫi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋ ␎",
	}, { // 2568
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "\rＫi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋␠␎",
		out:  "\rＫi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋␠␎",
	}, { // 2569
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "\rＫi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋ ␠",
		out:  "\rＫi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋ ‛␠",
	}, { // 2570
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "\rＫi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋␠␠",
		out:  "\rＫi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋␠‛␠",
	}, { // 2571
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "\rＫi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋{ ",
		out:  "\rＫi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋{␠",
	}, { // 2572
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "\rＫi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍␀７ψcＫ␋{␠",
		out:  "\rＫi2\rI^ξ␊% \x19ιｅγγ␆３ηｈ\x0f␍‛␀７ψcＫ␋{‛␠",
	}, { // 2573
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "nｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␈",
		out:  "nｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␈",
	}, { // 2574
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   " ␠\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␈",
		out:  " ␠\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␈",
	}, { // 2575
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "␠␠\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␈",
		out:  "␠␠\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␈",
	}, { // 2576
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   " ｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ␠␈",
		out:  " ｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ␠␈",
	}, { // 2577
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "␠ｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ␠␈",
		out:  "␠ｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ␠␈",
	}, { // 2578
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   " ｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␠",
		out:  " ｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c‛␠",
	}, { // 2579
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "␠ｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␠",
		out:  "␠ｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c‛␠",
	}, { // 2580
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "n \"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␈",
		out:  "n \"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␈",
	}, { // 2581
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "n␠\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␈",
		out:  "n␠\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␈",
	}, { // 2582
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "n \"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ␠␈",
		out:  "n \"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ␠␈",
	}, { // 2583
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "n␠\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ␠␈",
		out:  "n␠\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ␠␈",
	}, { // 2584
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "n \"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␠",
		out:  "n \"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c‛␠",
	}, { // 2585
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "n␠\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␠",
		out:  "n␠\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c‛␠",
	}, { // 2586
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "nｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ ␈",
		out:  "nｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ ␈",
	}, { // 2587
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "nｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ␠␈",
		out:  "nｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ␠␈",
	}, { // 2588
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "nｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ ␠",
		out:  "nｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ ‛␠",
	}, { // 2589
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "nｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ␠␠",
		out:  "nｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ␠‛␠",
	}, { // 2590
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "nｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c ",
		out:  "nｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␠",
	}, { // 2591
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "nｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c␠",
		out:  "nｒ\"@β／ｃOρ～ \x16␐κκ␍gｒ␒\x19\r\x1d％６Q5ζυ\x1c‛␠",
	}, { // 2592
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "＠ｂφη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v｜\x01",
		out:  "＠ｂφη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v｜\x01",
	}, { // 2593
		mask: EncodeLtGt | EncodeRightSpace,
		in:   " ␠φη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v｜\x01",
		out:  " ␠φη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v｜\x01",
	}, { // 2594
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "␠␠φη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v｜\x01",
		out:  "␠␠φη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v｜\x01",
	}, { // 2595
		mask: EncodeLtGt | EncodeRightSpace,
		in:   " ｂφη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v␠\x01",
		out:  " ｂφη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v␠\x01",
	}, { // 2596
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "␠ｂφη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v␠\x01",
		out:  "␠ｂφη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v␠\x01",
	}, { // 2597
		mask: EncodeLtGt | EncodeRightSpace,
		in:   " ｂφη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v｜␠",
		out:  " ｂφη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v｜‛␠",
	}, { // 2598
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "␠ｂφη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v｜␠",
		out:  "␠ｂφη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v｜‛␠",
	}, { // 2599
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "＠ φη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v｜\x01",
		out:  "＠ φη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v｜\x01",
	}, { // 2600
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "＠␠φη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v｜\x01",
		out:  "＠␠φη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v｜\x01",
	}, { // 2601
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "＠ φη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v␠\x01",
		out:  "＠ φη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v␠\x01",
	}, { // 2602
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "＠␠φη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v␠\x01",
		out:  "＠␠φη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v␠\x01",
	}, { // 2603
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "＠ φη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v｜␠",
		out:  "＠ φη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v｜‛␠",
	}, { // 2604
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "＠␠φη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v｜␠",
		out:  "＠␠φη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v｜‛␠",
	}, { // 2605
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "＠ｂφη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v \x01",
		out:  "＠ｂφη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v \x01",
	}, { // 2606
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "＠ｂφη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v␠\x01",
		out:  "＠ｂφη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v␠\x01",
	}, { // 2607
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "＠ｂφη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v ␠",
		out:  "＠ｂφη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v ‛␠",
	}, { // 2608
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "＠ｂφη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v␠␠",
		out:  "＠ｂφη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v␠‛␠",
	}, { // 2609
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "＠ｂφη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v｜ ",
		out:  "＠ｂφη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v｜␠",
	}, { // 2610
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "＠ｂφη;␈fＬlＣ φ［γZ＄␚＞＊:α,：\"ι{,\v｜␠",
		out:  "＠ｂφη;␈fＬlＣ φ［γZ＄␚‛＞＊:α,：\"ι{,\v｜‛␠",
	}, { // 2611
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "＊ｔ\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS<",
		out:  "＊ｔ\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS<",
	}, { // 2612
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   " ␠\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS<",
		out:  " ␠\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS<",
	}, { // 2613
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␠␠\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS<",
		out:  "␠␠\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS<",
	}, { // 2614
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   " ｔ\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ␠<",
		out:  " ｔ\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ␠<",
	}, { // 2615
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␠ｔ\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ␠<",
		out:  "␠ｔ\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ␠<",
	}, { // 2616
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   " ｔ\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS␠",
		out:  " ｔ\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS‛␠",
	}, { // 2617
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␠ｔ\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS␠",
		out:  "␠ｔ\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS‛␠",
	}, { // 2618
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "＊ \n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS<",
		out:  "＊ \n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS<",
	}, { // 2619
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "＊␠\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS<",
		out:  "＊␠\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS<",
	}, { // 2620
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "＊ \n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ␠<",
		out:  "＊ \n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ␠<",
	}, { // 2621
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "＊␠\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ␠<",
		out:  "＊␠\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ␠<",
	}, { // 2622
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "＊ \n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS␠",
		out:  "＊ \n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS‛␠",
	}, { // 2623
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "＊␠\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS␠",
		out:  "＊␠\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS‛␠",
	}, { // 2624
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "＊ｔ\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ <",
		out:  "＊ｔ\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ <",
	}, { // 2625
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "＊ｔ\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ␠<",
		out:  "＊ｔ\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ␠<",
	}, { // 2626
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "＊ｔ\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ ␠",
		out:  "＊ｔ\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ ‛␠",
	}, { // 2627
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "＊ｔ\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ␠␠",
		out:  "＊ｔ\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌ␠‛␠",
	}, { // 2628
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "＊ｔ\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS ",
		out:  "＊ｔ\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS␠",
	}, { // 2629
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "＊ｔ\n1\r｜χ␞［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS␠",
		out:  "＊ｔ\n1\r｜χ␞‛［\x16 ;9ｐgδωυ`Fｆｃ％χ＃｜\x16ｌS‛␠",
	}, { // 2630
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␆\x05?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜９>",
		out:  "␆\x05?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜９>",
	}, { // 2631
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   " ␠?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜９>",
		out:  " ␠?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜９>",
	}, { // 2632
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␠␠?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜９>",
		out:  "␠␠?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜９>",
	}, { // 2633
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   " \x05?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜␠>",
		out:  " \x05?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜␠>",
	}, { // 2634
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␠\x05?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜␠>",
		out:  "␠\x05?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜␠>",
	}, { // 2635
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   " \x05?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜９␠",
		out:  " \x05?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜９‛␠",
	}, { // 2636
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␠\x05?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜９␠",
		out:  "␠\x05?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜９‛␠",
	}, { // 2637
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␆ ?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜９>",
		out:  "␆ ?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜９>",
	}, { // 2638
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␆␠?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜９>",
		out:  "␆␠?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜９>",
	}, { // 2639
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␆ ?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜␠>",
		out:  "␆ ?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜␠>",
	}, { // 2640
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␆␠?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜␠>",
		out:  "␆␠?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜␠>",
	}, { // 2641
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␆ ?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜９␠",
		out:  "␆ ?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜９‛␠",
	}, { // 2642
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␆␠?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜９␠",
		out:  "␆␠?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜９‛␠",
	}, { // 2643
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␆\x05?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜ >",
		out:  "␆\x05?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜ >",
	}, { // 2644
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␆\x05?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜␠>",
		out:  "␆\x05?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜␠>",
	}, { // 2645
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␆\x05?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜ ␠",
		out:  "␆\x05?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜ ‛␠",
	}, { // 2646
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␆\x05?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜␠␠",
		out:  "␆\x05?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜␠‛␠",
	}, { // 2647
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␆\x05?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜９ ",
		out:  "␆\x05?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜９␠",
	}, { // 2648
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␆\x05?␞w<\fσ␇５ sκω／；H␉␐－ξUφλ_＼p｜９␠",
		out:  "␆\x05?␞w<\fσ␇５ sκω／‛；H␉␐－ξUφλ_＼p｜９‛␠",
	}, { // 2649
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "\t０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［ｈ",
		out:  "\t０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［ｈ",
	}, { // 2650
		mask: EncodeExclamation | EncodeRightSpace,
		in:   " ␠｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［ｈ",
		out:  " ␠｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［ｈ",
	}, { // 2651
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "␠␠｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［ｈ",
		out:  "␠␠｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［ｈ",
	}, { // 2652
		mask: EncodeExclamation | EncodeRightSpace,
		in:   " ０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν␠ｈ",
		out:  " ０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν␠ｈ",
	}, { // 2653
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "␠０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν␠ｈ",
		out:  "␠０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν␠ｈ",
	}, { // 2654
		mask: EncodeExclamation | EncodeRightSpace,
		in:   " ０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［␠",
		out:  " ０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［‛␠",
	}, { // 2655
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "␠０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［␠",
		out:  "␠０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［‛␠",
	}, { // 2656
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "\t ｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［ｈ",
		out:  "\t ｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［ｈ",
	}, { // 2657
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "\t␠｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［ｈ",
		out:  "\t␠｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［ｈ",
	}, { // 2658
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "\t ｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν␠ｈ",
		out:  "\t ｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν␠ｈ",
	}, { // 2659
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "\t␠｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν␠ｈ",
		out:  "\t␠｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν␠ｈ",
	}, { // 2660
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "\t ｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［␠",
		out:  "\t ｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［‛␠",
	}, { // 2661
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "\t␠｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［␠",
		out:  "\t␠｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［‛␠",
	}, { // 2662
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "\t０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν ｈ",
		out:  "\t０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν ｈ",
	}, { // 2663
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "\t０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν␠ｈ",
		out:  "\t０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν␠ｈ",
	}, { // 2664
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "\t０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν ␠",
		out:  "\t０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν ‛␠",
	}, { // 2665
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "\t０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν␠␠",
		out:  "\t０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν␠‛␠",
	}, { // 2666
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "\t０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［ ",
		out:  "\t０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［␠",
	}, { // 2667
		mask: EncodeExclamation | EncodeRightSpace,
		in:   "\t０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［␠",
		out:  "\t０｜\x11ｏ\vςδjＰ πξ；DE␐9\x18η9＝［\x1cU\x1e␏ν［‛␠",
	}, { // 2668
		mask: EncodeDollar | EncodeRightSpace,
		in:   "－ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ\x01",
		out:  "－ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ\x01",
	}, { // 2669
		mask: EncodeDollar | EncodeRightSpace,
		in:   " ␠\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ\x01",
		out:  " ␠\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ\x01",
	}, { // 2670
		mask: EncodeDollar | EncodeRightSpace,
		in:   "␠␠\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ\x01",
		out:  "␠␠\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ\x01",
	}, { // 2671
		mask: EncodeDollar | EncodeRightSpace,
		in:   " ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ␠\x01",
		out:  " ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ␠\x01",
	}, { // 2672
		mask: EncodeDollar | EncodeRightSpace,
		in:   "␠ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ␠\x01",
		out:  "␠ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ␠\x01",
	}, { // 2673
		mask: EncodeDollar | EncodeRightSpace,
		in:   " ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ␠",
		out:  " ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ‛␠",
	}, { // 2674
		mask: EncodeDollar | EncodeRightSpace,
		in:   "␠ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ␠",
		out:  "␠ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ‛␠",
	}, { // 2675
		mask: EncodeDollar | EncodeRightSpace,
		in:   "－ \tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ\x01",
		out:  "－ \tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ\x01",
	}, { // 2676
		mask: EncodeDollar | EncodeRightSpace,
		in:   "－␠\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ\x01",
		out:  "－␠\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ\x01",
	}, { // 2677
		mask: EncodeDollar | EncodeRightSpace,
		in:   "－ \tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ␠\x01",
		out:  "－ \tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ␠\x01",
	}, { // 2678
		mask: EncodeDollar | EncodeRightSpace,
		in:   "－␠\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ␠\x01",
		out:  "－␠\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ␠\x01",
	}, { // 2679
		mask: EncodeDollar | EncodeRightSpace,
		in:   "－ \tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ␠",
		out:  "－ \tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ‛␠",
	}, { // 2680
		mask: EncodeDollar | EncodeRightSpace,
		in:   "－␠\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ␠",
		out:  "－␠\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ‛␠",
	}, { // 2681
		mask: EncodeDollar | EncodeRightSpace,
		in:   "－ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ \x01",
		out:  "－ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ \x01",
	}, { // 2682
		mask: EncodeDollar | EncodeRightSpace,
		in:   "－ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ␠\x01",
		out:  "－ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ␠\x01",
	}, { // 2683
		mask: EncodeDollar | EncodeRightSpace,
		in:   "－ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ ␠",
		out:  "－ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ ‛␠",
	}, { // 2684
		mask: EncodeDollar | EncodeRightSpace,
		in:   "－ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ␠␠",
		out:  "－ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κ␠‛␠",
	}, { // 2685
		mask: EncodeDollar | EncodeRightSpace,
		in:   "－ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ ",
		out:  "－ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ␠",
	}, { // 2686
		mask: EncodeDollar | EncodeRightSpace,
		in:   "－ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ␠",
		out:  "－ς\tIＮ␎？＼ζ｀ 6＠?：nW␅τTι\x19？␑␇!!κθ‛␠",
	}, { // 2687
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␝IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12\x01",
		out:  "␝IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12\x01",
	}, { // 2688
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   " ␠Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12\x01",
		out:  " ␠Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12\x01",
	}, { // 2689
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␠␠Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12\x01",
		out:  "␠␠Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12\x01",
	}, { // 2690
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   " IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee␠\x01",
		out:  " IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee␠\x01",
	}, { // 2691
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␠IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee␠\x01",
		out:  "␠IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee␠\x01",
	}, { // 2692
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   " IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12␠",
		out:  " IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12‛␠",
	}, { // 2693
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␠IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12␠",
		out:  "␠IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12‛␠",
	}, { // 2694
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␝ Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12\x01",
		out:  "␝ Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12\x01",
	}, { // 2695
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␝␠Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12\x01",
		out:  "␝␠Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12\x01",
	}, { // 2696
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␝ Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee␠\x01",
		out:  "␝ Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee␠\x01",
	}, { // 2697
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␝␠Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee␠\x01",
		out:  "␝␠Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee␠\x01",
	}, { // 2698
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␝ Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12␠",
		out:  "␝ Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12‛␠",
	}, { // 2699
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␝␠Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12␠",
		out:  "␝␠Vｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12‛␠",
	}, { // 2700
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␝IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee \x01",
		out:  "␝IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee \x01",
	}, { // 2701
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␝IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee␠\x01",
		out:  "␝IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee␠\x01",
	}, { // 2702
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␝IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee ␠",
		out:  "␝IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee ‛␠",
	}, { // 2703
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␝IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee␠␠",
		out:  "␝IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee␠‛␠",
	}, { // 2704
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␝IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12 ",
		out:  "␝IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12␠",
	}, { // 2705
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␝IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12␠",
		out:  "␝IVｅ0%\x7f３κｅ !\x0fθζυ␟／＃：ＦπUβＧ␌\x1ee\x12‛␠",
	}, { // 2706
		mask: EncodeColon | EncodeRightSpace,
		in:   ":］χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␗",
		out:  "：］χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␗",
	}, { // 2707
		mask: EncodeColon | EncodeRightSpace,
		in:   " ␠χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␗",
		out:  " ␠χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␗",
	}, { // 2708
		mask: EncodeColon | EncodeRightSpace,
		in:   "␠␠χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␗",
		out:  "␠␠χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␗",
	}, { // 2709
		mask: EncodeColon | EncodeRightSpace,
		in:   " ］χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.␠␗",
		out:  " ］χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.␠␗",
	}, { // 2710
		mask: EncodeColon | EncodeRightSpace,
		in:   "␠］χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.␠␗",
		out:  "␠］χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.␠␗",
	}, { // 2711
		mask: EncodeColon | EncodeRightSpace,
		in:   " ］χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␠",
		out:  " ］χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι‛␠",
	}, { // 2712
		mask: EncodeColon | EncodeRightSpace,
		in:   "␠］χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␠",
		out:  "␠］χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι‛␠",
	}, { // 2713
		mask: EncodeColon | EncodeRightSpace,
		in:   ": χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␗",
		out:  "： χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␗",
	}, { // 2714
		mask: EncodeColon | EncodeRightSpace,
		in:   ":␠χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␗",
		out:  "：␠χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␗",
	}, { // 2715
		mask: EncodeColon | EncodeRightSpace,
		in:   ": χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.␠␗",
		out:  "： χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.␠␗",
	}, { // 2716
		mask: EncodeColon | EncodeRightSpace,
		in:   ":␠χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.␠␗",
		out:  "：␠χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.␠␗",
	}, { // 2717
		mask: EncodeColon | EncodeRightSpace,
		in:   ": χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␠",
		out:  "： χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι‛␠",
	}, { // 2718
		mask: EncodeColon | EncodeRightSpace,
		in:   ":␠χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␠",
		out:  "：␠χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι‛␠",
	}, { // 2719
		mask: EncodeColon | EncodeRightSpace,
		in:   ":］χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`. ␗",
		out:  "：］χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`. ␗",
	}, { // 2720
		mask: EncodeColon | EncodeRightSpace,
		in:   ":］χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.␠␗",
		out:  "：］χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.␠␗",
	}, { // 2721
		mask: EncodeColon | EncodeRightSpace,
		in:   ":］χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`. ␠",
		out:  "：］χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`. ‛␠",
	}, { // 2722
		mask: EncodeColon | EncodeRightSpace,
		in:   ":］χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.␠␠",
		out:  "：］χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.␠‛␠",
	}, { // 2723
		mask: EncodeColon | EncodeRightSpace,
		in:   ":］χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι ",
		out:  "：］χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␠",
	}, { // 2724
		mask: EncodeColon | EncodeRightSpace,
		in:   ":］χJｎＴ:η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι␠",
		out:  "：］χJｎＴ：η［ε ο\n~\x06␒Ｕ＊pι␒p␙＆\vＥ`.ι‛␠",
	}, { // 2725
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "Ｕ\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,{*",
		out:  "Ｕ\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,{*",
	}, { // 2726
		mask: EncodeQuestion | EncodeRightSpace,
		in:   " ␠＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,{*",
		out:  " ␠＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,{*",
	}, { // 2727
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "␠␠＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,{*",
		out:  "␠␠＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,{*",
	}, { // 2728
		mask: EncodeQuestion | EncodeRightSpace,
		in:   " \x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,␠*",
		out:  " \x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,␠*",
	}, { // 2729
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "␠\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,␠*",
		out:  "␠\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,␠*",
	}, { // 2730
		mask: EncodeQuestion | EncodeRightSpace,
		in:   " \x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,{␠",
		out:  " \x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,{‛␠",
	}, { // 2731
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "␠\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,{␠",
		out:  "␠\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,{‛␠",
	}, { // 2732
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "Ｕ ＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,{*",
		out:  "Ｕ ＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,{*",
	}, { // 2733
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "Ｕ␠＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,{*",
		out:  "Ｕ␠＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,{*",
	}, { // 2734
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "Ｕ ＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,␠*",
		out:  "Ｕ ＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,␠*",
	}, { // 2735
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "Ｕ␠＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,␠*",
		out:  "Ｕ␠＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,␠*",
	}, { // 2736
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "Ｕ ＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,{␠",
		out:  "Ｕ ＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,{‛␠",
	}, { // 2737
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "Ｕ␠＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,{␠",
		out:  "Ｕ␠＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,{‛␠",
	}, { // 2738
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "Ｕ\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ, *",
		out:  "Ｕ\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ, *",
	}, { // 2739
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "Ｕ\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,␠*",
		out:  "Ｕ\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,␠*",
	}, { // 2740
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "Ｕ\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ, ␠",
		out:  "Ｕ\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ, ‛␠",
	}, { // 2741
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "Ｕ\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,␠␠",
		out:  "Ｕ\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,␠‛␠",
	}, { // 2742
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "Ｕ\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,{ ",
		out:  "Ｕ\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,{␠",
	}, { // 2743
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "Ｕ\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉\x00␉ａσ,{␠",
		out:  "Ｕ\x15＋＆υ␡／\x1bμς # π␘|z\"／\x19ｙＥ␉␀␉ａσ,{‛␠",
	}, { // 2744
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "＞ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\rχγ",
		out:  "＞ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\rχγ",
	}, { // 2745
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   " ␠Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\rχγ",
		out:  " ␠Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\rχγ",
	}, { // 2746
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "␠␠Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\rχγ",
		out:  "␠␠Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\rχγ",
	}, { // 2747
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   " ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\r␠γ",
		out:  " ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\r␠γ",
	}, { // 2748
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "␠ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\r␠γ",
		out:  "␠ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\r␠γ",
	}, { // 2749
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   " ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\rχ␠",
		out:  " ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\rχ‛␠",
	}, { // 2750
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "␠ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\rχ␠",
		out:  "␠ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\rχ‛␠",
	}, { // 2751
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "＞ Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\rχγ",
		out:  "＞ Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\rχγ",
	}, { // 2752
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "＞␠Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\rχγ",
		out:  "＞␠Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\rχγ",
	}, { // 2753
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "＞ Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\r␠γ",
		out:  "＞ Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\r␠γ",
	}, { // 2754
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "＞␠Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\r␠γ",
		out:  "＞␠Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\r␠γ",
	}, { // 2755
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "＞ Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\rχ␠",
		out:  "＞ Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\rχ‛␠",
	}, { // 2756
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "＞␠Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\rχ␠",
		out:  "＞␠Ｔm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\rχ‛␠",
	}, { // 2757
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "＞ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\r γ",
		out:  "＞ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\r γ",
	}, { // 2758
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "＞ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\r␠γ",
		out:  "＞ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\r␠γ",
	}, { // 2759
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "＞ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\r ␠",
		out:  "＞ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\r ‛␠",
	}, { // 2760
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "＞ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\r␠␠",
		out:  "＞ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\r␠‛␠",
	}, { // 2761
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "＞ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\rχ ",
		out:  "＞ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\rχ␠",
	}, { // 2762
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "＞ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊␀2eρ\fｌγ\rχ␠",
		out:  "＞ｔＴm␁\x18Yεσ１ ␎6\x10！＜]E␌␊‛␀2eρ\fｌγ\rχ‛␠",
	}, { // 2763
		mask: EncodePipe | EncodeRightSpace,
		in:   "６\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖\x15",
		out:  "６\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖\x15",
	}, { // 2764
		mask: EncodePipe | EncodeRightSpace,
		in:   " ␠Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖\x15",
		out:  " ␠Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖\x15",
	}, { // 2765
		mask: EncodePipe | EncodeRightSpace,
		in:   "␠␠Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖\x15",
		out:  "␠␠Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖\x15",
	}, { // 2766
		mask: EncodePipe | EncodeRightSpace,
		in:   " \x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␠\x15",
		out:  " \x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␠\x15",
	}, { // 2767
		mask: EncodePipe | EncodeRightSpace,
		in:   "␠\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␠\x15",
		out:  "␠\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␠\x15",
	}, { // 2768
		mask: EncodePipe | EncodeRightSpace,
		in:   " \x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖␠",
		out:  " \x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖‛␠",
	}, { // 2769
		mask: EncodePipe | EncodeRightSpace,
		in:   "␠\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖␠",
		out:  "␠\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖‛␠",
	}, { // 2770
		mask: EncodePipe | EncodeRightSpace,
		in:   "６ Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖\x15",
		out:  "６ Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖\x15",
	}, { // 2771
		mask: EncodePipe | EncodeRightSpace,
		in:   "６␠Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖\x15",
		out:  "６␠Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖\x15",
	}, { // 2772
		mask: EncodePipe | EncodeRightSpace,
		in:   "６ Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␠\x15",
		out:  "６ Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␠\x15",
	}, { // 2773
		mask: EncodePipe | EncodeRightSpace,
		in:   "６␠Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␠\x15",
		out:  "６␠Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␠\x15",
	}, { // 2774
		mask: EncodePipe | EncodeRightSpace,
		in:   "６ Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖␠",
		out:  "６ Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖‛␠",
	}, { // 2775
		mask: EncodePipe | EncodeRightSpace,
		in:   "６␠Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖␠",
		out:  "６␠Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖‛␠",
	}, { // 2776
		mask: EncodePipe | EncodeRightSpace,
		in:   "６\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０ \x15",
		out:  "６\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０ \x15",
	}, { // 2777
		mask: EncodePipe | EncodeRightSpace,
		in:   "６\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␠\x15",
		out:  "６\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␠\x15",
	}, { // 2778
		mask: EncodePipe | EncodeRightSpace,
		in:   "６\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０ ␠",
		out:  "６\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０ ‛␠",
	}, { // 2779
		mask: EncodePipe | EncodeRightSpace,
		in:   "６\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␠␠",
		out:  "６\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␠‛␠",
	}, { // 2780
		mask: EncodePipe | EncodeRightSpace,
		in:   "６\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖ ",
		out:  "６\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖␠",
	}, { // 2781
		mask: EncodePipe | EncodeRightSpace,
		in:   "６\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖␠",
		out:  "６\x02Lς\x1cλＥ\x05<\x05 ：␎γν^␕&ｑ\r␅*χ４ψo␉０␖‛␠",
	}, { // 2782
		mask: EncodeHash | EncodeRightSpace,
		in:   "γ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）Ｋ",
		out:  "γ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）Ｋ",
	}, { // 2783
		mask: EncodeHash | EncodeRightSpace,
		in:   " ␠｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）Ｋ",
		out:  " ␠｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）Ｋ",
	}, { // 2784
		mask: EncodeHash | EncodeRightSpace,
		in:   "␠␠｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）Ｋ",
		out:  "␠␠｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）Ｋ",
	}, { // 2785
		mask: EncodeHash | EncodeRightSpace,
		in:   " ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏␠Ｋ",
		out:  " ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏␠Ｋ",
	}, { // 2786
		mask: EncodeHash | EncodeRightSpace,
		in:   "␠␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏␠Ｋ",
		out:  "␠␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏␠Ｋ",
	}, { // 2787
		mask: EncodeHash | EncodeRightSpace,
		in:   " ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）␠",
		out:  " ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）‛␠",
	}, { // 2788
		mask: EncodeHash | EncodeRightSpace,
		in:   "␠␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）␠",
		out:  "␠␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）‛␠",
	}, { // 2789
		mask: EncodeHash | EncodeRightSpace,
		in:   "γ ｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）Ｋ",
		out:  "γ ｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）Ｋ",
	}, { // 2790
		mask: EncodeHash | EncodeRightSpace,
		in:   "γ␠｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）Ｋ",
		out:  "γ␠｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）Ｋ",
	}, { // 2791
		mask: EncodeHash | EncodeRightSpace,
		in:   "γ ｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏␠Ｋ",
		out:  "γ ｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏␠Ｋ",
	}, { // 2792
		mask: EncodeHash | EncodeRightSpace,
		in:   "γ␠｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏␠Ｋ",
		out:  "γ␠｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏␠Ｋ",
	}, { // 2793
		mask: EncodeHash | EncodeRightSpace,
		in:   "γ ｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）␠",
		out:  "γ ｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）‛␠",
	}, { // 2794
		mask: EncodeHash | EncodeRightSpace,
		in:   "γ␠｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）␠",
		out:  "γ␠｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）‛␠",
	}, { // 2795
		mask: EncodeHash | EncodeRightSpace,
		in:   "γ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏ Ｋ",
		out:  "γ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏ Ｋ",
	}, { // 2796
		mask: EncodeHash | EncodeRightSpace,
		in:   "γ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏␠Ｋ",
		out:  "γ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏␠Ｋ",
	}, { // 2797
		mask: EncodeHash | EncodeRightSpace,
		in:   "γ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏ ␠",
		out:  "γ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏ ‛␠",
	}, { // 2798
		mask: EncodeHash | EncodeRightSpace,
		in:   "γ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏␠␠",
		out:  "γ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏␠‛␠",
	}, { // 2799
		mask: EncodeHash | EncodeRightSpace,
		in:   "γ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏） ",
		out:  "γ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）␠",
	}, { // 2800
		mask: EncodeHash | EncodeRightSpace,
		in:   "γ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）␠",
		out:  "γ␍｀θβζ\x7f/␔O Kω\x14?␋\x0e～Ｉ\x16;>ψ＄poＢ␏）‛␠",
	}, { // 2801
		mask: EncodePercent | EncodeRightSpace,
		in:   "-μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅PＦ",
		out:  "-μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅PＦ",
	}, { // 2802
		mask: EncodePercent | EncodeRightSpace,
		in:   " ␠␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅PＦ",
		out:  " ␠␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅PＦ",
	}, { // 2803
		mask: EncodePercent | EncodeRightSpace,
		in:   "␠␠␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅PＦ",
		out:  "␠␠␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅PＦ",
	}, { // 2804
		mask: EncodePercent | EncodeRightSpace,
		in:   " μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅␠Ｆ",
		out:  " μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅␠Ｆ",
	}, { // 2805
		mask: EncodePercent | EncodeRightSpace,
		in:   "␠μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅␠Ｆ",
		out:  "␠μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅␠Ｆ",
	}, { // 2806
		mask: EncodePercent | EncodeRightSpace,
		in:   " μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅P␠",
		out:  " μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅P‛␠",
	}, { // 2807
		mask: EncodePercent | EncodeRightSpace,
		in:   "␠μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅P␠",
		out:  "␠μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅P‛␠",
	}, { // 2808
		mask: EncodePercent | EncodeRightSpace,
		in:   "- ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅PＦ",
		out:  "- ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅PＦ",
	}, { // 2809
		mask: EncodePercent | EncodeRightSpace,
		in:   "-␠␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅PＦ",
		out:  "-␠␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅PＦ",
	}, { // 2810
		mask: EncodePercent | EncodeRightSpace,
		in:   "- ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅␠Ｆ",
		out:  "- ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅␠Ｆ",
	}, { // 2811
		mask: EncodePercent | EncodeRightSpace,
		in:   "-␠␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅␠Ｆ",
		out:  "-␠␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅␠Ｆ",
	}, { // 2812
		mask: EncodePercent | EncodeRightSpace,
		in:   "- ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅P␠",
		out:  "- ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅P‛␠",
	}, { // 2813
		mask: EncodePercent | EncodeRightSpace,
		in:   "-␠␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅P␠",
		out:  "-␠␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅P‛␠",
	}, { // 2814
		mask: EncodePercent | EncodeRightSpace,
		in:   "-μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅ Ｆ",
		out:  "-μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅ Ｆ",
	}, { // 2815
		mask: EncodePercent | EncodeRightSpace,
		in:   "-μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅␠Ｆ",
		out:  "-μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅␠Ｆ",
	}, { // 2816
		mask: EncodePercent | EncodeRightSpace,
		in:   "-μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅ ␠",
		out:  "-μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅ ‛␠",
	}, { // 2817
		mask: EncodePercent | EncodeRightSpace,
		in:   "-μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅␠␠",
		out:  "-μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅␠‛␠",
	}, { // 2818
		mask: EncodePercent | EncodeRightSpace,
		in:   "-μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅P ",
		out:  "-μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅P␠",
	}, { // 2819
		mask: EncodePercent | EncodeRightSpace,
		in:   "-μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅P␠",
		out:  "-μ␁Ｅζi`/Ｕ? ␊Ｕ\x18␚␇gZππ１β\x1f*；Vθ␅P‛␠",
	}, { // 2820
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␛\\Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａｕ",
		out:  "␛＼Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａｕ",
	}, { // 2821
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   " ␠Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａｕ",
		out:  " ␠Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａｕ",
	}, { // 2822
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␠␠Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａｕ",
		out:  "␠␠Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａｕ",
	}, { // 2823
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   " \\Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓␠ｕ",
		out:  " ＼Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓␠ｕ",
	}, { // 2824
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␠\\Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓␠ｕ",
		out:  "␠＼Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓␠ｕ",
	}, { // 2825
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   " \\Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａ␠",
		out:  " ＼Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａ‛␠",
	}, { // 2826
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␠\\Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａ␠",
		out:  "␠＼Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａ‛␠",
	}, { // 2827
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␛ Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａｕ",
		out:  "␛ Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａｕ",
	}, { // 2828
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␛␠Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａｕ",
		out:  "␛␠Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａｕ",
	}, { // 2829
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␛ Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓␠ｕ",
		out:  "␛ Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓␠ｕ",
	}, { // 2830
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␛␠Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓␠ｕ",
		out:  "␛␠Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓␠ｕ",
	}, { // 2831
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␛ Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａ␠",
		out:  "␛ Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａ‛␠",
	}, { // 2832
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␛␠Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａ␠",
		out:  "␛␠Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａ‛␠",
	}, { // 2833
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␛\\Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ ｕ",
		out:  "␛＼Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ ｕ",
	}, { // 2834
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␛\\Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓␠ｕ",
		out:  "␛＼Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓␠ｕ",
	}, { // 2835
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␛\\Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ ␠",
		out:  "␛＼Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ ‛␠",
	}, { // 2836
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␛\\Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓␠␠",
		out:  "␛＼Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓␠‛␠",
	}, { // 2837
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␛\\Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａ ",
		out:  "␛＼Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａ␠",
	}, { // 2838
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␛\\Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａ␠",
		out:  "␛＼Rς␟\x14%θＴω ｒ\f；b\"yε%:␔\x06␘５ｃδ/␓ａ‛␠",
	}, { // 2839
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␊３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|aL",
		out:  "‛␊３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|aL",
	}, { // 2840
		mask: EncodeCrLf | EncodeRightSpace,
		in:   " ␠␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|aL",
		out:  " ␠␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|aL",
	}, { // 2841
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␠␠␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|aL",
		out:  "␠␠␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|aL",
	}, { // 2842
		mask: EncodeCrLf | EncodeRightSpace,
		in:   " ３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|␠L",
		out:  " ３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|␠L",
	}, { // 2843
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␠３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|␠L",
		out:  "␠３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|␠L",
	}, { // 2844
		mask: EncodeCrLf | EncodeRightSpace,
		in:   " ３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|a␠",
		out:  " ３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|a‛␠",
	}, { // 2845
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␠３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|a␠",
		out:  "␠３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|a‛␠",
	}, { // 2846
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␊ ␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|aL",
		out:  "‛␊ ␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|aL",
	}, { // 2847
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␊␠␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|aL",
		out:  "‛␊␠␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|aL",
	}, { // 2848
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␊ ␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|␠L",
		out:  "‛␊ ␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|␠L",
	}, { // 2849
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␊␠␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|␠L",
		out:  "‛␊␠␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|␠L",
	}, { // 2850
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␊ ␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|a␠",
		out:  "‛␊ ␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|a‛␠",
	}, { // 2851
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␊␠␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|a␠",
		out:  "‛␊␠␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|a‛␠",
	}, { // 2852
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␊３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞| L",
		out:  "‛␊３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞| L",
	}, { // 2853
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␊３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|␠L",
		out:  "‛␊３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|␠L",
	}, { // 2854
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␊３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞| ␠",
		out:  "‛␊３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞| ‛␠",
	}, { // 2855
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␊３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|␠␠",
		out:  "‛␊３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|␠‛␠",
	}, { // 2856
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␊３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|a ",
		out:  "‛␊３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|a␠",
	}, { // 2857
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␊３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|a␠",
		out:  "‛␊３␜h\\\vＺσθ］ \x13'＂<ｈ［Ｙσ␂\v`ｌθυτ＞|a‛␠",
	}, { // 2858
		mask: EncodeDel | EncodeRightSpace,
		in:   "4β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r>",
		out:  "4β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r>",
	}, { // 2859
		mask: EncodeDel | EncodeRightSpace,
		in:   " ␠％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r>",
		out:  " ␠％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r>",
	}, { // 2860
		mask: EncodeDel | EncodeRightSpace,
		in:   "␠␠％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r>",
		out:  "␠␠％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r>",
	}, { // 2861
		mask: EncodeDel | EncodeRightSpace,
		in:   " β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜␠>",
		out:  " β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜␠>",
	}, { // 2862
		mask: EncodeDel | EncodeRightSpace,
		in:   "␠β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜␠>",
		out:  "␠β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜␠>",
	}, { // 2863
		mask: EncodeDel | EncodeRightSpace,
		in:   " β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r␠",
		out:  " β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r‛␠",
	}, { // 2864
		mask: EncodeDel | EncodeRightSpace,
		in:   "␠β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r␠",
		out:  "␠β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r‛␠",
	}, { // 2865
		mask: EncodeDel | EncodeRightSpace,
		in:   "4 ％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r>",
		out:  "4 ％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r>",
	}, { // 2866
		mask: EncodeDel | EncodeRightSpace,
		in:   "4␠％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r>",
		out:  "4␠％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r>",
	}, { // 2867
		mask: EncodeDel | EncodeRightSpace,
		in:   "4 ％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜␠>",
		out:  "4 ％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜␠>",
	}, { // 2868
		mask: EncodeDel | EncodeRightSpace,
		in:   "4␠％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜␠>",
		out:  "4␠％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜␠>",
	}, { // 2869
		mask: EncodeDel | EncodeRightSpace,
		in:   "4 ％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r␠",
		out:  "4 ％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r‛␠",
	}, { // 2870
		mask: EncodeDel | EncodeRightSpace,
		in:   "4␠％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r␠",
		out:  "4␠％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r‛␠",
	}, { // 2871
		mask: EncodeDel | EncodeRightSpace,
		in:   "4β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜ >",
		out:  "4β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜ >",
	}, { // 2872
		mask: EncodeDel | EncodeRightSpace,
		in:   "4β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜␠>",
		out:  "4β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜␠>",
	}, { // 2873
		mask: EncodeDel | EncodeRightSpace,
		in:   "4β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜ ␠",
		out:  "4β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜ ‛␠",
	}, { // 2874
		mask: EncodeDel | EncodeRightSpace,
		in:   "4β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜␠␠",
		out:  "4β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜␠‛␠",
	}, { // 2875
		mask: EncodeDel | EncodeRightSpace,
		in:   "4β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r ",
		out:  "4β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r␠",
	}, { // 2876
		mask: EncodeDel | EncodeRightSpace,
		in:   "4β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r␠",
		out:  "4β％␝ｈ．␘;!C `π␊␐υ＼\x18：\\ςｐ\aq`θ％｜\r‛␠",
	}, { // 2877
		mask: EncodeCtl | EncodeRightSpace,
		in:   "ｑ\rＣ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！ｆ+",
		out:  "ｑ␍Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！ｆ+",
	}, { // 2878
		mask: EncodeCtl | EncodeRightSpace,
		in:   " ␠Ｃ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！ｆ+",
		out:  " ␠Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！ｆ+",
	}, { // 2879
		mask: EncodeCtl | EncodeRightSpace,
		in:   "␠␠Ｃ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！ｆ+",
		out:  "␠␠Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！ｆ+",
	}, { // 2880
		mask: EncodeCtl | EncodeRightSpace,
		in:   " \rＣ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！␠+",
		out:  " ␍Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！␠+",
	}, { // 2881
		mask: EncodeCtl | EncodeRightSpace,
		in:   "␠\rＣ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！␠+",
		out:  "␠␍Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！␠+",
	}, { // 2882
		mask: EncodeCtl | EncodeRightSpace,
		in:   " \rＣ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！ｆ␠",
		out:  " ␍Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！ｆ‛␠",
	}, { // 2883
		mask: EncodeCtl | EncodeRightSpace,
		in:   "␠\rＣ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！ｆ␠",
		out:  "␠␍Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！ｆ‛␠",
	}, { // 2884
		mask: EncodeCtl | EncodeRightSpace,
		in:   "ｑ Ｃ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！ｆ+",
		out:  "ｑ Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！ｆ+",
	}, { // 2885
		mask: EncodeCtl | EncodeRightSpace,
		in:   "ｑ␠Ｃ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！ｆ+",
		out:  "ｑ␠Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！ｆ+",
	}, { // 2886
		mask: EncodeCtl | EncodeRightSpace,
		in:   "ｑ Ｃ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！␠+",
		out:  "ｑ Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！␠+",
	}, { // 2887
		mask: EncodeCtl | EncodeRightSpace,
		in:   "ｑ␠Ｃ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！␠+",
		out:  "ｑ␠Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！␠+",
	}, { // 2888
		mask: EncodeCtl | EncodeRightSpace,
		in:   "ｑ Ｃ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！ｆ␠",
		out:  "ｑ Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！ｆ‛␠",
	}, { // 2889
		mask: EncodeCtl | EncodeRightSpace,
		in:   "ｑ␠Ｃ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！ｆ␠",
		out:  "ｑ␠Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！ｆ‛␠",
	}, { // 2890
		mask: EncodeCtl | EncodeRightSpace,
		in:   "ｑ\rＣ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！ +",
		out:  "ｑ␍Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！ +",
	}, { // 2891
		mask: EncodeCtl | EncodeRightSpace,
		in:   "ｑ\rＣ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！␠+",
		out:  "ｑ␍Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！␠+",
	}, { // 2892
		mask: EncodeCtl | EncodeRightSpace,
		in:   "ｑ\rＣ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！ ␠",
		out:  "ｑ␍Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！ ‛␠",
	}, { // 2893
		mask: EncodeCtl | EncodeRightSpace,
		in:   "ｑ\rＣ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！␠␠",
		out:  "ｑ␍Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！␠‛␠",
	}, { // 2894
		mask: EncodeCtl | EncodeRightSpace,
		in:   "ｑ\rＣ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！ｆ ",
		out:  "ｑ␍Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！ｆ␠",
	}, { // 2895
		mask: EncodeCtl | EncodeRightSpace,
		in:   "ｑ\rＣ!#－?rβｖ ς%␘␅δ＊θ␇σ␡␌%π4nS！ｆ␠",
		out:  "ｑ␍Ｃ!#－?rβｖ ς%‛␘‛␅δ＊θ‛␇σ␡‛␌%π4nS！ｆ‛␠",
	}, { // 2896
		mask: EncodeRightPeriod,
		in:   ".",
		out:  "．",
	}, { // 2897
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␙^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r／",
		out:  "␙^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r／",
	}, { // 2898
		mask: EncodeZero | EncodeRightPeriod,
		in:   ".．εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r／",
		out:  ".．εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r／",
	}, { // 2899
		mask: EncodeZero | EncodeRightPeriod,
		in:   "．．εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r／",
		out:  "．．εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r／",
	}, { // 2900
		mask: EncodeZero | EncodeRightPeriod,
		in:   ".^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ．／",
		out:  ".^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ．／",
	}, { // 2901
		mask: EncodeZero | EncodeRightPeriod,
		in:   "．^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ．／",
		out:  "．^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ．／",
	}, { // 2902
		mask: EncodeZero | EncodeRightPeriod,
		in:   ".^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r．",
		out:  ".^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r‛．",
	}, { // 2903
		mask: EncodeZero | EncodeRightPeriod,
		in:   "．^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r．",
		out:  "．^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r‛．",
	}, { // 2904
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␙.εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r／",
		out:  "␙.εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r／",
	}, { // 2905
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␙．εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r／",
		out:  "␙．εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r／",
	}, { // 2906
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␙.εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ．／",
		out:  "␙.εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ．／",
	}, { // 2907
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␙．εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ．／",
		out:  "␙．εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ．／",
	}, { // 2908
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␙.εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r．",
		out:  "␙.εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r‛．",
	}, { // 2909
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␙．εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r．",
		out:  "␙．εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r‛．",
	}, { // 2910
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␙^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ.／",
		out:  "␙^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ.／",
	}, { // 2911
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␙^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ．／",
		out:  "␙^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ．／",
	}, { // 2912
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␙^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ.．",
		out:  "␙^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ.‛．",
	}, { // 2913
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␙^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ．．",
		out:  "␙^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ．‛．",
	}, { // 2914
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␙^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r.",
		out:  "␙^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r．",
	}, { // 2915
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␙^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r．",
		out:  "␙^εχ＜ρ>\x05␘ｂ.λ！\x1c␘κｆ␜ｃ％Gy*\x1ae+\rＧ\r‛．",
	}, { // 2916
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ":［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ[",
		out:  ":［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ[",
	}, { // 2917
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ".．\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ[",
		out:  ".．\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ[",
	}, { // 2918
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "．．\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ[",
		out:  "．．\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ[",
	}, { // 2919
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ".［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］．[",
		out:  ".［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］．[",
	}, { // 2920
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "．［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］．[",
		out:  "．［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］．[",
	}, { // 2921
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ".［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ．",
		out:  ".［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ‛．",
	}, { // 2922
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "．［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ．",
		out:  "．［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ‛．",
	}, { // 2923
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ":.\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ[",
		out:  ":.\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ[",
	}, { // 2924
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ":．\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ[",
		out:  ":．\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ[",
	}, { // 2925
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ":.\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］．[",
		out:  ":.\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］．[",
	}, { // 2926
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ":．\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］．[",
		out:  ":．\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］．[",
	}, { // 2927
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ":.\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ．",
		out:  ":.\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ‛．",
	}, { // 2928
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ":．\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ．",
		out:  ":．\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ‛．",
	}, { // 2929
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ":［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］.[",
		out:  ":［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］.[",
	}, { // 2930
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ":［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］．[",
		out:  ":［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］．[",
	}, { // 2931
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ":［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］.．",
		out:  ":［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］.‛．",
	}, { // 2932
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ":［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］．．",
		out:  ":［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］．‛．",
	}, { // 2933
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ":［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ.",
		out:  ":［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ．",
	}, { // 2934
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ":［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ．",
		out:  ":［\x1e44νS\\!y.ｄκ［η\x0e；Ｚ｛ｏ␊α␊ς␇λf］ｙ‛．",
	}, { // 2935
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "（;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜\x1e",
		out:  "（;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜\x1e",
	}, { // 2936
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   ".．ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜\x1e",
		out:  ".．ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜\x1e",
	}, { // 2937
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "．．ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜\x1e",
		out:  "．．ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜\x1e",
	}, { // 2938
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   ".;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍．\x1e",
		out:  ".;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍．\x1e",
	}, { // 2939
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "．;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍．\x1e",
		out:  "．;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍．\x1e",
	}, { // 2940
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   ".;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜．",
		out:  ".;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜‛．",
	}, { // 2941
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "．;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜．",
		out:  "．;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜‛．",
	}, { // 2942
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "（.ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜\x1e",
		out:  "（.ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜\x1e",
	}, { // 2943
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "（．ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜\x1e",
		out:  "（．ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜\x1e",
	}, { // 2944
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "（.ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍．\x1e",
		out:  "（.ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍．\x1e",
	}, { // 2945
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "（．ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍．\x1e",
		out:  "（．ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍．\x1e",
	}, { // 2946
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "（.ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜．",
		out:  "（.ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜‛．",
	}, { // 2947
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "（．ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜．",
		out:  "（．ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜‛．",
	}, { // 2948
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "（;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍.\x1e",
		out:  "（;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍.\x1e",
	}, { // 2949
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "（;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍．\x1e",
		out:  "（;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍．\x1e",
	}, { // 2950
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "（;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍.．",
		out:  "（;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍.‛．",
	}, { // 2951
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "（;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍．．",
		out:  "（;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍．‛．",
	}, { // 2952
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "（;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜.",
		out:  "（;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜．",
	}, { // 2953
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "（;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜．",
		out:  "（;ηＦυ＞ν␘+＄.o\x12ｙ％\x05D？2ψ\x15H［ζι␚\x18␍＜‛．",
	}, { // 2954
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "β$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1cφ",
		out:  "β$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1cφ",
	}, { // 2955
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   ".．bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1cφ",
		out:  ".．bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1cφ",
	}, { // 2956
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "．．bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1cφ",
		out:  "．．bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1cφ",
	}, { // 2957
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   ".$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε．φ",
		out:  ".$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε．φ",
	}, { // 2958
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "．$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε．φ",
		out:  "．$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε．φ",
	}, { // 2959
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   ".$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1c．",
		out:  ".$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1c‛．",
	}, { // 2960
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "．$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1c．",
		out:  "．$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1c‛．",
	}, { // 2961
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "β.bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1cφ",
		out:  "β.bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1cφ",
	}, { // 2962
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "β．bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1cφ",
		out:  "β．bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1cφ",
	}, { // 2963
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "β.bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε．φ",
		out:  "β.bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε．φ",
	}, { // 2964
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "β．bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε．φ",
		out:  "β．bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε．φ",
	}, { // 2965
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "β.bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1c．",
		out:  "β.bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1c‛．",
	}, { // 2966
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "β．bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1c．",
		out:  "β．bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1c‛．",
	}, { // 2967
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "β$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε.φ",
		out:  "β$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε.φ",
	}, { // 2968
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "β$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε．φ",
		out:  "β$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε．φ",
	}, { // 2969
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "β$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε.．",
		out:  "β$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε.‛．",
	}, { // 2970
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "β$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε．．",
		out:  "β$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε．‛．",
	}, { // 2971
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "β$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1c.",
		out:  "β$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1c．",
	}, { // 2972
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "β$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1c．",
		out:  "β$bUτＤ|／}\x1e.ｐ␅；]χD␖＜4␄\aｍ\x12ｄＬνε\x1c‛．",
	}, { // 2973
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "＠#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ␜",
		out:  "＠#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ␜",
	}, { // 2974
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   ".．＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ␜",
		out:  ".．＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ␜",
	}, { // 2975
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "．．＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ␜",
		out:  "．．＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ␜",
	}, { // 2976
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   ".#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|．␜",
		out:  ".#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|．␜",
	}, { // 2977
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "．#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|．␜",
		out:  "．#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|．␜",
	}, { // 2978
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   ".#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ．",
		out:  ".#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ‛．",
	}, { // 2979
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "．#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ．",
		out:  "．#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ‛．",
	}, { // 2980
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "＠.＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ␜",
		out:  "＠.＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ␜",
	}, { // 2981
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "＠．＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ␜",
		out:  "＠．＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ␜",
	}, { // 2982
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "＠.＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|．␜",
		out:  "＠.＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|．␜",
	}, { // 2983
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "＠．＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|．␜",
		out:  "＠．＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|．␜",
	}, { // 2984
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "＠.＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ．",
		out:  "＠.＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ‛．",
	}, { // 2985
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "＠．＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ．",
		out:  "＠．＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ‛．",
	}, { // 2986
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "＠#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|.␜",
		out:  "＠#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|.␜",
	}, { // 2987
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "＠#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|．␜",
		out:  "＠#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|．␜",
	}, { // 2988
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "＠#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|.．",
		out:  "＠#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|.‛．",
	}, { // 2989
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "＠#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|．．",
		out:  "＠#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|．‛．",
	}, { // 2990
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "＠#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ.",
		out:  "＠#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ．",
	}, { // 2991
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "＠#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ．",
		out:  "＠#＂␊\x1cｈθｂGχ.␑Ｖςα␐L\x13ｍ\f1;μ␇2_\x1e|ｋ‛．",
	}, { // 2992
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "#\x1cα＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}％",
		out:  "#\x1cα＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}％",
	}, { // 2993
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   ".．α＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}％",
		out:  ".．α＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}％",
	}, { // 2994
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "．．α＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}％",
		out:  "．．α＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}％",
	}, { // 2995
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   ".\x1cα＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18．％",
		out:  ".\x1cα＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18．％",
	}, { // 2996
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "．\x1cα＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18．％",
		out:  "．\x1cα＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18．％",
	}, { // 2997
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   ".\x1cα＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}．",
		out:  ".\x1cα＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}‛．",
	}, { // 2998
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "．\x1cα＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}．",
		out:  "．\x1cα＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}‛．",
	}, { // 2999
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "#.α＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}％",
		out:  "#.α＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}％",
	}, { // 3000
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "#．α＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}％",
		out:  "#．α＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}％",
	}, { // 3001
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "#.α＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18．％",
		out:  "#.α＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18．％",
	}, { // 3002
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "#．α＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18．％",
		out:  "#．α＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18．％",
	}, { // 3003
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "#.α＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}．",
		out:  "#.α＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}‛．",
	}, { // 3004
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "#．α＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}．",
		out:  "#．α＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}‛．",
	}, { // 3005
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "#\x1cα＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18.％",
		out:  "#\x1cα＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18.％",
	}, { // 3006
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "#\x1cα＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18．％",
		out:  "#\x1cα＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18．％",
	}, { // 3007
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "#\x1cα＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18.．",
		out:  "#\x1cα＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18.‛．",
	}, { // 3008
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "#\x1cα＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18．．",
		out:  "#\x1cα＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18．‛．",
	}, { // 3009
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "#\x1cα＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}.",
		out:  "#\x1cα＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}．",
	}, { // 3010
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "#\x1cα＇\x13θ！＞ κ.␅［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}．",
		out:  "#\x1cα＇\x13θ！＞ κ.␅‛［uε\x17１，ｗ0＼＇７θJ\x7f}\x18}‛．",
	}, { // 3011
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "␆λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲJ",
		out:  "␆λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲJ",
	}, { // 3012
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ".．u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲJ",
		out:  ".．u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲJ",
	}, { // 3013
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "．．u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲJ",
		out:  "．．u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲJ",
	}, { // 3014
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ".λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf．J",
		out:  ".λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf．J",
	}, { // 3015
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "．λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf．J",
		out:  "．λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf．J",
	}, { // 3016
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ".λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲ．",
		out:  ".λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲ‛．",
	}, { // 3017
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "．λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲ．",
		out:  "．λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲ‛．",
	}, { // 3018
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "␆.u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲJ",
		out:  "␆.u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲJ",
	}, { // 3019
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "␆．u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲJ",
		out:  "␆．u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲJ",
	}, { // 3020
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "␆.u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf．J",
		out:  "␆.u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf．J",
	}, { // 3021
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "␆．u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf．J",
		out:  "␆．u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf．J",
	}, { // 3022
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "␆.u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲ．",
		out:  "␆.u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲ‛．",
	}, { // 3023
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "␆．u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲ．",
		out:  "␆．u！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲ‛．",
	}, { // 3024
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "␆λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf.J",
		out:  "␆λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf.J",
	}, { // 3025
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "␆λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf．J",
		out:  "␆λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf．J",
	}, { // 3026
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "␆λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf.．",
		out:  "␆λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf.‛．",
	}, { // 3027
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "␆λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf．．",
		out:  "␆λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοf．‛．",
	}, { // 3028
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "␆λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲ.",
		out:  "␆λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲ．",
	}, { // 3029
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "␆λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲ．",
		out:  "␆λu！ξＳf\x02:␆.θχＳ＝}＄η␏ｘ[:ｒ[\x1f\nοfＲ‛．",
	}, { // 3030
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "␀␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κＨｅ",
		out:  "‛␀␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κＨｅ",
	}, { // 3031
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   ".．βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κＨｅ",
		out:  ".．βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κＨｅ",
	}, { // 3032
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "．．βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κＨｅ",
		out:  "．．βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κＨｅ",
	}, { // 3033
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   ".␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κ．ｅ",
		out:  ".␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κ．ｅ",
	}, { // 3034
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "．␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κ．ｅ",
		out:  "．␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κ．ｅ",
	}, { // 3035
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   ".␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κＨ．",
		out:  ".␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κＨ‛．",
	}, { // 3036
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "．␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κＨ．",
		out:  "．␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κＨ‛．",
	}, { // 3037
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "␀.βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κＨｅ",
		out:  "‛␀.βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κＨｅ",
	}, { // 3038
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "␀．βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κＨｅ",
		out:  "‛␀．βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κＨｅ",
	}, { // 3039
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "␀.βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κ．ｅ",
		out:  "‛␀.βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κ．ｅ",
	}, { // 3040
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "␀．βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κ．ｅ",
		out:  "‛␀．βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κ．ｅ",
	}, { // 3041
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "␀.βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κＨ．",
		out:  "‛␀.βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κＨ‛．",
	}, { // 3042
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "␀．βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κＨ．",
		out:  "‛␀．βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κＨ‛．",
	}, { // 3043
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "␀␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κ.ｅ",
		out:  "‛␀␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κ.ｅ",
	}, { // 3044
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "␀␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κ．ｅ",
		out:  "‛␀␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κ．ｅ",
	}, { // 3045
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "␀␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κ.．",
		out:  "‛␀␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κ.‛．",
	}, { // 3046
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "␀␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κ．．",
		out:  "‛␀␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κ．‛．",
	}, { // 3047
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "␀␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κＨ.",
		out:  "‛␀␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κＨ．",
	}, { // 3048
		mask: EncodeExclamation | EncodeRightPeriod,
		in:   "␀␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊␀κＨ．",
		out:  "‛␀␆βο\\%\x180ς:.3οk＆ｐｒDg\x1dＵ␎\tI＇␊‛␀κＨ‛．",
	}, { // 3049
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "␖[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σＵ",
		out:  "␖[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σＵ",
	}, { // 3050
		mask: EncodeDollar | EncodeRightPeriod,
		in:   ".．ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σＵ",
		out:  ".．ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σＵ",
	}, { // 3051
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "．．ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σＵ",
		out:  "．．ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σＵ",
	}, { // 3052
		mask: EncodeDollar | EncodeRightPeriod,
		in:   ".[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏．Ｕ",
		out:  ".[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏．Ｕ",
	}, { // 3053
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "．[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏．Ｕ",
		out:  "．[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏．Ｕ",
	}, { // 3054
		mask: EncodeDollar | EncodeRightPeriod,
		in:   ".[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σ．",
		out:  ".[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σ‛．",
	}, { // 3055
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "．[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σ．",
		out:  "．[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σ‛．",
	}, { // 3056
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "␖.ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σＵ",
		out:  "␖.ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σＵ",
	}, { // 3057
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "␖．ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σＵ",
		out:  "␖．ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σＵ",
	}, { // 3058
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "␖.ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏．Ｕ",
		out:  "␖.ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏．Ｕ",
	}, { // 3059
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "␖．ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏．Ｕ",
		out:  "␖．ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏．Ｕ",
	}, { // 3060
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "␖.ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σ．",
		out:  "␖.ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σ‛．",
	}, { // 3061
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "␖．ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σ．",
		out:  "␖．ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σ‛．",
	}, { // 3062
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "␖[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏.Ｕ",
		out:  "␖[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏.Ｕ",
	}, { // 3063
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "␖[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏．Ｕ",
		out:  "␖[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏．Ｕ",
	}, { // 3064
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "␖[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏.．",
		out:  "␖[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏.‛．",
	}, { // 3065
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "␖[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏．．",
		out:  "␖[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏．‛．",
	}, { // 3066
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "␖[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σ.",
		out:  "␖[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σ．",
	}, { // 3067
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "␖[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σ．",
		out:  "␖[ηυz\v␒/｛␛.βｎ!L␅MK\x17\nNＡRλ５＂δ␏σ‛．",
	}, { // 3068
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "βｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h\v",
		out:  "βｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h\v",
	}, { // 3069
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   ".．B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h\v",
		out:  ".．B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h\v",
	}, { // 3070
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "．．B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h\v",
		out:  "．．B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h\v",
	}, { // 3071
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   ".ｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃．\v",
		out:  ".ｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃．\v",
	}, { // 3072
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "．ｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃．\v",
		out:  "．ｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃．\v",
	}, { // 3073
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   ".ｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h．",
		out:  ".ｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h‛．",
	}, { // 3074
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "．ｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h．",
		out:  "．ｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h‛．",
	}, { // 3075
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "β.B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h\v",
		out:  "β.B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h\v",
	}, { // 3076
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "β．B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h\v",
		out:  "β．B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h\v",
	}, { // 3077
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "β.B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃．\v",
		out:  "β.B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃．\v",
	}, { // 3078
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "β．B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃．\v",
		out:  "β．B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃．\v",
	}, { // 3079
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "β.B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h．",
		out:  "β.B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h‛．",
	}, { // 3080
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "β．B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h．",
		out:  "β．B＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h‛．",
	}, { // 3081
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "βｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃.\v",
		out:  "βｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃.\v",
	}, { // 3082
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "βｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃．\v",
		out:  "βｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃．\v",
	}, { // 3083
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "βｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃.．",
		out:  "βｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃.‛．",
	}, { // 3084
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "βｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃．．",
		out:  "βｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃．‛．",
	}, { // 3085
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "βｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h.",
		out:  "βｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h．",
	}, { // 3086
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "βｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h．",
		out:  "βｉB＼␙\x15␙；η].~λｃ>σ␓\x05ωcｙｖθ␌％_k＃h‛．",
	}, { // 3087
		mask: EncodeColon | EncodeRightPeriod,
		in:   "z\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'\x12",
		out:  "z\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'\x12",
	}, { // 3088
		mask: EncodeColon | EncodeRightPeriod,
		in:   ".．ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'\x12",
		out:  ".．ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'\x12",
	}, { // 3089
		mask: EncodeColon | EncodeRightPeriod,
		in:   "．．ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'\x12",
		out:  "．．ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'\x12",
	}, { // 3090
		mask: EncodeColon | EncodeRightPeriod,
		in:   ".\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ．\x12",
		out:  ".\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ．\x12",
	}, { // 3091
		mask: EncodeColon | EncodeRightPeriod,
		in:   "．\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ．\x12",
		out:  "．\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ．\x12",
	}, { // 3092
		mask: EncodeColon | EncodeRightPeriod,
		in:   ".\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'．",
		out:  ".\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'‛．",
	}, { // 3093
		mask: EncodeColon | EncodeRightPeriod,
		in:   "．\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'．",
		out:  "．\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'‛．",
	}, { // 3094
		mask: EncodeColon | EncodeRightPeriod,
		in:   "z.ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'\x12",
		out:  "z.ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'\x12",
	}, { // 3095
		mask: EncodeColon | EncodeRightPeriod,
		in:   "z．ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'\x12",
		out:  "z．ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'\x12",
	}, { // 3096
		mask: EncodeColon | EncodeRightPeriod,
		in:   "z.ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ．\x12",
		out:  "z.ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ．\x12",
	}, { // 3097
		mask: EncodeColon | EncodeRightPeriod,
		in:   "z．ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ．\x12",
		out:  "z．ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ．\x12",
	}, { // 3098
		mask: EncodeColon | EncodeRightPeriod,
		in:   "z.ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'．",
		out:  "z.ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'‛．",
	}, { // 3099
		mask: EncodeColon | EncodeRightPeriod,
		in:   "z．ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'．",
		out:  "z．ｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'‛．",
	}, { // 3100
		mask: EncodeColon | EncodeRightPeriod,
		in:   "z\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ.\x12",
		out:  "z\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ.\x12",
	}, { // 3101
		mask: EncodeColon | EncodeRightPeriod,
		in:   "z\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ．\x12",
		out:  "z\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ．\x12",
	}, { // 3102
		mask: EncodeColon | EncodeRightPeriod,
		in:   "z\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ.．",
		out:  "z\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ.‛．",
	}, { // 3103
		mask: EncodeColon | EncodeRightPeriod,
		in:   "z\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ．．",
		out:  "z\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ．‛．",
	}, { // 3104
		mask: EncodeColon | EncodeRightPeriod,
		in:   "z\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'.",
		out:  "z\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'．",
	}, { // 3105
		mask: EncodeColon | EncodeRightPeriod,
		in:   "z\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'．",
		out:  "z\x1aｐ？%［iｕ\vx.␆␍α）␉［^γＣ;κ\x11␜β］ηζ'‛．",
	}, { // 3106
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\x1cD％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_＜",
		out:  "\x1cD％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_＜",
	}, { // 3107
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   ".．％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_＜",
		out:  ".．％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_＜",
	}, { // 3108
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "．．％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_＜",
		out:  "．．％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_＜",
	}, { // 3109
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   ".D％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞．＜",
		out:  ".D％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞．＜",
	}, { // 3110
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "．D％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞．＜",
		out:  "．D％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞．＜",
	}, { // 3111
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   ".D％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_．",
		out:  ".D％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_‛．",
	}, { // 3112
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "．D％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_．",
		out:  "．D％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_‛．",
	}, { // 3113
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\x1c.％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_＜",
		out:  "\x1c.％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_＜",
	}, { // 3114
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\x1c．％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_＜",
		out:  "\x1c．％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_＜",
	}, { // 3115
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\x1c.％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞．＜",
		out:  "\x1c.％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞．＜",
	}, { // 3116
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\x1c．％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞．＜",
		out:  "\x1c．％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞．＜",
	}, { // 3117
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\x1c.％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_．",
		out:  "\x1c.％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_‛．",
	}, { // 3118
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\x1c．％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_．",
		out:  "\x1c．％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_‛．",
	}, { // 3119
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\x1cD％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞.＜",
		out:  "\x1cD％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞.＜",
	}, { // 3120
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\x1cD％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞．＜",
		out:  "\x1cD％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞．＜",
	}, { // 3121
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\x1cD％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞.．",
		out:  "\x1cD％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞.‛．",
	}, { // 3122
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\x1cD％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞．．",
		out:  "\x1cD％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞．‛．",
	}, { // 3123
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\x1cD％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_.",
		out:  "\x1cD％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_．",
	}, { // 3124
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\x1cD％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_．",
		out:  "\x1cD％␎|βκθυS.\x1eｍτ␆\x1f\bK\b\f＊Ｐ＠＝␊Ｂη＞_‛．",
	}, { // 3125
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "y＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳT",
		out:  "y＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳT",
	}, { // 3126
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   ".．｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳT",
		out:  ".．｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳT",
	}, { // 3127
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "．．｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳT",
		out:  "．．｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳT",
	}, { // 3128
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   ".＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν．T",
		out:  ".＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν．T",
	}, { // 3129
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "．＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν．T",
		out:  "．＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν．T",
	}, { // 3130
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   ".＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳ．",
		out:  ".＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳ‛．",
	}, { // 3131
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "．＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳ．",
		out:  "．＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳ‛．",
	}, { // 3132
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "y.｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳT",
		out:  "y.｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳT",
	}, { // 3133
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "y．｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳT",
		out:  "y．｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳT",
	}, { // 3134
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "y.｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν．T",
		out:  "y.｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν．T",
	}, { // 3135
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "y．｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν．T",
		out:  "y．｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν．T",
	}, { // 3136
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "y.｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳ．",
		out:  "y.｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳ‛．",
	}, { // 3137
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "y．｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳ．",
		out:  "y．｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳ‛．",
	}, { // 3138
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "y＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν.T",
		out:  "y＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν.T",
	}, { // 3139
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "y＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν．T",
		out:  "y＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν．T",
	}, { // 3140
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "y＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν.．",
		out:  "y＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν.‛．",
	}, { // 3141
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "y＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν．．",
		out:  "y＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=ν．‛．",
	}, { // 3142
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "y＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳ.",
		out:  "y＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳ．",
	}, { // 3143
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "y＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳ．",
		out:  "y＇｀\x7fθ\x1cｅ␔Ｑ\x13.tb\x02\x19ξ，＋%ξ␍␏;␅ζρ=νＳ‛．",
	}, { // 3144
		mask: EncodePipe | EncodeRightPeriod,
		in:   "xφ：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ;",
		out:  "xφ：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ;",
	}, { // 3145
		mask: EncodePipe | EncodeRightPeriod,
		in:   ".．：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ;",
		out:  ".．：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ;",
	}, { // 3146
		mask: EncodePipe | EncodeRightPeriod,
		in:   "．．：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ;",
		out:  "．．：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ;",
	}, { // 3147
		mask: EncodePipe | EncodeRightPeriod,
		in:   ".φ：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(．;",
		out:  ".φ：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(．;",
	}, { // 3148
		mask: EncodePipe | EncodeRightPeriod,
		in:   "．φ：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(．;",
		out:  "．φ：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(．;",
	}, { // 3149
		mask: EncodePipe | EncodeRightPeriod,
		in:   ".φ：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ．",
		out:  ".φ：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ‛．",
	}, { // 3150
		mask: EncodePipe | EncodeRightPeriod,
		in:   "．φ：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ．",
		out:  "．φ：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ‛．",
	}, { // 3151
		mask: EncodePipe | EncodeRightPeriod,
		in:   "x.：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ;",
		out:  "x.：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ;",
	}, { // 3152
		mask: EncodePipe | EncodeRightPeriod,
		in:   "x．：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ;",
		out:  "x．：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ;",
	}, { // 3153
		mask: EncodePipe | EncodeRightPeriod,
		in:   "x.：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(．;",
		out:  "x.：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(．;",
	}, { // 3154
		mask: EncodePipe | EncodeRightPeriod,
		in:   "x．：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(．;",
		out:  "x．：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(．;",
	}, { // 3155
		mask: EncodePipe | EncodeRightPeriod,
		in:   "x.：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ．",
		out:  "x.：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ‛．",
	}, { // 3156
		mask: EncodePipe | EncodeRightPeriod,
		in:   "x．：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ．",
		out:  "x．：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ‛．",
	}, { // 3157
		mask: EncodePipe | EncodeRightPeriod,
		in:   "xφ：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(.;",
		out:  "xφ：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(.;",
	}, { // 3158
		mask: EncodePipe | EncodeRightPeriod,
		in:   "xφ：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(．;",
		out:  "xφ：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(．;",
	}, { // 3159
		mask: EncodePipe | EncodeRightPeriod,
		in:   "xφ：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(.．",
		out:  "xφ：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(.‛．",
	}, { // 3160
		mask: EncodePipe | EncodeRightPeriod,
		in:   "xφ：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(．．",
		out:  "xφ：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(．‛．",
	}, { // 3161
		mask: EncodePipe | EncodeRightPeriod,
		in:   "xφ：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ.",
		out:  "xφ：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ．",
	}, { // 3162
		mask: EncodePipe | EncodeRightPeriod,
		in:   "xφ：［!\x00Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ．",
		out:  "xφ：［!␀Ｊ;λ␉.６ζ7;qＺ＆？ω␔␏\nςｖ\r！(σ‛．",
	}, { // 3163
		mask: EncodeHash | EncodeRightPeriod,
		in:   "/␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ５",
		out:  "/␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ５",
	}, { // 3164
		mask: EncodeHash | EncodeRightPeriod,
		in:   ".．｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ５",
		out:  ".．｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ５",
	}, { // 3165
		mask: EncodeHash | EncodeRightPeriod,
		in:   "．．｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ５",
		out:  "．．｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ５",
	}, { // 3166
		mask: EncodeHash | EncodeRightPeriod,
		in:   ".␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ．５",
		out:  ".␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ．５",
	}, { // 3167
		mask: EncodeHash | EncodeRightPeriod,
		in:   "．␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ．５",
		out:  "．␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ．５",
	}, { // 3168
		mask: EncodeHash | EncodeRightPeriod,
		in:   ".␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ．",
		out:  ".␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ‛．",
	}, { // 3169
		mask: EncodeHash | EncodeRightPeriod,
		in:   "．␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ．",
		out:  "．␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ‛．",
	}, { // 3170
		mask: EncodeHash | EncodeRightPeriod,
		in:   "/.｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ５",
		out:  "/.｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ５",
	}, { // 3171
		mask: EncodeHash | EncodeRightPeriod,
		in:   "/．｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ５",
		out:  "/．｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ５",
	}, { // 3172
		mask: EncodeHash | EncodeRightPeriod,
		in:   "/.｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ．５",
		out:  "/.｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ．５",
	}, { // 3173
		mask: EncodeHash | EncodeRightPeriod,
		in:   "/．｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ．５",
		out:  "/．｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ．５",
	}, { // 3174
		mask: EncodeHash | EncodeRightPeriod,
		in:   "/.｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ．",
		out:  "/.｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ‛．",
	}, { // 3175
		mask: EncodeHash | EncodeRightPeriod,
		in:   "/．｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ．",
		out:  "/．｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ‛．",
	}, { // 3176
		mask: EncodeHash | EncodeRightPeriod,
		in:   "/␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ.５",
		out:  "/␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ.５",
	}, { // 3177
		mask: EncodeHash | EncodeRightPeriod,
		in:   "/␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ．５",
		out:  "/␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ．５",
	}, { // 3178
		mask: EncodeHash | EncodeRightPeriod,
		in:   "/␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ.．",
		out:  "/␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ.‛．",
	}, { // 3179
		mask: EncodeHash | EncodeRightPeriod,
		in:   "/␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ．．",
		out:  "/␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψ．‛．",
	}, { // 3180
		mask: EncodeHash | EncodeRightPeriod,
		in:   "/␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ.",
		out:  "/␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ．",
	}, { // 3181
		mask: EncodeHash | EncodeRightPeriod,
		in:   "/␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ．",
		out:  "/␁｝\x13␂）y\x04D＂.U&ｆ\x16␞\nω␔\x05φｓ２ν␋<χψγ‛．",
	}, { // 3182
		mask: EncodePercent | EncodeRightPeriod,
		in:   "ααyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b\x1a",
		out:  "ααyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b\x1a",
	}, { // 3183
		mask: EncodePercent | EncodeRightPeriod,
		in:   ".．yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b\x1a",
		out:  ".．yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b\x1a",
	}, { // 3184
		mask: EncodePercent | EncodeRightPeriod,
		in:   "．．yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b\x1a",
		out:  "．．yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b\x1a",
	}, { // 3185
		mask: EncodePercent | EncodeRightPeriod,
		in:   ".αyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ．\x1a",
		out:  ".αyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ．\x1a",
	}, { // 3186
		mask: EncodePercent | EncodeRightPeriod,
		in:   "．αyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ．\x1a",
		out:  "．αyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ．\x1a",
	}, { // 3187
		mask: EncodePercent | EncodeRightPeriod,
		in:   ".αyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b．",
		out:  ".αyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b‛．",
	}, { // 3188
		mask: EncodePercent | EncodeRightPeriod,
		in:   "．αyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b．",
		out:  "．αyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b‛．",
	}, { // 3189
		mask: EncodePercent | EncodeRightPeriod,
		in:   "α.yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b\x1a",
		out:  "α.yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b\x1a",
	}, { // 3190
		mask: EncodePercent | EncodeRightPeriod,
		in:   "α．yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b\x1a",
		out:  "α．yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b\x1a",
	}, { // 3191
		mask: EncodePercent | EncodeRightPeriod,
		in:   "α.yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ．\x1a",
		out:  "α.yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ．\x1a",
	}, { // 3192
		mask: EncodePercent | EncodeRightPeriod,
		in:   "α．yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ．\x1a",
		out:  "α．yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ．\x1a",
	}, { // 3193
		mask: EncodePercent | EncodeRightPeriod,
		in:   "α.yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b．",
		out:  "α.yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b‛．",
	}, { // 3194
		mask: EncodePercent | EncodeRightPeriod,
		in:   "α．yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b．",
		out:  "α．yς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b‛．",
	}, { // 3195
		mask: EncodePercent | EncodeRightPeriod,
		in:   "ααyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ.\x1a",
		out:  "ααyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ.\x1a",
	}, { // 3196
		mask: EncodePercent | EncodeRightPeriod,
		in:   "ααyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ．\x1a",
		out:  "ααyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ．\x1a",
	}, { // 3197
		mask: EncodePercent | EncodeRightPeriod,
		in:   "ααyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ.．",
		out:  "ααyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ.‛．",
	}, { // 3198
		mask: EncodePercent | EncodeRightPeriod,
		in:   "ααyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ．．",
		out:  "ααyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ．‛．",
	}, { // 3199
		mask: EncodePercent | EncodeRightPeriod,
		in:   "ααyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b.",
		out:  "ααyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b．",
	}, { // 3200
		mask: EncodePercent | EncodeRightPeriod,
		in:   "ααyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b．",
		out:  "ααyς␘\x13␟Rι＜.Ｇχｇｉ\r␊κ6\x18Y>RＤ␒ｂ␔Ｃ\x1b‛．",
	}, { // 3201
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␗％\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀␃",
		out:  "␗％␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀␃",
	}, { // 3202
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   ".．\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀␃",
		out:  ".．␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀␃",
	}, { // 3203
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "．．\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀␃",
		out:  "．．␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀␃",
	}, { // 3204
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   ".％\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN．␃",
		out:  ".％␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN．␃",
	}, { // 3205
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "．％\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN．␃",
		out:  "．％␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN．␃",
	}, { // 3206
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   ".％\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀．",
		out:  ".％␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀‛．",
	}, { // 3207
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "．％\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀．",
		out:  "．％␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀‛．",
	}, { // 3208
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␗.\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀␃",
		out:  "␗.␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀␃",
	}, { // 3209
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␗．\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀␃",
		out:  "␗．␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀␃",
	}, { // 3210
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␗.\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN．␃",
		out:  "␗.␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN．␃",
	}, { // 3211
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␗．\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN．␃",
		out:  "␗．␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN．␃",
	}, { // 3212
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␗.\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀．",
		out:  "␗.␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀‛．",
	}, { // 3213
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␗．\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀．",
		out:  "␗．␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀‛．",
	}, { // 3214
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␗％\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN.␃",
		out:  "␗％␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN.␃",
	}, { // 3215
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␗％\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN．␃",
		out:  "␗％␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN．␃",
	}, { // 3216
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␗％\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN.．",
		out:  "␗％␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN.‛．",
	}, { // 3217
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␗％\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN．．",
		out:  "␗％␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN．‛．",
	}, { // 3218
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␗％\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀.",
		out:  "␗％␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀．",
	}, { // 3219
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␗％\x00*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀．",
		out:  "␗％␀*η\x0e：ισ*.:P:f[ｋｚＣ％３］<βＧξςN｀‛．",
	}, { // 3220
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "ρＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄｓ\b",
		out:  "ρＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄｓ\b",
	}, { // 3221
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   ".．Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄｓ\b",
		out:  ".．Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄｓ\b",
	}, { // 3222
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "．．Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄｓ\b",
		out:  "．．Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄｓ\b",
	}, { // 3223
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   ".ＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄ．\b",
		out:  ".ＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄ．\b",
	}, { // 3224
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "．ＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄ．\b",
		out:  "．ＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄ．\b",
	}, { // 3225
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   ".ＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄｓ．",
		out:  ".ＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄｓ‛．",
	}, { // 3226
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "．ＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄｓ．",
		out:  "．ＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄｓ‛．",
	}, { // 3227
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "ρ.Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄｓ\b",
		out:  "ρ.Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄｓ\b",
	}, { // 3228
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "ρ．Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄｓ\b",
		out:  "ρ．Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄｓ\b",
	}, { // 3229
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "ρ.Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄ．\b",
		out:  "ρ.Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄ．\b",
	}, { // 3230
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "ρ．Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄ．\b",
		out:  "ρ．Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄ．\b",
	}, { // 3231
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "ρ.Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄｓ．",
		out:  "ρ.Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄｓ‛．",
	}, { // 3232
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "ρ．Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄｓ．",
		out:  "ρ．Ｒ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄｓ‛．",
	}, { // 3233
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "ρＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄ.\b",
		out:  "ρＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄ.\b",
	}, { // 3234
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "ρＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄ．\b",
		out:  "ρＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄ．\b",
	}, { // 3235
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "ρＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄ.．",
		out:  "ρＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄ.‛．",
	}, { // 3236
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "ρＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄ．．",
		out:  "ρＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄ．‛．",
	}, { // 3237
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "ρＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄｓ.",
		out:  "ρＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄｓ．",
	}, { // 3238
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "ρＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜␀λ$ιG\n$\rｄｓ．",
		out:  "ρＭＲ␑DπwＳ＄\x03.B␝␁$␇λβ␜‛␀λ$ιG␊$␍ｄｓ‛．",
	}, { // 3239
		mask: EncodeDel | EncodeRightPeriod,
		in:   "［y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼τ",
		out:  "［y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼τ",
	}, { // 3240
		mask: EncodeDel | EncodeRightPeriod,
		in:   ".．`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼τ",
		out:  ".．`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼τ",
	}, { // 3241
		mask: EncodeDel | EncodeRightPeriod,
		in:   "．．`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼τ",
		out:  "．．`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼τ",
	}, { // 3242
		mask: EncodeDel | EncodeRightPeriod,
		in:   ".y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５．τ",
		out:  ".y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５．τ",
	}, { // 3243
		mask: EncodeDel | EncodeRightPeriod,
		in:   "．y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５．τ",
		out:  "．y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５．τ",
	}, { // 3244
		mask: EncodeDel | EncodeRightPeriod,
		in:   ".y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼．",
		out:  ".y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼‛．",
	}, { // 3245
		mask: EncodeDel | EncodeRightPeriod,
		in:   "．y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼．",
		out:  "．y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼‛．",
	}, { // 3246
		mask: EncodeDel | EncodeRightPeriod,
		in:   "［.`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼τ",
		out:  "［.`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼τ",
	}, { // 3247
		mask: EncodeDel | EncodeRightPeriod,
		in:   "［．`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼τ",
		out:  "［．`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼τ",
	}, { // 3248
		mask: EncodeDel | EncodeRightPeriod,
		in:   "［.`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５．τ",
		out:  "［.`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５．τ",
	}, { // 3249
		mask: EncodeDel | EncodeRightPeriod,
		in:   "［．`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５．τ",
		out:  "［．`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５．τ",
	}, { // 3250
		mask: EncodeDel | EncodeRightPeriod,
		in:   "［.`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼．",
		out:  "［.`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼‛．",
	}, { // 3251
		mask: EncodeDel | EncodeRightPeriod,
		in:   "［．`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼．",
		out:  "［．`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼‛．",
	}, { // 3252
		mask: EncodeDel | EncodeRightPeriod,
		in:   "［y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５.τ",
		out:  "［y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５.τ",
	}, { // 3253
		mask: EncodeDel | EncodeRightPeriod,
		in:   "［y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５．τ",
		out:  "［y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５．τ",
	}, { // 3254
		mask: EncodeDel | EncodeRightPeriod,
		in:   "［y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５.．",
		out:  "［y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５.‛．",
	}, { // 3255
		mask: EncodeDel | EncodeRightPeriod,
		in:   "［y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５．．",
		out:  "［y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５．‛．",
	}, { // 3256
		mask: EncodeDel | EncodeRightPeriod,
		in:   "［y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼.",
		out:  "［y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼．",
	}, { // 3257
		mask: EncodeDel | EncodeRightPeriod,
		in:   "［y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼．",
		out:  "［y`ο␛υ^\n\x1d：.！υ＜\x16＝\nμ\x02βＩｊ!］＇~;５＼‛．",
	}, { // 3258
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "\x11␌＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0fｍ\x16",
		out:  "␑‛␌＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏ｍ␖",
	}, { // 3259
		mask: EncodeCtl | EncodeRightPeriod,
		in:   ".．＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0fｍ\x16",
		out:  ".．＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏ｍ␖",
	}, { // 3260
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "．．＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0fｍ\x16",
		out:  "．．＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏ｍ␖",
	}, { // 3261
		mask: EncodeCtl | EncodeRightPeriod,
		in:   ".␌＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0f．\x16",
		out:  ".‛␌＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏．␖",
	}, { // 3262
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "．␌＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0f．\x16",
		out:  "．‛␌＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏．␖",
	}, { // 3263
		mask: EncodeCtl | EncodeRightPeriod,
		in:   ".␌＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0fｍ．",
		out:  ".‛␌＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏ｍ‛．",
	}, { // 3264
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "．␌＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0fｍ．",
		out:  "．‛␌＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏ｍ‛．",
	}, { // 3265
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "\x11.＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0fｍ\x16",
		out:  "␑.＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏ｍ␖",
	}, { // 3266
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "\x11．＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0fｍ\x16",
		out:  "␑．＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏ｍ␖",
	}, { // 3267
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "\x11.＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0f．\x16",
		out:  "␑.＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏．␖",
	}, { // 3268
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "\x11．＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0f．\x16",
		out:  "␑．＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏．␖",
	}, { // 3269
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "\x11.＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0fｍ．",
		out:  "␑.＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏ｍ‛．",
	}, { // 3270
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "\x11．＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0fｍ．",
		out:  "␑．＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏ｍ‛．",
	}, { // 3271
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "\x11␌＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0f.\x16",
		out:  "␑‛␌＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏.␖",
	}, { // 3272
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "\x11␌＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0f．\x16",
		out:  "␑‛␌＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏．␖",
	}, { // 3273
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "\x11␌＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0f.．",
		out:  "␑‛␌＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏.‛．",
	}, { // 3274
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "\x11␌＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0f．．",
		out:  "␑‛␌＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏．‛．",
	}, { // 3275
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "\x11␌＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0fｍ.",
		out:  "␑‛␌＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏ｍ．",
	}, { // 3276
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "\x11␌＞β␔#'ｗσ０.a@jａφ␔τvFＭκ␡ τ；ｌ\x0fｍ．",
		out:  "␑‛␌＞β‛␔#'ｗσ０.a@jａφ‛␔τvFＭκ␡ τ；ｌ␏ｍ‛．",
	}, { // 3277
		mask: EncodeRightCrLfHtVt,
		in:   "\t",
		out:  "␉",
	}, { // 3278
		mask: EncodeRightCrLfHtVt,
		in:   "\n",
		out:  "␊",
	}, { // 3279
		mask: EncodeRightCrLfHtVt,
		in:   "\v",
		out:  "␋",
	}, { // 3280
		mask: EncodeRightCrLfHtVt,
		in:   "\r",
		out:  "␍",
	}, { // 3281
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␘␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ；",
		out:  "␘␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ；",
	}, { // 3282
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\t␉ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ；",
		out:  "\t␉ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ；",
	}, { // 3283
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␉␉ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ；",
		out:  "␉␉ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ；",
	}, { // 3284
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\t␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU␉；",
		out:  "\t␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU␉；",
	}, { // 3285
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␉␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU␉；",
		out:  "␉␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU␉；",
	}, { // 3286
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\t␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ␉",
		out:  "\t␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ‛␉",
	}, { // 3287
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␉␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ␉",
		out:  "␉␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ‛␉",
	}, { // 3288
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␘\tημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ；",
		out:  "␘\tημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ；",
	}, { // 3289
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␘␉ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ；",
		out:  "␘␉ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ；",
	}, { // 3290
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␘\tημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU␉；",
		out:  "␘\tημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU␉；",
	}, { // 3291
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␘␉ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU␉；",
		out:  "␘␉ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU␉；",
	}, { // 3292
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␘\tημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ␉",
		out:  "␘\tημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ‛␉",
	}, { // 3293
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␘␉ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ␉",
		out:  "␘␉ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ‛␉",
	}, { // 3294
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␘␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU\t；",
		out:  "␘␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU\t；",
	}, { // 3295
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␘␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU␉；",
		out:  "␘␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU␉；",
	}, { // 3296
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␘␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU\t␉",
		out:  "␘␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU\t‛␉",
	}, { // 3297
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␘␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU␉␉",
		out:  "␘␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbU␉‛␉",
	}, { // 3298
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␘␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ\t",
		out:  "␘␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ␉",
	}, { // 3299
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␘␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ␉",
		out:  "␘␡ημ␈\x03gｄ?χ\t#␛\n：＼Ｍπψ/\n<：I>ＢbUυ‛␉",
	}, { // 3300
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）9",
		out:  "n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）9",
	}, { // 3301
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\n␊%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）9",
		out:  "\n␊%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）9",
	}, { // 3302
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␊␊%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）9",
		out:  "␊␊%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）9",
	}, { // 3303
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅␊9",
		out:  "\n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅␊9",
	}, { // 3304
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␊\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅␊9",
		out:  "␊\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅␊9",
	}, { // 3305
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）␊",
		out:  "\n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）‛␊",
	}, { // 3306
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␊\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）␊",
		out:  "␊\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）‛␊",
	}, { // 3307
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "n\n%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）9",
		out:  "n\n%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）9",
	}, { // 3308
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "n␊%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）9",
		out:  "n␊%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）9",
	}, { // 3309
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "n\n%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅␊9",
		out:  "n\n%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅␊9",
	}, { // 3310
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "n␊%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅␊9",
		out:  "n␊%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅␊9",
	}, { // 3311
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "n\n%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）␊",
		out:  "n\n%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）‛␊",
	}, { // 3312
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "n␊%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）␊",
		out:  "n␊%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）‛␊",
	}, { // 3313
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅\n9",
		out:  "n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅\n9",
	}, { // 3314
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅␊9",
		out:  "n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅␊9",
	}, { // 3315
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅\n␊",
		out:  "n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅\n‛␊",
	}, { // 3316
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅␊␊",
		out:  "n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅␊‛␊",
	}, { // 3317
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）\n",
		out:  "n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）␊",
	}, { // 3318
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）␊",
		out:  "n\x0f%πη？\x1b＇␈τ\n\"uτｋ（␡\x17οh\x04\x1df␞θ：９␅）‛␊",
	}, { // 3319
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "rＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*！Ｓ",
		out:  "rＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*！Ｓ",
	}, { // 3320
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\v␋＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*！Ｓ",
		out:  "\v␋＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*！Ｓ",
	}, { // 3321
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␋␋＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*！Ｓ",
		out:  "␋␋＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*！Ｓ",
	}, { // 3322
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\vＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*␋Ｓ",
		out:  "\vＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*␋Ｓ",
	}, { // 3323
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␋Ｒ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*␋Ｓ",
		out:  "␋Ｒ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*␋Ｓ",
	}, { // 3324
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\vＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*！␋",
		out:  "\vＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*！‛␋",
	}, { // 3325
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␋Ｒ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*！␋",
		out:  "␋Ｒ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*！‛␋",
	}, { // 3326
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "r\v＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*！Ｓ",
		out:  "r\v＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*！Ｓ",
	}, { // 3327
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "r␋＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*！Ｓ",
		out:  "r␋＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*！Ｓ",
	}, { // 3328
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "r\v＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*␋Ｓ",
		out:  "r\v＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*␋Ｓ",
	}, { // 3329
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "r␋＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*␋Ｓ",
		out:  "r␋＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*␋Ｓ",
	}, { // 3330
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "r\v＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*！␋",
		out:  "r\v＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*！‛␋",
	}, { // 3331
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "r␋＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*！␋",
		out:  "r␋＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*！‛␋",
	}, { // 3332
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "rＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*\vＳ",
		out:  "rＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*\vＳ",
	}, { // 3333
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "rＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*␋Ｓ",
		out:  "rＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*␋Ｓ",
	}, { // 3334
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "rＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*\v␋",
		out:  "rＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*\v‛␋",
	}, { // 3335
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "rＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*␋␋",
		out:  "rＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*␋‛␋",
	}, { // 3336
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "rＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*！\v",
		out:  "rＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*！␋",
	}, { // 3337
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "rＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o␀3＂π']]*！␋",
		out:  "rＲ＇5]wλ\r;ｌ\v＼？ｄθ３δκ␍o‛␀3＂π']]*！‛␋",
	}, { // 3338
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\nｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃5",
		out:  "\nｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃5",
	}, { // 3339
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\r␍0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃5",
		out:  "\r␍0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃5",
	}, { // 3340
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␍␍0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃5",
		out:  "␍␍0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃5",
	}, { // 3341
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\rｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␍5",
		out:  "\rｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␍5",
	}, { // 3342
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␍ｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␍5",
		out:  "␍ｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␍5",
	}, { // 3343
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\rｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃␍",
		out:  "\rｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃‛␍",
	}, { // 3344
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␍ｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃␍",
		out:  "␍ｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃‛␍",
	}, { // 3345
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\n\r0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃5",
		out:  "\n\r0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃5",
	}, { // 3346
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\n␍0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃5",
		out:  "\n␍0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃5",
	}, { // 3347
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\n\r0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␍5",
		out:  "\n\r0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␍5",
	}, { // 3348
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\n␍0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␍5",
		out:  "\n␍0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␍5",
	}, { // 3349
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\n\r0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃␍",
		out:  "\n\r0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃‛␍",
	}, { // 3350
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\n␍0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃␍",
		out:  "\n␍0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃‛␍",
	}, { // 3351
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\nｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19\r5",
		out:  "\nｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19\r5",
	}, { // 3352
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\nｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␍5",
		out:  "\nｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␍5",
	}, { // 3353
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\nｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19\r␍",
		out:  "\nｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19\r‛␍",
	}, { // 3354
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\nｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␍␍",
		out:  "\nｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␍‛␍",
	}, { // 3355
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\nｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃\r",
		out:  "\nｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃␍",
	}, { // 3356
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\nｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃␍",
		out:  "\nｙ0@Ｏ\x1aF:␞␉\r;κξξｉ%\"Ｂυσ７Ｐ␓␔3ζ\x19␃‛␍",
	}, { // 3357
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "H␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go\x1c\v",
		out:  "H␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go\x1c␋",
	}, { // 3358
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\t␉χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go\x1c\v",
		out:  "\t␉χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go\x1c␋",
	}, { // 3359
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␉␉χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go\x1c\v",
		out:  "␉␉χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go\x1c␋",
	}, { // 3360
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\t␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go␉\v",
		out:  "\t␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go␉␋",
	}, { // 3361
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␉␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go␉\v",
		out:  "␉␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go␉␋",
	}, { // 3362
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\t␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go\x1c␉",
		out:  "\t␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go\x1c‛␉",
	}, { // 3363
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␉␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go\x1c␉",
		out:  "␉␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go\x1c‛␉",
	}, { // 3364
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "H\tχＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go\x1c\v",
		out:  "H\tχＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go\x1c␋",
	}, { // 3365
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "H␉χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go\x1c\v",
		out:  "H␉χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go\x1c␋",
	}, { // 3366
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "H\tχＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go␉\v",
		out:  "H\tχＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go␉␋",
	}, { // 3367
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "H␉χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go␉\v",
		out:  "H␉χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go␉␋",
	}, { // 3368
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "H\tχＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go\x1c␉",
		out:  "H\tχＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go\x1c‛␉",
	}, { // 3369
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "H␉χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go\x1c␉",
		out:  "H␉χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go\x1c‛␉",
	}, { // 3370
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "H␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go\t\v",
		out:  "H␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go\t␋",
	}, { // 3371
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "H␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go␉\v",
		out:  "H␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go␉␋",
	}, { // 3372
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "H␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go\t␉",
		out:  "H␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go\t‛␉",
	}, { // 3373
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "H␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go␉␉",
		out:  "H␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go␉‛␉",
	}, { // 3374
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "H␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go\x1c\t",
		out:  "H␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go\x1c␉",
	}, { // 3375
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "H␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ／|υ．␅go\x1c␉",
		out:  "H␅χＵQ␋Ａ␔ωχ\t\nοε\x0eＫｍ\x02␁|Ａ‛／|υ．␅go\x1c‛␉",
	}, { // 3376
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "φ>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ＇",
		out:  "φ>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ＇",
	}, { // 3377
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\n␊␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ＇",
		out:  "\n␊␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ＇",
	}, { // 3378
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␊␊␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ＇",
		out:  "␊␊␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ＇",
	}, { // 3379
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\n>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR␊＇",
		out:  "\n>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR␊＇",
	}, { // 3380
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␊>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR␊＇",
		out:  "␊>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR␊＇",
	}, { // 3381
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\n>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ␊",
		out:  "\n>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ‛␊",
	}, { // 3382
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␊>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ␊",
		out:  "␊>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ‛␊",
	}, { // 3383
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "φ\n␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ＇",
		out:  "φ\n␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ＇",
	}, { // 3384
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "φ␊␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ＇",
		out:  "φ␊␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ＇",
	}, { // 3385
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "φ\n␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR␊＇",
		out:  "φ\n␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR␊＇",
	}, { // 3386
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "φ␊␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR␊＇",
		out:  "φ␊␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR␊＇",
	}, { // 3387
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "φ\n␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ␊",
		out:  "φ\n␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ‛␊",
	}, { // 3388
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "φ␊␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ␊",
		out:  "φ␊␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ‛␊",
	}, { // 3389
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "φ>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR\n＇",
		out:  "φ>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR\n＇",
	}, { // 3390
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "φ>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR␊＇",
		out:  "φ>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR␊＇",
	}, { // 3391
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "φ>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR\n␊",
		out:  "φ>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR\n‛␊",
	}, { // 3392
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "φ>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR␊␊",
		out:  "φ>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fR␊‛␊",
	}, { // 3393
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "φ>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ\n",
		out:  "φ>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ␊",
	}, { // 3394
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "φ>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ␊",
		out:  "φ>␕7αA\"；πζ\n%␚\fＰfＣ｀ε\x05＼＜␅Ｋ␔\n\fRξ‛␊",
	}, { // 3395
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "G\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：Ｓ",
		out:  "G\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：Ｓ",
	}, { // 3396
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\v␋\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：Ｓ",
		out:  "\v␋\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：Ｓ",
	}, { // 3397
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␋␋\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：Ｓ",
		out:  "␋␋\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：Ｓ",
	}, { // 3398
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\v\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%␋Ｓ",
		out:  "\v\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%␋Ｓ",
	}, { // 3399
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␋\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%␋Ｓ",
		out:  "␋\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%␋Ｓ",
	}, { // 3400
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\v\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：␋",
		out:  "\v\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：‛␋",
	}, { // 3401
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␋\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：␋",
		out:  "␋\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：‛␋",
	}, { // 3402
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "G\v\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：Ｓ",
		out:  "G\v\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：Ｓ",
	}, { // 3403
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "G␋\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：Ｓ",
		out:  "G␋\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：Ｓ",
	}, { // 3404
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "G\v\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%␋Ｓ",
		out:  "G\v\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%␋Ｓ",
	}, { // 3405
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "G␋\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%␋Ｓ",
		out:  "G␋\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%␋Ｓ",
	}, { // 3406
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "G\v\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：␋",
		out:  "G\v\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：‛␋",
	}, { // 3407
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "G␋\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：␋",
		out:  "G␋\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：‛␋",
	}, { // 3408
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "G\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%\vＳ",
		out:  "G\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%\vＳ",
	}, { // 3409
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "G\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%␋Ｓ",
		out:  "G\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%␋Ｓ",
	}, { // 3410
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "G\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%\v␋",
		out:  "G\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%\v‛␋",
	}, { // 3411
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "G\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%␋␋",
		out:  "G\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%␋‛␋",
	}, { // 3412
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "G\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：\v",
		out:  "G\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：␋",
	}, { // 3413
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "G\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：␋",
		out:  "G\t\nＱso␍：＜＼\vγιλ;ω_πθ％Ｘ\n＼\x13m\f␘%：‛␋",
	}, { // 3414
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v＊",
		out:  "Ｖ｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v＊",
	}, { // 3415
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\r␍\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v＊",
		out:  "\r␍\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v＊",
	}, { // 3416
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␍␍\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v＊",
		out:  "␍␍\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v＊",
	}, { // 3417
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\r｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ␍＊",
		out:  "\r｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ␍＊",
	}, { // 3418
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␍｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ␍＊",
		out:  "␍｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ␍＊",
	}, { // 3419
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\r｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v␍",
		out:  "\r｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v‛␍",
	}, { // 3420
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␍｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v␍",
		out:  "␍｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v‛␍",
	}, { // 3421
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ\r\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v＊",
		out:  "Ｖ\r\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v＊",
	}, { // 3422
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ␍\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v＊",
		out:  "Ｖ␍\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v＊",
	}, { // 3423
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ\r\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ␍＊",
		out:  "Ｖ\r\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ␍＊",
	}, { // 3424
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ␍\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ␍＊",
		out:  "Ｖ␍\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ␍＊",
	}, { // 3425
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ\r\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v␍",
		out:  "Ｖ\r\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v‛␍",
	}, { // 3426
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ␍\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v␍",
		out:  "Ｖ␍\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v‛␍",
	}, { // 3427
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\r＊",
		out:  "Ｖ｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\r＊",
	}, { // 3428
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ␍＊",
		out:  "Ｖ｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ␍＊",
	}, { // 3429
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\r␍",
		out:  "Ｖ｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\r‛␍",
	}, { // 3430
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ␍␍",
		out:  "Ｖ｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ␍‛␍",
	}, { // 3431
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v\r",
		out:  "Ｖ｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v␍",
	}, { // 3432
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v␍",
		out:  "Ｖ｀\aQ:｀\x1eσ␛％\r␐\x16δ8'０N␍α＠:ηβ9␙␓λ\v‛␍",
	}, { // 3433
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "｜＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`>",
		out:  "｜＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`>",
	}, { // 3434
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\t␉␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`>",
		out:  "\t␉␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`>",
	}, { // 3435
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␉␉␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`>",
		out:  "␉␉␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`>",
	}, { // 3436
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\t＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02␉>",
		out:  "\t＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02␉>",
	}, { // 3437
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␉＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02␉>",
		out:  "␉＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02␉>",
	}, { // 3438
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\t＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`␉",
		out:  "\t＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`‛␉",
	}, { // 3439
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␉＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`␉",
		out:  "␉＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`‛␉",
	}, { // 3440
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "｜\t␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`>",
		out:  "｜\t␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`>",
	}, { // 3441
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "｜␉␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`>",
		out:  "｜␉␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`>",
	}, { // 3442
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "｜\t␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02␉>",
		out:  "｜\t␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02␉>",
	}, { // 3443
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "｜␉␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02␉>",
		out:  "｜␉␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02␉>",
	}, { // 3444
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "｜\t␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`␉",
		out:  "｜\t␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`‛␉",
	}, { // 3445
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "｜␉␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`␉",
		out:  "｜␉␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`‛␉",
	}, { // 3446
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "｜＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02\t>",
		out:  "｜＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02\t>",
	}, { // 3447
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "｜＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02␉>",
		out:  "｜＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02␉>",
	}, { // 3448
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "｜＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02\t␉",
		out:  "｜＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02\t‛␉",
	}, { // 3449
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "｜＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02␉␉",
		out:  "｜＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02␉‛␉",
	}, { // 3450
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "｜＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`\t",
		out:  "｜＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`␉",
	}, { // 3451
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "｜＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`␉",
		out:  "｜＆␃␄；\x02＞ζfχ\t，<υτc`τ␞2[６＃％n\rθ\x02`‛␉",
	}, { // 3452
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␎>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκV",
		out:  "␎>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκV",
	}, { // 3453
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\n␊\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκV",
		out:  "\n␊\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκV",
	}, { // 3454
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␊␊\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκV",
		out:  "␊␊\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκV",
	}, { // 3455
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\n>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB␊V",
		out:  "\n>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB␊V",
	}, { // 3456
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␊>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB␊V",
		out:  "␊>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB␊V",
	}, { // 3457
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\n>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκ␊",
		out:  "\n>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκ‛␊",
	}, { // 3458
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␊>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκ␊",
		out:  "␊>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκ‛␊",
	}, { // 3459
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␎\n\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκV",
		out:  "␎\n\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκV",
	}, { // 3460
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␎␊\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκV",
		out:  "␎␊\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκV",
	}, { // 3461
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␎\n\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB␊V",
		out:  "␎\n\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB␊V",
	}, { // 3462
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␎␊\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB␊V",
		out:  "␎␊\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB␊V",
	}, { // 3463
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␎\n\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκ␊",
		out:  "␎\n\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκ‛␊",
	}, { // 3464
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␎␊\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκ␊",
		out:  "␎␊\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκ‛␊",
	}, { // 3465
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␎>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB\nV",
		out:  "␎>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB\nV",
	}, { // 3466
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␎>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB␊V",
		out:  "␎>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB␊V",
	}, { // 3467
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␎>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB\n␊",
		out:  "␎>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB\n‛␊",
	}, { // 3468
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␎>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB␊␊",
		out:  "␎>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎB␊‛␊",
	}, { // 3469
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␎>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκ\n",
		out:  "␎>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκ␊",
	}, { // 3470
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␎>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκ␊",
		out:  "␎>\\ｊ:：δｖχh\n＃(ψＬ\f\x01／\x1b␛｜N！νν５ｎBκ‛␊",
	}, { // 3471
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "ＤＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00\x16μ",
		out:  "ＤＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀\x16μ",
	}, { // 3472
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\v␋\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00\x16μ",
		out:  "\v␋\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀\x16μ",
	}, { // 3473
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␋␋\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00\x16μ",
		out:  "␋␋\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀\x16μ",
	}, { // 3474
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\vＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00␋μ",
		out:  "\vＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀␋μ",
	}, { // 3475
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␋Ｅ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00␋μ",
		out:  "␋Ｅ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀␋μ",
	}, { // 3476
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\vＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00\x16␋",
		out:  "\vＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀\x16‛␋",
	}, { // 3477
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␋Ｅ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00\x16␋",
		out:  "␋Ｅ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀\x16‛␋",
	}, { // 3478
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "Ｄ\v\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00\x16μ",
		out:  "Ｄ\v\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀\x16μ",
	}, { // 3479
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "Ｄ␋\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00\x16μ",
		out:  "Ｄ␋\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀\x16μ",
	}, { // 3480
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "Ｄ\v\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00␋μ",
		out:  "Ｄ\v\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀␋μ",
	}, { // 3481
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "Ｄ␋\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00␋μ",
		out:  "Ｄ␋\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀␋μ",
	}, { // 3482
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "Ｄ\v\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00\x16␋",
		out:  "Ｄ\v\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀\x16‛␋",
	}, { // 3483
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "Ｄ␋\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00\x16␋",
		out:  "Ｄ␋\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀\x16‛␋",
	}, { // 3484
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "ＤＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00\vμ",
		out:  "ＤＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀\vμ",
	}, { // 3485
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "ＤＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00␋μ",
		out:  "ＤＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀␋μ",
	}, { // 3486
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "ＤＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00\v␋",
		out:  "ＤＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀\v‛␋",
	}, { // 3487
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "ＤＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00␋␋",
		out:  "ＤＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀␋‛␋",
	}, { // 3488
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "ＤＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00\x16\v",
		out:  "ＤＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀\x16␋",
	}, { // 3489
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "ＤＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜\x00\x16␋",
		out:  "ＤＥ\x13<ＵV␊θωＹ\v)ω|｜\x15φ␟ｍAN␔ξ\rR｜＜␀\x16‛␋",
	}, { // 3490
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "L␐fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δＫ",
		out:  "L␐fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δＫ",
	}, { // 3491
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\r␍fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δＫ",
		out:  "\r␍fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δＫ",
	}, { // 3492
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␍␍fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δＫ",
		out:  "␍␍fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δＫ",
	}, { // 3493
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\r␐fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_␍Ｋ",
		out:  "\r␐fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_␍Ｋ",
	}, { // 3494
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␍␐fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_␍Ｋ",
		out:  "␍␐fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_␍Ｋ",
	}, { // 3495
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\r␐fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δ␍",
		out:  "\r␐fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δ‛␍",
	}, { // 3496
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␍␐fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δ␍",
		out:  "␍␐fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δ‛␍",
	}, { // 3497
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "L\rfσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δＫ",
		out:  "L\rfσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δＫ",
	}, { // 3498
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "L␍fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δＫ",
		out:  "L␍fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δＫ",
	}, { // 3499
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "L\rfσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_␍Ｋ",
		out:  "L\rfσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_␍Ｋ",
	}, { // 3500
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "L␍fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_␍Ｋ",
		out:  "L␍fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_␍Ｋ",
	}, { // 3501
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "L\rfσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δ␍",
		out:  "L\rfσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δ‛␍",
	}, { // 3502
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "L␍fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δ␍",
		out:  "L␍fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δ‛␍",
	}, { // 3503
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "L␐fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_\rＫ",
		out:  "L␐fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_\rＫ",
	}, { // 3504
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "L␐fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_␍Ｋ",
		out:  "L␐fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_␍Ｋ",
	}, { // 3505
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "L␐fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_\r␍",
		out:  "L␐fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_\r‛␍",
	}, { // 3506
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "L␐fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_␍␍",
		out:  "L␐fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_␍‛␍",
	}, { // 3507
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "L␐fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δ\r",
		out:  "L␐fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δ␍",
	}, { // 3508
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "L␐fσ\rw␛␛＇\x01\r␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δ␍",
		out:  "L␐fσ\rw␛␛‛＇\x01\r‛␀ν；ｔ\x10πσ\x0e|｀Ｏm:>ｘυ_δ‛␍",
	}, { // 3509
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "＇β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆＃",
		out:  "＇β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆＃",
	}, { // 3510
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\t␉［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆＃",
		out:  "\t␉［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆＃",
	}, { // 3511
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␉␉［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆＃",
		out:  "␉␉［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆＃",
	}, { // 3512
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\tβ［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␉＃",
		out:  "\tβ［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␉＃",
	}, { // 3513
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␉β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␉＃",
		out:  "␉β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␉＃",
	}, { // 3514
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\tβ［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆␉",
		out:  "\tβ［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆‛␉",
	}, { // 3515
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␉β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆␉",
		out:  "␉β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆‛␉",
	}, { // 3516
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "＇\t［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆＃",
		out:  "＇\t［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆＃",
	}, { // 3517
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "＇␉［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆＃",
		out:  "＇␉［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆＃",
	}, { // 3518
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "＇\t［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␉＃",
		out:  "＇\t［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␉＃",
	}, { // 3519
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "＇␉［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␉＃",
		out:  "＇␉［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␉＃",
	}, { // 3520
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "＇\t［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆␉",
		out:  "＇\t［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆‛␉",
	}, { // 3521
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "＇␉［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆␉",
		out:  "＇␉［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆‛␉",
	}, { // 3522
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "＇β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς\t＃",
		out:  "＇β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς\t＃",
	}, { // 3523
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "＇β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␉＃",
		out:  "＇β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␉＃",
	}, { // 3524
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "＇β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς\t␉",
		out:  "＇β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς\t‛␉",
	}, { // 3525
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "＇β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␉␉",
		out:  "＇β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␉‛␉",
	}, { // 3526
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "＇β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆\t",
		out:  "＇β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆␉",
	}, { // 3527
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "＇β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆␉",
		out:  "＇β［／\x15␗＝␇\x11&\t＇ςＡβG+\x04␃\x12␝\x03\rwO$τς␆‛␉",
	}, { // 3528
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "τ\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃Z",
		out:  "τ\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃Z",
	}, { // 3529
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\n␊ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃Z",
		out:  "\n␊ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃Z",
	}, { // 3530
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␊␊ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃Z",
		out:  "␊␊ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃Z",
	}, { // 3531
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\n\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␊Z",
		out:  "\n\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␊Z",
	}, { // 3532
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␊\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␊Z",
		out:  "␊\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␊Z",
	}, { // 3533
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\n\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃␊",
		out:  "\n\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃‛␊",
	}, { // 3534
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␊\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃␊",
		out:  "␊\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃‛␊",
	}, { // 3535
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "τ\nｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃Z",
		out:  "τ\nｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃Z",
	}, { // 3536
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "τ␊ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃Z",
		out:  "τ␊ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃Z",
	}, { // 3537
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "τ\nｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␊Z",
		out:  "τ\nｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␊Z",
	}, { // 3538
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "τ␊ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␊Z",
		out:  "τ␊ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␊Z",
	}, { // 3539
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "τ\nｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃␊",
		out:  "τ\nｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃‛␊",
	}, { // 3540
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "τ␊ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃␊",
		out:  "τ␊ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃‛␊",
	}, { // 3541
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "τ\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v\nZ",
		out:  "τ\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v\nZ",
	}, { // 3542
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "τ\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␊Z",
		out:  "τ\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␊Z",
	}, { // 3543
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "τ\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v\n␊",
		out:  "τ\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v\n‛␊",
	}, { // 3544
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "τ\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␊␊",
		out:  "τ\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␊‛␊",
	}, { // 3545
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "τ\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃\n",
		out:  "τ\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃␊",
	}, { // 3546
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "τ\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃␊",
		out:  "τ\x04ｇ␕τ\thεPz\n\x14>３πω／␔\x05Ｄ＊␂*!␇ｋｅ\v␃‛␊",
	}, { // 3547
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ε<δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␌␐",
		out:  "ε<δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␌␐",
	}, { // 3548
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\v␋δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␌␐",
		out:  "\v␋δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␌␐",
	}, { // 3549
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␋␋δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␌␐",
		out:  "␋␋δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␌␐",
	}, { // 3550
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\v<δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␋␐",
		out:  "\v<δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␋␐",
	}, { // 3551
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␋<δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␋␐",
		out:  "␋<δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␋␐",
	}, { // 3552
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\v<δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␌␋",
		out:  "\v<δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␌‛␋",
	}, { // 3553
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␋<δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␌␋",
		out:  "␋<δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␌‛␋",
	}, { // 3554
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ε\vδ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␌␐",
		out:  "ε\vδ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␌␐",
	}, { // 3555
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ε␋δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␌␐",
		out:  "ε␋δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␌␐",
	}, { // 3556
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ε\vδ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␋␐",
		out:  "ε\vδ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␋␐",
	}, { // 3557
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ε␋δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␋␐",
		out:  "ε␋δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␋␐",
	}, { // 3558
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ε\vδ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␌␋",
		out:  "ε\vδ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␌‛␋",
	}, { // 3559
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ε␋δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␌␋",
		out:  "ε␋δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␌‛␋",
	}, { // 3560
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ε<δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#\v␐",
		out:  "ε<δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#\v␐",
	}, { // 3561
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ε<δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␋␐",
		out:  "ε<δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␋␐",
	}, { // 3562
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ε<δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#\v␋",
		out:  "ε<δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#\v‛␋",
	}, { // 3563
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ε<δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␋␋",
		out:  "ε<δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␋‛␋",
	}, { // 3564
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ε<δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␌\v",
		out:  "ε<δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␌␋",
	}, { // 3565
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ε<δ␕｜\x01ωπNＫ\v５f～\x00？␎X0Ｋ\x7fCσ\x00＂；+#␌␋",
		out:  "ε<δ␕｜\x01ωπNＫ\v５f～␀？␎X0Ｋ\x7fCσ␀＂；+#␌‛␋",
	}, { // 3566
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "Ｇ|κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<Ｍ９",
		out:  "Ｇ|κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<Ｍ９",
	}, { // 3567
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\r␍κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<Ｍ９",
		out:  "\r␍κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<Ｍ９",
	}, { // 3568
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␍␍κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<Ｍ９",
		out:  "␍␍κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<Ｍ９",
	}, { // 3569
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\r|κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<␍９",
		out:  "\r|κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<␍９",
	}, { // 3570
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␍|κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<␍９",
		out:  "␍|κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<␍９",
	}, { // 3571
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\r|κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<Ｍ␍",
		out:  "\r|κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<Ｍ‛␍",
	}, { // 3572
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␍|κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<Ｍ␍",
		out:  "␍|κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<Ｍ‛␍",
	}, { // 3573
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "Ｇ\rκ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<Ｍ９",
		out:  "Ｇ\rκ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<Ｍ９",
	}, { // 3574
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "Ｇ␍κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<Ｍ９",
		out:  "Ｇ␍κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<Ｍ９",
	}, { // 3575
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "Ｇ\rκ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<␍９",
		out:  "Ｇ\rκ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<␍９",
	}, { // 3576
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "Ｇ␍κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<␍９",
		out:  "Ｇ␍κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<␍９",
	}, { // 3577
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "Ｇ\rκ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<Ｍ␍",
		out:  "Ｇ\rκ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<Ｍ‛␍",
	}, { // 3578
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "Ｇ␍κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<Ｍ␍",
		out:  "Ｇ␍κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<Ｍ‛␍",
	}, { // 3579
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "Ｇ|κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<\r９",
		out:  "Ｇ|κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<\r９",
	}, { // 3580
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "Ｇ|κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<␍９",
		out:  "Ｇ|κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<␍９",
	}, { // 3581
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "Ｇ|κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<\r␍",
		out:  "Ｇ|κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<\r‛␍",
	}, { // 3582
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "Ｇ|κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<␍␍",
		out:  "Ｇ|κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<␍‛␍",
	}, { // 3583
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "Ｇ|κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<Ｍ\r",
		out:  "Ｇ|κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<Ｍ␍",
	}, { // 3584
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "Ｇ|κ␐uGZυ␙␝\r＄-j\x1b␗[`ξ\x11＜\n＼］ονＴ<Ｍ␍",
		out:  "Ｇ|κ␐uGZυ␙␝\r＄-j\x1b␗[｀ξ\x11＜\n＼］ονＴ<Ｍ‛␍",
	}, { // 3585
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x16 ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛\x04Q",
		out:  "\x16 ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛\x04Q",
	}, { // 3586
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\t␉␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛\x04Q",
		out:  "\t␉␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛\x04Q",
	}, { // 3587
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␉␉␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛\x04Q",
		out:  "␉␉␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛\x04Q",
	}, { // 3588
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\t ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛␉Q",
		out:  "\t ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛␉Q",
	}, { // 3589
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␉ ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛␉Q",
		out:  "␉ ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛␉Q",
	}, { // 3590
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\t ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛\x04␉",
		out:  "\t ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛\x04‛␉",
	}, { // 3591
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␉ ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛\x04␉",
		out:  "␉ ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛\x04‛␉",
	}, { // 3592
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x16\t␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛\x04Q",
		out:  "\x16\t␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛\x04Q",
	}, { // 3593
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x16␉␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛\x04Q",
		out:  "\x16␉␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛\x04Q",
	}, { // 3594
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x16\t␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛␉Q",
		out:  "\x16\t␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛␉Q",
	}, { // 3595
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x16␉␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛␉Q",
		out:  "\x16␉␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛␉Q",
	}, { // 3596
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x16\t␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛\x04␉",
		out:  "\x16\t␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛\x04‛␉",
	}, { // 3597
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x16␉␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛\x04␉",
		out:  "\x16␉␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛\x04‛␉",
	}, { // 3598
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x16 ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛\tQ",
		out:  "\x16 ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛\tQ",
	}, { // 3599
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x16 ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛␉Q",
		out:  "\x16 ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛␉Q",
	}, { // 3600
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x16 ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛\t␉",
		out:  "\x16 ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛\t‛␉",
	}, { // 3601
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x16 ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛␉␉",
		out:  "\x16 ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛␉‛␉",
	}, { // 3602
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x16 ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛\x04\t",
		out:  "\x16 ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛\x04␉",
	}, { // 3603
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x16 ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ＞\x1eκ\x1f:%｛\x04␉",
		out:  "\x16 ␟ζ8ｋｓζ［？\t\x1c＄Ｘ：␅0ω＂$φ‛＞\x1eκ\x1f:%｛\x04‛␉",
	}, { // 3604
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␌６τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]８",
		out:  "␌６τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]８",
	}, { // 3605
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\n␊τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]８",
		out:  "\n␊τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]８",
	}, { // 3606
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␊␊τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]８",
		out:  "␊␊τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]８",
	}, { // 3607
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\n６τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ␊８",
		out:  "\n６τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ␊８",
	}, { // 3608
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␊６τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ␊８",
		out:  "␊６τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ␊８",
	}, { // 3609
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\n６τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]␊",
		out:  "\n６τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]‛␊",
	}, { // 3610
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␊６τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]␊",
		out:  "␊６τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]‛␊",
	}, { // 3611
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␌\nτH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]８",
		out:  "␌\nτH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]８",
	}, { // 3612
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␌␊τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]８",
		out:  "␌␊τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]８",
	}, { // 3613
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␌\nτH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ␊８",
		out:  "␌\nτH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ␊８",
	}, { // 3614
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␌␊τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ␊８",
		out:  "␌␊τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ␊８",
	}, { // 3615
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␌\nτH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]␊",
		out:  "␌\nτH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]‛␊",
	}, { // 3616
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␌␊τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]␊",
		out:  "␌␊τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]‛␊",
	}, { // 3617
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␌６τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ\n８",
		out:  "␌６τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ\n８",
	}, { // 3618
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␌６τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ␊８",
		out:  "␌６τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ␊８",
	}, { // 3619
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␌６τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ\n␊",
		out:  "␌６τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ\n‛␊",
	}, { // 3620
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␌６τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ␊␊",
		out:  "␌６τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ␊‛␊",
	}, { // 3621
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␌６τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]\n",
		out:  "␌６τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]␊",
	}, { // 3622
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␌６τH<␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]␊",
		out:  "␌６τH＜␘ＤＩεj\n)υaμ␆／␡ξ\x11\x1c␖␖9κ\rEＱ]‛␊",
	}, { // 3623
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＠/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８／",
		out:  "＠/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８／",
	}, { // 3624
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\v␋ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８／",
		out:  "\v␋ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８／",
	}, { // 3625
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␋␋ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８／",
		out:  "␋␋ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８／",
	}, { // 3626
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\v/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:␋／",
		out:  "\v/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:␋／",
	}, { // 3627
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␋/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:␋／",
		out:  "␋/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:␋／",
	}, { // 3628
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\v/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８␋",
		out:  "\v/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８‛␋",
	}, { // 3629
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␋/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８␋",
		out:  "␋/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８‛␋",
	}, { // 3630
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＠\vｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８／",
		out:  "＠\vｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８／",
	}, { // 3631
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＠␋ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８／",
		out:  "＠␋ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８／",
	}, { // 3632
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＠\vｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:␋／",
		out:  "＠\vｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:␋／",
	}, { // 3633
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＠␋ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:␋／",
		out:  "＠␋ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:␋／",
	}, { // 3634
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＠\vｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８␋",
		out:  "＠\vｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８‛␋",
	}, { // 3635
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＠␋ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８␋",
		out:  "＠␋ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８‛␋",
	}, { // 3636
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＠/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:\v／",
		out:  "＠/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:\v／",
	}, { // 3637
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＠/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:␋／",
		out:  "＠/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:␋／",
	}, { // 3638
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＠/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:\v␋",
		out:  "＠/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:\v‛␋",
	}, { // 3639
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＠/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:␋␋",
		out:  "＠/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:␋‛␋",
	}, { // 3640
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＠/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８\v",
		out:  "＠/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８␋",
	}, { // 3641
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＠/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８␋",
		out:  "＠/ｆ)ζｒ＾E␓＇\v␒σ\x1d␏'w\x0e[εα/eKεＪ␟:８‛␋",
	}, { // 3642
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "-＃Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1fR;",
		out:  "-＃Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1fR;",
	}, { // 3643
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\r␍Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1fR;",
		out:  "\r␍Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1fR;",
	}, { // 3644
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␍␍Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1fR;",
		out:  "␍␍Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1fR;",
	}, { // 3645
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\r＃Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1f␍;",
		out:  "\r＃Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1f␍;",
	}, { // 3646
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␍＃Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1f␍;",
		out:  "␍＃Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1f␍;",
	}, { // 3647
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\r＃Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1fR␍",
		out:  "\r＃Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1fR‛␍",
	}, { // 3648
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␍＃Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1fR␍",
		out:  "␍＃Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1fR‛␍",
	}, { // 3649
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "-\rＲ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1fR;",
		out:  "-\rＲ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1fR;",
	}, { // 3650
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "-␍Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1fR;",
		out:  "-␍Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1fR;",
	}, { // 3651
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "-\rＲ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1f␍;",
		out:  "-\rＲ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1f␍;",
	}, { // 3652
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "-␍Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1f␍;",
		out:  "-␍Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1f␍;",
	}, { // 3653
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "-\rＲ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1fR␍",
		out:  "-\rＲ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1fR‛␍",
	}, { // 3654
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "-␍Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1fR␍",
		out:  "-␍Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1fR‛␍",
	}, { // 3655
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "-＃Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1f\r;",
		out:  "-＃Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1f\r;",
	}, { // 3656
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "-＃Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1f␍;",
		out:  "-＃Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1f␍;",
	}, { // 3657
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "-＃Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1f\r␍",
		out:  "-＃Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1f\r‛␍",
	}, { // 3658
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "-＃Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1f␍␍",
		out:  "-＃Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1f␍‛␍",
	}, { // 3659
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "-＃Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1fR\r",
		out:  "-＃Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1fR␍",
	}, { // 3660
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "-＃Ｒ^)＜:［＜＇\rιηＮ\x00\nτ｜＼＂Cｐeυκ\x04ς\x1fR␍",
		out:  "-＃Ｒ^)‛＜:［‛＜＇\rιηＮ␀\nτ｜＼＂Cｐeυκ\x04ς\x1fR‛␍",
	}, { // 3661
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "j：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`＆\x01",
		out:  "j：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`＆\x01",
	}, { // 3662
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\t␉：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`＆\x01",
		out:  "\t␉：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`＆\x01",
	}, { // 3663
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␉␉：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`＆\x01",
		out:  "␉␉：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`＆\x01",
	}, { // 3664
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\t：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`␉\x01",
		out:  "\t：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`␉\x01",
	}, { // 3665
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␉：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`␉\x01",
		out:  "␉：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`␉\x01",
	}, { // 3666
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\t：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`＆␉",
		out:  "\t：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`＆‛␉",
	}, { // 3667
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␉：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`＆␉",
		out:  "␉：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`＆‛␉",
	}, { // 3668
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "j\t：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`＆\x01",
		out:  "j\t：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`＆\x01",
	}, { // 3669
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "j␉：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`＆\x01",
		out:  "j␉：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`＆\x01",
	}, { // 3670
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "j\t：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`␉\x01",
		out:  "j\t：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`␉\x01",
	}, { // 3671
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "j␉：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`␉\x01",
		out:  "j␉：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`␉\x01",
	}, { // 3672
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "j\t：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`＆␉",
		out:  "j\t：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`＆‛␉",
	}, { // 3673
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "j␉：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`＆␉",
		out:  "j␉：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`＆‛␉",
	}, { // 3674
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "j：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`\t\x01",
		out:  "j：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`\t\x01",
	}, { // 3675
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "j：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`␉\x01",
		out:  "j：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`␉\x01",
	}, { // 3676
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "j：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`\t␉",
		out:  "j：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`\t‛␉",
	}, { // 3677
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "j：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`␉␉",
		out:  "j：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`␉‛␉",
	}, { // 3678
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "j：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`＆\t",
		out:  "j：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`＆␉",
	}, { // 3679
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "j：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ␀\x0e！ＴhX\x03Z＜`＆␉",
		out:  "j：：Wχ;χ４\x047\tιｃ␞ψ␃Ａβ‛␀\x0e！ＴhX\x03Z＜`＆‛␉",
	}, { // 3680
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa?␏",
		out:  "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa?␏",
	}, { // 3681
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n␊χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa?␏",
		out:  "\n␊χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa?␏",
	}, { // 3682
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␊␊χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa?␏",
		out:  "␊␊χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa?␏",
	}, { // 3683
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa␊␏",
		out:  "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa␊␏",
	}, { // 3684
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␊＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa␊␏",
		out:  "␊＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa␊␏",
	}, { // 3685
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa?␊",
		out:  "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa?‛␊",
	}, { // 3686
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␊＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa?␊",
		out:  "␊＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa?‛␊",
	}, { // 3687
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n\nχ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa?␏",
		out:  "\n\nχ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa?␏",
	}, { // 3688
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n␊χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa?␏",
		out:  "\n␊χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa?␏",
	}, { // 3689
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n\nχ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa␊␏",
		out:  "\n\nχ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa␊␏",
	}, { // 3690
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n␊χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa␊␏",
		out:  "\n␊χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa␊␏",
	}, { // 3691
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n\nχ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa?␊",
		out:  "\n\nχ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa?‛␊",
	}, { // 3692
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n␊χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa?␊",
		out:  "\n␊χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa?‛␊",
	}, { // 3693
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa\n␏",
		out:  "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa\n␏",
	}, { // 3694
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa␊␏",
		out:  "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa␊␏",
	}, { // 3695
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa\n␊",
		out:  "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa\n‛␊",
	}, { // 3696
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa␊␊",
		out:  "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa␊‛␊",
	}, { // 3697
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa?\n",
		out:  "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa?␊",
	}, { // 3698
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O]ξ４/␛／＼ωNa?␊",
		out:  "\n＾χ␊～␈toψφ\n ６\x1b\x1aｓ␂O］ξ４/␛／＼ωNa?‛␊",
	}, { // 3699
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "Ｘ\x16［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβｎ",
		out:  "Ｘ\x16‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβｎ",
	}, { // 3700
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\v␋［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβｎ",
		out:  "\v␋‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβｎ",
	}, { // 3701
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␋␋［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβｎ",
		out:  "␋␋‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβｎ",
	}, { // 3702
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\v\x16［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v␋ｎ",
		out:  "\v\x16‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v␋ｎ",
	}, { // 3703
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␋\x16［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v␋ｎ",
		out:  "␋\x16‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v␋ｎ",
	}, { // 3704
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\v\x16［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβ␋",
		out:  "\v\x16‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβ‛␋",
	}, { // 3705
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␋\x16［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβ␋",
		out:  "␋\x16‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβ‛␋",
	}, { // 3706
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "Ｘ\v［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβｎ",
		out:  "Ｘ\v‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβｎ",
	}, { // 3707
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "Ｘ␋［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβｎ",
		out:  "Ｘ␋‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβｎ",
	}, { // 3708
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "Ｘ\v［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v␋ｎ",
		out:  "Ｘ\v‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v␋ｎ",
	}, { // 3709
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "Ｘ␋［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v␋ｎ",
		out:  "Ｘ␋‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v␋ｎ",
	}, { // 3710
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "Ｘ\v［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβ␋",
		out:  "Ｘ\v‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβ‛␋",
	}, { // 3711
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "Ｘ␋［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβ␋",
		out:  "Ｘ␋‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβ‛␋",
	}, { // 3712
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "Ｘ\x16［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v\vｎ",
		out:  "Ｘ\x16‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v\vｎ",
	}, { // 3713
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "Ｘ\x16［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v␋ｎ",
		out:  "Ｘ\x16‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v␋ｎ",
	}, { // 3714
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "Ｘ\x16［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v\v␋",
		out:  "Ｘ\x16‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v\v‛␋",
	}, { // 3715
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "Ｘ\x16［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v␋␋",
		out:  "Ｘ\x16‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\v␋‛␋",
	}, { // 3716
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "Ｘ\x16［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβ\v",
		out:  "Ｘ\x16‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβ␋",
	}, { // 3717
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "Ｘ\x16［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβ␋",
		out:  "Ｘ\x16‛［N␊\x1bψ␔␜ς\v０υ␑␑!#+8\uff00e\x0e#:：κν\vβ‛␋",
	}, { // 3718
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "ο␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^βη",
		out:  "ο␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^βη",
	}, { // 3719
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\r␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^βη",
		out:  "\r␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^βη",
	}, { // 3720
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^βη",
		out:  "␍␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^βη",
	}, { // 3721
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\r␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^␍η",
		out:  "\r␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^␍η",
	}, { // 3722
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^␍η",
		out:  "␍␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^␍η",
	}, { // 3723
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\r␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^β␍",
		out:  "\r␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^β‛␍",
	}, { // 3724
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^β␍",
		out:  "␍␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^β‛␍",
	}, { // 3725
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "ο\rＣx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^βη",
		out:  "ο\rＣx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^βη",
	}, { // 3726
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "ο␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^βη",
		out:  "ο␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^βη",
	}, { // 3727
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "ο\rＣx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^␍η",
		out:  "ο\rＣx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^␍η",
	}, { // 3728
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "ο␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^␍η",
		out:  "ο␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^␍η",
	}, { // 3729
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "ο\rＣx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^β␍",
		out:  "ο\rＣx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^β‛␍",
	}, { // 3730
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "ο␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^β␍",
		out:  "ο␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^β‛␍",
	}, { // 3731
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "ο␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^\rη",
		out:  "ο␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^\rη",
	}, { // 3732
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "ο␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^␍η",
		out:  "ο␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^␍η",
	}, { // 3733
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "ο␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^\r␍",
		out:  "ο␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^\r‛␍",
	}, { // 3734
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "ο␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^␍␍",
		out:  "ο␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^␍‛␍",
	}, { // 3735
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "ο␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^β\r",
		out:  "ο␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^β␍",
	}, { // 3736
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "ο␍Ｃx!］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^β␍",
		out:  "ο␍Ｃx!‛］\x14φ\x10␂\rτεｕ\x03%ｚ␛Ｆ ␐－~ｗ$\r\a^β‛␍",
	}, { // 3737
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "iｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bkμ",
		out:  "iｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bkμ",
	}, { // 3738
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\t␉pX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bkμ",
		out:  "\t␉pX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bkμ",
	}, { // 3739
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␉␉pX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bkμ",
		out:  "␉␉pX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bkμ",
	}, { // 3740
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\tｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b␉μ",
		out:  "\tｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b␉μ",
	}, { // 3741
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␉ｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b␉μ",
		out:  "␉ｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b␉μ",
	}, { // 3742
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\tｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bk␉",
		out:  "\tｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bk‛␉",
	}, { // 3743
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␉ｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bk␉",
		out:  "␉ｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bk‛␉",
	}, { // 3744
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "i\tpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bkμ",
		out:  "i\tpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bkμ",
	}, { // 3745
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "i␉pX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bkμ",
		out:  "i␉pX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bkμ",
	}, { // 3746
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "i\tpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b␉μ",
		out:  "i\tpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b␉μ",
	}, { // 3747
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "i␉pX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b␉μ",
		out:  "i␉pX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b␉μ",
	}, { // 3748
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "i\tpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bk␉",
		out:  "i\tpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bk‛␉",
	}, { // 3749
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "i␉pX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bk␉",
		out:  "i␉pX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bk‛␉",
	}, { // 3750
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "iｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b\tμ",
		out:  "iｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b\tμ",
	}, { // 3751
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "iｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b␉μ",
		out:  "iｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b␉μ",
	}, { // 3752
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "iｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b\t␉",
		out:  "iｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b\t‛␉",
	}, { // 3753
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "iｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b␉␉",
		out:  "iｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\b␉‛␉",
	}, { // 3754
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "iｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bk\t",
		out:  "iｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bk␉",
	}, { // 3755
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "iｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bk␉",
		out:  "iｆpX.\x03ηａ＇␍\tＰορ␑λ?%\r&␋ＧρＺ␑\x16２\bk‛␉",
	}, { // 3756
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ψＨ；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:\uff00",
		out:  "ψＨ‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:\uff00",
	}, { // 3757
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\n␊；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:\uff00",
		out:  "\n␊‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:\uff00",
	}, { // 3758
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␊␊；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:\uff00",
		out:  "␊␊‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:\uff00",
	}, { // 3759
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\nＨ；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼␊\uff00",
		out:  "\nＨ‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼␊\uff00",
	}, { // 3760
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␊Ｈ；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼␊\uff00",
		out:  "␊Ｈ‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼␊\uff00",
	}, { // 3761
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\nＨ；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:␊",
		out:  "\nＨ‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:‛␊",
	}, { // 3762
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␊Ｈ；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:␊",
		out:  "␊Ｈ‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:‛␊",
	}, { // 3763
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ψ\n；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:\uff00",
		out:  "ψ\n‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:\uff00",
	}, { // 3764
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ψ␊；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:\uff00",
		out:  "ψ␊‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:\uff00",
	}, { // 3765
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ψ\n；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼␊\uff00",
		out:  "ψ\n‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼␊\uff00",
	}, { // 3766
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ψ␊；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼␊\uff00",
		out:  "ψ␊‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼␊\uff00",
	}, { // 3767
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ψ\n；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:␊",
		out:  "ψ\n‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:‛␊",
	}, { // 3768
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ψ␊；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:␊",
		out:  "ψ␊‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:‛␊",
	}, { // 3769
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ψＨ；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼\n\uff00",
		out:  "ψＨ‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼\n\uff00",
	}, { // 3770
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ψＨ；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼␊\uff00",
		out:  "ψＨ‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼␊\uff00",
	}, { // 3771
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ψＨ；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼\n␊",
		out:  "ψＨ‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼\n‛␊",
	}, { // 3772
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ψＨ；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼␊␊",
		out:  "ψＨ‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼␊‛␊",
	}, { // 3773
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ψＨ；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:\n",
		out:  "ψＨ‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:␊",
	}, { // 3774
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ψＨ；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:␊",
		out:  "ψＨ‛；^L␄＊ωｔ?\n␝\x112\x1e\x01ετA\x1f１\x0e\tＢｏ＊ψ＼:‛␊",
	}, { // 3775
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "Ａ％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!Ｆ",
		out:  "Ａ％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!Ｆ",
	}, { // 3776
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\v␋\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!Ｆ",
		out:  "\v␋\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!Ｆ",
	}, { // 3777
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␋␋\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!Ｆ",
		out:  "␋␋\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!Ｆ",
	}, { // 3778
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\v％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂␋Ｆ",
		out:  "\v％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂␋Ｆ",
	}, { // 3779
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␋％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂␋Ｆ",
		out:  "␋％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂␋Ｆ",
	}, { // 3780
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\v％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!␋",
		out:  "\v％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!‛␋",
	}, { // 3781
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␋％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!␋",
		out:  "␋％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!‛␋",
	}, { // 3782
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "Ａ\v\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!Ｆ",
		out:  "Ａ\v\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!Ｆ",
	}, { // 3783
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "Ａ␋\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!Ｆ",
		out:  "Ａ␋\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!Ｆ",
	}, { // 3784
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "Ａ\v\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂␋Ｆ",
		out:  "Ａ\v\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂␋Ｆ",
	}, { // 3785
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "Ａ␋\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂␋Ｆ",
		out:  "Ａ␋\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂␋Ｆ",
	}, { // 3786
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "Ａ\v\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!␋",
		out:  "Ａ\v\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!‛␋",
	}, { // 3787
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "Ａ␋\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!␋",
		out:  "Ａ␋\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!‛␋",
	}, { // 3788
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "Ａ％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂\vＦ",
		out:  "Ａ％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂\vＦ",
	}, { // 3789
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "Ａ％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂␋Ｆ",
		out:  "Ａ％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂␋Ｆ",
	}, { // 3790
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "Ａ％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂\v␋",
		out:  "Ａ％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂\v‛␋",
	}, { // 3791
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "Ａ％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂␋␋",
		out:  "Ａ％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂␋‛␋",
	}, { // 3792
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "Ａ％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!\v",
		out:  "Ａ％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!␋",
	}, { // 3793
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "Ａ％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!␋",
		out:  "Ａ％\rTυ\x06␏wＦ␅\v\x1e%␉9l␈νβκZ'ο\x13ζｈ␡␂!‛␋",
	}, { // 3794
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "K\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1aφ",
		out:  "K\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1aφ",
	}, { // 3795
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\r␍␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1aφ",
		out:  "\r␍␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1aφ",
	}, { // 3796
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␍␍␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1aφ",
		out:  "␍␍␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1aφ",
	}, { // 3797
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\r\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０␍φ",
		out:  "\r\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０␍φ",
	}, { // 3798
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␍\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０␍φ",
		out:  "␍\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０␍φ",
	}, { // 3799
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\r\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1a␍",
		out:  "\r\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1a‛␍",
	}, { // 3800
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␍\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1a␍",
		out:  "␍\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1a‛␍",
	}, { // 3801
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "K\r␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1aφ",
		out:  "K\r␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1aφ",
	}, { // 3802
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "K␍␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1aφ",
		out:  "K␍␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1aφ",
	}, { // 3803
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "K\r␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０␍φ",
		out:  "K\r␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０␍φ",
	}, { // 3804
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "K␍␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０␍φ",
		out:  "K␍␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０␍φ",
	}, { // 3805
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "K\r␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1a␍",
		out:  "K\r␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1a‛␍",
	}, { // 3806
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "K␍␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1a␍",
		out:  "K␍␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1a‛␍",
	}, { // 3807
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "K\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\rφ",
		out:  "K\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\rφ",
	}, { // 3808
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "K\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０␍φ",
		out:  "K\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０␍φ",
	}, { // 3809
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "K\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\r␍",
		out:  "K\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\r‛␍",
	}, { // 3810
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "K\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０␍␍",
		out:  "K\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０␍‛␍",
	}, { // 3811
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "K\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1a\r",
		out:  "K\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1a␍",
	}, { // 3812
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "K\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1a␍",
		out:  "K\x04␏␏\"φλ\x1e\x14＜\rζ[\nＱＣνλoV＊\x03｜Ｎ␈␡p０\x1a‛␍",
	}, { // 3813
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "ｅ.＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b\\",
		out:  "ｅ.＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b\\",
	}, { // 3814
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\t␉＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b\\",
		out:  "\t␉＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b\\",
	}, { // 3815
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "␉␉＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b\\",
		out:  "␉␉＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b\\",
	}, { // 3816
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\t.＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01␉\\",
		out:  "\t.＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01␉\\",
	}, { // 3817
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "␉.＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01␉\\",
		out:  "␉.＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01␉\\",
	}, { // 3818
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\t.＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b␉",
		out:  "\t.＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b‛␉",
	}, { // 3819
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "␉.＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b␉",
		out:  "␉.＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b‛␉",
	}, { // 3820
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "ｅ\t＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b\\",
		out:  "ｅ\t＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b\\",
	}, { // 3821
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "ｅ␉＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b\\",
		out:  "ｅ␉＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b\\",
	}, { // 3822
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "ｅ\t＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01␉\\",
		out:  "ｅ\t＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01␉\\",
	}, { // 3823
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "ｅ␉＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01␉\\",
		out:  "ｅ␉＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01␉\\",
	}, { // 3824
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "ｅ\t＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b␉",
		out:  "ｅ\t＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b‛␉",
	}, { // 3825
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "ｅ␉＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b␉",
		out:  "ｅ␉＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b‛␉",
	}, { // 3826
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "ｅ.＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\t\\",
		out:  "ｅ.＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\t\\",
	}, { // 3827
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "ｅ.＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01␉\\",
		out:  "ｅ.＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01␉\\",
	}, { // 3828
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "ｅ.＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\t␉",
		out:  "ｅ.＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\t‛␉",
	}, { // 3829
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "ｅ.＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01␉␉",
		out:  "ｅ.＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01␉‛␉",
	}, { // 3830
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "ｅ.＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b\t",
		out:  "ｅ.＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b␉",
	}, { // 3831
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "ｅ.＇\x00B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b␉",
		out:  "ｅ.＇␀B␗(πｕ$\t％␆μα［Ｆｃ&０β[＊\rςξＳ\x01\b‛␉",
	}, { // 3832
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\x11！ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␡␘",
		out:  "\x11‛！ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␡␘",
	}, { // 3833
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\n␊ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␡␘",
		out:  "\n␊ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␡␘",
	}, { // 3834
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "␊␊ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␡␘",
		out:  "␊␊ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␡␘",
	}, { // 3835
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\n！ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␊␘",
		out:  "\n‛！ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␊␘",
	}, { // 3836
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "␊！ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␊␘",
		out:  "␊‛！ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␊␘",
	}, { // 3837
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\n！ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␡␊",
		out:  "\n‛！ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␡‛␊",
	}, { // 3838
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "␊！ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␡␊",
		out:  "␊‛！ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␡‛␊",
	}, { // 3839
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\x11\nｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␡␘",
		out:  "\x11\nｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␡␘",
	}, { // 3840
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\x11␊ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␡␘",
		out:  "\x11␊ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␡␘",
	}, { // 3841
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\x11\nｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␊␘",
		out:  "\x11\nｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␊␘",
	}, { // 3842
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\x11␊ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␊␘",
		out:  "\x11␊ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␊␘",
	}, { // 3843
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\x11\nｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␡␊",
		out:  "\x11\nｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␡‛␊",
	}, { // 3844
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\x11␊ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␡␊",
		out:  "\x11␊ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␡‛␊",
	}, { // 3845
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\x11！ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04\n␘",
		out:  "\x11‛！ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04\n␘",
	}, { // 3846
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\x11！ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␊␘",
		out:  "\x11‛！ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␊␘",
	}, { // 3847
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\x11！ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04\n␊",
		out:  "\x11‛！ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04\n‛␊",
	}, { // 3848
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\x11！ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␊␊",
		out:  "\x11‛！ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␊‛␊",
	}, { // 3849
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\x11！ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␡\n",
		out:  "\x11‛！ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␡␊",
	}, { // 3850
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\x11！ｘ!ｚ␃&ι＂５\nｐσI（！#~η<φι4E\x03Ｂ\x17\x04␡␊",
		out:  "\x11‛！ｘ！ｚ␃&ι＂５\nｐσI（‛！#~η<φι4E\x03Ｂ\x17\x04␡‛␊",
	}, { // 3851
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "＜␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␆\x1e",
		out:  "＜␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␆\x1e",
	}, { // 3852
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\v␋σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␆\x1e",
		out:  "\v␋σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␆\x1e",
	}, { // 3853
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "␋␋σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␆\x1e",
		out:  "␋␋σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␆\x1e",
	}, { // 3854
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\v␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␋\x1e",
		out:  "\v␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␋\x1e",
	}, { // 3855
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "␋␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␋\x1e",
		out:  "␋␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␋\x1e",
	}, { // 3856
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\v␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␆␋",
		out:  "\v␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␆‛␋",
	}, { // 3857
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "␋␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␆␋",
		out:  "␋␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␆‛␋",
	}, { // 3858
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "＜\vσχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␆\x1e",
		out:  "＜\vσχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␆\x1e",
	}, { // 3859
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "＜␋σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␆\x1e",
		out:  "＜␋σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␆\x1e",
	}, { // 3860
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "＜\vσχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␋\x1e",
		out:  "＜\vσχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␋\x1e",
	}, { // 3861
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "＜␋σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␋\x1e",
		out:  "＜␋σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␋\x1e",
	}, { // 3862
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "＜\vσχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␆␋",
		out:  "＜\vσχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␆‛␋",
	}, { // 3863
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "＜␋σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␆␋",
		out:  "＜␋σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␆‛␋",
	}, { // 3864
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "＜␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ\v\x1e",
		out:  "＜␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ\v\x1e",
	}, { // 3865
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "＜␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␋\x1e",
		out:  "＜␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␋\x1e",
	}, { // 3866
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "＜␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ\v␋",
		out:  "＜␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ\v‛␋",
	}, { // 3867
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "＜␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␋␋",
		out:  "＜␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␋‛␋",
	}, { // 3868
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "＜␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␆\v",
		out:  "＜␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␆␋",
	}, { // 3869
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "＜␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；!]}␊\x1dε=␊Ｋπ␆␋",
		out:  "＜␊σχ\x1fｃiω␉g\v~μＩ\x04Ｓ＋；！]}␊\x1dε=␊Ｋπ␆‛␋",
	}, { // 3870
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "8）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄δ",
		out:  "8）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄δ",
	}, { // 3871
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\r␍␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄δ",
		out:  "\r␍␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄δ",
	}, { // 3872
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "␍␍␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄δ",
		out:  "␍␍␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄δ",
	}, { // 3873
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\r）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<␍δ",
		out:  "\r）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<␍δ",
	}, { // 3874
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "␍）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<␍δ",
		out:  "␍）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<␍δ",
	}, { // 3875
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "\r）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄␍",
		out:  "\r）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄‛␍",
	}, { // 3876
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "␍）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄␍",
		out:  "␍）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄‛␍",
	}, { // 3877
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "8\r␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄δ",
		out:  "8\r␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄δ",
	}, { // 3878
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "8␍␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄δ",
		out:  "8␍␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄δ",
	}, { // 3879
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "8\r␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<␍δ",
		out:  "8\r␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<␍δ",
	}, { // 3880
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "8␍␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<␍δ",
		out:  "8␍␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<␍δ",
	}, { // 3881
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "8\r␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄␍",
		out:  "8\r␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄‛␍",
	}, { // 3882
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "8␍␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄␍",
		out:  "8␍␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄‛␍",
	}, { // 3883
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "8）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<\rδ",
		out:  "8）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<\rδ",
	}, { // 3884
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "8）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<␍δ",
		out:  "8）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<␍δ",
	}, { // 3885
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "8）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<\r␍",
		out:  "8）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<\r‛␍",
	}, { // 3886
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "8）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<␍␍",
		out:  "8）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<␍‛␍",
	}, { // 3887
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "8）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄\r",
		out:  "8）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄␍",
	}, { // 3888
		mask: EncodeExclamation | EncodeRightCrLfHtVt,
		in:   "8）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄␍",
		out:  "8）␑＇？ρφ／a\x11\rσA８:\a␈\x17␁*＄＞<#zων<＄‛␍",
	}, { // 3889
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "＂<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5μ",
		out:  "＂<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5μ",
	}, { // 3890
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\t␉｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5μ",
		out:  "\t␉｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5μ",
	}, { // 3891
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␉␉｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5μ",
		out:  "␉␉｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5μ",
	}, { // 3892
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\t<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y␉μ",
		out:  "\t<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y␉μ",
	}, { // 3893
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␉<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y␉μ",
		out:  "␉<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y␉μ",
	}, { // 3894
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\t<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5␉",
		out:  "\t<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5‛␉",
	}, { // 3895
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␉<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5␉",
		out:  "␉<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5‛␉",
	}, { // 3896
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "＂\t｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5μ",
		out:  "＂\t｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5μ",
	}, { // 3897
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "＂␉｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5μ",
		out:  "＂␉｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5μ",
	}, { // 3898
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "＂\t｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y␉μ",
		out:  "＂\t｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y␉μ",
	}, { // 3899
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "＂␉｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y␉μ",
		out:  "＂␉｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y␉μ",
	}, { // 3900
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "＂\t｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5␉",
		out:  "＂\t｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5‛␉",
	}, { // 3901
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "＂␉｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5␉",
		out:  "＂␉｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5‛␉",
	}, { // 3902
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "＂<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y\tμ",
		out:  "＂<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y\tμ",
	}, { // 3903
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "＂<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y␉μ",
		out:  "＂<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y␉μ",
	}, { // 3904
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "＂<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y\t␉",
		out:  "＂<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y\t‛␉",
	}, { // 3905
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "＂<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y␉␉",
		out:  "＂<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y␉‛␉",
	}, { // 3906
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "＂<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5\t",
		out:  "＂<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5␉",
	}, { // 3907
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "＂<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5␉",
		out:  "＂<｀Q/κ#θ\"␐\t\x17［%␜Ｎ␊Ｂ:；？:␁φξν|y5‛␉",
	}, { // 3908
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "Ｇυ３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{－",
		out:  "Ｇυ３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{－",
	}, { // 3909
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\n␊３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{－",
		out:  "\n␊３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{－",
	}, { // 3910
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␊␊３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{－",
		out:  "␊␊３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{－",
	}, { // 3911
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\nυ３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７␊－",
		out:  "\nυ３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７␊－",
	}, { // 3912
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␊υ３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７␊－",
		out:  "␊υ３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７␊－",
	}, { // 3913
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\nυ３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{␊",
		out:  "\nυ３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{‛␊",
	}, { // 3914
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␊υ３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{␊",
		out:  "␊υ３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{‛␊",
	}, { // 3915
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "Ｇ\n３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{－",
		out:  "Ｇ\n３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{－",
	}, { // 3916
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "Ｇ␊３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{－",
		out:  "Ｇ␊３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{－",
	}, { // 3917
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "Ｇ\n３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７␊－",
		out:  "Ｇ\n３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７␊－",
	}, { // 3918
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "Ｇ␊３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７␊－",
		out:  "Ｇ␊３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７␊－",
	}, { // 3919
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "Ｇ\n３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{␊",
		out:  "Ｇ\n３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{‛␊",
	}, { // 3920
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "Ｇ␊３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{␊",
		out:  "Ｇ␊３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{‛␊",
	}, { // 3921
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "Ｇυ３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７\n－",
		out:  "Ｇυ３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７\n－",
	}, { // 3922
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "Ｇυ３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７␊－",
		out:  "Ｇυ３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７␊－",
	}, { // 3923
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "Ｇυ３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７\n␊",
		out:  "Ｇυ３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７\n‛␊",
	}, { // 3924
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "Ｇυ３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７␊␊",
		out:  "Ｇυ３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７␊‛␊",
	}, { // 3925
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "Ｇυ３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{\n",
		out:  "Ｇυ３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{␊",
	}, { // 3926
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "Ｇυ３\x00␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{␊",
		out:  "Ｇυ３␀␗＆\x16ω\x01[\nＲλCο｜␚ι\f?ξ␉/;c␌R７{‛␊",
	}, { // 3927
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\tｒI\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH－\x03",
		out:  "\tｒI\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH－\x03",
	}, { // 3928
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\v␋I\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH－\x03",
		out:  "\v␋I\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH－\x03",
	}, { // 3929
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␋␋I\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH－\x03",
		out:  "␋␋I\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH－\x03",
	}, { // 3930
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\vｒI\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH␋\x03",
		out:  "\vｒI\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH␋\x03",
	}, { // 3931
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␋ｒI\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH␋\x03",
		out:  "␋ｒI\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH␋\x03",
	}, { // 3932
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\vｒI\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH－␋",
		out:  "\vｒI\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH－‛␋",
	}, { // 3933
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␋ｒI\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH－␋",
		out:  "␋ｒI\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH－‛␋",
	}, { // 3934
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\t\vI\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH－\x03",
		out:  "\t\vI\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH－\x03",
	}, { // 3935
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\t␋I\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH－\x03",
		out:  "\t␋I\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH－\x03",
	}, { // 3936
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\t\vI\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH␋\x03",
		out:  "\t\vI\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH␋\x03",
	}, { // 3937
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\t␋I\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH␋\x03",
		out:  "\t␋I\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH␋\x03",
	}, { // 3938
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\t\vI\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH－␋",
		out:  "\t\vI\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH－‛␋",
	}, { // 3939
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\t␋I\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH－␋",
		out:  "\t␋I\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH－‛␋",
	}, { // 3940
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\tｒI\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH\v\x03",
		out:  "\tｒI\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH\v\x03",
	}, { // 3941
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\tｒI\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH␋\x03",
		out:  "\tｒI\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH␋\x03",
	}, { // 3942
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\tｒI\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH\v␋",
		out:  "\tｒI\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH\v‛␋",
	}, { // 3943
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\tｒI\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH␋␋",
		out:  "\tｒI\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH␋‛␋",
	}, { // 3944
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\tｒI\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH－\v",
		out:  "\tｒI\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH－␋",
	}, { // 3945
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\tｒI\x0ea␜ψ␃\f␎\v␓κζｐ\x00ｆι␀$\t｛Ｒ␂)υμH－␋",
		out:  "\tｒI\x0ea␜ψ␃\f␎\v␓κζｐ␀ｆι‛␀＄\t｛Ｒ␂)υμH－‛␋",
	}, { // 3946
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "?ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υBＺ",
		out:  "?ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υBＺ",
	}, { // 3947
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\r␍␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υBＺ",
		out:  "\r␍␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υBＺ",
	}, { // 3948
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␍␍␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υBＺ",
		out:  "␍␍␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υBＺ",
	}, { // 3949
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\rο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υ␍Ｚ",
		out:  "\rο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υ␍Ｚ",
	}, { // 3950
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␍ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υ␍Ｚ",
		out:  "␍ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υ␍Ｚ",
	}, { // 3951
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\rο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υB␍",
		out:  "\rο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υB‛␍",
	}, { // 3952
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␍ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υB␍",
		out:  "␍ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υB‛␍",
	}, { // 3953
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "?\r␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υBＺ",
		out:  "?\r␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υBＺ",
	}, { // 3954
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "?␍␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υBＺ",
		out:  "?␍␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υBＺ",
	}, { // 3955
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "?\r␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υ␍Ｚ",
		out:  "?\r␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υ␍Ｚ",
	}, { // 3956
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "?␍␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υ␍Ｚ",
		out:  "?␍␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υ␍Ｚ",
	}, { // 3957
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "?\r␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υB␍",
		out:  "?\r␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υB‛␍",
	}, { // 3958
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "?␍␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υB␍",
		out:  "?␍␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υB‛␍",
	}, { // 3959
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "?ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υ\rＺ",
		out:  "?ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υ\rＺ",
	}, { // 3960
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "?ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υ␍Ｚ",
		out:  "?ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υ␍Ｚ",
	}, { // 3961
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "?ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υ\r␍",
		out:  "?ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υ\r‛␍",
	}, { // 3962
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "?ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υ␍␍",
		out:  "?ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υ␍‛␍",
	}, { // 3963
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "?ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υB\r",
		out:  "?ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υB␍",
	}, { // 3964
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "?ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\＄␀υB␍",
		out:  "?ο␃％ςｊB(d\x05\r␕␐\f７\b␕DρＥ０!\x03μ\\‛＄‛␀υB‛␍",
	}, { // 3965
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "$&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␅",
		out:  "$&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␅",
	}, { // 3966
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\t␉！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␅",
		out:  "\t␉！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␅",
	}, { // 3967
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␉␉！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␅",
		out:  "␉␉！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␅",
	}, { // 3968
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\t&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ␉␅",
		out:  "\t&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ␉␅",
	}, { // 3969
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␉&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ␉␅",
		out:  "␉&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ␉␅",
	}, { // 3970
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\t&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␉",
		out:  "\t&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ‛␉",
	}, { // 3971
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␉&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␉",
		out:  "␉&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ‛␉",
	}, { // 3972
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "$\t！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␅",
		out:  "$\t！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␅",
	}, { // 3973
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "$␉！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␅",
		out:  "$␉！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␅",
	}, { // 3974
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "$\t！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ␉␅",
		out:  "$\t！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ␉␅",
	}, { // 3975
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "$␉！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ␉␅",
		out:  "$␉！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ␉␅",
	}, { // 3976
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "$\t！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␉",
		out:  "$\t！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ‛␉",
	}, { // 3977
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "$␉！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␉",
		out:  "$␉！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ‛␉",
	}, { // 3978
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "$&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ\t␅",
		out:  "$&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ\t␅",
	}, { // 3979
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "$&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ␉␅",
		out:  "$&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ␉␅",
	}, { // 3980
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "$&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ\t␉",
		out:  "$&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ\t‛␉",
	}, { // 3981
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "$&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ␉␉",
		out:  "$&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂ␉‛␉",
	}, { // 3982
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "$&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ\t",
		out:  "$&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␉",
	}, { // 3983
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "$&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ␉",
		out:  "$&！\x16％\x06δ%~ω\t｀β\x1b/ψe␁v／τ#ν［：）␕Ｂｗ‛␉",
	}, { // 3984
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "ｈ\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@Ｐ",
		out:  "ｈ\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@Ｐ",
	}, { // 3985
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\n␊]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@Ｐ",
		out:  "\n␊]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@Ｐ",
	}, { // 3986
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␊␊]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@Ｐ",
		out:  "␊␊]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@Ｐ",
	}, { // 3987
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\n\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11␊Ｐ",
		out:  "\n\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11␊Ｐ",
	}, { // 3988
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␊\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11␊Ｐ",
		out:  "␊\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11␊Ｐ",
	}, { // 3989
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\n\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@␊",
		out:  "\n\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@‛␊",
	}, { // 3990
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␊\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@␊",
		out:  "␊\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@‛␊",
	}, { // 3991
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "ｈ\n]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@Ｐ",
		out:  "ｈ\n]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@Ｐ",
	}, { // 3992
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "ｈ␊]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@Ｐ",
		out:  "ｈ␊]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@Ｐ",
	}, { // 3993
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "ｈ\n]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11␊Ｐ",
		out:  "ｈ\n]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11␊Ｐ",
	}, { // 3994
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "ｈ␊]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11␊Ｐ",
		out:  "ｈ␊]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11␊Ｐ",
	}, { // 3995
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "ｈ\n]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@␊",
		out:  "ｈ\n]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@‛␊",
	}, { // 3996
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "ｈ␊]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@␊",
		out:  "ｈ␊]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@‛␊",
	}, { // 3997
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "ｈ\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11\nＰ",
		out:  "ｈ\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11\nＰ",
	}, { // 3998
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "ｈ\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11␊Ｐ",
		out:  "ｈ\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11␊Ｐ",
	}, { // 3999
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "ｈ\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11\n␊",
		out:  "ｈ\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11\n‛␊",
	}, { // 4000
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "ｈ\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11␊␊",
		out:  "ｈ\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11␊‛␊",
	}, { // 4001
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "ｈ\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@\n",
		out:  "ｈ\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@␊",
	}, { // 4002
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "ｈ\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@␊",
		out:  "ｈ\x1f]Ｋζ␗>ｋS｜\n［νωo；/␆␈ξ：ι\x10υ\x1by?\x11@‛␊",
	}, { // 4003
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␄uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙\x17",
		out:  "␄uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙\x17",
	}, { // 4004
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\v␋κ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙\x17",
		out:  "\v␋κ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙\x17",
	}, { // 4005
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␋␋κ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙\x17",
		out:  "␋␋κ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙\x17",
	}, { // 4006
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\vuκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␋\x17",
		out:  "\vuκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␋\x17",
	}, { // 4007
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␋uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␋\x17",
		out:  "␋uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␋\x17",
	}, { // 4008
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\vuκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙␋",
		out:  "\vuκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙‛␋",
	}, { // 4009
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␋uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙␋",
		out:  "␋uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙‛␋",
	}, { // 4010
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␄\vκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙\x17",
		out:  "␄\vκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙\x17",
	}, { // 4011
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␄␋κ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙\x17",
		out:  "␄␋κ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙\x17",
	}, { // 4012
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␄\vκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␋\x17",
		out:  "␄\vκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␋\x17",
	}, { // 4013
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␄␋κ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␋\x17",
		out:  "␄␋κ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␋\x17",
	}, { // 4014
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␄\vκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙␋",
		out:  "␄\vκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙‛␋",
	}, { // 4015
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␄␋κ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙␋",
		out:  "␄␋κ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙‛␋",
	}, { // 4016
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␄uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι\v\x17",
		out:  "␄uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι\v\x17",
	}, { // 4017
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␄uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␋\x17",
		out:  "␄uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␋\x17",
	}, { // 4018
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␄uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι\v␋",
		out:  "␄uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι\v‛␋",
	}, { // 4019
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␄uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␋␋",
		out:  "␄uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␋‛␋",
	}, { // 4020
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␄uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙\v",
		out:  "␄uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙␋",
	}, { // 4021
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␄uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙␋",
		out:  "␄uκ␕␚&/＝μＰ\v０␡_\nωδKＣ+｜,\aλ\x0f:ｈι␙‛␋",
	}, { // 4022
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "k；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␎",
		out:  "k；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␎",
	}, { // 4023
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\r␍｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␎",
		out:  "\r␍｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␎",
	}, { // 4024
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␍␍｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␎",
		out:  "␍␍｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␎",
	}, { // 4025
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\r；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'␍␎",
		out:  "\r；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'␍␎",
	}, { // 4026
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␍；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'␍␎",
		out:  "␍；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'␍␎",
	}, { // 4027
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\r；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␍",
		out:  "\r；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃‛␍",
	}, { // 4028
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␍；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␍",
		out:  "␍；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃‛␍",
	}, { // 4029
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "k\r｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␎",
		out:  "k\r｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␎",
	}, { // 4030
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "k␍｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␎",
		out:  "k␍｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␎",
	}, { // 4031
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "k\r｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'␍␎",
		out:  "k\r｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'␍␎",
	}, { // 4032
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "k␍｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'␍␎",
		out:  "k␍｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'␍␎",
	}, { // 4033
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "k\r｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␍",
		out:  "k\r｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃‛␍",
	}, { // 4034
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "k␍｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␍",
		out:  "k␍｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃‛␍",
	}, { // 4035
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "k；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'\r␎",
		out:  "k；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'\r␎",
	}, { // 4036
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "k；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'␍␎",
		out:  "k；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'␍␎",
	}, { // 4037
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "k；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'\r␍",
		out:  "k；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'\r‛␍",
	}, { // 4038
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "k；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'␍␍",
		out:  "k；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'␍‛␍",
	}, { // 4039
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "k；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃\r",
		out:  "k；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␍",
	}, { // 4040
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "k；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃␍",
		out:  "k；｜ｅ!ςπλ］ο\rA\r␡ｃ｀␓}ο \x04\x06*\x1e\x12λｊ'＃‛␍",
	}, { // 4041
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "φ*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18ＰV",
		out:  "φ*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18ＰV",
	}, { // 4042
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\t␉Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18ＰV",
		out:  "\t␉Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18ＰV",
	}, { // 4043
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␉␉Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18ＰV",
		out:  "␉␉Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18ＰV",
	}, { // 4044
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\t*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18␉V",
		out:  "\t*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18␉V",
	}, { // 4045
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␉*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18␉V",
		out:  "␉*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18␉V",
	}, { // 4046
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\t*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18Ｐ␉",
		out:  "\t*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18Ｐ‛␉",
	}, { // 4047
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␉*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18Ｐ␉",
		out:  "␉*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18Ｐ‛␉",
	}, { // 4048
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "φ\tＵε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18ＰV",
		out:  "φ\tＵε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18ＰV",
	}, { // 4049
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "φ␉Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18ＰV",
		out:  "φ␉Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18ＰV",
	}, { // 4050
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "φ\tＵε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18␉V",
		out:  "φ\tＵε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18␉V",
	}, { // 4051
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "φ␉Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18␉V",
		out:  "φ␉Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18␉V",
	}, { // 4052
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "φ\tＵε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18Ｐ␉",
		out:  "φ\tＵε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18Ｐ‛␉",
	}, { // 4053
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "φ␉Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18Ｐ␉",
		out:  "φ␉Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18Ｐ‛␉",
	}, { // 4054
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "φ*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18\tV",
		out:  "φ*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18\tV",
	}, { // 4055
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "φ*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18␉V",
		out:  "φ*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18␉V",
	}, { // 4056
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "φ*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18\t␉",
		out:  "φ*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18\t‛␉",
	}, { // 4057
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "φ*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18␉␉",
		out:  "φ*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18␉‛␉",
	}, { // 4058
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "φ*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18Ｐ\t",
		out:  "φ*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18Ｐ␉",
	}, { // 4059
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "φ*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18Ｐ␉",
		out:  "φ*Ｕε\x04,\x05ｖ␘＼\t?␇τσ#（␉␊\x0fφ␐I/;ｎｏ\x18Ｐ‛␉",
	}, { // 4060
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "８＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊\f␒",
		out:  "８＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊\f␒",
	}, { // 4061
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\n␊ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊\f␒",
		out:  "\n␊ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊\f␒",
	}, { // 4062
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␊␊ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊\f␒",
		out:  "␊␊ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊\f␒",
	}, { // 4063
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\n＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊␊␒",
		out:  "\n＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊␊␒",
	}, { // 4064
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␊＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊␊␒",
		out:  "␊＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊␊␒",
	}, { // 4065
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\n＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊\f␊",
		out:  "\n＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊\f‛␊",
	}, { // 4066
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␊＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊\f␊",
		out:  "␊＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊\f‛␊",
	}, { // 4067
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "８\nο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊\f␒",
		out:  "８\nο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊\f␒",
	}, { // 4068
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "８␊ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊\f␒",
		out:  "８␊ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊\f␒",
	}, { // 4069
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "８\nο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊␊␒",
		out:  "８\nο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊␊␒",
	}, { // 4070
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "８␊ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊␊␒",
		out:  "８␊ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊␊␒",
	}, { // 4071
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "８\nο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊\f␊",
		out:  "８\nο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊\f‛␊",
	}, { // 4072
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "８␊ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊\f␊",
		out:  "８␊ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊\f‛␊",
	}, { // 4073
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "８＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊\n␒",
		out:  "８＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊\n␒",
	}, { // 4074
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "８＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊␊␒",
		out:  "８＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊␊␒",
	}, { // 4075
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "８＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊\n␊",
		out:  "８＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊\n‛␊",
	}, { // 4076
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "８＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊␊␊",
		out:  "８＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊␊‛␊",
	}, { // 4077
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "８＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊\f\n",
		out:  "８＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊\f␊",
	}, { // 4078
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "８＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο：␎｛Kε\n＊\f␊",
		out:  "８＃ο>＊ν%/{Ｑ\njＡ＃␍`\x19γκ<ο‛：␎｛Kε\n＊\f‛␊",
	}, { // 4079
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "οβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␒",
		out:  "οβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␒",
	}, { // 4080
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\v␋＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␒",
		out:  "\v␋＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␒",
	}, { // 4081
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␋␋＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␒",
		out:  "␋␋＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␒",
	}, { // 4082
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\vβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%␋␒",
		out:  "\vβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%␋␒",
	}, { // 4083
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␋β＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%␋␒",
		out:  "␋β＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%␋␒",
	}, { // 4084
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\vβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␋",
		out:  "\vβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v‛␋",
	}, { // 4085
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␋β＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␋",
		out:  "␋β＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v‛␋",
	}, { // 4086
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "ο\v＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␒",
		out:  "ο\v＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␒",
	}, { // 4087
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "ο␋＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␒",
		out:  "ο␋＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␒",
	}, { // 4088
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "ο\v＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%␋␒",
		out:  "ο\v＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%␋␒",
	}, { // 4089
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "ο␋＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%␋␒",
		out:  "ο␋＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%␋␒",
	}, { // 4090
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "ο\v＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␋",
		out:  "ο\v＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v‛␋",
	}, { // 4091
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "ο␋＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␋",
		out:  "ο␋＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v‛␋",
	}, { // 4092
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "οβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%\v␒",
		out:  "οβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%\v␒",
	}, { // 4093
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "οβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%␋␒",
		out:  "οβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%␋␒",
	}, { // 4094
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "οβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%\v␋",
		out:  "οβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%\v‛␋",
	}, { // 4095
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "οβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%␋␋",
		out:  "οβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%␋‛␋",
	}, { // 4096
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "οβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v\v",
		out:  "οβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␋",
	}, { // 4097
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "οβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v␋",
		out:  "οβ＞>［π\x13/＆5\vφ␁）f＊\x1c^［＃γξ\tＭＮ(a%v‛␋",
	}, { // 4098
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␚＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦＵ",
		out:  "␚＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦＵ",
	}, { // 4099
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\r␍σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦＵ",
		out:  "\r␍σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦＵ",
	}, { // 4100
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␍␍σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦＵ",
		out:  "␍␍σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦＵ",
	}, { // 4101
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\r＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o␍Ｕ",
		out:  "\r＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o␍Ｕ",
	}, { // 4102
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␍＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o␍Ｕ",
		out:  "␍＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o␍Ｕ",
	}, { // 4103
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\r＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦ␍",
		out:  "\r＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦ‛␍",
	}, { // 4104
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␍＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦ␍",
		out:  "␍＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦ‛␍",
	}, { // 4105
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␚\rσ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦＵ",
		out:  "␚\rσ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦＵ",
	}, { // 4106
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␚␍σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦＵ",
		out:  "␚␍σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦＵ",
	}, { // 4107
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␚\rσ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o␍Ｕ",
		out:  "␚\rσ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o␍Ｕ",
	}, { // 4108
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␚␍σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o␍Ｕ",
		out:  "␚␍σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o␍Ｕ",
	}, { // 4109
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␚\rσ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦ␍",
		out:  "␚\rσ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦ‛␍",
	}, { // 4110
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␚␍σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦ␍",
		out:  "␚␍σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦ‛␍",
	}, { // 4111
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␚＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o\rＵ",
		out:  "␚＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o\rＵ",
	}, { // 4112
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␚＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o␍Ｕ",
		out:  "␚＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o␍Ｕ",
	}, { // 4113
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␚＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o\r␍",
		out:  "␚＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o\r‛␍",
	}, { // 4114
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␚＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o␍␍",
		out:  "␚＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/o␍‛␍",
	}, { // 4115
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␚＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦ\r",
		out:  "␚＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦ␍",
	}, { // 4116
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␚＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦ␍",
		out:  "␚＼σ\x15τ\r3ψｊ␑\r␑a\x14␇\x1fυς｜ＷSο}\".Ｘ/oＦ‛␍",
	}, { // 4117
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␆Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊＇",
		out:  "␆Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊＇",
	}, { // 4118
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\t␉\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊＇",
		out:  "\t␉\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊＇",
	}, { // 4119
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␉␉\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊＇",
		out:  "␉␉\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊＇",
	}, { // 4120
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\tＢ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␉＇",
		out:  "\tＢ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␉＇",
	}, { // 4121
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␉Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␉＇",
		out:  "␉Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␉＇",
	}, { // 4122
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\tＢ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊␉",
		out:  "\tＢ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊‛␉",
	}, { // 4123
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␉Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊␉",
		out:  "␉Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊‛␉",
	}, { // 4124
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␆\t\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊＇",
		out:  "␆\t\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊＇",
	}, { // 4125
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␆␉\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊＇",
		out:  "␆␉\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊＇",
	}, { // 4126
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␆\t\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␉＇",
		out:  "␆\t\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␉＇",
	}, { // 4127
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␆␉\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␉＇",
		out:  "␆␉\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␉＇",
	}, { // 4128
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␆\t\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊␉",
		out:  "␆\t\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊‛␉",
	}, { // 4129
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␆␉\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊␉",
		out:  "␆␉\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊‛␉",
	}, { // 4130
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␆Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂\t＇",
		out:  "␆Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂\t＇",
	}, { // 4131
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␆Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␉＇",
		out:  "␆Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␉＇",
	}, { // 4132
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␆Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂\t␉",
		out:  "␆Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂\t‛␉",
	}, { // 4133
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␆Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␉␉",
		out:  "␆Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␉‛␉",
	}, { // 4134
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␆Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊\t",
		out:  "␆Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊␉",
	}, { // 4135
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␆Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊␉",
		out:  "␆Ｂ\x11\x0eｋ\\=␉ｍψ\tπ\x19␉(␊y`）σ\x1aυＺyFπw␂␊‛␉",
	}, { // 4136
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖοｍ",
		out:  "\r\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖοｍ",
	}, { // 4137
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\n␊ν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖοｍ",
		out:  "\n␊ν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖοｍ",
	}, { // 4138
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␊␊ν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖοｍ",
		out:  "␊␊ν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖοｍ",
	}, { // 4139
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\n\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖ␊ｍ",
		out:  "\n\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖ␊ｍ",
	}, { // 4140
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␊\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖ␊ｍ",
		out:  "␊\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖ␊ｍ",
	}, { // 4141
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\n\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖο␊",
		out:  "\n\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖο‛␊",
	}, { // 4142
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␊\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖο␊",
		out:  "␊\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖο‛␊",
	}, { // 4143
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r\nν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖοｍ",
		out:  "\r\nν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖοｍ",
	}, { // 4144
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r␊ν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖοｍ",
		out:  "\r␊ν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖοｍ",
	}, { // 4145
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r\nν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖ␊ｍ",
		out:  "\r\nν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖ␊ｍ",
	}, { // 4146
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r␊ν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖ␊ｍ",
		out:  "\r␊ν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖ␊ｍ",
	}, { // 4147
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r\nν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖο␊",
		out:  "\r\nν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖο‛␊",
	}, { // 4148
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r␊ν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖο␊",
		out:  "\r␊ν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖο‛␊",
	}, { // 4149
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖ\nｍ",
		out:  "\r\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖ\nｍ",
	}, { // 4150
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖ␊ｍ",
		out:  "\r\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖ␊ｍ",
	}, { // 4151
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖ\n␊",
		out:  "\r\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖ\n‛␊",
	}, { // 4152
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖ␊␊",
		out:  "\r\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖ␊‛␊",
	}, { // 4153
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖο\n",
		out:  "\r\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖο␊",
	}, { // 4154
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ?＆μ␞τ/＃q［Ｕ\x1eｖο␊",
		out:  "\r\x1eν␕/␗ｘ␟9P\nｙ#γ\rρ？＆μ␞τ/＃q［Ｕ\x1eｖο‛␊",
	}, { // 4155
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ｌf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ#",
		out:  "ｌf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ#",
	}, { // 4156
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\v␋␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ#",
		out:  "\v␋␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ#",
	}, { // 4157
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␋␋␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ#",
		out:  "␋␋␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ#",
	}, { // 4158
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\vf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04␋#",
		out:  "\vf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04␋#",
	}, { // 4159
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␋f␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04␋#",
		out:  "␋f␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04␋#",
	}, { // 4160
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\vf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ␋",
		out:  "\vf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ‛␋",
	}, { // 4161
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␋f␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ␋",
		out:  "␋f␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ‛␋",
	}, { // 4162
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ｌ\v␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ#",
		out:  "ｌ\v␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ#",
	}, { // 4163
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ｌ␋␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ#",
		out:  "ｌ␋␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ#",
	}, { // 4164
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ｌ\v␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04␋#",
		out:  "ｌ\v␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04␋#",
	}, { // 4165
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ｌ␋␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04␋#",
		out:  "ｌ␋␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04␋#",
	}, { // 4166
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ｌ\v␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ␋",
		out:  "ｌ\v␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ‛␋",
	}, { // 4167
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ｌ␋␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ␋",
		out:  "ｌ␋␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ‛␋",
	}, { // 4168
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ｌf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04\v#",
		out:  "ｌf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04\v#",
	}, { // 4169
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ｌf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04␋#",
		out:  "ｌf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04␋#",
	}, { // 4170
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ｌf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04\v␋",
		out:  "ｌf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04\v‛␋",
	}, { // 4171
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ｌf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04␋␋",
		out:  "ｌf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04␋‛␋",
	}, { // 4172
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ｌf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ\v",
		out:  "ｌf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ␋",
	}, { // 4173
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ｌf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ␋",
		out:  "ｌf␉＇m\nｌβ\\φ\v τＶ@＜σ/ｋ／＊oη\x13＄yλ\x04Ｈ‛␋",
	}, { // 4174
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␏\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８q",
		out:  "␏\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８q",
	}, { // 4175
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r␍\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８q",
		out:  "\r␍\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８q",
	}, { // 4176
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␍␍\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８q",
		out:  "␍␍\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８q",
	}, { // 4177
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ␍q",
		out:  "\r\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ␍q",
	}, { // 4178
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␍\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ␍q",
		out:  "␍\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ␍q",
	}, { // 4179
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８␍",
		out:  "\r\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８‛␍",
	}, { // 4180
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␍\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８␍",
		out:  "␍\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８‛␍",
	}, { // 4181
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␏\r\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８q",
		out:  "␏\r\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８q",
	}, { // 4182
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␏␍\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８q",
		out:  "␏␍\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８q",
	}, { // 4183
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␏\r\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ␍q",
		out:  "␏\r\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ␍q",
	}, { // 4184
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␏␍\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ␍q",
		out:  "␏␍\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ␍q",
	}, { // 4185
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␏\r\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８␍",
		out:  "␏\r\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８‛␍",
	}, { // 4186
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␏␍\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８␍",
		out:  "␏␍\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８‛␍",
	}, { // 4187
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␏\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ\rq",
		out:  "␏\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ\rq",
	}, { // 4188
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␏\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ␍q",
		out:  "␏\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ␍q",
	}, { // 4189
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␏\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ\r␍",
		out:  "␏\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ\r‛␍",
	}, { // 4190
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␏\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ␍␍",
		out:  "␏\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ␍‛␍",
	}, { // 4191
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␏\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８\r",
		out:  "␏\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８␍",
	}, { // 4192
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␏\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８␍",
		out:  "␏\x1f\x15υ@ｗψkＸψ\r;\x1c＊\x03＄ζ␚\x01οＯX␚！-␋Lｘ８‛␍",
	}, { // 4193
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；Mα␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]\x15[",
		out:  "；Mα␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]\x15[",
	}, { // 4194
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\t␉α␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]\x15[",
		out:  "\t␉α␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]\x15[",
	}, { // 4195
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␉␉α␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]\x15[",
		out:  "␉␉α␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]\x15[",
	}, { // 4196
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\tMα␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]␉[",
		out:  "\tMα␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]␉[",
	}, { // 4197
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␉Mα␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]␉[",
		out:  "␉Mα␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]␉[",
	}, { // 4198
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\tMα␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]\x15␉",
		out:  "\tMα␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]\x15‛␉",
	}, { // 4199
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␉Mα␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]\x15␉",
		out:  "␉Mα␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]\x15‛␉",
	}, { // 4200
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；\tα␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]\x15[",
		out:  "；\tα␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]\x15[",
	}, { // 4201
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；␉α␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]\x15[",
		out:  "；␉α␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]\x15[",
	}, { // 4202
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；\tα␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]␉[",
		out:  "；\tα␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]␉[",
	}, { // 4203
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；␉α␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]␉[",
		out:  "；␉α␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]␉[",
	}, { // 4204
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；\tα␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]\x15␉",
		out:  "；\tα␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]\x15‛␉",
	}, { // 4205
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；␉α␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]\x15␉",
		out:  "；␉α␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]\x15‛␉",
	}, { // 4206
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；Mα␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]\t[",
		out:  "；Mα␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]\t[",
	}, { // 4207
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；Mα␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]␉[",
		out:  "；Mα␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]␉[",
	}, { // 4208
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；Mα␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]\t␉",
		out:  "；Mα␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]\t‛␉",
	}, { // 4209
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；Mα␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]␉␉",
		out:  "；Mα␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]␉‛␉",
	}, { // 4210
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；Mα␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]\x15\t",
		out:  "；Mα␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]\x15␉",
	}, { // 4211
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；Mα␗／␑υ:\x13；\tοａ\x16ｉ#␀＠y＂δ3!ρ｜AＴ]\x15␉",
		out:  "；Mα␗／␑υ:\x13；\tοａ\x16ｉ#‛␀＠y＂δ3!ρ｜AＴ]\x15‛␉",
	}, { // 4212
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05％",
		out:  "；94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05％",
	}, { // 4213
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\n␊4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05％",
		out:  "\n␊4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05％",
	}, { // 4214
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␊␊4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05％",
		out:  "␊␊4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05％",
	}, { // 4215
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\n94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛␊％",
		out:  "\n94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛␊％",
	}, { // 4216
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␊94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛␊％",
		out:  "␊94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛␊％",
	}, { // 4217
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\n94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05␊",
		out:  "\n94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05‛␊",
	}, { // 4218
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␊94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05␊",
		out:  "␊94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05‛␊",
	}, { // 4219
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；\n4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05％",
		out:  "；\n4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05％",
	}, { // 4220
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；␊4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05％",
		out:  "；␊4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05％",
	}, { // 4221
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；\n4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛␊％",
		out:  "；\n4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛␊％",
	}, { // 4222
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；␊4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛␊％",
		out:  "；␊4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛␊％",
	}, { // 4223
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；\n4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05␊",
		out:  "；\n4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05‛␊",
	}, { // 4224
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；␊4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05␊",
		out:  "；␊4\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05‛␊",
	}, { // 4225
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\n％",
		out:  "；94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\n％",
	}, { // 4226
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛␊％",
		out:  "；94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛␊％",
	}, { // 4227
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\n␊",
		out:  "；94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\n‛␊",
	}, { // 4228
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛␊␊",
		out:  "；94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛␊‛␊",
	}, { // 4229
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05\n",
		out:  "；94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05␊",
	}, { // 4230
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "；94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05␊",
		out:  "；94\x05ｃπC］\x10␅\nρ\"（␂%0γ３\x12ν＄ω｀hχ␗｛\x05‛␊",
	}, { // 4231
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "φｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈？O",
		out:  "φｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈？O",
	}, { // 4232
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\v␋\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈？O",
		out:  "\v␋\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈？O",
	}, { // 4233
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␋␋\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈？O",
		out:  "␋␋\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈？O",
	}, { // 4234
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\vｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈␋O",
		out:  "\vｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈␋O",
	}, { // 4235
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␋ｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈␋O",
		out:  "␋ｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈␋O",
	}, { // 4236
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\vｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈？␋",
		out:  "\vｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈？‛␋",
	}, { // 4237
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␋ｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈？␋",
		out:  "␋ｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈？‛␋",
	}, { // 4238
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "φ\v\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈？O",
		out:  "φ\v\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈？O",
	}, { // 4239
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "φ␋\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈？O",
		out:  "φ␋\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈？O",
	}, { // 4240
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "φ\v\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈␋O",
		out:  "φ\v\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈␋O",
	}, { // 4241
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "φ␋\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈␋O",
		out:  "φ␋\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈␋O",
	}, { // 4242
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "φ\v\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈？␋",
		out:  "φ\v\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈？‛␋",
	}, { // 4243
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "φ␋\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈？␋",
		out:  "φ␋\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈？‛␋",
	}, { // 4244
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "φｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈\vO",
		out:  "φｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈\vO",
	}, { // 4245
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "φｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈␋O",
		out:  "φｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈␋O",
	}, { // 4246
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "φｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈\v␋",
		out:  "φｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈\v‛␋",
	}, { // 4247
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "φｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈␋␋",
		out:  "φｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈␋‛␋",
	}, { // 4248
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "φｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈？\v",
		out:  "φｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈？␋",
	}, { // 4249
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "φｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ*y＇R␈？␋",
		out:  "φｋ\x1e；γ）j>`]\v|'｜＇N４βＪθρＪλ＊y＇R␈？‛␋",
	}, { // 4250
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "[χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=＞",
		out:  "[χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=＞",
	}, { // 4251
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\r␍␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=＞",
		out:  "\r␍␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=＞",
	}, { // 4252
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␍␍␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=＞",
		out:  "␍␍␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=＞",
	}, { // 4253
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\rχ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/␍＞",
		out:  "\rχ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/␍＞",
	}, { // 4254
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␍χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/␍＞",
		out:  "␍χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/␍＞",
	}, { // 4255
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\rχ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=␍",
		out:  "\rχ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=‛␍",
	}, { // 4256
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␍χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=␍",
		out:  "␍χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=‛␍",
	}, { // 4257
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "[\r␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=＞",
		out:  "[\r␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=＞",
	}, { // 4258
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "[␍␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=＞",
		out:  "[␍␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=＞",
	}, { // 4259
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "[\r␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/␍＞",
		out:  "[\r␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/␍＞",
	}, { // 4260
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "[␍␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/␍＞",
		out:  "[␍␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/␍＞",
	}, { // 4261
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "[\r␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=␍",
		out:  "[\r␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=‛␍",
	}, { // 4262
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "[␍␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=␍",
		out:  "[␍␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=‛␍",
	}, { // 4263
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "[χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/\r＞",
		out:  "[χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/\r＞",
	}, { // 4264
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "[χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/␍＞",
		out:  "[χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/␍＞",
	}, { // 4265
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "[χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/\r␍",
		out:  "[χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/\r‛␍",
	}, { // 4266
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "[χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/␍␍",
		out:  "[χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/␍‛␍",
	}, { // 4267
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "[χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=\r",
		out:  "[χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=␍",
	}, { // 4268
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "[χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=␍",
		out:  "[χ␃ＣαK＞␜,Ｂ\rμＵρVIμ\"ω\b\"７｜＄h␚\x18/=‛␍",
	}, { // 4269
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "$γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␝",
		out:  "$γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␝",
	}, { // 4270
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\t␉ιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␝",
		out:  "\t␉ιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␝",
	}, { // 4271
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␉␉ιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␝",
		out:  "␉␉ιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␝",
	}, { // 4272
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\tγιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!␉␝",
		out:  "\tγιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!␉␝",
	}, { // 4273
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␉γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!␉␝",
		out:  "␉γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!␉␝",
	}, { // 4274
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\tγιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␉",
		out:  "\tγιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)‛␉",
	}, { // 4275
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␉γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␉",
		out:  "␉γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)‛␉",
	}, { // 4276
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "$\tιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␝",
		out:  "$\tιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␝",
	}, { // 4277
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "$␉ιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␝",
		out:  "$␉ιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␝",
	}, { // 4278
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "$\tιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!␉␝",
		out:  "$\tιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!␉␝",
	}, { // 4279
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "$␉ιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!␉␝",
		out:  "$␉ιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!␉␝",
	}, { // 4280
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "$\tιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␉",
		out:  "$\tιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)‛␉",
	}, { // 4281
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "$␉ιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␉",
		out:  "$␉ιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)‛␉",
	}, { // 4282
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "$γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!\t␝",
		out:  "$γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!\t␝",
	}, { // 4283
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "$γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!␉␝",
		out:  "$γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!␉␝",
	}, { // 4284
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "$γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!\t␉",
		out:  "$γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!\t‛␉",
	}, { // 4285
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "$γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!␉␉",
		out:  "$γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!␉‛␉",
	}, { // 4286
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "$γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)\t",
		out:  "$γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␉",
	}, { // 4287
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "$γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)␉",
		out:  "$γιＺ２ｑ␡\x04ｎ␋\t\x11\b1ζ\x17？ｌ,ςｏκ␆Pρ｀\t!)‛␉",
	}, { // 4288
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ψ~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␎\f",
		out:  "ψ~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␎\f",
	}, { // 4289
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\n␊．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␎\f",
		out:  "\n␊．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␎\f",
	}, { // 4290
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␊␊．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␎\f",
		out:  "␊␊．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␎\f",
	}, { // 4291
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\n~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␊\f",
		out:  "\n~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␊\f",
	}, { // 4292
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␊~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␊\f",
		out:  "␊~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␊\f",
	}, { // 4293
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\n~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␎␊",
		out:  "\n~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␎‛␊",
	}, { // 4294
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␊~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␎␊",
		out:  "␊~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␎‛␊",
	}, { // 4295
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ψ\n．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␎\f",
		out:  "ψ\n．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␎\f",
	}, { // 4296
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ψ␊．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␎\f",
		out:  "ψ␊．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␎\f",
	}, { // 4297
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ψ\n．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␊\f",
		out:  "ψ\n．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␊\f",
	}, { // 4298
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ψ␊．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␊\f",
		out:  "ψ␊．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␊\f",
	}, { // 4299
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ψ\n．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␎␊",
		out:  "ψ\n．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␎‛␊",
	}, { // 4300
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ψ␊．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␎␊",
		out:  "ψ␊．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␎‛␊",
	}, { // 4301
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ψ~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ\n\f",
		out:  "ψ~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ\n\f",
	}, { // 4302
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ψ~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␊\f",
		out:  "ψ~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␊\f",
	}, { // 4303
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ψ~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ\n␊",
		out:  "ψ~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ\n‛␊",
	}, { // 4304
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ψ~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␊␊",
		out:  "ψ~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␊‛␊",
	}, { // 4305
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ψ~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␎\n",
		out:  "ψ~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␎␊",
	}, { // 4306
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ψ~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ\x00Ｘξ␎␊",
		out:  "ψ~．\"ＮI␊\"␍ι\nＪ％｀ςJ␉O␍\fξ*\x7fsｙ␀Ｘξ␎‛␊",
	}, { // 4307
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "3␘\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο!Ｍ",
		out:  "3␘\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο!Ｍ",
	}, { // 4308
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\v␋\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο!Ｍ",
		out:  "\v␋\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο!Ｍ",
	}, { // 4309
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␋␋\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο!Ｍ",
		out:  "␋␋\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο!Ｍ",
	}, { // 4310
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\v␘\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο␋Ｍ",
		out:  "\v␘\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο␋Ｍ",
	}, { // 4311
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␋␘\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο␋Ｍ",
		out:  "␋␘\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο␋Ｍ",
	}, { // 4312
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\v␘\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο!␋",
		out:  "\v␘\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο!‛␋",
	}, { // 4313
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␋␘\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο!␋",
		out:  "␋␘\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο!‛␋",
	}, { // 4314
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "3\v\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο!Ｍ",
		out:  "3\v\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο!Ｍ",
	}, { // 4315
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "3␋\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο!Ｍ",
		out:  "3␋\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο!Ｍ",
	}, { // 4316
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "3\v\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο␋Ｍ",
		out:  "3\v\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο␋Ｍ",
	}, { // 4317
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "3␋\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο␋Ｍ",
		out:  "3␋\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο␋Ｍ",
	}, { // 4318
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "3\v\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο!␋",
		out:  "3\v\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο!‛␋",
	}, { // 4319
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "3␋\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο!␋",
		out:  "3␋\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο!‛␋",
	}, { // 4320
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "3␘\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο\vＭ",
		out:  "3␘\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο\vＭ",
	}, { // 4321
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "3␘\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο␋Ｍ",
		out:  "3␘\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο␋Ｍ",
	}, { // 4322
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "3␘\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο\v␋",
		out:  "3␘\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο\v‛␋",
	}, { // 4323
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "3␘\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο␋␋",
		out:  "3␘\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο␋‛␋",
	}, { // 4324
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "3␘\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο!\v",
		out:  "3␘\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο!␋",
	}, { // 4325
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "3␘\vＷνη␇７μ｝\vα}␑|９［␄>ν\"␎wA\x0fBＰο!␋",
		out:  "3␘\vＷνη␇７μ｝\vα}␑｜９［␄>ν\"␎wA\x0fBＰο!‛␋",
	}, { // 4326
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "V；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇%",
		out:  "V；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇%",
	}, { // 4327
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\r␍␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇%",
		out:  "\r␍␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇%",
	}, { // 4328
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␍␍␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇%",
		out:  "␍␍␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇%",
	}, { // 4329
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\r；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a␍%",
		out:  "\r；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a␍%",
	}, { // 4330
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␍；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a␍%",
		out:  "␍；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a␍%",
	}, { // 4331
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\r；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇␍",
		out:  "\r；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇‛␍",
	}, { // 4332
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␍；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇␍",
		out:  "␍；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇‛␍",
	}, { // 4333
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "V\r␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇%",
		out:  "V\r␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇%",
	}, { // 4334
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "V␍␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇%",
		out:  "V␍␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇%",
	}, { // 4335
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "V\r␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a␍%",
		out:  "V\r␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a␍%",
	}, { // 4336
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "V␍␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a␍%",
		out:  "V␍␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a␍%",
	}, { // 4337
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "V\r␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇␍",
		out:  "V\r␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇‛␍",
	}, { // 4338
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "V␍␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇␍",
		out:  "V␍␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇‛␍",
	}, { // 4339
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "V；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a\r%",
		out:  "V；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a\r%",
	}, { // 4340
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "V；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a␍%",
		out:  "V；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a␍%",
	}, { // 4341
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "V；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a\r␍",
		out:  "V；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a\r‛␍",
	}, { // 4342
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "V；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a␍␍",
		out:  "V；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a␍‛␍",
	}, { // 4343
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "V；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇\r",
		out:  "V；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇␍",
	}, { // 4344
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "V；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇␍",
		out:  "V；␚δπκF1]␆\rλ\bεlｚ.φ！v０␜␉␊ｈ］\x1b\x1a＇‛␍",
	}, { // 4345
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x16#tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG\f",
		out:  "\x16＃tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG\f",
	}, { // 4346
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\t␉tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG\f",
		out:  "\t␉tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG\f",
	}, { // 4347
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␉␉tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG\f",
		out:  "␉␉tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG\f",
	}, { // 4348
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\t#tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν␉\f",
		out:  "\t＃tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν␉\f",
	}, { // 4349
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␉#tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν␉\f",
		out:  "␉＃tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν␉\f",
	}, { // 4350
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\t#tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG␉",
		out:  "\t＃tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG‛␉",
	}, { // 4351
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␉#tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG␉",
		out:  "␉＃tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG‛␉",
	}, { // 4352
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x16\ttψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG\f",
		out:  "\x16\ttψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG\f",
	}, { // 4353
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x16␉tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG\f",
		out:  "\x16␉tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG\f",
	}, { // 4354
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x16\ttψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν␉\f",
		out:  "\x16\ttψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν␉\f",
	}, { // 4355
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x16␉tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν␉\f",
		out:  "\x16␉tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν␉\f",
	}, { // 4356
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x16\ttψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG␉",
		out:  "\x16\ttψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG‛␉",
	}, { // 4357
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x16␉tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG␉",
		out:  "\x16␉tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG‛␉",
	}, { // 4358
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x16#tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν\t\f",
		out:  "\x16＃tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν\t\f",
	}, { // 4359
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x16#tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν␉\f",
		out:  "\x16＃tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν␉\f",
	}, { // 4360
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x16#tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν\t␉",
		out:  "\x16＃tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν\t‛␉",
	}, { // 4361
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x16#tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν␉␉",
		out:  "\x16＃tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154ν␉‛␉",
	}, { // 4362
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x16#tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG\t",
		out:  "\x16＃tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG␉",
	}, { // 4363
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x16#tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG␉",
		out:  "\x16＃tψｐ␎␊ｏ$χ\t␗ｐ％ω␡/μ\tb３Ｓ␁T８\x154νG‛␉",
	}, { // 4364
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｔ＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！ψ",
		out:  "ｔ‛＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！ψ",
	}, { // 4365
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\n␊\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！ψ",
		out:  "\n␊\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！ψ",
	}, { // 4366
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␊␊\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！ψ",
		out:  "␊␊\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！ψ",
	}, { // 4367
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\n＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ␊ψ",
		out:  "\n‛＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ␊ψ",
	}, { // 4368
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␊＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ␊ψ",
		out:  "␊‛＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ␊ψ",
	}, { // 4369
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\n＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！␊",
		out:  "\n‛＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！‛␊",
	}, { // 4370
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␊＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！␊",
		out:  "␊‛＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！‛␊",
	}, { // 4371
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｔ\n\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！ψ",
		out:  "ｔ\n\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！ψ",
	}, { // 4372
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｔ␊\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！ψ",
		out:  "ｔ␊\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！ψ",
	}, { // 4373
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｔ\n\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ␊ψ",
		out:  "ｔ\n\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ␊ψ",
	}, { // 4374
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｔ␊\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ␊ψ",
		out:  "ｔ␊\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ␊ψ",
	}, { // 4375
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｔ\n\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！␊",
		out:  "ｔ\n\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！‛␊",
	}, { // 4376
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｔ␊\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！␊",
		out:  "ｔ␊\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！‛␊",
	}, { // 4377
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｔ＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ\nψ",
		out:  "ｔ‛＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ\nψ",
	}, { // 4378
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｔ＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ␊ψ",
		out:  "ｔ‛＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ␊ψ",
	}, { // 4379
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｔ＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ\n␊",
		out:  "ｔ‛＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ\n‛␊",
	}, { // 4380
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｔ＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ␊␊",
		out:  "ｔ‛＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ␊‛␊",
	}, { // 4381
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｔ＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！\n",
		out:  "ｔ‛＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！␊",
	}, { // 4382
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｔ＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！␊",
		out:  "ｔ‛＃\x1bT\x18σ＂η!x\nＺ\x1eλ␡－\x7f␌｜Ｌ\x18Kτ-ｚI;ρ！‛␊",
	}, { // 4383
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\\φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇｎ",
		out:  "\\φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇｎ",
	}, { // 4384
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\v␋υ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇｎ",
		out:  "\v␋υ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇｎ",
	}, { // 4385
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␋␋υ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇｎ",
		out:  "␋␋υ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇｎ",
	}, { // 4386
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\vφυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［␋ｎ",
		out:  "\vφυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［␋ｎ",
	}, { // 4387
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␋φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［␋ｎ",
		out:  "␋φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［␋ｎ",
	}, { // 4388
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\vφυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇ␋",
		out:  "\vφυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇ‛␋",
	}, { // 4389
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␋φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇ␋",
		out:  "␋φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇ‛␋",
	}, { // 4390
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\\\vυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇｎ",
		out:  "\\\vυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇｎ",
	}, { // 4391
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\\␋υ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇｎ",
		out:  "\\␋υ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇｎ",
	}, { // 4392
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\\\vυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［␋ｎ",
		out:  "\\\vυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［␋ｎ",
	}, { // 4393
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\\␋υ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［␋ｎ",
		out:  "\\␋υ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［␋ｎ",
	}, { // 4394
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\\\vυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇ␋",
		out:  "\\\vυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇ‛␋",
	}, { // 4395
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\\␋υ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇ␋",
		out:  "\\␋υ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇ‛␋",
	}, { // 4396
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\\φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［\vｎ",
		out:  "\\φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［\vｎ",
	}, { // 4397
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\\φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［␋ｎ",
		out:  "\\φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［␋ｎ",
	}, { // 4398
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\\φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［\v␋",
		out:  "\\φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［\v‛␋",
	}, { // 4399
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\\φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［␋␋",
		out:  "\\φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［␋‛␋",
	}, { // 4400
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\\φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇ\v",
		out:  "\\φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇ␋",
	}, { // 4401
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\\φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇ␋",
		out:  "\\φυ␝ω｜η<9τ\v\x12＜9ｋ％5(ｍ]％␁]*μ\x15Ｎ［ｇ‛␋",
	}, { // 4402
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｏ＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁２",
		out:  "ｏ＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁２",
	}, { // 4403
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\r␍\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁２",
		out:  "\r␍\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁２",
	}, { // 4404
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␍␍\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁２",
		out:  "␍␍\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁２",
	}, { // 4405
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\r＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␍２",
		out:  "\r＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␍２",
	}, { // 4406
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␍＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␍２",
		out:  "␍＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␍２",
	}, { // 4407
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\r＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁␍",
		out:  "\r＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁‛␍",
	}, { // 4408
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␍＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁␍",
		out:  "␍＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁‛␍",
	}, { // 4409
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｏ\r\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁２",
		out:  "ｏ\r\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁２",
	}, { // 4410
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｏ␍\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁２",
		out:  "ｏ␍\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁２",
	}, { // 4411
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｏ\r\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␍２",
		out:  "ｏ\r\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␍２",
	}, { // 4412
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｏ␍\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␍２",
		out:  "ｏ␍\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␍２",
	}, { // 4413
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｏ\r\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁␍",
		out:  "ｏ\r\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁‛␍",
	}, { // 4414
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｏ␍\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁␍",
		out:  "ｏ␍\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁‛␍",
	}, { // 4415
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｏ＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ\r２",
		out:  "ｏ＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ\r２",
	}, { // 4416
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｏ＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␍２",
		out:  "ｏ＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␍２",
	}, { // 4417
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｏ＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ\r␍",
		out:  "ｏ＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ\r‛␍",
	}, { // 4418
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｏ＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␍␍",
		out:  "ｏ＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␍‛␍",
	}, { // 4419
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｏ＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁\r",
		out:  "ｏ＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁␍",
	}, { // 4420
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｏ＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁␍",
		out:  "ｏ＼\"０\x10!ρ２\x1d␖\rTι\x01cχf␍u]！ω␜\x19\x0e＜␑υ␁‛␍",
	}, { // 4421
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␒+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11\x15",
		out:  "␒+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11\x15",
	}, { // 4422
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\t␉/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11\x15",
		out:  "\t␉/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11\x15",
	}, { // 4423
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␉␉/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11\x15",
		out:  "␉␉/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11\x15",
	}, { // 4424
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\t+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi␉\x15",
		out:  "\t+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi␉\x15",
	}, { // 4425
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␉+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi␉\x15",
		out:  "␉+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi␉\x15",
	}, { // 4426
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\t+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11␉",
		out:  "\t+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11‛␉",
	}, { // 4427
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␉+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11␉",
		out:  "␉+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11‛␉",
	}, { // 4428
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␒\t/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11\x15",
		out:  "␒\t/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11\x15",
	}, { // 4429
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␒␉/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11\x15",
		out:  "␒␉/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11\x15",
	}, { // 4430
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␒\t/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi␉\x15",
		out:  "␒\t/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi␉\x15",
	}, { // 4431
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␒␉/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi␉\x15",
		out:  "␒␉/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi␉\x15",
	}, { // 4432
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␒\t/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11␉",
		out:  "␒\t/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11‛␉",
	}, { // 4433
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␒␉/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11␉",
		out:  "␒␉/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11‛␉",
	}, { // 4434
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␒+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\t\x15",
		out:  "␒+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\t\x15",
	}, { // 4435
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␒+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi␉\x15",
		out:  "␒+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi␉\x15",
	}, { // 4436
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␒+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\t␉",
		out:  "␒+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\t‛␉",
	}, { // 4437
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␒+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi␉␉",
		out:  "␒+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi␉‛␉",
	}, { // 4438
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␒+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11\t",
		out:  "␒+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11␉",
	}, { // 4439
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␒+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11␉",
		out:  "␒+/ｖ␡␄ｈθ８[\t)＊ｃ\"χω0␇γZχp\x15ｇ␎χi\x11‛␉",
	}, { // 4440
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "γ\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14Xｇ",
		out:  "γ\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14Xｇ",
	}, { // 4441
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\n␊\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14Xｇ",
		out:  "\n␊\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14Xｇ",
	}, { // 4442
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␊␊\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14Xｇ",
		out:  "␊␊\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14Xｇ",
	}, { // 4443
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\n\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14␊ｇ",
		out:  "\n\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14␊ｇ",
	}, { // 4444
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␊\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14␊ｇ",
		out:  "␊\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14␊ｇ",
	}, { // 4445
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\n\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14X␊",
		out:  "\n\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14X‛␊",
	}, { // 4446
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␊\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14X␊",
		out:  "␊\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14X‛␊",
	}, { // 4447
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "γ\n\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14Xｇ",
		out:  "γ\n\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14Xｇ",
	}, { // 4448
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "γ␊\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14Xｇ",
		out:  "γ␊\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14Xｇ",
	}, { // 4449
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "γ\n\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14␊ｇ",
		out:  "γ\n\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14␊ｇ",
	}, { // 4450
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "γ␊\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14␊ｇ",
		out:  "γ␊\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14␊ｇ",
	}, { // 4451
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "γ\n\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14X␊",
		out:  "γ\n\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14X‛␊",
	}, { // 4452
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "γ␊\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14X␊",
		out:  "γ␊\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14X‛␊",
	}, { // 4453
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "γ\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14\nｇ",
		out:  "γ\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14\nｇ",
	}, { // 4454
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "γ\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14␊ｇ",
		out:  "γ\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14␊ｇ",
	}, { // 4455
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "γ\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14\n␊",
		out:  "γ\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14\n‛␊",
	}, { // 4456
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "γ\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14␊␊",
		out:  "γ\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14␊‛␊",
	}, { // 4457
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "γ\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14X\n",
		out:  "γ\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14X␊",
	}, { // 4458
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "γ\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14X␊",
		out:  "γ\x1a\x1f␋;␛␙Ｉ8L\n␈φφKf\x15Oπε８η␂７Ｂ␋\x14\x14X‛␊",
	}, { // 4459
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "τ3fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂τ",
		out:  "τ3fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂τ",
	}, { // 4460
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\v␋fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂τ",
		out:  "\v␋fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂τ",
	}, { // 4461
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␋␋fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂τ",
		out:  "␋␋fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂τ",
	}, { // 4462
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\v3fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)␋τ",
		out:  "\v3fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)␋τ",
	}, { // 4463
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␋3fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)␋τ",
		out:  "␋3fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)␋τ",
	}, { // 4464
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\v3fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂␋",
		out:  "\v3fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂‛␋",
	}, { // 4465
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␋3fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂␋",
		out:  "␋3fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂‛␋",
	}, { // 4466
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "τ\vfχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂τ",
		out:  "τ\vfχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂τ",
	}, { // 4467
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "τ␋fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂τ",
		out:  "τ␋fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂τ",
	}, { // 4468
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "τ\vfχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)␋τ",
		out:  "τ\vfχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)␋τ",
	}, { // 4469
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "τ␋fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)␋τ",
		out:  "τ␋fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)␋τ",
	}, { // 4470
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "τ\vfχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂␋",
		out:  "τ\vfχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂‛␋",
	}, { // 4471
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "τ␋fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂␋",
		out:  "τ␋fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂‛␋",
	}, { // 4472
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "τ3fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)\vτ",
		out:  "τ3fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)\vτ",
	}, { // 4473
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "τ3fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)␋τ",
		out:  "τ3fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)␋τ",
	}, { // 4474
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "τ3fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)\v␋",
		out:  "τ3fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)\v‛␋",
	}, { // 4475
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "τ3fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)␋␋",
		out:  "τ3fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)␋‛␋",
	}, { // 4476
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "τ3fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂\v",
		out:  "τ3fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂␋",
	}, { // 4477
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "τ3fχｖ％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂␋",
		out:  "τ3fχｖ‛％yχ\a\"\v␒ｃιｏ＞X\f＜␉␝\x01\"Ｍν\x1e␟)＂‛␋",
	}, { // 4478
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "9␛ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏ｙ",
		out:  "9␛ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏ｙ",
	}, { // 4479
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\r␍ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏ｙ",
		out:  "\r␍ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏ｙ",
	}, { // 4480
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␍␍ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏ｙ",
		out:  "␍␍ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏ｙ",
	}, { // 4481
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\r␛ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␍ｙ",
		out:  "\r␛ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␍ｙ",
	}, { // 4482
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␍␛ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␍ｙ",
		out:  "␍␛ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␍ｙ",
	}, { // 4483
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\r␛ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏␍",
		out:  "\r␛ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏‛␍",
	}, { // 4484
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␍␛ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏␍",
		out:  "␍␛ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏‛␍",
	}, { // 4485
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "9\rε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏ｙ",
		out:  "9\rε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏ｙ",
	}, { // 4486
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "9␍ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏ｙ",
		out:  "9␍ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏ｙ",
	}, { // 4487
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "9\rε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␍ｙ",
		out:  "9\rε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␍ｙ",
	}, { // 4488
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "9␍ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␍ｙ",
		out:  "9␍ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␍ｙ",
	}, { // 4489
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "9\rε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏␍",
		out:  "9\rε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏‛␍",
	}, { // 4490
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "9␍ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏␍",
		out:  "9␍ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏‛␍",
	}, { // 4491
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "9␛ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S\rｙ",
		out:  "9␛ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S\rｙ",
	}, { // 4492
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "9␛ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␍ｙ",
		out:  "9␛ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␍ｙ",
	}, { // 4493
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "9␛ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S\r␍",
		out:  "9␛ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S\r‛␍",
	}, { // 4494
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "9␛ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␍␍",
		out:  "9␛ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␍‛␍",
	}, { // 4495
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "9␛ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏\r",
		out:  "9␛ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏␍",
	}, { // 4496
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "9␛ε０ωμ␘%ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏␍",
		out:  "9␛ε０ωμ␘％ＱＪ\r＠\b］.nπς\x0f\x1eＣ\x1a ␆(\x1a＜S␏‛␍",
	}, { // 4497
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "*＼π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂｈ",
		out:  "*‛＼π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂｈ",
	}, { // 4498
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\t␉π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂｈ",
		out:  "\t␉π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂｈ",
	}, { // 4499
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␉␉π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂｈ",
		out:  "␉␉π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂｈ",
	}, { // 4500
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\t＼π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗␉ｈ",
		out:  "\t‛＼π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗␉ｈ",
	}, { // 4501
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␉＼π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗␉ｈ",
		out:  "␉‛＼π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗␉ｈ",
	}, { // 4502
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\t＼π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂ␉",
		out:  "\t‛＼π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂ‛␉",
	}, { // 4503
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␉＼π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂ␉",
		out:  "␉‛＼π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂ‛␉",
	}, { // 4504
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "*\tπ\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂｈ",
		out:  "*\tπ\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂｈ",
	}, { // 4505
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "*␉π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂｈ",
		out:  "*␉π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂｈ",
	}, { // 4506
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "*\tπ\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗␉ｈ",
		out:  "*\tπ\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗␉ｈ",
	}, { // 4507
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "*␉π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗␉ｈ",
		out:  "*␉π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗␉ｈ",
	}, { // 4508
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "*\tπ\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂ␉",
		out:  "*\tπ\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂ‛␉",
	}, { // 4509
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "*␉π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂ␉",
		out:  "*␉π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂ‛␉",
	}, { // 4510
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "*＼π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗\tｈ",
		out:  "*‛＼π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗\tｈ",
	}, { // 4511
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "*＼π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗␉ｈ",
		out:  "*‛＼π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗␉ｈ",
	}, { // 4512
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "*＼π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗\t␉",
		out:  "*‛＼π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗\t‛␉",
	}, { // 4513
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "*＼π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗␉␉",
		out:  "*‛＼π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗␉‛␉",
	}, { // 4514
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "*＼π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂ\t",
		out:  "*‛＼π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂ␉",
	}, { // 4515
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "*＼π\"１Ｋ␖＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂ␉",
		out:  "*‛＼π\"１Ｋ␖‛＼Hｐ\t`τςN\x14ω␏␝'λ\n\x1d2ｄHF␗Ｂ‛␉",
	}, { // 4516
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "θｑ3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ/`",
		out:  "θｑ3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ/`",
	}, { // 4517
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\n␊3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ/`",
		out:  "\n␊3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ/`",
	}, { // 4518
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␊␊3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ/`",
		out:  "␊␊3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ/`",
	}, { // 4519
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\nｑ3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ␊`",
		out:  "\nｑ3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ␊`",
	}, { // 4520
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␊ｑ3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ␊`",
		out:  "␊ｑ3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ␊`",
	}, { // 4521
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\nｑ3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ/␊",
		out:  "\nｑ3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ/‛␊",
	}, { // 4522
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␊ｑ3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ/␊",
		out:  "␊ｑ3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ/‛␊",
	}, { // 4523
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "θ\n3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ/`",
		out:  "θ\n3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ/`",
	}, { // 4524
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "θ␊3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ/`",
		out:  "θ␊3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ/`",
	}, { // 4525
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "θ\n3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ␊`",
		out:  "θ\n3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ␊`",
	}, { // 4526
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "θ␊3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ␊`",
		out:  "θ␊3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ␊`",
	}, { // 4527
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "θ\n3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ/␊",
		out:  "θ\n3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ/‛␊",
	}, { // 4528
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "θ␊3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ/␊",
		out:  "θ␊3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ/‛␊",
	}, { // 4529
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "θｑ3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ\n`",
		out:  "θｑ3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ\n`",
	}, { // 4530
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "θｑ3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ␊`",
		out:  "θｑ3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ␊`",
	}, { // 4531
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "θｑ3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ\n␊",
		out:  "θｑ3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ\n‛␊",
	}, { // 4532
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "θｑ3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ␊␊",
		out:  "θｑ3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ␊‛␊",
	}, { // 4533
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "θｑ3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ/\n",
		out:  "θｑ3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ/␊",
	}, { // 4534
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "θｑ3４ｙ［γ\x00\rＥ\n␊BＺ/␕␈\rβρβ\\；Pτr␝Ｙ/␊",
		out:  "θｑ3４ｙ［γ␀\rＥ\n␊BＺ/␕␈\rβρβ＼；Pτr␝Ｙ/‛␊",
	}, { // 4535
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "o\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχb\x15",
		out:  "o\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχb\x15",
	}, { // 4536
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\v␋＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχb\x15",
		out:  "\v␋＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχb\x15",
	}, { // 4537
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␋␋＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχb\x15",
		out:  "␋␋＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχb\x15",
	}, { // 4538
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\v\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχ␋\x15",
		out:  "\v\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχ␋\x15",
	}, { // 4539
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␋\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχ␋\x15",
		out:  "␋\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχ␋\x15",
	}, { // 4540
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\v\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχb␋",
		out:  "\v\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχb‛␋",
	}, { // 4541
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␋\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχb␋",
		out:  "␋\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχb‛␋",
	}, { // 4542
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "o\v＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχb\x15",
		out:  "o\v＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχb\x15",
	}, { // 4543
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "o␋＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχb\x15",
		out:  "o␋＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχb\x15",
	}, { // 4544
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "o\v＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχ␋\x15",
		out:  "o\v＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχ␋\x15",
	}, { // 4545
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "o␋＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχ␋\x15",
		out:  "o␋＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχ␋\x15",
	}, { // 4546
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "o\v＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχb␋",
		out:  "o\v＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχb‛␋",
	}, { // 4547
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "o␋＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχb␋",
		out:  "o␋＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχb‛␋",
	}, { // 4548
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "o\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχ\v\x15",
		out:  "o\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχ\v\x15",
	}, { // 4549
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "o\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχ␋\x15",
		out:  "o\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχ␋\x15",
	}, { // 4550
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "o\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχ\v␋",
		out:  "o\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχ\v‛␋",
	}, { // 4551
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "o\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχ␋␋",
		out:  "o\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχ␋‛␋",
	}, { // 4552
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "o\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχb\v",
		out:  "o\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχb␋",
	}, { // 4553
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "o\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞\x00␓<ψKχb␋",
		out:  "o\x0f＿ψ\aπ＇ＱｊＹ\vφ［Ｈ\nＱ)␛φfA＞␀␓<ψKχb‛␋",
	}, { // 4554
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␗",
		out:  "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␗",
	}, { // 4555
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r␍πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␗",
		out:  "\r␍πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␗",
	}, { // 4556
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␍␍πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␗",
		out:  "␍␍πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␗",
	}, { // 4557
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ␍␗",
		out:  "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ␍␗",
	}, { // 4558
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␍１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ␍␗",
		out:  "␍１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ␍␗",
	}, { // 4559
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␍",
		out:  "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19‛␍",
	}, { // 4560
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␍１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␍",
		out:  "␍１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19‛␍",
	}, { // 4561
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r\rπbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␗",
		out:  "\r\rπbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␗",
	}, { // 4562
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r␍πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␗",
		out:  "\r␍πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␗",
	}, { // 4563
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r\rπbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ␍␗",
		out:  "\r\rπbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ␍␗",
	}, { // 4564
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r␍πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ␍␗",
		out:  "\r␍πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ␍␗",
	}, { // 4565
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r\rπbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␍",
		out:  "\r\rπbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19‛␍",
	}, { // 4566
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r␍πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␍",
		out:  "\r␍πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19‛␍",
	}, { // 4567
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\r␗",
		out:  "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\r␗",
	}, { // 4568
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ␍␗",
		out:  "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ␍␗",
	}, { // 4569
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\r␍",
		out:  "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\r‛␍",
	}, { // 4570
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ␍␍",
		out:  "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ␍‛␍",
	}, { // 4571
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19\r",
		out:  "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␍",
	}, { // 4572
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19␍",
		out:  "\r１πbζX～$ｙ␖\rh＂\"／Ｎ#ζ５␖Ｍκςy␘k\x19υ\x19‛␍",
	}, { // 4573
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "］３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈δ",
		out:  "］３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈δ",
	}, { // 4574
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\t␉ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈δ",
		out:  "\t␉ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈δ",
	}, { // 4575
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␉␉ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈δ",
		out:  "␉␉ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈δ",
	}, { // 4576
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\t３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␉δ",
		out:  "\t３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␉δ",
	}, { // 4577
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␉３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␉δ",
		out:  "␉３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␉δ",
	}, { // 4578
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\t３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈␉",
		out:  "\t３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈‛␉",
	}, { // 4579
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␉３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈␉",
		out:  "␉３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈‛␉",
	}, { // 4580
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "］\tιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈δ",
		out:  "］\tιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈δ",
	}, { // 4581
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "］␉ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈δ",
		out:  "］␉ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈δ",
	}, { // 4582
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "］\tιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␉δ",
		out:  "］\tιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␉δ",
	}, { // 4583
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "］␉ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␉δ",
		out:  "］␉ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␉δ",
	}, { // 4584
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "］\tιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈␉",
		out:  "］\tιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈‛␉",
	}, { // 4585
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "］␉ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈␉",
		out:  "］␉ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈‛␉",
	}, { // 4586
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "］３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅\tδ",
		out:  "］３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅\tδ",
	}, { // 4587
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "］３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␉δ",
		out:  "］３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␉δ",
	}, { // 4588
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "］３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅\t␉",
		out:  "］３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅\t‛␉",
	}, { // 4589
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "］３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␉␉",
		out:  "］３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␉‛␉",
	}, { // 4590
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "］３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈\t",
		out:  "］３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈␉",
	}, { // 4591
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "］３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈␉",
		out:  "］３ιφ*，?]\x0fυ\t％dX)Sγω／<␂\uff00␋\a２\n\r␅␈‛␉",
	}, { // 4592
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␎\x7f\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝ο",
		out:  "␎␡\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝ο",
	}, { // 4593
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\n␊\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝ο",
		out:  "\n␊\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝ο",
	}, { // 4594
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␊␊\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝ο",
		out:  "␊␊\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝ο",
	}, { // 4595
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\n\x7f\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄␊ο",
		out:  "\n␡\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄␊ο",
	}, { // 4596
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␊\x7f\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄␊ο",
		out:  "␊␡\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄␊ο",
	}, { // 4597
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\n\x7f\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝␊",
		out:  "\n␡\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝‛␊",
	}, { // 4598
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␊\x7f\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝␊",
		out:  "␊␡\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝‛␊",
	}, { // 4599
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␎\n\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝ο",
		out:  "␎\n\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝ο",
	}, { // 4600
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␎␊\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝ο",
		out:  "␎␊\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝ο",
	}, { // 4601
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␎\n\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄␊ο",
		out:  "␎\n\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄␊ο",
	}, { // 4602
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␎␊\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄␊ο",
		out:  "␎␊\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄␊ο",
	}, { // 4603
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␎\n\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝␊",
		out:  "␎\n\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝‛␊",
	}, { // 4604
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␎␊\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝␊",
		out:  "␎␊\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝‛␊",
	}, { // 4605
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␎\x7f\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄\nο",
		out:  "␎␡\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄\nο",
	}, { // 4606
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␎\x7f\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄␊ο",
		out:  "␎␡\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄␊ο",
	}, { // 4607
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␎\x7f\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄\n␊",
		out:  "␎␡\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄\n‛␊",
	}, { // 4608
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␎\x7f\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄␊␊",
		out:  "␎␡\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄␊‛␊",
	}, { // 4609
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␎\x7f\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝\n",
		out:  "␎␡\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝␊",
	}, { // 4610
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␎\x7f\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝␊",
		out:  "␎␡\a＿ｈaMζρο\nεO％␄\x10１[yρ␕/␇c\x03␊,＄＝‛␊",
	}, { // 4611
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｏ␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␃",
		out:  "ｏ␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␃",
	}, { // 4612
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\v␋/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␃",
		out:  "\v␋/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␃",
	}, { // 4613
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␋␋/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␃",
		out:  "␋␋/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␃",
	}, { // 4614
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\v␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π␋␃",
		out:  "\v␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π␋␃",
	}, { // 4615
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␋␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π␋␃",
		out:  "␋␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π␋␃",
	}, { // 4616
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\v␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␋",
		out:  "\v␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f‛␋",
	}, { // 4617
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␋␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␋",
		out:  "␋␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f‛␋",
	}, { // 4618
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｏ\v/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␃",
		out:  "ｏ\v/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␃",
	}, { // 4619
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｏ␋/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␃",
		out:  "ｏ␋/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␃",
	}, { // 4620
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｏ\v/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π␋␃",
		out:  "ｏ\v/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π␋␃",
	}, { // 4621
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｏ␋/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π␋␃",
		out:  "ｏ␋/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π␋␃",
	}, { // 4622
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｏ\v/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␋",
		out:  "ｏ\v/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f‛␋",
	}, { // 4623
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｏ␋/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␋",
		out:  "ｏ␋/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f‛␋",
	}, { // 4624
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｏ␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\v␃",
		out:  "ｏ␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\v␃",
	}, { // 4625
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｏ␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π␋␃",
		out:  "ｏ␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π␋␃",
	}, { // 4626
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｏ␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\v␋",
		out:  "ｏ␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\v‛␋",
	}, { // 4627
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｏ␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π␋␋",
		out:  "ｏ␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π␋‛␋",
	}, { // 4628
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｏ␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f\v",
		out:  "ｏ␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␋",
	}, { // 4629
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｏ␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f␋",
		out:  "ｏ␜/＄＄ιｓξＵ\a\vε|T#ｔpＬ4␑␛WζφＦ\x13\x19π\x0f‛␋",
	}, { // 4630
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "Qｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$ζ␁",
		out:  "Qｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$ζ␁",
	}, { // 4631
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\r␍=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$ζ␁",
		out:  "\r␍=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$ζ␁",
	}, { // 4632
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍␍=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$ζ␁",
		out:  "␍␍=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$ζ␁",
	}, { // 4633
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\rｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$␍␁",
		out:  "\rｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$␍␁",
	}, { // 4634
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍ｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$␍␁",
		out:  "␍ｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$␍␁",
	}, { // 4635
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\rｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$ζ␍",
		out:  "\rｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$ζ‛␍",
	}, { // 4636
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍ｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$ζ␍",
		out:  "␍ｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$ζ‛␍",
	}, { // 4637
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "Q\r=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$ζ␁",
		out:  "Q\r=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$ζ␁",
	}, { // 4638
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "Q␍=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$ζ␁",
		out:  "Q␍=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$ζ␁",
	}, { // 4639
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "Q\r=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$␍␁",
		out:  "Q\r=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$␍␁",
	}, { // 4640
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "Q␍=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$␍␁",
		out:  "Q␍=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$␍␁",
	}, { // 4641
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "Q\r=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$ζ␍",
		out:  "Q\r=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$ζ‛␍",
	}, { // 4642
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "Q␍=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$ζ␍",
		out:  "Q␍=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$ζ‛␍",
	}, { // 4643
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "Qｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$\r␁",
		out:  "Qｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$\r␁",
	}, { // 4644
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "Qｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$␍␁",
		out:  "Qｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$␍␁",
	}, { // 4645
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "Qｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$\r␍",
		out:  "Qｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$\r‛␍",
	}, { // 4646
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "Qｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$␍␍",
		out:  "Qｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$␍‛␍",
	}, { // 4647
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "Qｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$ζ\r",
		out:  "Qｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$ζ␍",
	}, { // 4648
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "Qｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ\x00␊ｄ$ζ␍",
		out:  "Qｎ=πα\x1b\x0f␑#＾\rσ␖π＾\x02\x14R␇?υ_；ｅ␀␊ｄ$ζ‛␍",
	}, { // 4649
		mask: EncodeLeftSpace,
		in:   "  ",
		out:  "␠ ",
	}, { // 4650
		mask: EncodeLeftPeriod,
		in:   "..",
		out:  "．.",
	}, { // 4651
		mask: EncodeLeftTilde,
		in:   "~~",
		out:  "～~",
	}, { // 4652
		mask: EncodeRightSpace,
		in:   "  ",
		out:  " ␠",
	}, { // 4653
		mask: EncodeRightPeriod,
		in:   "..",
		out:  ".．",
	}, { // 4654
		mask: EncodeLeftSpace | EncodeRightPeriod,
		in:   " .",
		out:  "␠．",
	}, { // 4655
		mask: EncodeLeftSpace | EncodeRightSpace,
		in:   " ",
		out:  "␠",
	}, { // 4656
		mask: EncodeLeftSpace | EncodeRightSpace,
		in:   "  ",
		out:  "␠␠",
	}, { // 4657
		mask: EncodeLeftSpace | EncodeRightSpace,
		in:   "   ",
		out:  "␠ ␠",
	}, { // 4658
		mask: EncodeLeftPeriod | EncodeRightPeriod,
		in:   "...",
		out:  "．.．",
	}, { // 4659
		mask: EncodeRightPeriod | EncodeRightSpace,
		in:   "a. ",
		out:  "a.␠",
	}, { // 4660
		mask: EncodeRightPeriod | EncodeRightSpace,
		in:   "a .",
		out:  "a ．",
	},
}

var testCasesDoubleEdge = []testCase{
	{ // 0
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .／ｌｃ６>\"␃@οκｖ\tu␀#Ｔκ␉\n＞E\x0eW＃gχ.π",
		out:  "␠.／ｌｃ６>\"␃@οκｖ\tu‛␀#Ｔκ␉\n＞E\x0eW＃gχ.π",
	}, { // 1
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.／ｌｃ６>\"␃@οκｖ\tu␀#Ｔκ␉\n＞E\x0eW＃gχ.π",
		out:  "‛␠.／ｌｃ６>\"␃@οκｖ\tu‛␀#Ｔκ␉\n＞E\x0eW＃gχ.π",
	}, { // 2
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "$.／ｌｃ６>\"␃@οκｖ\tu␀#Ｔκ␉\n＞E\x0eW＃gχ. ",
		out:  "$.／ｌｃ６>\"␃@οκｖ\tu‛␀#Ｔκ␉\n＞E\x0eW＃gχ. ",
	}, { // 3
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "$.／ｌｃ６>\"␃@οκｖ\tu␀#Ｔκ␉\n＞E\x0eW＃gχ.␠",
		out:  "$.／ｌｃ６>\"␃@οκｖ\tu‛␀#Ｔκ␉\n＞E\x0eW＃gχ.␠",
	}, { // 4
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .\n\x1eδＶ2␀t；!␐ＫＯsφ\x7fＱ␛@？'\x03␔σξＹs.｝",
		out:  "␠.\n\x1eδＶ2‛␀t；!␐ＫＯsφ\x7fＱ␛@？'\x03␔σξＹs.｝",
	}, { // 5
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.\n\x1eδＶ2␀t；!␐ＫＯsφ\x7fＱ␛@？'\x03␔σξＹs.｝",
		out:  "‛␠.\n\x1eδＶ2‛␀t；!␐ＫＯsφ\x7fＱ␛@？'\x03␔σξＹs.｝",
	}, { // 6
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "C.\n\x1eδＶ2␀t；!␐ＫＯsφ\x7fＱ␛@？'\x03␔σξＹs. ",
		out:  "C.\n\x1eδＶ2‛␀t；!␐ＫＯsφ\x7fＱ␛@？'\x03␔σξＹs. ",
	}, { // 7
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "C.\n\x1eδＶ2␀t；!␐ＫＯsφ\x7fＱ␛@？'\x03␔σξＹs.␠",
		out:  "C.\n\x1eδＶ2‛␀t；!␐ＫＯsφ\x7fＱ␛@？'\x03␔σξＹs.␠",
	}, { // 8
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .ｘ：$ξ|␋m＂γ！５A\a\x19ｌ：␀ε\x01Gμ␃υW␈A.ｏ",
		out:  "␠.ｘ：$ξ|␋m＂γ！５A\a\x19ｌ：‛␀ε\x01Gμ␃υW␈A.ｏ",
	}, { // 9
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.ｘ：$ξ|␋m＂γ！５A\a\x19ｌ：␀ε\x01Gμ␃υW␈A.ｏ",
		out:  "‛␠.ｘ：$ξ|␋m＂γ！５A\a\x19ｌ：‛␀ε\x01Gμ␃υW␈A.ｏ",
	}, { // 10
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "\x02.ｘ：$ξ|␋m＂γ！５A\a\x19ｌ：␀ε\x01Gμ␃υW␈A. ",
		out:  "\x02.ｘ：$ξ|␋m＂γ！５A\a\x19ｌ：‛␀ε\x01Gμ␃υW␈A. ",
	}, { // 11
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "\x02.ｘ：$ξ|␋m＂γ！５A\a\x19ｌ：␀ε\x01Gμ␃υW␈A.␠",
		out:  "\x02.ｘ：$ξ|␋m＂γ！５A\a\x19ｌ：‛␀ε\x01Gμ␃υW␈A.␠",
	}, { // 12
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .I\x00＝｝σ＃π＂#＿>?\x17\x18␁␄＇;οh␃Ｘ\x0es／+.９",
		out:  "␠.I␀＝｝σ＃π＂#＿>?\x17\x18␁␄＇;οh␃Ｘ\x0es／+.９",
	}, { // 13
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.I\x00＝｝σ＃π＂#＿>?\x17\x18␁␄＇;οh␃Ｘ\x0es／+.９",
		out:  "‛␠.I␀＝｝σ＃π＂#＿>?\x17\x18␁␄＇;οh␃Ｘ\x0es／+.９",
	}, { // 14
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "α.I\x00＝｝σ＃π＂#＿>?\x17\x18␁␄＇;οh␃Ｘ\x0es／+. ",
		out:  "α.I␀＝｝σ＃π＂#＿>?\x17\x18␁␄＇;οh␃Ｘ\x0es／+. ",
	}, { // 15
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "α.I\x00＝｝σ＃π＂#＿>?\x17\x18␁␄＇;οh␃Ｘ\x0es／+.␠",
		out:  "α.I␀＝｝σ＃π＂#＿>?\x17\x18␁␄＇;οh␃Ｘ\x0es／+.␠",
	}, { // 16
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .␀ζWγ}ａ\x18<#χ]ψβ␘＞\x13␗＝M␘λ\"：%␘#.'",
		out:  "␠.‛␀ζWγ}ａ\x18＜#χ]ψβ␘‛＞\x13␗＝M␘λ\"：%␘#.'",
	}, { // 17
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.␀ζWγ}ａ\x18<#χ]ψβ␘＞\x13␗＝M␘λ\"：%␘#.'",
		out:  "‛␠.‛␀ζWγ}ａ\x18＜#χ]ψβ␘‛＞\x13␗＝M␘λ\"：%␘#.'",
	}, { // 18
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␊.␀ζWγ}ａ\x18<#χ]ψβ␘＞\x13␗＝M␘λ\"：%␘#. ",
		out:  "␊.‛␀ζWγ}ａ\x18＜#χ]ψβ␘‛＞\x13␗＝M␘λ\"：%␘#. ",
	}, { // 19
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␊.␀ζWγ}ａ\x18<#χ]ψβ␘＞\x13␗＝M␘λ\"：%␘#.␠",
		out:  "␊.‛␀ζWγ}ａ\x18＜#χ]ψβ␘‛＞\x13␗＝M␘λ\"：%␘#.␠",
	}, { // 20
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .ασs$␖ＮXπ\x06｜ＥUm？χＹη␓；\"␟Ｈ\bDι\x16.\t",
		out:  "␠.ασs$␖ＮXπ\x06｜ＥUm？χＹη␓；\"␟Ｈ\bDι\x16.\t",
	}, { // 21
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.ασs$␖ＮXπ\x06｜ＥUm？χＹη␓；\"␟Ｈ\bDι\x16.\t",
		out:  "‛␠.ασs$␖ＮXπ\x06｜ＥUm？χＹη␓；\"␟Ｈ\bDι\x16.\t",
	}, { // 22
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "｝.ασs$␖ＮXπ\x06｜ＥUm？χＹη␓；\"␟Ｈ\bDι\x16. ",
		out:  "｝.ασs$␖ＮXπ\x06｜ＥUm？χＹη␓；\"␟Ｈ\bDι\x16. ",
	}, { // 23
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "｝.ασs$␖ＮXπ\x06｜ＥUm？χＹη␓；\"␟Ｈ\bDι\x16.␠",
		out:  "｝.ασs$␖ＮXπ\x06｜ＥUm？χＹη␓；\"␟Ｈ\bDι\x16.␠",
	}, { // 24
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .\vγ.p>\\ρ－η}␄Ｉσ\x1eＤ<ｆο｜␃␀ζｖ␆ｉ／.h",
		out:  "␠.\vγ.p>\\ρ－η}␄Ｉσ\x1eＤ<ｆο｜␃‛␀ζｖ␆ｉ／.h",
	}, { // 25
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.\vγ.p>\\ρ－η}␄Ｉσ\x1eＤ<ｆο｜␃␀ζｖ␆ｉ／.h",
		out:  "‛␠.\vγ.p>\\ρ－η}␄Ｉσ\x1eＤ<ｆο｜␃‛␀ζｖ␆ｉ／.h",
	}, { // 26
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "*.\vγ.p>\\ρ－η}␄Ｉσ\x1eＤ<ｆο｜␃␀ζｖ␆ｉ／. ",
		out:  "*.\vγ.p>\\ρ－η}␄Ｉσ\x1eＤ<ｆο｜␃‛␀ζｖ␆ｉ／. ",
	}, { // 27
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "*.\vγ.p>\\ρ－η}␄Ｉσ\x1eＤ<ｆο｜␃␀ζｖ␆ｉ／.␠",
		out:  "*.\vγ.p>\\ρ－η}␄Ｉσ\x1eＤ<ｆο｜␃‛␀ζｖ␆ｉ／.␠",
	}, { // 28
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .＼＼｜］ψ>6\x18５*\vδ\nυ^>１a％\x7fγψ［M\x01κ.ｕ",
		out:  "␠.＼＼｜］ψ>6\x18５*\vδ\nυ^>１a％\x7fγψ［M\x01κ.ｕ",
	}, { // 29
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.＼＼｜］ψ>6\x18５*\vδ\nυ^>１a％\x7fγψ［M\x01κ.ｕ",
		out:  "‛␠.＼＼｜］ψ>6\x18５*\vδ\nυ^>１a％\x7fγψ［M\x01κ.ｕ",
	}, { // 30
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␎.＼＼｜］ψ>6\x18５*\vδ\nυ^>１a％\x7fγψ［M\x01κ. ",
		out:  "␎.＼＼｜］ψ>6\x18５*\vδ\nυ^>１a％\x7fγψ［M\x01κ. ",
	}, { // 31
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␎.＼＼｜］ψ>6\x18５*\vδ\nυ^>１a％\x7fγψ［M\x01κ.␠",
		out:  "␎.＼＼｜］ψ>6\x18５*\vδ\nυ^>１a％\x7fγψ［M\x01κ.␠",
	}, { // 32
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .］γ]'）ς9φ␎＞\x04Ｈ\rW␏[s␅␊\x1cｃμ\x02，μ8.␓",
		out:  "␠.］γ]'）ς9φ␎＞\x04Ｈ\rW␏[s␅␊\x1cｃμ\x02，μ8.␓",
	}, { // 33
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.］γ]'）ς9φ␎＞\x04Ｈ\rW␏[s␅␊\x1cｃμ\x02，μ8.␓",
		out:  "‛␠.］γ]'）ς9φ␎＞\x04Ｈ\rW␏[s␅␊\x1cｃμ\x02，μ8.␓",
	}, { // 34
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "|.］γ]'）ς9φ␎＞\x04Ｈ\rW␏[s␅␊\x1cｃμ\x02，μ8. ",
		out:  "|.］γ]'）ς9φ␎＞\x04Ｈ\rW␏[s␅␊\x1cｃμ\x02，μ8. ",
	}, { // 35
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "|.］γ]'）ς9φ␎＞\x04Ｈ\rW␏[s␅␊\x1cｃμ\x02，μ8.␠",
		out:  "|.］γ]'）ς9φ␎＞\x04Ｈ\rW␏[s␅␊\x1cｃμ\x02，μ8.␠",
	}, { // 36
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .␕%ι?ｇ＼.／θ$ｕγ／αν\x06%␈HιJＷU\x0e\x16^.～",
		out:  "␠.␕%ι?ｇ＼.／θ$ｕγ／αν\x06%␈HιJＷU\x0e\x16^.～",
	}, { // 37
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.␕%ι?ｇ＼.／θ$ｕγ／αν\x06%␈HιJＷU\x0e\x16^.～",
		out:  "‛␠.␕%ι?ｇ＼.／θ$ｕγ／αν\x06%␈HιJＷU\x0e\x16^.～",
	}, { // 38
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "＞.␕%ι?ｇ＼.／θ$ｕγ／αν\x06%␈HιJＷU\x0e\x16^. ",
		out:  "＞.␕%ι?ｇ＼.／θ$ｕγ／αν\x06%␈HιJＷU\x0e\x16^. ",
	}, { // 39
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "＞.␕%ι?ｇ＼.／θ$ｕγ／αν\x06%␈HιJＷU\x0e\x16^.␠",
		out:  "＞.␕%ι?ｇ＼.／θ$ｕγ／αν\x06%␈HιJＷU\x0e\x16^.␠",
	}, { // 40
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .Ｑμ>５γＪ\x00μ␍Ｗ␙␁Su␛mJ\x18ςsＳβ\x05[λＸ.g",
		out:  "␠.Ｑμ>５γＪ␀μ␍Ｗ␙␁Su␛mJ\x18ςsＳβ\x05[λＸ.g",
	}, { // 41
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.Ｑμ>５γＪ\x00μ␍Ｗ␙␁Su␛mJ\x18ςsＳβ\x05[λＸ.g",
		out:  "‛␠.Ｑμ>５γＪ␀μ␍Ｗ␙␁Su␛mJ\x18ςsＳβ\x05[λＸ.g",
	}, { // 42
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␕.Ｑμ>５γＪ\x00μ␍Ｗ␙␁Su␛mJ\x18ςsＳβ\x05[λＸ. ",
		out:  "␕.Ｑμ>５γＪ␀μ␍Ｗ␙␁Su␛mJ\x18ςsＳβ\x05[λＸ. ",
	}, { // 43
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␕.Ｑμ>５γＪ\x00μ␍Ｗ␙␁Su␛mJ\x18ςsＳβ\x05[λＸ.␠",
		out:  "␕.Ｑμ>５γＪ␀μ␍Ｗ␙␁Su␛mJ\x18ςsＳβ\x05[λＸ.␠",
	}, { // 44
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .Iｈ\a８！$ψ＄N％τｆ␘ρ｀\x1d\x7f\x1bςς{␋５␖\x11<.［",
		out:  "␠.Iｈ\a８！$ψ＄N％τｆ␘ρ｀\x1d\x7f\x1bςς{␋５␖\x11<.［",
	}, { // 45
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.Iｈ\a８！$ψ＄N％τｆ␘ρ｀\x1d\x7f\x1bςς{␋５␖\x11<.［",
		out:  "‛␠.Iｈ\a８！$ψ＄N％τｆ␘ρ｀\x1d\x7f\x1bςς{␋５␖\x11<.［",
	}, { // 46
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "s.Iｈ\a８！$ψ＄N％τｆ␘ρ｀\x1d\x7f\x1bςς{␋５␖\x11<. ",
		out:  "s.Iｈ\a８！$ψ＄N％τｆ␘ρ｀\x1d\x7f\x1bςς{␋５␖\x11<. ",
	}, { // 47
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "s.Iｈ\a８！$ψ＄N％τｆ␘ρ｀\x1d\x7f\x1bςς{␋５␖\x11<.␠",
		out:  "s.Iｈ\a８！$ψ＄N％τｆ␘ρ｀\x1d\x7f\x1bςς{␋５␖\x11<.␠",
	}, { // 48
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .ｂ)ω［＂α\x06$\v\x1cｕ｜!ｒοV␉ηφ?ｄ｜ε␀＾?.␝",
		out:  "␠.ｂ)ω［＂α\x06$\v\x1cｕ｜!ｒοV␉ηφ?ｄ｜ε‛␀＾?.␝",
	}, { // 49
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.ｂ)ω［＂α\x06$\v\x1cｕ｜!ｒοV␉ηφ?ｄ｜ε␀＾?.␝",
		out:  "‛␠.ｂ)ω［＂α\x06$\v\x1cｕ｜!ｒοV␉ηφ?ｄ｜ε‛␀＾?.␝",
	}, { // 50
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "!.ｂ)ω［＂α\x06$\v\x1cｕ｜!ｒοV␉ηφ?ｄ｜ε␀＾?. ",
		out:  "!.ｂ)ω［＂α\x06$\v\x1cｕ｜!ｒοV␉ηφ?ｄ｜ε‛␀＾?. ",
	}, { // 51
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "!.ｂ)ω［＂α\x06$\v\x1cｕ｜!ｒοV␉ηφ?ｄ｜ε␀＾?.␠",
		out:  "!.ｂ)ω［＂α\x06$\v\x1cｕ｜!ｒοV␉ηφ?ｄ｜ε‛␀＾?.␠",
	}, { // 52
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .␍␚␇\x04\x05％\tςχζ?W␆ＴL｛ρωπI0Ｎ>fL\x0e.ｇ",
		out:  "␠.␍␚␇\x04\x05％\tςχζ?W␆ＴL｛ρωπI0Ｎ>fL\x0e.ｇ",
	}, { // 53
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.␍␚␇\x04\x05％\tςχζ?W␆ＴL｛ρωπI0Ｎ>fL\x0e.ｇ",
		out:  "‛␠.␍␚␇\x04\x05％\tςχζ?W␆ＴL｛ρωπI0Ｎ>fL\x0e.ｇ",
	}, { // 54
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␈.␍␚␇\x04\x05％\tςχζ?W␆ＴL｛ρωπI0Ｎ>fL\x0e. ",
		out:  "␈.␍␚␇\x04\x05％\tςχζ?W␆ＴL｛ρωπI0Ｎ>fL\x0e. ",
	}, { // 55
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␈.␍␚␇\x04\x05％\tςχζ?W␆ＴL｛ρωπI0Ｎ>fL\x0e.␠",
		out:  "␈.␍␚␇\x04\x05％\tςχζ?W␆ＴL｛ρωπI0Ｎ>fL\x0e.␠",
	}, { // 56
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .ｒδI\t\x7fuδＤ3ω␙ｇY\b１σ\x15γ␞e*\x06␘＼ω␃.Ｘ",
		out:  "␠.ｒδI\t\x7fuδＤ3ω␙ｇY\b１σ\x15γ␞e*\x06␘＼ω␃.Ｘ",
	}, { // 57
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.ｒδI\t\x7fuδＤ3ω␙ｇY\b１σ\x15γ␞e*\x06␘＼ω␃.Ｘ",
		out:  "‛␠.ｒδI\t\x7fuδＤ3ω␙ｇY\b１σ\x15γ␞e*\x06␘＼ω␃.Ｘ",
	}, { // 58
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␛.ｒδI\t\x7fuδＤ3ω␙ｇY\b１σ\x15γ␞e*\x06␘＼ω␃. ",
		out:  "␛.ｒδI\t\x7fuδＤ3ω␙ｇY\b１σ\x15γ␞e*\x06␘＼ω␃. ",
	}, { // 59
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␛.ｒδI\t\x7fuδＤ3ω␙ｇY\b１σ\x15γ␞e*\x06␘＼ω␃.␠",
		out:  "␛.ｒδI\t\x7fuδＤ3ω␙ｇY\b１σ\x15γ␞e*\x06␘＼ω␃.␠",
	}, { // 60
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .κ＜＼␈\x15\x0f］\x15ερ：，τＸq␒eC␛\x1bｚ.G！ｓ\v.J",
		out:  "␠.κ＜＼␈\x15\x0f］\x15ερ：，τＸq␒eC␛\x1bｚ.G！ｓ\v.J",
	}, { // 61
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.κ＜＼␈\x15\x0f］\x15ερ：，τＸq␒eC␛\x1bｚ.G！ｓ\v.J",
		out:  "‛␠.κ＜＼␈\x15\x0f］\x15ερ：，τＸq␒eC␛\x1bｚ.G！ｓ\v.J",
	}, { // 62
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "φ.κ＜＼␈\x15\x0f］\x15ερ：，τＸq␒eC␛\x1bｚ.G！ｓ\v. ",
		out:  "φ.κ＜＼␈\x15\x0f］\x15ερ：，τＸq␒eC␛\x1bｚ.G！ｓ\v. ",
	}, { // 63
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "φ.κ＜＼␈\x15\x0f］\x15ερ：，τＸq␒eC␛\x1bｚ.G！ｓ\v.␠",
		out:  "φ.κ＜＼␈\x15\x0f］\x15ερ：，τＸq␒eC␛\x1bｚ.G！ｓ\v.␠",
	}, { // 64
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .ρ！Ｘβ␄1␕ＯfM␍Ｂ/\a\x14ωMηｂ#ο％\x06，ε:.ｋ",
		out:  "␠.ρ！Ｘβ␄1␕ＯfM␍Ｂ/\a\x14ωMηｂ#ο％\x06，ε:.ｋ",
	}, { // 65
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.ρ！Ｘβ␄1␕ＯfM␍Ｂ/\a\x14ωMηｂ#ο％\x06，ε:.ｋ",
		out:  "‛␠.ρ！Ｘβ␄1␕ＯfM␍Ｂ/\a\x14ωMηｂ#ο％\x06，ε:.ｋ",
	}, { // 66
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "/.ρ！Ｘβ␄1␕ＯfM␍Ｂ/\a\x14ωMηｂ#ο％\x06，ε:. ",
		out:  "/.ρ！Ｘβ␄1␕ＯfM␍Ｂ/\a\x14ωMηｂ#ο％\x06，ε:. ",
	}, { // 67
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "/.ρ！Ｘβ␄1␕ＯfM␍Ｂ/\a\x14ωMηｂ#ο％\x06，ε:.␠",
		out:  "/.ρ！Ｘβ␄1␕ＯfM␍Ｂ/\a\x14ωMηｂ#ο％\x06，ε:.␠",
	}, { // 68
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .\vχ\x13ω；．λ＜／3pS␚τ\vＷ␂ｈρEγ｜␗ＸＳq.\x19",
		out:  "␠.\vχ\x13ω；．λ＜／3pS␚τ\vＷ␂ｈρEγ｜␗ＸＳq.\x19",
	}, { // 69
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.\vχ\x13ω；．λ＜／3pS␚τ\vＷ␂ｈρEγ｜␗ＸＳq.\x19",
		out:  "‛␠.\vχ\x13ω；．λ＜／3pS␚τ\vＷ␂ｈρEγ｜␗ＸＳq.\x19",
	}, { // 70
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "\x1b.\vχ\x13ω；．λ＜／3pS␚τ\vＷ␂ｈρEγ｜␗ＸＳq. ",
		out:  "\x1b.\vχ\x13ω；．λ＜／3pS␚τ\vＷ␂ｈρEγ｜␗ＸＳq. ",
	}, { // 71
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "\x1b.\vχ\x13ω；．λ＜／3pS␚τ\vＷ␂ｈρEγ｜␗ＸＳq.␠",
		out:  "\x1b.\vχ\x13ω；．λ＜／3pS␚τ\vＷ␂ｈρEγ｜␗ＸＳq.␠",
	}, { // 72
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .#＄υ␈dλＺ,\vωｚ\x18Ｋ！\v＃ςL｜＊\x0f:␙οτ＃.\x1b",
		out:  "␠.#＄υ␈dλＺ,\vωｚ\x18Ｋ！\v＃ςL｜＊\x0f:␙οτ＃.\x1b",
	}, { // 73
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.#＄υ␈dλＺ,\vωｚ\x18Ｋ！\v＃ςL｜＊\x0f:␙οτ＃.\x1b",
		out:  "‛␠.#＄υ␈dλＺ,\vωｚ\x18Ｋ！\v＃ςL｜＊\x0f:␙οτ＃.\x1b",
	}, { // 74
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "$.#＄υ␈dλＺ,\vωｚ\x18Ｋ！\v＃ςL｜＊\x0f:␙οτ＃. ",
		out:  "$.#＄υ␈dλＺ,\vωｚ\x18Ｋ！\v＃ςL｜＊\x0f:␙οτ＃. ",
	}, { // 75
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "$.#＄υ␈dλＺ,\vωｚ\x18Ｋ！\v＃ςL｜＊\x0f:␙οτ＃.␠",
		out:  "$.#＄υ␈dλＺ,\vωｚ\x18Ｋ！\v＃ςL｜＊\x0f:␙οτ＃.␠",
	}, { // 76
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .Ｓτ␉lSOγ␑\x01ψ\x11８＾␟］γ~>Lκηc\n\x1f｀Ｙ.＄",
		out:  "␠.Ｓτ‛␉lSOγ‛␑␁ψ␑８＾‛␟］γ~>Lκηc␊␟｀Ｙ.＄",
	}, { // 77
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.Ｓτ␉lSOγ␑\x01ψ\x11８＾␟］γ~>Lκηc\n\x1f｀Ｙ.＄",
		out:  "‛␠.Ｓτ‛␉lSOγ‛␑␁ψ␑８＾‛␟］γ~>Lκηc␊␟｀Ｙ.＄",
	}, { // 78
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "\x16.Ｓτ␉lSOγ␑\x01ψ\x11８＾␟］γ~>Lκηc\n\x1f｀Ｙ. ",
		out:  "␖.Ｓτ‛␉lSOγ‛␑␁ψ␑８＾‛␟］γ~>Lκηc␊␟｀Ｙ. ",
	}, { // 79
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "\x16.Ｓτ␉lSOγ␑\x01ψ\x11８＾␟］γ~>Lκηc\n\x1f｀Ｙ.␠",
		out:  "␖.Ｓτ‛␉lSOγ‛␑␁ψ␑８＾‛␟］γ~>Lκηc␊␟｀Ｙ.␠",
	}, { // 80
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~r7φλQ｜Ｑ＜␃ρ␊\x1e\x0fu＊\uff00＊␚～␛ζ!\x1f\x16;ψ~ｚ",
		out:  "␠~r7φλQ｜Ｑ＜␃ρ␊\x1e\x0fu＊\uff00＊␚～␛ζ!\x1f\x16;ψ~ｚ",
	}, { // 81
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~r7φλQ｜Ｑ＜␃ρ␊\x1e\x0fu＊\uff00＊␚～␛ζ!\x1f\x16;ψ~ｚ",
		out:  "‛␠~r7φλQ｜Ｑ＜␃ρ␊\x1e\x0fu＊\uff00＊␚～␛ζ!\x1f\x16;ψ~ｚ",
	}, { // 82
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ξ~r7φλQ｜Ｑ＜␃ρ␊\x1e\x0fu＊\uff00＊␚～␛ζ!\x1f\x16;ψ~ ",
		out:  "ξ~r7φλQ｜Ｑ＜␃ρ␊\x1e\x0fu＊\uff00＊␚～␛ζ!\x1f\x16;ψ~ ",
	}, { // 83
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ξ~r7φλQ｜Ｑ＜␃ρ␊\x1e\x0fu＊\uff00＊␚～␛ζ!\x1f\x16;ψ~␠",
		out:  "ξ~r7φλQ｜Ｑ＜␃ρ␊\x1e\x0fu＊\uff00＊␚～␛ζ!\x1f\x16;ψ~␠",
	}, { // 84
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~ＰY%yＣ=［＿ς\x1c␀８\x1e␊\bbＪψ\x13␊\x18ςτ␔/J~ο",
		out:  "␠~ＰY%yＣ=［＿ς\x1c‛␀８\x1e␊\bbＪψ\x13␊\x18ςτ␔／J~ο",
	}, { // 85
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~ＰY%yＣ=［＿ς\x1c␀８\x1e␊\bbＪψ\x13␊\x18ςτ␔/J~ο",
		out:  "‛␠~ＰY%yＣ=［＿ς\x1c‛␀８\x1e␊\bbＪψ\x13␊\x18ςτ␔／J~ο",
	}, { // 86
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ｅ~ＰY%yＣ=［＿ς\x1c␀８\x1e␊\bbＪψ\x13␊\x18ςτ␔/J~ ",
		out:  "ｅ~ＰY%yＣ=［＿ς\x1c‛␀８\x1e␊\bbＪψ\x13␊\x18ςτ␔／J~ ",
	}, { // 87
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ｅ~ＰY%yＣ=［＿ς\x1c␀８\x1e␊\bbＪψ\x13␊\x18ςτ␔/J~␠",
		out:  "ｅ~ＰY%yＣ=［＿ς\x1c‛␀８\x1e␊\bbＪψ\x13␊\x18ςτ␔／J~␠",
	}, { // 88
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~ψκ.␕ω␛\x05␝z＃ν\rＫ|}ＷＭ␇\b\x11␄.３／αδ~]",
		out:  "␠~ψκ.␕ω␛\x05␝z＃ν\rＫ|}ＷＭ␇\b\x11␄.３／αδ~]",
	}, { // 89
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~ψκ.␕ω␛\x05␝z＃ν\rＫ|}ＷＭ␇\b\x11␄.３／αδ~]",
		out:  "‛␠~ψκ.␕ω␛\x05␝z＃ν\rＫ|}ＷＭ␇\b\x11␄.３／αδ~]",
	}, { // 90
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "Ｈ~ψκ.␕ω␛\x05␝z＃ν\rＫ|}ＷＭ␇\b\x11␄.３／αδ~ ",
		out:  "Ｈ~ψκ.␕ω␛\x05␝z＃ν\rＫ|}ＷＭ␇\b\x11␄.３／αδ~ ",
	}, { // 91
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "Ｈ~ψκ.␕ω␛\x05␝z＃ν\rＫ|}ＷＭ␇\b\x11␄.３／αδ~␠",
		out:  "Ｈ~ψκ.␕ω␛\x05␝z＃ν\rＫ|}ＷＭ␇\b\x11␄.３／αδ~␠",
	}, { // 92
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~＃？οβ＊Ａα＂kgＫ＼λj!␊\x17θ＿:\x1c\x04\x1b␝Y␅~\x7f",
		out:  "␠~＃？οβ＊Ａα＂kgＫ＼λj!␊\x17θ＿:\x1c\x04\x1b␝Y␅~\x7f",
	}, { // 93
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~＃？οβ＊Ａα＂kgＫ＼λj!␊\x17θ＿:\x1c\x04\x1b␝Y␅~\x7f",
		out:  "‛␠~＃？οβ＊Ａα＂kgＫ＼λj!␊\x17θ＿:\x1c\x04\x1b␝Y␅~\x7f",
	}, { // 94
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "８~＃？οβ＊Ａα＂kgＫ＼λj!␊\x17θ＿:\x1c\x04\x1b␝Y␅~ ",
		out:  "８~＃？οβ＊Ａα＂kgＫ＼λj!␊\x17θ＿:\x1c\x04\x1b␝Y␅~ ",
	}, { // 95
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "８~＃？οβ＊Ａα＂kgＫ＼λj!␊\x17θ＿:\x1c\x04\x1b␝Y␅~␠",
		out:  "８~＃？οβ＊Ａα＂kgＫ＼λj!␊\x17θ＿:\x1c\x04\x1b␝Y␅~␠",
	}, { // 96
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~αξ／\x02\x06０␕2［␍ｖ＜\x11\x1e␃`ξt`/，κ>｝/@~σ",
		out:  "␠~αξ／\x02\x06０␕2［␍ｖ‛＜\x11\x1e␃`ξt`/，κ＞｝/@~σ",
	}, { // 97
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~αξ／\x02\x06０␕2［␍ｖ＜\x11\x1e␃`ξt`/，κ>｝/@~σ",
		out:  "‛␠~αξ／\x02\x06０␕2［␍ｖ‛＜\x11\x1e␃`ξt`/，κ＞｝/@~σ",
	}, { // 98
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftTilde,
		in:   "＃~αξ／\x02\x06０␕2［␍ｖ＜\x11\x1e␃`ξt`/，κ>｝/@~ ",
		out:  "＃~αξ／\x02\x06０␕2［␍ｖ‛＜\x11\x1e␃`ξt`/，κ＞｝/@~ ",
	}, { // 99
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftTilde,
		in:   "＃~αξ／\x02\x06０␕2［␍ｖ＜\x11\x1e␃`ξt`/，κ>｝/@~␠",
		out:  "＃~αξ／\x02\x06０␕2［␍ｖ‛＜\x11\x1e␃`ξt`/，κ＞｝/@~␠",
	}, { // 100
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~ｑy：X'\x00␉｜O\x15>\r'ｎα!␂␉$（＂<βγ␜ζ~７",
		out:  "␠~ｑy：X'␀␉｜O\x15>\r'ｎα!␂␉$（＂<βγ␜ζ~７",
	}, { // 101
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~ｑy：X'\x00␉｜O\x15>\r'ｎα!␂␉$（＂<βγ␜ζ~７",
		out:  "‛␠~ｑy：X'␀␉｜O\x15>\r'ｎα!␂␉$（＂<βγ␜ζ~７",
	}, { // 102
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ν~ｑy：X'\x00␉｜O\x15>\r'ｎα!␂␉$（＂<βγ␜ζ~ ",
		out:  "ν~ｑy：X'␀␉｜O\x15>\r'ｎα!␂␉$（＂<βγ␜ζ~ ",
	}, { // 103
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ν~ｑy：X'\x00␉｜O\x15>\r'ｎα!␂␉$（＂<βγ␜ζ~␠",
		out:  "ν~ｑy：X'␀␉｜O\x15>\r'ｎα!␂␉$（＂<βγ␜ζ~␠",
	}, { // 104
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~␔$＊ｓｚφJζ#␁Eη9␌οτ?αHc/，Ｇｋ＃\r~␐",
		out:  "␠~␔$＊ｓｚφJζ#␁Eη9␌οτ?αHc/，Ｇｋ＃\r~␐",
	}, { // 105
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~␔$＊ｓｚφJζ#␁Eη9␌οτ?αHc/，Ｇｋ＃\r~␐",
		out:  "‛␠~␔$＊ｓｚφJζ#␁Eη9␌οτ?αHc/，Ｇｋ＃\r~␐",
	}, { // 106
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␟~␔$＊ｓｚφJζ#␁Eη9␌οτ?αHc/，Ｇｋ＃\r~ ",
		out:  "␟~␔$＊ｓｚφJζ#␁Eη9␌οτ?αHc/，Ｇｋ＃\r~ ",
	}, { // 107
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␟~␔$＊ｓｚφJζ#␁Eη9␌οτ?αHc/，Ｇｋ＃\r~␠",
		out:  "␟~␔$＊ｓｚφJζ#␁Eη9␌οτ?αHc/，Ｇｋ＃\r~␠",
	}, { // 108
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~ｓωｃδσF］/！％９␡[φd\rｋςｗ␔b|\x14G2＇~ξ",
		out:  "␠~ｓωｃδσF］/‛！％９␡[φd\rｋςｗ␔b|\x14G2＇~ξ",
	}, { // 109
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~ｓωｃδσF］/！％９␡[φd\rｋςｗ␔b|\x14G2＇~ξ",
		out:  "‛␠~ｓωｃδσF］/‛！％９␡[φd\rｋςｗ␔b|\x14G2＇~ξ",
	}, { // 110
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftTilde,
		in:   "＜~ｓωｃδσF］/！％９␡[φd\rｋςｗ␔b|\x14G2＇~ ",
		out:  "＜~ｓωｃδσF］/‛！％９␡[φd\rｋςｗ␔b|\x14G2＇~ ",
	}, { // 111
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftTilde,
		in:   "＜~ｓωｃδσF］/！％９␡[φd\rｋςｗ␔b|\x14G2＇~␠",
		out:  "＜~ｓωｃδσF］/‛！％９␡[φd\rｋςｗ␔b|\x14G2＇~␠",
	}, { // 112
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~!l␍\x04]βXγ－␃Ｋ␗␑>l３φ␉\aβｑ＇φ１σ+~\n",
		out:  "␠~!l␍\x04]βXγ－␃Ｋ␗␑>l３φ␉\aβｑ＇φ１σ+~\n",
	}, { // 113
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~!l␍\x04]βXγ－␃Ｋ␗␑>l３φ␉\aβｑ＇φ１σ+~\n",
		out:  "‛␠~!l␍\x04]βXγ－␃Ｋ␗␑>l３φ␉\aβｑ＇φ１σ+~\n",
	}, { // 114
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftTilde,
		in:   "Ｑ~!l␍\x04]βXγ－␃Ｋ␗␑>l３φ␉\aβｑ＇φ１σ+~ ",
		out:  "Ｑ~!l␍\x04]βXγ－␃Ｋ␗␑>l３φ␉\aβｑ＇φ１σ+~ ",
	}, { // 115
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftTilde,
		in:   "Ｑ~!l␍\x04]βXγ－␃Ｋ␗␑>l３φ␉\aβｑ＇φ１σ+~␠",
		out:  "Ｑ~!l␍\x04]βXγ－␃Ｋ␗␑>l３φ␉\aβｑ＇φ１σ+~␠",
	}, { // 116
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~：\rｍ%／\x14␆］ｍβ␄␌A？θａ9ν|>RAkςο␟~\r",
		out:  "␠~：\rｍ%／\x14␆］ｍβ␄␌A？θａ9ν|>RAkςο␟~\r",
	}, { // 117
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~：\rｍ%／\x14␆］ｍβ␄␌A？θａ9ν|>RAkςο␟~\r",
		out:  "‛␠~：\rｍ%／\x14␆］ｍβ␄␌A？θａ9ν|>RAkςο␟~\r",
	}, { // 118
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "＃~：\rｍ%／\x14␆］ｍβ␄␌A？θａ9ν|>RAkςο␟~ ",
		out:  "＃~：\rｍ%／\x14␆］ｍβ␄␌A？θａ9ν|>RAkςο␟~ ",
	}, { // 119
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "＃~：\rｍ%／\x14␆］ｍβ␄␌A？θａ9ν|>RAkςο␟~␠",
		out:  "＃~：\rｍ%／\x14␆］ｍβ␄␌A？θａ9ν|>RAkςο␟~␠",
	}, { // 120
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~ｌ7Ｕv＇H\x15＋t＊！Ｓβω\r>␉␗ζυξ\x0eX\x7f\f␄~\x1f",
		out:  "␠~ｌ7Ｕv＇H\x15＋t＊！Ｓβω\r>␉␗ζυξ\x0eX\x7f\f␄~\x1f",
	}, { // 121
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~ｌ7Ｕv＇H\x15＋t＊！Ｓβω\r>␉␗ζυξ\x0eX\x7f\f␄~\x1f",
		out:  "‛␠~ｌ7Ｕv＇H\x15＋t＊！Ｓβω\r>␉␗ζυξ\x0eX\x7f\f␄~\x1f",
	}, { // 122
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ｖ~ｌ7Ｕv＇H\x15＋t＊！Ｓβω\r>␉␗ζυξ\x0eX\x7f\f␄~ ",
		out:  "ｖ~ｌ7Ｕv＇H\x15＋t＊！Ｓβω\r>␉␗ζυξ\x0eX\x7f\f␄~ ",
	}, { // 123
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ｖ~ｌ7Ｕv＇H\x15＋t＊！Ｓβω\r>␉␗ζυξ\x0eX\x7f\f␄~␠",
		out:  "ｖ~ｌ7Ｕv＇H\x15＋t＊！Ｓβω\r>␉␗ζυξ\x0eX\x7f\f␄~␠",
	}, { // 124
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~Uuｊ␓`␕␉＝τP␉ｕο\x14Ｘ\x10\v／βγ'!＼ξ}L~η",
		out:  "␠~Uuｊ␓`␕␉＝τP␉ｕο\x14Ｘ\x10\v／βγ'!＼ξ}L~η",
	}, { // 125
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~Uuｊ␓`␕␉＝τP␉ｕο\x14Ｘ\x10\v／βγ'!＼ξ}L~η",
		out:  "‛␠~Uuｊ␓`␕␉＝τP␉ｕο\x14Ｘ\x10\v／βγ'!＼ξ}L~η",
	}, { // 126
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␍~Uuｊ␓`␕␉＝τP␉ｕο\x14Ｘ\x10\v／βγ'!＼ξ}L~ ",
		out:  "␍~Uuｊ␓`␕␉＝τP␉ｕο\x14Ｘ\x10\v／βγ'!＼ξ}L~ ",
	}, { // 127
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␍~Uuｊ␓`␕␉＝τP␉ｕο\x14Ｘ\x10\v／βγ'!＼ξ}L~␠",
		out:  "␍~Uuｊ␓`␕␉＝τP␉ｕο\x14Ｘ\x10\v／βγ'!＼ξ}L~␠",
	}, { // 128
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~␗ω：＇Ｆ␋|＇＞␓]νεｅｗＦ*\x1e>};%θγ~N~Ｄ",
		out:  "␠~␗ω：＇Ｆ␋|＇＞␓]νεｅｗＦ＊\x1e>};%θγ~N~Ｄ",
	}, { // 129
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~␗ω：＇Ｆ␋|＇＞␓]νεｅｗＦ*\x1e>};%θγ~N~Ｄ",
		out:  "‛␠~␗ω：＇Ｆ␋|＇＞␓]νεｅｗＦ＊\x1e>};%θγ~N~Ｄ",
	}, { // 130
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftTilde,
		in:   "f~␗ω：＇Ｆ␋|＇＞␓]νεｅｗＦ*\x1e>};%θγ~N~ ",
		out:  "f~␗ω：＇Ｆ␋|＇＞␓]νεｅｗＦ＊\x1e>};%θγ~N~ ",
	}, { // 131
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftTilde,
		in:   "f~␗ω：＇Ｆ␋|＇＞␓]νεｅｗＦ*\x1e>};%θγ~N~␠",
		out:  "f~␗ω：＇Ｆ␋|＇＞␓]νεｅｗＦ＊\x1e>};%θγ~N~␠",
	}, { // 132
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~␁\x18κP~␉ＱsＩτ<ｋ␘ｐωξ/A＂Ｖ［v'α␐5~␃",
		out:  "␠~␁\x18κP~␉ＱsＩτ<ｋ␘ｐωξ/A＂Ｖ［v'α␐5~␃",
	}, { // 133
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~␁\x18κP~␉ＱsＩτ<ｋ␘ｐωξ/A＂Ｖ［v'α␐5~␃",
		out:  "‛␠~␁\x18κP~␉ＱsＩτ<ｋ␘ｐωξ/A＂Ｖ［v'α␐5~␃",
	}, { // 134
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftTilde,
		in:   "β~␁\x18κP~␉ＱsＩτ<ｋ␘ｐωξ/A＂Ｖ［v'α␐5~ ",
		out:  "β~␁\x18κP~␉ＱsＩτ<ｋ␘ｐωξ/A＂Ｖ［v'α␐5~ ",
	}, { // 135
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftTilde,
		in:   "β~␁\x18κP~␉ＱsＩτ<ｋ␘ｐωξ/A＂Ｖ［v'α␐5~␠",
		out:  "β~␁\x18κP~␉ＱsＩτ<ｋ␘ｐωξ/A＂Ｖ［v'α␐5~␠",
	}, { // 136
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~Cν?\\＼\x03ψ␂Ｎς＂j＞/`\x12ψN\nπＬ␐␂[｛］~σ",
		out:  "␠~Cν?\\＼\x03ψ␂Ｎς＂j＞/`\x12ψN\nπＬ␐␂[｛］~σ",
	}, { // 137
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~Cν?\\＼\x03ψ␂Ｎς＂j＞/`\x12ψN\nπＬ␐␂[｛］~σ",
		out:  "‛␠~Cν?\\＼\x03ψ␂Ｎς＂j＞/`\x12ψN\nπＬ␐␂[｛］~σ",
	}, { // 138
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "Ｌ~Cν?\\＼\x03ψ␂Ｎς＂j＞/`\x12ψN\nπＬ␐␂[｛］~ ",
		out:  "Ｌ~Cν?\\＼\x03ψ␂Ｎς＂j＞/`\x12ψN\nπＬ␐␂[｛］~ ",
	}, { // 139
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "Ｌ~Cν?\\＼\x03ψ␂Ｎς＂j＞/`\x12ψN\nπＬ␐␂[｛］~␠",
		out:  "Ｌ~Cν?\\＼\x03ψ␂Ｎς＂j＞/`\x12ψN\nπＬ␐␂[｛］~␠",
	}, { // 140
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~μ␘＂zL`\x19θοε８␚␙Ｗβ＄\r/μLoｍ'％Ｋz~8",
		out:  "␠~μ␘＂zL`\x19θοε８␚␙Ｗβ＄\r/μLoｍ'‛％Ｋz~8",
	}, { // 141
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~μ␘＂zL`\x19θοε８␚␙Ｗβ＄\r/μLoｍ'％Ｋz~8",
		out:  "‛␠~μ␘＂zL`\x19θοε８␚␙Ｗβ＄\r/μLoｍ'‛％Ｋz~8",
	}, { // 142
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␊~μ␘＂zL`\x19θοε８␚␙Ｗβ＄\r/μLoｍ'％Ｋz~ ",
		out:  "␊~μ␘＂zL`\x19θοε８␚␙Ｗβ＄\r/μLoｍ'‛％Ｋz~ ",
	}, { // 143
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␊~μ␘＂zL`\x19θοε８␚␙Ｗβ＄\r/μLoｍ'％Ｋz~␠",
		out:  "␊~μ␘＂zL`\x19θοε８␚␙Ｗβ＄\r/μLoｍ'‛％Ｋz~␠",
	}, { // 144
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~!γＶIｆκ␜｛EＬπＪ␐2\x7fＶζφ＇␂|gPι'\r~␍",
		out:  "␠~!γＶIｆκ␜｛EＬπＪ␐2\x7fＶζφ＇␂|gPι'\r~␍",
	}, { // 145
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~!γＶIｆκ␜｛EＬπＪ␐2\x7fＶζφ＇␂|gPι'\r~␍",
		out:  "‛␠~!γＶIｆκ␜｛EＬπＪ␐2\x7fＶζφ＇␂|gPι'\r~␍",
	}, { // 146
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "\x1d~!γＶIｆκ␜｛EＬπＪ␐2\x7fＶζφ＇␂|gPι'\r~ ",
		out:  "\x1d~!γＶIｆκ␜｛EＬπＪ␐2\x7fＶζφ＇␂|gPι'\r~ ",
	}, { // 147
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "\x1d~!γＶIｆκ␜｛EＬπＪ␐2\x7fＶζφ＇␂|gPι'\r~␠",
		out:  "\x1d~!γＶIｆκ␜｛EＬπＪ␐2\x7fＶζφ＇␂|gPι'\r~␠",
	}, { // 148
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~ζｌE$dBι｜`␒ｄ＇tｇ␅％*ο？φβψx％］\v~␞",
		out:  "␠~ζｌE$dBι｜`␒ｄ＇tｇ␅％*ο？φβψx％］\v~␞",
	}, { // 149
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~ζｌE$dBι｜`␒ｄ＇tｇ␅％*ο？φβψx％］\v~␞",
		out:  "‛␠~ζｌE$dBι｜`␒ｄ＇tｇ␅％*ο？φβψx％］\v~␞",
	}, { // 150
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftTilde,
		in:   "&~ζｌE$dBι｜`␒ｄ＇tｇ␅％*ο？φβψx％］\v~ ",
		out:  "&~ζｌE$dBι｜`␒ｄ＇tｇ␅％*ο？φβψx％］\v~ ",
	}, { // 151
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftTilde,
		in:   "&~ζｌE$dBι｜`␒ｄ＇tｇ␅％*ο？φβψx％］\v~␠",
		out:  "&~ζｌE$dBι｜`␒ｄ＇tｇ␅％*ο？φβψx％］\v~␠",
	}, { // 152
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~８)D/\bｍν\\］bε␗'\nξ}Ｔ␊：ｆτ␛␋ｕ?λ~κ",
		out:  "␠~８)D/\bｍν\\］bε␗'\nξ}Ｔ␊：ｆτ␛␋ｕ?λ~κ",
	}, { // 153
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~８)D/\bｍν\\］bε␗'\nξ}Ｔ␊：ｆτ␛␋ｕ?λ~κ",
		out:  "‛␠~８)D/\bｍν\\］bε␗'\nξ}Ｔ␊：ｆτ␛␋ｕ?λ~κ",
	}, { // 154
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftTilde,
		in:   ":~８)D/\bｍν\\］bε␗'\nξ}Ｔ␊：ｆτ␛␋ｕ?λ~ ",
		out:  ":~８)D/\bｍν\\］bε␗'\nξ}Ｔ␊：ｆτ␛␋ｕ?λ~ ",
	}, { // 155
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftTilde,
		in:   ":~８)D/\bｍν\\］bε␗'\nξ}Ｔ␊：ｆτ␛␋ｕ?λ~␠",
		out:  ":~８)D/\bｍν\\］bε␗'\nξ}Ｔ␊：ｆτ␛␋ｕ?λ~␠",
	}, { // 156
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~`－：／␆μδL］␏τ｀%Ｒ[n␔γ\rZ＼:μ｛\x18S~/",
		out:  "␠~`－：／‛␆μδL］‛␏τ｀%Ｒ[n‛␔γ␍Z＼:μ｛␘S~/",
	}, { // 157
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~`－：／␆μδL］␏τ｀%Ｒ[n␔γ\rZ＼:μ｛\x18S~/",
		out:  "‛␠~`－：／‛␆μδL］‛␏τ｀%Ｒ[n‛␔γ␍Z＼:μ｛␘S~/",
	}, { // 158
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftTilde,
		in:   "d~`－：／␆μδL］␏τ｀%Ｒ[n␔γ\rZ＼:μ｛\x18S~ ",
		out:  "d~`－：／‛␆μδL］‛␏τ｀%Ｒ[n‛␔γ␍Z＼:μ｛␘S~ ",
	}, { // 159
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftTilde,
		in:   "d~`－：／␆μδL］␏τ｀%Ｒ[n␔γ\rZ＼:μ｛\x18S~␠",
		out:  "d~`－：／‛␆μδL］‛␏τ｀%Ｒ[n‛␔γ␍Z＼:μ｛␘S~␠",
	}, { // 160
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\t＊",
		out:  "␠\t＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\t＊",
	}, { // 161
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\t＊",
		out:  "‛␠\t＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\t＊",
	}, { // 162
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\n＊",
		out:  "␠\n＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\n＊",
	}, { // 163
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\n＊",
		out:  "‛␠\n＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\n＊",
	}, { // 164
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\v＊",
		out:  "␠\v＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\v＊",
	}, { // 165
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\v＊",
		out:  "‛␠\v＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\v＊",
	}, { // 166
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\r＊",
		out:  "␠\r＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\r＊",
	}, { // 167
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\r＊",
		out:  "‛␠\r＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\r＊",
	}, { // 168
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ρ\t＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\t ",
		out:  "ρ\t＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\t ",
	}, { // 169
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ρ\t＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\t␠",
		out:  "ρ\t＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\t␠",
	}, { // 170
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ρ\n＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\n ",
		out:  "ρ\n＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\n ",
	}, { // 171
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ρ\n＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\n␠",
		out:  "ρ\n＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\n␠",
	}, { // 172
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ρ\v＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\v ",
		out:  "ρ\v＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\v ",
	}, { // 173
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ρ\v＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\v␠",
		out:  "ρ\v＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\v␠",
	}, { // 174
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ρ\r＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\r ",
		out:  "ρ\r＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\r ",
	}, { // 175
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ρ\r＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\r␠",
		out:  "ρ\r＄ｘ/$｀Frη`|］＝␇␝λ\x1bδ\x12ζ\"␋␊υ；\tW\r␠",
	}, { // 176
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \tｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\ty",
		out:  "␠\tｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\ty",
	}, { // 177
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\ty",
		out:  "‛␠\tｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\ty",
	}, { // 178
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \nｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\ny",
		out:  "␠\nｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\ny",
	}, { // 179
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\ny",
		out:  "‛␠\nｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\ny",
	}, { // 180
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \vｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\vy",
		out:  "␠\vｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\vy",
	}, { // 181
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\vy",
		out:  "‛␠\vｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\vy",
	}, { // 182
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \rｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\ry",
		out:  "␠\rｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\ry",
	}, { // 183
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\ry",
		out:  "‛␠\rｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\ry",
	}, { // 184
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "l\tｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\t ",
		out:  "l\tｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\t ",
	}, { // 185
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "l\tｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\t␠",
		out:  "l\tｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\t␠",
	}, { // 186
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "l\nｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\n ",
		out:  "l\nｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\n ",
	}, { // 187
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "l\nｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\n␠",
		out:  "l\nｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\n␠",
	}, { // 188
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "l\vｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\v ",
		out:  "l\vｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\v ",
	}, { // 189
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "l\vｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\v␠",
		out:  "l\vｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\v␠",
	}, { // 190
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "l\rｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\r ",
		out:  "l\rｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\r ",
	}, { // 191
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "l\rｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅／/\r␠",
		out:  "l\rｃ［ι\x01'ιｆ[｝eG｝␝Aηψκ\x12␛＂\f{＊␅‛／／\r␠",
	}, { // 192
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\tG",
		out:  "␠\t\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\tG",
	}, { // 193
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\tG",
		out:  "‛␠\t\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\tG",
	}, { // 194
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\nG",
		out:  "␠\n\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\nG",
	}, { // 195
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\nG",
		out:  "‛␠\n\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\nG",
	}, { // 196
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\vG",
		out:  "␠\v\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\vG",
	}, { // 197
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\vG",
		out:  "‛␠\v\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\vG",
	}, { // 198
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\rG",
		out:  "␠\r\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\rG",
	}, { // 199
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\rG",
		out:  "‛␠\r\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\rG",
	}, { // 200
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "｜\t\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\t ",
		out:  "｜\t\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\t ",
	}, { // 201
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "｜\t\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\t␠",
		out:  "｜\t\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\t␠",
	}, { // 202
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "｜\n\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\n ",
		out:  "｜\n\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\n ",
	}, { // 203
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "｜\n\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\n␠",
		out:  "｜\n\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\n␠",
	}, { // 204
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "｜\v\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\v ",
		out:  "｜\v\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\v ",
	}, { // 205
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "｜\v\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\v␠",
		out:  "｜\v\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\v␠",
	}, { // 206
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "｜\r\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\r ",
		out:  "｜\r\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\r ",
	}, { // 207
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "｜\r\"\x1a＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\r␠",
		out:  "｜\r\"\x1a‛＇7>＝＜sιθ４\x14\x17g␉^␓␂_ιｇγ！Ｊ␙ο\r␠",
	}, { // 208
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\t７",
		out:  "␠\t‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\t７",
	}, { // 209
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\t７",
		out:  "‛␠\t‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\t７",
	}, { // 210
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\n７",
		out:  "␠\n‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\n７",
	}, { // 211
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\n７",
		out:  "‛␠\n‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\n７",
	}, { // 212
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\v７",
		out:  "␠\v‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\v７",
	}, { // 213
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\v７",
		out:  "‛␠\v‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\v７",
	}, { // 214
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\r７",
		out:  "␠\r‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\r７",
	}, { // 215
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\r７",
		out:  "‛␠\r‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\r７",
	}, { // 216
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "σ\t｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\t ",
		out:  "σ\t‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\t ",
	}, { // 217
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "σ\t｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\t␠",
		out:  "σ\t‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\t␠",
	}, { // 218
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "σ\n｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\n ",
		out:  "σ\n‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\n ",
	}, { // 219
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "σ\n｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\n␠",
		out:  "σ\n‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\n␠",
	}, { // 220
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "σ\v｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\v ",
		out:  "σ\v‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\v ",
	}, { // 221
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "σ\v｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\v␠",
		out:  "σ\v‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\v␠",
	}, { // 222
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "σ\r｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\r ",
		out:  "σ\r‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\r ",
	}, { // 223
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "σ\r｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\r␠",
		out:  "σ\r‛｀<Ｓ\uff009}\rξυ␛＂θλ[/\x19$Ｏ９f␑␏τ?P&\r␠",
	}, { // 224
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\tψ",
		out:  "␠\t\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\tψ",
	}, { // 225
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\tψ",
		out:  "‛␠\t\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\tψ",
	}, { // 226
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\nψ",
		out:  "␠\n\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\nψ",
	}, { // 227
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\nψ",
		out:  "‛␠\n\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\nψ",
	}, { // 228
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\vψ",
		out:  "␠\v\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\vψ",
	}, { // 229
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\vψ",
		out:  "‛␠\v\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\vψ",
	}, { // 230
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\rψ",
		out:  "␠\r\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\rψ",
	}, { // 231
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\rψ",
		out:  "‛␠\r\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\rψ",
	}, { // 232
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\t\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\t ",
		out:  "/\t\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\t ",
	}, { // 233
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\t\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\t␠",
		out:  "/\t\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\t␠",
	}, { // 234
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\n\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\n ",
		out:  "/\n\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\n ",
	}, { // 235
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\n\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\n␠",
		out:  "/\n\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\n␠",
	}, { // 236
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\v\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\v ",
		out:  "/\v\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\v ",
	}, { // 237
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\v\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\v␠",
		out:  "/\v\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\v␠",
	}, { // 238
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\r\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\r ",
		out:  "/\r\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\r ",
	}, { // 239
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\r\r␁ο\x06/␚Ｌ］8Ｈ{＞C3φＶφ␛O＇α＞０\\\x14\x0e\r␠",
		out:  "/\r\r␁ο\x06/␚Ｌ］8Ｈ{‛＞C3φＶφ␛O＇α‛＞０\\\x14\x0e\r␠",
	}, { // 240
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \tελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\t\r",
		out:  "␠\tελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\t\r",
	}, { // 241
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\t\r",
		out:  "‛␠\tελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\t\r",
	}, { // 242
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \nελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\n\r",
		out:  "␠\nελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\n\r",
	}, { // 243
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\n\r",
		out:  "‛␠\nελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\n\r",
	}, { // 244
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \vελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\v\r",
		out:  "␠\vελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\v\r",
	}, { // 245
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\v\r",
		out:  "‛␠\vελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\v\r",
	}, { // 246
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \rελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\r\r",
		out:  "␠\rελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\r\r",
	}, { // 247
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\r\r",
		out:  "‛␠\rελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\r\r",
	}, { // 248
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\tελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\t ",
		out:  "‛␊\tελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\t ",
	}, { // 249
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\tελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\t␠",
		out:  "‛␊\tελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\t␠",
	}, { // 250
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\nελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\n ",
		out:  "‛␊\nελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\n ",
	}, { // 251
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\nελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\n␠",
		out:  "‛␊\nελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\n␠",
	}, { // 252
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\vελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\v ",
		out:  "‛␊\vελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\v ",
	}, { // 253
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\vελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\v␠",
		out:  "‛␊\vελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\v␠",
	}, { // 254
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\rελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\r ",
		out:  "‛␊\rελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\r ",
	}, { // 255
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\rελ\aiN␝３7#Z］ｃ[^／ε＿␔␀␂?␚χＦς\x19\r␠",
		out:  "‛␊\rελ\aiN␝３7#Z‛］ｃ［^／ε＿␔‛␀␂?␚χＦς\x19\r␠",
	}, { // 256
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \ts\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\tζ",
		out:  "␠\ts\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\tζ",
	}, { // 257
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\ts\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\tζ",
		out:  "‛␠\ts\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\tζ",
	}, { // 258
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \ns\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\nζ",
		out:  "␠\ns\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\nζ",
	}, { // 259
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\ns\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\nζ",
		out:  "‛␠\ns\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\nζ",
	}, { // 260
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \vs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\vζ",
		out:  "␠\vs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\vζ",
	}, { // 261
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\vζ",
		out:  "‛␠\vs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\vζ",
	}, { // 262
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \rs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\rζ",
		out:  "␠\rs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\rζ",
	}, { // 263
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\rζ",
		out:  "‛␠\rs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\rζ",
	}, { // 264
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "χ\ts\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\t ",
		out:  "χ\ts\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\t ",
	}, { // 265
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "χ\ts\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\t␠",
		out:  "χ\ts\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\t␠",
	}, { // 266
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "χ\ns\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\n ",
		out:  "χ\ns\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\n ",
	}, { // 267
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "χ\ns\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\n␠",
		out:  "χ\ns\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\n␠",
	}, { // 268
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "χ\vs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\v ",
		out:  "χ\vs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\v ",
	}, { // 269
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "χ\vs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\v␠",
		out:  "χ\vs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\v␠",
	}, { // 270
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "χ\rs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\r ",
		out:  "χ\rs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\r ",
	}, { // 271
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "χ\rs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\r␠",
		out:  "χ\rs\tb｜␑ν）␗k(π␜，A!Ｄ\uff00\x1c２\x7f|\a＼αο\x14\r␠",
	}, { // 272
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \tγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\t`",
		out:  "␠\tγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\t`",
	}, { // 273
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\t`",
		out:  "‛␠\tγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\t`",
	}, { // 274
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \nγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\n`",
		out:  "␠\nγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\n`",
	}, { // 275
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\n`",
		out:  "‛␠\nγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\n`",
	}, { // 276
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \vγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\v`",
		out:  "␠\vγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\v`",
	}, { // 277
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\v`",
		out:  "‛␠\vγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\v`",
	}, { // 278
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \rγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\r`",
		out:  "␠\rγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\r`",
	}, { // 279
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\r`",
		out:  "‛␠\rγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\r`",
	}, { // 280
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\r\tγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\t ",
		out:  "␍\tγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\t ",
	}, { // 281
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\r\tγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\t␠",
		out:  "␍\tγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\t␠",
	}, { // 282
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\r\nγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\n ",
		out:  "␍\nγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\n ",
	}, { // 283
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\r\nγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\n␠",
		out:  "␍\nγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\n␠",
	}, { // 284
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\r\vγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\v ",
		out:  "␍\vγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\v ",
	}, { // 285
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\r\vγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\v␠",
		out:  "␍\vγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\v␠",
	}, { // 286
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\r\rγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\r ",
		out:  "␍\rγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\r ",
	}, { // 287
		mask: EncodeExclamation | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\r\rγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\r␠",
		out:  "␍\rγ＞␁Ｂ＊３␌␆\v２＼\x1dκ<τｖＭc<&<BWκσρ\r␠",
	}, { // 288
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\t＜",
		out:  "␠\t＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\t＜",
	}, { // 289
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\t＜",
		out:  "‛␠\t＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\t＜",
	}, { // 290
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\n＜",
		out:  "␠\n＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\n＜",
	}, { // 291
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\n＜",
		out:  "‛␠\n＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\n＜",
	}, { // 292
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\v＜",
		out:  "␠\v＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\v＜",
	}, { // 293
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\v＜",
		out:  "‛␠\v＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\v＜",
	}, { // 294
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\r＜",
		out:  "␠\r＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\r＜",
	}, { // 295
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\r＜",
		out:  "‛␠\r＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\r＜",
	}, { // 296
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "<\t＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\t ",
		out:  "<\t＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\t ",
	}, { // 297
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "<\t＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\t␠",
		out:  "<\t＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\t␠",
	}, { // 298
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "<\n＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\n ",
		out:  "<\n＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\n ",
	}, { // 299
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "<\n＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\n␠",
		out:  "<\n＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\n␠",
	}, { // 300
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "<\v＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\v ",
		out:  "<\v＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\v ",
	}, { // 301
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "<\v＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\v␠",
		out:  "<\v＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\v␠",
	}, { // 302
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "<\r＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\r ",
		out:  "<\r＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\r ",
	}, { // 303
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "<\r＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\r␠",
		out:  "<\r＼＼\v\f！FXι␉␏＞ς\x0f\x1aε␛%ζＮ_Iγ'Ｈmγ\r␠",
	}, { // 304
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \tς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\t]",
		out:  "␠\tς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\t]",
	}, { // 305
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\t]",
		out:  "‛␠\tς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\t]",
	}, { // 306
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \nς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\n]",
		out:  "␠\nς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\n]",
	}, { // 307
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\n]",
		out:  "‛␠\nς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\n]",
	}, { // 308
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \vς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\v]",
		out:  "␠\vς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\v]",
	}, { // 309
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\v]",
		out:  "‛␠\vς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\v]",
	}, { // 310
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \rς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\r]",
		out:  "␠\rς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\r]",
	}, { // 311
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\r]",
		out:  "‛␠\rς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\r]",
	}, { // 312
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "8\tς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\t ",
		out:  "8\tς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\t ",
	}, { // 313
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "8\tς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\t␠",
		out:  "8\tς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\t␠",
	}, { // 314
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "8\nς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\n ",
		out:  "8\nς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\n ",
	}, { // 315
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "8\nς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\n␠",
		out:  "8\nς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\n␠",
	}, { // 316
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "8\vς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\v ",
		out:  "8\vς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\v ",
	}, { // 317
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "8\vς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\v␠",
		out:  "8\vς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\v␠",
	}, { // 318
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "8\rς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\r ",
		out:  "8\rς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\r ",
	}, { // 319
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "8\rς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\r␠",
		out:  "8\rς;\x10\vq＞^ξ＼␓␎␑\v％Ｉο%７'ａ[1Ｐφακ\r␠",
	}, { // 320
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \tｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\t'",
		out:  "␠\tｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\t'",
	}, { // 321
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\t'",
		out:  "‛␠\tｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\t'",
	}, { // 322
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \nｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\n'",
		out:  "␠\nｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\n'",
	}, { // 323
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\n'",
		out:  "‛␠\nｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\n'",
	}, { // 324
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \vｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\v'",
		out:  "␠\vｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\v'",
	}, { // 325
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\v'",
		out:  "‛␠\vｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\v'",
	}, { // 326
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \rｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\r'",
		out:  "␠\rｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\r'",
	}, { // 327
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\r'",
		out:  "‛␠\rｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\r'",
	}, { // 328
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\b\tｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\t ",
		out:  "\b\tｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\t ",
	}, { // 329
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\b\tｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\t␠",
		out:  "\b\tｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\t␠",
	}, { // 330
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\b\nｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\n ",
		out:  "\b\nｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\n ",
	}, { // 331
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\b\nｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\n␠",
		out:  "\b\nｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\n␠",
	}, { // 332
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\b\vｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\v ",
		out:  "\b\vｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\v ",
	}, { // 333
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\b\vｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\v␠",
		out:  "\b\vｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\v␠",
	}, { // 334
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\b\rｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\r ",
		out:  "\b\rｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\r ",
	}, { // 335
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\b\rｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ:\x0f9oο\r␠",
		out:  "\b\rｐ＋ξ.\\\x13７４@ρ%＼␅␟␛χν[Ｐ␍ψ：\x0f9oο\r␠",
	}, { // 336
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \tf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\t␐",
		out:  "␠\tf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\t␐",
	}, { // 337
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\t␐",
		out:  "‛␠\tf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\t␐",
	}, { // 338
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \nf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\n␐",
		out:  "␠\nf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\n␐",
	}, { // 339
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\n␐",
		out:  "‛␠\nf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\n␐",
	}, { // 340
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \vf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\v␐",
		out:  "␠\vf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\v␐",
	}, { // 341
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\v␐",
		out:  "‛␠\vf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\v␐",
	}, { // 342
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \rf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\r␐",
		out:  "␠\rf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\r␐",
	}, { // 343
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\r␐",
		out:  "‛␠\rf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\r␐",
	}, { // 344
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "＜\tf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\t ",
		out:  "＜\tf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\t ",
	}, { // 345
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "＜\tf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\t␠",
		out:  "＜\tf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\t␠",
	}, { // 346
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "＜\nf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\n ",
		out:  "＜\nf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\n ",
	}, { // 347
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "＜\nf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\n␠",
		out:  "＜\nf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\n␠",
	}, { // 348
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "＜\vf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\v ",
		out:  "＜\vf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\v ",
	}, { // 349
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "＜\vf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\v␠",
		out:  "＜\vf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\v␠",
	}, { // 350
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "＜\rf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\r ",
		out:  "＜\rf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\r ",
	}, { // 351
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "＜\rf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\r␠",
		out:  "＜\rf．`Ｃ！φ\fιｉ\n/υ\x1ey␆ζ％\"％%3ｋ␘\x15ιT\r␠",
	}, { // 352
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\t２",
		out:  "␠\t/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\t２",
	}, { // 353
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\t２",
		out:  "‛␠\t/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\t２",
	}, { // 354
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\n２",
		out:  "␠\n/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\n２",
	}, { // 355
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\n２",
		out:  "‛␠\n/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\n２",
	}, { // 356
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\v２",
		out:  "␠\v/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\v２",
	}, { // 357
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\v２",
		out:  "‛␠\v/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\v２",
	}, { // 358
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\r２",
		out:  "␠\r/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\r２",
	}, { // 359
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\r２",
		out:  "‛␠\r/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\r２",
	}, { // 360
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x1d\t/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\t ",
		out:  "\x1d\t/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\t ",
	}, { // 361
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x1d\t/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\t␠",
		out:  "\x1d\t/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\t␠",
	}, { // 362
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x1d\n/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\n ",
		out:  "\x1d\n/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\n ",
	}, { // 363
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x1d\n/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\n␠",
		out:  "\x1d\n/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\n␠",
	}, { // 364
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x1d\v/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\v ",
		out:  "\x1d\v/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\v ",
	}, { // 365
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x1d\v/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\v␠",
		out:  "\x1d\v/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\v␠",
	}, { // 366
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x1d\r/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\r ",
		out:  "\x1d\r/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\r ",
	}, { // 367
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x1d\r/ακ＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\r␠",
		out:  "\x1d\r/ακ‛＊[！3＄␘δ\x0e␝\r␍b\x154␏\v␘y：Ｔβγε\r␠",
	}, { // 368
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \tｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\t＇",
		out:  "␠\tｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\t＇",
	}, { // 369
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\t＇",
		out:  "‛␠\tｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\t＇",
	}, { // 370
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \nｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\n＇",
		out:  "␠\nｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\n＇",
	}, { // 371
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\n＇",
		out:  "‛␠\nｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\n＇",
	}, { // 372
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \vｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\v＇",
		out:  "␠\vｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\v＇",
	}, { // 373
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\v＇",
		out:  "‛␠\vｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\v＇",
	}, { // 374
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \rｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\r＇",
		out:  "␠\rｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\r＇",
	}, { // 375
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\r＇",
		out:  "‛␠\rｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\r＇",
	}, { // 376
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␅\tｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\t ",
		out:  "␅\tｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\t ",
	}, { // 377
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␅\tｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\t␠",
		out:  "␅\tｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\t␠",
	}, { // 378
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␅\nｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\n ",
		out:  "␅\nｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\n ",
	}, { // 379
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␅\nｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\n␠",
		out:  "␅\nｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\n␠",
	}, { // 380
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␅\vｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\v ",
		out:  "␅\vｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\v ",
	}, { // 381
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␅\vｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\v␠",
		out:  "␅\vｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\v␠",
	}, { // 382
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␅\rｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\r ",
		out:  "␅\rｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\r ",
	}, { // 383
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␅\rｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\r␠",
		out:  "␅\rｍＣ␍μx＾\x13dοτ／Ｋξ\x14８/\x16\x1ab ～：Zν｀>\r␠",
	}, { // 384
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\tｊ",
		out:  "␠\t␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\tｊ",
	}, { // 385
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\tｊ",
		out:  "‛␠\t␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\tｊ",
	}, { // 386
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\nｊ",
		out:  "␠\n␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\nｊ",
	}, { // 387
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\nｊ",
		out:  "‛␠\n␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\nｊ",
	}, { // 388
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\vｊ",
		out:  "␠\v␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\vｊ",
	}, { // 389
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\vｊ",
		out:  "‛␠\v␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\vｊ",
	}, { // 390
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\rｊ",
		out:  "␠\r␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\rｊ",
	}, { // 391
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\rｊ",
		out:  "‛␠\r␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\rｊ",
	}, { // 392
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␒\t␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\t ",
		out:  "␒\t␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\t ",
	}, { // 393
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␒\t␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\t␠",
		out:  "␒\t␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\t␠",
	}, { // 394
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␒\n␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\n ",
		out:  "␒\n␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\n ",
	}, { // 395
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␒\n␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\n␠",
		out:  "␒\n␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\n␠",
	}, { // 396
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␒\v␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\v ",
		out:  "␒\v␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\v ",
	}, { // 397
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␒\v␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\v␠",
		out:  "␒\v␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\v␠",
	}, { // 398
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␒\r␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\r ",
		out:  "␒\r␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\r ",
	}, { // 399
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␒\r␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\r␠",
		out:  "␒\r␊\t｝υ\r８>Z␒δ=\x14％＜｀：\x13ι`ＮFφq\x1aGδ\r␠",
	}, { // 400
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\t␞",
		out:  "␠\t\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\t␞",
	}, { // 401
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\t␞",
		out:  "‛␠\t\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\t␞",
	}, { // 402
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\n␞",
		out:  "␠\n\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\n␞",
	}, { // 403
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\n␞",
		out:  "‛␠\n\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\n␞",
	}, { // 404
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\v␞",
		out:  "␠\v\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\v␞",
	}, { // 405
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\v␞",
		out:  "‛␠\v\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\v␞",
	}, { // 406
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\r␞",
		out:  "␠\r\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\r␞",
	}, { // 407
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\r␞",
		out:  "‛␠\r\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\r␞",
	}, { // 408
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\t\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\t ",
		out:  "β\t\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\t ",
	}, { // 409
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\t\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\t␠",
		out:  "β\t\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\t␠",
	}, { // 410
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\n\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\n ",
		out:  "β\n\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\n ",
	}, { // 411
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\n\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\n␠",
		out:  "β\n\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\n␠",
	}, { // 412
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\v\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\v ",
		out:  "β\v\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\v ",
	}, { // 413
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\v\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\v␠",
		out:  "β\v\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\v␠",
	}, { // 414
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\r\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\r ",
		out:  "β\r\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\r ",
	}, { // 415
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\r\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\r␠",
		out:  "β\r\x12ZＨ\x1aς>３．τ｀␕8γｄγ\\_9Ｋ\x1c'Z␘␕β'\r␠",
	}, { // 416
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\t\n",
		out:  "␠\t\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\t\n",
	}, { // 417
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\t\n",
		out:  "‛␠\t\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\t\n",
	}, { // 418
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\n\n",
		out:  "␠\n\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\n\n",
	}, { // 419
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\n\n",
		out:  "‛␠\n\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\n\n",
	}, { // 420
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\v\n",
		out:  "␠\v\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\v\n",
	}, { // 421
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\v\n",
		out:  "‛␠\v\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\v\n",
	}, { // 422
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\r\n",
		out:  "␠\r\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\r\n",
	}, { // 423
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\r\n",
		out:  "‛␠\r\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\r\n",
	}, { // 424
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ς\t\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\t ",
		out:  "ς\t\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\t ",
	}, { // 425
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ς\t\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\t␠",
		out:  "ς\t\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\t␠",
	}, { // 426
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ς\n\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\n ",
		out:  "ς\n\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\n ",
	}, { // 427
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ς\n\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\n␠",
		out:  "ς\n\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\n␠",
	}, { // 428
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ς\v\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\v ",
		out:  "ς\v\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\v ",
	}, { // 429
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ς\v\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\v␠",
		out:  "ς\v\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\v␠",
	}, { // 430
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ς\r\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\r ",
		out:  "ς\r\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\r ",
	}, { // 431
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ς\r\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄＼␞\x16<␓\r␠",
		out:  "ς\r\x17\x06?＂η~θ\x1d.｜D␕ｍζ１π？␡Ｏω␄‛＼␞\x16<␓\r␠",
	}, { // 432
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\t：",
		out:  "␠\t␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\t：",
	}, { // 433
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\t：",
		out:  "‛␠\t␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\t：",
	}, { // 434
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\n：",
		out:  "␠\n␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\n：",
	}, { // 435
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\n：",
		out:  "‛␠\n␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\n：",
	}, { // 436
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\v：",
		out:  "␠\v␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\v：",
	}, { // 437
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\v：",
		out:  "‛␠\v␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\v：",
	}, { // 438
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\r：",
		out:  "␠\r␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\r：",
	}, { // 439
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\r：",
		out:  "‛␠\r␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\r：",
	}, { // 440
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\t␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\t ",
		out:  "‛␊\t␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\t ",
	}, { // 441
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\t␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\t␠",
		out:  "‛␊\t␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\t␠",
	}, { // 442
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\n␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\n ",
		out:  "‛␊\n␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\n ",
	}, { // 443
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\n␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\n␠",
		out:  "‛␊\n␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\n␠",
	}, { // 444
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\v␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\v ",
		out:  "‛␊\v␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\v ",
	}, { // 445
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\v␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\v␠",
		out:  "‛␊\v␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\v␠",
	}, { // 446
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\r␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\r ",
		out:  "‛␊\r␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\r ",
	}, { // 447
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\r␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\r␠",
		out:  "‛␊\r␟］6λ{j；＋/␆<\nξ/(␈σＩｒ/；δ－#Fχ\r␠",
	}, { // 448
		mask: EncodeZero | EncodeLeftSpace | EncodeRightSpace,
		in:   "  ｉTζ␌\a８\vＥ;ｔς␕］vhα␆/\x10[eφ＞κｎ[ ␙",
		out:  "␠ ｉTζ␌\a８\vＥ;ｔς␕］vhα␆/\x10[eφ＞κｎ[ ␙",
	}, { // 449
		mask: EncodeZero | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ ｉTζ␌\a８\vＥ;ｔς␕］vhα␆/\x10[eφ＞κｎ[ ␙",
		out:  "‛␠ ｉTζ␌\a８\vＥ;ｔς␕］vhα␆/\x10[eφ＞κｎ[ ␙",
	}, { // 450
		mask: EncodeZero | EncodeLeftSpace | EncodeRightSpace,
		in:   "ο ｉTζ␌\a８\vＥ;ｔς␕］vhα␆/\x10[eφ＞κｎ[  ",
		out:  "ο ｉTζ␌\a８\vＥ;ｔς␕］vhα␆/\x10[eφ＞κｎ[ ␠",
	}, { // 451
		mask: EncodeZero | EncodeLeftSpace | EncodeRightSpace,
		in:   "ο ｉTζ␌\a８\vＥ;ｔς␕］vhα␆/\x10[eφ＞κｎ[ ␠",
		out:  "ο ｉTζ␌\a８\vＥ;ｔς␕］vhα␆/\x10[eφ＞κｎ[ ‛␠",
	}, { // 452
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "  α␕@Zτｅ\"λt\x0e\x02ς␊␜ε␜5␍{\x14Ｆmσ\x14␙Ｌ １",
		out:  "␠ α␕@Zτｅ\"λt\x0e\x02ς␊␜ε␜5␍{\x14Ｆmσ\x14␙Ｌ １",
	}, { // 453
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ α␕@Zτｅ\"λt\x0e\x02ς␊␜ε␜5␍{\x14Ｆmσ\x14␙Ｌ １",
		out:  "‛␠ α␕@Zτｅ\"λt\x0e\x02ς␊␜ε␜5␍{\x14Ｆmσ\x14␙Ｌ １",
	}, { // 454
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "\v α␕@Zτｅ\"λt\x0e\x02ς␊␜ε␜5␍{\x14Ｆmσ\x14␙Ｌ  ",
		out:  "\v α␕@Zτｅ\"λt\x0e\x02ς␊␜ε␜5␍{\x14Ｆmσ\x14␙Ｌ ␠",
	}, { // 455
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "\v α␕@Zτｅ\"λt\x0e\x02ς␊␜ε␜5␍{\x14Ｆmσ\x14␙Ｌ ␠",
		out:  "\v α␕@Zτｅ\"λt\x0e\x02ς␊␜ε␜5␍{\x14Ｆmσ\x14␙Ｌ ‛␠",
	}, { // 456
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "  ␈ｖ＂␐ψ\x18Qβｆq\\U␘|a!６ζ>φ␝Ｆｗ␌σx /",
		out:  "␠ ␈ｖ＂␐ψ\x18Qβｆq\\U␘|a!６ζ>φ␝Ｆｗ␌σx /",
	}, { // 457
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ ␈ｖ＂␐ψ\x18Qβｆq\\U␘|a!６ζ>φ␝Ｆｗ␌σx /",
		out:  "‛␠ ␈ｖ＂␐ψ\x18Qβｆq\\U␘|a!６ζ>φ␝Ｆｗ␌σx /",
	}, { // 458
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "\x04 ␈ｖ＂␐ψ\x18Qβｆq\\U␘|a!６ζ>φ␝Ｆｗ␌σx  ",
		out:  "\x04 ␈ｖ＂␐ψ\x18Qβｆq\\U␘|a!６ζ>φ␝Ｆｗ␌σx ␠",
	}, { // 459
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "\x04 ␈ｖ＂␐ψ\x18Qβｆq\\U␘|a!６ζ>φ␝Ｆｗ␌σx ␠",
		out:  "\x04 ␈ｖ＂␐ψ\x18Qβｆq\\U␘|a!６ζ>φ␝Ｆｗ␌σx ‛␠",
	}, { // 460
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "  #κ~␂␄␗a=γ＄α７χ\uff00Ｔ３I\x1cC'\x11Ｊ,／β\x04 '",
		out:  "␠ #κ~␂␄␗a=γ＄α７χ\uff00Ｔ３I\x1cC'\x11Ｊ,／β\x04 '",
	}, { // 461
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ #κ~␂␄␗a=γ＄α７χ\uff00Ｔ３I\x1cC'\x11Ｊ,／β\x04 '",
		out:  "‛␠ #κ~␂␄␗a=γ＄α７χ\uff00Ｔ３I\x1cC'\x11Ｊ,／β\x04 '",
	}, { // 462
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "α #κ~␂␄␗a=γ＄α７χ\uff00Ｔ３I\x1cC'\x11Ｊ,／β\x04  ",
		out:  "α #κ~␂␄␗a=γ＄α７χ\uff00Ｔ３I\x1cC'\x11Ｊ,／β\x04 ␠",
	}, { // 463
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "α #κ~␂␄␗a=γ＄α７χ\uff00Ｔ３I\x1cC'\x11Ｊ,／β\x04 ␠",
		out:  "α #κ~␂␄␗a=γ＄α７χ\uff00Ｔ３I\x1cC'\x11Ｊ,／β\x04 ‛␠",
	}, { // 464
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightSpace,
		in:   "  \x19\x0f␃ｎｗ\x00＼ε（η\n5`2\x10：␅＿XVη␙␁βτδ Ｐ",
		out:  "␠ \x19\x0f␃ｎｗ␀＼ε（η\n5`2\x10：␅＿XVη␙␁βτδ Ｐ",
	}, { // 465
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ \x19\x0f␃ｎｗ\x00＼ε（η\n5`2\x10：␅＿XVη␙␁βτδ Ｐ",
		out:  "‛␠ \x19\x0f␃ｎｗ␀＼ε（η\n5`2\x10：␅＿XVη␙␁βτδ Ｐ",
	}, { // 466
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightSpace,
		in:   "␉ \x19\x0f␃ｎｗ\x00＼ε（η\n5`2\x10：␅＿XVη␙␁βτδ  ",
		out:  "␉ \x19\x0f␃ｎｗ␀＼ε（η\n5`2\x10：␅＿XVη␙␁βτδ ␠",
	}, { // 467
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightSpace,
		in:   "␉ \x19\x0f␃ｎｗ\x00＼ε（η\n5`2\x10：␅＿XVη␙␁βτδ ␠",
		out:  "␉ \x19\x0f␃ｎｗ␀＼ε（η\n5`2\x10：␅＿XVη␙␁βτδ ‛␠",
	}, { // 468
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightSpace,
		in:   "  ｍκε6␇？s\x14ς7ψ%ζ@#[２＃\vｏ｀％A\"ω7 ␉",
		out:  "␠ ｍκε6␇？s\x14ς7ψ%ζ@#［２＃\vｏ｀％A\"ω7 ␉",
	}, { // 469
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ ｍκε6␇？s\x14ς7ψ%ζ@#[２＃\vｏ｀％A\"ω7 ␉",
		out:  "‛␠ ｍκε6␇？s\x14ς7ψ%ζ@#［２＃\vｏ｀％A\"ω7 ␉",
	}, { // 470
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightSpace,
		in:   "␆ ｍκε6␇？s\x14ς7ψ%ζ@#[２＃\vｏ｀％A\"ω7  ",
		out:  "␆ ｍκε6␇？s\x14ς7ψ%ζ@#［２＃\vｏ｀％A\"ω7 ␠",
	}, { // 471
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightSpace,
		in:   "␆ ｍκε6␇？s\x14ς7ψ%ζ@#[２＃\vｏ｀％A\"ω7 ␠",
		out:  "␆ ｍκε6␇？s\x14ς7ψ%ζ@#［２＃\vｏ｀％A\"ω7 ‛␠",
	}, { // 472
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightSpace,
		in:   "  ＂2Y４α;πγ w｛ｇＫｙπ[\"［χβ␝\b␕\t\\␓ \n",
		out:  "␠ ＂2Y４α；πγ w｛ｇＫｙπ[\"［χβ␝\b␕\t\\␓ \n",
	}, { // 473
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ ＂2Y４α;πγ w｛ｇＫｙπ[\"［χβ␝\b␕\t\\␓ \n",
		out:  "‛␠ ＂2Y４α；πγ w｛ｇＫｙπ[\"［χβ␝\b␕\t\\␓ \n",
	}, { // 474
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightSpace,
		in:   "␘ ＂2Y４α;πγ w｛ｇＫｙπ[\"［χβ␝\b␕\t\\␓  ",
		out:  "␘ ＂2Y４α；πγ w｛ｇＫｙπ[\"［χβ␝\b␕\t\\␓ ␠",
	}, { // 475
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightSpace,
		in:   "␘ ＂2Y４α;πγ w｛ｇＫｙπ[\"［χβ␝\b␕\t\\␓ ␠",
		out:  "␘ ＂2Y４α；πγ w｛ｇＫｙπ[\"［χβ␝\b␕\t\\␓ ‛␠",
	}, { // 476
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightSpace,
		in:   "  \x05␜θ｜␞k'`␖ＷλＦ\r\rτta_η［／θω＂\x01ｈ s",
		out:  "␠ \x05␜θ｜␞k'`␖ＷλＦ\r\rτta_η［／θω＂\x01ｈ s",
	}, { // 477
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ \x05␜θ｜␞k'`␖ＷλＦ\r\rτta_η［／θω＂\x01ｈ s",
		out:  "‛␠ \x05␜θ｜␞k'`␖ＷλＦ\r\rτta_η［／θω＂\x01ｈ s",
	}, { // 478
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightSpace,
		in:   "\x06 \x05␜θ｜␞k'`␖ＷλＦ\r\rτta_η［／θω＂\x01ｈ  ",
		out:  "\x06 \x05␜θ｜␞k'`␖ＷλＦ\r\rτta_η［／θω＂\x01ｈ ␠",
	}, { // 479
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightSpace,
		in:   "\x06 \x05␜θ｜␞k'`␖ＷλＦ\r\rτta_η［／θω＂\x01ｈ ␠",
		out:  "\x06 \x05␜θ｜␞k'`␖ＷλＦ\r\rτta_η［／θω＂\x01ｈ ‛␠",
	}, { // 480
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightSpace,
		in:   "  ␁～＊␁］-8C＿２␕ω␑q'=?\x02␍νεｓ/｝\r> γ",
		out:  "␠ ␁～＊␁］-8C＿２␕ω␑q'=?\x02␍νεｓ/｝\r> γ",
	}, { // 481
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ ␁～＊␁］-8C＿２␕ω␑q'=?\x02␍νεｓ/｝\r> γ",
		out:  "‛␠ ␁～＊␁］-8C＿２␕ω␑q'=?\x02␍νεｓ/｝\r> γ",
	}, { // 482
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightSpace,
		in:   "η ␁～＊␁］-8C＿２␕ω␑q'=?\x02␍νεｓ/｝\r>  ",
		out:  "η ␁～＊␁］-8C＿２␕ω␑q'=?\x02␍νεｓ/｝\r> ␠",
	}, { // 483
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightSpace,
		in:   "η ␁～＊␁］-8C＿２␕ω␑q'=?\x02␍νεｓ/｝\r> ␠",
		out:  "η ␁～＊␁］-8C＿２␕ω␑q'=?\x02␍νεｓ/｝\r> ‛␠",
	}, { // 484
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "  ３\x02＄ｙλ[fＹY\x0e？πς␆［7Ｋ\r\x10␀ξκ␕I／e n",
		out:  "␠ ３\x02＄ｙλ[fＹY\x0e？πς␆［7Ｋ\r\x10‛␀ξκ␕I／e n",
	}, { // 485
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ ３\x02＄ｙλ[fＹY\x0e？πς␆［7Ｋ\r\x10␀ξκ␕I／e n",
		out:  "‛␠ ３\x02＄ｙλ[fＹY\x0e？πς␆［7Ｋ\r\x10‛␀ξκ␕I／e n",
	}, { // 486
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "␂ ３\x02＄ｙλ[fＹY\x0e？πς␆［7Ｋ\r\x10␀ξκ␕I／e  ",
		out:  "␂ ３\x02＄ｙλ[fＹY\x0e？πς␆［7Ｋ\r\x10‛␀ξκ␕I／e ␠",
	}, { // 487
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "␂ ３\x02＄ｙλ[fＹY\x0e？πς␆［7Ｋ\r\x10␀ξκ␕I／e ␠",
		out:  "␂ ３\x02＄ｙλ[fＹY\x0e？πς␆［7Ｋ\r\x10‛␀ξκ␕I／e ‛␠",
	}, { // 488
		mask: EncodeColon | EncodeLeftSpace | EncodeRightSpace,
		in:   "  ␚ａ＼εsK&＃ｇＭω？T！\x06ς%＇\x1e␅!ｏφ|\nυ \b",
		out:  "␠ ␚ａ＼εsK&＃ｇＭω？T！\x06ς%＇\x1e␅!ｏφ|\nυ \b",
	}, { // 489
		mask: EncodeColon | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ ␚ａ＼εsK&＃ｇＭω？T！\x06ς%＇\x1e␅!ｏφ|\nυ \b",
		out:  "‛␠ ␚ａ＼εsK&＃ｇＭω？T！\x06ς%＇\x1e␅!ｏφ|\nυ \b",
	}, { // 490
		mask: EncodeColon | EncodeLeftSpace | EncodeRightSpace,
		in:   "ｆ ␚ａ＼εsK&＃ｇＭω？T！\x06ς%＇\x1e␅!ｏφ|\nυ  ",
		out:  "ｆ ␚ａ＼εsK&＃ｇＭω？T！\x06ς%＇\x1e␅!ｏφ|\nυ ␠",
	}, { // 491
		mask: EncodeColon | EncodeLeftSpace | EncodeRightSpace,
		in:   "ｆ ␚ａ＼εsK&＃ｇＭω？T！\x06ς%＇\x1e␅!ｏφ|\nυ ␠",
		out:  "ｆ ␚ａ＼εsK&＃ｇＭω？T！\x06ς%＇\x1e␅!ｏφ|\nυ ‛␠",
	}, { // 492
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightSpace,
		in:   "  \x19+ｇ%\x16*ZM３␝，␍\n␞δ~f\x19［δκＶ｜ｙγＴ χ",
		out:  "␠ \x19+ｇ%\x16*ZM３␝，␍\n␞δ~f\x19［δκＶ｜ｙγＴ χ",
	}, { // 493
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ \x19+ｇ%\x16*ZM３␝，␍\n␞δ~f\x19［δκＶ｜ｙγＴ χ",
		out:  "‛␠ \x19+ｇ%\x16*ZM３␝，␍\n␞δ~f\x19［δκＶ｜ｙγＴ χ",
	}, { // 494
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightSpace,
		in:   "δ \x19+ｇ%\x16*ZM３␝，␍\n␞δ~f\x19［δκＶ｜ｙγＴ  ",
		out:  "δ \x19+ｇ%\x16*ZM３␝，␍\n␞δ~f\x19［δκＶ｜ｙγＴ ␠",
	}, { // 495
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightSpace,
		in:   "δ \x19+ｇ%\x16*ZM３␝，␍\n␞δ~f\x19［δκＶ｜ｙγＴ ␠",
		out:  "δ \x19+ｇ%\x16*ZM３␝，␍\n␞δ~f\x19［δκＶ｜ｙγＴ ‛␠",
	}, { // 496
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightSpace,
		in:   "  α；!\x1eφ\f＂２␌\x12/εｕ＇x９］aζ␔σ<␔ｖ｀u $",
		out:  "␠ α；!\x1eφ\f＂２␌\x12/εｕ＇x９］aζ␔σ<␔ｖ｀u $",
	}, { // 497
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ α；!\x1eφ\f＂２␌\x12/εｕ＇x９］aζ␔σ<␔ｖ｀u $",
		out:  "‛␠ α；!\x1eφ\f＂２␌\x12/εｕ＇x９］aζ␔σ<␔ｖ｀u $",
	}, { // 498
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightSpace,
		in:   "y α；!\x1eφ\f＂２␌\x12/εｕ＇x９］aζ␔σ<␔ｖ｀u  ",
		out:  "y α；!\x1eφ\f＂２␌\x12/εｕ＇x９］aζ␔σ<␔ｖ｀u ␠",
	}, { // 499
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightSpace,
		in:   "y α；!\x1eφ\f＂２␌\x12/εｕ＇x９］aζ␔σ<␔ｖ｀u ␠",
		out:  "y α；!\x1eφ\f＂２␌\x12/εｕ＇x９］aζ␔σ<␔ｖ｀u ‛␠",
	}, { // 500
		mask: EncodePipe | EncodeLeftSpace | EncodeRightSpace,
		in:   "  ␉;χ}ｗOσ＇KJＳ＜＊\"F\x15\x18\x14ηθ␑␕：ρ４O \\",
		out:  "␠ ␉;χ}ｗOσ＇KJＳ＜＊\"F\x15\x18\x14ηθ␑␕：ρ４O \\",
	}, { // 501
		mask: EncodePipe | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ ␉;χ}ｗOσ＇KJＳ＜＊\"F\x15\x18\x14ηθ␑␕：ρ４O \\",
		out:  "‛␠ ␉;χ}ｗOσ＇KJＳ＜＊\"F\x15\x18\x14ηθ␑␕：ρ４O \\",
	}, { // 502
		mask: EncodePipe | EncodeLeftSpace | EncodeRightSpace,
		in:   "ｉ ␉;χ}ｗOσ＇KJＳ＜＊\"F\x15\x18\x14ηθ␑␕：ρ４O  ",
		out:  "ｉ ␉;χ}ｗOσ＇KJＳ＜＊\"F\x15\x18\x14ηθ␑␕：ρ４O ␠",
	}, { // 503
		mask: EncodePipe | EncodeLeftSpace | EncodeRightSpace,
		in:   "ｉ ␉;χ}ｗOσ＇KJＳ＜＊\"F\x15\x18\x14ηθ␑␕：ρ４O ␠",
		out:  "ｉ ␉;χ}ｗOσ＇KJＳ＜＊\"F\x15\x18\x14ηθ␑␕：ρ４O ‛␠",
	}, { // 504
		mask: EncodeHash | EncodeLeftSpace | EncodeRightSpace,
		in:   "  ｆ＿␟κυ｜/z3Ｕπ:␕␎\x10／｀\x03rψ?%uｆ\nＨ ␇",
		out:  "␠ ｆ＿␟κυ｜/z3Ｕπ:␕␎\x10／｀\x03rψ?%uｆ\nＨ ␇",
	}, { // 505
		mask: EncodeHash | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ ｆ＿␟κυ｜/z3Ｕπ:␕␎\x10／｀\x03rψ?%uｆ\nＨ ␇",
		out:  "‛␠ ｆ＿␟κυ｜/z3Ｕπ:␕␎\x10／｀\x03rψ?%uｆ\nＨ ␇",
	}, { // 506
		mask: EncodeHash | EncodeLeftSpace | EncodeRightSpace,
		in:   "ς ｆ＿␟κυ｜/z3Ｕπ:␕␎\x10／｀\x03rψ?%uｆ\nＨ  ",
		out:  "ς ｆ＿␟κυ｜/z3Ｕπ:␕␎\x10／｀\x03rψ?%uｆ\nＨ ␠",
	}, { // 507
		mask: EncodeHash | EncodeLeftSpace | EncodeRightSpace,
		in:   "ς ｆ＿␟κυ｜/z3Ｕπ:␕␎\x10／｀\x03rψ?%uｆ\nＨ ␠",
		out:  "ς ｆ＿␟κυ｜/z3Ｕπ:␕␎\x10／｀\x03rψ?%uｆ\nＨ ‛␠",
	}, { // 508
		mask: EncodePercent | EncodeLeftSpace | EncodeRightSpace,
		in:   "  π\x04ρ\x02\x10ｏ\x0e？ｊ`cφ␒Ｋς␂％βZN'ι␔＂\x10ｖ ！",
		out:  "␠ π\x04ρ\x02\x10ｏ\x0e？ｊ`cφ␒Ｋς␂‛％βZN'ι␔＂\x10ｖ ！",
	}, { // 509
		mask: EncodePercent | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ π\x04ρ\x02\x10ｏ\x0e？ｊ`cφ␒Ｋς␂％βZN'ι␔＂\x10ｖ ！",
		out:  "‛␠ π\x04ρ\x02\x10ｏ\x0e？ｊ`cφ␒Ｋς␂‛％βZN'ι␔＂\x10ｖ ！",
	}, { // 510
		mask: EncodePercent | EncodeLeftSpace | EncodeRightSpace,
		in:   "_ π\x04ρ\x02\x10ｏ\x0e？ｊ`cφ␒Ｋς␂％βZN'ι␔＂\x10ｖ  ",
		out:  "_ π\x04ρ\x02\x10ｏ\x0e？ｊ`cφ␒Ｋς␂‛％βZN'ι␔＂\x10ｖ ␠",
	}, { // 511
		mask: EncodePercent | EncodeLeftSpace | EncodeRightSpace,
		in:   "_ π\x04ρ\x02\x10ｏ\x0e？ｊ`cφ␒Ｋς␂％βZN'ι␔＂\x10ｖ ␠",
		out:  "_ π\x04ρ\x02\x10ｏ\x0e？ｊ`cφ␒Ｋς␂‛％βZN'ι␔＂\x10ｖ ‛␠",
	}, { // 512
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "  ν0\x10ｕ:β＂ε？５␞～\nw＝␏\"％α|Q＂'φ␈\x06 Ｒ",
		out:  "␠ ν0\x10ｕ:β＂ε？５␞～\nw＝␏\"％α|Q＂'φ␈\x06 Ｒ",
	}, { // 513
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ ν0\x10ｕ:β＂ε？５␞～\nw＝␏\"％α|Q＂'φ␈\x06 Ｒ",
		out:  "‛␠ ν0\x10ｕ:β＂ε？５␞～\nw＝␏\"％α|Q＂'φ␈\x06 Ｒ",
	}, { // 514
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "η ν0\x10ｕ:β＂ε？５␞～\nw＝␏\"％α|Q＂'φ␈\x06  ",
		out:  "η ν0\x10ｕ:β＂ε？５␞～\nw＝␏\"％α|Q＂'φ␈\x06 ␠",
	}, { // 515
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "η ν0\x10ｕ:β＂ε？５␞～\nw＝␏\"％α|Q＂'φ␈\x06 ␠",
		out:  "η ν0\x10ｕ:β＂ε？５␞～\nw＝␏\"％α|Q＂'φ␈\x06 ‛␠",
	}, { // 516
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightSpace,
		in:   "  φιH\x17＃ι\x18\x19ς␎λA\\Ｉ\x11/Ｉ\bＥG＊?６-␕ｂ ␅",
		out:  "␠ φιH\x17＃ι\x18\x19ς␎λA\\Ｉ\x11/Ｉ\bＥG＊?６-␕ｂ ␅",
	}, { // 517
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ φιH\x17＃ι\x18\x19ς␎λA\\Ｉ\x11/Ｉ\bＥG＊?６-␕ｂ ␅",
		out:  "‛␠ φιH\x17＃ι\x18\x19ς␎λA\\Ｉ\x11/Ｉ\bＥG＊?６-␕ｂ ␅",
	}, { // 518
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightSpace,
		in:   "␗ φιH\x17＃ι\x18\x19ς␎λA\\Ｉ\x11/Ｉ\bＥG＊?６-␕ｂ  ",
		out:  "␗ φιH\x17＃ι\x18\x19ς␎λA\\Ｉ\x11/Ｉ\bＥG＊?６-␕ｂ ␠",
	}, { // 519
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightSpace,
		in:   "␗ φιH\x17＃ι\x18\x19ς␎λA\\Ｉ\x11/Ｉ\bＥG＊?６-␕ｂ ␠",
		out:  "␗ φιH\x17＃ι\x18\x19ς␎λA\\Ｉ\x11/Ｉ\bＥG＊?６-␕ｂ ‛␠",
	}, { // 520
		mask: EncodeDel | EncodeLeftSpace | EncodeRightSpace,
		in:   "  ｙ％␇␂<%Ｎ／％Ｉｘ＼/ξτ\x03O;\x0f\x1aιu␟1ω% δ",
		out:  "␠ ｙ％␇␂<%Ｎ／％Ｉｘ＼/ξτ\x03O;\x0f\x1aιu␟1ω% δ",
	}, { // 521
		mask: EncodeDel | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ ｙ％␇␂<%Ｎ／％Ｉｘ＼/ξτ\x03O;\x0f\x1aιu␟1ω% δ",
		out:  "‛␠ ｙ％␇␂<%Ｎ／％Ｉｘ＼/ξτ\x03O;\x0f\x1aιu␟1ω% δ",
	}, { // 522
		mask: EncodeDel | EncodeLeftSpace | EncodeRightSpace,
		in:   "\x17 ｙ％␇␂<%Ｎ／％Ｉｘ＼/ξτ\x03O;\x0f\x1aιu␟1ω%  ",
		out:  "\x17 ｙ％␇␂<%Ｎ／％Ｉｘ＼/ξτ\x03O;\x0f\x1aιu␟1ω% ␠",
	}, { // 523
		mask: EncodeDel | EncodeLeftSpace | EncodeRightSpace,
		in:   "\x17 ｙ％␇␂<%Ｎ／％Ｉｘ＼/ξτ\x03O;\x0f\x1aιu␟1ω% ␠",
		out:  "\x17 ｙ％␇␂<%Ｎ／％Ｉｘ＼/ξτ\x03O;\x0f\x1aιu␟1ω% ‛␠",
	}, { // 524
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightSpace,
		in:   "  \x03\rς－eφLMb␄␅␈Ｊ｀＠φο4\x15\x12␖ｕ／\x10;␟ ／",
		out:  "␠ ␃␍ς－eφLMb‛␄‛␅‛␈Ｊ｀＠φο4␕␒‛␖ｕ／␐;‛␟ ／",
	}, { // 525
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ \x03\rς－eφLMb␄␅␈Ｊ｀＠φο4\x15\x12␖ｕ／\x10;␟ ／",
		out:  "‛␠ ␃␍ς－eφLMb‛␄‛␅‛␈Ｊ｀＠φο4␕␒‛␖ｕ／␐;‛␟ ／",
	}, { // 526
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightSpace,
		in:   "τ \x03\rς－eφLMb␄␅␈Ｊ｀＠φο4\x15\x12␖ｕ／\x10;␟  ",
		out:  "τ ␃␍ς－eφLMb‛␄‛␅‛␈Ｊ｀＠φο4␕␒‛␖ｕ／␐;‛␟ ␠",
	}, { // 527
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightSpace,
		in:   "τ \x03\rς－eφLMb␄␅␈Ｊ｀＠φο4\x15\x12␖ｕ／\x10;␟ ␠",
		out:  "τ ␃␍ς－eφLMb‛␄‛␅‛␈Ｊ｀＠φο4␕␒‛␖ｕ／␐;‛␟ ‛␠",
	}, { // 528
		mask: EncodeZero | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .χ␕␜'}7Ｊ␞γωYB>｀κ＋\b＊σ\x01\x1e０\r＇;／.D",
		out:  "␠.χ␕␜'}7Ｊ␞γωYB>｀κ＋\b＊σ\x01\x1e０\r＇;／.D",
	}, { // 529
		mask: EncodeZero | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.χ␕␜'}7Ｊ␞γωYB>｀κ＋\b＊σ\x01\x1e０\r＇;／.D",
		out:  "‛␠.χ␕␜'}7Ｊ␞γωYB>｀κ＋\b＊σ\x01\x1e０\r＇;／.D",
	}, { // 530
		mask: EncodeZero | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␃.χ␕␜'}7Ｊ␞γωYB>｀κ＋\b＊σ\x01\x1e０\r＇;／. ",
		out:  "␃.χ␕␜'}7Ｊ␞γωYB>｀κ＋\b＊σ\x01\x1e０\r＇;／. ",
	}, { // 531
		mask: EncodeZero | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␃.χ␕␜'}7Ｊ␞γωYB>｀κ＋\b＊σ\x01\x1e０\r＇;／.␠",
		out:  "␃.χ␕␜'}7Ｊ␞γωYB>｀κ＋\b＊σ\x01\x1e０\r＇;／.␠",
	}, { // 532
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   " ._␇\f\x14(\x17π\vψｖＨｌυ／δＵ?bcb７␋％ω?`.␋",
		out:  "␠._␇\f\x14(\x17π\vψｖＨｌυ‛／δＵ?bcb７␋％ω?`.␋",
	}, { // 533
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠._␇\f\x14(\x17π\vψｖＨｌυ／δＵ?bcb７␋％ω?`.␋",
		out:  "‛␠._␇\f\x14(\x17π\vψｖＨｌυ‛／δＵ?bcb７␋％ω?`.␋",
	}, { // 534
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␛._␇\f\x14(\x17π\vψｖＨｌυ／δＵ?bcb７␋％ω?`. ",
		out:  "␛._␇\f\x14(\x17π\vψｖＨｌυ‛／δＵ?bcb７␋％ω?`. ",
	}, { // 535
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␛._␇\f\x14(\x17π\vψｖＨｌυ／δＵ?bcb７␋％ω?`.␠",
		out:  "␛._␇\f\x14(\x17π\vψｖＨｌυ‛／δＵ?bcb７␋％ω?`.␠",
	}, { // 536
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .＼\x13＆γＦε\x10ｗ␟χ\b␍γξ／^{D3␛9ψ＼ｂA\x1e.\x03",
		out:  "␠.＼\x13＆γＦε\x10ｗ␟χ\b␍γξ／^{D3␛9ψ＼ｂA\x1e.\x03",
	}, { // 537
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.＼\x13＆γＦε\x10ｗ␟χ\b␍γξ／^{D3␛9ψ＼ｂA\x1e.\x03",
		out:  "‛␠.＼\x13＆γＦε\x10ｗ␟χ\b␍γξ／^{D3␛9ψ＼ｂA\x1e.\x03",
	}, { // 538
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "＊.＼\x13＆γＦε\x10ｗ␟χ\b␍γξ／^{D3␛9ψ＼ｂA\x1e. ",
		out:  "＊.＼\x13＆γＦε\x10ｗ␟χ\b␍γξ／^{D3␛9ψ＼ｂA\x1e. ",
	}, { // 539
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "＊.＼\x13＆γＦε\x10ｗ␟χ\b␍γξ／^{D3␛9ψ＼ｂA\x1e.␠",
		out:  "＊.＼\x13＆γＦε\x10ｗ␟χ\b␍γξ／^{D3␛9ψ＼ｂA\x1e.␠",
	}, { // 540
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .μ␈i＠］\x13␓－␊\t／8ｋφς９3κｓ\x17J1\x16υ\n␕.＾",
		out:  "␠.μ␈i＠］\x13␓－␊\t／8ｋφς９3κｓ\x17J1\x16υ\n␕.＾",
	}, { // 541
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.μ␈i＠］\x13␓－␊\t／8ｋφς９3κｓ\x17J1\x16υ\n␕.＾",
		out:  "‛␠.μ␈i＠］\x13␓－␊\t／8ｋφς９3κｓ\x17J1\x16υ\n␕.＾",
	}, { // 542
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "X.μ␈i＠］\x13␓－␊\t／8ｋφς９3κｓ\x17J1\x16υ\n␕. ",
		out:  "X.μ␈i＠］\x13␓－␊\t／8ｋφς９3κｓ\x17J1\x16υ\n␕. ",
	}, { // 543
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "X.μ␈i＠］\x13␓－␊\t／8ｋφς９3κｓ\x17J1\x16υ\n␕.␠",
		out:  "X.μ␈i＠］\x13␓－␊\t／8ｋφς９3κｓ\x17J1\x16υ\n␕.␠",
	}, { // 544
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .＊λｓｓ\x05＜*_␊?＂\x17\x02`\x15｀ξεβＡζ␓Ｓ@\n］.S",
		out:  "␠.＊λｓｓ\x05‛＜*_␊?＂\x17\x02`\x15｀ξεβＡζ␓Ｓ@\n］.S",
	}, { // 545
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.＊λｓｓ\x05＜*_␊?＂\x17\x02`\x15｀ξεβＡζ␓Ｓ@\n］.S",
		out:  "‛␠.＊λｓｓ\x05‛＜*_␊?＂\x17\x02`\x15｀ξεβＡζ␓Ｓ@\n］.S",
	}, { // 546
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightPeriod,
		in:   "：.＊λｓｓ\x05＜*_␊?＂\x17\x02`\x15｀ξεβＡζ␓Ｓ@\n］. ",
		out:  "：.＊λｓｓ\x05‛＜*_␊?＂\x17\x02`\x15｀ξεβＡζ␓Ｓ@\n］. ",
	}, { // 547
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightPeriod,
		in:   "：.＊λｓｓ\x05＜*_␊?＂\x17\x02`\x15｀ξεβＡζ␓Ｓ@\n］.␠",
		out:  "：.＊λｓｓ\x05‛＜*_␊?＂\x17\x02`\x15｀ξεβＡζ␓Ｓ@\n］.␠",
	}, { // 548
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .␅␆ｋσｂ`\n[␞qｑ\f7｀␀␔/,]νκ|Ｔ\x15<ψ.χ",
		out:  "␠.␅␆ｋσｂ`\n［␞qｑ\f7｀‛␀␔/,］νκ|Ｔ\x15<ψ.χ",
	}, { // 549
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.␅␆ｋσｂ`\n[␞qｑ\f7｀␀␔/,]νκ|Ｔ\x15<ψ.χ",
		out:  "‛␠.␅␆ｋσｂ`\n［␞qｑ\f7｀‛␀␔/,］νκ|Ｔ\x15<ψ.χ",
	}, { // 550
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ς.␅␆ｋσｂ`\n[␞qｑ\f7｀␀␔/,]νκ|Ｔ\x15<ψ. ",
		out:  "ς.␅␆ｋσｂ`\n［␞qｑ\f7｀‛␀␔/,］νκ|Ｔ\x15<ψ. ",
	}, { // 551
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ς.␅␆ｋσｂ`\n[␞qｑ\f7｀␀␔/,]νκ|Ｔ\x15<ψ.␠",
		out:  "ς.␅␆ｋσｂ`\n［␞qｑ\f7｀‛␀␔/,］νκ|Ｔ\x15<ψ.␠",
	}, { // 552
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .ｓ␃\x1f␗;＠y@\x02LφςRπ\x7fαB␒ν␞␃\x11Ｊ\x18␚！.w",
		out:  "␠.ｓ␃\x1f␗；＠y@\x02LφςRπ\x7fαB␒ν␞␃\x11Ｊ\x18␚！.w",
	}, { // 553
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.ｓ␃\x1f␗;＠y@\x02LφςRπ\x7fαB␒ν␞␃\x11Ｊ\x18␚！.w",
		out:  "‛␠.ｓ␃\x1f␗；＠y@\x02LφςRπ\x7fαB␒ν␞␃\x11Ｊ\x18␚！.w",
	}, { // 554
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ψ.ｓ␃\x1f␗;＠y@\x02LφςRπ\x7fαB␒ν␞␃\x11Ｊ\x18␚！. ",
		out:  "ψ.ｓ␃\x1f␗；＠y@\x02LφςRπ\x7fαB␒ν␞␃\x11Ｊ\x18␚！. ",
	}, { // 555
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ψ.ｓ␃\x1f␗;＠y@\x02LφςRπ\x7fαB␒ν␞␃\x11Ｊ\x18␚！.␠",
		out:  "ψ.ｓ␃\x1f␗；＠y@\x02LφςRπ\x7fαB␒ν␞␃\x11Ｊ\x18␚！.␠",
	}, { // 556
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .ＡF(␂␒ηV?ｖvμ＃ω\x10τ\x00?␊\a！１\x7fρ/\uff00␈.［",
		out:  "␠.ＡF(␂␒ηV?ｖvμ＃ω\x10τ␀?␊\a‛！１\x7fρ/\uff00␈.［",
	}, { // 557
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.ＡF(␂␒ηV?ｖvμ＃ω\x10τ\x00?␊\a！１\x7fρ/\uff00␈.［",
		out:  "‛␠.ＡF(␂␒ηV?ｖvμ＃ω\x10τ␀?␊\a‛！１\x7fρ/\uff00␈.［",
	}, { // 558
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightPeriod,
		in:   "；.ＡF(␂␒ηV?ｖvμ＃ω\x10τ\x00?␊\a！１\x7fρ/\uff00␈. ",
		out:  "；.ＡF(␂␒ηV?ｖvμ＃ω\x10τ␀?␊\a‛！１\x7fρ/\uff00␈. ",
	}, { // 559
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightPeriod,
		in:   "；.ＡF(␂␒ηV?ｖvμ＃ω\x10τ\x00?␊\a！１\x7fρ/\uff00␈.␠",
		out:  "；.ＡF(␂␒ηV?ｖvμ＃ω\x10τ␀?␊\a‛！１\x7fρ/\uff00␈.␠",
	}, { // 560
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .␑ο#１ψ␟υｏ\bG/\"ｏ／\"μ｜οＢ;␘\x0eNι｀％.b",
		out:  "␠.␑ο#１ψ␟υｏ\bG/\"ｏ／\"μ｜οＢ;␘\x0eNι｀％.b",
	}, { // 561
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.␑ο#１ψ␟υｏ\bG/\"ｏ／\"μ｜οＢ;␘\x0eNι｀％.b",
		out:  "‛␠.␑ο#１ψ␟υｏ\bG/\"ｏ／\"μ｜οＢ;␘\x0eNι｀％.b",
	}, { // 562
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightPeriod,
		in:   "$.␑ο#１ψ␟υｏ\bG/\"ｏ／\"μ｜οＢ;␘\x0eNι｀％. ",
		out:  "＄.␑ο#１ψ␟υｏ\bG/\"ｏ／\"μ｜οＢ;␘\x0eNι｀％. ",
	}, { // 563
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightPeriod,
		in:   "$.␑ο#１ψ␟υｏ\bG/\"ｏ／\"μ｜οＢ;␘\x0eNι｀％.␠",
		out:  "＄.␑ο#１ψ␟υｏ\bG/\"ｏ／\"μ｜οＢ;␘\x0eNι｀％.␠",
	}, { // 564
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .＄＆ψ'＃，j：？ω［kπ␎M%␝\x1fh\x16γ␖\x00R\x15{.ｇ",
		out:  "␠.＄＆ψ'＃，j：？ω［kπ␎M%␝\x1fh\x16γ␖␀R\x15{.ｇ",
	}, { // 565
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.＄＆ψ'＃，j：？ω［kπ␎M%␝\x1fh\x16γ␖\x00R\x15{.ｇ",
		out:  "‛␠.＄＆ψ'＃，j：？ω［kπ␎M%␝\x1fh\x16γ␖␀R\x15{.ｇ",
	}, { // 566
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ο.＄＆ψ'＃，j：？ω［kπ␎M%␝\x1fh\x16γ␖\x00R\x15{. ",
		out:  "ο.＄＆ψ'＃，j：？ω［kπ␎M%␝\x1fh\x16γ␖␀R\x15{. ",
	}, { // 567
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ο.＄＆ψ'＃，j：？ω［kπ␎M%␝\x1fh\x16γ␖\x00R\x15{.␠",
		out:  "ο.＄＆ψ'＃，j：？ω［kπ␎M%␝\x1fh\x16γ␖␀R\x15{.␠",
	}, { // 568
		mask: EncodeColon | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .ιυz␆\x19AＣ／\n!\x7f\x11A％γＤ（␓␂Vπδ␍\x0e｜ｃ.ｇ",
		out:  "␠.ιυz␆\x19AＣ／\n!\x7f\x11A％γＤ（␓␂Vπδ␍\x0e｜ｃ.ｇ",
	}, { // 569
		mask: EncodeColon | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.ιυz␆\x19AＣ／\n!\x7f\x11A％γＤ（␓␂Vπδ␍\x0e｜ｃ.ｇ",
		out:  "‛␠.ιυz␆\x19AＣ／\n!\x7f\x11A％γＤ（␓␂Vπδ␍\x0e｜ｃ.ｇ",
	}, { // 570
		mask: EncodeColon | EncodeLeftSpace | EncodeRightPeriod,
		in:   "T.ιυz␆\x19AＣ／\n!\x7f\x11A％γＤ（␓␂Vπδ␍\x0e｜ｃ. ",
		out:  "T.ιυz␆\x19AＣ／\n!\x7f\x11A％γＤ（␓␂Vπδ␍\x0e｜ｃ. ",
	}, { // 571
		mask: EncodeColon | EncodeLeftSpace | EncodeRightPeriod,
		in:   "T.ιυz␆\x19AＣ／\n!\x7f\x11A％γＤ（␓␂Vπδ␍\x0e｜ｃ.␠",
		out:  "T.ιυz␆\x19AＣ／\n!\x7f\x11A％γＤ（␓␂Vπδ␍\x0e｜ｃ.␠",
	}, { // 572
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .␗`ｒ␛xｕMθ␇\x01$\\On\x03␁φδ６␙␡８＃=χ\x05.υ",
		out:  "␠.␗`ｒ␛xｕMθ␇\x01$\\On\x03␁φδ６␙␡８＃=χ\x05.υ",
	}, { // 573
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.␗`ｒ␛xｕMθ␇\x01$\\On\x03␁φδ６␙␡８＃=χ\x05.υ",
		out:  "‛␠.␗`ｒ␛xｕMθ␇\x01$\\On\x03␁φδ６␙␡８＃=χ\x05.υ",
	}, { // 574
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightPeriod,
		in:   "＃.␗`ｒ␛xｕMθ␇\x01$\\On\x03␁φδ６␙␡８＃=χ\x05. ",
		out:  "＃.␗`ｒ␛xｕMθ␇\x01$\\On\x03␁φδ６␙␡８＃=χ\x05. ",
	}, { // 575
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightPeriod,
		in:   "＃.␗`ｒ␛xｕMθ␇\x01$\\On\x03␁φδ６␙␡８＃=χ\x05.␠",
		out:  "＃.␗`ｒ␛xｕMθ␇\x01$\\On\x03␁φδ６␙␡８＃=χ\x05.␠",
	}, { // 576
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .o␊0－␙＋ｅσk＇ψｔψｆ\x1aλζ\x10␇\x00␕\b␎［X..ν",
		out:  "␠.o␊0－␙＋ｅσk＇ψｔψｆ\x1aλζ\x10␇␀␕\b␎［X..ν",
	}, { // 577
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.o␊0－␙＋ｅσk＇ψｔψｆ\x1aλζ\x10␇\x00␕\b␎［X..ν",
		out:  "‛␠.o␊0－␙＋ｅσk＇ψｔψｆ\x1aλζ\x10␇␀␕\b␎［X..ν",
	}, { // 578
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightPeriod,
		in:   "z.o␊0－␙＋ｅσk＇ψｔψｆ\x1aλζ\x10␇\x00␕\b␎［X.. ",
		out:  "z.o␊0－␙＋ｅσk＇ψｔψｆ\x1aλζ\x10␇␀␕\b␎［X.. ",
	}, { // 579
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightPeriod,
		in:   "z.o␊0－␙＋ｅσk＇ψｔψｆ\x1aλζ\x10␇\x00␕\b␎［X..␠",
		out:  "z.o␊0－␙＋ｅσk＇ψｔψｆ\x1aλζ\x10␇␀␕\b␎［X..␠",
	}, { // 580
		mask: EncodePipe | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .πξｃＧ#\x1b＃ｂιxaＰδθ\b␔␄\rR７＄<！pＡ␍.μ",
		out:  "␠.πξｃＧ#\x1b＃ｂιxaＰδθ\b␔␄\rR７＄<！pＡ␍.μ",
	}, { // 581
		mask: EncodePipe | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.πξｃＧ#\x1b＃ｂιxaＰδθ\b␔␄\rR７＄<！pＡ␍.μ",
		out:  "‛␠.πξｃＧ#\x1b＃ｂιxaＰδθ\b␔␄\rR７＄<！pＡ␍.μ",
	}, { // 582
		mask: EncodePipe | EncodeLeftSpace | EncodeRightPeriod,
		in:   "\x16.πξｃＧ#\x1b＃ｂιxaＰδθ\b␔␄\rR７＄<！pＡ␍. ",
		out:  "\x16.πξｃＧ#\x1b＃ｂιxaＰδθ\b␔␄\rR７＄<！pＡ␍. ",
	}, { // 583
		mask: EncodePipe | EncodeLeftSpace | EncodeRightPeriod,
		in:   "\x16.πξｃＧ#\x1b＃ｂιxaＰδθ\b␔␄\rR７＄<！pＡ␍.␠",
		out:  "\x16.πξｃＧ#\x1b＃ｂιxaＰδθ\b␔␄\rR７＄<！pＡ␍.␠",
	}, { // 584
		mask: EncodeHash | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .${␗δγｅ]\x1b}Ｒθ＼β7␍＞␏～σ\b.ξ␇＇／\x02.\r",
		out:  "␠.${␗δγｅ]\x1b}Ｒθ＼β7␍＞␏～σ\b.ξ␇＇／\x02.\r",
	}, { // 585
		mask: EncodeHash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.${␗δγｅ]\x1b}Ｒθ＼β7␍＞␏～σ\b.ξ␇＇／\x02.\r",
		out:  "‛␠.${␗δγｅ]\x1b}Ｒθ＼β7␍＞␏～σ\b.ξ␇＇／\x02.\r",
	}, { // 586
		mask: EncodeHash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "Ｚ.${␗δγｅ]\x1b}Ｒθ＼β7␍＞␏～σ\b.ξ␇＇／\x02. ",
		out:  "Ｚ.${␗δγｅ]\x1b}Ｒθ＼β7␍＞␏～σ\b.ξ␇＇／\x02. ",
	}, { // 587
		mask: EncodeHash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "Ｚ.${␗δγｅ]\x1b}Ｒθ＼β7␍＞␏～σ\b.ξ␇＇／\x02.␠",
		out:  "Ｚ.${␗δγｅ]\x1b}Ｒθ＼β7␍＞␏～σ\b.ξ␇＇／\x02.␠",
	}, { // 588
		mask: EncodePercent | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .␔␀␊η\x1bι＂Ｉ\x7f．␛-7／Z{ｖε\x1a:κεuβ\x03４.\x1b",
		out:  "␠.␔‛␀␊η\x1bι＂Ｉ\x7f．␛-7／Z{ｖε\x1a:κεuβ\x03４.\x1b",
	}, { // 589
		mask: EncodePercent | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.␔␀␊η\x1bι＂Ｉ\x7f．␛-7／Z{ｖε\x1a:κεuβ\x03４.\x1b",
		out:  "‛␠.␔‛␀␊η\x1bι＂Ｉ\x7f．␛-7／Z{ｖε\x1a:κεuβ\x03４.\x1b",
	}, { // 590
		mask: EncodePercent | EncodeLeftSpace | EncodeRightPeriod,
		in:   "Ｚ.␔␀␊η\x1bι＂Ｉ\x7f．␛-7／Z{ｖε\x1a:κεuβ\x03４. ",
		out:  "Ｚ.␔‛␀␊η\x1bι＂Ｉ\x7f．␛-7／Z{ｖε\x1a:κεuβ\x03４. ",
	}, { // 591
		mask: EncodePercent | EncodeLeftSpace | EncodeRightPeriod,
		in:   "Ｚ.␔␀␊η\x1bι＂Ｉ\x7f．␛-7／Z{ｖε\x1a:κεuβ\x03４.␠",
		out:  "Ｚ.␔‛␀␊η\x1bι＂Ｉ\x7f．␛-7／Z{ｖε\x1a:κεuβ\x03４.␠",
	}, { // 592
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .Ｗ␝ν,ＸR\r１S＂\r\x7f␀\x1aqνlＸυ；Jιυ\"\aｃ.＄",
		out:  "␠.Ｗ␝ν,ＸR\r１S＂\r\x7f‛␀\x1aqνlＸυ；Jιυ\"\aｃ.＄",
	}, { // 593
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.Ｗ␝ν,ＸR\r１S＂\r\x7f␀\x1aqνlＸυ；Jιυ\"\aｃ.＄",
		out:  "‛␠.Ｗ␝ν,ＸR\r１S＂\r\x7f‛␀\x1aqνlＸυ；Jιυ\"\aｃ.＄",
	}, { // 594
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "υ.Ｗ␝ν,ＸR\r１S＂\r\x7f␀\x1aqνlＸυ；Jιυ\"\aｃ. ",
		out:  "υ.Ｗ␝ν,ＸR\r１S＂\r\x7f‛␀\x1aqνlＸυ；Jιυ\"\aｃ. ",
	}, { // 595
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "υ.Ｗ␝ν,ＸR\r１S＂\r\x7f␀\x1aqνlＸυ；Jιυ\"\aｃ.␠",
		out:  "υ.Ｗ␝ν,ＸR\r１S＂\r\x7f‛␀\x1aqνlＸυ；Jιυ\"\aｃ.␠",
	}, { // 596
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .ρ#ｌ\vβw？␒␘］␏\x1157＋εκ\x1eｏν^／～Z＄\f.;",
		out:  "␠.ρ#ｌ\vβw？␒␘］␏\x1157＋εκ\x1eｏν^／～Z＄\f.;",
	}, { // 597
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.ρ#ｌ\vβw？␒␘］␏\x1157＋εκ\x1eｏν^／～Z＄\f.;",
		out:  "‛␠.ρ#ｌ\vβw？␒␘］␏\x1157＋εκ\x1eｏν^／～Z＄\f.;",
	}, { // 598
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightPeriod,
		in:   "－.ρ#ｌ\vβw？␒␘］␏\x1157＋εκ\x1eｏν^／～Z＄\f. ",
		out:  "－.ρ#ｌ\vβw？␒␘］␏\x1157＋εκ\x1eｏν^／～Z＄\f. ",
	}, { // 599
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightPeriod,
		in:   "－.ρ#ｌ\vβw？␒␘］␏\x1157＋εκ\x1eｏν^／～Z＄\f.␠",
		out:  "－.ρ#ｌ\vβw？␒␘］␏\x1157＋εκ\x1eｏν^／～Z＄\f.␠",
	}, { // 600
		mask: EncodeDel | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .［4｜｜\rh\n␎\x02ｉαμυ3［αχ␈/δ\b&０p␜␈.e",
		out:  "␠.［4｜｜\rh\n␎\x02ｉαμυ3［αχ␈/δ\b&０p␜␈.e",
	}, { // 601
		mask: EncodeDel | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.［4｜｜\rh\n␎\x02ｉαμυ3［αχ␈/δ\b&０p␜␈.e",
		out:  "‛␠.［4｜｜\rh\n␎\x02ｉαμυ3［αχ␈/δ\b&０p␜␈.e",
	}, { // 602
		mask: EncodeDel | EncodeLeftSpace | EncodeRightPeriod,
		in:   "］.［4｜｜\rh\n␎\x02ｉαμυ3［αχ␈/δ\b&０p␜␈. ",
		out:  "］.［4｜｜\rh\n␎\x02ｉαμυ3［αχ␈/δ\b&０p␜␈. ",
	}, { // 603
		mask: EncodeDel | EncodeLeftSpace | EncodeRightPeriod,
		in:   "］.［4｜｜\rh\n␎\x02ｉαμυ3［αχ␈/δ\b&０p␜␈.␠",
		out:  "］.［4｜｜\rh\n␎\x02ｉαμυ3［αχ␈/δ\b&０p␜␈.␠",
	}, { // 604
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .Ｄ?ＲＯJE␟␚\x10␍%␝κτ\x19\x02O\x1d␔｝UＨ1υ１α.ξ",
		out:  "␠.Ｄ?ＲＯJE‛␟‛␚␐‛␍%‛␝κτ␙␂O␝‛␔｝UＨ1υ１α.ξ",
	}, { // 605
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.Ｄ?ＲＯJE␟␚\x10␍%␝κτ\x19\x02O\x1d␔｝UＨ1υ１α.ξ",
		out:  "‛␠.Ｄ?ＲＯJE‛␟‛␚␐‛␍%‛␝κτ␙␂O␝‛␔｝UＨ1υ１α.ξ",
	}, { // 606
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ξ.Ｄ?ＲＯJE␟␚\x10␍%␝κτ\x19\x02O\x1d␔｝UＨ1υ１α. ",
		out:  "ξ.Ｄ?ＲＯJE‛␟‛␚␐‛␍%‛␝κτ␙␂O␝‛␔｝UＨ1υ１α. ",
	}, { // 607
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ξ.Ｄ?ＲＯJE␟␚\x10␍%␝κτ\x19\x02O\x1d␔｝UＨ1υ１α.␠",
		out:  "ξ.Ｄ?ＲＯJE‛␟‛␚␐‛␍%‛␝κτ␙␂O␝‛␔｝UＨ1υ１α.␠",
	}, { // 608
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\tε",
		out:  "␠\t␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\tε",
	}, { // 609
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\tε",
		out:  "‛␠\t␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\tε",
	}, { // 610
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\nε",
		out:  "␠\n␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\nε",
	}, { // 611
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\nε",
		out:  "‛␠\n␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\nε",
	}, { // 612
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\vε",
		out:  "␠\v␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\vε",
	}, { // 613
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\vε",
		out:  "‛␠\v␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\vε",
	}, { // 614
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\rε",
		out:  "␠\r␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\rε",
	}, { // 615
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\rε",
		out:  "‛␠\r␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\rε",
	}, { // 616
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\a\t␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\t ",
		out:  "\a\t␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\t ",
	}, { // 617
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\a\t␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\t␠",
		out:  "\a\t␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\t␠",
	}, { // 618
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\a\n␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\n ",
		out:  "\a\n␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\n ",
	}, { // 619
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\a\n␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\n␠",
		out:  "\a\n␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\n␠",
	}, { // 620
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\a\v␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\v ",
		out:  "\a\v␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\v ",
	}, { // 621
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\a\v␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\v␠",
		out:  "\a\v␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\v␠",
	}, { // 622
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\a\r␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\r ",
		out:  "\a\r␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\r ",
	}, { // 623
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\a\r␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\r␠",
		out:  "\a\r␊｜＇ω\r＄η{～\"δ␙＜`\x1fν！Ｑ1_φ␁9ｂ\x12V\r␠",
	}, { // 624
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\t$",
		out:  "␠\t！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\t$",
	}, { // 625
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\t$",
		out:  "‛␠\t！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\t$",
	}, { // 626
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\n$",
		out:  "␠\n！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\n$",
	}, { // 627
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\n$",
		out:  "‛␠\n！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\n$",
	}, { // 628
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\v$",
		out:  "␠\v！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\v$",
	}, { // 629
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\v$",
		out:  "‛␠\v！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\v$",
	}, { // 630
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\r$",
		out:  "␠\r！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\r$",
	}, { // 631
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\r$",
		out:  "‛␠\r！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\r$",
	}, { // 632
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x0e\t！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\t ",
		out:  "\x0e\t！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\t ",
	}, { // 633
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x0e\t！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\t␠",
		out:  "\x0e\t！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\t␠",
	}, { // 634
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x0e\n！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\n ",
		out:  "\x0e\n！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\n ",
	}, { // 635
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x0e\n！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\n␠",
		out:  "\x0e\n！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\n␠",
	}, { // 636
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x0e\v！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\v ",
		out:  "\x0e\v！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\v ",
	}, { // 637
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x0e\v！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\v␠",
		out:  "\x0e\v！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\v␠",
	}, { // 638
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x0e\r！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\r ",
		out:  "\x0e\r！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\r ",
	}, { // 639
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x0e\r！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\r␠",
		out:  "\x0e\r！u|J[］：Ｋ＝λ４fοηｊ\"Ｅ\x1eπ␍tς\x15；ｒ｀\r␠",
	}, { // 640
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\tD",
		out:  "␠\t%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\tD",
	}, { // 641
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\tD",
		out:  "‛␠\t%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\tD",
	}, { // 642
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\nD",
		out:  "␠\n%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\nD",
	}, { // 643
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\nD",
		out:  "‛␠\n%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\nD",
	}, { // 644
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\vD",
		out:  "␠\v%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\vD",
	}, { // 645
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\vD",
		out:  "‛␠\v%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\vD",
	}, { // 646
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\rD",
		out:  "␠\r%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\rD",
	}, { // 647
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\rD",
		out:  "‛␠\r%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\rD",
	}, { // 648
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｑ\t%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\t ",
		out:  "Ｑ\t%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\t ",
	}, { // 649
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｑ\t%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\t␠",
		out:  "Ｑ\t%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\t␠",
	}, { // 650
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｑ\n%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\n ",
		out:  "Ｑ\n%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\n ",
	}, { // 651
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｑ\n%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\n␠",
		out:  "Ｑ\n%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\n␠",
	}, { // 652
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｑ\v%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\v ",
		out:  "Ｑ\v%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\v ",
	}, { // 653
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｑ\v%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\v␠",
		out:  "Ｑ\v%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\v␠",
	}, { // 654
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｑ\r%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\r ",
		out:  "Ｑ\r%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\r ",
	}, { // 655
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｑ\r%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\r␠",
		out:  "Ｑ\r%（+ｈ［ＰD~θζ／πομ％␃*/]\bU\x1e␇ｍ␈／\r␠",
	}, { // 656
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \tｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\t＆",
		out:  "␠\tｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\t＆",
	}, { // 657
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\tｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\t＆",
		out:  "‛␠\tｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\t＆",
	}, { // 658
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \nｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\n＆",
		out:  "␠\nｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\n＆",
	}, { // 659
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\nｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\n＆",
		out:  "‛␠\nｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\n＆",
	}, { // 660
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \vｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\v＆",
		out:  "␠\vｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\v＆",
	}, { // 661
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\vｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\v＆",
		out:  "‛␠\vｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\v＆",
	}, { // 662
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \rｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\r＆",
		out:  "␠\rｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\r＆",
	}, { // 663
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\rｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\r＆",
		out:  "‛␠\rｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\r＆",
	}, { // 664
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "λ\tｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\t ",
		out:  "λ\tｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\t ",
	}, { // 665
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "λ\tｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\t␠",
		out:  "λ\tｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\t␠",
	}, { // 666
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "λ\nｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\n ",
		out:  "λ\nｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\n ",
	}, { // 667
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "λ\nｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\n␠",
		out:  "λ\nｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\n␠",
	}, { // 668
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "λ\vｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\v ",
		out:  "λ\vｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\v ",
	}, { // 669
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "λ\vｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\v␠",
		out:  "λ\vｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\v␠",
	}, { // 670
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "λ\rｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\r ",
		out:  "λ\rｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\r ",
	}, { // 671
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "λ\rｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a\x00\x18\"␔␊\r␠",
		out:  "λ\rｂς␜α0*:\aPTＬζ［＊B␍）＂κ３\a␀\x18\"␔␊\r␠",
	}, { // 672
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\t＂",
		out:  "␠\t］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\t＂",
	}, { // 673
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\t＂",
		out:  "‛␠\t］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\t＂",
	}, { // 674
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\n＂",
		out:  "␠\n］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\n＂",
	}, { // 675
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\n＂",
		out:  "‛␠\n］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\n＂",
	}, { // 676
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\v＂",
		out:  "␠\v］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\v＂",
	}, { // 677
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\v＂",
		out:  "‛␠\v］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\v＂",
	}, { // 678
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\r＂",
		out:  "␠\r］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\r＂",
	}, { // 679
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\r＂",
		out:  "‛␠\r］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\r＂",
	}, { // 680
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x15\t］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\t ",
		out:  "\x15\t］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\t ",
	}, { // 681
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x15\t］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\t␠",
		out:  "\x15\t］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\t␠",
	}, { // 682
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x15\n］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\n ",
		out:  "\x15\n］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\n ",
	}, { // 683
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x15\n］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\n␠",
		out:  "\x15\n］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\n␠",
	}, { // 684
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x15\v］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\v ",
		out:  "\x15\v］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\v ",
	}, { // 685
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x15\v］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\v␠",
		out:  "\x15\v］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\v␠",
	}, { // 686
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x15\r］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\r ",
		out:  "\x15\r］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\r ",
	}, { // 687
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x15\r］␖ρ＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\r␠",
		out:  "\x15\r］␖ρ‛＞\x04～／\x1fｈψ\x02!｀ηIθ；ι2-\x15｀Ｔn$λ\r␠",
	}, { // 688
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \tｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\t\x02",
		out:  "␠\tｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\t\x02",
	}, { // 689
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\tｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\t\x02",
		out:  "‛␠\tｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\t\x02",
	}, { // 690
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \nｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\n\x02",
		out:  "␠\nｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\n\x02",
	}, { // 691
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\nｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\n\x02",
		out:  "‛␠\nｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\n\x02",
	}, { // 692
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \vｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\v\x02",
		out:  "␠\vｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\v\x02",
	}, { // 693
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\vｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\v\x02",
		out:  "‛␠\vｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\v\x02",
	}, { // 694
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \rｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\r\x02",
		out:  "␠\rｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\r\x02",
	}, { // 695
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\rｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\r\x02",
		out:  "‛␠\rｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\r\x02",
	}, { // 696
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\tｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\t ",
		out:  "｝\tｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\t ",
	}, { // 697
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\tｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\t␠",
		out:  "｝\tｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\t␠",
	}, { // 698
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\nｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\n ",
		out:  "｝\nｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\n ",
	}, { // 699
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\nｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\n␠",
		out:  "｝\nｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\n␠",
	}, { // 700
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\vｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\v ",
		out:  "｝\vｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\v ",
	}, { // 701
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\vｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\v␠",
		out:  "｝\vｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\v␠",
	}, { // 702
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\rｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\r ",
		out:  "｝\rｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\r ",
	}, { // 703
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\rｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$］ｙ\x0f?p\r␠",
		out:  "｝\rｘ␜i８@κｄwπ\x11␅␜αψ\nτ＃\n4Ｆ$‛］ｙ\x0f?p\r␠",
	}, { // 704
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\tβ",
		out:  "␠\t␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\tβ",
	}, { // 705
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\tβ",
		out:  "‛␠\t␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\tβ",
	}, { // 706
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\nβ",
		out:  "␠\n␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\nβ",
	}, { // 707
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\nβ",
		out:  "‛␠\n␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\nβ",
	}, { // 708
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\vβ",
		out:  "␠\v␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\vβ",
	}, { // 709
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\vβ",
		out:  "‛␠\v␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\vβ",
	}, { // 710
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\rβ",
		out:  "␠\r␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\rβ",
	}, { // 711
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\rβ",
		out:  "‛␠\r␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\rβ",
	}, { // 712
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "'\t␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\t ",
		out:  "'\t␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\t ",
	}, { // 713
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "'\t␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\t␠",
		out:  "'\t␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\t␠",
	}, { // 714
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "'\n␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\n ",
		out:  "'\n␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\n ",
	}, { // 715
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "'\n␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\n␠",
		out:  "'\n␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\n␠",
	}, { // 716
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "'\v␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\v ",
		out:  "'\v␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\v ",
	}, { // 717
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "'\v␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\v␠",
		out:  "'\v␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\v␠",
	}, { // 718
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "'\r␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\r ",
		out:  "'\r␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\r ",
	}, { // 719
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "'\r␑α-N\t\x12\r７＠）＂qπι！␕ζ！)␀ｅyα\"＞`\r␠",
		out:  "'\r␑α-N\t\x12\r７＠）＂qπι！␕ζ！)‛␀ｅyα\"＞`\r␠",
	}, { // 720
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\tο",
		out:  "␠\t５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\tο",
	}, { // 721
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\tο",
		out:  "‛␠\t５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\tο",
	}, { // 722
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\nο",
		out:  "␠\n５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\nο",
	}, { // 723
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\nο",
		out:  "‛␠\n５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\nο",
	}, { // 724
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\vο",
		out:  "␠\v５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\vο",
	}, { // 725
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\vο",
		out:  "‛␠\v５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\vο",
	}, { // 726
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\rο",
		out:  "␠\r５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\rο",
	}, { // 727
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\rο",
		out:  "‛␠\r５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\rο",
	}, { // 728
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   ",\t５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\t ",
		out:  ",\t５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\t ",
	}, { // 729
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   ",\t５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\t␠",
		out:  ",\t５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\t␠",
	}, { // 730
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   ",\n５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\n ",
		out:  ",\n５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\n ",
	}, { // 731
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   ",\n５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\n␠",
		out:  ",\n５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\n␠",
	}, { // 732
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   ",\v５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\v ",
		out:  ",\v５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\v ",
	}, { // 733
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   ",\v５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\v␠",
		out:  ",\v５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\v␠",
	}, { // 734
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   ",\r５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\r ",
		out:  ",\r５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\r ",
	}, { // 735
		mask: EncodeExclamation | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   ",\r５␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞\x00␡ςＪ\x00\t\r␠",
		out:  ",\r５‛␀)$ι＄ψζ3N\x04ｇ｝γQ２`␈ｉ␞␀␡ςＪ␀\t\r␠",
	}, { // 736
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\tｍ",
		out:  "␠\t␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\tｍ",
	}, { // 737
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\tｍ",
		out:  "‛␠\t␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\tｍ",
	}, { // 738
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\nｍ",
		out:  "␠\n␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\nｍ",
	}, { // 739
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\nｍ",
		out:  "‛␠\n␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\nｍ",
	}, { // 740
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\vｍ",
		out:  "␠\v␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\vｍ",
	}, { // 741
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\vｍ",
		out:  "‛␠\v␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\vｍ",
	}, { // 742
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\rｍ",
		out:  "␠\r␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\rｍ",
	}, { // 743
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\rｍ",
		out:  "‛␠\r␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\rｍ",
	}, { // 744
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\r\t␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\t ",
		out:  "\r\t␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\t ",
	}, { // 745
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\r\t␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\t␠",
		out:  "\r\t␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\t␠",
	}, { // 746
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\r\n␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\n ",
		out:  "\r\n␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\n ",
	}, { // 747
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\r\n␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\n␠",
		out:  "\r\n␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\n␠",
	}, { // 748
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\r\v␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\v ",
		out:  "\r\v␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\v ",
	}, { // 749
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\r\v␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\v␠",
		out:  "\r\v␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\v␠",
	}, { // 750
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\r\r␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\r ",
		out:  "\r\r␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\r ",
	}, { // 751
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\r\r␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\r␠",
		out:  "\r\r␑ｈθ\x02\x01\\7␡3ιＹδ１\x13Ｒ␒κ\x06\x11＼ξυ␙Ｅ:／\r␠",
	}, { // 752
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \tνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\tι",
		out:  "␠\tνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\tι",
	}, { // 753
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\tνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\tι",
		out:  "‛␠\tνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\tι",
	}, { // 754
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \nνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\nι",
		out:  "␠\nνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\nι",
	}, { // 755
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\nνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\nι",
		out:  "‛␠\nνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\nι",
	}, { // 756
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \vνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\vι",
		out:  "␠\vνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\vι",
	}, { // 757
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\vνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\vι",
		out:  "‛␠\vνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\vι",
	}, { // 758
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \rνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\rι",
		out:  "␠\rνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\rι",
	}, { // 759
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\rνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\rι",
		out:  "‛␠\rνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\rι",
	}, { // 760
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｏ\tνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\t ",
		out:  "Ｏ\tνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\t ",
	}, { // 761
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｏ\tνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\t␠",
		out:  "Ｏ\tνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\t␠",
	}, { // 762
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｏ\nνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\n ",
		out:  "Ｏ\nνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\n ",
	}, { // 763
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｏ\nνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\n␠",
		out:  "Ｏ\nνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\n␠",
	}, { // 764
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｏ\vνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\v ",
		out:  "Ｏ\vνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\v ",
	}, { // 765
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｏ\vνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\v␠",
		out:  "Ｏ\vνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\v␠",
	}, { // 766
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｏ\rνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\r ",
		out:  "Ｏ\rνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\r ",
	}, { // 767
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ｏ\rνｙ{\x13］π\r＂\"\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\r␠",
		out:  "Ｏ\rνｙ{\x13］π\r‛＂＂\x0fδｗμ␈␔\x03；PD␞＠␏L＇ιk\r␠",
	}, { // 768
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \t␕",
		out:  "␠\t\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \t␕",
	}, { // 769
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \t␕",
		out:  "‛␠\t\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \t␕",
	}, { // 770
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \n␕",
		out:  "␠\n\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \n␕",
	}, { // 771
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \n␕",
		out:  "‛␠\n\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \n␕",
	}, { // 772
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \v␕",
		out:  "␠\v\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \v␕",
	}, { // 773
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \v␕",
		out:  "‛␠\v\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \v␕",
	}, { // 774
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \r␕",
		out:  "␠\r\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \r␕",
	}, { // 775
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \r␕",
		out:  "‛␠\r\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \r␕",
	}, { // 776
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\t\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \t ",
		out:  "␀\t\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \t ",
	}, { // 777
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\t\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \t␠",
		out:  "␀\t\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \t␠",
	}, { // 778
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\n\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \n ",
		out:  "␀\n\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \n ",
	}, { // 779
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\n\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \n␠",
		out:  "␀\n\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \n␠",
	}, { // 780
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\v\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \v ",
		out:  "␀\v\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \v ",
	}, { // 781
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\v\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \v␠",
		out:  "␀\v\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \v␠",
	}, { // 782
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\r\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \r ",
		out:  "␀\r\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \r ",
	}, { // 783
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\r\x1b␉Ａrｄθ\n\x1dγａζ␝:＃ ：τ\x1fCαｒO｜\"Ｋ \r␠",
		out:  "␀\r\x1b␉Ａrｄθ\n\x1dγａζ␝：＃ ‛：τ\x1fCαｒO｜\"Ｋ \r␠",
	}, { // 784
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\t:",
		out:  "␠\t［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\t:",
	}, { // 785
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\t:",
		out:  "‛␠\t［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\t:",
	}, { // 786
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\n:",
		out:  "␠\n［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\n:",
	}, { // 787
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\n:",
		out:  "‛␠\n［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\n:",
	}, { // 788
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\v:",
		out:  "␠\v［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\v:",
	}, { // 789
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\v:",
		out:  "‛␠\v［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\v:",
	}, { // 790
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\r:",
		out:  "␠\r［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\r:",
	}, { // 791
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\r:",
		out:  "‛␠\r［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\r:",
	}, { // 792
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＜\t［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\t ",
		out:  "＜\t［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\t ",
	}, { // 793
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＜\t［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\t␠",
		out:  "＜\t［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\t␠",
	}, { // 794
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＜\n［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\n ",
		out:  "＜\n［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\n ",
	}, { // 795
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＜\n［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\n␠",
		out:  "＜\n［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\n␠",
	}, { // 796
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＜\v［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\v ",
		out:  "＜\v［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\v ",
	}, { // 797
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＜\v［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\v␠",
		out:  "＜\v［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\v␠",
	}, { // 798
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＜\r［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\r ",
		out:  "＜\r［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\r ",
	}, { // 799
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＜\r［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\r␠",
		out:  "＜\r［＊α␑υ\n=W\x06σｘ＇\uff00␛\r\b\x1bKλεο␝U[＼＆\r␠",
	}, { // 800
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \tζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\tＷ",
		out:  "␠\tζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\tＷ",
	}, { // 801
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\tζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\tＷ",
		out:  "‛␠\tζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\tＷ",
	}, { // 802
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \nζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\nＷ",
		out:  "␠\nζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\nＷ",
	}, { // 803
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\nζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\nＷ",
		out:  "‛␠\nζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\nＷ",
	}, { // 804
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \vζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\vＷ",
		out:  "␠\vζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\vＷ",
	}, { // 805
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\vζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\vＷ",
		out:  "‛␠\vζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\vＷ",
	}, { // 806
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \rζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\rＷ",
		out:  "␠\rζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\rＷ",
	}, { // 807
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\rζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\rＷ",
		out:  "‛␠\rζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\rＷ",
	}, { // 808
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "［\tζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\t ",
		out:  "［\tζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\t ",
	}, { // 809
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "［\tζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\t␠",
		out:  "［\tζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\t␠",
	}, { // 810
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "［\nζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\n ",
		out:  "［\nζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\n ",
	}, { // 811
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "［\nζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\n␠",
		out:  "［\nζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\n␠",
	}, { // 812
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "［\vζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\v ",
		out:  "［\vζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\v ",
	}, { // 813
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "［\vζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\v␠",
		out:  "［\vζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\v␠",
	}, { // 814
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "［\rζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\r ",
		out:  "［\rζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\r ",
	}, { // 815
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "［\rζ␀#［\x1a␓θr４:ｓω␍*Zρ－:␛Aｋ␓`\x1aFξ\r␠",
		out:  "［\rζ‛␀#［\x1a␓θr４:ｓω␍＊Zρ－:␛Aｋ␓`\x1aFξ\r␠",
	}, { // 816
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \tＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\tb",
		out:  "␠\tＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\tb",
	}, { // 817
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\tＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\tb",
		out:  "‛␠\tＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\tb",
	}, { // 818
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \nＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\nb",
		out:  "␠\nＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\nb",
	}, { // 819
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\nＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\nb",
		out:  "‛␠\nＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\nb",
	}, { // 820
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \vＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\vb",
		out:  "␠\vＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\vb",
	}, { // 821
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\vＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\vb",
		out:  "‛␠\vＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\vb",
	}, { // 822
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \rＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\rb",
		out:  "␠\rＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\rb",
	}, { // 823
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\rＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\rb",
		out:  "‛␠\rＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\rb",
	}, { // 824
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\tＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\t ",
		out:  "ζ\tＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\t ",
	}, { // 825
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\tＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\t␠",
		out:  "ζ\tＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\t␠",
	}, { // 826
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\nＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\n ",
		out:  "ζ\nＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\n ",
	}, { // 827
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\nＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\n␠",
		out:  "ζ\nＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\n␠",
	}, { // 828
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\vＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\v ",
		out:  "ζ\vＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\v ",
	}, { // 829
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\vＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\v␠",
		out:  "ζ\vＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\v␠",
	}, { // 830
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\rＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\r ",
		out:  "ζ\rＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\r ",
	}, { // 831
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\rＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\r␠",
		out:  "ζ\rＲ\x0eγ／＂␗＼W／\x11\x14｝＼η_］\x13\x17ςδ ω␈K[1\r␠",
	}, { // 832
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\t\x1e",
		out:  "␠\t＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\t\x1e",
	}, { // 833
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\t\x1e",
		out:  "‛␠\t＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\t\x1e",
	}, { // 834
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\n\x1e",
		out:  "␠\n＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\n\x1e",
	}, { // 835
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\n\x1e",
		out:  "‛␠\n＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\n\x1e",
	}, { // 836
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\v\x1e",
		out:  "␠\v＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\v\x1e",
	}, { // 837
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\v\x1e",
		out:  "‛␠\v＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\v\x1e",
	}, { // 838
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\r\x1e",
		out:  "␠\r＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\r\x1e",
	}, { // 839
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\r\x1e",
		out:  "‛␠\r＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\r\x1e",
	}, { // 840
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\t＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\t ",
		out:  "｝\t＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\t ",
	}, { // 841
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\t＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\t␠",
		out:  "｝\t＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\t␠",
	}, { // 842
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\n＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\n ",
		out:  "｝\n＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\n ",
	}, { // 843
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\n＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\n␠",
		out:  "｝\n＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\n␠",
	}, { // 844
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\v＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\v ",
		out:  "｝\v＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\v ",
	}, { // 845
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\v＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\v␠",
		out:  "｝\v＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\v␠",
	}, { // 846
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\r＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\r ",
		out:  "｝\r＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\r ",
	}, { // 847
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "｝\r＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\r␠",
		out:  "｝\r＼C!j\nρ\x18／␒ｗa＞wε=τ！ρ＊\n｜ｓω｀I\x7f\r␠",
	}, { // 848
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\t＃",
		out:  "␠\t/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\t＃",
	}, { // 849
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\t＃",
		out:  "‛␠\t/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\t＃",
	}, { // 850
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\n＃",
		out:  "␠\n/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\n＃",
	}, { // 851
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\n＃",
		out:  "‛␠\n/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\n＃",
	}, { // 852
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\v＃",
		out:  "␠\v/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\v＃",
	}, { // 853
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\v＃",
		out:  "‛␠\v/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\v＃",
	}, { // 854
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\r＃",
		out:  "␠\r/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\r＃",
	}, { // 855
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\r＃",
		out:  "‛␠\r/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\r＃",
	}, { // 856
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "w\t/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\t ",
		out:  "w\t/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\t ",
	}, { // 857
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "w\t/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\t␠",
		out:  "w\t/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\t␠",
	}, { // 858
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "w\n/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\n ",
		out:  "w\n/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\n ",
	}, { // 859
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "w\n/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\n␠",
		out:  "w\n/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\n␠",
	}, { // 860
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "w\v/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\v ",
		out:  "w\v/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\v ",
	}, { // 861
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "w\v/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\v␠",
		out:  "w\v/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\v␠",
	}, { // 862
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "w\r/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\r ",
		out:  "w\r/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\r ",
	}, { // 863
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "w\r/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\r␠",
		out:  "w\r/ＺｓＦξ␐<φ}\\：ｒ\x174ψ[θ|＃ο\f␔ｏ␋σ`\r␠",
	}, { // 864
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\tt",
		out:  "␠\t＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\tt",
	}, { // 865
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\tt",
		out:  "‛␠\t＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\tt",
	}, { // 866
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\nt",
		out:  "␠\n＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\nt",
	}, { // 867
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\nt",
		out:  "‛␠\n＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\nt",
	}, { // 868
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\vt",
		out:  "␠\v＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\vt",
	}, { // 869
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\vt",
		out:  "‛␠\v＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\vt",
	}, { // 870
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\rt",
		out:  "␠\r＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\rt",
	}, { // 871
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\rt",
		out:  "‛␠\r＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\rt",
	}, { // 872
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "σ\t＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\t ",
		out:  "σ\t＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\t ",
	}, { // 873
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "σ\t＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\t␠",
		out:  "σ\t＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\t␠",
	}, { // 874
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "σ\n＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\n ",
		out:  "σ\n＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\n ",
	}, { // 875
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "σ\n＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\n␠",
		out:  "σ\n＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\n␠",
	}, { // 876
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "σ\v＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\v ",
		out:  "σ\v＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\v ",
	}, { // 877
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "σ\v＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\v␠",
		out:  "σ\v＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\v␠",
	}, { // 878
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "σ\r＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\r ",
		out:  "σ\r＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\r ",
	}, { // 879
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "σ\r＊␟\x1a'θσO\nψＲ／\\␏␞ｅδ␛uθ％／２\x02\x0eＯt\r␠",
		out:  "σ\r＊␟\x1a'θσO\nψＲ／＼␏␞ｅδ␛uθ％／２\x02\x0eＯt\r␠",
	}, { // 880
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\tc",
		out:  "␠\t␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\tc",
	}, { // 881
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\tc",
		out:  "‛␠\t␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\tc",
	}, { // 882
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\nc",
		out:  "␠\n␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\nc",
	}, { // 883
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\nc",
		out:  "‛␠\n␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\nc",
	}, { // 884
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\vc",
		out:  "␠\v␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\vc",
	}, { // 885
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\vc",
		out:  "‛␠\v␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\vc",
	}, { // 886
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\rc",
		out:  "␠\r␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\rc",
	}, { // 887
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\rc",
		out:  "‛␠\r␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\rc",
	}, { // 888
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ａ\t␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\t ",
		out:  "Ａ\t␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\t ",
	}, { // 889
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ａ\t␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\t␠",
		out:  "Ａ\t␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\t␠",
	}, { // 890
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ａ\n␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\n ",
		out:  "Ａ\n␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\n ",
	}, { // 891
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ａ\n␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\n␠",
		out:  "Ａ\n␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\n␠",
	}, { // 892
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ａ\v␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\v ",
		out:  "Ａ\v␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\v ",
	}, { // 893
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ａ\v␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\v␠",
		out:  "Ａ\v␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\v␠",
	}, { // 894
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ａ\r␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\r ",
		out:  "Ａ\r␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\r ",
	}, { // 895
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "Ａ\r␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\r␠",
		out:  "Ａ\r␈Ｅ；％␋␑\x11φn｜\x02␂ιξＵＵ[T<\x11VλU\x10θ＋\r␠",
	}, { // 896
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". δU\x00８＋＃\x02υ\nｈ\r７/＾ζ！'ν}\x16j［[ρ␙＂ ＄",
		out:  "． δU␀８＋＃\x02υ\nｈ\r７/＾ζ！'ν}\x16j［[ρ␙＂ ＄",
	}, { // 897
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． δU\x00８＋＃\x02υ\nｈ\r７/＾ζ！'ν}\x16j［[ρ␙＂ ＄",
		out:  "‛． δU␀８＋＃\x02υ\nｈ\r７/＾ζ！'ν}\x16j［[ρ␙＂ ＄",
	}, { // 898
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "␍ δU\x00８＋＃\x02υ\nｈ\r７/＾ζ！'ν}\x16j［[ρ␙＂ .",
		out:  "␍ δU␀８＋＃\x02υ\nｈ\r７/＾ζ！'ν}\x16j［[ρ␙＂ .",
	}, { // 899
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "␍ δU\x00８＋＃\x02υ\nｈ\r７/＾ζ！'ν}\x16j［[ρ␙＂ ．",
		out:  "␍ δU␀８＋＃\x02υ\nｈ\r７/＾ζ！'ν}\x16j［[ρ␙＂ ．",
	}, { // 900
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ｜ψ\x10␁ｚ＄＞σ＼␋^\a?^ｊ\x1aχ\fE␡λ\aξＵφ% \"",
		out:  "． ｜ψ\x10␁ｚ＄＞σ＼␋^\a?^ｊ\x1aχ\fE␡λ\aξＵφ% \"",
	}, { // 901
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ｜ψ\x10␁ｚ＄＞σ＼␋^\a?^ｊ\x1aχ\fE␡λ\aξＵφ% \"",
		out:  "‛． ｜ψ\x10␁ｚ＄＞σ＼␋^\a?^ｊ\x1aχ\fE␡λ\aξＵφ% \"",
	}, { // 902
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "! ｜ψ\x10␁ｚ＄＞σ＼␋^\a?^ｊ\x1aχ\fE␡λ\aξＵφ% .",
		out:  "! ｜ψ\x10␁ｚ＄＞σ＼␋^\a?^ｊ\x1aχ\fE␡λ\aξＵφ% .",
	}, { // 903
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "! ｜ψ\x10␁ｚ＄＞σ＼␋^\a?^ｊ\x1aχ\fE␡λ\aξＵφ% ．",
		out:  "! ｜ψ\x10␁ｚ＄＞σ＼␋^\a?^ｊ\x1aχ\fE␡λ\aξＵφ% ．",
	}, { // 904
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ␂μ｀\x0e４U␄/β７␓\x03＞αθ～\x03);＄，ιｃZ<s ␛",
		out:  "． ␂μ｀\x0e４U␄/β７␓\x03＞αθ～\x03);＄，ιｃZ<s ␛",
	}, { // 905
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ␂μ｀\x0e４U␄/β７␓\x03＞αθ～\x03);＄，ιｃZ<s ␛",
		out:  "‛． ␂μ｀\x0e４U␄/β７␓\x03＞αθ～\x03);＄，ιｃZ<s ␛",
	}, { // 906
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "J ␂μ｀\x0e４U␄/β７␓\x03＞αθ～\x03);＄，ιｃZ<s .",
		out:  "J ␂μ｀\x0e４U␄/β７␓\x03＞αθ～\x03);＄，ιｃZ<s .",
	}, { // 907
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "J ␂μ｀\x0e４U␄/β７␓\x03＞αθ～\x03);＄，ιｃZ<s ．",
		out:  "J ␂μ｀\x0e４U␄/β７␓\x03＞αθ～\x03);＄，ιｃZ<s ．",
	}, { // 908
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ＃ρG＼η\x014φ␍-ｕk\nｃη::βｄ␞p！ａ|␞␃ φ",
		out:  "． ＃ρG＼η\x014φ␍-ｕk\nｃη::βｄ␞p！ａ|␞␃ φ",
	}, { // 909
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ＃ρG＼η\x014φ␍-ｕk\nｃη::βｄ␞p！ａ|␞␃ φ",
		out:  "‛． ＃ρG＼η\x014φ␍-ｕk\nｃη::βｄ␞p！ａ|␞␃ φ",
	}, { // 910
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "\x1a ＃ρG＼η\x014φ␍-ｕk\nｃη::βｄ␞p！ａ|␞␃ .",
		out:  "\x1a ＃ρG＼η\x014φ␍-ｕk\nｃη::βｄ␞p！ａ|␞␃ .",
	}, { // 911
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "\x1a ＃ρG＼η\x014φ␍-ｕk\nｃη::βｄ␞p！ａ|␞␃ ．",
		out:  "\x1a ＃ρG＼η\x014φ␍-ｕk\nｃη::βｄ␞p！ａ|␞␃ ．",
	}, { // 912
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ␂!␔\x1a\x05!ν␈．ηｖ␆[αｆ)+2Oα％μ:＼F\a ␁",
		out:  "． ␂!␔\x1a\x05!ν␈．ηｖ␆[αｆ)+2Oα％μ:＼F\a ␁",
	}, { // 913
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ␂!␔\x1a\x05!ν␈．ηｖ␆[αｆ)+2Oα％μ:＼F\a ␁",
		out:  "‛． ␂!␔\x1a\x05!ν␈．ηｖ␆[αｆ)+2Oα％μ:＼F\a ␁",
	}, { // 914
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "Ｍ ␂!␔\x1a\x05!ν␈．ηｖ␆[αｆ)+2Oα％μ:＼F\a .",
		out:  "Ｍ ␂!␔\x1a\x05!ν␈．ηｖ␆[αｆ)+2Oα％μ:＼F\a .",
	}, { // 915
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "Ｍ ␂!␔\x1a\x05!ν␈．ηｖ␆[αｆ)+2Oα％μ:＼F\a ．",
		out:  "Ｍ ␂!␔\x1a\x05!ν␈．ηｖ␆[αｆ)+2Oα％μ:＼F\a ．",
	}, { // 916
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". π␉,οｔ'F␌３\x01ｏ#ς␂ｓ␍3ψm]Ｊνｎy␓λ \x06",
		out:  "． π␉,οｔ'F␌３\x01ｏ#ς␂ｓ␍3ψm］Ｊνｎy␓λ \x06",
	}, { // 917
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． π␉,οｔ'F␌３\x01ｏ#ς␂ｓ␍3ψm]Ｊνｎy␓λ \x06",
		out:  "‛． π␉,οｔ'F␌３\x01ｏ#ς␂ｓ␍3ψm］Ｊνｎy␓λ \x06",
	}, { // 918
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "Q π␉,οｔ'F␌３\x01ｏ#ς␂ｓ␍3ψm]Ｊνｎy␓λ .",
		out:  "Q π␉,οｔ'F␌３\x01ｏ#ς␂ｓ␍3ψm］Ｊνｎy␓λ .",
	}, { // 919
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "Q π␉,οｔ'F␌３\x01ｏ#ς␂ｓ␍3ψm]Ｊνｎy␓λ ．",
		out:  "Q π␉,οｔ'F␌３\x01ｏ#ς␂ｓ␍3ψm］Ｊνｎy␓λ ．",
	}, { // 920
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". Ｈ＠；[ελμ\x04λ`v）+\x1b\x10ｚ␒｝Uπeς\x15␘␘; ␖",
		out:  "． Ｈ＠‛；[ελμ\x04λ`v）+\x1b\x10ｚ␒｝Uπeς\x15␘␘； ␖",
	}, { // 921
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． Ｈ＠；[ελμ\x04λ`v）+\x1b\x10ｚ␒｝Uπeς\x15␘␘; ␖",
		out:  "‛． Ｈ＠‛；[ελμ\x04λ`v）+\x1b\x10ｚ␒｝Uπeς\x15␘␘； ␖",
	}, { // 922
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "␘ Ｈ＠；[ελμ\x04λ`v）+\x1b\x10ｚ␒｝Uπeς\x15␘␘; .",
		out:  "␘ Ｈ＠‛；[ελμ\x04λ`v）+\x1b\x10ｚ␒｝Uπeς\x15␘␘； .",
	}, { // 923
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "␘ Ｈ＠；[ελμ\x04λ`v）+\x1b\x10ｚ␒｝Uπeς\x15␘␘; ．",
		out:  "␘ Ｈ＠‛；[ελμ\x04λ`v）+\x1b\x10ｚ␒｝Uπeς\x15␘␘； ．",
	}, { // 924
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". γω'κｏ\x01ｊ０θ\x1c\rQ␞＃λ`\x02？－ηI␊\x10４␏: |",
		out:  "． γω'κｏ\x01ｊ０θ\x1c\rQ␞＃λ`\x02？－ηI␊\x10４␏: |",
	}, { // 925
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． γω'κｏ\x01ｊ０θ\x1c\rQ␞＃λ`\x02？－ηI␊\x10４␏: |",
		out:  "‛． γω'κｏ\x01ｊ０θ\x1c\rQ␞＃λ`\x02？－ηI␊\x10４␏: |",
	}, { // 926
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "␏ γω'κｏ\x01ｊ０θ\x1c\rQ␞＃λ`\x02？－ηI␊\x10４␏: .",
		out:  "␏ γω'κｏ\x01ｊ０θ\x1c\rQ␞＃λ`\x02？－ηI␊\x10４␏: .",
	}, { // 927
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "␏ γω'κｏ\x01ｊ０θ\x1c\rQ␞＃λ`\x02？－ηI␊\x10４␏: ．",
		out:  "␏ γω'κｏ\x01ｊ０θ\x1c\rQ␞＃λ`\x02？－ηI␊\x10４␏: ．",
	}, { // 928
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ]-３f␍Ｔ␏}７\x13|␙＝␒Ｔ４␍\aθ␊Hμψψm\x15 λ",
		out:  "． ]-３f␍Ｔ␏}７\x13|␙＝␒Ｔ４␍\aθ␊Hμψψm\x15 λ",
	}, { // 929
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ]-３f␍Ｔ␏}７\x13|␙＝␒Ｔ４␍\aθ␊Hμψψm\x15 λ",
		out:  "‛． ]-３f␍Ｔ␏}７\x13|␙＝␒Ｔ４␍\aθ␊Hμψψm\x15 λ",
	}, { // 930
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "\" ]-３f␍Ｔ␏}７\x13|␙＝␒Ｔ４␍\aθ␊Hμψψm\x15 .",
		out:  "\" ]-３f␍Ｔ␏}７\x13|␙＝␒Ｔ４␍\aθ␊Hμψψm\x15 .",
	}, { // 931
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "\" ]-３f␍Ｔ␏}７\x13|␙＝␒Ｔ４␍\aθ␊Hμψψm\x15 ．",
		out:  "\" ]-３f␍Ｔ␏}７\x13|␙＝␒Ｔ４␍\aθ␊Hμψψm\x15 ．",
	}, { // 932
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ␀rＫκ␛␔_\x01{$ｂ/βλ\x1e\bρE\x10AＤ␑［６␞σ χ",
		out:  "． ‛␀rＫκ␛␔_\x01{$ｂ/βλ\x1e\bρE\x10AＤ␑［６␞σ χ",
	}, { // 933
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ␀rＫκ␛␔_\x01{$ｂ/βλ\x1e\bρE\x10AＤ␑［６␞σ χ",
		out:  "‛． ‛␀rＫκ␛␔_\x01{$ｂ/βλ\x1e\bρE\x10AＤ␑［６␞σ χ",
	}, { // 934
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "｛ ␀rＫκ␛␔_\x01{$ｂ/βλ\x1e\bρE\x10AＤ␑［６␞σ .",
		out:  "｛ ‛␀rＫκ␛␔_\x01{$ｂ/βλ\x1e\bρE\x10AＤ␑［６␞σ .",
	}, { // 935
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "｛ ␀rＫκ␛␔_\x01{$ｂ/βλ\x1e\bρE\x10AＤ␑［６␞σ ．",
		out:  "｛ ‛␀rＫκ␛␔_\x01{$ｂ/βλ\x1e\bρE\x10AＤ␑［６␞σ ．",
	}, { // 936
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ＝!-ＯC｛␒␏η;σβ:π␋\x04␏\x05５\x02；\b␘2I\b μ",
		out:  "． ＝!-ＯC｛␒␏η;σβ：π␋\x04␏\x05５\x02；\b␘2I\b μ",
	}, { // 937
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ＝!-ＯC｛␒␏η;σβ:π␋\x04␏\x05５\x02；\b␘2I\b μ",
		out:  "‛． ＝!-ＯC｛␒␏η;σβ：π␋\x04␏\x05５\x02；\b␘2I\b μ",
	}, { // 938
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "！ ＝!-ＯC｛␒␏η;σβ:π␋\x04␏\x05５\x02；\b␘2I\b .",
		out:  "！ ＝!-ＯC｛␒␏η;σβ：π␋\x04␏\x05５\x02；\b␘2I\b .",
	}, { // 939
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "！ ＝!-ＯC｛␒␏η;σβ:π␋\x04␏\x05５\x02；\b␘2I\b ．",
		out:  "！ ＝!-ＯC｛␒␏η;σβ：π␋\x04␏\x05５\x02；\b␘2I\b ．",
	}, { // 940
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". /;\nωzν␊Ｃζςςｇ)\x10␃␏！\x10\x19k^t␆ψ_｀ ＄",
		out:  "． /;\nωzν␊Ｃζςςｇ)\x10␃␏！\x10\x19k^t␆ψ_｀ ＄",
	}, { // 941
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． /;\nωzν␊Ｃζςςｇ)\x10␃␏！\x10\x19k^t␆ψ_｀ ＄",
		out:  "‛． /;\nωzν␊Ｃζςςｇ)\x10␃␏！\x10\x19k^t␆ψ_｀ ＄",
	}, { // 942
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "␊ /;\nωzν␊Ｃζςςｇ)\x10␃␏！\x10\x19k^t␆ψ_｀ .",
		out:  "␊ /;\nωzν␊Ｃζςςｇ)\x10␃␏！\x10\x19k^t␆ψ_｀ .",
	}, { // 943
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "␊ /;\nωzν␊Ｃζςςｇ)\x10␃␏！\x10\x19k^t␆ψ_｀ ．",
		out:  "␊ /;\nωzν␊Ｃζςςｇ)\x10␃␏！\x10\x19k^t␆ψ_｀ ．",
	}, { // 944
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ␕\x11ωωDｘｖ\x1cＢ\x12ωψ;Lh＿\x17␉\\βι[␌６＜␉ v",
		out:  "． ␕\x11ωωDｘｖ\x1cＢ\x12ωψ;Lh＿\x17␉\\βι[␌６＜␉ v",
	}, { // 945
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ␕\x11ωωDｘｖ\x1cＢ\x12ωψ;Lh＿\x17␉\\βι[␌６＜␉ v",
		out:  "‛． ␕\x11ωωDｘｖ\x1cＢ\x12ωψ;Lh＿\x17␉\\βι[␌６＜␉ v",
	}, { // 946
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "␝ ␕\x11ωωDｘｖ\x1cＢ\x12ωψ;Lh＿\x17␉\\βι[␌６＜␉ .",
		out:  "␝ ␕\x11ωωDｘｖ\x1cＢ\x12ωψ;Lh＿\x17␉\\βι[␌６＜␉ .",
	}, { // 947
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "␝ ␕\x11ωωDｘｖ\x1cＢ\x12ωψ;Lh＿\x17␉\\βι[␌６＜␉ ．",
		out:  "␝ ␕\x11ωωDｘｖ\x1cＢ\x12ωψ;Lh＿\x17␉\\βι[␌６＜␉ ．",
	}, { // 948
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". （φ\x04υσｄ－ι\nA$SＦφｃ␄WP/␂␛］？\x05[A ＃",
		out:  "． （φ\x04υσｄ－ι\nA$SＦφｃ␄WP/␂␛］？\x05[A ＃",
	}, { // 949
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． （φ\x04υσｄ－ι\nA$SＦφｃ␄WP/␂␛］？\x05[A ＃",
		out:  "‛． （φ\x04υσｄ－ι\nA$SＦφｃ␄WP/␂␛］？\x05[A ＃",
	}, { // 950
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "ｓ （φ\x04υσｄ－ι\nA$SＦφｃ␄WP/␂␛］？\x05[A .",
		out:  "ｓ （φ\x04υσｄ－ι\nA$SＦφｃ␄WP/␂␛］？\x05[A .",
	}, { // 951
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "ｓ （φ\x04υσｄ－ι\nA$SＦφｃ␄WP/␂␛］？\x05[A ．",
		out:  "ｓ （φ\x04υσｄ－ι\nA$SＦφｃ␄WP/␂␛］？\x05[A ．",
	}, { // 952
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ][Ｍ␔Cζ\f␑τ␇α]γ␘␀ω［＼dρＣTw３2\x1f [",
		out:  "． ][Ｍ␔Cζ\f␑τ␇α]γ␘‛␀ω［＼dρＣTw３2\x1f [",
	}, { // 953
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ][Ｍ␔Cζ\f␑τ␇α]γ␘␀ω［＼dρＣTw３2\x1f [",
		out:  "‛． ][Ｍ␔Cζ\f␑τ␇α]γ␘‛␀ω［＼dρＣTw３2\x1f [",
	}, { // 954
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "| ][Ｍ␔Cζ\f␑τ␇α]γ␘␀ω［＼dρＣTw３2\x1f .",
		out:  "| ][Ｍ␔Cζ\f␑τ␇α]γ␘‛␀ω［＼dρＣTw３2\x1f .",
	}, { // 955
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "| ][Ｍ␔Cζ\f␑τ␇α]γ␘␀ω［＼dρＣTw３2\x1f ．",
		out:  "| ][Ｍ␔Cζ\f␑τ␇α]γ␘‛␀ω［＼dρＣTw３2\x1f ．",
	}, { // 956
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ηmςｐ7βＭ\x1dυV␙４；\x1a␓ς\x16\r␞Ｍ％r；kＬV \x7f",
		out:  "． ηmςｐ7βＭ\x1dυV␙４；\x1a␓ς\x16\r␞Ｍ‛％r；kＬV \x7f",
	}, { // 957
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ηmςｐ7βＭ\x1dυV␙４；\x1a␓ς\x16\r␞Ｍ％r；kＬV \x7f",
		out:  "‛． ηmςｐ7βＭ\x1dυV␙４；\x1a␓ς\x16\r␞Ｍ‛％r；kＬV \x7f",
	}, { // 958
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "\r ηmςｐ7βＭ\x1dυV␙４；\x1a␓ς\x16\r␞Ｍ％r；kＬV .",
		out:  "\r ηmςｐ7βＭ\x1dυV␙４；\x1a␓ς\x16\r␞Ｍ‛％r；kＬV .",
	}, { // 959
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "\r ηmςｐ7βＭ\x1dυV␙４；\x1a␓ς\x16\r␞Ｍ％r；kＬV ．",
		out:  "\r ηmςｐ7βＭ\x1dυV␙４；\x1a␓ς\x16\r␞Ｍ‛％r；kＬV ．",
	}, { // 960
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ＨｕSθp␙\x16␊␓\x12｜\x0f␘Ｘυ=ρε\r*]%ＩυωE /",
		out:  "． ＨｕSθp␙\x16␊␓\x12｜\x0f␘Ｘυ=ρε\r*]%ＩυωE /",
	}, { // 961
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ＨｕSθp␙\x16␊␓\x12｜\x0f␘Ｘυ=ρε\r*]%ＩυωE /",
		out:  "‛． ＨｕSθp␙\x16␊␓\x12｜\x0f␘Ｘυ=ρε\r*]%ＩυωE /",
	}, { // 962
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "ｎ ＨｕSθp␙\x16␊␓\x12｜\x0f␘Ｘυ=ρε\r*]%ＩυωE .",
		out:  "ｎ ＨｕSθp␙\x16␊␓\x12｜\x0f␘Ｘυ=ρε\r*]%ＩυωE .",
	}, { // 963
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "ｎ ＨｕSθp␙\x16␊␓\x12｜\x0f␘Ｘυ=ρε\r*]%ＩυωE ．",
		out:  "ｎ ＨｕSθp␙\x16␊␓\x12｜\x0f␘Ｘυ=ρε\r*]%ＩυωE ．",
	}, { // 964
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ＞\x03Ｃυ＜ζ！；θ＞ＲXτ␍␌\x7f'］Z\x02o*ξ｝#τ Ｍ",
		out:  "． ＞\x03Ｃυ＜ζ！；θ＞ＲXτ‛␍␌\x7f'］Z\x02o*ξ｝#τ Ｍ",
	}, { // 965
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ＞\x03Ｃυ＜ζ！；θ＞ＲXτ␍␌\x7f'］Z\x02o*ξ｝#τ Ｍ",
		out:  "‛． ＞\x03Ｃυ＜ζ！；θ＞ＲXτ‛␍␌\x7f'］Z\x02o*ξ｝#τ Ｍ",
	}, { // 966
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "! ＞\x03Ｃυ＜ζ！；θ＞ＲXτ␍␌\x7f'］Z\x02o*ξ｝#τ .",
		out:  "! ＞\x03Ｃυ＜ζ！；θ＞ＲXτ‛␍␌\x7f'］Z\x02o*ξ｝#τ .",
	}, { // 967
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "! ＞\x03Ｃυ＜ζ！；θ＞ＲXτ␍␌\x7f'］Z\x02o*ξ｝#τ ．",
		out:  "! ＞\x03Ｃυ＜ζ！；θ＞ＲXτ‛␍␌\x7f'］Z\x02o*ξ｝#τ ．",
	}, { // 968
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". <\x19[ｓ!\r[Ｍα＃［␐χξｙμ\x06E／＼$μ．b＼ｚ ｐ",
		out:  "． <\x19[ｓ!\r[Ｍα＃［␐χξｙμ\x06E／＼$μ．b＼ｚ ｐ",
	}, { // 969
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． <\x19[ｓ!\r[Ｍα＃［␐χξｙμ\x06E／＼$μ．b＼ｚ ｐ",
		out:  "‛． <\x19[ｓ!\r[Ｍα＃［␐χξｙμ\x06E／＼$μ．b＼ｚ ｐ",
	}, { // 970
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "H <\x19[ｓ!\r[Ｍα＃［␐χξｙμ\x06E／＼$μ．b＼ｚ .",
		out:  "H <\x19[ｓ!\r[Ｍα＃［␐χξｙμ\x06E／＼$μ．b＼ｚ .",
	}, { // 971
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "H <\x19[ｓ!\r[Ｍα＃［␐χξｙμ\x06E／＼$μ．b＼ｚ ．",
		out:  "H <\x19[ｓ!\r[Ｍα＃［␐χξｙμ\x06E／＼$μ．b＼ｚ ．",
	}, { // 972
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". φ（␆bＰs＄␙Ｔνα␔２\x12*ｙｊ^}ζY\x03\x10\x1eι： θ",
		out:  "． φ（‛␆bＰs＄‛␙Ｔνα‛␔２␒*ｙｊ^}ζY␃␐␞ι： θ",
	}, { // 973
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． φ（␆bＰs＄␙Ｔνα␔２\x12*ｙｊ^}ζY\x03\x10\x1eι： θ",
		out:  "‛． φ（‛␆bＰs＄‛␙Ｔνα‛␔２␒*ｙｊ^}ζY␃␐␞ι： θ",
	}, { // 974
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "G φ（␆bＰs＄␙Ｔνα␔２\x12*ｙｊ^}ζY\x03\x10\x1eι： .",
		out:  "G φ（‛␆bＰs＄‛␙Ｔνα‛␔２␒*ｙｊ^}ζY␃␐␞ι： .",
	}, { // 975
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "G φ（␆bＰs＄␙Ｔνα␔２\x12*ｙｊ^}ζY\x03\x10\x1eι： ．",
		out:  "G φ（‛␆bＰs＄‛␙Ｔνα‛␔２␒*ｙｊ^}ζY␃␐␞ι： ．",
	}, { // 976
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~\x11bSπ；ε␗ε\x17N]S␙％λ＆＇ｍ＼;:ν\x19e＃σ~／",
		out:  "．~\x11bSπ；ε␗ε\x17N]S␙％λ＆＇ｍ＼;:ν\x19e＃σ~／",
	}, { // 977
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~\x11bSπ；ε␗ε\x17N]S␙％λ＆＇ｍ＼;:ν\x19e＃σ~／",
		out:  "‛．~\x11bSπ；ε␗ε\x17N]S␙％λ＆＇ｍ＼;:ν\x19e＃σ~／",
	}, { // 978
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "␍~\x11bSπ；ε␗ε\x17N]S␙％λ＆＇ｍ＼;:ν\x19e＃σ~.",
		out:  "␍~\x11bSπ；ε␗ε\x17N]S␙％λ＆＇ｍ＼;:ν\x19e＃σ~.",
	}, { // 979
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "␍~\x11bSπ；ε␗ε\x17N]S␙％λ＆＇ｍ＼;:ν\x19e＃σ~．",
		out:  "␍~\x11bSπ；ε␗ε\x17N]S␙％λ＆＇ｍ＼;:ν\x19e＃σ~．",
	}, { // 980
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~Ｍｗ␖␇lχM␗｛\x01s␞ｆρ|ξ␝＜ｖμu\x02\vＸY\x12~α",
		out:  "．~Ｍｗ␖␇lχM␗｛\x01s␞ｆρ|ξ␝＜ｖμu\x02\vＸY\x12~α",
	}, { // 981
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~Ｍｗ␖␇lχM␗｛\x01s␞ｆρ|ξ␝＜ｖμu\x02\vＸY\x12~α",
		out:  "‛．~Ｍｗ␖␇lχM␗｛\x01s␞ｆρ|ξ␝＜ｖμu\x02\vＸY\x12~α",
	}, { // 982
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "J~Ｍｗ␖␇lχM␗｛\x01s␞ｆρ|ξ␝＜ｖμu\x02\vＸY\x12~.",
		out:  "J~Ｍｗ␖␇lχM␗｛\x01s␞ｆρ|ξ␝＜ｖμu\x02\vＸY\x12~.",
	}, { // 983
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "J~Ｍｗ␖␇lχM␗｛\x01s␞ｆρ|ξ␝＜ｖμu\x02\vＸY\x12~．",
		out:  "J~Ｍｗ␖␇lχM␗｛\x01s␞ｆρ|ξ␝＜ｖμu\x02\vＸY\x12~．",
	}, { // 984
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~[z-π／ξ␎ｇνπ0_t\x00Ｄｃ％>τＫ>\x1d␀o␃η~＠",
		out:  "．~[z-π／ξ␎ｇνπ0_t␀Ｄｃ％>τＫ>\x1d‛␀o␃η~＠",
	}, { // 985
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~[z-π／ξ␎ｇνπ0_t\x00Ｄｃ％>τＫ>\x1d␀o␃η~＠",
		out:  "‛．~[z-π／ξ␎ｇνπ0_t␀Ｄｃ％>τＫ>\x1d‛␀o␃η~＠",
	}, { // 986
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "＼~[z-π／ξ␎ｇνπ0_t\x00Ｄｃ％>τＫ>\x1d␀o␃η~.",
		out:  "＼~[z-π／ξ␎ｇνπ0_t␀Ｄｃ％>τＫ>\x1d‛␀o␃η~.",
	}, { // 987
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "＼~[z-π／ξ␎ｇνπ0_t\x00Ｄｃ％>τＫ>\x1d␀o␃η~．",
		out:  "＼~[z-π／ξ␎ｇνπ0_t␀Ｄｃ％>τＫ>\x1d‛␀o␃η~．",
	}, { // 988
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~\x14ς\x14！α␍Ｗ＊θＵt\x06λ～Y８1␞＋\a\x1cuｄg␟N~β",
		out:  "．~\x14ς\x14！α␍Ｗ＊θＵt\x06λ～Y８1␞＋\a\x1cuｄg␟N~β",
	}, { // 989
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~\x14ς\x14！α␍Ｗ＊θＵt\x06λ～Y８1␞＋\a\x1cuｄg␟N~β",
		out:  "‛．~\x14ς\x14！α␍Ｗ＊θＵt\x06λ～Y８1␞＋\a\x1cuｄg␟N~β",
	}, { // 990
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "ξ~\x14ς\x14！α␍Ｗ＊θＵt\x06λ～Y８1␞＋\a\x1cuｄg␟N~.",
		out:  "ξ~\x14ς\x14！α␍Ｗ＊θＵt\x06λ～Y８1␞＋\a\x1cuｄg␟N~.",
	}, { // 991
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "ξ~\x14ς\x14！α␍Ｗ＊θＵt\x06λ～Y８1␞＋\a\x1cuｄg␟N~．",
		out:  "ξ~\x14ς\x14！α␍Ｗ＊θＵt\x06λ～Y８1␞＋\a\x1cuｄg␟N~．",
	}, { // 992
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~\x1eρυ\x05１E\x1fwd␊F␐Ｌξ：＄５uｆ\x1aοω／）δ\x00~\x02",
		out:  "．~\x1eρυ\x05１E\x1fwd␊F␐Ｌξ：＄５uｆ\x1aοω／）δ␀~\x02",
	}, { // 993
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~\x1eρυ\x05１E\x1fwd␊F␐Ｌξ：＄５uｆ\x1aοω／）δ\x00~\x02",
		out:  "‛．~\x1eρυ\x05１E\x1fwd␊F␐Ｌξ：＄５uｆ\x1aοω／）δ␀~\x02",
	}, { // 994
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "q~\x1eρυ\x05１E\x1fwd␊F␐Ｌξ：＄５uｆ\x1aοω／）δ\x00~.",
		out:  "q~\x1eρυ\x05１E\x1fwd␊F␐Ｌξ：＄５uｆ\x1aοω／）δ␀~.",
	}, { // 995
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "q~\x1eρυ\x05１E\x1fwd␊F␐Ｌξ：＄５uｆ\x1aοω／）δ\x00~．",
		out:  "q~\x1eρυ\x05１E\x1fwd␊F␐Ｌξ：＄５uｆ\x1aοω／）δ␀~．",
	}, { // 996
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~ς＞γ<-K＃２πα\x01ο␈nＥ␟\x18>␛｛+ｏ␚]<\x0e~#",
		out:  "．~ς＞γ<-K＃２πα\x01ο␈nＥ␟\x18>␛｛+ｏ␚］<\x0e~#",
	}, { // 997
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~ς＞γ<-K＃２πα\x01ο␈nＥ␟\x18>␛｛+ｏ␚]<\x0e~#",
		out:  "‛．~ς＞γ<-K＃２πα\x01ο␈nＥ␟\x18>␛｛+ｏ␚］<\x0e~#",
	}, { // 998
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "␗~ς＞γ<-K＃２πα\x01ο␈nＥ␟\x18>␛｛+ｏ␚]<\x0e~.",
		out:  "␗~ς＞γ<-K＃２πα\x01ο␈nＥ␟\x18>␛｛+ｏ␚］<\x0e~.",
	}, { // 999
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "␗~ς＞γ<-K＃２πα\x01ο␈nＥ␟\x18>␛｛+ｏ␚]<\x0e~．",
		out:  "␗~ς＞γ<-K＃２πα\x01ο␈nＥ␟\x18>␛｛+ｏ␚］<\x0e~．",
	}, { // 1000
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~\x17σ␉／θ\tχ８D␜χ|)ｒ␍ｏｓ\x16σDｑ!\x1a\x10μ\x01~␇",
		out:  "．~\x17σ␉／θ\tχ８D␜χ|)ｒ␍ｏｓ\x16σDｑ!\x1a\x10μ\x01~␇",
	}, { // 1001
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~\x17σ␉／θ\tχ８D␜χ|)ｒ␍ｏｓ\x16σDｑ!\x1a\x10μ\x01~␇",
		out:  "‛．~\x17σ␉／θ\tχ８D␜χ|)ｒ␍ｏｓ\x16σDｑ!\x1a\x10μ\x01~␇",
	}, { // 1002
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "␊~\x17σ␉／θ\tχ８D␜χ|)ｒ␍ｏｓ\x16σDｑ!\x1a\x10μ\x01~.",
		out:  "␊~\x17σ␉／θ\tχ８D␜χ|)ｒ␍ｏｓ\x16σDｑ!\x1a\x10μ\x01~.",
	}, { // 1003
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "␊~\x17σ␉／θ\tχ８D␜χ|)ｒ␍ｏｓ\x16σDｑ!\x1a\x10μ\x01~．",
		out:  "␊~\x17σ␉／θ\tχ８D␜χ|)ｒ␍ｏｓ\x16σDｑ!\x1a\x10μ\x01~．",
	}, { // 1004
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~ε␡ζ␞｛｜ε\x02φ］５\x10␀\f\uff00␄F＋\aα＞ｓ\x18b]G~+",
		out:  "．~ε␡ζ␞｛｜ε\x02φ］５\x10‛␀\f\uff00␄F＋\aα＞ｓ\x18b]G~+",
	}, { // 1005
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~ε␡ζ␞｛｜ε\x02φ］５\x10␀\f\uff00␄F＋\aα＞ｓ\x18b]G~+",
		out:  "‛．~ε␡ζ␞｛｜ε\x02φ］５\x10‛␀\f\uff00␄F＋\aα＞ｓ\x18b]G~+",
	}, { // 1006
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "τ~ε␡ζ␞｛｜ε\x02φ］５\x10␀\f\uff00␄F＋\aα＞ｓ\x18b]G~.",
		out:  "τ~ε␡ζ␞｛｜ε\x02φ］５\x10‛␀\f\uff00␄F＋\aα＞ｓ\x18b]G~.",
	}, { // 1007
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "τ~ε␡ζ␞｛｜ε\x02φ］５\x10␀\f\uff00␄F＋\aα＞ｓ\x18b]G~．",
		out:  "τ~ε␡ζ␞｛｜ε\x02φ］５\x10‛␀\f\uff00␄F＋\aα＞ｓ\x18b]G~．",
	}, { // 1008
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~～ｗ｜\x06＊Ｎi:＇\"!δ］*␀θι\x1dg␞ς9＋πo*~e",
		out:  "．~～ｗ｜\x06＊Ｎi:＇\"!δ］*‛␀θι\x1dg␞ς9＋πo*~e",
	}, { // 1009
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~～ｗ｜\x06＊Ｎi:＇\"!δ］*␀θι\x1dg␞ς9＋πo*~e",
		out:  "‛．~～ｗ｜\x06＊Ｎi:＇\"!δ］*‛␀θι\x1dg␞ς9＋πo*~e",
	}, { // 1010
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "；~～ｗ｜\x06＊Ｎi:＇\"!δ］*␀θι\x1dg␞ς9＋πo*~.",
		out:  "；~～ｗ｜\x06＊Ｎi:＇\"!δ］*‛␀θι\x1dg␞ς9＋πo*~.",
	}, { // 1011
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "；~～ｗ｜\x06＊Ｎi:＇\"!δ］*␀θι\x1dg␞ς9＋πo*~．",
		out:  "；~～ｗ｜\x06＊Ｎi:＇\"!δ］*‛␀θι\x1dg␞ς9＋πo*~．",
	}, { // 1012
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~μ\x19νκ>␂x｝,Ｚ\x1d␝＿␍Oλ，␅＋Dς＄ｇμ␌.~\x01",
		out:  "．~μ\x19νκ>␂x｝,Ｚ\x1d␝＿␍Oλ，␅＋Dς＄ｇμ␌.~\x01",
	}, { // 1013
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~μ\x19νκ>␂x｝,Ｚ\x1d␝＿␍Oλ，␅＋Dς＄ｇμ␌.~\x01",
		out:  "‛．~μ\x19νκ>␂x｝,Ｚ\x1d␝＿␍Oλ，␅＋Dς＄ｇμ␌.~\x01",
	}, { // 1014
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\b~μ\x19νκ>␂x｝,Ｚ\x1d␝＿␍Oλ，␅＋Dς＄ｇμ␌.~.",
		out:  "\b~μ\x19νκ>␂x｝,Ｚ\x1d␝＿␍Oλ，␅＋Dς＄ｇμ␌.~.",
	}, { // 1015
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\b~μ\x19νκ>␂x｝,Ｚ\x1d␝＿␍Oλ，␅＋Dς＄ｇμ␌.~．",
		out:  "\b~μ\x19νκ>␂x｝,Ｚ\x1d␝＿␍Oλ，␅＋Dς＄ｇμ␌.~．",
	}, { // 1016
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~＿γi\x1c（τ\b␙\x1fχρ␌\x1aＱκ＿zＣ；?Kiξ'+␂~ｃ",
		out:  "．~＿γi\x1c（τ\b␙\x1fχρ␌\x1aＱκ＿zＣ；?Kiξ'+␂~ｃ",
	}, { // 1017
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~＿γi\x1c（τ\b␙\x1fχρ␌\x1aＱκ＿zＣ；?Kiξ'+␂~ｃ",
		out:  "‛．~＿γi\x1c（τ\b␙\x1fχρ␌\x1aＱκ＿zＣ；?Kiξ'+␂~ｃ",
	}, { // 1018
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "␊~＿γi\x1c（τ\b␙\x1fχρ␌\x1aＱκ＿zＣ；?Kiξ'+␂~.",
		out:  "␊~＿γi\x1c（τ\b␙\x1fχρ␌\x1aＱκ＿zＣ；?Kiξ'+␂~.",
	}, { // 1019
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "␊~＿γi\x1c（τ\b␙\x1fχρ␌\x1aＱκ＿zＣ；?Kiξ'+␂~．",
		out:  "␊~＿γi\x1c（τ\b␙\x1fχρ␌\x1aＱκ＿zＣ；?Kiξ'+␂~．",
	}, { // 1020
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~\x04Ａ>ς␌.\b␏\n␇．ε␘｝ιＭ|\rεu*ｄ7␇\x1c␒~g",
		out:  "．~\x04Ａ>ς␌.\b␏\n␇．ε␘｝ιＭ|\rεu*ｄ7␇\x1c␒~g",
	}, { // 1021
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~\x04Ａ>ς␌.\b␏\n␇．ε␘｝ιＭ|\rεu*ｄ7␇\x1c␒~g",
		out:  "‛．~\x04Ａ>ς␌.\b␏\n␇．ε␘｝ιＭ|\rεu*ｄ7␇\x1c␒~g",
	}, { // 1022
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "Ｃ~\x04Ａ>ς␌.\b␏\n␇．ε␘｝ιＭ|\rεu*ｄ7␇\x1c␒~.",
		out:  "Ｃ~\x04Ａ>ς␌.\b␏\n␇．ε␘｝ιＭ|\rεu*ｄ7␇\x1c␒~.",
	}, { // 1023
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "Ｃ~\x04Ａ>ς␌.\b␏\n␇．ε␘｝ιＭ|\rεu*ｄ7␇\x1c␒~．",
		out:  "Ｃ~\x04Ａ>ς␌.\b␏\n␇．ε␘｝ιＭ|\rεu*ｄ7␇\x1c␒~．",
	}, { // 1024
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~ρN\x01＂␡5ｋ␘？；\"％δγωP<<［␁\nＲ*κ[/~\x00",
		out:  "．~ρN\x01＂␡5ｋ␘？；\"％δγωP<<［␁\nＲ＊κ[/~␀",
	}, { // 1025
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~ρN\x01＂␡5ｋ␘？；\"％δγωP<<［␁\nＲ*κ[/~\x00",
		out:  "‛．~ρN\x01＂␡5ｋ␘？；\"％δγωP<<［␁\nＲ＊κ[/~␀",
	}, { // 1026
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "␐~ρN\x01＂␡5ｋ␘？；\"％δγωP<<［␁\nＲ*κ[/~.",
		out:  "␐~ρN\x01＂␡5ｋ␘？；\"％δγωP<<［␁\nＲ＊κ[/~.",
	}, { // 1027
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "␐~ρN\x01＂␡5ｋ␘？；\"％δγωP<<［␁\nＲ*κ[/~．",
		out:  "␐~ρN\x01＂␡5ｋ␘？；\"％δγωP<<［␁\nＲ＊κ[/~．",
	}, { // 1028
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~/｀\x18Ｅζ␊rγι\x16␓Ａ5\x13ｕ，ｘ9ω＂$␓θ␘κ~~x",
		out:  "．~/｀\x18Ｅζ␊rγι\x16␓Ａ5\x13ｕ，ｘ9ω＂$␓θ␘κ~~x",
	}, { // 1029
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~/｀\x18Ｅζ␊rγι\x16␓Ａ5\x13ｕ，ｘ9ω＂$␓θ␘κ~~x",
		out:  "‛．~/｀\x18Ｅζ␊rγι\x16␓Ａ5\x13ｕ，ｘ9ω＂$␓θ␘κ~~x",
	}, { // 1030
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\r~/｀\x18Ｅζ␊rγι\x16␓Ａ5\x13ｕ，ｘ9ω＂$␓θ␘κ~~.",
		out:  "\r~/｀\x18Ｅζ␊rγι\x16␓Ａ5\x13ｕ，ｘ9ω＂$␓θ␘κ~~.",
	}, { // 1031
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\r~/｀\x18Ｅζ␊rγι\x16␓Ａ5\x13ｕ，ｘ9ω＂$␓θ␘κ~~．",
		out:  "\r~/｀\x18Ｅζ␊rγι\x16␓Ａ5\x13ｕ，ｘ9ω＂$␓θ␘κ~~．",
	}, { // 1032
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~？／␔ｄｏm＠f０␜σ\n\x01␍eοβ[:ζｗψτ␑\r\x02~(",
		out:  "．~？／␔ｄｏm＠f０␜σ\n\x01␍eοβ[:ζｗψτ␑\r\x02~(",
	}, { // 1033
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~？／␔ｄｏm＠f０␜σ\n\x01␍eοβ[:ζｗψτ␑\r\x02~(",
		out:  "‛．~？／␔ｄｏm＠f０␜σ\n\x01␍eοβ[:ζｗψτ␑\r\x02~(",
	}, { // 1034
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\t~？／␔ｄｏm＠f０␜σ\n\x01␍eοβ[:ζｗψτ␑\r\x02~.",
		out:  "\t~？／␔ｄｏm＠f０␜σ\n\x01␍eοβ[:ζｗψτ␑\r\x02~.",
	}, { // 1035
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\t~？／␔ｄｏm＠f０␜σ\n\x01␍eοβ[:ζｗψτ␑\r\x02~．",
		out:  "\t~？／␔ｄｏm＠f０␜σ\n\x01␍eοβ[:ζｗψτ␑\r\x02~．",
	}, { // 1036
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~＜␉ο\x011λ\x1c\x7fι\x1aδ＞；\\［｛m\n｀9ＵX␔＇>γ~f",
		out:  "．~＜␉ο\x011λ\x1c\x7fι\x1aδ＞；\\［｛m\n｀9ＵX␔＇>γ~f",
	}, { // 1037
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~＜␉ο\x011λ\x1c\x7fι\x1aδ＞；\\［｛m\n｀9ＵX␔＇>γ~f",
		out:  "‛．~＜␉ο\x011λ\x1c\x7fι\x1aδ＞；\\［｛m\n｀9ＵX␔＇>γ~f",
	}, { // 1038
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "（~＜␉ο\x011λ\x1c\x7fι\x1aδ＞；\\［｛m\n｀9ＵX␔＇>γ~.",
		out:  "（~＜␉ο\x011λ\x1c\x7fι\x1aδ＞；\\［｛m\n｀9ＵX␔＇>γ~.",
	}, { // 1039
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "（~＜␉ο\x011λ\x1c\x7fι\x1aδ＞；\\［｛m\n｀9ＵX␔＇>γ~．",
		out:  "（~＜␉ο\x011λ\x1c\x7fι\x1aδ＞；\\［｛m\n｀9ＵX␔＇>γ~．",
	}, { // 1040
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~␝@␏ｌτ␊\x1a３dω\x12／η>ςｊ\x19／␒：～J；,:ζ~/",
		out:  "．~␝@␏ｌτ␊\x1a３dω\x12／η>ςｊ\x19／␒：～J；,:ζ~/",
	}, { // 1041
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~␝@␏ｌτ␊\x1a３dω\x12／η>ςｊ\x19／␒：～J；,:ζ~/",
		out:  "‛．~␝@␏ｌτ␊\x1a３dω\x12／η>ςｊ\x19／␒：～J；,:ζ~/",
	}, { // 1042
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\n~␝@␏ｌτ␊\x1a３dω\x12／η>ςｊ\x19／␒：～J；,:ζ~.",
		out:  "\n~␝@␏ｌτ␊\x1a３dω\x12／η>ςｊ\x19／␒：～J；,:ζ~.",
	}, { // 1043
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\n~␝@␏ｌτ␊\x1a３dω\x12／η>ςｊ\x19／␒：～J；,:ζ~．",
		out:  "\n~␝@␏ｌτ␊\x1a３dω\x12／η>ςｊ\x19／␒：～J；,:ζ~．",
	}, { // 1044
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~*\n｀ν＃\a␊＊Bｒ\x03q.ωＹ0␌␋θU４>␈\nυ␞~λ",
		out:  "．~*␊｀ν＃\a‛␊＊Bｒ\x03q.ωＹ0␌␋θU４>␈␊υ␞~λ",
	}, { // 1045
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~*\n｀ν＃\a␊＊Bｒ\x03q.ωＹ0␌␋θU４>␈\nυ␞~λ",
		out:  "‛．~*␊｀ν＃\a‛␊＊Bｒ\x03q.ωＹ0␌␋θU４>␈␊υ␞~λ",
	}, { // 1046
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftTilde,
		in:   " ~*\n｀ν＃\a␊＊Bｒ\x03q.ωＹ0␌␋θU４>␈\nυ␞~.",
		out:  " ~*␊｀ν＃\a‛␊＊Bｒ\x03q.ωＹ0␌␋θU４>␈␊υ␞~.",
	}, { // 1047
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftTilde,
		in:   " ~*\n｀ν＃\a␊＊Bｒ\x03q.ωＹ0␌␋θU４>␈\nυ␞~．",
		out:  " ~*␊｀ν＃\a‛␊＊Bｒ\x03q.ωＹ0␌␋θU４>␈␊υ␞~．",
	}, { // 1048
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~\x01|σ/α␙＄>S␂r␔\x11ｖ\x10ａzＬφ4η（η␃␌{~Ｈ",
		out:  "．~\x01|σ/α␙＄>S␂r␔\x11ｖ\x10ａzＬφ4η（η␃␌{~Ｈ",
	}, { // 1049
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~\x01|σ/α␙＄>S␂r␔\x11ｖ\x10ａzＬφ4η（η␃␌{~Ｈ",
		out:  "‛．~\x01|σ/α␙＄>S␂r␔\x11ｖ\x10ａzＬφ4η（η␃␌{~Ｈ",
	}, { // 1050
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\x12~\x01|σ/α␙＄>S␂r␔\x11ｖ\x10ａzＬφ4η（η␃␌{~.",
		out:  "\x12~\x01|σ/α␙＄>S␂r␔\x11ｖ\x10ａzＬφ4η（η␃␌{~.",
	}, { // 1051
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\x12~\x01|σ/α␙＄>S␂r␔\x11ｖ\x10ａzＬφ4η（η␃␌{~．",
		out:  "\x12~\x01|σ/α␙＄>S␂r␔\x11ｖ\x10ａzＬφ4η（η␃␌{~．",
	}, { // 1052
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~\\'χ5␕χ＜zψ\x18ＫH\x1c\x15\tＣ␍｀␜χ%κ／\x1eＬ␛~＂",
		out:  "．~\\'χ5‛␕χ＜zψ␘ＫH␜␕␉Ｃ‛␍｀‛␜χ%κ／␞Ｌ‛␛~＂",
	}, { // 1053
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~\\'χ5␕χ＜zψ\x18ＫH\x1c\x15\tＣ␍｀␜χ%κ／\x1eＬ␛~＂",
		out:  "‛．~\\'χ5‛␕χ＜zψ␘ＫH␜␕␉Ｃ‛␍｀‛␜χ%κ／␞Ｌ‛␛~＂",
	}, { // 1054
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "π~\\'χ5␕χ＜zψ\x18ＫH\x1c\x15\tＣ␍｀␜χ%κ／\x1eＬ␛~.",
		out:  "π~\\'χ5‛␕χ＜zψ␘ＫH␜␕␉Ｃ‛␍｀‛␜χ%κ／␞Ｌ‛␛~.",
	}, { // 1055
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "π~\\'χ5␕χ＜zψ\x18ＫH\x1c\x15\tＣ␍｀␜χ%κ／\x1eＬ␛~．",
		out:  "π~\\'χ5‛␕χ＜zψ␘ＫH␜␕␉Ｃ‛␍｀‛␜χ%κ／␞Ｌ‛␛~．",
	}, { // 1056
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\tε",
		out:  "．\t\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\tε",
	}, { // 1057
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\tε",
		out:  "‛．\t\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\tε",
	}, { // 1058
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\nε",
		out:  "．\n\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\nε",
	}, { // 1059
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\nε",
		out:  "‛．\n\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\nε",
	}, { // 1060
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\vε",
		out:  "．\v\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\vε",
	}, { // 1061
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\vε",
		out:  "‛．\v\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\vε",
	}, { // 1062
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\rε",
		out:  "．\r\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\rε",
	}, { // 1063
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\rε",
		out:  "‛．\r\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\rε",
	}, { // 1064
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "A\t\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\t.",
		out:  "A\t\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\t.",
	}, { // 1065
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "A\t\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\t．",
		out:  "A\t\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\t．",
	}, { // 1066
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "A\n\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\n.",
		out:  "A\n\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\n.",
	}, { // 1067
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "A\n\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\n．",
		out:  "A\n\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\n．",
	}, { // 1068
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "A\v\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\v.",
		out:  "A\v\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\v.",
	}, { // 1069
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "A\v\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\v．",
		out:  "A\v\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\v．",
	}, { // 1070
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "A\r\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\r.",
		out:  "A\r\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\r.",
	}, { // 1071
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "A\r\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\r．",
		out:  "A\r\r'σＯT｀\x1a['\x7f＂{dz．ν＜φ７\x11ψδ␌␘８｜\r．",
	}, { // 1072
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\tO",
		out:  "．\tＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\tO",
	}, { // 1073
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\tO",
		out:  "‛．\tＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\tO",
	}, { // 1074
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\nO",
		out:  "．\nＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\nO",
	}, { // 1075
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\nO",
		out:  "‛．\nＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\nO",
	}, { // 1076
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\vO",
		out:  "．\vＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\vO",
	}, { // 1077
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\vO",
		out:  "‛．\vＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\vO",
	}, { // 1078
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\rO",
		out:  "．\rＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\rO",
	}, { // 1079
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\rO",
		out:  "‛．\rＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\rO",
	}, { // 1080
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＄\tＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\t.",
		out:  "＄\tＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\t.",
	}, { // 1081
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＄\tＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\t．",
		out:  "＄\tＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\t．",
	}, { // 1082
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＄\nＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\n.",
		out:  "＄\nＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\n.",
	}, { // 1083
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＄\nＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\n．",
		out:  "＄\nＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\n．",
	}, { // 1084
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＄\vＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\v.",
		out:  "＄\vＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\v.",
	}, { // 1085
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＄\vＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\v．",
		out:  "＄\vＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\v．",
	}, { // 1086
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＄\rＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\r.",
		out:  "＄\rＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\r.",
	}, { // 1087
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＄\rＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\r．",
		out:  "＄\rＥ\n␂τE\x18ωVＹησ␁␟ｎ␇␙`＿ρ．Ｐn\"υ\x19<\r．",
	}, { // 1088
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\t\x1b",
		out:  "．\t＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\t\x1b",
	}, { // 1089
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\t\x1b",
		out:  "‛．\t＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\t\x1b",
	}, { // 1090
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\n\x1b",
		out:  "．\n＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\n\x1b",
	}, { // 1091
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\n\x1b",
		out:  "‛．\n＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\n\x1b",
	}, { // 1092
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\v\x1b",
		out:  "．\v＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\v\x1b",
	}, { // 1093
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\v\x1b",
		out:  "‛．\v＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\v\x1b",
	}, { // 1094
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\r\x1b",
		out:  "．\r＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\r\x1b",
	}, { // 1095
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\r\x1b",
		out:  "‛．\r＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\r\x1b",
	}, { // 1096
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ρ\t＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\t.",
		out:  "ρ\t＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\t.",
	}, { // 1097
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ρ\t＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\t．",
		out:  "ρ\t＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\t．",
	}, { // 1098
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ρ\n＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\n.",
		out:  "ρ\n＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\n.",
	}, { // 1099
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ρ\n＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\n．",
		out:  "ρ\n＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\n．",
	}, { // 1100
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ρ\v＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\v.",
		out:  "ρ\v＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\v.",
	}, { // 1101
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ρ\v＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\v．",
		out:  "ρ\v＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\v．",
	}, { // 1102
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ρ\r＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\r.",
		out:  "ρ\r＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\r.",
	}, { // 1103
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ρ\r＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!␀␁Ｔα！␖＂\r．",
		out:  "ρ\r＆/+\r}τμ␌ｐ_ｚxχοL\x12＋D!‛␀␁Ｔα！␖＂\r．",
	}, { // 1104
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\t␇",
		out:  "．\t␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\t␇",
	}, { // 1105
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\t␇",
		out:  "‛．\t␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\t␇",
	}, { // 1106
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\n␇",
		out:  "．\n␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\n␇",
	}, { // 1107
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\n␇",
		out:  "‛．\n␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\n␇",
	}, { // 1108
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\v␇",
		out:  "．\v␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\v␇",
	}, { // 1109
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\v␇",
		out:  "‛．\v␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\v␇",
	}, { // 1110
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\r␇",
		out:  "．\r␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\r␇",
	}, { // 1111
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\r␇",
		out:  "‛．\r␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\r␇",
	}, { // 1112
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ω\t␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\t.",
		out:  "ω\t␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\t.",
	}, { // 1113
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ω\t␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\t．",
		out:  "ω\t␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\t．",
	}, { // 1114
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ω\n␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\n.",
		out:  "ω\n␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\n.",
	}, { // 1115
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ω\n␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\n．",
		out:  "ω\n␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\n．",
	}, { // 1116
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ω\v␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\v.",
		out:  "ω\v␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\v.",
	}, { // 1117
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ω\v␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\v．",
		out:  "ω\v␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\v．",
	}, { // 1118
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ω\r␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\r.",
		out:  "ω\r␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\r.",
	}, { // 1119
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ω\r␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\r．",
		out:  "ω\r␌\rｙ␄␜>\nη[>τε｛\v\\(iｏ\x1c－Ｌ４υγ␒!\r．",
	}, { // 1120
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\t␏",
		out:  "．\tδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\t␏",
	}, { // 1121
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\t␏",
		out:  "‛．\tδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\t␏",
	}, { // 1122
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\n␏",
		out:  "．\nδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\n␏",
	}, { // 1123
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\n␏",
		out:  "‛．\nδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\n␏",
	}, { // 1124
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\v␏",
		out:  "．\vδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\v␏",
	}, { // 1125
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\v␏",
		out:  "‛．\vδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\v␏",
	}, { // 1126
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\r␏",
		out:  "．\rδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\r␏",
	}, { // 1127
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\r␏",
		out:  "‛．\rδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\r␏",
	}, { // 1128
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "σ\tδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\t.",
		out:  "σ\tδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\t.",
	}, { // 1129
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "σ\tδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\t．",
		out:  "σ\tδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\t．",
	}, { // 1130
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "σ\nδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\n.",
		out:  "σ\nδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\n.",
	}, { // 1131
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "σ\nδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\n．",
		out:  "σ\nδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\n．",
	}, { // 1132
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "σ\vδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\v.",
		out:  "σ\vδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\v.",
	}, { // 1133
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "σ\vδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\v．",
		out:  "σ\vδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\v．",
	}, { // 1134
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "σ\rδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\r.",
		out:  "σ\rδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\r.",
	}, { // 1135
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "σ\rδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\r．",
		out:  "σ\rδY\x0fψ＼P\x06Ｗ␘w␞E\tｌδ\x03|␒␘␍ｒδ５C\x05σ\r．",
	}, { // 1136
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\t\x17",
		out:  "．\t\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\t\x17",
	}, { // 1137
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\t\x17",
		out:  "‛．\t\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\t\x17",
	}, { // 1138
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\n\x17",
		out:  "．\n\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\n\x17",
	}, { // 1139
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\n\x17",
		out:  "‛．\n\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\n\x17",
	}, { // 1140
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\v\x17",
		out:  "．\v\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\v\x17",
	}, { // 1141
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\v\x17",
		out:  "‛．\v\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\v\x17",
	}, { // 1142
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\r\x17",
		out:  "．\r\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\r\x17",
	}, { // 1143
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\r\x17",
		out:  "‛．\r\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\r\x17",
	}, { // 1144
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "α\t\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\t.",
		out:  "α\t\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\t.",
	}, { // 1145
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "α\t\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\t．",
		out:  "α\t\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\t．",
	}, { // 1146
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "α\n\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\n.",
		out:  "α\n\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\n.",
	}, { // 1147
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "α\n\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\n．",
		out:  "α\n\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\n．",
	}, { // 1148
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "α\v\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\v.",
		out:  "α\v\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\v.",
	}, { // 1149
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "α\v\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\v．",
		out:  "α\v\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\v．",
	}, { // 1150
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "α\r\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\r.",
		out:  "α\r\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\r.",
	}, { // 1151
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "α\r\r=］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\r．",
		out:  "α\r\r=‛］*Ｅτ｀Jρ\x12 ／\x13｛ｎ:␎&\x11␇φ９＞Hψι\r．",
	}, { // 1152
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\t５",
		out:  "．\tＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\t５",
	}, { // 1153
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\t５",
		out:  "‛．\tＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\t５",
	}, { // 1154
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\n５",
		out:  "．\nＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\n５",
	}, { // 1155
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\n５",
		out:  "‛．\nＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\n５",
	}, { // 1156
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\v５",
		out:  "．\vＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\v５",
	}, { // 1157
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\v５",
		out:  "‛．\vＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\v５",
	}, { // 1158
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\r５",
		out:  "．\rＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\r５",
	}, { // 1159
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\r５",
		out:  "‛．\rＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\r５",
	}, { // 1160
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "，\tＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\t.",
		out:  "，\tＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\t.",
	}, { // 1161
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "，\tＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\t．",
		out:  "，\tＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\t．",
	}, { // 1162
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "，\nＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\n.",
		out:  "，\nＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\n.",
	}, { // 1163
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "，\nＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\n．",
		out:  "，\nＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\n．",
	}, { // 1164
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "，\vＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\v.",
		out:  "，\vＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\v.",
	}, { // 1165
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "，\vＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\v．",
		out:  "，\vＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\v．",
	}, { // 1166
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "，\rＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\r.",
		out:  "，\rＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\r.",
	}, { // 1167
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "，\rＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\r．",
		out:  "，\rＦ|\x1co'\x15γξ.δｚ!ςθ/ＹＵ␐\x101％υ␝␒␂[\r．",
	}, { // 1168
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\tτ",
		out:  "．\tizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\tτ",
	}, { // 1169
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\tτ",
		out:  "‛．\tizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\tτ",
	}, { // 1170
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\nτ",
		out:  "．\nizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\nτ",
	}, { // 1171
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\nτ",
		out:  "‛．\nizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\nτ",
	}, { // 1172
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\vτ",
		out:  "．\vizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\vτ",
	}, { // 1173
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\vτ",
		out:  "‛．\vizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\vτ",
	}, { // 1174
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\rτ",
		out:  "．\rizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\rτ",
	}, { // 1175
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\rτ",
		out:  "‛．\rizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\rτ",
	}, { // 1176
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\tizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\t.",
		out:  "\x06\tizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\t.",
	}, { // 1177
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\tizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\t．",
		out:  "\x06\tizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\t．",
	}, { // 1178
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\nizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\n.",
		out:  "\x06\nizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\n.",
	}, { // 1179
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\nizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\n．",
		out:  "\x06\nizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\n．",
	}, { // 1180
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\vizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\v.",
		out:  "\x06\vizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\v.",
	}, { // 1181
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\vizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\v．",
		out:  "\x06\vizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\v．",
	}, { // 1182
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\rizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\r.",
		out:  "\x06\rizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\r.",
	}, { // 1183
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\rizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\r．",
		out:  "\x06\rizξ＋'．/＇ｌκ\a＃（？\uff00\x19υ｜1ο<γ␗6\x15␍\r．",
	}, { // 1184
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\t␟",
		out:  "．\t\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\t␟",
	}, { // 1185
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\t␟",
		out:  "‛．\t\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\t␟",
	}, { // 1186
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\n␟",
		out:  "．\n\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\n␟",
	}, { // 1187
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\n␟",
		out:  "‛．\n\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\n␟",
	}, { // 1188
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\v␟",
		out:  "．\v\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\v␟",
	}, { // 1189
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\v␟",
		out:  "‛．\v\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\v␟",
	}, { // 1190
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\r␟",
		out:  "．\r\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\r␟",
	}, { // 1191
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\r␟",
		out:  "‛．\r\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\r␟",
	}, { // 1192
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\t\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\t.",
		out:  "ａ\t\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\t.",
	}, { // 1193
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\t\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\t．",
		out:  "ａ\t\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\t．",
	}, { // 1194
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\n\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\n.",
		out:  "ａ\n\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\n.",
	}, { // 1195
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\n\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\n．",
		out:  "ａ\n\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\n．",
	}, { // 1196
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\v\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\v.",
		out:  "ａ\v\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\v.",
	}, { // 1197
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\v\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\v．",
		out:  "ａ\v\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\v．",
	}, { // 1198
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\r\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\r.",
		out:  "ａ\r\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\r.",
	}, { // 1199
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\r\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\r．",
		out:  "ａ\r\x01t６/ｋχ２τG␛␕\nσI］Dκθ*Ｎ␅ｈ<［\x0e_\r．",
	}, { // 1200
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\t␐",
		out:  "．\tοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\t␐",
	}, { // 1201
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\t␐",
		out:  "‛．\tοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\t␐",
	}, { // 1202
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\n␐",
		out:  "．\nοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\n␐",
	}, { // 1203
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\n␐",
		out:  "‛．\nοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\n␐",
	}, { // 1204
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\v␐",
		out:  "．\vοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\v␐",
	}, { // 1205
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\v␐",
		out:  "‛．\vοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\v␐",
	}, { // 1206
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\r␐",
		out:  "．\rοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\r␐",
	}, { // 1207
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\r␐",
		out:  "‛．\rοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\r␐",
	}, { // 1208
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＇\tοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\t.",
		out:  "＇\tοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\t.",
	}, { // 1209
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＇\tοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\t．",
		out:  "＇\tοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\t．",
	}, { // 1210
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＇\nοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\n.",
		out:  "＇\nοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\n.",
	}, { // 1211
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＇\nοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\n．",
		out:  "＇\nοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\n．",
	}, { // 1212
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＇\vοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\v.",
		out:  "＇\vοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\v.",
	}, { // 1213
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＇\vοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\v．",
		out:  "＇\vοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\v．",
	}, { // 1214
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＇\rοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\r.",
		out:  "＇\rοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\r.",
	}, { // 1215
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＇\rοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\r．",
		out:  "＇\rοφ␕2\b/Ｆ\x1f，\\␏1}τY\x17ι＾Ｏ\x13Ｈ\nｑ／ι␅\r．",
	}, { // 1216
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\tM",
		out:  "．\tσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\tM",
	}, { // 1217
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\tM",
		out:  "‛．\tσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\tM",
	}, { // 1218
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\nM",
		out:  "．\nσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\nM",
	}, { // 1219
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\nM",
		out:  "‛．\nσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\nM",
	}, { // 1220
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\vM",
		out:  "．\vσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\vM",
	}, { // 1221
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\vM",
		out:  "‛．\vσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\vM",
	}, { // 1222
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\rM",
		out:  "．\rσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\rM",
	}, { // 1223
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\rM",
		out:  "‛．\rσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\rM",
	}, { // 1224
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\tσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\t.",
		out:  "ξ\tσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\t.",
	}, { // 1225
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\tσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\t．",
		out:  "ξ\tσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\t．",
	}, { // 1226
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\nσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\n.",
		out:  "ξ\nσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\n.",
	}, { // 1227
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\nσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\n．",
		out:  "ξ\nσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\n．",
	}, { // 1228
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\vσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\v.",
		out:  "ξ\vσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\v.",
	}, { // 1229
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\vσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\v．",
		out:  "ξ\vσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\v．",
	}, { // 1230
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\rσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\r.",
		out:  "ξ\rσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\r.",
	}, { // 1231
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\rσw:Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\r．",
		out:  "ξ\rσw：Ｄ(O$］ω\bχδI？\x1c␊\nζＰ␏␊＋␒ｏ\x01）\r．",
	}, { // 1232
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\tａ",
		out:  "．\tκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\tａ",
	}, { // 1233
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\tａ",
		out:  "‛．\tκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\tａ",
	}, { // 1234
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\nａ",
		out:  "．\nκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\nａ",
	}, { // 1235
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\nａ",
		out:  "‛．\nκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\nａ",
	}, { // 1236
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\vａ",
		out:  "．\vκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\vａ",
	}, { // 1237
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\vａ",
		out:  "‛．\vκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\vａ",
	}, { // 1238
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\rａ",
		out:  "．\rκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\rａ",
	}, { // 1239
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\rａ",
		out:  "‛．\rκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\rａ",
	}, { // 1240
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ">\tκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\t.",
		out:  ">\tκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\t.",
	}, { // 1241
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ">\tκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\t．",
		out:  ">\tκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\t．",
	}, { // 1242
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ">\nκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\n.",
		out:  ">\nκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\n.",
	}, { // 1243
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ">\nκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\n．",
		out:  ">\nκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\n．",
	}, { // 1244
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ">\vκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\v.",
		out:  ">\vκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\v.",
	}, { // 1245
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ">\vκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\v．",
		out:  ">\vκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\v．",
	}, { // 1246
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ">\rκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\r.",
		out:  ">\rκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\r.",
	}, { // 1247
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ">\rκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα␀\r．",
		out:  ">\rκψ␂χκ\x15７RυU*Ｊ␐V␁\x10\fＹｙ３＄_␘Dα‛␀\r．",
	}, { // 1248
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\t／",
		out:  "．\tκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\t／",
	}, { // 1249
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\t／",
		out:  "‛．\tκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\t／",
	}, { // 1250
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\n／",
		out:  "．\nκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\n／",
	}, { // 1251
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\n／",
		out:  "‛．\nκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\n／",
	}, { // 1252
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\v／",
		out:  "．\vκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\v／",
	}, { // 1253
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\v／",
		out:  "‛．\vκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\v／",
	}, { // 1254
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\r／",
		out:  "．\rκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\r／",
	}, { // 1255
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\r／",
		out:  "‛．\rκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\r／",
	}, { // 1256
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\tκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\t.",
		out:  "␁\tκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\t.",
	}, { // 1257
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\tκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\t．",
		out:  "␁\tκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\t．",
	}, { // 1258
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\nκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\n.",
		out:  "␁\nκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\n.",
	}, { // 1259
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\nκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\n．",
		out:  "␁\nκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\n．",
	}, { // 1260
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\vκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\v.",
		out:  "␁\vκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\v.",
	}, { // 1261
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\vκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\v．",
		out:  "␁\vκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\v．",
	}, { // 1262
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\rκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\r.",
		out:  "␁\rκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\r.",
	}, { // 1263
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\rκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\r．",
		out:  "␁\rκ␎ωｅ[!i␃\t２λχθ␆χ\n^＞\\ｍＨQ\x0f\\ｘ\"\r．",
	}, { // 1264
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\tψ",
		out:  "．\tG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\tψ",
	}, { // 1265
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\tψ",
		out:  "‛．\tG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\tψ",
	}, { // 1266
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\nψ",
		out:  "．\nG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\nψ",
	}, { // 1267
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\nψ",
		out:  "‛．\nG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\nψ",
	}, { // 1268
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\vψ",
		out:  "．\vG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\vψ",
	}, { // 1269
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\vψ",
		out:  "‛．\vG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\vψ",
	}, { // 1270
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\rψ",
		out:  "．\rG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\rψ",
	}, { // 1271
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\rψ",
		out:  "‛．\rG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\rψ",
	}, { // 1272
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＠\tG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\t.",
		out:  "＠\tG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\t.",
	}, { // 1273
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＠\tG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\t．",
		out:  "＠\tG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\t．",
	}, { // 1274
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＠\nG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\n.",
		out:  "＠\nG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\n.",
	}, { // 1275
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＠\nG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\n．",
		out:  "＠\nG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\n．",
	}, { // 1276
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＠\vG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\v.",
		out:  "＠\vG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\v.",
	}, { // 1277
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＠\vG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\v．",
		out:  "＠\vG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\v．",
	}, { // 1278
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＠\rG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\r.",
		out:  "＠\rG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\r.",
	}, { // 1279
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "＠\rG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\r．",
		out:  "＠\rG8Ｘ6ψκM#%\x10χ＊␍γ\x1f\x02␒８]／U）γ＜：＂\r．",
	}, { // 1280
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\t#",
		out:  "．\t＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\t＃",
	}, { // 1281
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\t#",
		out:  "‛．\t＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\t＃",
	}, { // 1282
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\n#",
		out:  "．\n＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\n＃",
	}, { // 1283
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\n#",
		out:  "‛．\n＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\n＃",
	}, { // 1284
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\v#",
		out:  "．\v＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\v＃",
	}, { // 1285
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\v#",
		out:  "‛．\v＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\v＃",
	}, { // 1286
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\r#",
		out:  "．\r＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\r＃",
	}, { // 1287
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\r#",
		out:  "‛．\r＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\r＃",
	}, { // 1288
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "κ\t＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\t.",
		out:  "κ\t＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\t.",
	}, { // 1289
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "κ\t＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\t．",
		out:  "κ\t＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\t．",
	}, { // 1290
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "κ\n＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\n.",
		out:  "κ\n＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\n.",
	}, { // 1291
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "κ\n＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\n．",
		out:  "κ\n＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\n．",
	}, { // 1292
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "κ\v＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\v.",
		out:  "κ\v＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\v.",
	}, { // 1293
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "κ\v＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\v．",
		out:  "κ\v＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\v．",
	}, { // 1294
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "κ\r＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\r.",
		out:  "κ\r＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\r.",
	}, { // 1295
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "κ\r＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\r．",
		out:  "κ\r＂\x11]RWξＰ\n\x1dι3９＠＂θ}Ａ␍␍␇␉πδ\a:＞\r．",
	}, { // 1296
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\t2",
		out:  "．\tι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\t2",
	}, { // 1297
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\t2",
		out:  "‛．\tι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\t2",
	}, { // 1298
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\n2",
		out:  "．\nι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\n2",
	}, { // 1299
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\n2",
		out:  "‛．\nι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\n2",
	}, { // 1300
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\v2",
		out:  "．\vι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\v2",
	}, { // 1301
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\v2",
		out:  "‛．\vι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\v2",
	}, { // 1302
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\r2",
		out:  "．\rι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\r2",
	}, { // 1303
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\r2",
		out:  "‛．\rι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\r2",
	}, { // 1304
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "a\tι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\t.",
		out:  "a\tι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\t.",
	}, { // 1305
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "a\tι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\t．",
		out:  "a\tι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\t．",
	}, { // 1306
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "a\nι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\n.",
		out:  "a\nι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\n.",
	}, { // 1307
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "a\nι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\n．",
		out:  "a\nι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\n．",
	}, { // 1308
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "a\vι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\v.",
		out:  "a\vι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\v.",
	}, { // 1309
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "a\vι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\v．",
		out:  "a\vι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\v．",
	}, { // 1310
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "a\rι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\r.",
		out:  "a\rι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\r.",
	}, { // 1311
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "a\rι␀ｋ␉τ\x16ｓ％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\r．",
		out:  "a\rι‛␀ｋ␉τ\x16ｓ‛％９Ｑh*iγψＨ\x11>>*␡␂>␅οv\r．",
	}, { // 1312
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\tρ",
		out:  "．\tχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\tρ",
	}, { // 1313
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\tρ",
		out:  "‛．\tχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\tρ",
	}, { // 1314
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\nρ",
		out:  "．\nχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\nρ",
	}, { // 1315
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\nρ",
		out:  "‛．\nχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\nρ",
	}, { // 1316
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\vρ",
		out:  "．\vχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\vρ",
	}, { // 1317
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\vρ",
		out:  "‛．\vχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\vρ",
	}, { // 1318
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\rρ",
		out:  "．\rχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\rρ",
	}, { // 1319
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\rρ",
		out:  "‛．\rχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\rρ",
	}, { // 1320
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␃\tχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\t.",
		out:  "␃\tχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\t.",
	}, { // 1321
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␃\tχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\t．",
		out:  "␃\tχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\t．",
	}, { // 1322
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␃\nχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\n.",
		out:  "␃\nχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\n.",
	}, { // 1323
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␃\nχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\n．",
		out:  "␃\nχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\n．",
	}, { // 1324
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␃\vχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\v.",
		out:  "␃\vχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\v.",
	}, { // 1325
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␃\vχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\v．",
		out:  "␃\vχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\v．",
	}, { // 1326
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␃\rχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\r.",
		out:  "␃\rχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\r.",
	}, { // 1327
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␃\rχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\r．",
		out:  "␃\rχ｀*Ｅ4Mｉ\rｉ:?φ\x15？ζ／Ｖ␃\uff00}＃\">9ο␌\r．",
	}, { // 1328
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\tD",
		out:  "．\tκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\tD",
	}, { // 1329
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\tD",
		out:  "‛．\tκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\tD",
	}, { // 1330
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\nD",
		out:  "．\nκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\nD",
	}, { // 1331
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\nD",
		out:  "‛．\nκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\nD",
	}, { // 1332
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\vD",
		out:  "．\vκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\vD",
	}, { // 1333
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\vD",
		out:  "‛．\vκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\vD",
	}, { // 1334
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\rD",
		out:  "．\rκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\rD",
	}, { // 1335
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\rD",
		out:  "‛．\rκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\rD",
	}, { // 1336
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "i\tκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\t.",
		out:  "i\tκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\t.",
	}, { // 1337
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "i\tκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\t．",
		out:  "i\tκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\t．",
	}, { // 1338
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "i\nκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\n.",
		out:  "i\nκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\n.",
	}, { // 1339
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "i\nκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\n．",
		out:  "i\nκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\n．",
	}, { // 1340
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "i\vκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\v.",
		out:  "i\vκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\v.",
	}, { // 1341
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "i\vκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\v．",
		out:  "i\vκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\v．",
	}, { // 1342
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "i\rκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\r.",
		out:  "i\rκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\r.",
	}, { // 1343
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "i\rκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\r．",
		out:  "i\rκ␎５δq｀＜\x18Ｋ\x02σσ｀１b／μ＇␊7C?\x10$Ｐｆ\r．",
	}, { // 1344
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". |＜＋\x00％ｉ？KS^κ;$Ｎαυυ｛<\v％ｊ＊κ\x12P \x14",
		out:  "． |＜＋␀％ｉ？KS^κ;$Ｎαυυ｛<\v％ｊ＊κ\x12P \x14",
	}, { // 1345
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． |＜＋\x00％ｉ？KS^κ;$Ｎαυυ｛<\v％ｊ＊κ\x12P \x14",
		out:  "‛． |＜＋␀％ｉ？KS^κ;$Ｎαυυ｛<\v％ｊ＊κ\x12P \x14",
	}, { // 1346
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␃ |＜＋\x00％ｉ？KS^κ;$Ｎαυυ｛<\v％ｊ＊κ\x12P .",
		out:  "␃ |＜＋␀％ｉ？KS^κ;$Ｎαυυ｛<\v％ｊ＊κ\x12P .",
	}, { // 1347
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␃ |＜＋\x00％ｉ？KS^κ;$Ｎαυυ｛<\v％ｊ＊κ\x12P ．",
		out:  "␃ |＜＋␀％ｉ？KS^κ;$Ｎαυυ｛<\v％ｊ＊κ\x12P ．",
	}, { // 1348
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". γsｌ＜L]␗ξ8␈(\\ｃ＞ο;ω␅\x16\x1a＄｝ｊ\nβ+ ι",
		out:  "． γsｌ＜L]␗ξ8␈(\\ｃ＞ο;ω␅\x16\x1a＄｝ｊ\nβ+ ι",
	}, { // 1349
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． γsｌ＜L]␗ξ8␈(\\ｃ＞ο;ω␅\x16\x1a＄｝ｊ\nβ+ ι",
		out:  "‛． γsｌ＜L]␗ξ8␈(\\ｃ＞ο;ω␅\x16\x1a＄｝ｊ\nβ+ ι",
	}, { // 1350
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "－ γsｌ＜L]␗ξ8␈(\\ｃ＞ο;ω␅\x16\x1a＄｝ｊ\nβ+ .",
		out:  "－ γsｌ＜L]␗ξ8␈(\\ｃ＞ο;ω␅\x16\x1a＄｝ｊ\nβ+ .",
	}, { // 1351
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "－ γsｌ＜L]␗ξ8␈(\\ｃ＞ο;ω␅\x16\x1a＄｝ｊ\nβ+ ．",
		out:  "－ γsｌ＜L]␗ξ8␈(\\ｃ＞ο;ω␅\x16\x1a＄｝ｊ\nβ+ ．",
	}, { // 1352
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". θ|ｑＺκＩ％\x7f[␙;υω$␑GX＂\x1dς＋1０}\x18＼ δ",
		out:  "． θ|ｑＺκＩ％\x7f[␙;υω$␑GX＂\x1dς＋1０}\x18＼ δ",
	}, { // 1353
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． θ|ｑＺκＩ％\x7f[␙;υω$␑GX＂\x1dς＋1０}\x18＼ δ",
		out:  "‛． θ|ｑＺκＩ％\x7f[␙;υω$␑GX＂\x1dς＋1０}\x18＼ δ",
	}, { // 1354
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␀ θ|ｑＺκＩ％\x7f[␙;υω$␑GX＂\x1dς＋1０}\x18＼ .",
		out:  "‛␀ θ|ｑＺκＩ％\x7f[␙;υω$␑GX＂\x1dς＋1０}\x18＼ .",
	}, { // 1355
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␀ θ|ｑＺκＩ％\x7f[␙;υω$␑GX＂\x1dς＋1０}\x18＼ ．",
		out:  "‛␀ θ|ｑＺκＩ％\x7f[␙;υω$␑GX＂\x1dς＋1０}\x18＼ ．",
	}, { // 1356
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". pｓ\x01＃\x13Ｈ␔N\tＪｊω␂ρ␚␁ρθ␍Ｏqκ[υ\"\n ＇",
		out:  "． pｓ\x01＃\x13Ｈ␔N\tＪｊω␂ρ␚␁ρθ␍Ｏqκ[υ\"\n ＇",
	}, { // 1357
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． pｓ\x01＃\x13Ｈ␔N\tＪｊω␂ρ␚␁ρθ␍Ｏqκ[υ\"\n ＇",
		out:  "‛． pｓ\x01＃\x13Ｈ␔N\tＪｊω␂ρ␚␁ρθ␍Ｏqκ[υ\"\n ＇",
	}, { // 1358
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "v pｓ\x01＃\x13Ｈ␔N\tＪｊω␂ρ␚␁ρθ␍Ｏqκ[υ\"\n .",
		out:  "v pｓ\x01＃\x13Ｈ␔N\tＪｊω␂ρ␚␁ρθ␍Ｏqκ[υ\"\n .",
	}, { // 1359
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "v pｓ\x01＃\x13Ｈ␔N\tＪｊω␂ρ␚␁ρθ␍Ｏqκ[υ\"\n ．",
		out:  "v pｓ\x01＃\x13Ｈ␔N\tＪｊω␂ρ␚␁ρθ␍Ｏqκ[υ\"\n ．",
	}, { // 1360
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". Ｃ*τ%#\x1d\x17！dD␉τ|／␗＇ψsＦＦνH8ς｀\r ／",
		out:  "． Ｃ*τ%#\x1d\x17！dD␉τ|／␗＇ψsＦＦνH8ς｀\r ／",
	}, { // 1361
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． Ｃ*τ%#\x1d\x17！dD␉τ|／␗＇ψsＦＦνH8ς｀\r ／",
		out:  "‛． Ｃ*τ%#\x1d\x17！dD␉τ|／␗＇ψsＦＦνH8ς｀\r ／",
	}, { // 1362
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightSpace,
		in:   "ｊ Ｃ*τ%#\x1d\x17！dD␉τ|／␗＇ψsＦＦνH8ς｀\r .",
		out:  "ｊ Ｃ*τ%#\x1d\x17！dD␉τ|／␗＇ψsＦＦνH8ς｀\r .",
	}, { // 1363
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightSpace,
		in:   "ｊ Ｃ*τ%#\x1d\x17！dD␉τ|／␗＇ψsＦＦνH8ς｀\r ．",
		out:  "ｊ Ｃ*τ%#\x1d\x17！dD␉τ|／␗＇ψsＦＦνH8ς｀\r ．",
	}, { // 1364
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ␎\x12Z-／δ+C\x00\"＿;μιξ＃ς［Ｒ\x1eC\x03＾␁｜β Ａ",
		out:  "． ␎\x12Z-／δ+C␀\"＿;μιξ＃ς‛［Ｒ\x1eC\x03＾␁｜β Ａ",
	}, { // 1365
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ␎\x12Z-／δ+C\x00\"＿;μιξ＃ς［Ｒ\x1eC\x03＾␁｜β Ａ",
		out:  "‛． ␎\x12Z-／δ+C␀\"＿;μιξ＃ς‛［Ｒ\x1eC\x03＾␁｜β Ａ",
	}, { // 1366
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␚ ␎\x12Z-／δ+C\x00\"＿;μιξ＃ς［Ｒ\x1eC\x03＾␁｜β .",
		out:  "␚ ␎\x12Z-／δ+C␀\"＿;μιξ＃ς‛［Ｒ\x1eC\x03＾␁｜β .",
	}, { // 1367
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␚ ␎\x12Z-／δ+C\x00\"＿;μιξ＃ς［Ｒ\x1eC\x03＾␁｜β ．",
		out:  "␚ ␎\x12Z-／δ+C␀\"＿;μιξ＃ς‛［Ｒ\x1eC\x03＾␁｜β ．",
	}, { // 1368
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ␕::␟＃Ｊ!π+υ＞\x00τ［Ｃ\x18ξ\f（\x1b8Ｊς＇␐＼ R",
		out:  "． ␕::␟＃Ｊ!π+υ＞␀τ［Ｃ\x18ξ\f（\x1b8Ｊς＇␐＼ R",
	}, { // 1369
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ␕::␟＃Ｊ!π+υ＞\x00τ［Ｃ\x18ξ\f（\x1b8Ｊς＇␐＼ R",
		out:  "‛． ␕::␟＃Ｊ!π+υ＞␀τ［Ｃ\x18ξ\f（\x1b8Ｊς＇␐＼ R",
	}, { // 1370
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightSpace,
		in:   "ω ␕::␟＃Ｊ!π+υ＞\x00τ［Ｃ\x18ξ\f（\x1b8Ｊς＇␐＼ .",
		out:  "ω ␕::␟＃Ｊ!π+υ＞␀τ［Ｃ\x18ξ\f（\x1b8Ｊς＇␐＼ .",
	}, { // 1371
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightSpace,
		in:   "ω ␕::␟＃Ｊ!π+υ＞\x00τ［Ｃ\x18ξ\f（\x1b8Ｊς＇␐＼ ．",
		out:  "ω ␕::␟＃Ｊ!π+υ＞␀τ［Ｃ\x18ξ\f（\x1b8Ｊς＇␐＼ ．",
	}, { // 1372
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ρ\n＞ξN@φWａ␂jζ＜ａ|Iｕ\b\x11ι␐ｚζｇ＇\x01 .",
		out:  "． ρ\n＞ξN@φWａ␂jζ＜ａ|Iｕ\b\x11ι␐ｚζｇ＇\x01 .",
	}, { // 1373
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ρ\n＞ξN@φWａ␂jζ＜ａ|Iｕ\b\x11ι␐ｚζｇ＇\x01 .",
		out:  "‛． ρ\n＞ξN@φWａ␂jζ＜ａ|Iｕ\b\x11ι␐ｚζｇ＇\x01 .",
	}, { // 1374
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␜ ρ\n＞ξN@φWａ␂jζ＜ａ|Iｕ\b\x11ι␐ｚζｇ＇\x01 .",
		out:  "␜ ρ\n＞ξN@φWａ␂jζ＜ａ|Iｕ\b\x11ι␐ｚζｇ＇\x01 .",
	}, { // 1375
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␜ ρ\n＞ξN@φWａ␂jζ＜ａ|Iｕ\b\x11ι␐ｚζｇ＇\x01 ．",
		out:  "␜ ρ\n＞ξN@φWａ␂jζ＜ａ|Iｕ\b\x11ι␐ｚζｇ＇\x01 ．",
	}, { // 1376
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". j\x04ｈ'Ｗ］'ＱχＡ｀5χζψQO\x06！ρ␘ψ\a␓1| '",
		out:  "． j\x04ｈ'Ｗ］'ＱχＡ｀5χζψQO\x06！ρ␘ψ\a␓1| '",
	}, { // 1377
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． j\x04ｈ'Ｗ］'ＱχＡ｀5χζψQO\x06！ρ␘ψ\a␓1| '",
		out:  "‛． j\x04ｈ'Ｗ］'ＱχＡ｀5χζψQO\x06！ρ␘ψ\a␓1| '",
	}, { // 1378
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightSpace,
		in:   "＂ j\x04ｈ'Ｗ］'ＱχＡ｀5χζψQO\x06！ρ␘ψ\a␓1| .",
		out:  "＂ j\x04ｈ'Ｗ］'ＱχＡ｀5χζψQO\x06！ρ␘ψ\a␓1| .",
	}, { // 1379
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightSpace,
		in:   "＂ j\x04ｈ'Ｗ］'ＱχＡ｀5χζψQO\x06！ρ␘ψ\a␓1| ．",
		out:  "＂ j\x04ｈ'Ｗ］'ＱχＡ｀5χζψQO\x06！ρ␘ψ\a␓1| ．",
	}, { // 1380
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ε␞\x02τＩ：／\x17＄ＡＶ␆OriS7\x00ζ＊βεφ␁＞\x13 [",
		out:  "． ε␞\x02τＩ：／\x17＄ＡＶ␆OriS7␀ζ＊βεφ␁＞\x13 [",
	}, { // 1381
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ε␞\x02τＩ：／\x17＄ＡＶ␆OriS7\x00ζ＊βεφ␁＞\x13 [",
		out:  "‛． ε␞\x02τＩ：／\x17＄ＡＶ␆OriS7␀ζ＊βεφ␁＞\x13 [",
	}, { // 1382
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "\x1e ε␞\x02τＩ：／\x17＄ＡＶ␆OriS7\x00ζ＊βεφ␁＞\x13 .",
		out:  "\x1e ε␞\x02τＩ：／\x17＄ＡＶ␆OriS7␀ζ＊βεφ␁＞\x13 .",
	}, { // 1383
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "\x1e ε␞\x02τＩ：／\x17＄ＡＶ␆OriS7\x00ζ＊βεφ␁＞\x13 ．",
		out:  "\x1e ε␞\x02τＩ：／\x17＄ＡＶ␆OriS7␀ζ＊βεφ␁＞\x13 ．",
	}, { // 1384
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". \x15ζｚU,λ\x13＇γ>κ7\\\x16␊／ｌφPζｄM；␋␚\x11 Ｊ",
		out:  "． \x15ζｚU,λ\x13＇γ>κ7\\\x16␊／ｌφPζｄM；␋␚\x11 Ｊ",
	}, { // 1385
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． \x15ζｚU,λ\x13＇γ>κ7\\\x16␊／ｌφPζｄM；␋␚\x11 Ｊ",
		out:  "‛． \x15ζｚU,λ\x13＇γ>κ7\\\x16␊／ｌφPζｄM；␋␚\x11 Ｊ",
	}, { // 1386
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightSpace,
		in:   "｜ \x15ζｚU,λ\x13＇γ>κ7\\\x16␊／ｌφPζｄM；␋␚\x11 .",
		out:  "｜ \x15ζｚU,λ\x13＇γ>κ7\\\x16␊／ｌφPζｄM；␋␚\x11 .",
	}, { // 1387
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightSpace,
		in:   "｜ \x15ζｚU,λ\x13＇γ>κ7\\\x16␊／ｌφPζｄM；␋␚\x11 ．",
		out:  "｜ \x15ζｚU,λ\x13＇γ>κ7\\\x16␊／ｌφPζｄM；␋␚\x11 ．",
	}, { // 1388
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". cμｒU\x7f`Aβ␓␇@ξ(ψ９，␆␉εｘ０␂m\x1d␂! ε",
		out:  "． cμｒU\x7f`Aβ␓␇@ξ(ψ９，␆␉εｘ０␂m\x1d␂! ε",
	}, { // 1389
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． cμｒU\x7f`Aβ␓␇@ξ(ψ９，␆␉εｘ０␂m\x1d␂! ε",
		out:  "‛． cμｒU\x7f`Aβ␓␇@ξ(ψ９，␆␉εｘ０␂m\x1d␂! ε",
	}, { // 1390
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightSpace,
		in:   "/ cμｒU\x7f`Aβ␓␇@ξ(ψ９，␆␉εｘ０␂m\x1d␂! .",
		out:  "/ cμｒU\x7f`Aβ␓␇@ξ(ψ９，␆␉εｘ０␂m\x1d␂! .",
	}, { // 1391
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightSpace,
		in:   "/ cμｒU\x7f`Aβ␓␇@ξ(ψ９，␆␉εｘ０␂m\x1d␂! ．",
		out:  "/ cμｒU\x7f`Aβ␓␇@ξ(ψ９，␆␉εｘ０␂m\x1d␂! ．",
	}, { // 1392
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". oχBνX！μφ#Ｓ＼Ｖ[_\"␚␇\x13\x11>␓␙｝ｂｆυ \x1b",
		out:  "． oχBνX！μφ#Ｓ＼Ｖ[_\"␚␇\x13\x11>␓␙｝ｂｆυ \x1b",
	}, { // 1393
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． oχBνX！μφ#Ｓ＼Ｖ[_\"␚␇\x13\x11>␓␙｝ｂｆυ \x1b",
		out:  "‛． oχBνX！μφ#Ｓ＼Ｖ[_\"␚␇\x13\x11>␓␙｝ｂｆυ \x1b",
	}, { // 1394
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␑ oχBνX！μφ#Ｓ＼Ｖ[_\"␚␇\x13\x11>␓␙｝ｂｆυ .",
		out:  "␑ oχBνX！μφ#Ｓ＼Ｖ[_\"␚␇\x13\x11>␓␙｝ｂｆυ .",
	}, { // 1395
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␑ oχBνX！μφ#Ｓ＼Ｖ[_\"␚␇\x13\x11>␓␙｝ｂｆυ ．",
		out:  "␑ oχBνX！μφ#Ｓ＼Ｖ[_\"␚␇\x13\x11>␓␙｝ｂｆυ ．",
	}, { // 1396
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". \x1b\x0e\f1－＜kｓχ［\x02\"␒Ｘ＆θU␍␟π@\x0f%ε␊υ ␉",
		out:  "． \x1b\x0e\f1－＜kｓχ［\x02\"␒Ｘ＆θU␍␟π@\x0f%ε␊υ ␉",
	}, { // 1397
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． \x1b\x0e\f1－＜kｓχ［\x02\"␒Ｘ＆θU␍␟π@\x0f%ε␊υ ␉",
		out:  "‛． \x1b\x0e\f1－＜kｓχ［\x02\"␒Ｘ＆θU␍␟π@\x0f%ε␊υ ␉",
	}, { // 1398
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightSpace,
		in:   "？ \x1b\x0e\f1－＜kｓχ［\x02\"␒Ｘ＆θU␍␟π@\x0f%ε␊υ .",
		out:  "？ \x1b\x0e\f1－＜kｓχ［\x02\"␒Ｘ＆θU␍␟π@\x0f%ε␊υ .",
	}, { // 1399
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightSpace,
		in:   "？ \x1b\x0e\f1－＜kｓχ［\x02\"␒Ｘ＆θU␍␟π@\x0f%ε␊υ ．",
		out:  "？ \x1b\x0e\f1－＜kｓχ［\x02\"␒Ｘ＆θU␍␟π@\x0f%ε␊υ ．",
	}, { // 1400
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". \x1b；λｍ%'κ;␟ｐ\x16δυＣavk␌\x1d！J␄υχ＠\x17 ?",
		out:  "． \x1b；λｍ%'κ;␟ｐ\x16δυＣavk␌\x1d！J␄υχ＠\x17 ?",
	}, { // 1401
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． \x1b；λｍ%'κ;␟ｐ\x16δυＣavk␌\x1d！J␄υχ＠\x17 ?",
		out:  "‛． \x1b；λｍ%'κ;␟ｐ\x16δυＣavk␌\x1d！J␄υχ＠\x17 ?",
	}, { // 1402
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "０ \x1b；λｍ%'κ;␟ｐ\x16δυＣavk␌\x1d！J␄υχ＠\x17 .",
		out:  "０ \x1b；λｍ%'κ;␟ｐ\x16δυＣavk␌\x1d！J␄υχ＠\x17 .",
	}, { // 1403
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "０ \x1b；λｍ%'κ;␟ｐ\x16δυＣavk␌\x1d！J␄υχ＠\x17 ．",
		out:  "０ \x1b；λｍ%'κ;␟ｐ\x16δυＣavk␌\x1d！J␄υχ＠\x17 ．",
	}, { // 1404
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". $υοＵＫｚ１σ＞␙␐␆/e␊2＜＼ςaμ!|８\\\x1f c",
		out:  "． $υοＵＫｚ１σ＞␙␐␆/e␊2＜＼ςaμ!|８\\\x1f c",
	}, { // 1405
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． $υοＵＫｚ１σ＞␙␐␆/e␊2＜＼ςaμ!|８\\\x1f c",
		out:  "‛． $υοＵＫｚ１σ＞␙␐␆/e␊2＜＼ςaμ!|８\\\x1f c",
	}, { // 1406
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightSpace,
		in:   "$ $υοＵＫｚ１σ＞␙␐␆/e␊2＜＼ςaμ!|８\\\x1f .",
		out:  "$ $υοＵＫｚ１σ＞␙␐␆/e␊2＜＼ςaμ!|８\\\x1f .",
	}, { // 1407
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightSpace,
		in:   "$ $υοＵＫｚ１σ＞␙␐␆/e␊2＜＼ςaμ!|８\\\x1f ．",
		out:  "$ $υοＵＫｚ１σ＞␙␐␆/e␊2＜＼ςaμ!|８\\\x1f ．",
	}, { // 1408
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". j\x0e␛]\t␇U:５␊＂␁\x15υψ；\"\v＠Jςε␛ξ；R {",
		out:  "． j\x0e␛]\t␇U:５␊＂␁\x15υψ；\"\v＠Jςε␛ξ；R {",
	}, { // 1409
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． j\x0e␛]\t␇U:５␊＂␁\x15υψ；\"\v＠Jςε␛ξ；R {",
		out:  "‛． j\x0e␛]\t␇U:５␊＂␁\x15υψ；\"\v＠Jςε␛ξ；R {",
	}, { // 1410
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "３ j\x0e␛]\t␇U:５␊＂␁\x15υψ；\"\v＠Jςε␛ξ；R .",
		out:  "３ j\x0e␛]\t␇U:５␊＂␁\x15υψ；\"\v＠Jςε␛ξ；R .",
	}, { // 1411
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "３ j\x0e␛]\t␇U:５␊＂␁\x15υψ；\"\v＠Jςε␛ξ；R ．",
		out:  "３ j\x0e␛]\t␇U:５␊＂␁\x15υψ；\"\v＠Jςε␛ξ；R ．",
	}, { // 1412
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ＼\"\n␒κ\x18gουυ％ο｜W(:?NＹ４\x0f␊c␋／β Ｄ",
		out:  "． ＼\"␊␒κ\x18gουυ％ο｜W(:?NＹ４\x0f‛␊c␋／β Ｄ",
	}, { // 1413
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ＼\"\n␒κ\x18gουυ％ο｜W(:?NＹ４\x0f␊c␋／β Ｄ",
		out:  "‛． ＼\"␊␒κ\x18gουυ％ο｜W(:?NＹ４\x0f‛␊c␋／β Ｄ",
	}, { // 1414
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightSpace,
		in:   "\uff00 ＼\"\n␒κ\x18gουυ％ο｜W(:?NＹ４\x0f␊c␋／β .",
		out:  "\uff00 ＼\"␊␒κ\x18gουυ％ο｜W(:?NＹ４\x0f‛␊c␋／β .",
	}, { // 1415
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightSpace,
		in:   "\uff00 ＼\"\n␒κ\x18gουυ％ο｜W(:?NＹ４\x0f␊c␋／β ．",
		out:  "\uff00 ＼\"␊␒κ\x18gουυ％ο｜W(:?NＹ４\x0f‛␊c␋／β ．",
	}, { // 1416
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". Ｓ␂］ω｜lｆγ#␘／[６\\|sj<\x13；ωεＯ\x01oς Ｃ",
		out:  "． Ｓ␂］ω｜lｆγ#␘／[６\\|sj<\x13；ωεＯ\x01oς Ｃ",
	}, { // 1417
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． Ｓ␂］ω｜lｆγ#␘／[６\\|sj<\x13；ωεＯ\x01oς Ｃ",
		out:  "‛． Ｓ␂］ω｜lｆγ#␘／[６\\|sj<\x13；ωεＯ\x01oς Ｃ",
	}, { // 1418
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightSpace,
		in:   "π Ｓ␂］ω｜lｆγ#␘／[６\\|sj<\x13；ωεＯ\x01oς .",
		out:  "π Ｓ␂］ω｜lｆγ#␘／[６\\|sj<\x13；ωεＯ\x01oς .",
	}, { // 1419
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightSpace,
		in:   "π Ｓ␂］ω｜lｆγ#␘／[６\\|sj<\x13；ωεＯ\x01oς ．",
		out:  "π Ｓ␂］ω｜lｆγ#␘／[６\\|sj<\x13；ωεＯ\x01oς ．",
	}, { // 1420
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ％｛ｙ\"KfＯ␘κ␀:\rρ：\x19\x18ｌζ␟ｒλz0＜\x13κ ρ",
		out:  "． ％｛ｙ\"KfＯ‛␘κ‛␀:␍ρ：␙␘ｌζ‛␟ｒλz0＜␓κ ρ",
	}, { // 1421
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ％｛ｙ\"KfＯ␘κ␀:\rρ：\x19\x18ｌζ␟ｒλz0＜\x13κ ρ",
		out:  "‛． ％｛ｙ\"KfＯ‛␘κ‛␀:␍ρ：␙␘ｌζ‛␟ｒλz0＜␓κ ρ",
	}, { // 1422
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightSpace,
		in:   "= ％｛ｙ\"KfＯ␘κ␀:\rρ：\x19\x18ｌζ␟ｒλz0＜\x13κ .",
		out:  "= ％｛ｙ\"KfＯ‛␘κ‛␀:␍ρ：␙␘ｌζ‛␟ｒλz0＜␓κ .",
	}, { // 1423
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightSpace,
		in:   "= ％｛ｙ\"KfＯ␘κ␀:\rρ：\x19\x18ｌζ␟ｒλz0＜\x13κ ．",
		out:  "= ％｛ｙ\"KfＯ‛␘κ‛␀:␍ρ：␙␘ｌζ‛␟ｒλz0＜␓κ ．",
	}, { // 1424
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..σｂz，!'␆8＂␅，%νη\x1a＃］\x06␅w＂πLＷωα.,",
		out:  "．.σｂz，!'␆8＂␅，%νη\x1a＃］\x06␅w＂πLＷωα.,",
	}, { // 1425
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.σｂz，!'␆8＂␅，%νη\x1a＃］\x06␅w＂πLＷωα.,",
		out:  "‛．.σｂz，!'␆8＂␅，%νη\x1a＃］\x06␅w＂πLＷωα.,",
	}, { // 1426
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "/.σｂz，!'␆8＂␅，%νη\x1a＃］\x06␅w＂πLＷωα..",
		out:  "/.σｂz，!'␆8＂␅，%νη\x1a＃］\x06␅w＂πLＷωα.．",
	}, { // 1427
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "/.σｂz，!'␆8＂␅，%νη\x1a＃］\x06␅w＂πLＷωα.．",
		out:  "/.σｂz，!'␆8＂␅，%νη\x1a＃］\x06␅w＂πLＷωα.‛．",
	}, { // 1428
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..ψλ\x1cＬ,\x7f\x05＿χW\x04K␔ＤλmNd！ν１γ６␑\x1f].Ｃ",
		out:  "．.ψλ\x1cＬ,\x7f\x05＿χW\x04K␔ＤλmNd！ν１γ６␑\x1f].Ｃ",
	}, { // 1429
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.ψλ\x1cＬ,\x7f\x05＿χW\x04K␔ＤλmNd！ν１γ６␑\x1f].Ｃ",
		out:  "‛．.ψλ\x1cＬ,\x7f\x05＿χW\x04K␔ＤλmNd！ν１γ６␑\x1f].Ｃ",
	}, { // 1430
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "␕.ψλ\x1cＬ,\x7f\x05＿χW\x04K␔ＤλmNd！ν１γ６␑\x1f]..",
		out:  "␕.ψλ\x1cＬ,\x7f\x05＿χW\x04K␔ＤλmNd！ν１γ６␑\x1f].．",
	}, { // 1431
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "␕.ψλ\x1cＬ,\x7f\x05＿χW\x04K␔ＤλmNd！ν１γ６␑\x1f].．",
		out:  "␕.ψλ\x1cＬ,\x7f\x05＿χW\x04K␔ＤλmNd！ν１γ６␑\x1f].‛．",
	}, { // 1432
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..\vｗ\x15％␌␛ν．＼φ＠Bρ!Nη\\！|]␔ζmζ\a＠.\x1a",
		out:  "．.\vｗ\x15％␌␛ν．＼φ＠Bρ!Nη\\！|]␔ζmζ\a＠.\x1a",
	}, { // 1433
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.\vｗ\x15％␌␛ν．＼φ＠Bρ!Nη\\！|]␔ζmζ\a＠.\x1a",
		out:  "‛．.\vｗ\x15％␌␛ν．＼φ＠Bρ!Nη\\！|]␔ζmζ\a＠.\x1a",
	}, { // 1434
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "＆.\vｗ\x15％␌␛ν．＼φ＠Bρ!Nη\\！|]␔ζmζ\a＠..",
		out:  "＆.\vｗ\x15％␌␛ν．＼φ＠Bρ!Nη\\！|]␔ζmζ\a＠.．",
	}, { // 1435
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "＆.\vｗ\x15％␌␛ν．＼φ＠Bρ!Nη\\！|]␔ζmζ\a＠.．",
		out:  "＆.\vｗ\x15％␌␛ν．＼φ＠Bρ!Nη\\！|]␔ζmζ\a＠.‛．",
	}, { // 1436
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..␐＿\x0f␄[｝+C＃fｉ\x16ｕα（η␈＂Ｇ\\φαSCς␇.A",
		out:  "．.␐＿\x0f␄[｝+C＃fｉ\x16ｕα（η␈＂Ｇ\\φαSCς␇.A",
	}, { // 1437
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.␐＿\x0f␄[｝+C＃fｉ\x16ｕα（η␈＂Ｇ\\φαSCς␇.A",
		out:  "‛．.␐＿\x0f␄[｝+C＃fｉ\x16ｕα（η␈＂Ｇ\\φαSCς␇.A",
	}, { // 1438
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "\x15.␐＿\x0f␄[｝+C＃fｉ\x16ｕα（η␈＂Ｇ\\φαSCς␇..",
		out:  "\x15.␐＿\x0f␄[｝+C＃fｉ\x16ｕα（η␈＂Ｇ\\φαSCς␇.．",
	}, { // 1439
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "\x15.␐＿\x0f␄[｝+C＃fｉ\x16ｕα（η␈＂Ｇ\\φαSCς␇.．",
		out:  "\x15.␐＿\x0f␄[｝+C＃fｉ\x16ｕα（η␈＂Ｇ\\φαSCς␇.‛．",
	}, { // 1440
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..ωωο０^＊＃\x00β#\\B／␂αξ3]＆\x05７(F␆␕\x01.ｇ",
		out:  "．.ωωο０^＊＃␀β#\\B／␂αξ3]＆\x05７(F␆␕\x01.ｇ",
	}, { // 1441
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.ωωο０^＊＃\x00β#\\B／␂αξ3]＆\x05７(F␆␕\x01.ｇ",
		out:  "‛．.ωωο０^＊＃␀β#\\B／␂αξ3]＆\x05７(F␆␕\x01.ｇ",
	}, { // 1442
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "Ｔ.ωωο０^＊＃\x00β#\\B／␂αξ3]＆\x05７(F␆␕\x01..",
		out:  "Ｔ.ωωο０^＊＃␀β#\\B／␂αξ3]＆\x05７(F␆␕\x01.．",
	}, { // 1443
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "Ｔ.ωωο０^＊＃\x00β#\\B／␂αξ3]＆\x05７(F␆␕\x01.．",
		out:  "Ｔ.ωωο０^＊＃␀β#\\B／␂αξ3]＆\x05７(F␆␕\x01.‛．",
	}, { // 1444
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..ｙｅＰ\x16q4A\r#␔ψ␊␆：9\x1bηα␜Ｙτｔσ␙υV.#",
		out:  "．.ｙｅＰ\x16q4A\r#␔ψ␊␆：9\x1bηα␜Ｙτｔσ␙υV.#",
	}, { // 1445
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.ｙｅＰ\x16q4A\r#␔ψ␊␆：9\x1bηα␜Ｙτｔσ␙υV.#",
		out:  "‛．.ｙｅＰ\x16q4A\r#␔ψ␊␆：9\x1bηα␜Ｙτｔσ␙υV.#",
	}, { // 1446
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "Ｏ.ｙｅＰ\x16q4A\r#␔ψ␊␆：9\x1bηα␜Ｙτｔσ␙υV..",
		out:  "Ｏ.ｙｅＰ\x16q4A\r#␔ψ␊␆：9\x1bηα␜Ｙτｔσ␙υV.．",
	}, { // 1447
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "Ｏ.ｙｅＰ\x16q4A\r#␔ψ␊␆：9\x1bηα␜Ｙτｔσ␙υV.．",
		out:  "Ｏ.ｙｅＰ\x16q4A\r#␔ψ␊␆：9\x1bηα␜Ｙτｔσ␙υV.‛．",
	}, { // 1448
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..\r＃ω\x14ζλυ\x18：ςτJg␉：/ａX\x10＂␄/'g＊ｏ.Ｃ",
		out:  "．.\r＃ω\x14ζλυ\x18：ςτJg␉：/ａX\x10＂␄/'g＊ｏ.Ｃ",
	}, { // 1449
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.\r＃ω\x14ζλυ\x18：ςτJg␉：/ａX\x10＂␄/'g＊ｏ.Ｃ",
		out:  "‛．.\r＃ω\x14ζλυ\x18：ςτJg␉：/ａX\x10＂␄/'g＊ｏ.Ｃ",
	}, { // 1450
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "＇.\r＃ω\x14ζλυ\x18：ςτJg␉：/ａX\x10＂␄/'g＊ｏ..",
		out:  "＇.\r＃ω\x14ζλυ\x18：ςτJg␉：/ａX\x10＂␄/'g＊ｏ.．",
	}, { // 1451
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "＇.\r＃ω\x14ζλυ\x18：ςτJg␉：/ａX\x10＂␄/'g＊ｏ.．",
		out:  "＇.\r＃ω\x14ζλυ\x18：ςτJg␉：/ａX\x10＂␄/'g＊ｏ.‛．",
	}, { // 1452
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..ψ\f␉η*␆␖␁λυ/\x11｀；γP;\vｈ％&＞\x14␔ｚ\x00.*",
		out:  "．.ψ\f␉η*␆␖␁λυ/\x11｀；γP;\vｈ％&＞\x14␔ｚ␀.*",
	}, { // 1453
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.ψ\f␉η*␆␖␁λυ/\x11｀；γP;\vｈ％&＞\x14␔ｚ\x00.*",
		out:  "‛．.ψ\f␉η*␆␖␁λυ/\x11｀；γP;\vｈ％&＞\x14␔ｚ␀.*",
	}, { // 1454
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "ｃ.ψ\f␉η*␆␖␁λυ/\x11｀；γP;\vｈ％&＞\x14␔ｚ\x00..",
		out:  "ｃ.ψ\f␉η*␆␖␁λυ/\x11｀；γP;\vｈ％&＞\x14␔ｚ␀.．",
	}, { // 1455
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "ｃ.ψ\f␉η*␆␖␁λυ/\x11｀；γP;\vｈ％&＞\x14␔ｚ\x00.．",
		out:  "ｃ.ψ\f␉η*␆␖␁λυ/\x11｀；γP;\vｈ％&＞\x14␔ｚ␀.‛．",
	}, { // 1456
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..␁\x0faα\x1eb␆␆|\x06φδＫ＾&:＊κ＼␇ｌ␚␕@Ｕς.k",
		out:  "．.␁\x0faα\x1eb␆␆|\x06φδＫ＾&:＊κ＼␇ｌ␚␕@Ｕς.k",
	}, { // 1457
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.␁\x0faα\x1eb␆␆|\x06φδＫ＾&:＊κ＼␇ｌ␚␕@Ｕς.k",
		out:  "‛．.␁\x0faα\x1eb␆␆|\x06φδＫ＾&:＊κ＼␇ｌ␚␕@Ｕς.k",
	}, { // 1458
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "\t.␁\x0faα\x1eb␆␆|\x06φδＫ＾&:＊κ＼␇ｌ␚␕@Ｕς..",
		out:  "\t.␁\x0faα\x1eb␆␆|\x06φδＫ＾&:＊κ＼␇ｌ␚␕@Ｕς.．",
	}, { // 1459
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "\t.␁\x0faα\x1eb␆␆|\x06φδＫ＾&:＊κ＼␇ｌ␚␕@Ｕς.．",
		out:  "\t.␁\x0faα\x1eb␆␆|\x06φδＫ＾&:＊κ＼␇ｌ␚␕@Ｕς.‛．",
	}, { // 1460
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..？\f\x1aQ␙<ω］␍πτ\";/\"３]μｐ#ｐ［␙\x1eνｏ.x",
		out:  "．.？\f\x1aQ␙<ω］␍πτ＂;/＂３]μｐ#ｐ［␙\x1eνｏ.x",
	}, { // 1461
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.？\f\x1aQ␙<ω］␍πτ\";/\"３]μｐ#ｐ［␙\x1eνｏ.x",
		out:  "‛．.？\f\x1aQ␙<ω］␍πτ＂;/＂３]μｐ#ｐ［␙\x1eνｏ.x",
	}, { // 1462
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "␅.？\f\x1aQ␙<ω］␍πτ\";/\"３]μｐ#ｐ［␙\x1eνｏ..",
		out:  "␅.？\f\x1aQ␙<ω］␍πτ＂;/＂３]μｐ#ｐ［␙\x1eνｏ.．",
	}, { // 1463
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "␅.？\f\x1aQ␙<ω］␍πτ\";/\"３]μｐ#ｐ［␙\x1eνｏ.．",
		out:  "␅.？\f\x1aQ␙<ω］␍πτ＂;/＂３]μｐ#ｐ［␙\x1eνｏ.‛．",
	}, { // 1464
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..e＼\n␖\nχWχ␆sＦη；\x0eＤ\nζ-ι？６8γ␋５S.]",
		out:  "．.e＼\n␖\nχWχ␆sＦη；\x0eＤ\nζ-ι？６8γ␋５S.]",
	}, { // 1465
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.e＼\n␖\nχWχ␆sＦη；\x0eＤ\nζ-ι？６8γ␋５S.]",
		out:  "‛．.e＼\n␖\nχWχ␆sＦη；\x0eＤ\nζ-ι？６8γ␋５S.]",
	}, { // 1466
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "␔.e＼\n␖\nχWχ␆sＦη；\x0eＤ\nζ-ι？６8γ␋５S..",
		out:  "␔.e＼\n␖\nχWχ␆sＦη；\x0eＤ\nζ-ι？６8γ␋５S.．",
	}, { // 1467
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "␔.e＼\n␖\nχWχ␆sＦη；\x0eＤ\nζ-ι？６8γ␋５S.．",
		out:  "␔.e＼\n␖\nχWχ␆sＦη；\x0eＤ\nζ-ι？６8γ␋５S.‛．",
	}, { // 1468
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..Ｌ！\"＠？／!＜gπ］π`＜σ？６oθX9|e␑\x05\x1b.\x1a",
		out:  "．.Ｌ！\"＠‛？／!＜gπ］π`＜σ‛？６oθX9|e␑\x05\x1b.\x1a",
	}, { // 1469
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.Ｌ！\"＠？／!＜gπ］π`＜σ？６oθX9|e␑\x05\x1b.\x1a",
		out:  "‛．.Ｌ！\"＠‛？／!＜gπ］π`＜σ‛？６oθX9|e␑\x05\x1b.\x1a",
	}, { // 1470
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "π.Ｌ！\"＠？／!＜gπ］π`＜σ？６oθX9|e␑\x05\x1b..",
		out:  "π.Ｌ！\"＠‛？／!＜gπ］π`＜σ‛？６oθX9|e␑\x05\x1b.．",
	}, { // 1471
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "π.Ｌ！\"＠？／!＜gπ］π`＜σ？６oθX9|e␑\x05\x1b.．",
		out:  "π.Ｌ！\"＠‛？／!＜gπ］π`＜σ‛？６oθX9|e␑\x05\x1b.‛．",
	}, { // 1472
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..>\x17␌ψπPｖλ\x13＜␂，τ\x1bB？Jｓα)␛χｎ|␞\a.＞",
		out:  "．.>\x17␌ψπPｖλ\x13＜␂，τ\x1bB？Jｓα)␛χｎ|␞\a.＞",
	}, { // 1473
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.>\x17␌ψπPｖλ\x13＜␂，τ\x1bB？Jｓα)␛χｎ|␞\a.＞",
		out:  "‛．.>\x17␌ψπPｖλ\x13＜␂，τ\x1bB？Jｓα)␛χｎ|␞\a.＞",
	}, { // 1474
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "␟.>\x17␌ψπPｖλ\x13＜␂，τ\x1bB？Jｓα)␛χｎ|␞\a..",
		out:  "␟.>\x17␌ψπPｖλ\x13＜␂，τ\x1bB？Jｓα)␛χｎ|␞\a.．",
	}, { // 1475
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "␟.>\x17␌ψπPｖλ\x13＜␂，τ\x1bB？Jｓα)␛χｎ|␞\a.．",
		out:  "␟.>\x17␌ψπPｖλ\x13＜␂，τ\x1bB？Jｓα)␛χｎ|␞\a.‛．",
	}, { // 1476
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..θ␗␂ｉ\x03>＃\x18ξ␞\x1aｖ\x01␞！θα\\－ｕｙψ:V\x1f｀.;",
		out:  "．.θ␗␂ｉ\x03>＃\x18ξ␞\x1aｖ\x01␞！θα\\－ｕｙψ:V\x1f｀.;",
	}, { // 1477
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.θ␗␂ｉ\x03>＃\x18ξ␞\x1aｖ\x01␞！θα\\－ｕｙψ:V\x1f｀.;",
		out:  "‛．.θ␗␂ｉ\x03>＃\x18ξ␞\x1aｖ\x01␞！θα\\－ｕｙψ:V\x1f｀.;",
	}, { // 1478
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "r.θ␗␂ｉ\x03>＃\x18ξ␞\x1aｖ\x01␞！θα\\－ｕｙψ:V\x1f｀..",
		out:  "r.θ␗␂ｉ\x03>＃\x18ξ␞\x1aｖ\x01␞！θα\\－ｕｙψ:V\x1f｀.．",
	}, { // 1479
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "r.θ␗␂ｉ\x03>＃\x18ξ␞\x1aｖ\x01␞！θα\\－ｕｙψ:V\x1f｀.．",
		out:  "r.θ␗␂ｉ\x03>＃\x18ξ␞\x1aｖ\x01␞！θα\\－ｕｙψ:V\x1f｀.‛．",
	}, { // 1480
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..\v=γ＄␏␘｛）δｚξ２Q\x19\rπ␊υ＄＄η'rV␂A.$",
		out:  "．.\v=γ＄␏␘｛）δｚξ２Q\x19\rπ␊υ＄＄η'rV␂A.$",
	}, { // 1481
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.\v=γ＄␏␘｛）δｚξ２Q\x19\rπ␊υ＄＄η'rV␂A.$",
		out:  "‛．.\v=γ＄␏␘｛）δｚξ２Q\x19\rπ␊υ＄＄η'rV␂A.$",
	}, { // 1482
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "'.\v=γ＄␏␘｛）δｚξ２Q\x19\rπ␊υ＄＄η'rV␂A..",
		out:  "'.\v=γ＄␏␘｛）δｚξ２Q\x19\rπ␊υ＄＄η'rV␂A.．",
	}, { // 1483
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "'.\v=γ＄␏␘｛）δｚξ２Q\x19\rπ␊υ＄＄η'rV␂A.．",
		out:  "'.\v=γ＄␏␘｛）δｚξ２Q\x19\rπ␊υ＄＄η'rV␂A.‛．",
	}, { // 1484
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..`'*␟｝\vτμ\r␄%ρ\rζ\x1e␗β4\x130␊\uff00ｙ\uff00␕␃.ο",
		out:  "．.`'*␟｝\vτμ\r␄％ρ\rζ\x1e␗β4\x130␊\uff00ｙ\uff00␕␃.ο",
	}, { // 1485
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.`'*␟｝\vτμ\r␄%ρ\rζ\x1e␗β4\x130␊\uff00ｙ\uff00␕␃.ο",
		out:  "‛．.`'*␟｝\vτμ\r␄％ρ\rζ\x1e␗β4\x130␊\uff00ｙ\uff00␕␃.ο",
	}, { // 1486
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "ｂ.`'*␟｝\vτμ\r␄%ρ\rζ\x1e␗β4\x130␊\uff00ｙ\uff00␕␃..",
		out:  "ｂ.`'*␟｝\vτμ\r␄％ρ\rζ\x1e␗β4\x130␊\uff00ｙ\uff00␕␃.．",
	}, { // 1487
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "ｂ.`'*␟｝\vτμ\r␄%ρ\rζ\x1e␗β4\x130␊\uff00ｙ\uff00␕␃.．",
		out:  "ｂ.`'*␟｝\vτμ\r␄％ρ\rζ\x1e␗β4\x130␊\uff00ｙ\uff00␕␃.‛．",
	}, { // 1488
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..␛\x1b：'/／，δυ：γ␎␘\x18ｓφ\"λ:S^␃\biｅＭ.＞",
		out:  "．.␛\x1b：'/／，δυ：γ␎␘\x18ｓφ\"λ:S^␃\biｅＭ.＞",
	}, { // 1489
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.␛\x1b：'/／，δυ：γ␎␘\x18ｓφ\"λ:S^␃\biｅＭ.＞",
		out:  "‛．.␛\x1b：'/／，δυ：γ␎␘\x18ｓφ\"λ:S^␃\biｅＭ.＞",
	}, { // 1490
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "\x11.␛\x1b：'/／，δυ：γ␎␘\x18ｓφ\"λ:S^␃\biｅＭ..",
		out:  "\x11.␛\x1b：'/／，δυ：γ␎␘\x18ｓφ\"λ:S^␃\biｅＭ.．",
	}, { // 1491
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "\x11.␛\x1b：'/／，δυ：γ␎␘\x18ｓφ\"λ:S^␃\biｅＭ.．",
		out:  "\x11.␛\x1b：'/／，δυ：γ␎␘\x18ｓφ\"λ:S^␃\biｅＭ.‛．",
	}, { // 1492
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..ηψ\x02ｃzλ␝ν␔＂B]５π␡οｅ'{␎0ｅz？\t'.D",
		out:  "．.ηψ\x02ｃzλ␝ν␔＂B]５π␡οｅ'{␎0ｅz？\t'.D",
	}, { // 1493
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.ηψ\x02ｃzλ␝ν␔＂B]５π␡οｅ'{␎0ｅz？\t'.D",
		out:  "‛．.ηψ\x02ｃzλ␝ν␔＂B]５π␡οｅ'{␎0ｅz？\t'.D",
	}, { // 1494
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "｜.ηψ\x02ｃzλ␝ν␔＂B]５π␡οｅ'{␎0ｅz？\t'..",
		out:  "｜.ηψ\x02ｃzλ␝ν␔＂B]５π␡οｅ'{␎0ｅz？\t'.．",
	}, { // 1495
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "｜.ηψ\x02ｃzλ␝ν␔＂B]５π␡οｅ'{␎0ｅz？\t'.．",
		out:  "｜.ηψ\x02ｃzλ␝ν␔＂B]５π␡οｅ'{␎0ｅz？\t'.‛．",
	}, { // 1496
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..＿ι\n␉P␀ σωｌ[KＪ%％τσ＇\x13\x1c␂：\x00\"V，.＜",
		out:  "．.＿ι\n␉P‛␀ σωｌ[KＪ%％τσ＇\x13\x1c␂：␀\"V，.＜",
	}, { // 1497
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.＿ι\n␉P␀ σωｌ[KＪ%％τσ＇\x13\x1c␂：\x00\"V，.＜",
		out:  "‛．.＿ι\n␉P‛␀ σωｌ[KＪ%％τσ＇\x13\x1c␂：␀\"V，.＜",
	}, { // 1498
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "ς.＿ι\n␉P␀ σωｌ[KＪ%％τσ＇\x13\x1c␂：\x00\"V，..",
		out:  "ς.＿ι\n␉P‛␀ σωｌ[KＪ%％τσ＇\x13\x1c␂：␀\"V，.．",
	}, { // 1499
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "ς.＿ι\n␉P␀ σωｌ[KＪ%％τσ＇\x13\x1c␂：\x00\"V，.．",
		out:  "ς.＿ι\n␉P‛␀ σωｌ[KＪ%％τσ＇\x13\x1c␂：␀\"V，.‛．",
	}, { // 1500
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..＞␄;=\x7fφ␘Ｏμ\x7fkγ$lκＶ|\x0f␐ｎκe\bHρ␘.␘",
		out:  "．.＞‛␄;=\x7fφ‛␘Ｏμ\x7fkγ$lκＶ|␏‛␐ｎκe␈Hρ‛␘.‛␘",
	}, { // 1501
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.＞␄;=\x7fφ␘Ｏμ\x7fkγ$lκＶ|\x0f␐ｎκe\bHρ␘.␘",
		out:  "‛．.＞‛␄;=\x7fφ‛␘Ｏμ\x7fkγ$lκＶ|␏‛␐ｎκe␈Hρ‛␘.‛␘",
	}, { // 1502
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "ｎ.＞␄;=\x7fφ␘Ｏμ\x7fkγ$lκＶ|\x0f␐ｎκe\bHρ␘..",
		out:  "ｎ.＞‛␄;=\x7fφ‛␘Ｏμ\x7fkγ$lκＶ|␏‛␐ｎκe␈Hρ‛␘.．",
	}, { // 1503
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "ｎ.＞␄;=\x7fφ␘Ｏμ\x7fkγ$lκＶ|\x0f␐ｎκe\bHρ␘.．",
		out:  "ｎ.＞‛␄;=\x7fφ‛␘Ｏμ\x7fkγ$lκＶ|␏‛␐ｎκe␈Hρ‛␘.‛．",
	}, { // 1504
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\t｜",
		out:  "．\t\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\t｜",
	}, { // 1505
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\t｜",
		out:  "‛．\t\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\t｜",
	}, { // 1506
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\n｜",
		out:  "．\n\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\n｜",
	}, { // 1507
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\n｜",
		out:  "‛．\n\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\n｜",
	}, { // 1508
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\v｜",
		out:  "．\v\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\v｜",
	}, { // 1509
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\v｜",
		out:  "‛．\v\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\v｜",
	}, { // 1510
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\r｜",
		out:  "．\r\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\r｜",
	}, { // 1511
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\r｜",
		out:  "‛．\r\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\r｜",
	}, { // 1512
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\t\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\t.",
		out:  "?\t\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\t.",
	}, { // 1513
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\t\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\t．",
		out:  "?\t\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\t．",
	}, { // 1514
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\n\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\n.",
		out:  "?\n\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\n.",
	}, { // 1515
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\n\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\n．",
		out:  "?\n\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\n．",
	}, { // 1516
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\v\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\v.",
		out:  "?\v\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\v.",
	}, { // 1517
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\v\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\v．",
		out:  "?\v\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\v．",
	}, { // 1518
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\r\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\r.",
		out:  "?\r\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\r.",
	}, { // 1519
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\r\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\r．",
		out:  "?\r\x1b␍\uff00Ｄκｌ␒\x1a\x0fκω$ｑ/χ．［α\x05？<ρ|\\-：\r．",
	}, { // 1520
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\tＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\t␔",
		out:  "．\tＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\t␔",
	}, { // 1521
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\tＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\t␔",
		out:  "‛．\tＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\t␔",
	}, { // 1522
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\nＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\n␔",
		out:  "．\nＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\n␔",
	}, { // 1523
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\nＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\n␔",
		out:  "‛．\nＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\n␔",
	}, { // 1524
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\vＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\v␔",
		out:  "．\vＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\v␔",
	}, { // 1525
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\vＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\v␔",
		out:  "‛．\vＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\v␔",
	}, { // 1526
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\rＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\r␔",
		out:  "．\rＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\r␔",
	}, { // 1527
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\rＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\r␔",
		out:  "‛．\rＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\r␔",
	}, { // 1528
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｋ\tＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\t.",
		out:  "ｋ\tＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\t.",
	}, { // 1529
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｋ\tＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\t．",
		out:  "ｋ\tＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\t．",
	}, { // 1530
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｋ\nＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\n.",
		out:  "ｋ\nＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\n.",
	}, { // 1531
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｋ\nＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\n．",
		out:  "ｋ\nＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\n．",
	}, { // 1532
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｋ\vＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\v.",
		out:  "ｋ\vＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\v.",
	}, { // 1533
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｋ\vＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\v．",
		out:  "ｋ\vＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\v．",
	}, { // 1534
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｋ\rＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\r.",
		out:  "ｋ\rＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\r.",
	}, { // 1535
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｋ\rＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\r．",
		out:  "ｋ\rＡｗｏ\x15\v'ξωμ$>χ[␜ｅT\\δ␋␟\x01␕ｄφ\x12,\r．",
	}, { // 1536
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\tγ",
		out:  "．\t\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\tγ",
	}, { // 1537
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\tγ",
		out:  "‛．\t\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\tγ",
	}, { // 1538
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\nγ",
		out:  "．\n\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\nγ",
	}, { // 1539
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\nγ",
		out:  "‛．\n\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\nγ",
	}, { // 1540
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\vγ",
		out:  "．\v\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\vγ",
	}, { // 1541
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\vγ",
		out:  "‛．\v\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\vγ",
	}, { // 1542
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\rγ",
		out:  "．\r\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\rγ",
	}, { // 1543
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\rγ",
		out:  "‛．\r\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\rγ",
	}, { // 1544
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "A\t\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\t.",
		out:  "A\t\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\t.",
	}, { // 1545
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "A\t\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\t．",
		out:  "A\t\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\t．",
	}, { // 1546
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "A\n\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\n.",
		out:  "A\n\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\n.",
	}, { // 1547
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "A\n\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\n．",
		out:  "A\n\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\n．",
	}, { // 1548
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "A\v\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\v.",
		out:  "A\v\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\v.",
	}, { // 1549
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "A\v\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\v．",
		out:  "A\v\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\v．",
	}, { // 1550
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "A\r\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\r.",
		out:  "A\r\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\r.",
	}, { // 1551
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "A\r\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\r．",
		out:  "A\r\fη!Ｕπ？Ｋ!＝\r␏E␡ｂθ␐θ␕␔０ｒκ\"{t^\r．",
	}, { // 1552
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\tσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\t＿",
		out:  "．\tσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\t＿",
	}, { // 1553
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\tσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\t＿",
		out:  "‛．\tσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\t＿",
	}, { // 1554
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\nσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\n＿",
		out:  "．\nσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\n＿",
	}, { // 1555
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\nσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\n＿",
		out:  "‛．\nσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\n＿",
	}, { // 1556
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\vσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\v＿",
		out:  "．\vσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\v＿",
	}, { // 1557
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\vσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\v＿",
		out:  "‛．\vσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\v＿",
	}, { // 1558
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\rσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\r＿",
		out:  "．\rσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\r＿",
	}, { // 1559
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\rσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\r＿",
		out:  "‛．\rσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\r＿",
	}, { // 1560
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｒ\tσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\t.",
		out:  "ｒ\tσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\t.",
	}, { // 1561
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｒ\tσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\t．",
		out:  "ｒ\tσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\t．",
	}, { // 1562
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｒ\nσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\n.",
		out:  "ｒ\nσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\n.",
	}, { // 1563
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｒ\nσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\n．",
		out:  "ｒ\nσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\n．",
	}, { // 1564
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｒ\vσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\v.",
		out:  "ｒ\vσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\v.",
	}, { // 1565
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｒ\vσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\v．",
		out:  "ｒ\vσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\v．",
	}, { // 1566
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｒ\rσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\r.",
		out:  "ｒ\rσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\r.",
	}, { // 1567
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｒ\rσμ<[␆δ␡Ａ９\t\tζ␕C＄５` Ｒ␗\x00ψT␝[r\r．",
		out:  "ｒ\rσμ<[␆δ␡Ａ９\t\tζ␕C＄５｀ Ｒ␗␀ψT␝[r\r．",
	}, { // 1568
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\t␐",
		out:  "．\t\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\t␐",
	}, { // 1569
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\t␐",
		out:  "‛．\t\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\t␐",
	}, { // 1570
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\n␐",
		out:  "．\n\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\n␐",
	}, { // 1571
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\n␐",
		out:  "‛．\n\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\n␐",
	}, { // 1572
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\v␐",
		out:  "．\v\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\v␐",
	}, { // 1573
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\v␐",
		out:  "‛．\v\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\v␐",
	}, { // 1574
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\r␐",
		out:  "．\r\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\r␐",
	}, { // 1575
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\r␐",
		out:  "‛．\r\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\r␐",
	}, { // 1576
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\t\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\t.",
		out:  "?\t\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\t.",
	}, { // 1577
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\t\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\t．",
		out:  "?\t\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\t．",
	}, { // 1578
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\n\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\n.",
		out:  "?\n\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\n.",
	}, { // 1579
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\n\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\n．",
		out:  "?\n\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\n．",
	}, { // 1580
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\v\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\v.",
		out:  "?\v\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\v.",
	}, { // 1581
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\v\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\v．",
		out:  "?\v\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\v．",
	}, { // 1582
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\r\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\r.",
		out:  "?\r\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\r.",
	}, { // 1583
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "?\r\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ＜［␅ξγ\r．",
		out:  "?\r\x02\x10τQ\\4\x1d␊iＢ＾mς␎＄P！εζ/Ｊ‛＜［␅ξγ\r．",
	}, { // 1584
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\t>",
		out:  "．\t＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\t>",
	}, { // 1585
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\t>",
		out:  "‛．\t＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\t>",
	}, { // 1586
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\n>",
		out:  "．\n＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\n>",
	}, { // 1587
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\n>",
		out:  "‛．\n＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\n>",
	}, { // 1588
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\v>",
		out:  "．\v＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\v>",
	}, { // 1589
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\v>",
		out:  "‛．\v＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\v>",
	}, { // 1590
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\r>",
		out:  "．\r＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\r>",
	}, { // 1591
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\r>",
		out:  "‛．\r＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\r>",
	}, { // 1592
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␁\t＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\t.",
		out:  "␁\t＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\t.",
	}, { // 1593
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␁\t＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\t．",
		out:  "␁\t＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\t．",
	}, { // 1594
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␁\n＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\n.",
		out:  "␁\n＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\n.",
	}, { // 1595
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␁\n＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\n．",
		out:  "␁\n＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\n．",
	}, { // 1596
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␁\v＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\v.",
		out:  "␁\v＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\v.",
	}, { // 1597
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␁\v＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\v．",
		out:  "␁\v＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\v．",
	}, { // 1598
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␁\r＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\r.",
		out:  "␁\r＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\r.",
	}, { // 1599
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␁\r＼}>ηｕ\\3（Ｅ\x1bυ␒z［␖κσ\x11φ7␇？␉mε\r\r．",
		out:  "␁\r＼}>ηｕ\\3（Ｅ\x1bυ␒z‛［␖κσ\x11φ7␇？␉mε\r\r．",
	}, { // 1600
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\t\x02",
		out:  "．\t‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\t\x02",
	}, { // 1601
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\t\x02",
		out:  "‛．\t‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\t\x02",
	}, { // 1602
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\n\x02",
		out:  "．\n‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\n\x02",
	}, { // 1603
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\n\x02",
		out:  "‛．\n‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\n\x02",
	}, { // 1604
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\v\x02",
		out:  "．\v‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\v\x02",
	}, { // 1605
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\v\x02",
		out:  "‛．\v‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\v\x02",
	}, { // 1606
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\r\x02",
		out:  "．\r‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\r\x02",
	}, { // 1607
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\r\x02",
		out:  "‛．\r‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\r\x02",
	}, { // 1608
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "／\t；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\t.",
		out:  "／\t‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\t.",
	}, { // 1609
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "／\t；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\t．",
		out:  "／\t‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\t．",
	}, { // 1610
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "／\n；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\n.",
		out:  "／\n‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\n.",
	}, { // 1611
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "／\n；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\n．",
		out:  "／\n‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\n．",
	}, { // 1612
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "／\v；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\v.",
		out:  "／\v‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\v.",
	}, { // 1613
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "／\v；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\v．",
		out:  "／\v‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\v．",
	}, { // 1614
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "／\r；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\r.",
		out:  "／\r‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\r.",
	}, { // 1615
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "／\r；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\r．",
		out:  "／\r‛；␡o>η(o␔χ␐8Ａς[６７␙`αＫ␕ι#?γ\r\r．",
	}, { // 1616
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\tＳ",
		out:  "．\t#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\tＳ",
	}, { // 1617
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\tＳ",
		out:  "‛．\t#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\tＳ",
	}, { // 1618
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\nＳ",
		out:  "．\n#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\nＳ",
	}, { // 1619
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\nＳ",
		out:  "‛．\n#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\nＳ",
	}, { // 1620
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\vＳ",
		out:  "．\v#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\vＳ",
	}, { // 1621
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\vＳ",
		out:  "‛．\v#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\vＳ",
	}, { // 1622
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\rＳ",
		out:  "．\r#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\rＳ",
	}, { // 1623
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\rＳ",
		out:  "‛．\r#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\rＳ",
	}, { // 1624
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "}\t#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\t.",
		out:  "}\t#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\t.",
	}, { // 1625
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "}\t#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\t．",
		out:  "}\t#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\t．",
	}, { // 1626
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "}\n#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\n.",
		out:  "}\n#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\n.",
	}, { // 1627
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "}\n#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\n．",
		out:  "}\n#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\n．",
	}, { // 1628
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "}\v#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\v.",
		out:  "}\v#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\v.",
	}, { // 1629
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "}\v#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\v．",
		out:  "}\v#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\v．",
	}, { // 1630
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "}\r#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\r.",
		out:  "}\r#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\r.",
	}, { // 1631
		mask: EncodeExclamation | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "}\r#ｗR␇：δ\x12ｅ）i／!7κt␏\x1d\rχβ＃／δ\v␡β\r．",
		out:  "}\r#ｗR␇：δ\x12ｅ）i／！7κt␏\x1d\rχβ＃／δ\v␡β\r．",
	}, { // 1632
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\tψ",
		out:  "．\t\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\tψ",
	}, { // 1633
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\tψ",
		out:  "‛．\t\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\tψ",
	}, { // 1634
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\nψ",
		out:  "．\n\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\nψ",
	}, { // 1635
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\nψ",
		out:  "‛．\n\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\nψ",
	}, { // 1636
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\vψ",
		out:  "．\v\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\vψ",
	}, { // 1637
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\vψ",
		out:  "‛．\v\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\vψ",
	}, { // 1638
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\rψ",
		out:  "．\r\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\rψ",
	}, { // 1639
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\rψ",
		out:  "‛．\r\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\rψ",
	}, { // 1640
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "v\t\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\t.",
		out:  "v\t\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\t.",
	}, { // 1641
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "v\t\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\t．",
		out:  "v\t\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\t．",
	}, { // 1642
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "v\n\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\n.",
		out:  "v\n\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\n.",
	}, { // 1643
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "v\n\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\n．",
		out:  "v\n\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\n．",
	}, { // 1644
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "v\v\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\v.",
		out:  "v\v\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\v.",
	}, { // 1645
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "v\v\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\v．",
		out:  "v\v\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\v．",
	}, { // 1646
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "v\r\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\r.",
		out:  "v\r\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\r.",
	}, { // 1647
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "v\r\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\r．",
		out:  "v\r\x05δ／d0␆\x0eπ\t｝␐βυ８ｕ\x7f５2＼\bu?Ｆζ／／\r．",
	}, { // 1648
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\td：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\t*",
		out:  "．\td：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\t*",
	}, { // 1649
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\td：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\t*",
		out:  "‛．\td：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\t*",
	}, { // 1650
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\nd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\n*",
		out:  "．\nd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\n*",
	}, { // 1651
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\nd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\n*",
		out:  "‛．\nd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\n*",
	}, { // 1652
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\vd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\v*",
		out:  "．\vd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\v*",
	}, { // 1653
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\vd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\v*",
		out:  "‛．\vd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\v*",
	}, { // 1654
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\rd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\r*",
		out:  "．\rd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\r*",
	}, { // 1655
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\rd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\r*",
		out:  "‛．\rd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\r*",
	}, { // 1656
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ζ\td：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\t.",
		out:  "ζ\td：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\t.",
	}, { // 1657
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ζ\td：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\t．",
		out:  "ζ\td：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\t．",
	}, { // 1658
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ζ\nd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\n.",
		out:  "ζ\nd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\n.",
	}, { // 1659
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ζ\nd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\n．",
		out:  "ζ\nd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\n．",
	}, { // 1660
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ζ\vd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\v.",
		out:  "ζ\vd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\v.",
	}, { // 1661
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ζ\vd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\v．",
		out:  "ζ\vd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\v．",
	}, { // 1662
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ζ\rd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\r.",
		out:  "ζ\rd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\r.",
	}, { // 1663
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ζ\rd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\r．",
		out:  "ζ\rd：ｄκNｓιｌ␜␌Ｉ\a＾'␜␈bμτφJ?␁#.＇\r．",
	}, { // 1664
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\t?",
		out:  "．\t｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\t?",
	}, { // 1665
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\t?",
		out:  "‛．\t｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\t?",
	}, { // 1666
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\n?",
		out:  "．\n｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\n?",
	}, { // 1667
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\n?",
		out:  "‛．\n｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\n?",
	}, { // 1668
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\v?",
		out:  "．\v｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\v?",
	}, { // 1669
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\v?",
		out:  "‛．\v｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\v?",
	}, { // 1670
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\r?",
		out:  "．\r｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\r?",
	}, { // 1671
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\r?",
		out:  "‛．\r｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\r?",
	}, { // 1672
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\t｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\t.",
		out:  "＞\t｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\t.",
	}, { // 1673
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\t｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\t．",
		out:  "＞\t｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\t．",
	}, { // 1674
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\n｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\n.",
		out:  "＞\n｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\n.",
	}, { // 1675
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\n｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\n．",
		out:  "＞\n｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\n．",
	}, { // 1676
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\v｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\v.",
		out:  "＞\v｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\v.",
	}, { // 1677
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\v｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\v．",
		out:  "＞\v｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\v．",
	}, { // 1678
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\r｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\r.",
		out:  "＞\r｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\r.",
	}, { // 1679
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\r｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\r．",
		out:  "＞\r｜`ＨＫ＄'／-％φ/ρ␄λφ\x1a４`δ\x01H\nｗκx\x10\r．",
	}, { // 1680
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\tιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\t＄",
		out:  "．\tιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\t＄",
	}, { // 1681
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\tιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\t＄",
		out:  "‛．\tιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\t＄",
	}, { // 1682
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\nιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\n＄",
		out:  "．\nιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\n＄",
	}, { // 1683
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\nιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\n＄",
		out:  "‛．\nιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\n＄",
	}, { // 1684
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\vιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\v＄",
		out:  "．\vιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\v＄",
	}, { // 1685
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\vιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\v＄",
		out:  "‛．\vιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\v＄",
	}, { // 1686
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\rιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\r＄",
		out:  "．\rιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\r＄",
	}, { // 1687
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\rιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\r＄",
		out:  "‛．\rιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\r＄",
	}, { // 1688
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "δ\tιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\t.",
		out:  "δ\tιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\t.",
	}, { // 1689
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "δ\tιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\t．",
		out:  "δ\tιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\t．",
	}, { // 1690
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "δ\nιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\n.",
		out:  "δ\nιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\n.",
	}, { // 1691
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "δ\nιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\n．",
		out:  "δ\nιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\n．",
	}, { // 1692
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "δ\vιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\v.",
		out:  "δ\vιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\v.",
	}, { // 1693
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "δ\vιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\v．",
		out:  "δ\vιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\v．",
	}, { // 1694
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "δ\rιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\r.",
		out:  "δ\rιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\r.",
	}, { // 1695
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "δ\rιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁?ζ？\r．",
		out:  "δ\rιο\x10ρ＃＼4>␟\x01!\x04j４ＺｐD\x0f~｜μ＊␁？ζ‛？\r．",
	}, { // 1696
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\tρ",
		out:  "．\t␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\tρ",
	}, { // 1697
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\tρ",
		out:  "‛．\t␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\tρ",
	}, { // 1698
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\nρ",
		out:  "．\n␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\nρ",
	}, { // 1699
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\nρ",
		out:  "‛．\n␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\nρ",
	}, { // 1700
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\vρ",
		out:  "．\v␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\vρ",
	}, { // 1701
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\vρ",
		out:  "‛．\v␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\vρ",
	}, { // 1702
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\rρ",
		out:  "．\r␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\rρ",
	}, { // 1703
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\rρ",
		out:  "‛．\r␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\rρ",
	}, { // 1704
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\t␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\t.",
		out:  "\x0e\t␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\t.",
	}, { // 1705
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\t␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\t．",
		out:  "\x0e\t␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\t．",
	}, { // 1706
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\n␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\n.",
		out:  "\x0e\n␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\n.",
	}, { // 1707
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\n␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\n．",
		out:  "\x0e\n␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\n．",
	}, { // 1708
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\v␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\v.",
		out:  "\x0e\v␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\v.",
	}, { // 1709
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\v␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\v．",
		out:  "\x0e\v␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\v．",
	}, { // 1710
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\r␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\r.",
		out:  "\x0e\r␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\r.",
	}, { // 1711
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\r␕）Ｅ\x1ax＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\r．",
		out:  "\x0e\r␕）Ｅ\x1ax‛＊\x1fκα␡␇!λι／=θ！\x01d\\\\Ｉ␅６j\r．",
	}, { // 1712
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\tγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\t\x16",
		out:  "．\tγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\t\x16",
	}, { // 1713
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\tγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\t\x16",
		out:  "‛．\tγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\t\x16",
	}, { // 1714
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\nγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\n\x16",
		out:  "．\nγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\n\x16",
	}, { // 1715
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\nγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\n\x16",
		out:  "‛．\nγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\n\x16",
	}, { // 1716
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\vγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\v\x16",
		out:  "．\vγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\v\x16",
	}, { // 1717
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\vγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\v\x16",
		out:  "‛．\vγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\v\x16",
	}, { // 1718
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\rγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\r\x16",
		out:  "．\rγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\r\x16",
	}, { // 1719
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\rγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\r\x16",
		out:  "‛．\rγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\r\x16",
	}, { // 1720
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｌ\tγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\t.",
		out:  "Ｌ\tγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\t.",
	}, { // 1721
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｌ\tγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\t．",
		out:  "Ｌ\tγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\t．",
	}, { // 1722
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｌ\nγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\n.",
		out:  "Ｌ\nγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\n.",
	}, { // 1723
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｌ\nγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\n．",
		out:  "Ｌ\nγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\n．",
	}, { // 1724
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｌ\vγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\v.",
		out:  "Ｌ\vγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\v.",
	}, { // 1725
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｌ\vγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\v．",
		out:  "Ｌ\vγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\v．",
	}, { // 1726
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｌ\rγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\r.",
		out:  "Ｌ\rγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\r.",
	}, { // 1727
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｌ\rγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\r．",
		out:  "Ｌ\rγ␟κε*ζ\x15＼\x12uψ＇␆Ｕ0␉nＣ␆＼]αＯ<HＭ\r．",
	}, { // 1728
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\t!",
		out:  "．\t＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\t!",
	}, { // 1729
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\t!",
		out:  "‛．\t＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\t!",
	}, { // 1730
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\n!",
		out:  "．\n＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\n!",
	}, { // 1731
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\n!",
		out:  "‛．\n＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\n!",
	}, { // 1732
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\v!",
		out:  "．\v＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\v!",
	}, { // 1733
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\v!",
		out:  "‛．\v＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\v!",
	}, { // 1734
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\r!",
		out:  "．\r＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\r!",
	}, { // 1735
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\r!",
		out:  "‛．\r＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\r!",
	}, { // 1736
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␃\t＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\t.",
		out:  "␃\t＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\t.",
	}, { // 1737
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␃\t＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\t．",
		out:  "␃\t＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\t．",
	}, { // 1738
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␃\n＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\n.",
		out:  "␃\n＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\n.",
	}, { // 1739
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␃\n＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\n．",
		out:  "␃\n＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\n．",
	}, { // 1740
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␃\v＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\v.",
		out:  "␃\v＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\v.",
	}, { // 1741
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␃\v＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\v．",
		out:  "␃\v＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\v．",
	}, { // 1742
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␃\r＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\r.",
		out:  "␃\r＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\r.",
	}, { // 1743
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␃\r＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\r．",
		out:  "␃\r＿｀οC\x12ηβα/α␂␏φＶｌ2*␝\x0f␅r0Ｃ␈\x0f\r\r．",
	}, { // 1744
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\tμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\t｀",
		out:  "．\tμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\t｀",
	}, { // 1745
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\tμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\t｀",
		out:  "‛．\tμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\t｀",
	}, { // 1746
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\nμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\n｀",
		out:  "．\nμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\n｀",
	}, { // 1747
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\nμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\n｀",
		out:  "‛．\nμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\n｀",
	}, { // 1748
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\vμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\v｀",
		out:  "．\vμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\v｀",
	}, { // 1749
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\vμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\v｀",
		out:  "‛．\vμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\v｀",
	}, { // 1750
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\rμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\r｀",
		out:  "．\rμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\r｀",
	}, { // 1751
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\rμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\r｀",
		out:  "‛．\rμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\r｀",
	}, { // 1752
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "２\tμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\t.",
		out:  "２\tμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\t.",
	}, { // 1753
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "２\tμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\t．",
		out:  "２\tμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\t．",
	}, { // 1754
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "２\nμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\n.",
		out:  "２\nμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\n.",
	}, { // 1755
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "２\nμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\n．",
		out:  "２\nμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\n．",
	}, { // 1756
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "２\vμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\v.",
		out:  "２\vμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\v.",
	}, { // 1757
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "２\vμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\v．",
		out:  "２\vμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\v．",
	}, { // 1758
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "２\rμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\r.",
		out:  "２\rμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\r.",
	}, { // 1759
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "２\rμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o%μE␟\r．",
		out:  "２\rμ\x1cＱ␛f<␜Ｖ\t\x04｜｀θ\x1d\uff00ｐr\x1fＡλ(o％μE␟\r．",
	}, { // 1760
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\t％",
		out:  "．\t\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\t％",
	}, { // 1761
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\t％",
		out:  "‛．\t\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\t％",
	}, { // 1762
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\n％",
		out:  "．\n\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\n％",
	}, { // 1763
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\n％",
		out:  "‛．\n\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\n％",
	}, { // 1764
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\v％",
		out:  "．\v\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\v％",
	}, { // 1765
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\v％",
		out:  "‛．\v\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\v％",
	}, { // 1766
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\r％",
		out:  "．\r\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\r％",
	}, { // 1767
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\r％",
		out:  "‛．\r\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\r％",
	}, { // 1768
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␐\t\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\t.",
		out:  "␐\t\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\t.",
	}, { // 1769
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␐\t\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\t．",
		out:  "␐\t\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\t．",
	}, { // 1770
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␐\n\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\n.",
		out:  "␐\n\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\n.",
	}, { // 1771
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␐\n\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\n．",
		out:  "␐\n\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\n．",
	}, { // 1772
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␐\v\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\v.",
		out:  "␐\v\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\v.",
	}, { // 1773
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␐\v\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\v．",
		out:  "␐\v\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\v．",
	}, { // 1774
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␐\r\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\r.",
		out:  "␐\r\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\r.",
	}, { // 1775
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "␐\r\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\r．",
		out:  "␐\r\nψ｜Ｇ`_ｓ\"Ｉ␗κ/κＶν\x14'＄δ？\x04ξＷ'ｌ\x1b\r．",
	}, { // 1776
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\tκ",
		out:  "．\t␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\tκ",
	}, { // 1777
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\tκ",
		out:  "‛．\t␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\tκ",
	}, { // 1778
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\nκ",
		out:  "．\n␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\nκ",
	}, { // 1779
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\nκ",
		out:  "‛．\n␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\nκ",
	}, { // 1780
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\vκ",
		out:  "．\v␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\vκ",
	}, { // 1781
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\vκ",
		out:  "‛．\v␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\vκ",
	}, { // 1782
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\rκ",
		out:  "．\r␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\rκ",
	}, { // 1783
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\rκ",
		out:  "‛．\r␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\rκ",
	}, { // 1784
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\t␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\t.",
		out:  "$\t␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\t.",
	}, { // 1785
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\t␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\t．",
		out:  "$\t␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\t．",
	}, { // 1786
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\n␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\n.",
		out:  "$\n␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\n.",
	}, { // 1787
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\n␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\n．",
		out:  "$\n␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\n．",
	}, { // 1788
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\v␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\v.",
		out:  "$\v␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\v.",
	}, { // 1789
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\v␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\v．",
		out:  "$\v␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\v．",
	}, { // 1790
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\r␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\r.",
		out:  "$\r␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\r.",
	}, { // 1791
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\r␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\r．",
		out:  "$\r␚␒?␁␋>＼\x10ο\x05(＜～ςCYx＄φχO\x1c＝η;，\r．",
	}, { // 1792
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ 'φhＲ7＜|\x01ｘαI\x16␘φτ␞\b␊#%dｘｖ␉η␁ ω",
		out:  "～ 'φhＲ7＜|\x01ｘαI\x16␘φτ␞\b␊#%dｘｖ␉η␁ ω",
	}, { // 1793
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ 'φhＲ7＜|\x01ｘαI\x16␘φτ␞\b␊#%dｘｖ␉η␁ ω",
		out:  "‛～ 'φhＲ7＜|\x01ｘαI\x16␘φτ␞\b␊#%dｘｖ␉η␁ ω",
	}, { // 1794
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftSpace,
		in:   "i 'φhＲ7＜|\x01ｘαI\x16␘φτ␞\b␊#%dｘｖ␉η␁ ~",
		out:  "i 'φhＲ7＜|\x01ｘαI\x16␘φτ␞\b␊#%dｘｖ␉η␁ ~",
	}, { // 1795
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftSpace,
		in:   "i 'φhＲ7＜|\x01ｘαI\x16␘φτ␞\b␊#%dｘｖ␉η␁ ～",
		out:  "i 'φhＲ7＜|\x01ｘαI\x16␘φτ␞\b␊#%dｘｖ␉η␁ ～",
	}, { // 1796
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ z｜5rσ\x1b\x10－␊ν:ｘｉｄκNbＧ␗ρ#\x19␛＃Wθ ！",
		out:  "～ z｜5rσ\x1b\x10－␊ν:ｘｉｄκNbＧ␗ρ#\x19␛＃Wθ ！",
	}, { // 1797
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ z｜5rσ\x1b\x10－␊ν:ｘｉｄκNbＧ␗ρ#\x19␛＃Wθ ！",
		out:  "‛～ z｜5rσ\x1b\x10－␊ν:ｘｉｄκNbＧ␗ρ#\x19␛＃Wθ ！",
	}, { // 1798
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "\x1c z｜5rσ\x1b\x10－␊ν:ｘｉｄκNbＧ␗ρ#\x19␛＃Wθ ~",
		out:  "\x1c z｜5rσ\x1b\x10－␊ν:ｘｉｄκNbＧ␗ρ#\x19␛＃Wθ ~",
	}, { // 1799
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "\x1c z｜5rσ\x1b\x10－␊ν:ｘｉｄκNbＧ␗ρ#\x19␛＃Wθ ～",
		out:  "\x1c z｜5rσ\x1b\x10－␊ν:ｘｉｄκNbＧ␗ρ#\x19␛＃Wθ ～",
	}, { // 1800
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ␔␋\x1d９:,~uξ［\n ␗｛５＄␃＾ηδσ７τ/＞\x05 &",
		out:  "～ ␔␋\x1d９:,~uξ［\n ␗｛５＄␃＾ηδσ７τ/＞\x05 &",
	}, { // 1801
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ␔␋\x1d９:,~uξ［\n ␗｛５＄␃＾ηδσ７τ/＞\x05 &",
		out:  "‛～ ␔␋\x1d９:,~uξ［\n ␗｛５＄␃＾ηδσ７τ/＞\x05 &",
	}, { // 1802
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "\x0f ␔␋\x1d９:,~uξ［\n ␗｛５＄␃＾ηδσ７τ/＞\x05 ~",
		out:  "\x0f ␔␋\x1d９:,~uξ［\n ␗｛５＄␃＾ηδσ７τ/＞\x05 ~",
	}, { // 1803
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "\x0f ␔␋\x1d９:,~uξ［\n ␗｛５＄␃＾ηδσ７τ/＞\x05 ～",
		out:  "\x0f ␔␋\x1d９:,~uξ［\n ␗｛５＄␃＾ηδσ７τ/＞\x05 ～",
	}, { // 1804
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ VF／γ2Ｄ９＼Gｑ␁ι｜\x1d\x18\x17φ#ο：Ｅw\t＃\x15τ 9",
		out:  "～ VF／γ2Ｄ９＼Gｑ␁ι｜\x1d\x18\x17φ#ο：Ｅw\t＃\x15τ 9",
	}, { // 1805
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ VF／γ2Ｄ９＼Gｑ␁ι｜\x1d\x18\x17φ#ο：Ｅw\t＃\x15τ 9",
		out:  "‛～ VF／γ2Ｄ９＼Gｑ␁ι｜\x1d\x18\x17φ#ο：Ｅw\t＃\x15τ 9",
	}, { // 1806
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "␛ VF／γ2Ｄ９＼Gｑ␁ι｜\x1d\x18\x17φ#ο：Ｅw\t＃\x15τ ~",
		out:  "␛ VF／γ2Ｄ９＼Gｑ␁ι｜\x1d\x18\x17φ#ο：Ｅw\t＃\x15τ ~",
	}, { // 1807
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "␛ VF／γ2Ｄ９＼Gｑ␁ι｜\x1d\x18\x17φ#ο：Ｅw\t＃\x15τ ～",
		out:  "␛ VF／γ2Ｄ９＼Gｑ␁ι｜\x1d\x18\x17φ#ο：Ｅw\t＃\x15τ ～",
	}, { // 1808
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ␕＇\uff00ｐβ␍［vλ\n␖＊！θ9\x15[οＤj\x1a－\\'χｔ μ",
		out:  "～ ␕＇\uff00ｐβ␍［vλ\n␖＊！θ9\x15[οＤj\x1a－\\'χｔ μ",
	}, { // 1809
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ␕＇\uff00ｐβ␍［vλ\n␖＊！θ9\x15[οＤj\x1a－\\'χｔ μ",
		out:  "‛～ ␕＇\uff00ｐβ␍［vλ\n␖＊！θ9\x15[οＤj\x1a－\\'χｔ μ",
	}, { // 1810
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftSpace,
		in:   "\x1b ␕＇\uff00ｐβ␍［vλ\n␖＊！θ9\x15[οＤj\x1a－\\'χｔ ~",
		out:  "\x1b ␕＇\uff00ｐβ␍［vλ\n␖＊！θ9\x15[οＤj\x1a－\\'χｔ ~",
	}, { // 1811
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftSpace,
		in:   "\x1b ␕＇\uff00ｐβ␍［vλ\n␖＊！θ9\x15[οＤj\x1a－\\'χｔ ～",
		out:  "\x1b ␕＇\uff00ｐβ␍［vλ\n␖＊！θ9\x15[οＤj\x1a－\\'χｔ ～",
	}, { // 1812
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ bζ\x00\x11iｖχ␗ｚ\x10\x04％ω！␟k／0πD\x0e＠３ψ$Ｙ \n",
		out:  "～ bζ␀\x11iｖχ␗ｚ\x10\x04％ω！␟k／0πD\x0e＠３ψ$Ｙ \n",
	}, { // 1813
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ bζ\x00\x11iｖχ␗ｚ\x10\x04％ω！␟k／0πD\x0e＠３ψ$Ｙ \n",
		out:  "‛～ bζ␀\x11iｖχ␗ｚ\x10\x04％ω！␟k／0πD\x0e＠３ψ$Ｙ \n",
	}, { // 1814
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftSpace,
		in:   "␊ bζ\x00\x11iｖχ␗ｚ\x10\x04％ω！␟k／0πD\x0e＠３ψ$Ｙ ~",
		out:  "␊ bζ␀\x11iｖχ␗ｚ\x10\x04％ω！␟k／0πD\x0e＠３ψ$Ｙ ~",
	}, { // 1815
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftSpace,
		in:   "␊ bζ\x00\x11iｖχ␗ｚ\x10\x04％ω！␟k／0πD\x0e＠３ψ$Ｙ ～",
		out:  "␊ bζ␀\x11iｖχ␗ｚ\x10\x04％ω！␟k／0πD\x0e＠３ψ$Ｙ ～",
	}, { // 1816
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ｏCχνυ＞\x03␘\b\\␊$?Ｇ\rｂ］`１ｗ␃\"dＵu␔ ς",
		out:  "～ ｏCχνυ＞\x03␘\b\\␊$?Ｇ\rｂ］`１ｗ␃\"dＵu␔ ς",
	}, { // 1817
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ｏCχνυ＞\x03␘\b\\␊$?Ｇ\rｂ］`１ｗ␃\"dＵu␔ ς",
		out:  "‛～ ｏCχνυ＞\x03␘\b\\␊$?Ｇ\rｂ］`１ｗ␃\"dＵu␔ ς",
	}, { // 1818
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "I ｏCχνυ＞\x03␘\b\\␊$?Ｇ\rｂ］`１ｗ␃\"dＵu␔ ~",
		out:  "I ｏCχνυ＞\x03␘\b\\␊$?Ｇ\rｂ］`１ｗ␃\"dＵu␔ ~",
	}, { // 1819
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "I ｏCχνυ＞\x03␘\b\\␊$?Ｇ\rｂ］`１ｗ␃\"dＵu␔ ～",
		out:  "I ｏCχνυ＞\x03␘\b\\␊$?Ｇ\rｂ］`１ｗ␃\"dＵu␔ ～",
	}, { // 1820
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ／␜Fｍ\x7fωμζθ/！D\x03＿p＞\\］7\x13\x01\x02４ξ＞ｖ ␇",
		out:  "～ ／␜Fｍ\x7fωμζθ/‛！D\x03＿p＞\\］7\x13\x01\x02４ξ＞ｖ ␇",
	}, { // 1821
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ／␜Fｍ\x7fωμζθ/！D\x03＿p＞\\］7\x13\x01\x02４ξ＞ｖ ␇",
		out:  "‛～ ／␜Fｍ\x7fωμζθ/‛！D\x03＿p＞\\］7\x13\x01\x02４ξ＞ｖ ␇",
	}, { // 1822
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftSpace,
		in:   "） ／␜Fｍ\x7fωμζθ/！D\x03＿p＞\\］7\x13\x01\x02４ξ＞ｖ ~",
		out:  "） ／␜Fｍ\x7fωμζθ/‛！D\x03＿p＞\\］7\x13\x01\x02４ξ＞ｖ ~",
	}, { // 1823
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftSpace,
		in:   "） ／␜Fｍ\x7fωμζθ/！D\x03＿p＞\\］7\x13\x01\x02４ξ＞ｖ ～",
		out:  "） ／␜Fｍ\x7fωμζθ/‛！D\x03＿p＞\\］7\x13\x01\x02４ξ＞ｖ ～",
	}, { // 1824
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ \x1f\x1d:ａ␡ωJ＾␂jφ；γυ*ＰJλ％.｀＇␃％*! \x0e",
		out:  "～ \x1f\x1d:ａ␡ωJ＾␂jφ；γυ*ＰJλ％.｀＇␃％*! \x0e",
	}, { // 1825
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ \x1f\x1d:ａ␡ωJ＾␂jφ；γυ*ＰJλ％.｀＇␃％*! \x0e",
		out:  "‛～ \x1f\x1d:ａ␡ωJ＾␂jφ；γυ*ＰJλ％.｀＇␃％*! \x0e",
	}, { // 1826
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftSpace,
		in:   "σ \x1f\x1d:ａ␡ωJ＾␂jφ；γυ*ＰJλ％.｀＇␃％*! ~",
		out:  "σ \x1f\x1d:ａ␡ωJ＾␂jφ；γυ*ＰJλ％.｀＇␃％*! ~",
	}, { // 1827
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftSpace,
		in:   "σ \x1f\x1d:ａ␡ωJ＾␂jφ；γυ*ＰJλ％.｀＇␃％*! ～",
		out:  "σ \x1f\x1d:ａ␡ωJ＾␂jφ；γυ*ＰJλ％.｀＇␃％*! ～",
	}, { // 1828
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ |／␎ψｊ\bＡ＃\x12+πｐξ␍Iｌ3e;n\x04ηｒωｓ％ +",
		out:  "～ |／␎ψｊ\bＡ＃\x12+πｐξ␍Iｌ3e;n\x04ηｒωｓ％ +",
	}, { // 1829
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ |／␎ψｊ\bＡ＃\x12+πｐξ␍Iｌ3e;n\x04ηｒωｓ％ +",
		out:  "‛～ |／␎ψｊ\bＡ＃\x12+πｐξ␍Iｌ3e;n\x04ηｒωｓ％ +",
	}, { // 1830
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "␎ |／␎ψｊ\bＡ＃\x12+πｐξ␍Iｌ3e;n\x04ηｒωｓ％ ~",
		out:  "␎ |／␎ψｊ\bＡ＃\x12+πｐξ␍Iｌ3e;n\x04ηｒωｓ％ ~",
	}, { // 1831
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "␎ |／␎ψｊ\bＡ＃\x12+πｐξ␍Iｌ3e;n\x04ηｒωｓ％ ～",
		out:  "␎ |／␎ψｊ\bＡ＃\x12+πｐξ␍Iｌ3e;n\x04ηｒωｓ％ ～",
	}, { // 1832
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ GD␍＃υ37*＇ψ\x1dφμｒ％\f␊｜Ｗζ[4Ｖ＃\x06ε '",
		out:  "～ GD␍＃υ37*＇ψ\x1dφμｒ％\f␊｜Ｗζ[4Ｖ＃\x06ε '",
	}, { // 1833
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ GD␍＃υ37*＇ψ\x1dφμｒ％\f␊｜Ｗζ[4Ｖ＃\x06ε '",
		out:  "‛～ GD␍＃υ37*＇ψ\x1dφμｒ％\f␊｜Ｗζ[4Ｖ＃\x06ε '",
	}, { // 1834
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "\r GD␍＃υ37*＇ψ\x1dφμｒ％\f␊｜Ｗζ[4Ｖ＃\x06ε ~",
		out:  "\r GD␍＃υ37*＇ψ\x1dφμｒ％\f␊｜Ｗζ[4Ｖ＃\x06ε ~",
	}, { // 1835
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "\r GD␍＃υ37*＇ψ\x1dφμｒ％\f␊｜Ｗζ[4Ｖ＃\x06ε ～",
		out:  "\r GD␍＃υ37*＇ψ\x1dφμｒ％\f␊｜Ｗζ[4Ｖ＃\x06ε ～",
	}, { // 1836
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ Ｋ␌６.？υα`S␛␞ο\x7fＮO\x12ζδ\x16ψ（%o*\x1b\x0e ␚",
		out:  "～ Ｋ␌６.‛？υα`S␛␞ο\x7fＮO\x12ζδ\x16ψ（%o*\x1b\x0e ␚",
	}, { // 1837
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ Ｋ␌６.？υα`S␛␞ο\x7fＮO\x12ζδ\x16ψ（%o*\x1b\x0e ␚",
		out:  "‛～ Ｋ␌６.‛？υα`S␛␞ο\x7fＮO\x12ζδ\x16ψ（%o*\x1b\x0e ␚",
	}, { // 1838
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftSpace,
		in:   "＼ Ｋ␌６.？υα`S␛␞ο\x7fＮO\x12ζδ\x16ψ（%o*\x1b\x0e ~",
		out:  "＼ Ｋ␌６.‛？υα`S␛␞ο\x7fＮO\x12ζδ\x16ψ（%o*\x1b\x0e ~",
	}, { // 1839
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftSpace,
		in:   "＼ Ｋ␌６.？υα`S␛␞ο\x7fＮO\x12ζδ\x16ψ（%o*\x1b\x0e ～",
		out:  "＼ Ｋ␌６.‛？υα`S␛␞ο\x7fＮO\x12ζδ\x16ψ（%o*\x1b\x0e ～",
	}, { // 1840
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ b＇_*ω＿ｊ｜θαφ%␙γＪγＨ#␍\x02Y␅␃\n＊ｅ *",
		out:  "～ b＇_＊ω＿ｊ｜θαφ%␙γＪγＨ#␍\x02Y␅␃\n‛＊ｅ ＊",
	}, { // 1841
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ b＇_*ω＿ｊ｜θαφ%␙γＪγＨ#␍\x02Y␅␃\n＊ｅ *",
		out:  "‛～ b＇_＊ω＿ｊ｜θαφ%␙γＪγＨ#␍\x02Y␅␃\n‛＊ｅ ＊",
	}, { // 1842
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftSpace,
		in:   "W b＇_*ω＿ｊ｜θαφ%␙γＪγＨ#␍\x02Y␅␃\n＊ｅ ~",
		out:  "W b＇_＊ω＿ｊ｜θαφ%␙γＪγＨ#␍\x02Y␅␃\n‛＊ｅ ~",
	}, { // 1843
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftSpace,
		in:   "W b＇_*ω＿ｊ｜θαφ%␙γＪγＨ#␍\x02Y␅␃\n＊ｅ ～",
		out:  "W b＇_＊ω＿ｊ｜θαφ%␙γＪγＨ#␍\x02Y␅␃\n‛＊ｅ ～",
	}, { // 1844
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ｃ（}＞␘`χＬ␌Ｔ\x17{a␔\x01Fｌη\aＯ`νν␄ς\x12 ＼",
		out:  "～ ｃ（}＞␘`χＬ␌Ｔ\x17{a␔\x01Fｌη\aＯ`νν␄ς\x12 ＼",
	}, { // 1845
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ｃ（}＞␘`χＬ␌Ｔ\x17{a␔\x01Fｌη\aＯ`νν␄ς\x12 ＼",
		out:  "‛～ ｃ（}＞␘`χＬ␌Ｔ\x17{a␔\x01Fｌη\aＯ`νν␄ς\x12 ＼",
	}, { // 1846
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftSpace,
		in:   "ω ｃ（}＞␘`χＬ␌Ｔ\x17{a␔\x01Fｌη\aＯ`νν␄ς\x12 ~",
		out:  "ω ｃ（}＞␘`χＬ␌Ｔ\x17{a␔\x01Fｌη\aＯ`νν␄ς\x12 ~",
	}, { // 1847
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftSpace,
		in:   "ω ｃ（}＞␘`χＬ␌Ｔ\x17{a␔\x01Fｌη\aＯ`νν␄ς\x12 ～",
		out:  "ω ｃ（}＞␘`χＬ␌Ｔ\x17{a␔\x01Fｌη\aＯ`νν␄ς\x12 ～",
	}, { // 1848
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ δoＧ\nφo］*:%!ω！␗|\x7f␚\x05χ␀mｈｊＨ␎η ｛",
		out:  "～ δoＧ\nφo］*:%!ω！␗|\x7f␚\x05χ‛␀mｈｊＨ␎η ｛",
	}, { // 1849
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ δoＧ\nφo］*:%!ω！␗|\x7f␚\x05χ␀mｈｊＨ␎η ｛",
		out:  "‛～ δoＧ\nφo］*:%!ω！␗|\x7f␚\x05χ‛␀mｈｊＨ␎η ｛",
	}, { // 1850
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "ｅ δoＧ\nφo］*:%!ω！␗|\x7f␚\x05χ␀mｈｊＨ␎η ~",
		out:  "ｅ δoＧ\nφo］*:%!ω！␗|\x7f␚\x05χ‛␀mｈｊＨ␎η ~",
	}, { // 1851
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "ｅ δoＧ\nφo］*:%!ω！␗|\x7f␚\x05χ␀mｈｊＨ␎η ～",
		out:  "ｅ δoＧ\nφo］*:%!ω！␗|\x7f␚\x05χ‛␀mｈｊＨ␎η ～",
	}, { // 1852
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ２!λ\uff00J␍?␅ωｐπ<η／␟~QI␝t\vβｓ\x19\x12U ＃",
		out:  "～ ２!λ\uff00J␍?␅ωｐπ<η／␟~QI␝t\vβｓ\x19\x12U ＃",
	}, { // 1853
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ２!λ\uff00J␍?␅ωｐπ<η／␟~QI␝t\vβｓ\x19\x12U ＃",
		out:  "‛～ ２!λ\uff00J␍?␅ωｐπ<η／␟~QI␝t\vβｓ\x19\x12U ＃",
	}, { // 1854
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftSpace,
		in:   "ω ２!λ\uff00J␍?␅ωｐπ<η／␟~QI␝t\vβｓ\x19\x12U ~",
		out:  "ω ２!λ\uff00J␍?␅ωｐπ<η／␟~QI␝t\vβｓ\x19\x12U ~",
	}, { // 1855
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftSpace,
		in:   "ω ２!λ\uff00J␍?␅ωｐπ<η／␟~QI␝t\vβｓ\x19\x12U ～",
		out:  "ω ２!λ\uff00J␍?␅ωｐπ<η／␟~QI␝t\vβｓ\x19\x12U ～",
	}, { // 1856
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ␃＄μ＜πH（ξ，＃｜$␑Ｅ$\x1c$\x1b|ι0ｓ\x01Wpξ Ｒ",
		out:  "～ ␃＄μ＜πH（ξ，＃｜$␑Ｅ$\x1c$\x1b|ι0ｓ\x01Wpξ Ｒ",
	}, { // 1857
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ␃＄μ＜πH（ξ，＃｜$␑Ｅ$\x1c$\x1b|ι0ｓ\x01Wpξ Ｒ",
		out:  "‛～ ␃＄μ＜πH（ξ，＃｜$␑Ｅ$\x1c$\x1b|ι0ｓ\x01Wpξ Ｒ",
	}, { // 1858
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "＇ ␃＄μ＜πH（ξ，＃｜$␑Ｅ$\x1c$\x1b|ι0ｓ\x01Wpξ ~",
		out:  "＇ ␃＄μ＜πH（ξ，＃｜$␑Ｅ$\x1c$\x1b|ι0ｓ\x01Wpξ ~",
	}, { // 1859
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "＇ ␃＄μ＜πH（ξ，＃｜$␑Ｅ$\x1c$\x1b|ι0ｓ\x01Wpξ ～",
		out:  "＇ ␃＄μ＜πH（ξ，＃｜$␑Ｅ$\x1c$\x1b|ι0ｓ\x01Wpξ ～",
	}, { // 1860
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ M\x17\v␊\x1aβς&φ＂τ｜\x7fｇ\n７θ\"!ι＄e␍Aｙ␃ ｛",
		out:  "～ M\x17\v‛␊\x1aβς&φ＂τ｜\x7fｇ␊７θ\"!ι＄e‛␍Aｙ␃ ｛",
	}, { // 1861
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ M\x17\v␊\x1aβς&φ＂τ｜\x7fｇ\n７θ\"!ι＄e␍Aｙ␃ ｛",
		out:  "‛～ M\x17\v‛␊\x1aβς&φ＂τ｜\x7fｇ␊７θ\"!ι＄e‛␍Aｙ␃ ｛",
	}, { // 1862
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftSpace,
		in:   "＞ M\x17\v␊\x1aβς&φ＂τ｜\x7fｇ\n７θ\"!ι＄e␍Aｙ␃ ~",
		out:  "＞ M\x17\v‛␊\x1aβς&φ＂τ｜\x7fｇ␊７θ\"!ι＄e‛␍Aｙ␃ ~",
	}, { // 1863
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftSpace,
		in:   "＞ M\x17\v␊\x1aβς&φ＂τ｜\x7fｇ\n７θ\"!ι＄e␍Aｙ␃ ～",
		out:  "＞ M\x17\v‛␊\x1aβς&φ＂τ｜\x7fｇ␊７θ\"!ι＄e‛␍Aｙ␃ ～",
	}, { // 1864
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ $Ｓξ*υuι\x0fδ％Ｏ␈Ｃ%:B␚4π＂!］π\x05w％ ６",
		out:  "～ $Ｓξ*υuι\x0fδ％Ｏ␈Ｃ%:B␚4π＂!］π\x05w％ ６",
	}, { // 1865
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ $Ｓξ*υuι\x0fδ％Ｏ␈Ｃ%:B␚4π＂!］π\x05w％ ６",
		out:  "‛～ $Ｓξ*υuι\x0fδ％Ｏ␈Ｃ%:B␚4π＂!］π\x05w％ ６",
	}, { // 1866
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftSpace,
		in:   "N $Ｓξ*υuι\x0fδ％Ｏ␈Ｃ%:B␚4π＂!］π\x05w％ ~",
		out:  "N $Ｓξ*υuι\x0fδ％Ｏ␈Ｃ%:B␚4π＂!］π\x05w％ ~",
	}, { // 1867
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftSpace,
		in:   "N $Ｓξ*υuι\x0fδ％Ｏ␈Ｃ%:B␚4π＂!］π\x05w％ ～",
		out:  "N $Ｓξ*υuι\x0fδ％Ｏ␈Ｃ%:B␚4π＂!］π\x05w％ ～",
	}, { // 1868
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ｗθ␎%\x1eｇν；(，／%\x7f．\b␝ｃ*M\x13␁Y＾κhσ λ",
		out:  "～ ｗθ‛␎%␞ｇν；(，／%\x7f．␈‛␝ｃ*M␓‛␁Y＾κhσ λ",
	}, { // 1869
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ｗθ␎%\x1eｇν；(，／%\x7f．\b␝ｃ*M\x13␁Y＾κhσ λ",
		out:  "‛～ ｗθ‛␎%␞ｇν；(，／%\x7f．␈‛␝ｃ*M␓‛␁Y＾κhσ λ",
	}, { // 1870
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftSpace,
		in:   "ζ ｗθ␎%\x1eｇν；(，／%\x7f．\b␝ｃ*M\x13␁Y＾κhσ ~",
		out:  "ζ ｗθ‛␎%␞ｇν；(，／%\x7f．␈‛␝ｃ*M␓‛␁Y＾κhσ ~",
	}, { // 1871
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftSpace,
		in:   "ζ ｗθ␎%\x1eｇν；(，／%\x7f．\b␝ｃ*M\x13␁Y＾κhσ ～",
		out:  "ζ ｗθ‛␎%␞ｇν；(，／%\x7f．␈‛␝ｃ*M␓‛␁Y＾κhσ ～",
	}, { // 1872
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.\\πr＂\x02\x1dν\x16Ｔ！␁；εδ␗PAW$＃Ｎ␀Ｓｑζη.3",
		out:  "～.\\πr＂\x02\x1dν\x16Ｔ！␁；εδ␗PAW$＃Ｎ‛␀Ｓｑζη.3",
	}, { // 1873
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.\\πr＂\x02\x1dν\x16Ｔ！␁；εδ␗PAW$＃Ｎ␀Ｓｑζη.3",
		out:  "‛～.\\πr＂\x02\x1dν\x16Ｔ！␁；εδ␗PAW$＃Ｎ‛␀Ｓｑζη.3",
	}, { // 1874
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\n.\\πr＂\x02\x1dν\x16Ｔ！␁；εδ␗PAW$＃Ｎ␀Ｓｑζη.~",
		out:  "\n.\\πr＂\x02\x1dν\x16Ｔ！␁；εδ␗PAW$＃Ｎ‛␀Ｓｑζη.~",
	}, { // 1875
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\n.\\πr＂\x02\x1dν\x16Ｔ！␁；εδ␗PAW$＃Ｎ␀Ｓｑζη.～",
		out:  "\n.\\πr＂\x02\x1dν\x16Ｔ！␁；εδ␗PAW$＃Ｎ‛␀Ｓｑζη.～",
	}, { // 1876
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.）｀ιι#/v␆\fＵＲ\b$0␗＼γ[␎ν␏eτＤ*；.ο",
		out:  "～.）｀ιι#／v␆\fＵＲ\b$0␗＼γ[␎ν␏eτＤ*；.ο",
	}, { // 1877
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.）｀ιι#/v␆\fＵＲ\b$0␗＼γ[␎ν␏eτＤ*；.ο",
		out:  "‛～.）｀ιι#／v␆\fＵＲ\b$0␗＼γ[␎ν␏eτＤ*；.ο",
	}, { // 1878
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "H.）｀ιι#/v␆\fＵＲ\b$0␗＼γ[␎ν␏eτＤ*；.~",
		out:  "H.）｀ιι#／v␆\fＵＲ\b$0␗＼γ[␎ν␏eτＤ*；.~",
	}, { // 1879
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "H.）｀ιι#/v␆\fＵＲ\b$0␗＼γ[␎ν␏eτＤ*；.～",
		out:  "H.）｀ιι#／v␆\fＵＲ\b$0␗＼γ[␎ν␏eτＤ*；.～",
	}, { // 1880
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.Iz：ω\x11␚π４.pｗ␒\x01ο␀␎ＣFδω␋＾ς␅＼x.\t",
		out:  "～.Iz：ω\x11␚π４.pｗ␒\x01ο‛␀␎ＣFδω␋＾ς␅＼x.\t",
	}, { // 1881
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.Iz：ω\x11␚π４.pｗ␒\x01ο␀␎ＣFδω␋＾ς␅＼x.\t",
		out:  "‛～.Iz：ω\x11␚π４.pｗ␒\x01ο‛␀␎ＣFδω␋＾ς␅＼x.\t",
	}, { // 1882
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\b.Iz：ω\x11␚π４.pｗ␒\x01ο␀␎ＣFδω␋＾ς␅＼x.~",
		out:  "\b.Iz：ω\x11␚π４.pｗ␒\x01ο‛␀␎ＣFδω␋＾ς␅＼x.~",
	}, { // 1883
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\b.Iz：ω\x11␚π４.pｗ␒\x01ο␀␎ＣFδω␋＾ς␅＼x.～",
		out:  "\b.Iz：ω\x11␚π４.pｗ␒\x01ο‛␀␎ＣFδω␋＾ς␅＼x.～",
	}, { // 1884
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.Ｓ／Ｐl%\x16＂Ｅμ<ι:ηβ␍';␅λ\r？;\f／␃\x01.Ｙ",
		out:  "～.Ｓ／Ｐl%\x16＂Ｅμ<ι:ηβ␍';␅λ\r？;\f／␃\x01.Ｙ",
	}, { // 1885
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.Ｓ／Ｐl%\x16＂Ｅμ<ι:ηβ␍';␅λ\r？;\f／␃\x01.Ｙ",
		out:  "‛～.Ｓ／Ｐl%\x16＂Ｅμ<ι:ηβ␍';␅λ\r？;\f／␃\x01.Ｙ",
	}, { // 1886
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "σ.Ｓ／Ｐl%\x16＂Ｅμ<ι:ηβ␍';␅λ\r？;\f／␃\x01.~",
		out:  "σ.Ｓ／Ｐl%\x16＂Ｅμ<ι:ηβ␍';␅λ\r？;\f／␃\x01.~",
	}, { // 1887
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "σ.Ｓ／Ｐl%\x16＂Ｅμ<ι:ηβ␍';␅λ\r？;\f／␃\x01.～",
		out:  "σ.Ｓ／Ｐl%\x16＂Ｅμ<ι:ηβ␍';␅λ\r？;\f／␃\x01.～",
	}, { // 1888
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.4！ｎ␆ｖh*␙Ｇ\x1faζθCｒ?␅\x00#ｄＯγv\x01␊η.λ",
		out:  "～.4！ｎ␆ｖh*␙Ｇ\x1faζθCｒ?␅␀#ｄＯγv\x01␊η.λ",
	}, { // 1889
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.4！ｎ␆ｖh*␙Ｇ\x1faζθCｒ?␅\x00#ｄＯγv\x01␊η.λ",
		out:  "‛～.4！ｎ␆ｖh*␙Ｇ\x1faζθCｒ?␅␀#ｄＯγv\x01␊η.λ",
	}, { // 1890
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "ς.4！ｎ␆ｖh*␙Ｇ\x1faζθCｒ?␅\x00#ｄＯγv\x01␊η.~",
		out:  "ς.4！ｎ␆ｖh*␙Ｇ\x1faζθCｒ?␅␀#ｄＯγv\x01␊η.~",
	}, { // 1891
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "ς.4！ｎ␆ｖh*␙Ｇ\x1faζθCｒ?␅\x00#ｄＯγv\x01␊η.～",
		out:  "ς.4！ｎ␆ｖh*␙Ｇ\x1faζθCｒ?␅␀#ｄＯγv\x01␊η.～",
	}, { // 1892
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.πＪ：C＄γ[！3J\r␅Hｌ５\x04#σφυ＠\x02λ␗␉\x1c.4",
		out:  "～.πＪ：C＄γ［！3J\r␅Hｌ５\x04#σφυ＠\x02λ␗␉\x1c.4",
	}, { // 1893
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.πＪ：C＄γ[！3J\r␅Hｌ５\x04#σφυ＠\x02λ␗␉\x1c.4",
		out:  "‛～.πＪ：C＄γ［！3J\r␅Hｌ５\x04#σφυ＠\x02λ␗␉\x1c.4",
	}, { // 1894
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "［.πＪ：C＄γ[！3J\r␅Hｌ５\x04#σφυ＠\x02λ␗␉\x1c.~",
		out:  "‛［.πＪ：C＄γ［！3J\r␅Hｌ５\x04#σφυ＠\x02λ␗␉\x1c.~",
	}, { // 1895
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "［.πＪ：C＄γ[！3J\r␅Hｌ５\x04#σφυ＠\x02λ␗␉\x1c.～",
		out:  "‛［.πＪ：C＄γ［！3J\r␅Hｌ５\x04#σφυ＠\x02λ␗␉\x1c.～",
	}, { // 1896
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.␉\rＥ4ｖ＜\x1fι␚rσφα\aｐ␀␊'Ｖ\x14c＼ε：|;.\x17",
		out:  "～.␉\rＥ4ｖ＜\x1fι␚rσφα\aｐ‛␀␊'Ｖ\x14c＼ε：|；.\x17",
	}, { // 1897
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.␉\rＥ4ｖ＜\x1fι␚rσφα\aｐ␀␊'Ｖ\x14c＼ε：|;.\x17",
		out:  "‛～.␉\rＥ4ｖ＜\x1fι␚rσφα\aｐ‛␀␊'Ｖ\x14c＼ε：|；.\x17",
	}, { // 1898
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "Ｋ.␉\rＥ4ｖ＜\x1fι␚rσφα\aｐ␀␊'Ｖ\x14c＼ε：|;.~",
		out:  "Ｋ.␉\rＥ4ｖ＜\x1fι␚rσφα\aｐ‛␀␊'Ｖ\x14c＼ε：|；.~",
	}, { // 1899
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "Ｋ.␉\rＥ4ｖ＜\x1fι␚rσφα\aｐ␀␊'Ｖ\x14c＼ε：|;.～",
		out:  "Ｋ.␉\rＥ4ｖ＜\x1fι␚rσφα\aｐ‛␀␊'Ｖ\x14c＼ε：|；.～",
	}, { // 1900
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.＇ο\x1cR\x1e`κ\x19｀ς\x14\x16／␇␏＋\x00.␗８␍.ψｎ␁~.μ",
		out:  "～.＇ο\x1cR\x1e`κ\x19｀ς\x14\x16／␇␏＋␀.␗８␍.ψｎ␁~.μ",
	}, { // 1901
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.＇ο\x1cR\x1e`κ\x19｀ς\x14\x16／␇␏＋\x00.␗８␍.ψｎ␁~.μ",
		out:  "‛～.＇ο\x1cR\x1e`κ\x19｀ς\x14\x16／␇␏＋␀.␗８␍.ψｎ␁~.μ",
	}, { // 1902
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "ｙ.＇ο\x1cR\x1e`κ\x19｀ς\x14\x16／␇␏＋\x00.␗８␍.ψｎ␁~.~",
		out:  "ｙ.＇ο\x1cR\x1e`κ\x19｀ς\x14\x16／␇␏＋␀.␗８␍.ψｎ␁~.~",
	}, { // 1903
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "ｙ.＇ο\x1cR\x1e`κ\x19｀ς\x14\x16／␇␏＋\x00.␗８␍.ψｎ␁~.～",
		out:  "ｙ.＇ο\x1cR\x1e`κ\x19｀ς\x14\x16／␇␏＋␀.␗８␍.ψｎ␁~.～",
	}, { // 1904
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.τ\r}7ξ［κ\rC\x15␀（\rｂαLu␅k*φ\x13＜ｖ％χ.？",
		out:  "～.τ\r}7ξ［κ\rC\x15‛␀（\rｂαLu␅k*φ\x13＜ｖ％χ.？",
	}, { // 1905
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.τ\r}7ξ［κ\rC\x15␀（\rｂαLu␅k*φ\x13＜ｖ％χ.？",
		out:  "‛～.τ\r}7ξ［κ\rC\x15‛␀（\rｂαLu␅k*φ\x13＜ｖ％χ.？",
	}, { // 1906
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "：.τ\r}7ξ［κ\rC\x15␀（\rｂαLu␅k*φ\x13＜ｖ％χ.~",
		out:  "：.τ\r}7ξ［κ\rC\x15‛␀（\rｂαLu␅k*φ\x13＜ｖ％χ.~",
	}, { // 1907
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "：.τ\r}7ξ［κ\rC\x15␀（\rｂαLu␅k*φ\x13＜ｖ％χ.～",
		out:  "：.τ\r}7ξ［κ\rC\x15‛␀（\rｂαLu␅k*φ\x13＜ｖ％χ.～",
	}, { // 1908
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.θＶ\x0fｅ＆λ\x06␞[␋＂\x03ο#ξωQ_／&␇␕␟ρ＜］.\x7f",
		out:  "～.θＶ\x0fｅ＆λ\x06␞[␋‛＂\x03ο#ξωQ_／&␇␕␟ρ＜］.\x7f",
	}, { // 1909
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.θＶ\x0fｅ＆λ\x06␞[␋＂\x03ο#ξωQ_／&␇␕␟ρ＜］.\x7f",
		out:  "‛～.θＶ\x0fｅ＆λ\x06␞[␋‛＂\x03ο#ξωQ_／&␇␕␟ρ＜］.\x7f",
	}, { // 1910
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "e.θＶ\x0fｅ＆λ\x06␞[␋＂\x03ο#ξωQ_／&␇␕␟ρ＜］.~",
		out:  "e.θＶ\x0fｅ＆λ\x06␞[␋‛＂\x03ο#ξωQ_／&␇␕␟ρ＜］.~",
	}, { // 1911
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "e.θＶ\x0fｅ＆λ\x06␞[␋＂\x03ο#ξωQ_／&␇␕␟ρ＜］.～",
		out:  "e.θＶ\x0fｅ＆λ\x06␞[␋‛＂\x03ο#ξωQ_／&␇␕␟ρ＜］.～",
	}, { // 1912
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.0／\x15＄x0gπ␅β\x04γ＊\x15ｈ␡ιβ␝<＾α［ｐ\"Ｅ.ｗ",
		out:  "～.0／\x15＄x0gπ␅β\x04γ＊\x15ｈ␡ιβ␝<＾α［ｐ\"Ｅ.ｗ",
	}, { // 1913
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.0／\x15＄x0gπ␅β\x04γ＊\x15ｈ␡ιβ␝<＾α［ｐ\"Ｅ.ｗ",
		out:  "‛～.0／\x15＄x0gπ␅β\x04γ＊\x15ｈ␡ιβ␝<＾α［ｐ\"Ｅ.ｗ",
	}, { // 1914
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\n.0／\x15＄x0gπ␅β\x04γ＊\x15ｈ␡ιβ␝<＾α［ｐ\"Ｅ.~",
		out:  "\n.0／\x15＄x0gπ␅β\x04γ＊\x15ｈ␡ιβ␝<＾α［ｐ\"Ｅ.~",
	}, { // 1915
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\n.0／\x15＄x0gπ␅β\x04γ＊\x15ｈ␡ιβ␝<＾α［ｐ\"Ｅ.～",
		out:  "\n.0／\x15＄x0gπ␅β\x04γ＊\x15ｈ␡ιβ␝<＾α［ｐ\"Ｅ.～",
	}, { // 1916
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.t＞ｊ｜1ｂ］｀ｃμ?ｒ)␋υ␕ς\x1a;δ`θ6Cβ?.［",
		out:  "～.t＞ｊ｜1ｂ］｀ｃμ？ｒ)␋υ␕ς\x1a;δ`θ6Cβ？.［",
	}, { // 1917
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.t＞ｊ｜1ｂ］｀ｃμ?ｒ)␋υ␕ς\x1a;δ`θ6Cβ?.［",
		out:  "‛～.t＞ｊ｜1ｂ］｀ｃμ？ｒ)␋υ␕ς\x1a;δ`θ6Cβ？.［",
	}, { // 1918
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "１.t＞ｊ｜1ｂ］｀ｃμ?ｒ)␋υ␕ς\x1a;δ`θ6Cβ?.~",
		out:  "１.t＞ｊ｜1ｂ］｀ｃμ？ｒ)␋υ␕ς\x1a;δ`θ6Cβ？.~",
	}, { // 1919
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "１.t＞ｊ｜1ｂ］｀ｃμ?ｒ)␋υ␕ς\x1a;δ`θ6Cβ?.～",
		out:  "１.t＞ｊ｜1ｂ］｀ｃμ？ｒ)␋υ␕ς\x1a;δ`θ6Cβ？.～",
	}, { // 1920
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.Ｄο\uff00I\x04z{＜-｀γＥ␚5\x1a\x00\"φ␍ω＇；␎:'\x18.ｌ",
		out:  "～.Ｄο\uff00I\x04z{＜-｀γＥ␚5\x1a␀\"φ␍ω＇；␎:'\x18.ｌ",
	}, { // 1921
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.Ｄο\uff00I\x04z{＜-｀γＥ␚5\x1a\x00\"φ␍ω＇；␎:'\x18.ｌ",
		out:  "‛～.Ｄο\uff00I\x04z{＜-｀γＥ␚5\x1a␀\"φ␍ω＇；␎:'\x18.ｌ",
	}, { // 1922
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "γ.Ｄο\uff00I\x04z{＜-｀γＥ␚5\x1a\x00\"φ␍ω＇；␎:'\x18.~",
		out:  "γ.Ｄο\uff00I\x04z{＜-｀γＥ␚5\x1a␀\"φ␍ω＇；␎:'\x18.~",
	}, { // 1923
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "γ.Ｄο\uff00I\x04z{＜-｀γＥ␚5\x1a\x00\"φ␍ω＇；␎:'\x18.～",
		out:  "γ.Ｄο\uff00I\x04z{＜-｀γＥ␚5\x1a␀\"φ␍ω＇；␎:'\x18.～",
	}, { // 1924
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.␁］ηm＄γξD\x04δ[!ｚ␉ｈＸν５\\\a｜$C0@β.Ｓ",
		out:  "～.␁］ηm＄γξD\x04δ[!ｚ␉ｈＸν５\\\a‛｜$C0@β.Ｓ",
	}, { // 1925
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.␁］ηm＄γξD\x04δ[!ｚ␉ｈＸν５\\\a｜$C0@β.Ｓ",
		out:  "‛～.␁］ηm＄γξD\x04δ[!ｚ␉ｈＸν５\\\a‛｜$C0@β.Ｓ",
	}, { // 1926
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "＃.␁］ηm＄γξD\x04δ[!ｚ␉ｈＸν５\\\a｜$C0@β.~",
		out:  "＃.␁］ηm＄γξD\x04δ[!ｚ␉ｈＸν５\\\a‛｜$C0@β.~",
	}, { // 1927
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "＃.␁］ηm＄γξD\x04δ[!ｚ␉ｈＸν５\\\a｜$C0@β.～",
		out:  "＃.␁］ηm＄γξD\x04δ[!ｚ␉ｈＸν５\\\a‛｜$C0@β.～",
	}, { // 1928
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.７\x152|\x11\x10υι␀Ｄ＞υｆv␒\rε␟ψ␐r１F；␜Ｐ.\x1a",
		out:  "～.７\x152|\x11\x10υι‛␀Ｄ＞υｆv␒\rε␟ψ␐r１F；␜Ｐ.\x1a",
	}, { // 1929
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.７\x152|\x11\x10υι␀Ｄ＞υｆv␒\rε␟ψ␐r１F；␜Ｐ.\x1a",
		out:  "‛～.７\x152|\x11\x10υι‛␀Ｄ＞υｆv␒\rε␟ψ␐r１F；␜Ｐ.\x1a",
	}, { // 1930
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "4.７\x152|\x11\x10υι␀Ｄ＞υｆv␒\rε␟ψ␐r１F；␜Ｐ.~",
		out:  "4.７\x152|\x11\x10υι‛␀Ｄ＞υｆv␒\rε␟ψ␐r１F；␜Ｐ.~",
	}, { // 1931
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "4.７\x152|\x11\x10υι␀Ｄ＞υｆv␒\rε␟ψ␐r１F；␜Ｐ.～",
		out:  "4.７\x152|\x11\x10υι‛␀Ｄ＞υｆv␒\rε␟ψ␐r１F；␜Ｐ.～",
	}, { // 1932
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.␝ｍ*＞N\x01\bξ\"-ςｚβＺ␜␛\x7fO（CμＸ；;σκ.3",
		out:  "～.␝ｍ*＞N\x01\bξ\"-ςｚβＺ␜␛\x7fO（CμＸ；;σκ.3",
	}, { // 1933
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.␝ｍ*＞N\x01\bξ\"-ςｚβＺ␜␛\x7fO（CμＸ；;σκ.3",
		out:  "‛～.␝ｍ*＞N\x01\bξ\"-ςｚβＺ␜␛\x7fO（CμＸ；;σκ.3",
	}, { // 1934
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\x7f.␝ｍ*＞N\x01\bξ\"-ςｚβＺ␜␛\x7fO（CμＸ；;σκ.~",
		out:  "\x7f.␝ｍ*＞N\x01\bξ\"-ςｚβＺ␜␛\x7fO（CμＸ；;σκ.~",
	}, { // 1935
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\x7f.␝ｍ*＞N\x01\bξ\"-ςｚβＺ␜␛\x7fO（CμＸ；;σκ.～",
		out:  "\x7f.␝ｍ*＞N\x01\bξ\"-ςｚβＺ␜␛\x7fO（CμＸ；;σκ.～",
	}, { // 1936
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.␋ｗ#ｉφVａＧ␅\x02Ｓ1\\η／lκe␎\x0fζν７l！φ.!",
		out:  "～.␋ｗ#ｉφVａＧ␅\x02Ｓ1＼η／lκe␎\x0fζν７l！φ.!",
	}, { // 1937
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.␋ｗ#ｉφVａＧ␅\x02Ｓ1\\η／lκe␎\x0fζν７l！φ.!",
		out:  "‛～.␋ｗ#ｉφVａＧ␅\x02Ｓ1＼η／lκe␎\x0fζν７l！φ.!",
	}, { // 1938
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\x1f.␋ｗ#ｉφVａＧ␅\x02Ｓ1\\η／lκe␎\x0fζν７l！φ.~",
		out:  "\x1f.␋ｗ#ｉφVａＧ␅\x02Ｓ1＼η／lκe␎\x0fζν７l！φ.~",
	}, { // 1939
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\x1f.␋ｗ#ｉφVａＧ␅\x02Ｓ1\\η／lκe␎\x0fζν７l！φ.～",
		out:  "\x1f.␋ｗ#ｉφVａＧ␅\x02Ｓ1＼η／lκe␎\x0fζν７l！φ.～",
	}, { // 1940
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.!\fλａ\x00κ＊#；\x18-␉＂\r：<ξ＊Vγω．\\ｌcｏ.υ",
		out:  "～.!\fλａ␀κ＊#；\x18-␉＂␍：<ξ＊Vγω．\\ｌcｏ.υ",
	}, { // 1941
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.!\fλａ\x00κ＊#；\x18-␉＂\r：<ξ＊Vγω．\\ｌcｏ.υ",
		out:  "‛～.!\fλａ␀κ＊#；\x18-␉＂␍：<ξ＊Vγω．\\ｌcｏ.υ",
	}, { // 1942
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "1.!\fλａ\x00κ＊#；\x18-␉＂\r：<ξ＊Vγω．\\ｌcｏ.~",
		out:  "1.!\fλａ␀κ＊#；\x18-␉＂␍：<ξ＊Vγω．\\ｌcｏ.~",
	}, { // 1943
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "1.!\fλａ\x00κ＊#；\x18-␉＂\r：<ξ＊Vγω．\\ｌcｏ.～",
		out:  "1.!\fλａ␀κ＊#；\x18-␉＂␍：<ξ＊Vγω．\\ｌcｏ.～",
	}, { // 1944
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.μζμ＂ι［Ｗδ+\x05B%?!ｎＯ>＜M\x06|␘4ｘＺ␕.ν",
		out:  "～.μζμ＂ι［Ｗδ+\x05B%?!ｎＯ>＜M\x06|␘4ｘＺ␕.ν",
	}, { // 1945
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.μζμ＂ι［Ｗδ+\x05B%?!ｎＯ>＜M\x06|␘4ｘＺ␕.ν",
		out:  "‛～.μζμ＂ι［Ｗδ+\x05B%?!ｎＯ>＜M\x06|␘4ｘＺ␕.ν",
	}, { // 1946
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "x.μζμ＂ι［Ｗδ+\x05B%?!ｎＯ>＜M\x06|␘4ｘＺ␕.~",
		out:  "x.μζμ＂ι［Ｗδ+\x05B%?!ｎＯ>＜M\x06|␘4ｘＺ␕.~",
	}, { // 1947
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "x.μζμ＂ι［Ｗδ+\x05B%?!ｎＯ>＜M\x06|␘4ｘＺ␕.～",
		out:  "x.μζμ＂ι［Ｗδ+\x05B%?!ｎＯ>＜M\x06|␘4ｘＺ␕.～",
	}, { // 1948
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.qr６ω％␅_｝␏I\x0f\t\n＇φ␛Kο\nＩεμ；ｌκ␔.␂",
		out:  "～.qr６ω％‛␅_｝‛␏I␏␉␊＇φ‛␛Kο␊Ｉεμ；ｌκ‛␔.‛␂",
	}, { // 1949
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.qr６ω％␅_｝␏I\x0f\t\n＇φ␛Kο\nＩεμ；ｌκ␔.␂",
		out:  "‛～.qr６ω％‛␅_｝‛␏I␏␉␊＇φ‛␛Kο␊Ｉεμ；ｌκ‛␔.‛␂",
	}, { // 1950
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\x00.qr６ω％␅_｝␏I\x0f\t\n＇φ␛Kο\nＩεμ；ｌκ␔.~",
		out:  "␀.qr６ω％‛␅_｝‛␏I␏␉␊＇φ‛␛Kο␊Ｉεμ；ｌκ‛␔.~",
	}, { // 1951
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\x00.qr６ω％␅_｝␏I\x0f\t\n＇φ␛Kο\nＩεμ；ｌκ␔.～",
		out:  "␀.qr６ω％‛␅_｝‛␏I␏␉␊＇φ‛␛Kο␊Ｉεμ；ｌκ‛␔.～",
	}, { // 1952
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\tυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\tＫ",
		out:  "～\tυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\tＫ",
	}, { // 1953
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\tυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\tＫ",
		out:  "‛～\tυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\tＫ",
	}, { // 1954
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\nυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\nＫ",
		out:  "～\nυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\nＫ",
	}, { // 1955
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\nυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\nＫ",
		out:  "‛～\nυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\nＫ",
	}, { // 1956
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\vυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\vＫ",
		out:  "～\vυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\vＫ",
	}, { // 1957
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\vυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\vＫ",
		out:  "‛～\vυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\vＫ",
	}, { // 1958
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\rυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\rＫ",
		out:  "～\rυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\rＫ",
	}, { // 1959
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\rυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\rＫ",
		out:  "‛～\rυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\rＫ",
	}, { // 1960
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ψ\tυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\t~",
		out:  "ψ\tυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\t~",
	}, { // 1961
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ψ\tυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\t～",
		out:  "ψ\tυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\t～",
	}, { // 1962
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ψ\nυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\n~",
		out:  "ψ\nυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\n~",
	}, { // 1963
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ψ\nυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\n～",
		out:  "ψ\nυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\n～",
	}, { // 1964
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ψ\vυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\v~",
		out:  "ψ\vυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\v~",
	}, { // 1965
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ψ\vυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\v～",
		out:  "ψ\vυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\v～",
	}, { // 1966
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ψ\rυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\r~",
		out:  "ψ\rυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\r~",
	}, { // 1967
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ψ\rυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\r～",
		out:  "ψ\rυXμ０/Ｐ/v␃$\x7fμ\x0e\x0eα／．％8Ｍ％4！＄LT\r～",
	}, { // 1968
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\tχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\tι",
		out:  "～\tχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\tι",
	}, { // 1969
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\tχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\tι",
		out:  "‛～\tχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\tι",
	}, { // 1970
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\nχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\nι",
		out:  "～\nχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\nι",
	}, { // 1971
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\nχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\nι",
		out:  "‛～\nχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\nι",
	}, { // 1972
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\vχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\vι",
		out:  "～\vχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\vι",
	}, { // 1973
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\vχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\vι",
		out:  "‛～\vχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\vι",
	}, { // 1974
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\rχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\rι",
		out:  "～\rχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\rι",
	}, { // 1975
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\rχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\rι",
		out:  "‛～\rχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\rι",
	}, { // 1976
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "/\tχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\t~",
		out:  "／\tχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\t~",
	}, { // 1977
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "/\tχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\t～",
		out:  "／\tχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\t～",
	}, { // 1978
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "/\nχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\n~",
		out:  "／\nχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\n~",
	}, { // 1979
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "/\nχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\n～",
		out:  "／\nχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\n～",
	}, { // 1980
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "/\vχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\v~",
		out:  "／\vχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\v~",
	}, { // 1981
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "/\vχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\v～",
		out:  "／\vχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\v～",
	}, { // 1982
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "/\rχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\r~",
		out:  "／\rχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\r~",
	}, { // 1983
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "/\rχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\r～",
		out:  "／\rχ｀␓Tｖ^[␞～ωλｈ2j-μ␎␡＇\f＆？\x10:y＊\r～",
	}, { // 1984
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\tψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\t５",
		out:  "～\tψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\t５",
	}, { // 1985
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\tψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\t５",
		out:  "‛～\tψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\t５",
	}, { // 1986
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\nψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\n５",
		out:  "～\nψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\n５",
	}, { // 1987
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\nψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\n５",
		out:  "‛～\nψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\n５",
	}, { // 1988
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\vψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\v５",
		out:  "～\vψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\v５",
	}, { // 1989
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\vψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\v５",
		out:  "‛～\vψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\v５",
	}, { // 1990
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\rψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\r５",
		out:  "～\rψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\r５",
	}, { // 1991
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\rψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\r５",
		out:  "‛～\rψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\r５",
	}, { // 1992
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\tψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\t~",
		out:  "`\tψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\t~",
	}, { // 1993
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\tψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\t～",
		out:  "`\tψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\t～",
	}, { // 1994
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\nψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\n~",
		out:  "`\nψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\n~",
	}, { // 1995
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\nψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\n～",
		out:  "`\nψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\n～",
	}, { // 1996
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\vψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\v~",
		out:  "`\vψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\v~",
	}, { // 1997
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\vψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\v～",
		out:  "`\vψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\v～",
	}, { // 1998
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\rψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\r~",
		out:  "`\rψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\r~",
	}, { // 1999
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\rψι<１＇␁%\x14ο！ωνι␍␘＇Ｅ\x1db\x1e\x01iＱE＊;\r～",
		out:  "`\rψι<１‛＇␁%\x14ο！ωνι␍␘‛＇Ｅ\x1db\x1e\x01iＱE＊;\r～",
	}, { // 2000
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\t＝",
		out:  "～\t＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\t＝",
	}, { // 2001
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\t＝",
		out:  "‛～\t＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\t＝",
	}, { // 2002
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\n＝",
		out:  "～\n＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\n＝",
	}, { // 2003
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\n＝",
		out:  "‛～\n＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\n＝",
	}, { // 2004
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\v＝",
		out:  "～\v＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\v＝",
	}, { // 2005
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\v＝",
		out:  "‛～\v＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\v＝",
	}, { // 2006
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\r＝",
		out:  "～\r＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\r＝",
	}, { // 2007
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\r＝",
		out:  "‛～\r＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\r＝",
	}, { // 2008
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "I\t＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\t~",
		out:  "I\t＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\t~",
	}, { // 2009
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "I\t＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\t～",
		out:  "I\t＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\t～",
	}, { // 2010
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "I\n＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\n~",
		out:  "I\n＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\n~",
	}, { // 2011
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "I\n＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\n～",
		out:  "I\n＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\n～",
	}, { // 2012
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "I\v＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\v~",
		out:  "I\v＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\v~",
	}, { // 2013
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "I\v＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\v～",
		out:  "I\v＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\v～",
	}, { // 2014
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "I\r＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\r~",
		out:  "I\r＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\r~",
	}, { // 2015
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "I\r＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\r～",
		out:  "I\r＼ξ:υＨ\r␌j?pｌρτλ\x02－␕\x06Ｅι\x02\v＇3c␂\r～",
	}, { // 2016
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\t＃",
		out:  "～\t!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\t＃",
	}, { // 2017
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\t＃",
		out:  "‛～\t!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\t＃",
	}, { // 2018
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\n＃",
		out:  "～\n!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\n＃",
	}, { // 2019
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\n＃",
		out:  "‛～\n!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\n＃",
	}, { // 2020
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\v＃",
		out:  "～\v!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\v＃",
	}, { // 2021
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\v＃",
		out:  "‛～\v!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\v＃",
	}, { // 2022
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\r＃",
		out:  "～\r!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\r＃",
	}, { // 2023
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\r＃",
		out:  "‛～\r!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\r＃",
	}, { // 2024
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｃ\t!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\t~",
		out:  "Ｃ\t!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\t~",
	}, { // 2025
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｃ\t!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\t～",
		out:  "Ｃ\t!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\t～",
	}, { // 2026
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｃ\n!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\n~",
		out:  "Ｃ\n!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\n~",
	}, { // 2027
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｃ\n!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\n～",
		out:  "Ｃ\n!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\n～",
	}, { // 2028
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｃ\v!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\v~",
		out:  "Ｃ\v!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\v~",
	}, { // 2029
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｃ\v!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\v～",
		out:  "Ｃ\v!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\v～",
	}, { // 2030
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｃ\r!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\r~",
		out:  "Ｃ\r!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\r~",
	}, { // 2031
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｃ\r!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\r～",
		out:  "Ｃ\r!syπ\x14ａＳｅυＹυ\x1d␗ｐh［\x01␓βα/λh\x19\x10␙\r～",
	}, { // 2032
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\tfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\t４",
		out:  "～\tfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\t４",
	}, { // 2033
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\tfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\t４",
		out:  "‛～\tfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\t４",
	}, { // 2034
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\nfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\n４",
		out:  "～\nfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\n４",
	}, { // 2035
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\nfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\n４",
		out:  "‛～\nfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\n４",
	}, { // 2036
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\vfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\v４",
		out:  "～\vfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\v４",
	}, { // 2037
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\vfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\v４",
		out:  "‛～\vfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\v４",
	}, { // 2038
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\rfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\r４",
		out:  "～\rfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\r４",
	}, { // 2039
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\rfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\r４",
		out:  "‛～\rfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\r４",
	}, { // 2040
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "D\tfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\t~",
		out:  "D\tfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\t~",
	}, { // 2041
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "D\tfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\t～",
		out:  "D\tfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\t～",
	}, { // 2042
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "D\nfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\n~",
		out:  "D\nfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\n~",
	}, { // 2043
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "D\nfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\n～",
		out:  "D\nfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\n～",
	}, { // 2044
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "D\vfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\v~",
		out:  "D\vfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\v~",
	}, { // 2045
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "D\vfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\v～",
		out:  "D\vfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\v～",
	}, { // 2046
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "D\rfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\r~",
		out:  "D\rfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\r~",
	}, { // 2047
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "D\rfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<［\r～",
		out:  "D\rfσ␓␗δI<ＯＹ␜&_\x1e␇η\n\x1cφ␙σ＄λ\"l<‛［\r～",
	}, { // 2048
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\tk",
		out:  "～\t␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\tk",
	}, { // 2049
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\tk",
		out:  "‛～\t␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\tk",
	}, { // 2050
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\nk",
		out:  "～\n␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\nk",
	}, { // 2051
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\nk",
		out:  "‛～\n␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\nk",
	}, { // 2052
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\vk",
		out:  "～\v␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\vk",
	}, { // 2053
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\vk",
		out:  "‛～\v␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\vk",
	}, { // 2054
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\rk",
		out:  "～\r␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\rk",
	}, { // 2055
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\rk",
		out:  "‛～\r␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\rk",
	}, { // 2056
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "］\t␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\t~",
		out:  "］\t␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\t~",
	}, { // 2057
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "］\t␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\t～",
		out:  "］\t␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\t～",
	}, { // 2058
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "］\n␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\n~",
		out:  "］\n␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\n~",
	}, { // 2059
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "］\n␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\n～",
		out:  "］\n␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\n～",
	}, { // 2060
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "］\v␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\v~",
		out:  "］\v␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\v~",
	}, { // 2061
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "］\v␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\v～",
		out:  "］\v␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\v～",
	}, { // 2062
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "］\r␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\r~",
		out:  "］\r␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\r~",
	}, { // 2063
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "］\r␝ι\r>－\x00ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\r～",
		out:  "］\r␝ι\r>－␀ωｕX␐νjI\aι５λ\\\uff00＼Ｇ␛\vψＰ\x14\r～",
	}, { // 2064
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\tν",
		out:  "～\t␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\tν",
	}, { // 2065
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\tν",
		out:  "‛～\t␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\tν",
	}, { // 2066
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\nν",
		out:  "～\n␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\nν",
	}, { // 2067
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\nν",
		out:  "‛～\n␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\nν",
	}, { // 2068
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\vν",
		out:  "～\v␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\vν",
	}, { // 2069
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\vν",
		out:  "‛～\v␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\vν",
	}, { // 2070
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\rν",
		out:  "～\r␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\rν",
	}, { // 2071
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\rν",
		out:  "‛～\r␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\rν",
	}, { // 2072
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＾\t␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\t~",
		out:  "＾\t␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\t~",
	}, { // 2073
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＾\t␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\t～",
		out:  "＾\t␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\t～",
	}, { // 2074
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＾\n␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\n~",
		out:  "＾\n␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\n~",
	}, { // 2075
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＾\n␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\n～",
		out:  "＾\n␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\n～",
	}, { // 2076
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＾\v␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\v~",
		out:  "＾\v␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\v~",
	}, { // 2077
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＾\v␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\v～",
		out:  "＾\v␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\v～",
	}, { // 2078
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＾\r␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\r~",
		out:  "＾\r␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\r~",
	}, { // 2079
		mask: EncodeExclamation | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＾\r␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\r～",
		out:  "＾\r␖2ｘκ␏<｛:\x1dη+/＃Uζ;$ψ'␜␎␖？4ｚＡ\r～",
	}, { // 2080
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\tV",
		out:  "～\t&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\tV",
	}, { // 2081
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\tV",
		out:  "‛～\t&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\tV",
	}, { // 2082
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\nV",
		out:  "～\n&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\nV",
	}, { // 2083
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\nV",
		out:  "‛～\n&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\nV",
	}, { // 2084
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\vV",
		out:  "～\v&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\vV",
	}, { // 2085
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\vV",
		out:  "‛～\v&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\vV",
	}, { // 2086
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\rV",
		out:  "～\r&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\rV",
	}, { // 2087
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\rV",
		out:  "‛～\r&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\rV",
	}, { // 2088
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x05\t&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\t~",
		out:  "\x05\t&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\t~",
	}, { // 2089
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x05\t&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\t～",
		out:  "\x05\t&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\t～",
	}, { // 2090
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x05\n&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\n~",
		out:  "\x05\n&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\n~",
	}, { // 2091
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x05\n&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\n～",
		out:  "\x05\n&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\n～",
	}, { // 2092
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x05\v&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\v~",
		out:  "\x05\v&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\v~",
	}, { // 2093
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x05\v&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\v～",
		out:  "\x05\v&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\v～",
	}, { // 2094
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x05\r&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\r~",
		out:  "\x05\r&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\r~",
	}, { // 2095
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x05\r&)Ｗ\f～］κＣω␝τＤm＠␌5\x00␋ψ\v*ｙψν␜/\r～",
		out:  "\x05\r&)Ｗ\f～］κＣω␝τＤm＠␌5␀␋ψ\v*ｙψν␜/\r～",
	}, { // 2096
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\t␄",
		out:  "～\t＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\t␄",
	}, { // 2097
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\t␄",
		out:  "‛～\t＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\t␄",
	}, { // 2098
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\n␄",
		out:  "～\n＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\n␄",
	}, { // 2099
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\n␄",
		out:  "‛～\n＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\n␄",
	}, { // 2100
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\v␄",
		out:  "～\v＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\v␄",
	}, { // 2101
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\v␄",
		out:  "‛～\v＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\v␄",
	}, { // 2102
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\r␄",
		out:  "～\r＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\r␄",
	}, { // 2103
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\r␄",
		out:  "‛～\r＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\r␄",
	}, { // 2104
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｂ\t＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\t~",
		out:  "Ｂ\t＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\t~",
	}, { // 2105
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｂ\t＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\t～",
		out:  "Ｂ\t＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\t～",
	}, { // 2106
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｂ\n＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\n~",
		out:  "Ｂ\n＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\n~",
	}, { // 2107
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｂ\n＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\n～",
		out:  "Ｂ\n＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\n～",
	}, { // 2108
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｂ\v＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\v~",
		out:  "Ｂ\v＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\v~",
	}, { // 2109
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｂ\v＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\v～",
		out:  "Ｂ\v＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\v～",
	}, { // 2110
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｂ\r＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\r~",
		out:  "Ｂ\r＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\r~",
	}, { // 2111
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｂ\r＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι＂2\x15\uff00\r～",
		out:  "Ｂ\r＊κ&#ω␄Ｎ＼］χd\x1b０\v;κ％\x10Ｔ1;ι‛＂2\x15\uff00\r～",
	}, { // 2112
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\t８",
		out:  "～\t␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\t８",
	}, { // 2113
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\t８",
		out:  "‛～\t␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\t８",
	}, { // 2114
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\n８",
		out:  "～\n␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\n８",
	}, { // 2115
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\n８",
		out:  "‛～\n␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\n８",
	}, { // 2116
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\v８",
		out:  "～\v␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\v８",
	}, { // 2117
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\v８",
		out:  "‛～\v␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\v８",
	}, { // 2118
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\r８",
		out:  "～\r␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\r８",
	}, { // 2119
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\r８",
		out:  "‛～\r␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\r８",
	}, { // 2120
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␞\t␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\t~",
		out:  "␞\t␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\t~",
	}, { // 2121
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␞\t␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\t～",
		out:  "␞\t␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\t～",
	}, { // 2122
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␞\n␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\n~",
		out:  "␞\n␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\n~",
	}, { // 2123
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␞\n␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\n～",
		out:  "␞\n␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\n～",
	}, { // 2124
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␞\v␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\v~",
		out:  "␞\v␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\v~",
	}, { // 2125
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␞\v␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\v～",
		out:  "␞\v␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\v～",
	}, { // 2126
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␞\r␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\r~",
		out:  "␞\r␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\r~",
	}, { // 2127
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␞\r␕␐χμ␞ｃ｜r%ςσ:G\x00＂φ<lｋσb／？\x03／\x1c\r～",
		out:  "␞\r␕␐χμ␞ｃ｜r%ςσ：G␀＂φ<lｋσb／？\x03／\x1c\r～",
	}, { // 2128
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\t␐",
		out:  "～\t␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\t␐",
	}, { // 2129
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\t␐",
		out:  "‛～\t␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\t␐",
	}, { // 2130
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\n␐",
		out:  "～\n␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\n␐",
	}, { // 2131
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\n␐",
		out:  "‛～\n␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\n␐",
	}, { // 2132
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\v␐",
		out:  "～\v␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\v␐",
	}, { // 2133
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\v␐",
		out:  "‛～\v␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\v␐",
	}, { // 2134
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\r␐",
		out:  "～\r␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\r␐",
	}, { // 2135
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\r␐",
		out:  "‛～\r␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\r␐",
	}, { // 2136
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x02\t\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\t~",
		out:  "\x02\t␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\t~",
	}, { // 2137
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x02\t\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\t～",
		out:  "\x02\t␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\t～",
	}, { // 2138
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x02\n\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\n~",
		out:  "\x02\n␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\n~",
	}, { // 2139
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x02\n\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\n～",
		out:  "\x02\n␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\n～",
	}, { // 2140
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x02\v\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\v~",
		out:  "\x02\v␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\v~",
	}, { // 2141
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x02\v\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\v～",
		out:  "\x02\v␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\v～",
	}, { // 2142
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x02\r\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\r~",
		out:  "\x02\r␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\r~",
	}, { // 2143
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x02\r\x00μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f?\x026１S！:οＱ␄*\r～",
		out:  "\x02\r␀μJ[６θ␎␍ι＂ξｘｏ\x0e\x1f？\x026１S！:οＱ␄*\r～",
	}, { // 2144
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\tσ",
		out:  "～\t＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\tσ",
	}, { // 2145
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\tσ",
		out:  "‛～\t＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\tσ",
	}, { // 2146
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\nσ",
		out:  "～\n＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\nσ",
	}, { // 2147
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\nσ",
		out:  "‛～\n＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\nσ",
	}, { // 2148
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\vσ",
		out:  "～\v＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\vσ",
	}, { // 2149
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\vσ",
		out:  "‛～\v＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\vσ",
	}, { // 2150
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\rσ",
		out:  "～\r＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\rσ",
	}, { // 2151
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\rσ",
		out:  "‛～\r＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\rσ",
	}, { // 2152
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "M\t*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\t~",
		out:  "M\t＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\t~",
	}, { // 2153
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "M\t*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\t～",
		out:  "M\t＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\t～",
	}, { // 2154
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "M\n*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\n~",
		out:  "M\n＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\n~",
	}, { // 2155
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "M\n*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\n～",
		out:  "M\n＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\n～",
	}, { // 2156
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "M\v*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\v~",
		out:  "M\v＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\v~",
	}, { // 2157
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "M\v*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\v～",
		out:  "M\v＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\v～",
	}, { // 2158
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "M\r*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\r~",
		out:  "M\r＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\r~",
	}, { // 2159
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "M\r*␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\r～",
		out:  "M\r＊␝＇>γ\x02８␞gｍr\x1fς\v＃␒\x0fd｜wτι：Ｉ␚τ\r～",
	}, { // 2160
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\tＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\tL",
		out:  "～\tＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\tL",
	}, { // 2161
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\tＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\tL",
		out:  "‛～\tＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\tL",
	}, { // 2162
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\nＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\nL",
		out:  "～\nＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\nL",
	}, { // 2163
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\nＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\nL",
		out:  "‛～\nＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\nL",
	}, { // 2164
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\vＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\vL",
		out:  "～\vＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\vL",
	}, { // 2165
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\vＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\vL",
		out:  "‛～\vＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\vL",
	}, { // 2166
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\rＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\rL",
		out:  "～\rＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\rL",
	}, { // 2167
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\rＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\rL",
		out:  "‛～\rＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\rL",
	}, { // 2168
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\tＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\t~",
		out:  "ζ\tＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\t~",
	}, { // 2169
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\tＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\t～",
		out:  "ζ\tＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\t～",
	}, { // 2170
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\nＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\n~",
		out:  "ζ\nＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\n~",
	}, { // 2171
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\nＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\n～",
		out:  "ζ\nＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\n～",
	}, { // 2172
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\vＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\v~",
		out:  "ζ\vＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\v~",
	}, { // 2173
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\vＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\v～",
		out:  "ζ\vＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\v～",
	}, { // 2174
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\rＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\r~",
		out:  "ζ\rＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\r~",
	}, { // 2175
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\rＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆|\r～",
		out:  "ζ\rＨ＞？{%␉U９ｍ\aκ\uff00[φ/(κQ␙］ο␗}ｍ＆｜\r～",
	}, { // 2176
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\t8",
		out:  "～\t/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\t8",
	}, { // 2177
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\t8",
		out:  "‛～\t/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\t8",
	}, { // 2178
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\n8",
		out:  "～\n/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\n8",
	}, { // 2179
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\n8",
		out:  "‛～\n/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\n8",
	}, { // 2180
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\v8",
		out:  "～\v/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\v8",
	}, { // 2181
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\v8",
		out:  "‛～\v/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\v8",
	}, { // 2182
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\r8",
		out:  "～\r/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\r8",
	}, { // 2183
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\r8",
		out:  "‛～\r/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\r8",
	}, { // 2184
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "α\t/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\t~",
		out:  "α\t/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\t~",
	}, { // 2185
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "α\t/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\t～",
		out:  "α\t/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\t～",
	}, { // 2186
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "α\n/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\n~",
		out:  "α\n/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\n~",
	}, { // 2187
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "α\n/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\n～",
		out:  "α\n/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\n～",
	}, { // 2188
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "α\v/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\v~",
		out:  "α\v/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\v~",
	}, { // 2189
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "α\v/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\v～",
		out:  "α\v/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\v～",
	}, { // 2190
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "α\r/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\r~",
		out:  "α\r/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\r~",
	}, { // 2191
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "α\r/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\r～",
		out:  "α\r/␇\aＶ＂ψ|λeＨγ\x1e␃\bｋλ\x10τ］␃J7～iＥ，\r～",
	}, { // 2192
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\tＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\t＃",
		out:  "～\tＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\t＃",
	}, { // 2193
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\tＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\t＃",
		out:  "‛～\tＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\t＃",
	}, { // 2194
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\nＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\n＃",
		out:  "～\nＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\n＃",
	}, { // 2195
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\nＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\n＃",
		out:  "‛～\nＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\n＃",
	}, { // 2196
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\vＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\v＃",
		out:  "～\vＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\v＃",
	}, { // 2197
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\vＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\v＃",
		out:  "‛～\vＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\v＃",
	}, { // 2198
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\rＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\r＃",
		out:  "～\rＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\r＃",
	}, { // 2199
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\rＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\r＃",
		out:  "‛～\rＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\r＃",
	}, { // 2200
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␏\tＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\t~",
		out:  "␏\tＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\t~",
	}, { // 2201
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␏\tＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\t～",
		out:  "␏\tＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\t～",
	}, { // 2202
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␏\nＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\n~",
		out:  "␏\nＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\n~",
	}, { // 2203
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␏\nＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\n～",
		out:  "␏\nＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\n～",
	}, { // 2204
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␏\vＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\v~",
		out:  "␏\vＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\v~",
	}, { // 2205
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␏\vＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\v～",
		out:  "␏\vＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\v～",
	}, { // 2206
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␏\rＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\r~",
		out:  "␏\rＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\r~",
	}, { // 2207
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␏\rＨｄ#［Ｒ9ασ\x00(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\r～",
		out:  "␏\rＨｄ#［Ｒ9ασ␀(\x17␚Jι５␚{ｊpＦ｜ζμ\x01\x03π\r～",
	}, { // 2208
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\tqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\t＜",
		out:  "～\tqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\t＜",
	}, { // 2209
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\tqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\t＜",
		out:  "‛～\tqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\t＜",
	}, { // 2210
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\nqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\n＜",
		out:  "～\nqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\n＜",
	}, { // 2211
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\nqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\n＜",
		out:  "‛～\nqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\n＜",
	}, { // 2212
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\vqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\v＜",
		out:  "～\vqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\v＜",
	}, { // 2213
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\vqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\v＜",
		out:  "‛～\vqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\v＜",
	}, { // 2214
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\rqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\r＜",
		out:  "～\rqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\r＜",
	}, { // 2215
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\rqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\r＜",
		out:  "‛～\rqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\r＜",
	}, { // 2216
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "；\tqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\t~",
		out:  "；\tqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\t~",
	}, { // 2217
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "；\tqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\t～",
		out:  "；\tqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\t～",
	}, { // 2218
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "；\nqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\n~",
		out:  "；\nqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\n~",
	}, { // 2219
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "；\nqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\n～",
		out:  "；\nqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\n～",
	}, { // 2220
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "；\vqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\v~",
		out:  "；\vqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\v~",
	}, { // 2221
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "；\vqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\v～",
		out:  "；\vqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\v～",
	}, { // 2222
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "；\rqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\r~",
		out:  "；\rqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\r~",
	}, { // 2223
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "；\rqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\r～",
		out:  "；\rqrＨ6？υ␂－π6*｀ε␈\bS\x1b$$␏：/βλ\fγ\r～",
	}, { // 2224
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\t＾",
		out:  "～\t\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\t＾",
	}, { // 2225
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\t＾",
		out:  "‛～\t\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\t＾",
	}, { // 2226
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\n＾",
		out:  "～\n\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\n＾",
	}, { // 2227
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\n＾",
		out:  "‛～\n\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\n＾",
	}, { // 2228
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\v＾",
		out:  "～\v\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\v＾",
	}, { // 2229
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\v＾",
		out:  "‛～\v\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\v＾",
	}, { // 2230
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\r＾",
		out:  "～\r\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\r＾",
	}, { // 2231
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\r＾",
		out:  "‛～\r\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\r＾",
	}, { // 2232
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x1e\t\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\t~",
		out:  "\x1e\t\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\t~",
	}, { // 2233
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x1e\t\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\t～",
		out:  "\x1e\t\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\t～",
	}, { // 2234
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x1e\n\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\n~",
		out:  "\x1e\n\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\n~",
	}, { // 2235
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x1e\n\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\n～",
		out:  "\x1e\n\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\n～",
	}, { // 2236
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x1e\v\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\v~",
		out:  "\x1e\v\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\v~",
	}, { // 2237
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x1e\v\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\v～",
		out:  "\x1e\v\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\v～",
	}, { // 2238
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x1e\r\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\r~",
		out:  "\x1e\r\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\r~",
	}, { // 2239
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x1e\r\x18δＤ␅␖#ｇ｀Dt\\␝9\x00>ιλ?^β<␍Ｂ｀ηｐ\r～",
		out:  "\x1e\r\x18δＤ␅␖#ｇ｀Dt\\␝9␀>ιλ?^β<␍Ｂ｀ηｐ\r～",
	}, { // 2240
		mask: EncodeZero | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ ？\"β\x15ο=␍｜．Nｅ\x03｀GＺ\x10␊φdκ␇\x14ｇQμ\x01 ␜",
		out:  "～ ？\"β\x15ο=␍｜．Nｅ\x03｀GＺ\x10␊φdκ␇\x14ｇQμ\x01 ␜",
	}, { // 2241
		mask: EncodeZero | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ ？\"β\x15ο=␍｜．Nｅ\x03｀GＺ\x10␊φdκ␇\x14ｇQμ\x01 ␜",
		out:  "‛～ ？\"β\x15ο=␍｜．Nｅ\x03｀GＺ\x10␊φdκ␇\x14ｇQμ\x01 ␜",
	}, { // 2242
		mask: EncodeZero | EncodeLeftTilde | EncodeRightSpace,
		in:   "； ？\"β\x15ο=␍｜．Nｅ\x03｀GＺ\x10␊φdκ␇\x14ｇQμ\x01 ~",
		out:  "； ？\"β\x15ο=␍｜．Nｅ\x03｀GＺ\x10␊φdκ␇\x14ｇQμ\x01 ~",
	}, { // 2243
		mask: EncodeZero | EncodeLeftTilde | EncodeRightSpace,
		in:   "； ？\"β\x15ο=␍｜．Nｅ\x03｀GＺ\x10␊φdκ␇\x14ｇQμ\x01 ～",
		out:  "； ？\"β\x15ο=␍｜．Nｅ\x03｀GＺ\x10␊φdκ␇\x14ｇQμ\x01 ～",
	}, { // 2244
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ ［E\f＠\x0e\rγVθ\"Ｏψε,\x03Ｄ／ｖｘ］b␡＄κ␌； ξ",
		out:  "～ ［E\f＠\x0e\rγVθ\"Ｏψε,\x03Ｄ‛／ｖｘ］b␡＄κ␌； ξ",
	}, { // 2245
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ ［E\f＠\x0e\rγVθ\"Ｏψε,\x03Ｄ／ｖｘ］b␡＄κ␌； ξ",
		out:  "‛～ ［E\f＠\x0e\rγVθ\"Ｏψε,\x03Ｄ‛／ｖｘ］b␡＄κ␌； ξ",
	}, { // 2246
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "\x18 ［E\f＠\x0e\rγVθ\"Ｏψε,\x03Ｄ／ｖｘ］b␡＄κ␌； ~",
		out:  "\x18 ［E\f＠\x0e\rγVθ\"Ｏψε,\x03Ｄ‛／ｖｘ］b␡＄κ␌； ~",
	}, { // 2247
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "\x18 ［E\f＠\x0e\rγVθ\"Ｏψε,\x03Ｄ／ｖｘ］b␡＄κ␌； ～",
		out:  "\x18 ［E\f＠\x0e\rγVθ\"Ｏψε,\x03Ｄ‛／ｖｘ］b␡＄κ␌； ～",
	}, { // 2248
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ +<ｈT␊；Ｋ\r\rω[π？bC␇αＧα/ｘψ\x12γL| ␓",
		out:  "～ +<ｈT␊；Ｋ\r\rω[π？bC␇αＧα/ｘψ\x12γL| ␓",
	}, { // 2249
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ +<ｈT␊；Ｋ\r\rω[π？bC␇αＧα/ｘψ\x12γL| ␓",
		out:  "‛～ +<ｈT␊；Ｋ\r\rω[π？bC␇αＧα/ｘψ\x12γL| ␓",
	}, { // 2250
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "ｈ +<ｈT␊；Ｋ\r\rω[π？bC␇αＧα/ｘψ\x12γL| ~",
		out:  "ｈ +<ｈT␊；Ｋ\r\rω[π？bC␇αＧα/ｘψ\x12γL| ~",
	}, { // 2251
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "ｈ +<ｈT␊；Ｋ\r\rω[π？bC␇αＧα/ｘψ\x12γL| ～",
		out:  "ｈ +<ｈT␊；Ｋ\r\rω[π？bC␇αＧα/ｘψ\x12γL| ～",
	}, { // 2252
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ ξ＄␊+：+\n％β：\x00\x1dβ\vｔ\x1aπ｜g*T．γ＼ι\uff00 `",
		out:  "～ ξ＄␊+：+\n％β：␀\x1dβ\vｔ\x1aπ｜g*T．γ＼ι\uff00 ｀",
	}, { // 2253
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ ξ＄␊+：+\n％β：\x00\x1dβ\vｔ\x1aπ｜g*T．γ＼ι\uff00 `",
		out:  "‛～ ξ＄␊+：+\n％β：␀\x1dβ\vｔ\x1aπ｜g*T．γ＼ι\uff00 ｀",
	}, { // 2254
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "Ｕ ξ＄␊+：+\n％β：\x00\x1dβ\vｔ\x1aπ｜g*T．γ＼ι\uff00 ~",
		out:  "Ｕ ξ＄␊+：+\n％β：␀\x1dβ\vｔ\x1aπ｜g*T．γ＼ι\uff00 ~",
	}, { // 2255
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "Ｕ ξ＄␊+：+\n％β：\x00\x1dβ\vｔ\x1aπ｜g*T．γ＼ι\uff00 ～",
		out:  "Ｕ ξ＄␊+：+\n％β：␀\x1dβ\vｔ\x1aπ｜g*T．γ＼ι\uff00 ～",
	}, { // 2256
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ \x05(υ＄␖␐\uff00～ζ␒;６；WＡμ.␄\x17ω\x01λρU4\t :",
		out:  "～ \x05(υ＄␖␐\uff00～ζ␒;６；WＡμ.␄\x17ω\x01λρU4\t :",
	}, { // 2257
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ \x05(υ＄␖␐\uff00～ζ␒;６；WＡμ.␄\x17ω\x01λρU4\t :",
		out:  "‛～ \x05(υ＄␖␐\uff00～ζ␒;６；WＡμ.␄\x17ω\x01λρU4\t :",
	}, { // 2258
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightSpace,
		in:   "> \x05(υ＄␖␐\uff00～ζ␒;６；WＡμ.␄\x17ω\x01λρU4\t ~",
		out:  "＞ \x05(υ＄␖␐\uff00～ζ␒;６；WＡμ.␄\x17ω\x01λρU4\t ~",
	}, { // 2259
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightSpace,
		in:   "> \x05(υ＄␖␐\uff00～ζ␒;６；WＡμ.␄\x17ω\x01λρU4\t ～",
		out:  "＞ \x05(υ＄␖␐\uff00～ζ␒;６；WＡμ.␄\x17ω\x01λρU4\t ～",
	}, { // 2260
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ F}$ς\x00ｄ␉；&\x16\"ε\x0fＺς＜?δκ｀I＄＂，Ｈ\v Ｘ",
		out:  "～ F}$ς␀ｄ␉；&\x16\"ε\x0fＺς＜?δκ｀I＄＂，Ｈ\v Ｘ",
	}, { // 2261
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ F}$ς\x00ｄ␉；&\x16\"ε\x0fＺς＜?δκ｀I＄＂，Ｈ\v Ｘ",
		out:  "‛～ F}$ς␀ｄ␉；&\x16\"ε\x0fＺς＜?δκ｀I＄＂，Ｈ\v Ｘ",
	}, { // 2262
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightSpace,
		in:   "3 F}$ς\x00ｄ␉；&\x16\"ε\x0fＺς＜?δκ｀I＄＂，Ｈ\v ~",
		out:  "3 F}$ς␀ｄ␉；&\x16\"ε\x0fＺς＜?δκ｀I＄＂，Ｈ\v ~",
	}, { // 2263
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightSpace,
		in:   "3 F}$ς\x00ｄ␉；&\x16\"ε\x0fＺς＜?δκ｀I＄＂，Ｈ\v ～",
		out:  "3 F}$ς␀ｄ␉；&\x16\"ε\x0fＺς＜?δκ｀I＄＂，Ｈ\v ～",
	}, { // 2264
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ χυ~|␆＂ｚ）␙\x15Ｖο\x1a\x04<iＦ＃␜Lκ\x1dｐ＼７ρ d",
		out:  "～ χυ~|␆＂ｚ）␙\x15Ｖο\x1a\x04<iＦ＃␜Lκ\x1dｐ＼７ρ d",
	}, { // 2265
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ χυ~|␆＂ｚ）␙\x15Ｖο\x1a\x04<iＦ＃␜Lκ\x1dｐ＼７ρ d",
		out:  "‛～ χυ~|␆＂ｚ）␙\x15Ｖο\x1a\x04<iＦ＃␜Lκ\x1dｐ＼７ρ d",
	}, { // 2266
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightSpace,
		in:   "α χυ~|␆＂ｚ）␙\x15Ｖο\x1a\x04<iＦ＃␜Lκ\x1dｐ＼７ρ ~",
		out:  "α χυ~|␆＂ｚ）␙\x15Ｖο\x1a\x04<iＦ＃␜Lκ\x1dｐ＼７ρ ~",
	}, { // 2267
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightSpace,
		in:   "α χυ~|␆＂ｚ）␙\x15Ｖο\x1a\x04<iＦ＃␜Lκ\x1dｐ＼７ρ ～",
		out:  "α χυ~|␆＂ｚ）␙\x15Ｖο\x1a\x04<iＦ＃␜Lκ\x1dｐ＼７ρ ～",
	}, { // 2268
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ ＤT｜η／?ρ\x1b０\x14␆\x04ηＤο\x14{g％eＯ8＼2ε\x18 ␞",
		out:  "～ ＤT｜η／?ρ\x1b０\x14␆\x04ηＤο\x14{g％eＯ8＼2ε\x18 ␞",
	}, { // 2269
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ ＤT｜η／?ρ\x1b０\x14␆\x04ηＤο\x14{g％eＯ8＼2ε\x18 ␞",
		out:  "‛～ ＤT｜η／?ρ\x1b０\x14␆\x04ηＤο\x14{g％eＯ8＼2ε\x18 ␞",
	}, { // 2270
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightSpace,
		in:   "σ ＤT｜η／?ρ\x1b０\x14␆\x04ηＤο\x14{g％eＯ8＼2ε\x18 ~",
		out:  "σ ＤT｜η／?ρ\x1b０\x14␆\x04ηＤο\x14{g％eＯ8＼2ε\x18 ~",
	}, { // 2271
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightSpace,
		in:   "σ ＤT｜η／?ρ\x1b０\x14␆\x04ηＤο\x14{g％eＯ8＼2ε\x18 ～",
		out:  "σ ＤT｜η／?ρ\x1b０\x14␆\x04ηＤο\x14{g％eＯ8＼2ε\x18 ～",
	}, { // 2272
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ ρ＿＞Ｇ␟τ$!%\x19w␜[Ｔｇ␐#␞ ＼*δ␞nφ␎ \x06",
		out:  "～ ρ＿＞Ｇ␟τ＄!%\x19w␜[Ｔｇ␐#␞ ＼*δ␞nφ␎ \x06",
	}, { // 2273
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ ρ＿＞Ｇ␟τ$!%\x19w␜[Ｔｇ␐#␞ ＼*δ␞nφ␎ \x06",
		out:  "‛～ ρ＿＞Ｇ␟τ＄!%\x19w␜[Ｔｇ␐#␞ ＼*δ␞nφ␎ \x06",
	}, { // 2274
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightSpace,
		in:   "β ρ＿＞Ｇ␟τ$!%\x19w␜[Ｔｇ␐#␞ ＼*δ␞nφ␎ ~",
		out:  "β ρ＿＞Ｇ␟τ＄!%\x19w␜[Ｔｇ␐#␞ ＼*δ␞nφ␎ ~",
	}, { // 2275
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightSpace,
		in:   "β ρ＿＞Ｇ␟τ$!%\x19w␜[Ｔｇ␐#␞ ＼*δ␞nφ␎ ～",
		out:  "β ρ＿＞Ｇ␟τ＄!%\x19w␜[Ｔｇ␐#␞ ＼*δ␞nφ␎ ～",
	}, { // 2276
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ \x10σ?｜/ς／y｜T>\x19␃＇κd␍ｃο％␕[␑＋2α H",
		out:  "～ \x10σ?｜/ς／y｜T>\x19␃＇κd␍ｃο％␕[␑＋2α H",
	}, { // 2277
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ \x10σ?｜/ς／y｜T>\x19␃＇κd␍ｃο％␕[␑＋2α H",
		out:  "‛～ \x10σ?｜/ς／y｜T>\x19␃＇κd␍ｃο％␕[␑＋2α H",
	}, { // 2278
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "ｗ \x10σ?｜/ς／y｜T>\x19␃＇κd␍ｃο％␕[␑＋2α ~",
		out:  "ｗ \x10σ?｜/ς／y｜T>\x19␃＇κd␍ｃο％␕[␑＋2α ~",
	}, { // 2279
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "ｗ \x10σ?｜/ς／y｜T>\x19␃＇κd␍ｃο％␕[␑＋2α ～",
		out:  "ｗ \x10σ?｜/ς／y｜T>\x19␃＇κd␍ｃο％␕[␑＋2α ～",
	}, { // 2280
		mask: EncodeColon | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ \"␕：<␏ςς<UC␑\rｓｑμ\x10\x05β<ｌ␎＠1␆␁\x06 \n",
		out:  "～ \"␕‛：<␏ςς<UC␑\rｓｑμ\x10\x05β<ｌ␎＠1␆␁\x06 \n",
	}, { // 2281
		mask: EncodeColon | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ \"␕：<␏ςς<UC␑\rｓｑμ\x10\x05β<ｌ␎＠1␆␁\x06 \n",
		out:  "‛～ \"␕‛：<␏ςς<UC␑\rｓｑμ\x10\x05β<ｌ␎＠1␆␁\x06 \n",
	}, { // 2282
		mask: EncodeColon | EncodeLeftTilde | EncodeRightSpace,
		in:   "ｉ \"␕：<␏ςς<UC␑\rｓｑμ\x10\x05β<ｌ␎＠1␆␁\x06 ~",
		out:  "ｉ \"␕‛：<␏ςς<UC␑\rｓｑμ\x10\x05β<ｌ␎＠1␆␁\x06 ~",
	}, { // 2283
		mask: EncodeColon | EncodeLeftTilde | EncodeRightSpace,
		in:   "ｉ \"␕：<␏ςς<UC␑\rｓｑμ\x10\x05β<ｌ␎＠1␆␁\x06 ～",
		out:  "ｉ \"␕‛：<␏ςς<UC␑\rｓｑμ\x10\x05β<ｌ␎＠1␆␁\x06 ～",
	}, { // 2284
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ ＃/\x16$λ7(>␀␐ρχ␊σ/L！．\x05!％！B␜？B Ｍ",
		out:  "～ ＃/\x16$λ7(>‛␀␐ρχ␊σ/L！．\x05!％！B␜‛？B Ｍ",
	}, { // 2285
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ ＃/\x16$λ7(>␀␐ρχ␊σ/L！．\x05!％！B␜？B Ｍ",
		out:  "‛～ ＃/\x16$λ7(>‛␀␐ρχ␊σ/L！．\x05!％！B␜‛？B Ｍ",
	}, { // 2286
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightSpace,
		in:   "Ｑ ＃/\x16$λ7(>␀␐ρχ␊σ/L！．\x05!％！B␜？B ~",
		out:  "Ｑ ＃/\x16$λ7(>‛␀␐ρχ␊σ/L！．\x05!％！B␜‛？B ~",
	}, { // 2287
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightSpace,
		in:   "Ｑ ＃/\x16$λ7(>␀␐ρχ␊σ/L！．\x05!％！B␜？B ～",
		out:  "Ｑ ＃/\x16$λ7(>‛␀␐ρχ␊σ/L！．\x05!％！B␜‛？B ～",
	}, { // 2288
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ ＊1＞π+␡π␓＊␌ο２]QＶ␝\x15＄#μβ\t#０(\r >",
		out:  "～ ‛＊1＞π+␡π␓‛＊␌ο２]QＶ␝\x15＄#μβ\t#０(\r >",
	}, { // 2289
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ ＊1＞π+␡π␓＊␌ο２]QＶ␝\x15＄#μβ\t#０(\r >",
		out:  "‛～ ‛＊1＞π+␡π␓‛＊␌ο２]QＶ␝\x15＄#μβ\t#０(\r >",
	}, { // 2290
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightSpace,
		in:   "' ＊1＞π+␡π␓＊␌ο２]QＶ␝\x15＄#μβ\t#０(\r ~",
		out:  "' ‛＊1＞π+␡π␓‛＊␌ο２]QＶ␝\x15＄#μβ\t#０(\r ~",
	}, { // 2291
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightSpace,
		in:   "' ＊1＞π+␡π␓＊␌ο２]QＶ␝\x15＄#μβ\t#０(\r ～",
		out:  "' ‛＊1＞π+␡π␓‛＊␌ο２]QＶ␝\x15＄#μβ\t#０(\r ～",
	}, { // 2292
		mask: EncodePipe | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ χ，］␃ρ<␈`RＩλ＠ζ\x12!d０`?＄＂χRγh␎ Ｐ",
		out:  "～ χ，］␃ρ<␈`RＩλ＠ζ\x12!d０`?＄＂χRγh␎ Ｐ",
	}, { // 2293
		mask: EncodePipe | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ χ，］␃ρ<␈`RＩλ＠ζ\x12!d０`?＄＂χRγh␎ Ｐ",
		out:  "‛～ χ，］␃ρ<␈`RＩλ＠ζ\x12!d０`?＄＂χRγh␎ Ｐ",
	}, { // 2294
		mask: EncodePipe | EncodeLeftTilde | EncodeRightSpace,
		in:   "\x1e χ，］␃ρ<␈`RＩλ＠ζ\x12!d０`?＄＂χRγh␎ ~",
		out:  "\x1e χ，］␃ρ<␈`RＩλ＠ζ\x12!d０`?＄＂χRγh␎ ~",
	}, { // 2295
		mask: EncodePipe | EncodeLeftTilde | EncodeRightSpace,
		in:   "\x1e χ，］␃ρ<␈`RＩλ＠ζ\x12!d０`?＄＂χRγh␎ ～",
		out:  "\x1e χ，］␃ρ<␈`RＩλ＠ζ\x12!d０`?＄＂χRγh␎ ～",
	}, { // 2296
		mask: EncodeHash | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ ␛ε\x1e５␜\x03␇ＩＳτ!π␕γ；ο\f7ｄδx／KA<＇ ｏ",
		out:  "～ ␛ε\x1e５␜\x03␇ＩＳτ!π␕γ；ο\f7ｄδx／KA<＇ ｏ",
	}, { // 2297
		mask: EncodeHash | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ ␛ε\x1e５␜\x03␇ＩＳτ!π␕γ；ο\f7ｄδx／KA<＇ ｏ",
		out:  "‛～ ␛ε\x1e５␜\x03␇ＩＳτ!π␕γ；ο\f7ｄδx／KA<＇ ｏ",
	}, { // 2298
		mask: EncodeHash | EncodeLeftTilde | EncodeRightSpace,
		in:   "0 ␛ε\x1e５␜\x03␇ＩＳτ!π␕γ；ο\f7ｄδx／KA<＇ ~",
		out:  "0 ␛ε\x1e５␜\x03␇ＩＳτ!π␕γ；ο\f7ｄδx／KA<＇ ~",
	}, { // 2299
		mask: EncodeHash | EncodeLeftTilde | EncodeRightSpace,
		in:   "0 ␛ε\x1e５␜\x03␇ＩＳτ!π␕γ；ο\f7ｄδx／KA<＇ ～",
		out:  "0 ␛ε\x1e５␜\x03␇ＩＳτ!π␕γ；ο\f7ｄδx／KA<＇ ～",
	}, { // 2300
		mask: EncodePercent | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ δYwν％Ｉ;\x11~\x12ｌsCＵ␘［φ６＞ｉ\x1e\x05cτ␘υ ＾",
		out:  "～ δYwν‛％Ｉ;\x11~\x12ｌsCＵ␘［φ６＞ｉ\x1e\x05cτ␘υ ＾",
	}, { // 2301
		mask: EncodePercent | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ δYwν％Ｉ;\x11~\x12ｌsCＵ␘［φ６＞ｉ\x1e\x05cτ␘υ ＾",
		out:  "‛～ δYwν‛％Ｉ;\x11~\x12ｌsCＵ␘［φ６＞ｉ\x1e\x05cτ␘υ ＾",
	}, { // 2302
		mask: EncodePercent | EncodeLeftTilde | EncodeRightSpace,
		in:   "\x14 δYwν％Ｉ;\x11~\x12ｌsCＵ␘［φ６＞ｉ\x1e\x05cτ␘υ ~",
		out:  "\x14 δYwν‛％Ｉ;\x11~\x12ｌsCＵ␘［φ６＞ｉ\x1e\x05cτ␘υ ~",
	}, { // 2303
		mask: EncodePercent | EncodeLeftTilde | EncodeRightSpace,
		in:   "\x14 δYwν％Ｉ;\x11~\x12ｌsCＵ␘［φ６＞ｉ\x1e\x05cτ␘υ ～",
		out:  "\x14 δYwν‛％Ｉ;\x11~\x12ｌsCＵ␘［φ６＞ｉ\x1e\x05cτ␘υ ～",
	}, { // 2304
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ Ｔρ?ς␖*␑f␏[δτ␄OＣ\v#0␊ρｘ␌#5８ｆ u",
		out:  "～ Ｔρ?ς␖*␑f␏[δτ␄OＣ\v#0␊ρｘ␌#5８ｆ u",
	}, { // 2305
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ Ｔρ?ς␖*␑f␏[δτ␄OＣ\v#0␊ρｘ␌#5８ｆ u",
		out:  "‛～ Ｔρ?ς␖*␑f␏[δτ␄OＣ\v#0␊ρｘ␌#5８ｆ u",
	}, { // 2306
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "\x04 Ｔρ?ς␖*␑f␏[δτ␄OＣ\v#0␊ρｘ␌#5８ｆ ~",
		out:  "\x04 Ｔρ?ς␖*␑f␏[δτ␄OＣ\v#0␊ρｘ␌#5８ｆ ~",
	}, { // 2307
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "\x04 Ｔρ?ς␖*␑f␏[δτ␄OＣ\v#0␊ρｘ␌#5８ｆ ～",
		out:  "\x04 Ｔρ?ς␖*␑f␏[δτ␄OＣ\v#0␊ρｘ␌#5８ｆ ～",
	}, { // 2308
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ \x15c＜Eｔ｀\x05！V\x12δλB␃␊ρｎ＝{πψ\x16?␄：μ ␡",
		out:  "～ \x15c＜Eｔ｀\x05！V\x12δλB␃‛␊ρｎ＝{πψ\x16?␄：μ ␡",
	}, { // 2309
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ \x15c＜Eｔ｀\x05！V\x12δλB␃␊ρｎ＝{πψ\x16?␄：μ ␡",
		out:  "‛～ \x15c＜Eｔ｀\x05！V\x12δλB␃‛␊ρｎ＝{πψ\x16?␄：μ ␡",
	}, { // 2310
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightSpace,
		in:   "$ \x15c＜Eｔ｀\x05！V\x12δλB␃␊ρｎ＝{πψ\x16?␄：μ ~",
		out:  "$ \x15c＜Eｔ｀\x05！V\x12δλB␃‛␊ρｎ＝{πψ\x16?␄：μ ~",
	}, { // 2311
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightSpace,
		in:   "$ \x15c＜Eｔ｀\x05！V\x12δλB␃␊ρｎ＝{πψ\x16?␄：μ ～",
		out:  "$ \x15c＜Eｔ｀\x05！V\x12δλB␃‛␊ρｎ＝{πψ\x16?␄：μ ～",
	}, { // 2312
		mask: EncodeDel | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ %６Ｒ␡＆\x1dzπω␀<␑\x1aσ␎ε＃\tωｒξ,?Ｎ`Ｏ ＼",
		out:  "～ %６Ｒ‛␡＆\x1dzπω‛␀<␑\x1aσ␎ε＃\tωｒξ,?Ｎ`Ｏ ＼",
	}, { // 2313
		mask: EncodeDel | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ %６Ｒ␡＆\x1dzπω␀<␑\x1aσ␎ε＃\tωｒξ,?Ｎ`Ｏ ＼",
		out:  "‛～ %６Ｒ‛␡＆\x1dzπω‛␀<␑\x1aσ␎ε＃\tωｒξ,?Ｎ`Ｏ ＼",
	}, { // 2314
		mask: EncodeDel | EncodeLeftTilde | EncodeRightSpace,
		in:   "\r %６Ｒ␡＆\x1dzπω␀<␑\x1aσ␎ε＃\tωｒξ,?Ｎ`Ｏ ~",
		out:  "\r %６Ｒ‛␡＆\x1dzπω‛␀<␑\x1aσ␎ε＃\tωｒξ,?Ｎ`Ｏ ~",
	}, { // 2315
		mask: EncodeDel | EncodeLeftTilde | EncodeRightSpace,
		in:   "\r %６Ｒ␡＆\x1dzπω␀<␑\x1aσ␎ε＃\tωｒξ,?Ｎ`Ｏ ～",
		out:  "\r %６Ｒ‛␡＆\x1dzπω‛␀<␑\x1aσ␎ε＃\tωｒξ,?Ｎ`Ｏ ～",
	}, { // 2316
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ ｙＥ\x19ｍο\"]%␀\x03ν\x04␆M_\"＜／\bOπ７τ＄θ＃ \x10",
		out:  "～ ｙＥ␙ｍο\"]%‛␀␃ν␄‛␆M_\"＜／␈Oπ７τ＄θ＃ ␐",
	}, { // 2317
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ ｙＥ\x19ｍο\"]%␀\x03ν\x04␆M_\"＜／\bOπ７τ＄θ＃ \x10",
		out:  "‛～ ｙＥ␙ｍο\"]%‛␀␃ν␄‛␆M_\"＜／␈Oπ７τ＄θ＃ ␐",
	}, { // 2318
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightSpace,
		in:   "␞ ｙＥ\x19ｍο\"]%␀\x03ν\x04␆M_\"＜／\bOπ７τ＄θ＃ ~",
		out:  "‛␞ ｙＥ␙ｍο\"]%‛␀␃ν␄‛␆M_\"＜／␈Oπ７τ＄θ＃ ~",
	}, { // 2319
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightSpace,
		in:   "␞ ｙＥ\x19ｍο\"]%␀\x03ν\x04␆M_\"＜／\bOπ７τ＄θ＃ ～",
		out:  "‛␞ ｙＥ␙ｍο\"]%‛␀␃ν␄‛␆M_\"＜／␈Oπ７τ＄θ＃ ～",
	}, { // 2320
		mask: EncodeZero | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.＊Ｐτλ[ｏ\x14！Ｐ␅␅η6ο!]xζｔξ[O％E\x1fＨ.＜",
		out:  "～.＊Ｐτλ[ｏ\x14！Ｐ␅␅η6ο!]xζｔξ[O％E\x1fＨ.＜",
	}, { // 2321
		mask: EncodeZero | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.＊Ｐτλ[ｏ\x14！Ｐ␅␅η6ο!]xζｔξ[O％E\x1fＨ.＜",
		out:  "‛～.＊Ｐτλ[ｏ\x14！Ｐ␅␅η6ο!]xζｔξ[O％E\x1fＨ.＜",
	}, { // 2322
		mask: EncodeZero | EncodeLeftTilde | EncodeRightPeriod,
		in:   "Ｑ.＊Ｐτλ[ｏ\x14！Ｐ␅␅η6ο!]xζｔξ[O％E\x1fＨ.~",
		out:  "Ｑ.＊Ｐτλ[ｏ\x14！Ｐ␅␅η6ο!]xζｔξ[O％E\x1fＨ.~",
	}, { // 2323
		mask: EncodeZero | EncodeLeftTilde | EncodeRightPeriod,
		in:   "Ｑ.＊Ｐτλ[ｏ\x14！Ｐ␅␅η6ο!]xζｔξ[O％E\x1fＨ.～",
		out:  "Ｑ.＊Ｐτλ[ｏ\x14！Ｐ␅␅η6ο!]xζｔξ[O％E\x1fＨ.～",
	}, { // 2324
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.ｔ;␅\n｜␍μ\x11x－␙Ｄu\x1f＼ｇ\x17νWＱ>δ\bλVψ.␖",
		out:  "～.ｔ;␅\n｜␍μ\x11x－␙Ｄu\x1f＼ｇ\x17νWＱ>δ\bλVψ.␖",
	}, { // 2325
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.ｔ;␅\n｜␍μ\x11x－␙Ｄu\x1f＼ｇ\x17νWＱ>δ\bλVψ.␖",
		out:  "‛～.ｔ;␅\n｜␍μ\x11x－␙Ｄu\x1f＼ｇ\x17νWＱ>δ\bλVψ.␖",
	}, { // 2326
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "＝.ｔ;␅\n｜␍μ\x11x－␙Ｄu\x1f＼ｇ\x17νWＱ>δ\bλVψ.~",
		out:  "＝.ｔ;␅\n｜␍μ\x11x－␙Ｄu\x1f＼ｇ\x17νWＱ>δ\bλVψ.~",
	}, { // 2327
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "＝.ｔ;␅\n｜␍μ\x11x－␙Ｄu\x1f＼ｇ\x17νWＱ>δ\bλVψ.～",
		out:  "＝.ｔ;␅\n｜␍μ\x11x－␙Ｄu\x1f＼ｇ\x17νWＱ>δ\bλVψ.～",
	}, { // 2328
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.\x18␄~␐Ｂθ\x1fν５ε，９／*X:ο␘ｌuι／5'｜\x00.θ",
		out:  "～.\x18␄~␐Ｂθ\x1fν５ε，９／*X:ο␘ｌuι／5＇｜␀.θ",
	}, { // 2329
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.\x18␄~␐Ｂθ\x1fν５ε，９／*X:ο␘ｌuι／5'｜\x00.θ",
		out:  "‛～.\x18␄~␐Ｂθ\x1fν５ε，９／*X:ο␘ｌuι／5＇｜␀.θ",
	}, { // 2330
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "].\x18␄~␐Ｂθ\x1fν５ε，９／*X:ο␘ｌuι／5'｜\x00.~",
		out:  "].\x18␄~␐Ｂθ\x1fν５ε，９／*X:ο␘ｌuι／5＇｜␀.~",
	}, { // 2331
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "].\x18␄~␐Ｂθ\x1fν５ε，９／*X:ο␘ｌuι／5'｜\x00.～",
		out:  "].\x18␄~␐Ｂθ\x1fν５ε，９／*X:ο␘ｌuι／5＇｜␀.～",
	}, { // 2332
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.δ\x044␚Ｒ|VςｄＪ␜;｀uο｜=ｕ*：\x06\x11ηzκ｝.␙",
		out:  "～.δ\x044␚Ｒ|VςｄＪ␜;‛｀uο｜=ｕ*：\x06\x11ηzκ｝.␙",
	}, { // 2333
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.δ\x044␚Ｒ|VςｄＪ␜;｀uο｜=ｕ*：\x06\x11ηzκ｝.␙",
		out:  "‛～.δ\x044␚Ｒ|VςｄＪ␜;‛｀uο｜=ｕ*：\x06\x11ηzκ｝.␙",
	}, { // 2334
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "e.δ\x044␚Ｒ|VςｄＪ␜;｀uο｜=ｕ*：\x06\x11ηzκ｝.~",
		out:  "e.δ\x044␚Ｒ|VςｄＪ␜;‛｀uο｜=ｕ*：\x06\x11ηzκ｝.~",
	}, { // 2335
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "e.δ\x044␚Ｒ|VςｄＪ␜;｀uο｜=ｕ*：\x06\x11ηzκ｝.～",
		out:  "e.δ\x044␚Ｒ|VςｄＪ␜;‛｀uο｜=ｕ*：\x06\x11ηzκ｝.～",
	}, { // 2336
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.ｔ\"Kυζ＃Fμ＞＋πν\x10ｕ␞(y␌\x16θ\x19\x00ｒ７b\x03.M",
		out:  "～.ｔ\"Kυζ＃Fμ‛＞＋πν\x10ｕ␞(y␌\x16θ\x19␀ｒ７b\x03.M",
	}, { // 2337
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.ｔ\"Kυζ＃Fμ＞＋πν\x10ｕ␞(y␌\x16θ\x19\x00ｒ７b\x03.M",
		out:  "‛～.ｔ\"Kυζ＃Fμ‛＞＋πν\x10ｕ␞(y␌\x16θ\x19␀ｒ７b\x03.M",
	}, { // 2338
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightPeriod,
		in:   "␛.ｔ\"Kυζ＃Fμ＞＋πν\x10ｕ␞(y␌\x16θ\x19\x00ｒ７b\x03.~",
		out:  "␛.ｔ\"Kυζ＃Fμ‛＞＋πν\x10ｕ␞(y␌\x16θ\x19␀ｒ７b\x03.~",
	}, { // 2339
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightPeriod,
		in:   "␛.ｔ\"Kυζ＃Fμ＞＋πν\x10ｕ␞(y␌\x16θ\x19\x00ｒ７b\x03.～",
		out:  "␛.ｔ\"Kυζ＃Fμ‛＞＋πν\x10ｕ␞(y␌\x16θ\x19␀ｒ７b\x03.～",
	}, { // 2340
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.*［＇｀#ηＫ!＞i7θ:\x1bωQ␎␈＇␐κ\x04βh-\x13.＜",
		out:  "～.*‛［＇｀#ηＫ!＞i7θ:\x1bωQ␎␈＇␐κ\x04βh-\x13.＜",
	}, { // 2341
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.*［＇｀#ηＫ!＞i7θ:\x1bωQ␎␈＇␐κ\x04βh-\x13.＜",
		out:  "‛～.*‛［＇｀#ηＫ!＞i7θ:\x1bωQ␎␈＇␐κ\x04βh-\x13.＜",
	}, { // 2342
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightPeriod,
		in:   "／.*［＇｀#ηＫ!＞i7θ:\x1bωQ␎␈＇␐κ\x04βh-\x13.~",
		out:  "／.*‛［＇｀#ηＫ!＞i7θ:\x1bωQ␎␈＇␐κ\x04βh-\x13.~",
	}, { // 2343
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightPeriod,
		in:   "／.*［＇｀#ηＫ!＞i7θ:\x1bωQ␎␈＇␐κ\x04βh-\x13.～",
		out:  "／.*‛［＇｀#ηＫ!＞i7θ:\x1bωQ␎␈＇␐κ\x04βh-\x13.～",
	}, { // 2344
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.οχλ]＄\x1d\x05？␝６:ｋ\x14hｐZ␋␅γ｜ε␓#＂ｒ,.ψ",
		out:  "～.οχλ]＄\x1d\x05？␝６:ｋ\x14hｐZ␋␅γ｜ε␓#＂ｒ,.ψ",
	}, { // 2345
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.οχλ]＄\x1d\x05？␝６:ｋ\x14hｐZ␋␅γ｜ε␓#＂ｒ,.ψ",
		out:  "‛～.οχλ]＄\x1d\x05？␝６:ｋ\x14hｐZ␋␅γ｜ε␓#＂ｒ,.ψ",
	}, { // 2346
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "1.οχλ]＄\x1d\x05？␝６:ｋ\x14hｐZ␋␅γ｜ε␓#＂ｒ,.~",
		out:  "1.οχλ]＄\x1d\x05？␝６:ｋ\x14hｐZ␋␅γ｜ε␓#＂ｒ,.~",
	}, { // 2347
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "1.οχλ]＄\x1d\x05？␝６:ｋ\x14hｐZ␋␅γ｜ε␓#＂ｒ,.～",
		out:  "1.οχλ]＄\x1d\x05？␝６:ｋ\x14hｐZ␋␅γ｜ε␓#＂ｒ,.～",
	}, { // 2348
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.；I?\x14␘＊δU<ρ］K～πP␌μ'\x05［５５\t;ｒz.－",
		out:  "～.；I?\x14␘＊δU<ρ］K～πP␌μ'\x05［５５\t;ｒz.－",
	}, { // 2349
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.；I?\x14␘＊δU<ρ］K～πP␌μ'\x05［５５\t;ｒz.－",
		out:  "‛～.；I?\x14␘＊δU<ρ］K～πP␌μ'\x05［５５\t;ｒz.－",
	}, { // 2350
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightPeriod,
		in:   "ω.；I?\x14␘＊δU<ρ］K～πP␌μ'\x05［５５\t;ｒz.~",
		out:  "ω.；I?\x14␘＊δU<ρ］K～πP␌μ'\x05［５５\t;ｒz.~",
	}, { // 2351
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightPeriod,
		in:   "ω.；I?\x14␘＊δU<ρ］K～πP␌μ'\x05［５５\t;ｒz.～",
		out:  "ω.；I?\x14␘＊δU<ρ］K～πP␌μ'\x05［５５\t;ｒz.～",
	}, { // 2352
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.iυφ\x04␉␀\x06*＋fｎγ␕H!１γz｛；χ7␅i＃\a.＂",
		out:  "～.iυφ\x04␉‛␀\x06*＋fｎγ␕H!１γz｛；χ7␅i＃\a.＂",
	}, { // 2353
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.iυφ\x04␉␀\x06*＋fｎγ␕H!１γz｛；χ7␅i＃\a.＂",
		out:  "‛～.iυφ\x04␉‛␀\x06*＋fｎγ␕H!１γz｛；χ7␅i＃\a.＂",
	}, { // 2354
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightPeriod,
		in:   "\x19.iυφ\x04␉␀\x06*＋fｎγ␕H!１γz｛；χ7␅i＃\a.~",
		out:  "\x19.iυφ\x04␉‛␀\x06*＋fｎγ␕H!１γz｛；χ7␅i＃\a.~",
	}, { // 2355
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightPeriod,
		in:   "\x19.iυφ\x04␉␀\x06*＋fｎγ␕H!１γz｛；χ7␅i＃\a.～",
		out:  "\x19.iυφ\x04␉‛␀\x06*＋fｎγ␕H!１γz｛；χ7␅i＃\a.～",
	}, { // 2356
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.a］␡\x181␀ｄχ/5τm`．]\x1cｋ0Ｔνφ／η␙^ｅ.␃",
		out:  "～.a］␡\x181‛␀ｄχ/5τm`．]\x1cｋ0Ｔνφ／η␙^ｅ.␃",
	}, { // 2357
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.a］␡\x181␀ｄχ/5τm`．]\x1cｋ0Ｔνφ／η␙^ｅ.␃",
		out:  "‛～.a］␡\x181‛␀ｄχ/5τm`．]\x1cｋ0Ｔνφ／η␙^ｅ.␃",
	}, { // 2358
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "９.a］␡\x181␀ｄχ/5τm`．]\x1cｋ0Ｔνφ／η␙^ｅ.~",
		out:  "９.a］␡\x181‛␀ｄχ/5τm`．]\x1cｋ0Ｔνφ／η␙^ｅ.~",
	}, { // 2359
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "９.a］␡\x181␀ｄχ/5τm`．]\x1cｋ0Ｔνφ／η␙^ｅ.～",
		out:  "９.a］␡\x181‛␀ｄχ/5τm`．]\x1cｋ0Ｔνφ／η␙^ｅ.～",
	}, { // 2360
		mask: EncodeColon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.\x03␜␐>＂\x16\x15Ｄκ␕␞\x1f１ι）Ｏ␌!Ｌ␍\x16[\x04qn*.μ",
		out:  "～.\x03␜␐>＂\x16\x15Ｄκ␕␞\x1f１ι）Ｏ␌!Ｌ␍\x16[\x04qn*.μ",
	}, { // 2361
		mask: EncodeColon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.\x03␜␐>＂\x16\x15Ｄκ␕␞\x1f１ι）Ｏ␌!Ｌ␍\x16[\x04qn*.μ",
		out:  "‛～.\x03␜␐>＂\x16\x15Ｄκ␕␞\x1f１ι）Ｏ␌!Ｌ␍\x16[\x04qn*.μ",
	}, { // 2362
		mask: EncodeColon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "ω.\x03␜␐>＂\x16\x15Ｄκ␕␞\x1f１ι）Ｏ␌!Ｌ␍\x16[\x04qn*.~",
		out:  "ω.\x03␜␐>＂\x16\x15Ｄκ␕␞\x1f１ι）Ｏ␌!Ｌ␍\x16[\x04qn*.~",
	}, { // 2363
		mask: EncodeColon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "ω.\x03␜␐>＂\x16\x15Ｄκ␕␞\x1f１ι）Ｏ␌!Ｌ␍\x16[\x04qn*.～",
		out:  "ω.\x03␜␐>＂\x16\x15Ｄκ␕␞\x1f１ι）Ｏ␌!Ｌ␍\x16[\x04qn*.～",
	}, { // 2364
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.τ\x01␁οＳ<＋.[\x11２>B\x11ιβ␙＄␜:σ*ιＯ＂␇.␎",
		out:  "～.τ\x01␁οＳ<＋.[\x11２>B\x11ιβ␙＄␜:σ*ιＯ＂␇.␎",
	}, { // 2365
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.τ\x01␁οＳ<＋.[\x11２>B\x11ιβ␙＄␜:σ*ιＯ＂␇.␎",
		out:  "‛～.τ\x01␁οＳ<＋.[\x11２>B\x11ιβ␙＄␜:σ*ιＯ＂␇.␎",
	}, { // 2366
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightPeriod,
		in:   "Ｎ.τ\x01␁οＳ<＋.[\x11２>B\x11ιβ␙＄␜:σ*ιＯ＂␇.~",
		out:  "Ｎ.τ\x01␁οＳ<＋.[\x11２>B\x11ιβ␙＄␜:σ*ιＯ＂␇.~",
	}, { // 2367
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightPeriod,
		in:   "Ｎ.τ\x01␁οＳ<＋.[\x11２>B\x11ιβ␙＄␜:σ*ιＯ＂␇.～",
		out:  "Ｎ.τ\x01␁οＳ<＋.[\x11２>B\x11ιβ␙＄␜:σ*ιＯ＂␇.～",
	}, { // 2368
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.\x17β\n\x06?Ｋ？；P␏␌γ＿ｍγ'␡#＊oθ␌η\x00ＲＣ.\\",
		out:  "～.\x17β\n\x06?Ｋ？；P␏␌γ＿ｍγ'␡#‛＊oθ␌η␀ＲＣ.\\",
	}, { // 2369
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.\x17β\n\x06?Ｋ？；P␏␌γ＿ｍγ'␡#＊oθ␌η\x00ＲＣ.\\",
		out:  "‛～.\x17β\n\x06?Ｋ？；P␏␌γ＿ｍγ'␡#‛＊oθ␌η␀ＲＣ.\\",
	}, { // 2370
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightPeriod,
		in:   ">.\x17β\n\x06?Ｋ？；P␏␌γ＿ｍγ'␡#＊oθ␌η\x00ＲＣ.~",
		out:  ">.\x17β\n\x06?Ｋ？；P␏␌γ＿ｍγ'␡#‛＊oθ␌η␀ＲＣ.~",
	}, { // 2371
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightPeriod,
		in:   ">.\x17β\n\x06?Ｋ？；P␏␌γ＿ｍγ'␡#＊oθ␌η\x00ＲＣ.～",
		out:  ">.\x17β\n\x06?Ｋ？；P␏␌γ＿ｍγ'␡#‛＊oθ␌η␀ＲＣ.～",
	}, { // 2372
		mask: EncodePipe | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.Y?ι(＄Ｉ?｜［u␃ｒ\r`\x1eα［．␚\"_ηβμθ％.｝",
		out:  "～.Y?ι(＄Ｉ?‛｜［u␃ｒ\r`\x1eα［．␚\"_ηβμθ％.｝",
	}, { // 2373
		mask: EncodePipe | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.Y?ι(＄Ｉ?｜［u␃ｒ\r`\x1eα［．␚\"_ηβμθ％.｝",
		out:  "‛～.Y?ι(＄Ｉ?‛｜［u␃ｒ\r`\x1eα［．␚\"_ηβμθ％.｝",
	}, { // 2374
		mask: EncodePipe | EncodeLeftTilde | EncodeRightPeriod,
		in:   "\x10.Y?ι(＄Ｉ?｜［u␃ｒ\r`\x1eα［．␚\"_ηβμθ％.~",
		out:  "\x10.Y?ι(＄Ｉ?‛｜［u␃ｒ\r`\x1eα［．␚\"_ηβμθ％.~",
	}, { // 2375
		mask: EncodePipe | EncodeLeftTilde | EncodeRightPeriod,
		in:   "\x10.Y?ι(＄Ｉ?｜［u␃ｒ\r`\x1eα［．␚\"_ηβμθ％.～",
		out:  "\x10.Y?ι(＄Ｉ?‛｜［u␃ｒ\r`\x1eα［．␚\"_ηβμθ％.～",
	}, { // 2376
		mask: EncodeHash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.␘χ＜\\＿NG␅ζχ｝*\n｀ο<Ｋ＜[#␅\\\x18␑\x1dη.␚",
		out:  "～.␘χ＜\\＿NG␅ζχ｝*\n｀ο<Ｋ＜[＃␅\\\x18␑\x1dη.␚",
	}, { // 2377
		mask: EncodeHash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.␘χ＜\\＿NG␅ζχ｝*\n｀ο<Ｋ＜[#␅\\\x18␑\x1dη.␚",
		out:  "‛～.␘χ＜\\＿NG␅ζχ｝*\n｀ο<Ｋ＜[＃␅\\\x18␑\x1dη.␚",
	}, { // 2378
		mask: EncodeHash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "／.␘χ＜\\＿NG␅ζχ｝*\n｀ο<Ｋ＜[#␅\\\x18␑\x1dη.~",
		out:  "／.␘χ＜\\＿NG␅ζχ｝*\n｀ο<Ｋ＜[＃␅\\\x18␑\x1dη.~",
	}, { // 2379
		mask: EncodeHash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "／.␘χ＜\\＿NG␅ζχ｝*\n｀ο<Ｋ＜[#␅\\\x18␑\x1dη.～",
		out:  "／.␘χ＜\\＿NG␅ζχ｝*\n｀ο<Ｋ＜[＃␅\\\x18␑\x1dη.～",
	}, { // 2380
		mask: EncodePercent | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.\x10？3ρρＱ|␖κ；λ␋␒y＂z'␛\x18\x11␙\x1eP\x11ｓq.ς",
		out:  "～.\x10？3ρρＱ|␖κ；λ␋␒y＂z'␛\x18\x11␙\x1eP\x11ｓq.ς",
	}, { // 2381
		mask: EncodePercent | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.\x10？3ρρＱ|␖κ；λ␋␒y＂z'␛\x18\x11␙\x1eP\x11ｓq.ς",
		out:  "‛～.\x10？3ρρＱ|␖κ；λ␋␒y＂z'␛\x18\x11␙\x1eP\x11ｓq.ς",
	}, { // 2382
		mask: EncodePercent | EncodeLeftTilde | EncodeRightPeriod,
		in:   "␏.\x10？3ρρＱ|␖κ；λ␋␒y＂z'␛\x18\x11␙\x1eP\x11ｓq.~",
		out:  "␏.\x10？3ρρＱ|␖κ；λ␋␒y＂z'␛\x18\x11␙\x1eP\x11ｓq.~",
	}, { // 2383
		mask: EncodePercent | EncodeLeftTilde | EncodeRightPeriod,
		in:   "␏.\x10？3ρρＱ|␖κ；λ␋␒y＂z'␛\x18\x11␙\x1eP\x11ｓq.～",
		out:  "␏.\x10？3ρρＱ|␖κ；λ␋␒y＂z'␛\x18\x11␙\x1eP\x11ｓq.～",
	}, { // 2384
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.φ␄ν\x15$οZoｙ：φδ␑`．\x1f#＜C>␊␕$\"lθ.Ｍ",
		out:  "～.φ␄ν\x15$οZoｙ：φδ␑`．\x1f#＜C>␊␕$\"lθ.Ｍ",
	}, { // 2385
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.φ␄ν\x15$οZoｙ：φδ␑`．\x1f#＜C>␊␕$\"lθ.Ｍ",
		out:  "‛～.φ␄ν\x15$οZoｙ：φδ␑`．\x1f#＜C>␊␕$\"lθ.Ｍ",
	}, { // 2386
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "␎.φ␄ν\x15$οZoｙ：φδ␑`．\x1f#＜C>␊␕$\"lθ.~",
		out:  "␎.φ␄ν\x15$οZoｙ：φδ␑`．\x1f#＜C>␊␕$\"lθ.~",
	}, { // 2387
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "␎.φ␄ν\x15$οZoｙ：φδ␑`．\x1f#＜C>␊␕$\"lθ.～",
		out:  "␎.φ␄ν\x15$οZoｙ：φδ␑`．\x1f#＜C>␊␕$\"lθ.～",
	}, { // 2388
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.?|７＇j␊＂～\x10νq＃kζ！＊\r／H(φ\x175Ｘεκ.\x16",
		out:  "～.?|７＇j‛␊＂～\x10νq＃kζ！＊␍／H(φ\x175Ｘεκ.\x16",
	}, { // 2389
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.?|７＇j␊＂～\x10νq＃kζ！＊\r／H(φ\x175Ｘεκ.\x16",
		out:  "‛～.?|７＇j‛␊＂～\x10νq＃kζ！＊␍／H(φ\x175Ｘεκ.\x16",
	}, { // 2390
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightPeriod,
		in:   "％.?|７＇j␊＂～\x10νq＃kζ！＊\r／H(φ\x175Ｘεκ.~",
		out:  "％.?|７＇j‛␊＂～\x10νq＃kζ！＊␍／H(φ\x175Ｘεκ.~",
	}, { // 2391
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightPeriod,
		in:   "％.?|７＇j␊＂～\x10νq＃kζ！＊\r／H(φ\x175Ｘεκ.～",
		out:  "％.?|７＇j‛␊＂～\x10νq＃kζ！＊␍／H(φ\x175Ｘεκ.～",
	}, { // 2392
		mask: EncodeDel | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.γ*L$␌e*ββ\x05\x1cＨ␐\"Ｃσ$\x19␊[ ␜＠␃η！.．",
		out:  "～.γ*L$␌e*ββ\x05\x1cＨ␐\"Ｃσ$\x19␊[ ␜＠␃η！.‛．",
	}, { // 2393
		mask: EncodeDel | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.γ*L$␌e*ββ\x05\x1cＨ␐\"Ｃσ$\x19␊[ ␜＠␃η！.．",
		out:  "‛～.γ*L$␌e*ββ\x05\x1cＨ␐\"Ｃσ$\x19␊[ ␜＠␃η！.‛．",
	}, { // 2394
		mask: EncodeDel | EncodeLeftTilde | EncodeRightPeriod,
		in:   "！.γ*L$␌e*ββ\x05\x1cＨ␐\"Ｃσ$\x19␊[ ␜＠␃η！.~",
		out:  "！.γ*L$␌e*ββ\x05\x1cＨ␐\"Ｃσ$\x19␊[ ␜＠␃η！.~",
	}, { // 2395
		mask: EncodeDel | EncodeLeftTilde | EncodeRightPeriod,
		in:   "！.γ*L$␌e*ββ\x05\x1cＨ␐\"Ｃσ$\x19␊[ ␜＠␃η！.～",
		out:  "！.γ*L$␌e*ββ\x05\x1cＨ␐\"Ｃσ$\x19␊[ ␜＠␃η！.～",
	}, { // 2396
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.`[Vｓ＼ν␁nφｖ～-ζ\x14<γ\uff00k\x1eK［μ␏␋\x18U.３",
		out:  "～.`[Vｓ＼ν‛␁nφｖ～-ζ␔<γ\uff00k␞K［μ‛␏‛␋␘U.３",
	}, { // 2397
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.`[Vｓ＼ν␁nφｖ～-ζ\x14<γ\uff00k\x1eK［μ␏␋\x18U.３",
		out:  "‛～.`[Vｓ＼ν‛␁nφｖ～-ζ␔<γ\uff00k␞K［μ‛␏‛␋␘U.３",
	}, { // 2398
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightPeriod,
		in:   "ο.`[Vｓ＼ν␁nφｖ～-ζ\x14<γ\uff00k\x1eK［μ␏␋\x18U.~",
		out:  "ο.`[Vｓ＼ν‛␁nφｖ～-ζ␔<γ\uff00k␞K［μ‛␏‛␋␘U.~",
	}, { // 2399
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightPeriod,
		in:   "ο.`[Vｓ＼ν␁nφｖ～-ζ\x14<γ\uff00k\x1eK［μ␏␋\x18U.～",
		out:  "ο.`[Vｓ＼ν‛␁nφｖ～-ζ␔<γ\uff00k␞K［μ‛␏‛␋␘U.～",
	}, { // 2400
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\t\x1e",
		out:  "～\tＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\t\x1e",
	}, { // 2401
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\t\x1e",
		out:  "‛～\tＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\t\x1e",
	}, { // 2402
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\n\x1e",
		out:  "～\nＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\n\x1e",
	}, { // 2403
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\n\x1e",
		out:  "‛～\nＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\n\x1e",
	}, { // 2404
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\v\x1e",
		out:  "～\vＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\v\x1e",
	}, { // 2405
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\v\x1e",
		out:  "‛～\vＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\v\x1e",
	}, { // 2406
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\r\x1e",
		out:  "～\rＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\r\x1e",
	}, { // 2407
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\r\x1e",
		out:  "‛～\rＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\r\x1e",
	}, { // 2408
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "I\tＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\t~",
		out:  "I\tＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\t~",
	}, { // 2409
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "I\tＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\t～",
		out:  "I\tＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\t～",
	}, { // 2410
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "I\nＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\n~",
		out:  "I\nＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\n~",
	}, { // 2411
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "I\nＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\n～",
		out:  "I\nＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\n～",
	}, { // 2412
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "I\vＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\v~",
		out:  "I\vＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\v~",
	}, { // 2413
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "I\vＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\v～",
		out:  "I\vＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\v～",
	}, { // 2414
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "I\rＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\r~",
		out:  "I\rＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\r~",
	}, { // 2415
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "I\rＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\r～",
		out:  "I\rＭ[\x05\x1baNξ＼οａυ:β␂ ι␁␁ｏ\x0eτ␏＜／\x04\x02\r～",
	}, { // 2416
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\tp",
		out:  "～\t｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\tp",
	}, { // 2417
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\tp",
		out:  "‛～\t｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\tp",
	}, { // 2418
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\np",
		out:  "～\n｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\np",
	}, { // 2419
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\np",
		out:  "‛～\n｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\np",
	}, { // 2420
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\vp",
		out:  "～\v｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\vp",
	}, { // 2421
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\vp",
		out:  "‛～\v｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\vp",
	}, { // 2422
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\rp",
		out:  "～\r｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\rp",
	}, { // 2423
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\rp",
		out:  "‛～\r｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\rp",
	}, { // 2424
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\t｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\t~",
		out:  "α\t｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\t~",
	}, { // 2425
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\t｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\t～",
		out:  "α\t｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\t～",
	}, { // 2426
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\n｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\n~",
		out:  "α\n｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\n~",
	}, { // 2427
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\n｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\n～",
		out:  "α\n｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\n～",
	}, { // 2428
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\v｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\v~",
		out:  "α\v｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\v~",
	}, { // 2429
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\v｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\v～",
		out:  "α\v｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\v～",
	}, { // 2430
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\r｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\r~",
		out:  "α\r｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\r~",
	}, { // 2431
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\r｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\r～",
		out:  "α\r｀0（␁＞Oγ（）ς\x11：\t␔σＦ%\x05τθ␊｜y＊\x11\x0e\r～",
	}, { // 2432
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\t＂",
		out:  "～\t?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\t＂",
	}, { // 2433
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\t＂",
		out:  "‛～\t?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\t＂",
	}, { // 2434
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\n＂",
		out:  "～\n?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\n＂",
	}, { // 2435
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\n＂",
		out:  "‛～\n?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\n＂",
	}, { // 2436
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\v＂",
		out:  "～\v?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\v＂",
	}, { // 2437
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\v＂",
		out:  "‛～\v?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\v＂",
	}, { // 2438
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\r＂",
		out:  "～\r?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\r＂",
	}, { // 2439
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\r＂",
		out:  "‛～\r?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\r＂",
	}, { // 2440
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＊\t?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\t~",
		out:  "＊\t?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\t~",
	}, { // 2441
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＊\t?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\t～",
		out:  "＊\t?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\t～",
	}, { // 2442
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＊\n?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\n~",
		out:  "＊\n?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\n~",
	}, { // 2443
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＊\n?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\n～",
		out:  "＊\n?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\n～",
	}, { // 2444
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＊\v?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\v~",
		out:  "＊\v?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\v~",
	}, { // 2445
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＊\v?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\v～",
		out:  "＊\v?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\v～",
	}, { // 2446
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＊\r?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\r~",
		out:  "＊\r?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\r~",
	}, { // 2447
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＊\r?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\r～",
		out:  "＊\r?π␆λ：＃ｇ␈␐εPαｃeωπＭ|t＠\x7f~1\x04\\\x03\r～",
	}, { // 2448
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\tβ",
		out:  "～\t\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\tβ",
	}, { // 2449
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\tβ",
		out:  "‛～\t\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\tβ",
	}, { // 2450
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\nβ",
		out:  "～\n\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\nβ",
	}, { // 2451
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\nβ",
		out:  "‛～\n\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\nβ",
	}, { // 2452
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\vβ",
		out:  "～\v\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\vβ",
	}, { // 2453
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\vβ",
		out:  "‛～\v\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\vβ",
	}, { // 2454
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\rβ",
		out:  "～\r\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\rβ",
	}, { // 2455
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\rβ",
		out:  "‛～\r\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\rβ",
	}, { // 2456
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＼\t\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\t~",
		out:  "＼\t\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\t~",
	}, { // 2457
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＼\t\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\t～",
		out:  "＼\t\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\t～",
	}, { // 2458
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＼\n\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\n~",
		out:  "＼\n\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\n~",
	}, { // 2459
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＼\n\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\n～",
		out:  "＼\n\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\n～",
	}, { // 2460
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＼\v\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\v~",
		out:  "＼\v\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\v~",
	}, { // 2461
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＼\v\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\v～",
		out:  "＼\v\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\v～",
	}, { // 2462
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＼\r\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\r~",
		out:  "＼\r\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\r~",
	}, { // 2463
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＼\r\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\r～",
		out:  "＼\r\x0e；\x10\x1d]ＮＶ␐~Nγyλ␕␎E*␚␔δkβＥ]ｕγ\r～",
	}, { // 2464
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\tλ",
		out:  "～\t＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\tλ",
	}, { // 2465
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\tλ",
		out:  "‛～\t＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\tλ",
	}, { // 2466
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\nλ",
		out:  "～\n＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\nλ",
	}, { // 2467
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\nλ",
		out:  "‛～\n＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\nλ",
	}, { // 2468
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\vλ",
		out:  "～\v＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\vλ",
	}, { // 2469
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\vλ",
		out:  "‛～\v＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\vλ",
	}, { // 2470
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\rλ",
		out:  "～\r＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\rλ",
	}, { // 2471
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\rλ",
		out:  "‛～\r＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\rλ",
	}, { // 2472
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "t\t＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\t~",
		out:  "t\t＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\t~",
	}, { // 2473
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "t\t＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\t～",
		out:  "t\t＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\t～",
	}, { // 2474
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "t\n＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\n~",
		out:  "t\n＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\n~",
	}, { // 2475
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "t\n＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\n～",
		out:  "t\n＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\n～",
	}, { // 2476
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "t\v＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\v~",
		out:  "t\v＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\v~",
	}, { // 2477
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "t\v＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\v～",
		out:  "t\v＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\v～",
	}, { // 2478
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "t\r＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\r~",
		out:  "t\r＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\r~",
	}, { // 2479
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "t\r＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\r～",
		out:  "t\r＾/␋/\r\"\x02␞\r␅［d＊］ιＱ\x1bνν␄Ｏ␚\x1aQｐυ\r～",
	}, { // 2480
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\tφ",
		out:  "～\tＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\tφ",
	}, { // 2481
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\tφ",
		out:  "‛～\tＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\tφ",
	}, { // 2482
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\nφ",
		out:  "～\nＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\nφ",
	}, { // 2483
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\nφ",
		out:  "‛～\nＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\nφ",
	}, { // 2484
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\vφ",
		out:  "～\vＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\vφ",
	}, { // 2485
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\vφ",
		out:  "‛～\vＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\vφ",
	}, { // 2486
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\rφ",
		out:  "～\rＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\rφ",
	}, { // 2487
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\rφ",
		out:  "‛～\rＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\rφ",
	}, { // 2488
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＞\tＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\t~",
		out:  "＞\tＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\t~",
	}, { // 2489
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＞\tＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\t～",
		out:  "＞\tＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\t～",
	}, { // 2490
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＞\nＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\n~",
		out:  "＞\nＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\n~",
	}, { // 2491
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＞\nＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\n～",
		out:  "＞\nＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\n～",
	}, { // 2492
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＞\vＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\v~",
		out:  "＞\vＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\v~",
	}, { // 2493
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＞\vＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\v～",
		out:  "＞\vＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\v～",
	}, { // 2494
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＞\rＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\r~",
		out:  "＞\rＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\r~",
	}, { // 2495
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＞\rＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\r～",
		out:  "＞\rＺδ␉７>ψｗ\fw>8ι!␍\v␏␘␃n␇\nb\x03Tζｖ\r～",
	}, { // 2496
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\t＇",
		out:  "～\tθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\t＇",
	}, { // 2497
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\t＇",
		out:  "‛～\tθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\t＇",
	}, { // 2498
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\n＇",
		out:  "～\nθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\n＇",
	}, { // 2499
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\n＇",
		out:  "‛～\nθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\n＇",
	}, { // 2500
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\v＇",
		out:  "～\vθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\v＇",
	}, { // 2501
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\v＇",
		out:  "‛～\vθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\v＇",
	}, { // 2502
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\r＇",
		out:  "～\rθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\r＇",
	}, { // 2503
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\r＇",
		out:  "‛～\rθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\r＇",
	}, { // 2504
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＃\tθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\t~",
		out:  "＃\tθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\t~",
	}, { // 2505
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＃\tθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\t～",
		out:  "＃\tθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\t～",
	}, { // 2506
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＃\nθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\n~",
		out:  "＃\nθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\n~",
	}, { // 2507
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＃\nθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\n～",
		out:  "＃\nθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\n～",
	}, { // 2508
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＃\vθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\v~",
		out:  "＃\vθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\v~",
	}, { // 2509
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＃\vθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\v～",
		out:  "＃\vθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\v～",
	}, { // 2510
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＃\rθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\r~",
		out:  "＃\rθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\r~",
	}, { // 2511
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＃\rθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\r～",
		out:  "＃\rθ＃ε\r3tYｆιχａ＾\t3 θ＃ε\x1eＰ\x16B＞％␋␙\r～",
	}, { // 2512
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\tg",
		out:  "～\tＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\tg",
	}, { // 2513
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\tg",
		out:  "‛～\tＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\tg",
	}, { // 2514
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\ng",
		out:  "～\nＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\ng",
	}, { // 2515
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\ng",
		out:  "‛～\nＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\ng",
	}, { // 2516
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\vg",
		out:  "～\vＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\vg",
	}, { // 2517
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\vg",
		out:  "‛～\vＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\vg",
	}, { // 2518
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\rg",
		out:  "～\rＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\rg",
	}, { // 2519
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\rg",
		out:  "‛～\rＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\rg",
	}, { // 2520
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x00\tＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\t~",
		out:  "␀\tＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\t~",
	}, { // 2521
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x00\tＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\t～",
		out:  "␀\tＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\t～",
	}, { // 2522
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x00\nＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\n~",
		out:  "␀\nＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\n~",
	}, { // 2523
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x00\nＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\n～",
		out:  "␀\nＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\n～",
	}, { // 2524
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x00\vＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\v~",
		out:  "␀\vＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\v~",
	}, { // 2525
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x00\vＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\v～",
		out:  "␀\vＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\v～",
	}, { // 2526
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x00\rＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\r~",
		out:  "␀\rＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\r~",
	}, { // 2527
		mask: EncodeExclamation | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x00\rＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\r～",
		out:  "␀\rＬ\uff00Ｊｑ␊ψ\x02;xζ␊％Ｇ\x0eε;ηvD`ο␚（␃x␛\r～",
	}, { // 2528
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\t]",
		out:  "～\t９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\t]",
	}, { // 2529
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\t]",
		out:  "‛～\t９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\t]",
	}, { // 2530
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\n]",
		out:  "～\n９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\n]",
	}, { // 2531
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\n]",
		out:  "‛～\n９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\n]",
	}, { // 2532
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\v]",
		out:  "～\v９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\v]",
	}, { // 2533
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\v]",
		out:  "‛～\v９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\v]",
	}, { // 2534
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\r]",
		out:  "～\r９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\r]",
	}, { // 2535
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\r]",
		out:  "‛～\r９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\r]",
	}, { // 2536
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\t９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\t~",
		out:  "/\t９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\t~",
	}, { // 2537
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\t９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\t～",
		out:  "/\t９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\t～",
	}, { // 2538
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\n９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\n~",
		out:  "/\n９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\n~",
	}, { // 2539
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\n９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\n～",
		out:  "/\n９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\n～",
	}, { // 2540
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\v９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\v~",
		out:  "/\v９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\v~",
	}, { // 2541
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\v９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\v～",
		out:  "/\v９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\v～",
	}, { // 2542
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\r９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\r~",
		out:  "/\r９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\r~",
	}, { // 2543
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\r９ω：Ｔ＞C％？␅.γ.＄εν␄（ｚρ\x143␎/8\x1fσ\r～",
		out:  "/\r９ω：Ｔ＞C％？␅.γ.‛＄εν␄（ｚρ\x143␎/8\x1fσ\r～",
	}, { // 2544
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\t0",
		out:  "～\t␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\t0",
	}, { // 2545
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\t0",
		out:  "‛～\t␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\t0",
	}, { // 2546
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\n0",
		out:  "～\n␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\n0",
	}, { // 2547
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\n0",
		out:  "‛～\n␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\n0",
	}, { // 2548
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\v0",
		out:  "～\v␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\v0",
	}, { // 2549
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\v0",
		out:  "‛～\v␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\v0",
	}, { // 2550
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\r0",
		out:  "～\r␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\r0",
	}, { // 2551
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\r0",
		out:  "‛～\r␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\r0",
	}, { // 2552
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "|\t␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\t~",
		out:  "|\t␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\t~",
	}, { // 2553
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "|\t␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\t～",
		out:  "|\t␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\t～",
	}, { // 2554
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "|\n␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\n~",
		out:  "|\n␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\n~",
	}, { // 2555
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "|\n␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\n～",
		out:  "|\n␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\n～",
	}, { // 2556
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "|\v␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\v~",
		out:  "|\v␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\v~",
	}, { // 2557
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "|\v␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\v～",
		out:  "|\v␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\v～",
	}, { // 2558
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "|\r␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\r~",
		out:  "|\r␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\r~",
	}, { // 2559
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "|\r␕νδο\x04＂φτβ８4\x01；␉０\":␐／\x06＇？`'Gｙ\r～",
		out:  "|\r␕νδο\x04‛＂φτβ８4\x01；␉０＂:␐／\x06＇？`'Gｙ\r～",
	}, { // 2560
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\tＴ",
		out:  "～\tＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\tＴ",
	}, { // 2561
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\tＴ",
		out:  "‛～\tＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\tＴ",
	}, { // 2562
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\nＴ",
		out:  "～\nＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\nＴ",
	}, { // 2563
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\nＴ",
		out:  "‛～\nＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\nＴ",
	}, { // 2564
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\vＴ",
		out:  "～\vＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\vＴ",
	}, { // 2565
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\vＴ",
		out:  "‛～\vＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\vＴ",
	}, { // 2566
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\rＴ",
		out:  "～\rＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\rＴ",
	}, { // 2567
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\rＴ",
		out:  "‛～\rＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\rＴ",
	}, { // 2568
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\tＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\t~",
		out:  "j\tＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\t~",
	}, { // 2569
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\tＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\t～",
		out:  "j\tＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\t～",
	}, { // 2570
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\nＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\n~",
		out:  "j\nＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\n~",
	}, { // 2571
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\nＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\n～",
		out:  "j\nＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\n～",
	}, { // 2572
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\vＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\v~",
		out:  "j\vＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\v~",
	}, { // 2573
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\vＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\v～",
		out:  "j\vＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\v～",
	}, { // 2574
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\rＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\r~",
		out:  "j\rＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\r~",
	}, { // 2575
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\rＮ\x00\x12α␛␗\f＠φ＜/χ:ｉ~␒τρν( 4\x1cｈ＄ｐ\r～",
		out:  "j\rＮ␀\x12α␛␗\f＠φ＜/χ：ｉ~␒τρν( 4\x1cｈ＄ｐ\r～",
	}, { // 2576
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\tρ",
		out:  "～\tθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\tρ",
	}, { // 2577
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\tρ",
		out:  "‛～\tθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\tρ",
	}, { // 2578
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\nρ",
		out:  "～\nθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\nρ",
	}, { // 2579
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\nρ",
		out:  "‛～\nθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\nρ",
	}, { // 2580
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\vρ",
		out:  "～\vθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\vρ",
	}, { // 2581
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\vρ",
		out:  "‛～\vθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\vρ",
	}, { // 2582
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\rρ",
		out:  "～\rθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\rρ",
	}, { // 2583
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\rρ",
		out:  "‛～\rθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\rρ",
	}, { // 2584
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\tθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\t~",
		out:  "␍\tθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\t~",
	}, { // 2585
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\tθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\t～",
		out:  "␍\tθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\t～",
	}, { // 2586
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\nθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\n~",
		out:  "␍\nθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\n~",
	}, { // 2587
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\nθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\n～",
		out:  "␍\nθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\n～",
	}, { // 2588
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\vθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\v~",
		out:  "␍\vθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\v~",
	}, { // 2589
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\vθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\v～",
		out:  "␍\vθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\v～",
	}, { // 2590
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\rθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\r~",
		out:  "␍\rθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\r~",
	}, { // 2591
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\rθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\r～",
		out:  "␍\rθ␄μＹπ－/␃\v␡Ｅ－\x13(#;；e/γ＂w\x16\x10␗κ\r～",
	}, { // 2592
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\tβ",
		out:  "～\t＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\tβ",
	}, { // 2593
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\tβ",
		out:  "‛～\t＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\tβ",
	}, { // 2594
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\nβ",
		out:  "～\n＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\nβ",
	}, { // 2595
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\nβ",
		out:  "‛～\n＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\nβ",
	}, { // 2596
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\vβ",
		out:  "～\v＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\vβ",
	}, { // 2597
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\vβ",
		out:  "‛～\v＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\vβ",
	}, { // 2598
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\rβ",
		out:  "～\r＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\rβ",
	}, { // 2599
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\rβ",
		out:  "‛～\r＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\rβ",
	}, { // 2600
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\t＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\t~",
		out:  "␍\t＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\t~",
	}, { // 2601
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\t＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\t～",
		out:  "␍\t＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\t～",
	}, { // 2602
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\n＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\n~",
		out:  "␍\n＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\n~",
	}, { // 2603
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\n＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\n～",
		out:  "␍\n＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\n～",
	}, { // 2604
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\v＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\v~",
		out:  "␍\v＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\v~",
	}, { // 2605
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\v＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\v～",
		out:  "␍\v＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\v～",
	}, { // 2606
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\r＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\r~",
		out:  "␍\r＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\r~",
	}, { // 2607
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␍\r＋4;；ομ\n]␞＇\x17B５％␃\n＊Ｈ␏κ*τ/｜πZ\r～",
		out:  "␍\r＋4;；ομ\n]␞＇\x17B５％␃\n‛＊Ｈ␏κ＊τ/｜πZ\r～",
	}, { // 2608
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\tε",
		out:  "～\t␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\tε",
	}, { // 2609
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\tε",
		out:  "‛～\t␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\tε",
	}, { // 2610
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\nε",
		out:  "～\n␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\nε",
	}, { // 2611
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\nε",
		out:  "‛～\n␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\nε",
	}, { // 2612
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\vε",
		out:  "～\v␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\vε",
	}, { // 2613
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\vε",
		out:  "‛～\v␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\vε",
	}, { // 2614
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\rε",
		out:  "～\r␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\rε",
	}, { // 2615
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\rε",
		out:  "‛～\r␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\rε",
	}, { // 2616
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "：\t␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\t~",
		out:  "：\t␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\t~",
	}, { // 2617
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "：\t␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\t～",
		out:  "：\t␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\t～",
	}, { // 2618
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "：\n␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\n~",
		out:  "：\n␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\n~",
	}, { // 2619
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "：\n␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\n～",
		out:  "：\n␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\n～",
	}, { // 2620
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "：\v␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\v~",
		out:  "：\v␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\v~",
	}, { // 2621
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "：\v␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\v～",
		out:  "：\v␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\v～",
	}, { // 2622
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "：\r␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\r~",
		out:  "：\r␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\r~",
	}, { // 2623
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "：\r␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e␀＊λ＃ζ\r～",
		out:  "：\r␞U\x1bｏLθ␓\x13＜zo␏ｔ:\x0fεRτ＄!\x1e‛␀＊λ＃ζ\r～",
	}, { // 2624
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\t＜",
		out:  "～\t\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\t＜",
	}, { // 2625
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\t＜",
		out:  "‛～\t\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\t＜",
	}, { // 2626
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\n＜",
		out:  "～\n\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\n＜",
	}, { // 2627
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\n＜",
		out:  "‛～\n\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\n＜",
	}, { // 2628
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\v＜",
		out:  "～\v\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\v＜",
	}, { // 2629
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\v＜",
		out:  "‛～\v\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\v＜",
	}, { // 2630
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\r＜",
		out:  "～\r\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\r＜",
	}, { // 2631
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\r＜",
		out:  "‛～\r\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\r＜",
	}, { // 2632
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␛\t\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\t~",
		out:  "␛\t\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\t~",
	}, { // 2633
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␛\t\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\t～",
		out:  "␛\t\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\t～",
	}, { // 2634
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␛\n\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\n~",
		out:  "␛\n\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\n~",
	}, { // 2635
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␛\n\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\n～",
		out:  "␛\n\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\n～",
	}, { // 2636
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␛\v\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\v~",
		out:  "␛\v\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\v~",
	}, { // 2637
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␛\v\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\v～",
		out:  "␛\v\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\v～",
	}, { // 2638
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␛\r\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\r~",
		out:  "␛\r\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\r~",
	}, { // 2639
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␛\r\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\r～",
		out:  "␛\r\x1e*６␌Ｒ\x18Ｋυk$＆X;＋W＼d［\x10μβςς ␄\f\r～",
	}, { // 2640
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\t#",
		out:  "～\t␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\t#",
	}, { // 2641
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\t#",
		out:  "‛～\t␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\t#",
	}, { // 2642
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\n#",
		out:  "～\n␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\n#",
	}, { // 2643
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\n#",
		out:  "‛～\n␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\n#",
	}, { // 2644
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\v#",
		out:  "～\v␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\v#",
	}, { // 2645
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\v#",
		out:  "‛～\v␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\v#",
	}, { // 2646
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\r#",
		out:  "～\r␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\r#",
	}, { // 2647
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\r#",
		out:  "‛～\r␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\r#",
	}, { // 2648
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "3\t␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\t~",
		out:  "3\t␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\t~",
	}, { // 2649
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "3\t␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\t～",
		out:  "3\t␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\t～",
	}, { // 2650
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "3\n␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\n~",
		out:  "3\n␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\n~",
	}, { // 2651
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "3\n␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\n～",
		out:  "3\n␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\n～",
	}, { // 2652
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "3\v␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\v~",
		out:  "3\v␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\v~",
	}, { // 2653
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "3\v␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\v～",
		out:  "3\v␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\v～",
	}, { // 2654
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "3\r␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\r~",
		out:  "3\r␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\r~",
	}, { // 2655
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "3\r␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\r～",
		out:  "3\r␅\x02ξ\"tγ␑\x13４＇␔'R＊ｕDｌＰｍ\x04␆nρο␟τ\r～",
	}, { // 2656
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\t\\",
		out:  "～\tω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\t＼",
	}, { // 2657
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\t\\",
		out:  "‛～\tω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\t＼",
	}, { // 2658
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\n\\",
		out:  "～\nω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\n＼",
	}, { // 2659
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\n\\",
		out:  "‛～\nω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\n＼",
	}, { // 2660
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\v\\",
		out:  "～\vω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\v＼",
	}, { // 2661
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\v\\",
		out:  "‛～\vω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\v＼",
	}, { // 2662
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\r\\",
		out:  "～\rω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\r＼",
	}, { // 2663
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\r\\",
		out:  "‛～\rω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\r＼",
	}, { // 2664
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\tω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\t~",
		out:  "＂\tω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\t~",
	}, { // 2665
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\tω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\t～",
		out:  "＂\tω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\t～",
	}, { // 2666
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\nω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\n~",
		out:  "＂\nω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\n~",
	}, { // 2667
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\nω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\n～",
		out:  "＂\nω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\n～",
	}, { // 2668
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\vω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\v~",
		out:  "＂\vω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\v~",
	}, { // 2669
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\vω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\v～",
		out:  "＂\vω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\v～",
	}, { // 2670
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\rω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\r~",
		out:  "＂\rω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\r~",
	}, { // 2671
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\rω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω＼：\r～",
		out:  "＂\rω％*αιF[＂␍v＿φ␂６␌i\x1ca／q\x1eＣAω‛＼：\r～",
	}, { // 2672
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\t\f",
		out:  "～\tｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\t\f",
	}, { // 2673
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\t\f",
		out:  "‛～\tｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\t\f",
	}, { // 2674
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\n\f",
		out:  "～\nｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\n\f",
	}, { // 2675
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\n\f",
		out:  "‛～\nｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\n\f",
	}, { // 2676
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\v\f",
		out:  "～\vｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\v\f",
	}, { // 2677
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\v\f",
		out:  "‛～\vｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\v\f",
	}, { // 2678
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\r\f",
		out:  "～\rｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\r\f",
	}, { // 2679
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\r\f",
		out:  "‛～\rｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\r\f",
	}, { // 2680
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x0e\tｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\t~",
		out:  "\x0e\tｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\t~",
	}, { // 2681
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x0e\tｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\t～",
		out:  "\x0e\tｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\t～",
	}, { // 2682
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x0e\nｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\n~",
		out:  "\x0e\nｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\n~",
	}, { // 2683
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x0e\nｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\n～",
		out:  "\x0e\nｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\n～",
	}, { // 2684
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x0e\vｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\v~",
		out:  "\x0e\vｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\v~",
	}, { // 2685
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x0e\vｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\v～",
		out:  "\x0e\vｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\v～",
	}, { // 2686
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x0e\rｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\r~",
		out:  "\x0e\rｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\r~",
	}, { // 2687
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x0e\rｖι0␀＼'␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\r～",
		out:  "\x0e\rｖι0‛␀＼'‛␀mＲ\x03'λｄ-\x05ｄ！：Ｘβ␏JCθ％ι\r～",
	}, { // 2688
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t I\x1aς␋\n\n,\nιＣ４＂:ωｒ；ＫςZ\x13␒␕＼ｖT> η",
		out:  "␉ I\x1aς␋\n\n,\nιＣ４＂:ωｒ；ＫςZ\x13␒␕＼ｖT> η",
	}, { // 2689
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ I\x1aς␋\n\n,\nιＣ４＂:ωｒ；ＫςZ\x13␒␕＼ｖT> η",
		out:  "‛␉ I\x1aς␋\n\n,\nιＣ４＂:ωｒ；ＫςZ\x13␒␕＼ｖT> η",
	}, { // 2690
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "η I\x1aς␋\n\n,\nιＣ４＂:ωｒ；ＫςZ\x13␒␕＼ｖT> \t",
		out:  "η I\x1aς␋\n\n,\nιＣ４＂:ωｒ；ＫςZ\x13␒␕＼ｖT> \t",
	}, { // 2691
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "η I\x1aς␋\n\n,\nιＣ４＂:ωｒ；ＫςZ\x13␒␕＼ｖT> ␉",
		out:  "η I\x1aς␋\n\n,\nιＣ４＂:ωｒ；ＫςZ\x13␒␕＼ｖT> ␉",
	}, { // 2692
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ␚＾Ｗλθψ＝\b｀@'γυ␡ζｍ␍\x10\x01'␗y␇Ｉb( ^",
		out:  "␉ ␚＾Ｗλθψ＝\b｀@'γυ␡ζｍ␍\x10\x01'␗y␇Ｉb( ^",
	}, { // 2693
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ␚＾Ｗλθψ＝\b｀@'γυ␡ζｍ␍\x10\x01'␗y␇Ｉb( ^",
		out:  "‛␉ ␚＾Ｗλθψ＝\b｀@'γυ␡ζｍ␍\x10\x01'␗y␇Ｉb( ^",
	}, { // 2694
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\x02 ␚＾Ｗλθψ＝\b｀@'γυ␡ζｍ␍\x10\x01'␗y␇Ｉb( \t",
		out:  "\x02 ␚＾Ｗλθψ＝\b｀@'γυ␡ζｍ␍\x10\x01'␗y␇Ｉb( \t",
	}, { // 2695
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\x02 ␚＾Ｗλθψ＝\b｀@'γυ␡ζｍ␍\x10\x01'␗y␇Ｉb( ␉",
		out:  "\x02 ␚＾Ｗλθψ＝\b｀@'γυ␡ζｍ␍\x10\x01'␗y␇Ｉb( ␉",
	}, { // 2696
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t :Ｚ:λακ␙␊␞\b␖ｙ␜\x02Os\x10`\x06]｛ωTr０ο μ",
		out:  "␉ :Ｚ:λακ␙␊␞\b␖ｙ␜\x02Os\x10`\x06]｛ωTr０ο μ",
	}, { // 2697
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ :Ｚ:λακ␙␊␞\b␖ｙ␜\x02Os\x10`\x06]｛ωTr０ο μ",
		out:  "‛␉ :Ｚ:λακ␙␊␞\b␖ｙ␜\x02Os\x10`\x06]｛ωTr０ο μ",
	}, { // 2698
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\uff00 :Ｚ:λακ␙␊␞\b␖ｙ␜\x02Os\x10`\x06]｛ωTr０ο \t",
		out:  "\uff00 :Ｚ:λακ␙␊␞\b␖ｙ␜\x02Os\x10`\x06]｛ωTr０ο \t",
	}, { // 2699
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\uff00 :Ｚ:λακ␙␊␞\b␖ｙ␜\x02Os\x10`\x06]｛ωTr０ο ␉",
		out:  "\uff00 :Ｚ:λακ␙␊␞\b␖ｙ␜\x02Os\x10`\x06]｛ωTr０ο ␉",
	}, { // 2700
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t '＜＂\x03ｃ\"8πηλ+ｄν＜␕GＤ\x19\x12ζ＊χｚ｀␅ｏ \n",
		out:  "␉ '＜＂\x03ｃ\"8πηλ+ｄν＜␕GＤ\x19\x12ζ＊χｚ‛｀␅ｏ \n",
	}, { // 2701
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ '＜＂\x03ｃ\"8πηλ+ｄν＜␕GＤ\x19\x12ζ＊χｚ｀␅ｏ \n",
		out:  "‛␉ '＜＂\x03ｃ\"8πηλ+ｄν＜␕GＤ\x19\x12ζ＊χｚ‛｀␅ｏ \n",
	}, { // 2702
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\\ '＜＂\x03ｃ\"8πηλ+ｄν＜␕GＤ\x19\x12ζ＊χｚ｀␅ｏ \t",
		out:  "\\ '＜＂\x03ｃ\"8πηλ+ｄν＜␕GＤ\x19\x12ζ＊χｚ‛｀␅ｏ \t",
	}, { // 2703
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\\ '＜＂\x03ｃ\"8πηλ+ｄν＜␕GＤ\x19\x12ζ＊χｚ｀␅ｏ ␉",
		out:  "\\ '＜＂\x03ｃ\"8πηλ+ｄν＜␕GＤ\x19\x12ζ＊χｚ‛｀␅ｏ ␉",
	}, { // 2704
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t λＬ＜$σC\x04！Ｂ0\x11［\x0f;μ\r\a\\７␖εγ␔6ψ｝ ＇",
		out:  "␉ λＬ‛＜$σC\x04！Ｂ0\x11［\x0f;μ\r\a\\７␖εγ␔6ψ｝ ＇",
	}, { // 2705
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ λＬ＜$σC\x04！Ｂ0\x11［\x0f;μ\r\a\\７␖εγ␔6ψ｝ ＇",
		out:  "‛␉ λＬ‛＜$σC\x04！Ｂ0\x11［\x0f;μ\r\a\\７␖εγ␔6ψ｝ ＇",
	}, { // 2706
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␁ λＬ＜$σC\x04！Ｂ0\x11［\x0f;μ\r\a\\７␖εγ␔6ψ｝ \t",
		out:  "␁ λＬ‛＜$σC\x04！Ｂ0\x11［\x0f;μ\r\a\\７␖εγ␔6ψ｝ \t",
	}, { // 2707
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␁ λＬ＜$σC\x04！Ｂ0\x11［\x0f;μ\r\a\\７␖εγ␔6ψ｝ ␉",
		out:  "␁ λＬ‛＜$σC\x04！Ｂ0\x11［\x0f;μ\r\a\\７␖εγ␔6ψ｝ ␉",
	}, { // 2708
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ω\t＄９［K<］\x1aπ␃γ/κ1ＩＫγ＿␁\vE]yS\x18 Ｓ",
		out:  "␉ ω\t＄９‛［K<‛］\x1aπ␃γ/κ1ＩＫγ＿␁\vE］yS\x18 Ｓ",
	}, { // 2709
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ω\t＄９［K<］\x1aπ␃γ/κ1ＩＫγ＿␁\vE]yS\x18 Ｓ",
		out:  "‛␉ ω\t＄９‛［K<‛］\x1aπ␃γ/κ1ＩＫγ＿␁\vE］yS\x18 Ｓ",
	}, { // 2710
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␓ ω\t＄９［K<］\x1aπ␃γ/κ1ＩＫγ＿␁\vE]yS\x18 \t",
		out:  "␓ ω\t＄９‛［K<‛］\x1aπ␃γ/κ1ＩＫγ＿␁\vE］yS\x18 \t",
	}, { // 2711
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␓ ω\t＄９［K<］\x1aπ␃γ/κ1ＩＫγ＿␁\vE]yS\x18 ␉",
		out:  "␓ ω\t＄９‛［K<‛］\x1aπ␃γ/κ1ＩＫγ＿␁\vE］yS\x18 ␉",
	}, { // 2712
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ＇\x0e␚\x1a３`ε␐d<9８\r␋4Wｂ$，ης␗ｆτε8 R",
		out:  "␉ ＇\x0e␚\x1a３`ε␐d<9８\r␋4Wｂ$，ης␗ｆτε8 R",
	}, { // 2713
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ＇\x0e␚\x1a３`ε␐d<9８\r␋4Wｂ$，ης␗ｆτε8 R",
		out:  "‛␉ ＇\x0e␚\x1a３`ε␐d<9８\r␋4Wｂ$，ης␗ｆτε8 R",
	}, { // 2714
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␒ ＇\x0e␚\x1a３`ε␐d<9８\r␋4Wｂ$，ης␗ｆτε8 \t",
		out:  "␒ ＇\x0e␚\x1a３`ε␐d<9８\r␋4Wｂ$，ης␗ｆτε8 \t",
	}, { // 2715
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␒ ＇\x0e␚\x1a３`ε␐d<9８\r␋4Wｂ$，ης␗ｆτε8 ␉",
		out:  "␒ ＇\x0e␚\x1a３`ε␐d<9８\r␋4Wｂ$，ης␗ｆτε8 ␉",
	}, { // 2716
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t +κ␉ξ：５eｅ＂σ*τ\x15\f＞*\x0fnζ！3＜\\\x06［λ ＜",
		out:  "␉ +κ␉ξ：５eｅ＂σ*τ\x15\f＞*\x0fnζ‛！3＜\\\x06［λ ＜",
	}, { // 2717
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ +κ␉ξ：５eｅ＂σ*τ\x15\f＞*\x0fnζ！3＜\\\x06［λ ＜",
		out:  "‛␉ +κ␉ξ：５eｅ＂σ*τ\x15\f＞*\x0fnζ‛！3＜\\\x06［λ ＜",
	}, { // 2718
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "＋ +κ␉ξ：５eｅ＂σ*τ\x15\f＞*\x0fnζ！3＜\\\x06［λ \t",
		out:  "＋ +κ␉ξ：５eｅ＂σ*τ\x15\f＞*\x0fnζ‛！3＜\\\x06［λ \t",
	}, { // 2719
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "＋ +κ␉ξ：５eｅ＂σ*τ\x15\f＞*\x0fnζ！3＜\\\x06［λ ␉",
		out:  "＋ +κ␉ξ：５eｅ＂σ*τ\x15\f＞*\x0fnζ‛！3＜\\\x06［λ ␉",
	}, { // 2720
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t \nτ|ｐyθ\rＲ␂␔ε｀V␞ａ/␒␒θ\n`\x1f＃eκｑ #",
		out:  "␉ \nτ|ｐyθ\rＲ␂␔ε｀V␞ａ/␒␒θ\n`\x1f＃eκｑ #",
	}, { // 2721
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ \nτ|ｐyθ\rＲ␂␔ε｀V␞ａ/␒␒θ\n`\x1f＃eκｑ #",
		out:  "‛␉ \nτ|ｐyθ\rＲ␂␔ε｀V␞ａ/␒␒θ\n`\x1f＃eκｑ #",
	}, { // 2722
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\x1f \nτ|ｐyθ\rＲ␂␔ε｀V␞ａ/␒␒θ\n`\x1f＃eκｑ \t",
		out:  "\x1f \nτ|ｐyθ\rＲ␂␔ε｀V␞ａ/␒␒θ\n`\x1f＃eκｑ \t",
	}, { // 2723
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\x1f \nτ|ｐyθ\rＲ␂␔ε｀V␞ａ/␒␒θ\n`\x1f＃eκｑ ␉",
		out:  "\x1f \nτ|ｐyθ\rＲ␂␔ε｀V␞ａ/␒␒θ\n`\x1f＃eκｑ ␉",
	}, { // 2724
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t βｄ␑␡jXBψψM＜\x1eε＼Ｙ`␡＜\x1e\bｍ（␎{\x02\x0f θ",
		out:  "␉ βｄ␑␡jXBψψM＜\x1eε＼Ｙ`␡＜\x1e\bｍ（␎{\x02\x0f θ",
	}, { // 2725
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ βｄ␑␡jXBψψM＜\x1eε＼Ｙ`␡＜\x1e\bｍ（␎{\x02\x0f θ",
		out:  "‛␉ βｄ␑␡jXBψψM＜\x1eε＼Ｙ`␡＜\x1e\bｍ（␎{\x02\x0f θ",
	}, { // 2726
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "? βｄ␑␡jXBψψM＜\x1eε＼Ｙ`␡＜\x1e\bｍ（␎{\x02\x0f \t",
		out:  "? βｄ␑␡jXBψψM＜\x1eε＼Ｙ`␡＜\x1e\bｍ（␎{\x02\x0f \t",
	}, { // 2727
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "? βｄ␑␡jXBψψM＜\x1eε＼Ｙ`␡＜\x1e\bｍ（␎{\x02\x0f ␉",
		out:  "? βｄ␑␡jXBψψM＜\x1eε＼Ｙ`␡＜\x1e\bｍ（␎{\x02\x0f ␉",
	}, { // 2728
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t c\n␝ψ␓［ν！｀λＤμ36>\uff00`␐ε９IＤ％H\x10* \b",
		out:  "␉ c\n␝ψ␓［ν！｀λＤμ36>\uff00`␐ε９IＤ％H\x10* \b",
	}, { // 2729
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ c\n␝ψ␓［ν！｀λＤμ36>\uff00`␐ε９IＤ％H\x10* \b",
		out:  "‛␉ c\n␝ψ␓［ν！｀λＤμ36>\uff00`␐ε９IＤ％H\x10* \b",
	}, { // 2730
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "［ c\n␝ψ␓［ν！｀λＤμ36>\uff00`␐ε９IＤ％H\x10* \t",
		out:  "［ c\n␝ψ␓［ν！｀λＤμ36>\uff00`␐ε９IＤ％H\x10* \t",
	}, { // 2731
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "［ c\n␝ψ␓［ν！｀λＤμ36>\uff00`␐ε９IＤ％H\x10* ␉",
		out:  "［ c\n␝ψ␓［ν！｀λＤμ36>\uff00`␐ε９IＤ％H\x10* ␉",
	}, { // 2732
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t \x00␛ｇ＃\t｀\f␋＼＄μa\\ｓη\x004ι␅qεｂ␁|(ｇ χ",
		out:  "␉ ␀␛ｇ＃\t｀\f␋＼＄μa\\ｓη␀4ι␅qεｂ␁|(ｇ χ",
	}, { // 2733
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ \x00␛ｇ＃\t｀\f␋＼＄μa\\ｓη\x004ι␅qεｂ␁|(ｇ χ",
		out:  "‛␉ ␀␛ｇ＃\t｀\f␋＼＄μa\\ｓη␀4ι␅qεｂ␁|(ｇ χ",
	}, { // 2734
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "~ \x00␛ｇ＃\t｀\f␋＼＄μa\\ｓη\x004ι␅qεｂ␁|(ｇ \t",
		out:  "~ ␀␛ｇ＃\t｀\f␋＼＄μa\\ｓη␀4ι␅qεｂ␁|(ｇ \t",
	}, { // 2735
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "~ \x00␛ｇ＃\t｀\f␋＼＄μa\\ｓη\x004ι␅qεｂ␁|(ｇ ␉",
		out:  "~ ␀␛ｇ＃\t｀\f␋＼＄μa\\ｓη␀4ι␅qεｂ␁|(ｇ ␉",
	}, { // 2736
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t \x17κ＃ＳＳ\x1dr＞α#｜/8\x1c［ρχ＝\x18␑σscｒ␛ｅ \a",
		out:  "␉ \x17κ＃ＳＳ\x1dr＞α#｜/8\x1c［ρχ＝\x18␑σscｒ␛ｅ \a",
	}, { // 2737
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ \x17κ＃ＳＳ\x1dr＞α#｜/8\x1c［ρχ＝\x18␑σscｒ␛ｅ \a",
		out:  "‛␉ \x17κ＃ＳＳ\x1dr＞α#｜/8\x1c［ρχ＝\x18␑σscｒ␛ｅ \a",
	}, { // 2738
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ \x17κ＃ＳＳ\x1dr＞α#｜/8\x1c［ρχ＝\x18␑σscｒ␛ｅ \t",
		out:  "‛␉ \x17κ＃ＳＳ\x1dr＞α#｜/8\x1c［ρχ＝\x18␑σscｒ␛ｅ \t",
	}, { // 2739
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ \x17κ＃ＳＳ\x1dr＞α#｜/8\x1c［ρχ＝\x18␑σscｒ␛ｅ ␉",
		out:  "‛␉ \x17κ＃ＳＳ\x1dr＞α#｜/8\x1c［ρχ＝\x18␑σscｒ␛ｅ ␉",
	}, { // 2740
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ],？!\x10ρρＳυ␚B＂ζ＼KνＮ|␑\f\x18η：_␑Ｚ (",
		out:  "␉ ],？!\x10ρρＳυ␚B＂ζ＼KνＮ｜␑\f\x18η：_␑Ｚ (",
	}, { // 2741
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ],？!\x10ρρＳυ␚B＂ζ＼KνＮ|␑\f\x18η：_␑Ｚ (",
		out:  "‛␉ ],？!\x10ρρＳυ␚B＂ζ＼KνＮ｜␑\f\x18η：_␑Ｚ (",
	}, { // 2742
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "＇ ],？!\x10ρρＳυ␚B＂ζ＼KνＮ|␑\f\x18η：_␑Ｚ \t",
		out:  "＇ ],？!\x10ρρＳυ␚B＂ζ＼KνＮ｜␑\f\x18η：_␑Ｚ \t",
	}, { // 2743
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "＇ ],？!\x10ρρＳυ␚B＂ζ＼KνＮ|␑\f\x18η：_␑Ｚ ␉",
		out:  "＇ ],？!\x10ρρＳυ␚B＂ζ＼KνＮ｜␑\f\x18η：_␑Ｚ ␉",
	}, { // 2744
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ς＄=＆*Ｏ\x0f␀８γ\r:h｜:γ］／/ｚκ!i␜ωπ \x1b",
		out:  "␉ ς＄=＆*Ｏ\x0f‛␀８γ\r:h｜:γ］／/ｚκ!i␜ωπ \x1b",
	}, { // 2745
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ς＄=＆*Ｏ\x0f␀８γ\r:h｜:γ］／/ｚκ!i␜ωπ \x1b",
		out:  "‛␉ ς＄=＆*Ｏ\x0f‛␀８γ\r:h｜:γ］／/ｚκ!i␜ωπ \x1b",
	}, { // 2746
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "ｖ ς＄=＆*Ｏ\x0f␀８γ\r:h｜:γ］／/ｚκ!i␜ωπ \t",
		out:  "ｖ ς＄=＆*Ｏ\x0f‛␀８γ\r:h｜:γ］／/ｚκ!i␜ωπ \t",
	}, { // 2747
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "ｖ ς＄=＆*Ｏ\x0f␀８γ\r:h｜:γ］／/ｚκ!i␜ωπ ␉",
		out:  "ｖ ς＄=＆*Ｏ\x0f‛␀８γ\r:h｜:γ］／/ｚκ!i␜ωπ ␉",
	}, { // 2748
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ｇ␂νＵ＃\fβ␡κ␍\fｏθ)\x10τ␘Ｂ<Lγ%␂\x16␔/ Ｌ",
		out:  "␉ ｇ␂νＵ＃\fβ␡κ␍\fｏθ)\x10τ␘Ｂ<Lγ％␂\x16␔/ Ｌ",
	}, { // 2749
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ｇ␂νＵ＃\fβ␡κ␍\fｏθ)\x10τ␘Ｂ<Lγ%␂\x16␔/ Ｌ",
		out:  "‛␉ ｇ␂νＵ＃\fβ␡κ␍\fｏθ)\x10τ␘Ｂ<Lγ％␂\x16␔/ Ｌ",
	}, { // 2750
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "! ｇ␂νＵ＃\fβ␡κ␍\fｏθ)\x10τ␘Ｂ<Lγ%␂\x16␔/ \t",
		out:  "! ｇ␂νＵ＃\fβ␡κ␍\fｏθ)\x10τ␘Ｂ<Lγ％␂\x16␔/ \t",
	}, { // 2751
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "! ｇ␂νＵ＃\fβ␡κ␍\fｏθ)\x10τ␘Ｂ<Lγ%␂\x16␔/ ␉",
		out:  "! ｇ␂νＵ＃\fβ␡κ␍\fｏθ)\x10τ␘Ｂ<Lγ％␂\x16␔/ ␉",
	}, { // 2752
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t +Ｂρ\x06␘\tγ!0␅%␂M］␓24υαｍ（\x01␎ξ\x1b］ ＼",
		out:  "␉ +Ｂρ\x06␘\tγ!0␅%␂M］␓24υαｍ（\x01␎ξ\x1b］ ‛＼",
	}, { // 2753
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ +Ｂρ\x06␘\tγ!0␅%␂M］␓24υαｍ（\x01␎ξ\x1b］ ＼",
		out:  "‛␉ +Ｂρ\x06␘\tγ!0␅%␂M］␓24υαｍ（\x01␎ξ\x1b］ ‛＼",
	}, { // 2754
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "ξ +Ｂρ\x06␘\tγ!0␅%␂M］␓24υαｍ（\x01␎ξ\x1b］ \t",
		out:  "ξ +Ｂρ\x06␘\tγ!0␅%␂M］␓24υαｍ（\x01␎ξ\x1b］ \t",
	}, { // 2755
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "ξ +Ｂρ\x06␘\tγ!0␅%␂M］␓24υαｍ（\x01␎ξ\x1b］ ␉",
		out:  "ξ +Ｂρ\x06␘\tγ!0␅%␂M］␓24υαｍ（\x01␎ξ\x1b］ ␉",
	}, { // 2756
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ω\x0fＫ＼\x7f\x17γＸ\f＝6αηρ ｜？x：q␎_\x1cP＠␛ φ",
		out:  "␉ ω\x0fＫ＼␡\x17γＸ\f＝6αηρ ｜？x：q␎_\x1cP＠␛ φ",
	}, { // 2757
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ω\x0fＫ＼\x7f\x17γＸ\f＝6αηρ ｜？x：q␎_\x1cP＠␛ φ",
		out:  "‛␉ ω\x0fＫ＼␡\x17γＸ\f＝6αηρ ｜？x：q␎_\x1cP＠␛ φ",
	}, { // 2758
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ω\x0fＫ＼\x7f\x17γＸ\f＝6αηρ ｜？x：q␎_\x1cP＠␛ \t",
		out:  "‛␉ ω\x0fＫ＼␡\x17γＸ\f＝6αηρ ｜？x：q␎_\x1cP＠␛ \t",
	}, { // 2759
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ω\x0fＫ＼\x7f\x17γＸ\f＝6αηρ ｜？x：q␎_\x1cP＠␛ ␉",
		out:  "‛␉ ω\x0fＫ＼␡\x17γＸ\f＝6αηρ ｜？x：q␎_\x1cP＠␛ ␉",
	}, { // 2760
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.αu\x0f␌Y␅␍\x03ｉξς\r）６ｇρ'σ!R｀＄Ｚ!Ｔ；.ι",
		out:  "␉.αu\x0f␌Y␅␍\x03ｉξς\r）６ｇρ'σ!R｀＄Ｚ!Ｔ；.ι",
	}, { // 2761
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.αu\x0f␌Y␅␍\x03ｉξς\r）６ｇρ'σ!R｀＄Ｚ!Ｔ；.ι",
		out:  "‛␉.αu\x0f␌Y␅␍\x03ｉξς\r）６ｇρ'σ!R｀＄Ｚ!Ｔ；.ι",
	}, { // 2762
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\a.αu\x0f␌Y␅␍\x03ｉξς\r）６ｇρ'σ!R｀＄Ｚ!Ｔ；.\t",
		out:  "\a.αu\x0f␌Y␅␍\x03ｉξς\r）６ｇρ'σ!R｀＄Ｚ!Ｔ；.\t",
	}, { // 2763
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\a.αu\x0f␌Y␅␍\x03ｉξς\r）６ｇρ'σ!R｀＄Ｚ!Ｔ；.␉",
		out:  "\a.αu\x0f␌Y␅␍\x03ｉξς\r）６ｇρ'σ!R｀＄Ｚ!Ｔ；.␉",
	}, { // 2764
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.βcφ␉*＾＊Ｋ␋Ｈ\"＼␍\r␟#]\rGυｑυ\";9／.α",
		out:  "␉.βcφ␉*＾＊Ｋ␋Ｈ\"＼␍\r␟#]\rGυｑυ\";9‛／.α",
	}, { // 2765
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.βcφ␉*＾＊Ｋ␋Ｈ\"＼␍\r␟#]\rGυｑυ\";9／.α",
		out:  "‛␉.βcφ␉*＾＊Ｋ␋Ｈ\"＼␍\r␟#]\rGυｑυ\";9‛／.α",
	}, { // 2766
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "t.βcφ␉*＾＊Ｋ␋Ｈ\"＼␍\r␟#]\rGυｑυ\";9／.\t",
		out:  "t.βcφ␉*＾＊Ｋ␋Ｈ\"＼␍\r␟#]\rGυｑυ\";9‛／.\t",
	}, { // 2767
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "t.βcφ␉*＾＊Ｋ␋Ｈ\"＼␍\r␟#]\rGυｑυ\";9／.␉",
		out:  "t.βcφ␉*＾＊Ｋ␋Ｈ\"＼␍\r␟#]\rGυｑυ\";9‛／.␉",
	}, { // 2768
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.S␗＇ψ@4σＬＤ>＼.νｉk＠χ；Z␁＠>στ?＊.\x14",
		out:  "␉.S␗‛＇ψ@4σＬＤ>＼.νｉk＠χ；Z␁＠>στ?＊.\x14",
	}, { // 2769
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.S␗＇ψ@4σＬＤ>＼.νｉk＠χ；Z␁＠>στ?＊.\x14",
		out:  "‛␉.S␗‛＇ψ@4σＬＤ>＼.νｉk＠χ；Z␁＠>στ?＊.\x14",
	}, { // 2770
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␊.S␗＇ψ@4σＬＤ>＼.νｉk＠χ；Z␁＠>στ?＊.\t",
		out:  "‛␊.S␗‛＇ψ@4σＬＤ>＼.νｉk＠χ；Z␁＠>στ?＊.\t",
	}, { // 2771
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␊.S␗＇ψ@4σＬＤ>＼.νｉk＠χ；Z␁＠>στ?＊.␉",
		out:  "‛␊.S␗‛＇ψ@4σＬＤ>＼.νｉk＠χ；Z␁＠>στ?＊.␉",
	}, { // 2772
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.＊φ８I\x16κσF␆［␓Ａ\x1c␘λλelν\x17\x1b\b␔ｎ\v).w",
		out:  "␉.＊φ８I\x16κσF␆［␓Ａ\x1c␘λλelν\x17\x1b\b␔ｎ\v).w",
	}, { // 2773
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.＊φ８I\x16κσF␆［␓Ａ\x1c␘λλelν\x17\x1b\b␔ｎ\v).w",
		out:  "‛␉.＊φ８I\x16κσF␆［␓Ａ\x1c␘λλelν\x17\x1b\b␔ｎ\v).w",
	}, { // 2774
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "？.＊φ８I\x16κσF␆［␓Ａ\x1c␘λλelν\x17\x1b\b␔ｎ\v).\t",
		out:  "？.＊φ８I\x16κσF␆［␓Ａ\x1c␘λλelν\x17\x1b\b␔ｎ\v).\t",
	}, { // 2775
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "？.＊φ８I\x16κσF␆［␓Ａ\x1c␘λλelν\x17\x1b\b␔ｎ\v).␉",
		out:  "？.＊φ８I\x16κσF␆［␓Ａ\x1c␘λλelν\x17\x1b\b␔ｎ\v).␉",
	}, { // 2776
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.␄%␇Ｎο\x01\x7fI␜\t２cυＡ␄&=!λ，φ␖Ｅ\x01］δ.２",
		out:  "␉.␄%␇Ｎο\x01\x7fI␜\t２cυＡ␄&=!λ，φ␖Ｅ\x01］δ.２",
	}, { // 2777
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.␄%␇Ｎο\x01\x7fI␜\t２cυＡ␄&=!λ，φ␖Ｅ\x01］δ.２",
		out:  "‛␉.␄%␇Ｎο\x01\x7fI␜\t２cυＡ␄&=!λ，φ␖Ｅ\x01］δ.２",
	}, { // 2778
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\x1e.␄%␇Ｎο\x01\x7fI␜\t２cυＡ␄&=!λ，φ␖Ｅ\x01］δ.\t",
		out:  "\x1e.␄%␇Ｎο\x01\x7fI␜\t２cυＡ␄&=!λ，φ␖Ｅ\x01］δ.\t",
	}, { // 2779
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\x1e.␄%␇Ｎο\x01\x7fI␜\t２cυＡ␄&=!λ，φ␖Ｅ\x01］δ.␉",
		out:  "\x1e.␄%␇Ｎο\x01\x7fI␜\t２cυＡ␄&=!λ，φ␖Ｅ\x01］δ.␉",
	}, { // 2780
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.φ［l)νζＧ＾/｀P␚ψ｀:Ｏ␏φｐ␟␆\x1a\x7fT'ｒ.\r",
		out:  "␉.φ‛［l)νζＧ＾/｀P␚ψ｀:Ｏ␏φｐ␟␆\x1a\x7fT'ｒ.\r",
	}, { // 2781
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.φ［l)νζＧ＾/｀P␚ψ｀:Ｏ␏φｐ␟␆\x1a\x7fT'ｒ.\r",
		out:  "‛␉.φ‛［l)νζＧ＾/｀P␚ψ｀:Ｏ␏φｐ␟␆\x1a\x7fT'ｒ.\r",
	}, { // 2782
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "L.φ［l)νζＧ＾/｀P␚ψ｀:Ｏ␏φｐ␟␆\x1a\x7fT'ｒ.\t",
		out:  "L.φ‛［l)νζＧ＾/｀P␚ψ｀:Ｏ␏φｐ␟␆\x1a\x7fT'ｒ.\t",
	}, { // 2783
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "L.φ［l)νζＧ＾/｀P␚ψ｀:Ｏ␏φｐ␟␆\x1a\x7fT'ｒ.␉",
		out:  "L.φ‛［l)νζＧ＾/｀P␚ψ｀:Ｏ␏φｐ␟␆\x1a\x7fT'ｒ.␉",
	}, { // 2784
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.ｃρＧ␈\x1eπ␡yσC;\x1b\x1aγπ\x13－～␖␂_uｓ\x7f␋L.＃",
		out:  "␉.ｃρＧ␈\x1eπ␡yσC；\x1b\x1aγπ\x13－～␖␂_uｓ\x7f␋L.＃",
	}, { // 2785
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.ｃρＧ␈\x1eπ␡yσC;\x1b\x1aγπ\x13－～␖␂_uｓ\x7f␋L.＃",
		out:  "‛␉.ｃρＧ␈\x1eπ␡yσC；\x1b\x1aγπ\x13－～␖␂_uｓ\x7f␋L.＃",
	}, { // 2786
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␛.ｃρＧ␈\x1eπ␡yσC;\x1b\x1aγπ\x13－～␖␂_uｓ\x7f␋L.\t",
		out:  "␛.ｃρＧ␈\x1eπ␡yσC；\x1b\x1aγπ\x13－～␖␂_uｓ\x7f␋L.\t",
	}, { // 2787
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␛.ｃρＧ␈\x1eπ␡yσC;\x1b\x1aγπ\x13－～␖␂_uｓ\x7f␋L.␉",
		out:  "␛.ｃρＧ␈\x1eπ␡yσC；\x1b\x1aγπ\x13－～␖␂_uｓ\x7f␋L.␉",
	}, { // 2788
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.$＞σｄ␔ξ｛%＜Q\b\x1d＊4Oκ＃．｜#5］υｃ\x0f␙.ν",
		out:  "␉.$＞σｄ␔ξ｛%＜Q\b\x1d＊4Oκ＃．｜#5］υｃ\x0f␙.ν",
	}, { // 2789
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.$＞σｄ␔ξ｛%＜Q\b\x1d＊4Oκ＃．｜#5］υｃ\x0f␙.ν",
		out:  "‛␉.$＞σｄ␔ξ｛%＜Q\b\x1d＊4Oκ＃．｜#5］υｃ\x0f␙.ν",
	}, { // 2790
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "χ.$＞σｄ␔ξ｛%＜Q\b\x1d＊4Oκ＃．｜#5］υｃ\x0f␙.\t",
		out:  "χ.$＞σｄ␔ξ｛%＜Q\b\x1d＊4Oκ＃．｜#5］υｃ\x0f␙.\t",
	}, { // 2791
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "χ.$＞σｄ␔ξ｛%＜Q\b\x1d＊4Oκ＃．｜#5］υｃ\x0f␙.␉",
		out:  "χ.$＞σｄ␔ξ｛%＜Q\b\x1d＊4Oκ＃．｜#5］υｃ\x0f␙.␉",
	}, { // 2792
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.*\\［␅Cｖ!υφ/4␏！X␅ζφ＂␄ＧN\x05Xγλs.%",
		out:  "␉.*\\［␅Cｖ!υφ/4␏！X␅ζφ＂␄ＧN\x05Xγλs.%",
	}, { // 2793
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.*\\［␅Cｖ!υφ/4␏！X␅ζφ＂␄ＧN\x05Xγλs.%",
		out:  "‛␉.*\\［␅Cｖ!υφ/4␏！X␅ζφ＂␄ＧN\x05Xγλs.%",
	}, { // 2794
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "ｉ.*\\［␅Cｖ!υφ/4␏！X␅ζφ＂␄ＧN\x05Xγλs.\t",
		out:  "ｉ.*\\［␅Cｖ!υφ/4␏！X␅ζφ＂␄ＧN\x05Xγλs.\t",
	}, { // 2795
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "ｉ.*\\［␅Cｖ!υφ/4␏！X␅ζφ＂␄ＧN\x05Xγλs.␉",
		out:  "ｉ.*\\［␅Cｖ!υφ/4␏！X␅ζφ＂␄ＧN\x05Xγλs.␉",
	}, { // 2796
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.η␘ιν␅␙＜\x00＠h7＃αｉYπB＠'␛Ｎ\x02ζ［８\x01.\x11",
		out:  "␉.η␘ιν␅␙＜␀＠h7＃αｉYπB＠'␛Ｎ\x02ζ［８\x01.\x11",
	}, { // 2797
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.η␘ιν␅␙＜\x00＠h7＃αｉYπB＠'␛Ｎ\x02ζ［８\x01.\x11",
		out:  "‛␉.η␘ιν␅␙＜␀＠h7＃αｉYπB＠'␛Ｎ\x02ζ［８\x01.\x11",
	}, { // 2798
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\".η␘ιν␅␙＜\x00＠h7＃αｉYπB＠'␛Ｎ\x02ζ［８\x01.\t",
		out:  "＂.η␘ιν␅␙＜␀＠h7＃αｉYπB＠'␛Ｎ\x02ζ［８\x01.\t",
	}, { // 2799
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\".η␘ιν␅␙＜\x00＠h7＃αｉYπB＠'␛Ｎ\x02ζ［８\x01.␉",
		out:  "＂.η␘ιν␅␙＜␀＠h7＃αｉYπB＠'␛Ｎ\x02ζ［８\x01.␉",
	}, { // 2800
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.ν［；'Ｘ\x14＿\x15;)\x15＾ιＬ\n;␒！ｅι*β␎）ψ\x05..",
		out:  "␉.ν［；'Ｘ\x14＿\x15;)\x15＾ιＬ\n;␒！ｅι*β␎）ψ\x05..",
	}, { // 2801
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.ν［；'Ｘ\x14＿\x15;)\x15＾ιＬ\n;␒！ｅι*β␎）ψ\x05..",
		out:  "‛␉.ν［；'Ｘ\x14＿\x15;)\x15＾ιＬ\n;␒！ｅι*β␎）ψ\x05..",
	}, { // 2802
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "φ.ν［；'Ｘ\x14＿\x15;)\x15＾ιＬ\n;␒！ｅι*β␎）ψ\x05.\t",
		out:  "φ.ν［；'Ｘ\x14＿\x15;)\x15＾ιＬ\n;␒！ｅι*β␎）ψ\x05.\t",
	}, { // 2803
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "φ.ν［；'Ｘ\x14＿\x15;)\x15＾ιＬ\n;␒！ｅι*β␎）ψ\x05.␉",
		out:  "φ.ν［；'Ｘ\x14＿\x15;)\x15＾ιＬ\n;␒！ｅι*β␎）ψ\x05.␉",
	}, { // 2804
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.\x03？ｘ\x7fοｒ＞␙~e\x19\\␏ｚβ<␈oβε\aWεｂＰθ.]",
		out:  "␉.\x03‛？ｘ\x7fοｒ＞␙~e\x19\\␏ｚβ<␈oβε\aWεｂＰθ.]",
	}, { // 2805
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.\x03？ｘ\x7fοｒ＞␙~e\x19\\␏ｚβ<␈oβε\aWεｂＰθ.]",
		out:  "‛␉.\x03‛？ｘ\x7fοｒ＞␙~e\x19\\␏ｚβ<␈oβε\aWεｂＰθ.]",
	}, { // 2806
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␁.\x03？ｘ\x7fοｒ＞␙~e\x19\\␏ｚβ<␈oβε\aWεｂＰθ.\t",
		out:  "␁.\x03‛？ｘ\x7fοｒ＞␙~e\x19\\␏ｚβ<␈oβε\aWεｂＰθ.\t",
	}, { // 2807
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␁.\x03？ｘ\x7fοｒ＞␙~e\x19\\␏ｚβ<␈oβε\aWεｂＰθ.␉",
		out:  "␁.\x03‛？ｘ\x7fοｒ＞␙~e\x19\\␏ｚβ<␈oβε\aWεｂＰθ.␉",
	}, { // 2808
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.－φ'<*，␟'\rｏλε^\x03λ␖ｗ-\x0e＇／ψ＄p６c.?",
		out:  "␉.－φ'<＊，␟'\rｏλε^\x03λ␖ｗ-\x0e＇／ψ＄p６c.?",
	}, { // 2809
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.－φ'<*，␟'\rｏλε^\x03λ␖ｗ-\x0e＇／ψ＄p６c.?",
		out:  "‛␉.－φ'<＊，␟'\rｏλε^\x03λ␖ｗ-\x0e＇／ψ＄p６c.?",
	}, { // 2810
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "ｌ.－φ'<*，␟'\rｏλε^\x03λ␖ｗ-\x0e＇／ψ＄p６c.\t",
		out:  "ｌ.－φ'<＊，␟'\rｏλε^\x03λ␖ｗ-\x0e＇／ψ＄p６c.\t",
	}, { // 2811
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "ｌ.－φ'<*，␟'\rｏλε^\x03λ␖ｗ-\x0e＇／ψ＄p６c.␉",
		out:  "ｌ.－φ'<＊，␟'\rｏλε^\x03λ␖ｗ-\x0e＇／ψ＄p６c.␉",
	}, { // 2812
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.ξ\x18ｅλ\x10Ｊς｀Ｐ2５4␃η␄␊*πQ＄Ｔγ\x1d\x7f\x0e].k",
		out:  "␉.ξ\x18ｅλ\x10Ｊς｀Ｐ2５4␃η␄␊*πQ＄Ｔγ\x1d\x7f\x0e].k",
	}, { // 2813
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.ξ\x18ｅλ\x10Ｊς｀Ｐ2５4␃η␄␊*πQ＄Ｔγ\x1d\x7f\x0e].k",
		out:  "‛␉.ξ\x18ｅλ\x10Ｊς｀Ｐ2５4␃η␄␊*πQ＄Ｔγ\x1d\x7f\x0e].k",
	}, { // 2814
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␋.ξ\x18ｅλ\x10Ｊς｀Ｐ2５4␃η␄␊*πQ＄Ｔγ\x1d\x7f\x0e].\t",
		out:  "‛␋.ξ\x18ｅλ\x10Ｊς｀Ｐ2５4␃η␄␊*πQ＄Ｔγ\x1d\x7f\x0e].\t",
	}, { // 2815
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␋.ξ\x18ｅλ\x10Ｊς｀Ｐ2５4␃η␄␊*πQ＄Ｔγ\x1d\x7f\x0e].␉",
		out:  "‛␋.ξ\x18ｅλ\x10Ｊς｀Ｐ2５4␃η␄␊*πQ＄Ｔγ\x1d\x7f\x0e].␉",
	}, { // 2816
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.\"\x0ea[/@％θＷ␐␙c8κｙｓ␒\x12␏γ\rηＬλkυ.［",
		out:  "␉.\"\x0ea[/@％θＷ␐␙c8κｙｓ␒\x12␏γ\rηＬλkυ.［",
	}, { // 2817
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.\"\x0ea[/@％θＷ␐␙c8κｙｓ␒\x12␏γ\rηＬλkυ.［",
		out:  "‛␉.\"\x0ea[/@％θＷ␐␙c8κｙｓ␒\x12␏γ\rηＬλkυ.［",
	}, { // 2818
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "Ｒ.\"\x0ea[/@％θＷ␐␙c8κｙｓ␒\x12␏γ\rηＬλkυ.\t",
		out:  "Ｒ.\"\x0ea[/@％θＷ␐␙c8κｙｓ␒\x12␏γ\rηＬλkυ.\t",
	}, { // 2819
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "Ｒ.\"\x0ea[/@％θＷ␐␙c8κｙｓ␒\x12␏γ\rηＬλkυ.␉",
		out:  "Ｒ.\"\x0ea[/@％θＷ␐␙c8κｙｓ␒\x12␏γ\rηＬλkυ.␉",
	}, { // 2820
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.\x10\x7f␡［>␊-Ｈ/δυ]-ｌγｎ％\a：δξ３zκHk.｝",
		out:  "␉.\x10\x7f␡［>␊-Ｈ/δυ]-ｌγｎ‛％\a：δξ３zκHk.｝",
	}, { // 2821
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.\x10\x7f␡［>␊-Ｈ/δυ]-ｌγｎ％\a：δξ３zκHk.｝",
		out:  "‛␉.\x10\x7f␡［>␊-Ｈ/δυ]-ｌγｎ‛％\a：δξ３zκHk.｝",
	}, { // 2822
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "＝.\x10\x7f␡［>␊-Ｈ/δυ]-ｌγｎ％\a：δξ３zκHk.\t",
		out:  "＝.\x10\x7f␡［>␊-Ｈ/δυ]-ｌγｎ‛％\a：δξ３zκHk.\t",
	}, { // 2823
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "＝.\x10\x7f␡［>␊-Ｈ/δυ]-ｌγｎ％\a：δξ３zκHk.␉",
		out:  "＝.\x10\x7f␡［>␊-Ｈ/δυ]-ｌγｎ‛％\a：δξ３zκHk.␉",
	}, { // 2824
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.;␉ζ␐#Ａξ␊υ'＇２\x1a␊＆\f\nD?gｆλρ\f)\x1f.Ｔ",
		out:  "␉.;␉ζ␐#Ａξ␊υ'＇２\x1a␊＆\f\nD?gｆλρ\f)\x1f.Ｔ",
	}, { // 2825
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.;␉ζ␐#Ａξ␊υ'＇２\x1a␊＆\f\nD?gｆλρ\f)\x1f.Ｔ",
		out:  "‛␉.;␉ζ␐#Ａξ␊υ'＇２\x1a␊＆\f\nD?gｆλρ\f)\x1f.Ｔ",
	}, { // 2826
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "＼.;␉ζ␐#Ａξ␊υ'＇２\x1a␊＆\f\nD?gｆλρ\f)\x1f.\t",
		out:  "‛＼.;␉ζ␐#Ａξ␊υ'＇２\x1a␊＆\f\nD?gｆλρ\f)\x1f.\t",
	}, { // 2827
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "＼.;␉ζ␐#Ａξ␊υ'＇２\x1a␊＆\f\nD?gｆλρ\f)\x1f.␉",
		out:  "‛＼.;␉ζ␐#Ａξ␊υ'＇２\x1a␊＆\f\nD?gｆλρ\f)\x1f.␉",
	}, { // 2828
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.␄t｜｛αφ'/\x1d.\"ν\x1bＪγ!ＴD／％\x7fＧ␡ιｕσ.␑",
		out:  "␉.␄t｜｛αφ'/\x1d.\"ν\x1bＪγ!ＴD／％␡Ｇ‛␡ιｕσ.␑",
	}, { // 2829
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.␄t｜｛αφ'/\x1d.\"ν\x1bＪγ!ＴD／％\x7fＧ␡ιｕσ.␑",
		out:  "‛␉.␄t｜｛αφ'/\x1d.\"ν\x1bＪγ!ＴD／％␡Ｇ‛␡ιｕσ.␑",
	}, { // 2830
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\x10.␄t｜｛αφ'/\x1d.\"ν\x1bＪγ!ＴD／％\x7fＧ␡ιｕσ.\t",
		out:  "\x10.␄t｜｛αφ'/\x1d.\"ν\x1bＪγ!ＴD／％␡Ｇ‛␡ιｕσ.\t",
	}, { // 2831
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\x10.␄t｜｛αφ'/\x1d.\"ν\x1bＪγ!ＴD／％\x7fＧ␡ιｕσ.␉",
		out:  "\x10.␄t｜｛αφ'/\x1d.\"ν\x1bＪγ!ＴD／％␡Ｇ‛␡ιｕσ.␉",
	}, { // 2832
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~␄\x11：：2σp\x15Ｗζ9\x0fｆｏ!\vβ0ｋ␋γ＜ｖ\x12μ␋~λ",
		out:  "␉~␄\x11：：2σp\x15Ｗζ9\x0fｆｏ!\vβ0ｋ␋γ＜ｖ\x12μ␋~λ",
	}, { // 2833
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~␄\x11：：2σp\x15Ｗζ9\x0fｆｏ!\vβ0ｋ␋γ＜ｖ\x12μ␋~λ",
		out:  "‛␉~␄\x11：：2σp\x15Ｗζ9\x0fｆｏ!\vβ0ｋ␋γ＜ｖ\x12μ␋~λ",
	}, { // 2834
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "b~␄\x11：：2σp\x15Ｗζ9\x0fｆｏ!\vβ0ｋ␋γ＜ｖ\x12μ␋~\t",
		out:  "b~␄\x11：：2σp\x15Ｗζ9\x0fｆｏ!\vβ0ｋ␋γ＜ｖ\x12μ␋~\t",
	}, { // 2835
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "b~␄\x11：：2σp\x15Ｗζ9\x0fｆｏ!\vβ0ｋ␋γ＜ｖ\x12μ␋~␉",
		out:  "b~␄\x11：：2σp\x15Ｗζ9\x0fｆｏ!\vβ0ｋ␋γ＜ｖ\x12μ␋~␉",
	}, { // 2836
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~ｅ␞ο7０\x15\"ｂυ␖ε␡Ａη\x11␏:ｋ4７␌␅φκ%*~/",
		out:  "␉~ｅ␞ο7０\x15\"ｂυ␖ε␡Ａη\x11␏:ｋ4７␌␅φκ%*~／",
	}, { // 2837
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~ｅ␞ο7０\x15\"ｂυ␖ε␡Ａη\x11␏:ｋ4７␌␅φκ%*~/",
		out:  "‛␉~ｅ␞ο7０\x15\"ｂυ␖ε␡Ａη\x11␏:ｋ4７␌␅φκ%*~／",
	}, { // 2838
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "/~ｅ␞ο7０\x15\"ｂυ␖ε␡Ａη\x11␏:ｋ4７␌␅φκ%*~\t",
		out:  "／~ｅ␞ο7０\x15\"ｂυ␖ε␡Ａη\x11␏:ｋ4７␌␅φκ%*~\t",
	}, { // 2839
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "/~ｅ␞ο7０\x15\"ｂυ␖ε␡Ａη\x11␏:ｋ4７␌␅φκ%*~␉",
		out:  "／~ｅ␞ο7０\x15\"ｂυ␖ε␡Ａη\x11␏:ｋ4７␌␅φκ%*~␉",
	}, { // 2840
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~<\v␜τＳπ＋\x1fZｒρ\x7f,Ｇ\x06＇+！＄␐|Ｊχ｜\\γ~}",
		out:  "␉~<\v␜τＳπ＋\x1fZｒρ\x7f,Ｇ\x06‛＇+！＄␐|Ｊχ｜\\γ~}",
	}, { // 2841
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~<\v␜τＳπ＋\x1fZｒρ\x7f,Ｇ\x06＇+！＄␐|Ｊχ｜\\γ~}",
		out:  "‛␉~<\v␜τＳπ＋\x1fZｒρ\x7f,Ｇ\x06‛＇+！＄␐|Ｊχ｜\\γ~}",
	}, { // 2842
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "T~<\v␜τＳπ＋\x1fZｒρ\x7f,Ｇ\x06＇+！＄␐|Ｊχ｜\\γ~\t",
		out:  "T~<\v␜τＳπ＋\x1fZｒρ\x7f,Ｇ\x06‛＇+！＄␐|Ｊχ｜\\γ~\t",
	}, { // 2843
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "T~<\v␜τＳπ＋\x1fZｒρ\x7f,Ｇ\x06＇+！＄␐|Ｊχ｜\\γ~␉",
		out:  "T~<\v␜τＳπ＋\x1fZｒρ\x7f,Ｇ\x06‛＇+！＄␐|Ｊχ｜\\γ~␉",
	}, { // 2844
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~＜␗４＠\x1b＠ω\x0egDｃ\x1dς␓ψ␟ｄ:ξ9gμ/␆Mε~．",
		out:  "␉~＜␗４＠\x1b＠ω\x0egDｃ\x1dς␓ψ␟ｄ:ξ9gμ/␆Mε~．",
	}, { // 2845
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~＜␗４＠\x1b＠ω\x0egDｃ\x1dς␓ψ␟ｄ:ξ9gμ/␆Mε~．",
		out:  "‛␉~＜␗４＠\x1b＠ω\x0egDｃ\x1dς␓ψ␟ｄ:ξ9gμ/␆Mε~．",
	}, { // 2846
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\x06~＜␗４＠\x1b＠ω\x0egDｃ\x1dς␓ψ␟ｄ:ξ9gμ/␆Mε~\t",
		out:  "\x06~＜␗４＠\x1b＠ω\x0egDｃ\x1dς␓ψ␟ｄ:ξ9gμ/␆Mε~\t",
	}, { // 2847
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\x06~＜␗４＠\x1b＠ω\x0egDｃ\x1dς␓ψ␟ｄ:ξ9gμ/␆Mε~␉",
		out:  "\x06~＜␗４＠\x1b＠ω\x0egDｃ\x1dς␓ψ␟ｄ:ξ9gμ/␆Mε~␉",
	}, { // 2848
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~＜ｋω？␊＼\x1dS\x02␈C\x00κｘ=Ｎφσｂσ␍@^\x7fＭ＇~)",
		out:  "␉~‛＜ｋω？␊＼\x1dS\x02␈C␀κｘ=Ｎφσｂσ␍@^\x7fＭ＇~)",
	}, { // 2849
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~＜ｋω？␊＼\x1dS\x02␈C\x00κｘ=Ｎφσｂσ␍@^\x7fＭ＇~)",
		out:  "‛␉~‛＜ｋω？␊＼\x1dS\x02␈C␀κｘ=Ｎφσｂσ␍@^\x7fＭ＇~)",
	}, { // 2850
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\x14~＜ｋω？␊＼\x1dS\x02␈C\x00κｘ=Ｎφσｂσ␍@^\x7fＭ＇~\t",
		out:  "\x14~‛＜ｋω？␊＼\x1dS\x02␈C␀κｘ=Ｎφσｂσ␍@^\x7fＭ＇~\t",
	}, { // 2851
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\x14~＜ｋω？␊＼\x1dS\x02␈C\x00κｘ=Ｎφσｂσ␍@^\x7fＭ＇~␉",
		out:  "\x14~‛＜ｋω？␊＼\x1dS\x02␈C␀κｘ=Ｎφσｂσ␍@^\x7fＭ＇~␉",
	}, { // 2852
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~ｃλ␃Q#<＊␍＞M}Tτ␜M]Ｈ\x04τδ．\x00\fＤ␖␙~~",
		out:  "␉~ｃλ␃Q#<＊␍＞M}Tτ␜M］Ｈ\x04τδ．␀\fＤ␖␙~~",
	}, { // 2853
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~ｃλ␃Q#<＊␍＞M}Tτ␜M]Ｈ\x04τδ．\x00\fＤ␖␙~~",
		out:  "‛␉~ｃλ␃Q#<＊␍＞M}Tτ␜M］Ｈ\x04τδ．␀\fＤ␖␙~~",
	}, { // 2854
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␑~ｃλ␃Q#<＊␍＞M}Tτ␜M]Ｈ\x04τδ．\x00\fＤ␖␙~\t",
		out:  "␑~ｃλ␃Q#<＊␍＞M}Tτ␜M］Ｈ\x04τδ．␀\fＤ␖␙~\t",
	}, { // 2855
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␑~ｃλ␃Q#<＊␍＞M}Tτ␜M]Ｈ\x04τδ．\x00\fＤ␖␙~␉",
		out:  "␑~ｃλ␃Q#<＊␍＞M}Tτ␜M］Ｈ\x04τδ．␀\fＤ␖␙~␉",
	}, { // 2856
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~\x19/Lb３\x15ｖ␀χA\x00␍τ\x12＃kｍdμ\x7f␂ιεo＋（~＞",
		out:  "␉~\x19/Lb３\x15ｖ‛␀χA␀␍τ\x12＃kｍdμ\x7f␂ιεo＋（~＞",
	}, { // 2857
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~\x19/Lb３\x15ｖ␀χA\x00␍τ\x12＃kｍdμ\x7f␂ιεo＋（~＞",
		out:  "‛␉~\x19/Lb３\x15ｖ‛␀χA␀␍τ\x12＃kｍdμ\x7f␂ιεo＋（~＞",
	}, { // 2858
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "＊~\x19/Lb３\x15ｖ␀χA\x00␍τ\x12＃kｍdμ\x7f␂ιεo＋（~\t",
		out:  "＊~\x19/Lb３\x15ｖ‛␀χA␀␍τ\x12＃kｍdμ\x7f␂ιεo＋（~\t",
	}, { // 2859
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "＊~\x19/Lb３\x15ｖ␀χA\x00␍τ\x12＃kｍdμ\x7f␂ιεo＋（~␉",
		out:  "＊~\x19/Lb３\x15ｖ‛␀χA␀␍τ\x12＃kｍdμ\x7f␂ιεo＋（~␉",
	}, { // 2860
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~␉rwχ？\x1d\x03␙Ｖ.␍Ｕτ_；#．}\r\x1f+φ８ν␌ε~γ",
		out:  "␉~␉rwχ？\x1d\x03␙Ｖ.␍Ｕτ_；#．}\r\x1f+φ８ν␌ε~γ",
	}, { // 2861
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~␉rwχ？\x1d\x03␙Ｖ.␍Ｕτ_；#．}\r\x1f+φ８ν␌ε~γ",
		out:  "‛␉~␉rwχ？\x1d\x03␙Ｖ.␍Ｕτ_；#．}\r\x1f+φ８ν␌ε~γ",
	}, { // 2862
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "ｗ~␉rwχ？\x1d\x03␙Ｖ.␍Ｕτ_；#．}\r\x1f+φ８ν␌ε~\t",
		out:  "ｗ~␉rwχ？\x1d\x03␙Ｖ.␍Ｕτ_；#．}\r\x1f+φ８ν␌ε~\t",
	}, { // 2863
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "ｗ~␉rwχ？\x1d\x03␙Ｖ.␍Ｕτ_；#．}\r\x1f+φ８ν␌ε~␉",
		out:  "ｗ~␉rwχ？\x1d\x03␙Ｖ.␍Ｕτ_；#．}\r\x1f+φ８ν␌ε~␉",
	}, { // 2864
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~.β｀υ\x13␊？Ｑ␄ρ\x10ｈεｄ）\x05μ/␊β␞\x15`K？ｖ~\"",
		out:  "␉~.β｀υ\x13␊？Ｑ␄ρ\x10ｈεｄ）\x05μ/␊β␞\x15`K？ｖ~\"",
	}, { // 2865
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~.β｀υ\x13␊？Ｑ␄ρ\x10ｈεｄ）\x05μ/␊β␞\x15`K？ｖ~\"",
		out:  "‛␉~.β｀υ\x13␊？Ｑ␄ρ\x10ｈεｄ）\x05μ/␊β␞\x15`K？ｖ~\"",
	}, { // 2866
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "O~.β｀υ\x13␊？Ｑ␄ρ\x10ｈεｄ）\x05μ/␊β␞\x15`K？ｖ~\t",
		out:  "O~.β｀υ\x13␊？Ｑ␄ρ\x10ｈεｄ）\x05μ/␊β␞\x15`K？ｖ~\t",
	}, { // 2867
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "O~.β｀υ\x13␊？Ｑ␄ρ\x10ｈεｄ）\x05μ/␊β␞\x15`K？ｖ~␉",
		out:  "O~.β｀υ\x13␊？Ｑ␄ρ\x10ｈεｄ）\x05μ/␊β␞\x15`K？ｖ~␉",
	}, { // 2868
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~Uｚρ␟/，)␝\"␗ｈ%␕\x7f␄ｈＵ3ψjξτ＄ε\"？~\x16",
		out:  "␉~Uｚρ␟/，)␝＂␗ｈ%␕\x7f␄ｈＵ3ψjξτ＄ε＂？~\x16",
	}, { // 2869
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~Uｚρ␟/，)␝\"␗ｈ%␕\x7f␄ｈＵ3ψjξτ＄ε\"？~\x16",
		out:  "‛␉~Uｚρ␟/，)␝＂␗ｈ%␕\x7f␄ｈＵ3ψjξτ＄ε＂？~\x16",
	}, { // 2870
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "μ~Uｚρ␟/，)␝\"␗ｈ%␕\x7f␄ｈＵ3ψjξτ＄ε\"？~\t",
		out:  "μ~Uｚρ␟/，)␝＂␗ｈ%␕\x7f␄ｈＵ3ψjξτ＄ε＂？~\t",
	}, { // 2871
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "μ~Uｚρ␟/，)␝\"␗ｈ%␕\x7f␄ｈＵ3ψjξτ＄ε\"？~␉",
		out:  "μ~Uｚρ␟/，)␝＂␗ｈ%␕\x7f␄ｈＵ3ψjξτ＄ε＂？~␉",
	}, { // 2872
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~*w\x16κω＠\x06␁υ：␊\x005z[&｝ｏc\rθＧ｀－＊␏~ι",
		out:  "␉~*w\x16κω＠\x06␁υ‛：␊␀5z[&｝ｏc\rθＧ｀－＊␏~ι",
	}, { // 2873
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~*w\x16κω＠\x06␁υ：␊\x005z[&｝ｏc\rθＧ｀－＊␏~ι",
		out:  "‛␉~*w\x16κω＠\x06␁υ‛：␊␀5z[&｝ｏc\rθＧ｀－＊␏~ι",
	}, { // 2874
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "{~*w\x16κω＠\x06␁υ：␊\x005z[&｝ｏc\rθＧ｀－＊␏~\t",
		out:  "{~*w\x16κω＠\x06␁υ‛：␊␀5z[&｝ｏc\rθＧ｀－＊␏~\t",
	}, { // 2875
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "{~*w\x16κω＠\x06␁υ：␊\x005z[&｝ｏc\rθＧ｀－＊␏~␉",
		out:  "{~*w\x16κω＠\x06␁υ‛：␊␀5z[&｝ｏc\rθＧ｀－＊␏~␉",
	}, { // 2876
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~νBηＡＫＮ＠\n\x02␜Z＞ςω>'ｒ＼κ␎7$ιlｏ\x16~\v",
		out:  "␉~νBηＡＫＮ＠\n\x02␜Z＞ςω>'ｒ＼κ␎7$ιlｏ\x16~\v",
	}, { // 2877
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~νBηＡＫＮ＠\n\x02␜Z＞ςω>'ｒ＼κ␎7$ιlｏ\x16~\v",
		out:  "‛␉~νBηＡＫＮ＠\n\x02␜Z＞ςω>'ｒ＼κ␎7$ιlｏ\x16~\v",
	}, { // 2878
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "B~νBηＡＫＮ＠\n\x02␜Z＞ςω>'ｒ＼κ␎7$ιlｏ\x16~\t",
		out:  "B~νBηＡＫＮ＠\n\x02␜Z＞ςω>'ｒ＼κ␎7$ιlｏ\x16~\t",
	}, { // 2879
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "B~νBηＡＫＮ＠\n\x02␜Z＞ςω>'ｒ＼κ␎7$ιlｏ\x16~␉",
		out:  "B~νBηＡＫＮ＠\n\x02␜Z＞ςω>'ｒ＼κ␎7$ιlｏ\x16~␉",
	}, { // 2880
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~ς␐\n%\x00ςｊ␐αＮ）`␌␗ｅ＇κｊ51\vr(?\n␖~;",
		out:  "␉~ς␐\n%␀ςｊ␐αＮ）`␌␗ｅ＇κｊ51\vr(?\n␖~;",
	}, { // 2881
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~ς␐\n%\x00ςｊ␐αＮ）`␌␗ｅ＇κｊ51\vr(?\n␖~;",
		out:  "‛␉~ς␐\n%␀ςｊ␐αＮ）`␌␗ｅ＇κｊ51\vr(?\n␖~;",
	}, { // 2882
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "τ~ς␐\n%\x00ςｊ␐αＮ）`␌␗ｅ＇κｊ51\vr(?\n␖~\t",
		out:  "τ~ς␐\n%␀ςｊ␐αＮ）`␌␗ｅ＇κｊ51\vr(?\n␖~\t",
	}, { // 2883
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "τ~ς␐\n%\x00ςｊ␐αＮ）`␌␗ｅ＇κｊ51\vr(?\n␖~␉",
		out:  "τ~ς␐\n%␀ςｊ␐αＮ）`␌␗ｅ＇κｊ51\vr(?\n␖~␉",
	}, { // 2884
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~！5␖δ␊νjqｎｆ：}!＜\x03\x1dｅ-π␓λａ＇\aｊκ~<",
		out:  "␉~！5␖δ␊νjqｎｆ：}!＜\x03\x1dｅ-π␓λａ＇\aｊκ~<",
	}, { // 2885
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~！5␖δ␊νjqｎｆ：}!＜\x03\x1dｅ-π␓λａ＇\aｊκ~<",
		out:  "‛␉~！5␖δ␊νjqｎｆ：}!＜\x03\x1dｅ-π␓λａ＇\aｊκ~<",
	}, { // 2886
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "ι~！5␖δ␊νjqｎｆ：}!＜\x03\x1dｅ-π␓λａ＇\aｊκ~\t",
		out:  "ι~！5␖δ␊νjqｎｆ：}!＜\x03\x1dｅ-π␓λａ＇\aｊκ~\t",
	}, { // 2887
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "ι~！5␖δ␊νjqｎｆ：}!＜\x03\x1dｅ-π␓λａ＇\aｊκ~␉",
		out:  "ι~！5␖δ␊νjqｎｆ：}!＜\x03\x1dｅ-π␓λａ＇\aｊκ~␉",
	}, { // 2888
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~Ｖ\x01Ｂ｛φ\x16␛y％β／|]#Ｆ␛χ␁dIqλ0␈π\x16~ε",
		out:  "␉~Ｖ\x01Ｂ｛φ\x16␛y％β／|]＃Ｆ␛χ␁dIqλ0␈π\x16~ε",
	}, { // 2889
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~Ｖ\x01Ｂ｛φ\x16␛y％β／|]#Ｆ␛χ␁dIqλ0␈π\x16~ε",
		out:  "‛␉~Ｖ\x01Ｂ｛φ\x16␛y％β／|]＃Ｆ␛χ␁dIqλ0␈π\x16~ε",
	}, { // 2890
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\x1c~Ｖ\x01Ｂ｛φ\x16␛y％β／|]#Ｆ␛χ␁dIqλ0␈π\x16~\t",
		out:  "\x1c~Ｖ\x01Ｂ｛φ\x16␛y％β／|]＃Ｆ␛χ␁dIqλ0␈π\x16~\t",
	}, { // 2891
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\x1c~Ｖ\x01Ｂ｛φ\x16␛y％β／|]#Ｆ␛χ␁dIqλ0␈π\x16~␉",
		out:  "\x1c~Ｖ\x01Ｂ｛φ\x16␛y％β／|]＃Ｆ␛χ␁dIqλ0␈π\x16~␉",
	}, { // 2892
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~\r+\x1c␈\x19＊$ｌ\x1cｇＴ@\x03＜αloR１␂Ｅδγ␋δσ~κ",
		out:  "␉~\r+\x1c␈\x19＊$ｌ\x1cｇＴ@\x03＜αloR１␂Ｅδγ␋δσ~κ",
	}, { // 2893
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~\r+\x1c␈\x19＊$ｌ\x1cｇＴ@\x03＜αloR１␂Ｅδγ␋δσ~κ",
		out:  "‛␉~\r+\x1c␈\x19＊$ｌ\x1cｇＴ@\x03＜αloR１␂Ｅδγ␋δσ~κ",
	}, { // 2894
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "ｔ~\r+\x1c␈\x19＊$ｌ\x1cｇＴ@\x03＜αloR１␂Ｅδγ␋δσ~\t",
		out:  "ｔ~\r+\x1c␈\x19＊$ｌ\x1cｇＴ@\x03＜αloR１␂Ｅδγ␋δσ~\t",
	}, { // 2895
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "ｔ~\r+\x1c␈\x19＊$ｌ\x1cｇＴ@\x03＜αloR１␂Ｅδγ␋δσ~␉",
		out:  "ｔ~\r+\x1c␈\x19＊$ｌ\x1cｇＴ@\x03＜αloR１␂Ｅδγ␋δσ~␉",
	}, { // 2896
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~τ>␈F＂\v[＼>ｂ？＇＝cτ\x1a＊π\x15φ0＝［χｌs~!",
		out:  "␉~τ>␈F＂\v[‛＼>ｂ？＇＝cτ\x1a＊π\x15φ0＝［χｌs~!",
	}, { // 2897
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~τ>␈F＂\v[＼>ｂ？＇＝cτ\x1a＊π\x15φ0＝［χｌs~!",
		out:  "‛␉~τ>␈F＂\v[‛＼>ｂ？＇＝cτ\x1a＊π\x15φ0＝［χｌs~!",
	}, { // 2898
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "6~τ>␈F＂\v[＼>ｂ？＇＝cτ\x1a＊π\x15φ0＝［χｌs~\t",
		out:  "6~τ>␈F＂\v[‛＼>ｂ？＇＝cτ\x1a＊π\x15φ0＝［χｌs~\t",
	}, { // 2899
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "6~τ>␈F＂\v[＼>ｂ？＇＝cτ\x1a＊π\x15φ0＝［χｌs~␉",
		out:  "6~τ>␈F＂\v[‛＼>ｂ？＇＝cτ\x1a＊π\x15φ0＝［χｌs~␉",
	}, { // 2900
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~\\ζ\aλI＂νχ␌＾\"%␆;␉␔η\x1fｇG␕\x06Ｊ｝$\x0f~２",
		out:  "␉~\\ζ\aλI＂νχ␌＾\"%␆;␉␔η\x1fｇG␕\x06Ｊ｝$\x0f~２",
	}, { // 2901
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~\\ζ\aλI＂νχ␌＾\"%␆;␉␔η\x1fｇG␕\x06Ｊ｝$\x0f~２",
		out:  "‛␉~\\ζ\aλI＂νχ␌＾\"%␆;␉␔η\x1fｇG␕\x06Ｊ｝$\x0f~２",
	}, { // 2902
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "5~\\ζ\aλI＂νχ␌＾\"%␆;␉␔η\x1fｇG␕\x06Ｊ｝$\x0f~\t",
		out:  "5~\\ζ\aλI＂νχ␌＾\"%␆;␉␔η\x1fｇG␕\x06Ｊ｝$\x0f~\t",
	}, { // 2903
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "5~\\ζ\aλI＂νχ␌＾\"%␆;␉␔η\x1fｇG␕\x06Ｊ｝$\x0f~␉",
		out:  "5~\\ζ\aλI＂νχ␌＾\"%␆;␉␔η\x1fｇG␕\x06Ｊ｝$\x0f~␉",
	}, { // 2904
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t 8rψＩ'\x1d\x1d␎αμ5␊Ｓδ`[Ｍ␜␈gF␌λ<５： －",
		out:  "␉ 8rψＩ'\x1d\x1d␎αμ5␊Ｓδ`[Ｍ␜␈gF␌λ<５： －",
	}, { // 2905
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ 8rψＩ'\x1d\x1d␎αμ5␊Ｓδ`[Ｍ␜␈gF␌λ<５： －",
		out:  "‛␉ 8rψＩ'\x1d\x1d␎αμ5␊Ｓδ`[Ｍ␜␈gF␌λ<５： －",
	}, { // 2906
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "γ 8rψＩ'\x1d\x1d␎αμ5␊Ｓδ`[Ｍ␜␈gF␌λ<５： \t",
		out:  "γ 8rψＩ'\x1d\x1d␎αμ5␊Ｓδ`[Ｍ␜␈gF␌λ<５： \t",
	}, { // 2907
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "γ 8rψＩ'\x1d\x1d␎αμ5␊Ｓδ`[Ｍ␜␈gF␌λ<５： ␉",
		out:  "γ 8rψＩ'\x1d\x1d␎αμ5␊Ｓδ`[Ｍ␜␈gF␌λ<５： ␉",
	}, { // 2908
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t Ｃ／[/\x7fφ>␃φ３＊ρ\x03９vκＮoXψπU＼CL０ ␍",
		out:  "␉ Ｃ‛／[／\x7fφ>␃φ３＊ρ\x03９vκＮoXψπU＼CL０ ␍",
	}, { // 2909
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ Ｃ／[/\x7fφ>␃φ３＊ρ\x03９vκＮoXψπU＼CL０ ␍",
		out:  "‛␉ Ｃ‛／[／\x7fφ>␃φ３＊ρ\x03９vκＮoXψπU＼CL０ ␍",
	}, { // 2910
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "？ Ｃ／[/\x7fφ>␃φ３＊ρ\x03９vκＮoXψπU＼CL０ \t",
		out:  "？ Ｃ‛／[／\x7fφ>␃φ３＊ρ\x03９vκＮoXψπU＼CL０ \t",
	}, { // 2911
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "？ Ｃ／[/\x7fφ>␃φ３＊ρ\x03９vκＮoXψπU＼CL０ ␉",
		out:  "？ Ｃ‛／[／\x7fφ>␃φ３＊ρ\x03９vκＮoXψπU＼CL０ ␉",
	}, { // 2912
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t 2φ␍；␚ｘMτ｜T␏Ｘ(ｐλ｜<κ\x11`＇/ρ;:␝ β",
		out:  "␉ 2φ␍；␚ｘMτ｜T␏Ｘ(ｐλ｜<κ\x11`‛＇/ρ;:␝ β",
	}, { // 2913
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ 2φ␍；␚ｘMτ｜T␏Ｘ(ｐλ｜<κ\x11`＇/ρ;:␝ β",
		out:  "‛␉ 2φ␍；␚ｘMτ｜T␏Ｘ(ｐλ｜<κ\x11`‛＇/ρ;:␝ β",
	}, { // 2914
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\" 2φ␍；␚ｘMτ｜T␏Ｘ(ｐλ｜<κ\x11`＇/ρ;:␝ \t",
		out:  "\" 2φ␍；␚ｘMτ｜T␏Ｘ(ｐλ｜<κ\x11`‛＇/ρ;:␝ \t",
	}, { // 2915
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\" 2φ␍；␚ｘMτ｜T␏Ｘ(ｐλ｜<κ\x11`＇/ρ;:␝ ␉",
		out:  "\" 2φ␍；␚ｘMτ｜T␏Ｘ(ｐλ｜<κ\x11`‛＇/ρ;:␝ ␉",
	}, { // 2916
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ␆\x1f；1ιδ？␜＜ρQｕEτ␌e\x06ζ\x0f\"［β8␈\x1c! \x05",
		out:  "␉ ␆\x1f；1ιδ？␜＜ρQｕEτ␌e\x06ζ\x0f\"［β8␈\x1c! \x05",
	}, { // 2917
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ␆\x1f；1ιδ？␜＜ρQｕEτ␌e\x06ζ\x0f\"［β8␈\x1c! \x05",
		out:  "‛␉ ␆\x1f；1ιδ？␜＜ρQｕEτ␌e\x06ζ\x0f\"［β8␈\x1c! \x05",
	}, { // 2918
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "＂ ␆\x1f；1ιδ？␜＜ρQｕEτ␌e\x06ζ\x0f\"［β8␈\x1c! \t",
		out:  "＂ ␆\x1f；1ιδ？␜＜ρQｕEτ␌e\x06ζ\x0f\"［β8␈\x1c! \t",
	}, { // 2919
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "＂ ␆\x1f；1ιδ？␜＜ρQｕEτ␌e\x06ζ\x0f\"［β8␈\x1c! ␉",
		out:  "＂ ␆\x1f；1ιδ？␜＜ρQｕEτ␌e\x06ζ\x0f\"［β8␈\x1c! ␉",
	}, { // 2920
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ｑβ␘＇\x02Kχ\x1b，｀μk\x0fνｕＡＭω␗\x13n$］2υ! p",
		out:  "␉ ｑβ␘＇\x02Kχ\x1b，｀μk\x0fνｕＡＭω␗\x13n$］2υ! p",
	}, { // 2921
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ｑβ␘＇\x02Kχ\x1b，｀μk\x0fνｕＡＭω␗\x13n$］2υ! p",
		out:  "‛␉ ｑβ␘＇\x02Kχ\x1b，｀μk\x0fνｕＡＭω␗\x13n$］2υ! p",
	}, { // 2922
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "7 ｑβ␘＇\x02Kχ\x1b，｀μk\x0fνｕＡＭω␗\x13n$］2υ! \t",
		out:  "7 ｑβ␘＇\x02Kχ\x1b，｀μk\x0fνｕＡＭω␗\x13n$］2υ! \t",
	}, { // 2923
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "7 ｑβ␘＇\x02Kχ\x1b，｀μk\x0fνｕＡＭω␗\x13n$］2υ! ␉",
		out:  "7 ｑβ␘＇\x02Kχ\x1b，｀μk\x0fνｕＡＭω␗\x13n$］2υ! ␉",
	}, { // 2924
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ␟｛\x18α:ｇzρψkLξ；＊␊\r␋\x03｀&Ｐ>~％．\x13 d",
		out:  "␉ ␟｛\x18α:ｇzρψkLξ；＊␊\r␋\x03｀&Ｐ>~％．\x13 d",
	}, { // 2925
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ␟｛\x18α:ｇzρψkLξ；＊␊\r␋\x03｀&Ｐ>~％．\x13 d",
		out:  "‛␉ ␟｛\x18α:ｇzρψkLξ；＊␊\r␋\x03｀&Ｐ>~％．\x13 d",
	}, { // 2926
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "υ ␟｛\x18α:ｇzρψkLξ；＊␊\r␋\x03｀&Ｐ>~％．\x13 \t",
		out:  "υ ␟｛\x18α:ｇzρψkLξ；＊␊\r␋\x03｀&Ｐ>~％．\x13 \t",
	}, { // 2927
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "υ ␟｛\x18α:ｇzρψkLξ；＊␊\r␋\x03｀&Ｐ>~％．\x13 ␉",
		out:  "υ ␟｛\x18α:ｇzρψkLξ；＊␊\r␋\x03｀&Ｐ>~％．\x13 ␉",
	}, { // 2928
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ρＲ\fα%$＊%（@$\\␙h[␅ςＡβ␟␘ｉＲφE\x01 ω",
		out:  "␉ ρＲ\fα%$＊%（@$\\␙h[␅ςＡβ␟␘ｉＲφE\x01 ω",
	}, { // 2929
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ρＲ\fα%$＊%（@$\\␙h[␅ςＡβ␟␘ｉＲφE\x01 ω",
		out:  "‛␉ ρＲ\fα%$＊%（@$\\␙h[␅ςＡβ␟␘ｉＲφE\x01 ω",
	}, { // 2930
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "］ ρＲ\fα%$＊%（@$\\␙h[␅ςＡβ␟␘ｉＲφE\x01 \t",
		out:  "］ ρＲ\fα%$＊%（@$\\␙h[␅ςＡβ␟␘ｉＲφE\x01 \t",
	}, { // 2931
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "］ ρＲ\fα%$＊%（@$\\␙h[␅ςＡβ␟␘ｉＲφE\x01 ␉",
		out:  "］ ρＲ\fα%$＊%（@$\\␙h[␅ςＡβ␟␘ｉＲφE\x01 ␉",
	}, { // 2932
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t δ7］π\x0e；C6ο３␃:%\x04␍－ｘ␘b%␈ｏουε# ！",
		out:  "␉ δ7］π\x0e；C6ο３␃:%\x04␍－ｘ␘b%␈ｏουε# ‛！",
	}, { // 2933
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ δ7］π\x0e；C6ο３␃:%\x04␍－ｘ␘b%␈ｏουε# ！",
		out:  "‛␉ δ7］π\x0e；C6ο３␃:%\x04␍－ｘ␘b%␈ｏουε# ‛！",
	}, { // 2934
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "Y δ7］π\x0e；C6ο３␃:%\x04␍－ｘ␘b%␈ｏουε# \t",
		out:  "Y δ7］π\x0e；C6ο３␃:%\x04␍－ｘ␘b%␈ｏουε# \t",
	}, { // 2935
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "Y δ7］π\x0e；C6ο３␃:%\x04␍－ｘ␘b%␈ｏουε# ␉",
		out:  "Y δ7］π\x0e；C6ο３␃:%\x04␍－ｘ␘b%␈ｏουε# ␉",
	}, { // 2936
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t  ι\x17κτωＲψMＰ]ｒ＃\\␜０␀X?ｃ\x15␈Ｐ［(τ Q",
		out:  "␉  ι\x17κτωＲψMＰ]ｒ＃\\␜０‛␀X?ｃ\x15␈Ｐ［(τ Q",
	}, { // 2937
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉  ι\x17κτωＲψMＰ]ｒ＃\\␜０␀X?ｃ\x15␈Ｐ［(τ Q",
		out:  "‛␉  ι\x17κτωＲψMＰ]ｒ＃\\␜０‛␀X?ｃ\x15␈Ｐ［(τ Q",
	}, { // 2938
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␆  ι\x17κτωＲψMＰ]ｒ＃\\␜０␀X?ｃ\x15␈Ｐ［(τ \t",
		out:  "␆  ι\x17κτωＲψMＰ]ｒ＃\\␜０‛␀X?ｃ\x15␈Ｐ［(τ \t",
	}, { // 2939
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␆  ι\x17κτωＲψMＰ]ｒ＃\\␜０␀X?ｃ\x15␈Ｐ［(τ ␉",
		out:  "␆  ι\x17κτωＲψMＰ]ｒ＃\\␜０‛␀X?ｃ\x15␈Ｐ［(τ ␉",
	}, { // 2940
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ␈Wφη7ＺＥρω］f|＂V．Ij\\␁＜\x0e|γ\x17\v＋ τ",
		out:  "␉ ␈Wφη7ＺＥρω］f|‛＂V．Ij\\␁＜\x0e|γ\x17\v＋ τ",
	}, { // 2941
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ␈Wφη7ＺＥρω］f|＂V．Ij\\␁＜\x0e|γ\x17\v＋ τ",
		out:  "‛␉ ␈Wφη7ＺＥρω］f|‛＂V．Ij\\␁＜\x0e|γ\x17\v＋ τ",
	}, { // 2942
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␐ ␈Wφη7ＺＥρω］f|＂V．Ij\\␁＜\x0e|γ\x17\v＋ \t",
		out:  "␐ ␈Wφη7ＺＥρω］f|‛＂V．Ij\\␁＜\x0e|γ\x17\v＋ \t",
	}, { // 2943
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␐ ␈Wφη7ＺＥρω］f|＂V．Ij\\␁＜\x0e|γ\x17\v＋ ␉",
		out:  "␐ ␈Wφη7ＺＥρω］f|‛＂V．Ij\\␁＜\x0e|γ\x17\v＋ ␉",
	}, { // 2944
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t d,γh\f５ι*G␡；＼＼ｏ␑\x05␁＼ε７ζb!!␁μ ς",
		out:  "␉ d,γh\f５ι*G␡；＼＼ｏ␑\x05␁＼ε７ζb!!␁μ ς",
	}, { // 2945
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ d,γh\f５ι*G␡；＼＼ｏ␑\x05␁＼ε７ζb!!␁μ ς",
		out:  "‛␉ d,γh\f５ι*G␡；＼＼ｏ␑\x05␁＼ε７ζb!!␁μ ς",
	}, { // 2946
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\r d,γh\f５ι*G␡；＼＼ｏ␑\x05␁＼ε７ζb!!␁μ \t",
		out:  "␍ d,γh\f５ι*G␡；＼＼ｏ␑\x05␁＼ε７ζb!!␁μ \t",
	}, { // 2947
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\r d,γh\f５ι*G␡；＼＼ｏ␑\x05␁＼ε７ζb!!␁μ ␉",
		out:  "␍ d,γh\f５ι*G␡；＼＼ｏ␑\x05␁＼ε７ζb!!␁μ ␉",
	}, { // 2948
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t \x11｝\x15｀＜，\x13␍\x19␓␅ｇ\r~␛␜ωu＆β：8ς4α\x00 R",
		out:  "␉ \x11｝\x15｀＜，\x13␍\x19␓␅ｇ\r~␛␜ωu＆β：8ς4α␀ R",
	}, { // 2949
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ \x11｝\x15｀＜，\x13␍\x19␓␅ｇ\r~␛␜ωu＆β：8ς4α\x00 R",
		out:  "‛␉ \x11｝\x15｀＜，\x13␍\x19␓␅ｇ\r~␛␜ωu＆β：8ς4α␀ R",
	}, { // 2950
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "8 \x11｝\x15｀＜，\x13␍\x19␓␅ｇ\r~␛␜ωu＆β：8ς4α\x00 \t",
		out:  "8 \x11｝\x15｀＜，\x13␍\x19␓␅ｇ\r~␛␜ωu＆β：8ς4α␀ \t",
	}, { // 2951
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "8 \x11｝\x15｀＜，\x13␍\x19␓␅ｇ\r~␛␜ωu＆β：8ς4α\x00 ␉",
		out:  "8 \x11｝\x15｀＜，\x13␍\x19␓␅ｇ\r~␛␜ωu＆β：8ς4α␀ ␉",
	}, { // 2952
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ␁]Ａ：\x16ａ␍＜ｇm\x17βη\x12KψｐdＣλ\f［\x18ιW␖ Ｘ",
		out:  "␉ ␁]Ａ：\x16ａ␍＜ｇm\x17βη\x12KψｐdＣλ\f［\x18ιW␖ Ｘ",
	}, { // 2953
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ␁]Ａ：\x16ａ␍＜ｇm\x17βη\x12KψｐdＣλ\f［\x18ιW␖ Ｘ",
		out:  "‛␉ ␁]Ａ：\x16ａ␍＜ｇm\x17βη\x12KψｐdＣλ\f［\x18ιW␖ Ｘ",
	}, { // 2954
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "- ␁]Ａ：\x16ａ␍＜ｇm\x17βη\x12KψｐdＣλ\f［\x18ιW␖ \t",
		out:  "- ␁]Ａ：\x16ａ␍＜ｇm\x17βη\x12KψｐdＣλ\f［\x18ιW␖ \t",
	}, { // 2955
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "- ␁]Ａ：\x16ａ␍＜ｇm\x17βη\x12KψｐdＣλ\f［\x18ιW␖ ␉",
		out:  "- ␁]Ａ：\x16ａ␍＜ｇm\x17βη\x12KψｐdＣλ\f［\x18ιW␖ ␉",
	}, { // 2956
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ωａGλ<\"ω＞\"u\x7f｀␛\x04３ｚε\x04+=␉␍β\x06␆ｙ ␟",
		out:  "␉ ωａGλ<\"ω＞\"u\x7f｀␛\x04３ｚε\x04+=␉␍β\x06␆ｙ ␟",
	}, { // 2957
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ωａGλ<\"ω＞\"u\x7f｀␛\x04３ｚε\x04+=␉␍β\x06␆ｙ ␟",
		out:  "‛␉ ωａGλ<\"ω＞\"u\x7f｀␛\x04３ｚε\x04+=␉␍β\x06␆ｙ ␟",
	}, { // 2958
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   ", ωａGλ<\"ω＞\"u\x7f｀␛\x04３ｚε\x04+=␉␍β\x06␆ｙ \t",
		out:  ", ωａGλ<\"ω＞\"u\x7f｀␛\x04３ｚε\x04+=␉␍β\x06␆ｙ \t",
	}, { // 2959
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   ", ωａGλ<\"ω＞\"u\x7f｀␛\x04３ｚε\x04+=␉␍β\x06␆ｙ ␉",
		out:  ", ωａGλ<\"ω＞\"u\x7f｀␛\x04３ｚε\x04+=␉␍β\x06␆ｙ ␉",
	}, { // 2960
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ␊β␉６λ／␃δｍ/JπＰ??\x0fｏ＋7*φξg␙l\x1a ␆",
		out:  "␉ ␊β␉６λ／␃δｍ/JπＰ??\x0fｏ＋7*φξg␙l\x1a ␆",
	}, { // 2961
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ␊β␉６λ／␃δｍ/JπＰ??\x0fｏ＋7*φξg␙l\x1a ␆",
		out:  "‛␉ ␊β␉６λ／␃δｍ/JπＰ??\x0fｏ＋7*φξg␙l\x1a ␆",
	}, { // 2962
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\x03 ␊β␉６λ／␃δｍ/JπＰ??\x0fｏ＋7*φξg␙l\x1a \t",
		out:  "\x03 ␊β␉６λ／␃δｍ/JπＰ??\x0fｏ＋7*φξg␙l\x1a \t",
	}, { // 2963
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\x03 ␊β␉６λ／␃δｍ/JπＰ??\x0fｏ＋7*φξg␙l\x1a ␉",
		out:  "\x03 ␊β␉６λ／␃δｍ/JπＰ??\x0fｏ＋7*φξg␙l\x1a ␉",
	}, { // 2964
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t π8ｘ！+ｂ␂$?*＠nχ6#｜λψ]δｙｓ｜＜W\r ␞",
		out:  "␉ π8ｘ！+ｂ␂$?*＠nχ6#｜λψ]δｙｓ｜＜W\r ␞",
	}, { // 2965
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ π8ｘ！+ｂ␂$?*＠nχ6#｜λψ]δｙｓ｜＜W\r ␞",
		out:  "‛␉ π8ｘ！+ｂ␂$?*＠nχ6#｜λψ]δｙｓ｜＜W\r ␞",
	}, { // 2966
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "p π8ｘ！+ｂ␂$?*＠nχ6#｜λψ]δｙｓ｜＜W\r \t",
		out:  "p π8ｘ！+ｂ␂$?*＠nχ6#｜λψ]δｙｓ｜＜W\r \t",
	}, { // 2967
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "p π8ｘ！+ｂ␂$?*＠nχ6#｜λψ]δｙｓ｜＜W\r ␉",
		out:  "p π8ｘ！+ｂ␂$?*＠nχ6#｜λψ]δｙｓ｜＜W\r ␉",
	}, { // 2968
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t I\"ｇ\uff00␀␍ｖ%z(＊ω<ｒ\n*κ!；\r␂ｐτφ␒ε ＆",
		out:  "␉ I\"ｇ\uff00‛␀␍ｖ%z(＊ω<ｒ\n*κ!；\r␂ｐτφ␒ε ＆",
	}, { // 2969
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ I\"ｇ\uff00␀␍ｖ%z(＊ω<ｒ\n*κ!；\r␂ｐτφ␒ε ＆",
		out:  "‛␉ I\"ｇ\uff00‛␀␍ｖ%z(＊ω<ｒ\n*κ!；\r␂ｐτφ␒ε ＆",
	}, { // 2970
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "# I\"ｇ\uff00␀␍ｖ%z(＊ω<ｒ\n*κ!；\r␂ｐτφ␒ε \t",
		out:  "# I\"ｇ\uff00‛␀␍ｖ%z(＊ω<ｒ\n*κ!；\r␂ｐτφ␒ε \t",
	}, { // 2971
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "# I\"ｇ\uff00␀␍ｖ%z(＊ω<ｒ\n*κ!；\r␂ｐτφ␒ε ␉",
		out:  "# I\"ｇ\uff00‛␀␍ｖ%z(＊ω<ｒ\n*κ!；\r␂ｐτφ␒ε ␉",
	}, { // 2972
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ο\x04？；＿␈␗ξκ?［\x1b＄τＦ2ςS\x14}5φＧ'Ｎ\v \t",
		out:  "␉ ο\x04？；＿␈␗ξκ?［\x1b＄τＦ2ςS\x14}5φＧ'Ｎ\v \t",
	}, { // 2973
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ο\x04？；＿␈␗ξκ?［\x1b＄τＦ2ςS\x14}5φＧ'Ｎ\v \t",
		out:  "‛␉ ο\x04？；＿␈␗ξκ?［\x1b＄τＦ2ςS\x14}5φＧ'Ｎ\v \t",
	}, { // 2974
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␞ ο\x04？；＿␈␗ξκ?［\x1b＄τＦ2ςS\x14}5φＧ'Ｎ\v \t",
		out:  "␞ ο\x04？；＿␈␗ξκ?［\x1b＄τＦ2ςS\x14}5φＧ'Ｎ\v \t",
	}, { // 2975
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␞ ο\x04？；＿␈␗ξκ?［\x1b＄τＦ2ςS\x14}5φＧ'Ｎ\v ␉",
		out:  "␞ ο\x04？；＿␈␗ξκ?［\x1b＄τＦ2ςS\x14}5φＧ'Ｎ\v ␉",
	}, { // 2976
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.\x18Ｂ\x17ηο;ν\x05p␜γ＜}␑\vＮ｛ＳＷ<ｅ␊\x05␍w\x1a.␈",
		out:  "␉.\x18Ｂ\x17ηο;ν\x05p␜γ＜}␑\vＮ｛ＳＷ<ｅ␊\x05␍w\x1a.␈",
	}, { // 2977
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.\x18Ｂ\x17ηο;ν\x05p␜γ＜}␑\vＮ｛ＳＷ<ｅ␊\x05␍w\x1a.␈",
		out:  "‛␉.\x18Ｂ\x17ηο;ν\x05p␜γ＜}␑\vＮ｛ＳＷ<ｅ␊\x05␍w\x1a.␈",
	}, { // 2978
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "ζ.\x18Ｂ\x17ηο;ν\x05p␜γ＜}␑\vＮ｛ＳＷ<ｅ␊\x05␍w\x1a.\t",
		out:  "ζ.\x18Ｂ\x17ηο;ν\x05p␜γ＜}␑\vＮ｛ＳＷ<ｅ␊\x05␍w\x1a.\t",
	}, { // 2979
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "ζ.\x18Ｂ\x17ηο;ν\x05p␜γ＜}␑\vＮ｛ＳＷ<ｅ␊\x05␍w\x1a.␉",
		out:  "ζ.\x18Ｂ\x17ηο;ν\x05p␜γ＜}␑\vＮ｛ＳＷ<ｅ␊\x05␍w\x1a.␉",
	}, { // 2980
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.>ρ␘φA␊␘η（&#）(\n␒１\x1c#+␈ｎθ］\x14\x1dｙ.φ",
		out:  "␉.>ρ␘φA␊␘η（&#）(\n␒１\x1c#+␈ｎθ］\x14\x1dｙ.φ",
	}, { // 2981
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.>ρ␘φA␊␘η（&#）(\n␒１\x1c#+␈ｎθ］\x14\x1dｙ.φ",
		out:  "‛␉.>ρ␘φA␊␘η（&#）(\n␒１\x1c#+␈ｎθ］\x14\x1dｙ.φ",
	}, { // 2982
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "．.>ρ␘φA␊␘η（&#）(\n␒１\x1c#+␈ｎθ］\x14\x1dｙ.\t",
		out:  "．.>ρ␘φA␊␘η（&#）(\n␒１\x1c#+␈ｎθ］\x14\x1dｙ.\t",
	}, { // 2983
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "．.>ρ␘φA␊␘η（&#）(\n␒１\x1c#+␈ｎθ］\x14\x1dｙ.␉",
		out:  "．.>ρ␘φA␊␘η（&#）(\n␒１\x1c#+␈ｎθ］\x14\x1dｙ.␉",
	}, { // 2984
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.5θ\x10\x14｀ｋJ\x19δ␐Ｔ＼2\x12｀\x00νπ;\x16ＦV＝ο]␒.Ｎ",
		out:  "␉.5θ\x10\x14｀ｋJ\x19δ␐Ｔ＼2\x12｀␀νπ;\x16ＦV＝ο]␒.Ｎ",
	}, { // 2985
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.5θ\x10\x14｀ｋJ\x19δ␐Ｔ＼2\x12｀\x00νπ;\x16ＦV＝ο]␒.Ｎ",
		out:  "‛␉.5θ\x10\x14｀ｋJ\x19δ␐Ｔ＼2\x12｀␀νπ;\x16ＦV＝ο]␒.Ｎ",
	}, { // 2986
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␃.5θ\x10\x14｀ｋJ\x19δ␐Ｔ＼2\x12｀\x00νπ;\x16ＦV＝ο]␒.\t",
		out:  "␃.5θ\x10\x14｀ｋJ\x19δ␐Ｔ＼2\x12｀␀νπ;\x16ＦV＝ο]␒.\t",
	}, { // 2987
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␃.5θ\x10\x14｀ｋJ\x19δ␐Ｔ＼2\x12｀\x00νπ;\x16ＦV＝ο]␒.␉",
		out:  "␃.5θ\x10\x14｀ｋJ\x19δ␐Ｔ＼2\x12｀␀νπ;\x16ＦV＝ο]␒.␉",
	}, { // 2988
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.␐␍9\x10？␇Ｆν\\λ［υξ\n␔#'3#ρＴ＃%φI？.O",
		out:  "␉.␐␍9\x10？␇Ｆν\\λ［υξ\n␔#'3#ρＴ＃%φI？.O",
	}, { // 2989
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.␐␍9\x10？␇Ｆν\\λ［υξ\n␔#'3#ρＴ＃%φI？.O",
		out:  "‛␉.␐␍9\x10？␇Ｆν\\λ［υξ\n␔#'3#ρＴ＃%φI？.O",
	}, { // 2990
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\n.␐␍9\x10？␇Ｆν\\λ［υξ\n␔#'3#ρＴ＃%φI？.\t",
		out:  "␊.␐␍9\x10？␇Ｆν\\λ［υξ\n␔#'3#ρＴ＃%φI？.\t",
	}, { // 2991
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\n.␐␍9\x10？␇Ｆν\\λ［υξ\n␔#'3#ρＴ＃%φI？.␉",
		out:  "␊.␐␍9\x10？␇Ｆν\\λ［υξ\n␔#'3#ρＴ＃%φI？.␉",
	}, { // 2992
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.\x1fｘσ␎␘'｜＠a␂ζφ$\x15\x02P／J␕υς\x1fi％＝\x1e.O",
		out:  "␉.\x1fｘσ␎␘'｜＠a␂ζφ$\x15\x02P／J␕υς\x1fi％＝\x1e.O",
	}, { // 2993
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.\x1fｘσ␎␘'｜＠a␂ζφ$\x15\x02P／J␕υς\x1fi％＝\x1e.O",
		out:  "‛␉.\x1fｘσ␎␘'｜＠a␂ζφ$\x15\x02P／J␕υς\x1fi％＝\x1e.O",
	}, { // 2994
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "：.\x1fｘσ␎␘'｜＠a␂ζφ$\x15\x02P／J␕υς\x1fi％＝\x1e.\t",
		out:  "：.\x1fｘσ␎␘'｜＠a␂ζφ$\x15\x02P／J␕υς\x1fi％＝\x1e.\t",
	}, { // 2995
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "：.\x1fｘσ␎␘'｜＠a␂ζφ$\x15\x02P／J␕υς\x1fi％＝\x1e.␉",
		out:  "：.\x1fｘσ␎␘'｜＠a␂ζφ$\x15\x02P／J␕υς\x1fi％＝\x1e.␉",
	}, { // 2996
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.αＬεη␌］\bJββ！su｜＞χ;３\x14 \x1f\x01\x0e␊␍8.\x12",
		out:  "␉.αＬεη␌‛］\bJββ！su｜＞χ;３\x14 \x1f\x01\x0e␊␍8.\x12",
	}, { // 2997
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.αＬεη␌］\bJββ！su｜＞χ;３\x14 \x1f\x01\x0e␊␍8.\x12",
		out:  "‛␉.αＬεη␌‛］\bJββ！su｜＞χ;３\x14 \x1f\x01\x0e␊␍8.\x12",
	}, { // 2998
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␙.αＬεη␌］\bJββ！su｜＞χ;３\x14 \x1f\x01\x0e␊␍8.\t",
		out:  "␙.αＬεη␌‛］\bJββ！su｜＞χ;３\x14 \x1f\x01\x0e␊␍8.\t",
	}, { // 2999
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␙.αＬεη␌］\bJββ！su｜＞χ;３\x14 \x1f\x01\x0e␊␍8.␉",
		out:  "␙.αＬεη␌‛］\bJββ！su｜＞χ;３\x14 \x1f\x01\x0e␊␍8.␉",
	}, { // 3000
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.］＂` }␔wη␋μ␊８dζ\nｅηR\x15#;Ｆ＄!ｄο.＞",
		out:  "␉.］＂` }␔wη␋μ␊８dζ\nｅηR\x15#；Ｆ＄!ｄο.＞",
	}, { // 3001
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.］＂` }␔wη␋μ␊８dζ\nｅηR\x15#;Ｆ＄!ｄο.＞",
		out:  "‛␉.］＂` }␔wη␋μ␊８dζ\nｅηR\x15#；Ｆ＄!ｄο.＞",
	}, { // 3002
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␃.］＂` }␔wη␋μ␊８dζ\nｅηR\x15#;Ｆ＄!ｄο.\t",
		out:  "␃.］＂` }␔wη␋μ␊８dζ\nｅηR\x15#；Ｆ＄!ｄο.\t",
	}, { // 3003
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␃.］＂` }␔wη␋μ␊８dζ\nｅηR\x15#;Ｆ＄!ｄο.␉",
		out:  "␃.］＂` }␔wη␋μ␊８dζ\nｅηR\x15#；Ｆ＄!ｄο.␉",
	}, { // 3004
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.ξςZA４Ｔσ␖␔Bζ：:μ␌Ｏ\x13*］＞［\x13>θt\n.\x00",
		out:  "␉.ξςZA４Ｔσ␖␔Bζ：:μ␌Ｏ\x13*］＞［\x13>θt\n.␀",
	}, { // 3005
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.ξςZA４Ｔσ␖␔Bζ：:μ␌Ｏ\x13*］＞［\x13>θt\n.\x00",
		out:  "‛␉.ξςZA４Ｔσ␖␔Bζ：:μ␌Ｏ\x13*］＞［\x13>θt\n.␀",
	}, { // 3006
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "／.ξςZA４Ｔσ␖␔Bζ：:μ␌Ｏ\x13*］＞［\x13>θt\n.\t",
		out:  "／.ξςZA４Ｔσ␖␔Bζ：:μ␌Ｏ\x13*］＞［\x13>θt\n.\t",
	}, { // 3007
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "／.ξςZA４Ｔσ␖␔Bζ：:μ␌Ｏ\x13*］＞［\x13>θt\n.␉",
		out:  "／.ξςZA４Ｔσ␖␔Bζ：:μ␌Ｏ\x13*］＞［\x13>θt\n.␉",
	}, { // 3008
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.\x1dτ␙６φ&\aＢ＜+.\n＼!／␛\x0f␎ληδε>␜\a％.M",
		out:  "␉.\x1dτ␙６φ&\aＢ＜+.\n＼!／␛\x0f␎ληδε>␜\a％.M",
	}, { // 3009
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.\x1dτ␙６φ&\aＢ＜+.\n＼!／␛\x0f␎ληδε>␜\a％.M",
		out:  "‛␉.\x1dτ␙６φ&\aＢ＜+.\n＼!／␛\x0f␎ληδε>␜\a％.M",
	}, { // 3010
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "b.\x1dτ␙６φ&\aＢ＜+.\n＼!／␛\x0f␎ληδε>␜\a％.\t",
		out:  "b.\x1dτ␙６φ&\aＢ＜+.\n＼!／␛\x0f␎ληδε>␜\a％.\t",
	}, { // 3011
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "b.\x1dτ␙６φ&\aＢ＜+.\n＼!／␛\x0f␎ληδε>␜\a％.␉",
		out:  "b.\x1dτ␙６φ&\aＢ＜+.\n＼!／␛\x0f␎ληδε>␜\a％.␉",
	}, { // 3012
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.ζ␎～\n␇\"XνＳ␉␊\x068\x1e6＞ξo，ｐυv#ωοｂ.a",
		out:  "␉.ζ␎～\n␇＂XνＳ␉␊\x068\x1e6＞ξo，ｐυv#ωοｂ.a",
	}, { // 3013
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.ζ␎～\n␇\"XνＳ␉␊\x068\x1e6＞ξo，ｐυv#ωοｂ.a",
		out:  "‛␉.ζ␎～\n␇＂XνＳ␉␊\x068\x1e6＞ξo，ｐυv#ωοｂ.a",
	}, { // 3014
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "#.ζ␎～\n␇\"XνＳ␉␊\x068\x1e6＞ξo，ｐυv#ωοｂ.\t",
		out:  "#.ζ␎～\n␇＂XνＳ␉␊\x068\x1e6＞ξo，ｐυv#ωοｂ.\t",
	}, { // 3015
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "#.ζ␎～\n␇\"XνＳ␉␊\x068\x1e6＞ξo，ｐυv#ωοｂ.␉",
		out:  "#.ζ␎～\n␇＂XνＳ␉␊\x068\x1e6＞ξo，ｐυv#ωοｂ.␉",
	}, { // 3016
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.\x01␍}πνｆｑτμ，F\f/Ｐ！\x18␚］.ς␁'＄<\x1eｌ.τ",
		out:  "␉.\x01␍}πνｆｑτμ，F\f/Ｐ！\x18␚］.ς␁'＄<\x1eｌ.τ",
	}, { // 3017
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.\x01␍}πνｆｑτμ，F\f/Ｐ！\x18␚］.ς␁'＄<\x1eｌ.τ",
		out:  "‛␉.\x01␍}πνｆｑτμ，F\f/Ｐ！\x18␚］.ς␁'＄<\x1eｌ.τ",
	}, { // 3018
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "/.\x01␍}πνｆｑτμ，F\f/Ｐ！\x18␚］.ς␁'＄<\x1eｌ.\t",
		out:  "/.\x01␍}πνｆｑτμ，F\f/Ｐ！\x18␚］.ς␁'＄<\x1eｌ.\t",
	}, { // 3019
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "/.\x01␍}πνｆｑτμ，F\f/Ｐ！\x18␚］.ς␁'＄<\x1eｌ.␉",
		out:  "/.\x01␍}πνｆｑτμ，F\f/Ｐ！\x18␚］.ς␁'＄<\x1eｌ.␉",
	}, { // 3020
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.＞ｐ＇\x14＜υ％␊Lχ␏｀!B]｜Xｕγ\x03␖rξ/\x17！.d",
		out:  "␉.＞ｐ＇\x14＜υ％␊Lχ␏｀!B]｜Xｕγ\x03␖rξ/\x17！.d",
	}, { // 3021
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.＞ｐ＇\x14＜υ％␊Lχ␏｀!B]｜Xｕγ\x03␖rξ/\x17！.d",
		out:  "‛␉.＞ｐ＇\x14＜υ％␊Lχ␏｀!B]｜Xｕγ\x03␖rξ/\x17！.d",
	}, { // 3022
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\x14.＞ｐ＇\x14＜υ％␊Lχ␏｀!B]｜Xｕγ\x03␖rξ/\x17！.\t",
		out:  "\x14.＞ｐ＇\x14＜υ％␊Lχ␏｀!B]｜Xｕγ\x03␖rξ/\x17！.\t",
	}, { // 3023
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\x14.＞ｐ＇\x14＜υ％␊Lχ␏｀!B]｜Xｕγ\x03␖rξ/\x17！.␉",
		out:  "\x14.＞ｐ＇\x14＜υ％␊Lχ␏｀!B]｜Xｕγ\x03␖rξ/\x17！.␉",
	}, { // 3024
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.η＞ζ＝ς\x1cＪ␌＄ν＞\rｖＧ$ａ`'L\x0e}＜P␆/{.␊",
		out:  "␉.η＞ζ＝ς\x1cＪ␌＄ν＞\rｖＧ$ａ`'L\x0e}＜P␆/{.␊",
	}, { // 3025
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.η＞ζ＝ς\x1cＪ␌＄ν＞\rｖＧ$ａ`'L\x0e}＜P␆/{.␊",
		out:  "‛␉.η＞ζ＝ς\x1cＪ␌＄ν＞\rｖＧ$ａ`'L\x0e}＜P␆/{.␊",
	}, { // 3026
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "θ.η＞ζ＝ς\x1cＪ␌＄ν＞\rｖＧ$ａ`'L\x0e}＜P␆/{.\t",
		out:  "θ.η＞ζ＝ς\x1cＪ␌＄ν＞\rｖＧ$ａ`'L\x0e}＜P␆/{.\t",
	}, { // 3027
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "θ.η＞ζ＝ς\x1cＪ␌＄ν＞\rｖＧ$ａ`'L\x0e}＜P␆/{.␉",
		out:  "θ.η＞ζ＝ς\x1cＪ␌＄ν＞\rｖＧ$ａ`'L\x0e}＜P␆/{.␉",
	}, { // 3028
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.␍SＲＪＬυ$␖｜ＵVGVφ␙]＄␝␟l?\r\v'ςλ.υ",
		out:  "␉.␍SＲＪＬυ$␖‛｜ＵVGVφ␙]＄␝␟l?\r\v'ςλ.υ",
	}, { // 3029
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.␍SＲＪＬυ$␖｜ＵVGVφ␙]＄␝␟l?\r\v'ςλ.υ",
		out:  "‛␉.␍SＲＪＬυ$␖‛｜ＵVGVφ␙]＄␝␟l?\r\v'ςλ.υ",
	}, { // 3030
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "ς.␍SＲＪＬυ$␖｜ＵVGVφ␙]＄␝␟l?\r\v'ςλ.\t",
		out:  "ς.␍SＲＪＬυ$␖‛｜ＵVGVφ␙]＄␝␟l?\r\v'ςλ.\t",
	}, { // 3031
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "ς.␍SＲＪＬυ$␖｜ＵVGVφ␙]＄␝␟l?\r\v'ςλ.␉",
		out:  "ς.␍SＲＪＬυ$␖‛｜ＵVGVφ␙]＄␝␟l?\r\v'ςλ.␉",
	}, { // 3032
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.Ｆ３O␑λＨ␈ο+'＆.|｜＆ψ\x7f:μ\x03␈ｉ\\!␑[.θ",
		out:  "␉.Ｆ３O␑λＨ␈ο+'＆.|｜＆ψ\x7f:μ\x03␈ｉ\\!␑[.θ",
	}, { // 3033
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.Ｆ３O␑λＨ␈ο+'＆.|｜＆ψ\x7f:μ\x03␈ｉ\\!␑[.θ",
		out:  "‛␉.Ｆ３O␑λＨ␈ο+'＆.|｜＆ψ\x7f:μ\x03␈ｉ\\!␑[.θ",
	}, { // 3034
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "γ.Ｆ３O␑λＨ␈ο+'＆.|｜＆ψ\x7f:μ\x03␈ｉ\\!␑[.\t",
		out:  "γ.Ｆ３O␑λＨ␈ο+'＆.|｜＆ψ\x7f:μ\x03␈ｉ\\!␑[.\t",
	}, { // 3035
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "γ.Ｆ３O␑λＨ␈ο+'＆.|｜＆ψ\x7f:μ\x03␈ｉ\\!␑[.␉",
		out:  "γ.Ｆ３O␑λＨ␈ο+'＆.|｜＆ψ\x7f:μ\x03␈ｉ\\!␑[.␉",
	}, { // 3036
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.6＂＃Ｍ／aσβTZ␑βｅ>β｀ｔς␈ψ)Ｍ\x18\a␖\x18.R",
		out:  "␉.6＂＃Ｍ／aσβTZ␑βｅ>β｀ｔς␈ψ)Ｍ\x18\a␖\x18.R",
	}, { // 3037
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.6＂＃Ｍ／aσβTZ␑βｅ>β｀ｔς␈ψ)Ｍ\x18\a␖\x18.R",
		out:  "‛␉.6＂＃Ｍ／aσβTZ␑βｅ>β｀ｔς␈ψ)Ｍ\x18\a␖\x18.R",
	}, { // 3038
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "７.6＂＃Ｍ／aσβTZ␑βｅ>β｀ｔς␈ψ)Ｍ\x18\a␖\x18.\t",
		out:  "７.6＂＃Ｍ／aσβTZ␑βｅ>β｀ｔς␈ψ)Ｍ\x18\a␖\x18.\t",
	}, { // 3039
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "７.6＂＃Ｍ／aσβTZ␑βｅ>β｀ｔς␈ψ)Ｍ\x18\a␖\x18.␉",
		out:  "７.6＂＃Ｍ／aσβTZ␑βｅ>β｀ｔς␈ψ)Ｍ\x18\a␖\x18.␉",
	}, { // 3040
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.\x17\x10ιf␌ς＇␌］\x04ςν%ιＬＡζ␈9\uff00␕P\x1cｗ␙-.U",
		out:  "␉.\x17\x10ιf␌ς＇␌］\x04ςν%ιＬＡζ␈9\uff00␕P\x1cｗ␙-.U",
	}, { // 3041
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.\x17\x10ιf␌ς＇␌］\x04ςν%ιＬＡζ␈9\uff00␕P\x1cｗ␙-.U",
		out:  "‛␉.\x17\x10ιf␌ς＇␌］\x04ςν%ιＬＡζ␈9\uff00␕P\x1cｗ␙-.U",
	}, { // 3042
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "U.\x17\x10ιf␌ς＇␌］\x04ςν%ιＬＡζ␈9\uff00␕P\x1cｗ␙-.\t",
		out:  "U.\x17\x10ιf␌ς＇␌］\x04ςν%ιＬＡζ␈9\uff00␕P\x1cｗ␙-.\t",
	}, { // 3043
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "U.\x17\x10ιf␌ς＇␌］\x04ςν%ιＬＡζ␈9\uff00␕P\x1cｗ␙-.␉",
		out:  "U.\x17\x10ιf␌ς＇␌］\x04ςν%ιＬＡζ␈9\uff00␕P\x1cｗ␙-.␉",
	}, { // 3044
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t./␙ｕ&\x7f\x0f␍␎Ｌω/＄＿π\x16ω6␘ηＨｃθ？␝=ρ. ",
		out:  "␉./␙ｕ&␡\x0f␍␎Ｌω/＄＿π\x16ω6␘ηＨｃθ？␝=ρ. ",
	}, { // 3045
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉./␙ｕ&\x7f\x0f␍␎Ｌω/＄＿π\x16ω6␘ηＨｃθ？␝=ρ. ",
		out:  "‛␉./␙ｕ&␡\x0f␍␎Ｌω/＄＿π\x16ω6␘ηＨｃθ？␝=ρ. ",
	}, { // 3046
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\x12./␙ｕ&\x7f\x0f␍␎Ｌω/＄＿π\x16ω6␘ηＨｃθ？␝=ρ.\t",
		out:  "\x12./␙ｕ&␡\x0f␍␎Ｌω/＄＿π\x16ω6␘ηＨｃθ？␝=ρ.\t",
	}, { // 3047
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\x12./␙ｕ&\x7f\x0f␍␎Ｌω/＄＿π\x16ω6␘ηＨｃθ？␝=ρ.␉",
		out:  "\x12./␙ｕ&␡\x0f␍␎Ｌω/＄＿π\x16ω6␘ηＨｃθ？␝=ρ.␉",
	}, { // 3048
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\tｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\t␂",
		out:  "␉\tｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\t␂",
	}, { // 3049
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\tｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\t␂",
		out:  "‛␉\tｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\t␂",
	}, { // 3050
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\nｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\n␂",
		out:  "␉\nｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\n␂",
	}, { // 3051
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\nｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\n␂",
		out:  "‛␉\nｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\n␂",
	}, { // 3052
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\vｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\v␂",
		out:  "␉\vｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\v␂",
	}, { // 3053
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\vｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\v␂",
		out:  "‛␉\vｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\v␂",
	}, { // 3054
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\rｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\r␂",
		out:  "␉\rｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\r␂",
	}, { // 3055
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\rｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\r␂",
		out:  "‛␉\rｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\r␂",
	}, { // 3056
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\tｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\t\t",
		out:  "ι\tｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\t␉",
	}, { // 3057
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\tｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\t␉",
		out:  "ι\tｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\t‛␉",
	}, { // 3058
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\nｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\n\t",
		out:  "ι\nｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\n␉",
	}, { // 3059
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\nｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\n␉",
		out:  "ι\nｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\n‛␉",
	}, { // 3060
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\vｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\v\t",
		out:  "ι\vｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\v␉",
	}, { // 3061
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\vｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\v␉",
		out:  "ι\vｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\v‛␉",
	}, { // 3062
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\rｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\r\t",
		out:  "ι\rｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\r␉",
	}, { // 3063
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\rｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\r␉",
		out:  "ι\rｃ_Ｘ\x7fε\x7f％ｌτρFξＪc&␌␗l\x11Ｓ(;␌－\x16\x01\r‛␉",
	}, { // 3064
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\tＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\tπ",
		out:  "␉\tＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\tπ",
	}, { // 3065
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\tＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\tπ",
		out:  "‛␉\tＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\tπ",
	}, { // 3066
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\nＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\nπ",
		out:  "␉\nＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\nπ",
	}, { // 3067
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\nＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\nπ",
		out:  "‛␉\nＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\nπ",
	}, { // 3068
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\vＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\vπ",
		out:  "␉\vＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\vπ",
	}, { // 3069
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\vＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\vπ",
		out:  "‛␉\vＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\vπ",
	}, { // 3070
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\rＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\rπ",
		out:  "␉\rＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\rπ",
	}, { // 3071
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\rＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\rπ",
		out:  "‛␉\rＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\rπ",
	}, { // 3072
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "%\tＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\t\t",
		out:  "%\tＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\t␉",
	}, { // 3073
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "%\tＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\t␉",
		out:  "%\tＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\t‛␉",
	}, { // 3074
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "%\nＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\n\t",
		out:  "%\nＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\n␉",
	}, { // 3075
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "%\nＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\n␉",
		out:  "%\nＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\n‛␉",
	}, { // 3076
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "%\vＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\v\t",
		out:  "%\vＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\v␉",
	}, { // 3077
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "%\vＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\v␉",
		out:  "%\vＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\v‛␉",
	}, { // 3078
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "%\rＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\r\t",
		out:  "%\rＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\r␉",
	}, { // 3079
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "%\rＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\r␉",
		out:  "%\rＰ［o\x16␖Ｂ.;!β]\x06＝␊␜␉f␔$s␂γξ\uff00ｍδ\r‛␉",
	}, { // 3080
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\tＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\t3",
		out:  "␉\tＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\t3",
	}, { // 3081
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\tＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\t3",
		out:  "‛␉\tＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\t3",
	}, { // 3082
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\nＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\n3",
		out:  "␉\nＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\n3",
	}, { // 3083
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\nＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\n3",
		out:  "‛␉\nＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\n3",
	}, { // 3084
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\vＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\v3",
		out:  "␉\vＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\v3",
	}, { // 3085
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\vＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\v3",
		out:  "‛␉\vＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\v3",
	}, { // 3086
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\rＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\r3",
		out:  "␉\rＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\r3",
	}, { // 3087
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\rＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\r3",
		out:  "‛␉\rＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\r3",
	}, { // 3088
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "γ\tＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\t\t",
		out:  "γ\tＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\t␉",
	}, { // 3089
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "γ\tＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\t␉",
		out:  "γ\tＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\t‛␉",
	}, { // 3090
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "γ\nＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\n\t",
		out:  "γ\nＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\n␉",
	}, { // 3091
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "γ\nＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\n␉",
		out:  "γ\nＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\n‛␉",
	}, { // 3092
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "γ\vＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\v\t",
		out:  "γ\vＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\v␉",
	}, { // 3093
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "γ\vＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\v␉",
		out:  "γ\vＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\v‛␉",
	}, { // 3094
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "γ\rＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\r\t",
		out:  "γ\rＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\r␉",
	}, { // 3095
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "γ\rＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\r␉",
		out:  "γ\rＷｓ\x1bＧ\x04με\x0exηI!？w］b␔！␈＆\n*ξ\x1bτ％\r‛␉",
	}, { // 3096
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\tＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\t；",
		out:  "␉\tＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\t；",
	}, { // 3097
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\tＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\t；",
		out:  "‛␉\tＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\t；",
	}, { // 3098
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\nＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\n；",
		out:  "␉\nＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\n；",
	}, { // 3099
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\nＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\n；",
		out:  "‛␉\nＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\n；",
	}, { // 3100
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\vＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\v；",
		out:  "␉\vＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\v；",
	}, { // 3101
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\vＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\v；",
		out:  "‛␉\vＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\v；",
	}, { // 3102
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\rＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\r；",
		out:  "␉\rＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\r；",
	}, { // 3103
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\rＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\r；",
		out:  "‛␉\rＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\r；",
	}, { // 3104
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␎\tＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\t\t",
		out:  "␎\tＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\t␉",
	}, { // 3105
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␎\tＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\t␉",
		out:  "␎\tＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\t‛␉",
	}, { // 3106
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␎\nＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\n\t",
		out:  "␎\nＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\n␉",
	}, { // 3107
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␎\nＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\n␉",
		out:  "␎\nＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\n‛␉",
	}, { // 3108
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␎\vＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\v\t",
		out:  "␎\vＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\v␉",
	}, { // 3109
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␎\vＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\v␉",
		out:  "␎\vＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\v‛␉",
	}, { // 3110
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␎\rＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\r\t",
		out:  "␎\rＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\r␉",
	}, { // 3111
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␎\rＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\r␉",
		out:  "␎\rＶ<F␛␇ληOφ1ｎ\a＇|.AＣｂｆ？\x03\x0eοω\nＨ\r‛␉",
	}, { // 3112
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\tε",
		out:  "␉\t␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\tε",
	}, { // 3113
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\tε",
		out:  "‛␉\t␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\tε",
	}, { // 3114
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\nε",
		out:  "␉\n␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\nε",
	}, { // 3115
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\nε",
		out:  "‛␉\n␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\nε",
	}, { // 3116
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\vε",
		out:  "␉\v␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\vε",
	}, { // 3117
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\vε",
		out:  "‛␉\v␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\vε",
	}, { // 3118
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\rε",
		out:  "␉\r␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\rε",
	}, { // 3119
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\rε",
		out:  "‛␉\r␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\rε",
	}, { // 3120
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\t␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\t\t",
		out:  "ι\t␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\t␉",
	}, { // 3121
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\t␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\t␉",
		out:  "ι\t␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\t‛␉",
	}, { // 3122
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\n␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\n\t",
		out:  "ι\n␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\n␉",
	}, { // 3123
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\n␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\n␉",
		out:  "ι\n␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\n‛␉",
	}, { // 3124
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\v␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\v\t",
		out:  "ι\v␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\v␉",
	}, { // 3125
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\v␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\v␉",
		out:  "ι\v␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\v‛␉",
	}, { // 3126
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\r␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\r\t",
		out:  "ι\r␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\r␉",
	}, { // 3127
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\r␇\x1dθ␕\b\x0e＜ν␍］＝<9␑7６πe\rＤRv＄|：i\r␉",
		out:  "ι\r␇\x1dθ␕\b\x0e‛＜ν␍］＝＜9␑7６πe\rＤRv＄|：i\r‛␉",
	}, { // 3128
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\tρ",
		out:  "␉\t;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\tρ",
	}, { // 3129
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\tρ",
		out:  "‛␉\t;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\tρ",
	}, { // 3130
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\nρ",
		out:  "␉\n;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\nρ",
	}, { // 3131
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\nρ",
		out:  "‛␉\n;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\nρ",
	}, { // 3132
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\vρ",
		out:  "␉\v;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\vρ",
	}, { // 3133
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\vρ",
		out:  "‛␉\v;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\vρ",
	}, { // 3134
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\rρ",
		out:  "␉\r;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\rρ",
	}, { // 3135
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\rρ",
		out:  "‛␉\r;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\rρ",
	}, { // 3136
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␞\t;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\t\t",
		out:  "␞\t;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\t␉",
	}, { // 3137
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␞\t;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\t␉",
		out:  "␞\t;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\t‛␉",
	}, { // 3138
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␞\n;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\n\t",
		out:  "␞\n;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\n␉",
	}, { // 3139
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␞\n;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\n␉",
		out:  "␞\n;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\n‛␉",
	}, { // 3140
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␞\v;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\v\t",
		out:  "␞\v;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\v␉",
	}, { // 3141
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␞\v;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\v␉",
		out:  "␞\v;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\v‛␉",
	}, { // 3142
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␞\r;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\r\t",
		out:  "␞\r;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\r␉",
	}, { // 3143
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␞\r;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\r␉",
		out:  "␞\r;λ␗␐;λ<␋/\a;η２2RB＼\x11\x03ς９７６\x0fσＹ\r‛␉",
	}, { // 3144
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\t␏",
		out:  "␉\t␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\t␏",
	}, { // 3145
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\t␏",
		out:  "‛␉\t␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\t␏",
	}, { // 3146
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\n␏",
		out:  "␉\n␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\n␏",
	}, { // 3147
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\n␏",
		out:  "‛␉\n␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\n␏",
	}, { // 3148
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\v␏",
		out:  "␉\v␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\v␏",
	}, { // 3149
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\v␏",
		out:  "‛␉\v␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\v␏",
	}, { // 3150
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\r␏",
		out:  "␉\r␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\r␏",
	}, { // 3151
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\r␏",
		out:  "‛␉\r␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\r␏",
	}, { // 3152
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "N\t␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\t\t",
		out:  "N\t␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\t␉",
	}, { // 3153
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "N\t␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\t␉",
		out:  "N\t␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\t‛␉",
	}, { // 3154
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "N\n␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\n\t",
		out:  "N\n␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\n␉",
	}, { // 3155
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "N\n␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\n␉",
		out:  "N\n␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\n‛␉",
	}, { // 3156
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "N\v␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\v\t",
		out:  "N\v␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\v␉",
	}, { // 3157
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "N\v␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\v␉",
		out:  "N\v␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\v‛␉",
	}, { // 3158
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "N\r␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\r\t",
		out:  "N\r␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\r␉",
	}, { // 3159
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "N\r␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\r␉",
		out:  "N\r␜DDα␌\x1bθ＿\"\rＪ␍：κτ␅\x12\"ａ>π\x0e＂\rαＸ\r‛␉",
	}, { // 3160
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\t\x0e",
		out:  "␉\t'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\t\x0e",
	}, { // 3161
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\t\x0e",
		out:  "‛␉\t'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\t\x0e",
	}, { // 3162
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\n\x0e",
		out:  "␉\n'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\n\x0e",
	}, { // 3163
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\n\x0e",
		out:  "‛␉\n'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\n\x0e",
	}, { // 3164
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\v\x0e",
		out:  "␉\v'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\v\x0e",
	}, { // 3165
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\v\x0e",
		out:  "‛␉\v'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\v\x0e",
	}, { // 3166
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\r\x0e",
		out:  "␉\r'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\r\x0e",
	}, { // 3167
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\r\x0e",
		out:  "‛␉\r'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\r\x0e",
	}, { // 3168
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\t'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\t\t",
		out:  "ι\t'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\t␉",
	}, { // 3169
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\t'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\t␉",
		out:  "ι\t'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\t‛␉",
	}, { // 3170
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\n'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\n\t",
		out:  "ι\n'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\n␉",
	}, { // 3171
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\n'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\n␉",
		out:  "ι\n'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\n‛␉",
	}, { // 3172
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\v'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\v\t",
		out:  "ι\v'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\v␉",
	}, { // 3173
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\v'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\v␉",
		out:  "ι\v'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\v‛␉",
	}, { // 3174
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\r'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\r\t",
		out:  "ι\r'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\r␉",
	}, { // 3175
		mask: EncodeExclamation | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\r'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁！m␈\r␉",
		out:  "ι\r'`ζＡ=τ\nＵ［␖R6Ｕ\x19`B３ψφR␞␎␁‛！m␈\r‛␉",
	}, { // 3176
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\tβ",
		out:  "␉\t*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\tβ",
	}, { // 3177
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\tβ",
		out:  "‛␉\t*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\tβ",
	}, { // 3178
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\nβ",
		out:  "␉\n*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\nβ",
	}, { // 3179
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\nβ",
		out:  "‛␉\n*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\nβ",
	}, { // 3180
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\vβ",
		out:  "␉\v*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\vβ",
	}, { // 3181
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\vβ",
		out:  "‛␉\v*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\vβ",
	}, { // 3182
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\rβ",
		out:  "␉\r*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\rβ",
	}, { // 3183
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\rβ",
		out:  "‛␉\r*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\rβ",
	}, { // 3184
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\r\t*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\t\t",
		out:  "␍\t*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\t␉",
	}, { // 3185
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\r\t*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\t␉",
		out:  "␍\t*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\t‛␉",
	}, { // 3186
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\r\n*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\n\t",
		out:  "␍\n*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\n␉",
	}, { // 3187
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\r\n*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\n␉",
		out:  "␍\n*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\n‛␉",
	}, { // 3188
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\r\v*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\v\t",
		out:  "␍\v*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\v␉",
	}, { // 3189
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\r\v*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\v␉",
		out:  "␍\v*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\v‛␉",
	}, { // 3190
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\r\r*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\r\t",
		out:  "␍\r*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\r␉",
	}, { // 3191
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\r\r*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\r␉",
		out:  "␍\r*\x02＠␔LτM｛␃C␊␘I\x17ＳｏαW␚οＣ␈'｜\x17d\r‛␉",
	}, { // 3192
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\tψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\t\v",
		out:  "␉\tψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\t␋",
	}, { // 3193
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\tψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\t\v",
		out:  "‛␉\tψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\t␋",
	}, { // 3194
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\nψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\n\v",
		out:  "␉\nψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\n␋",
	}, { // 3195
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\nψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\n\v",
		out:  "‛␉\nψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\n␋",
	}, { // 3196
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\vψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\v\v",
		out:  "␉\vψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\v␋",
	}, { // 3197
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\vψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\v\v",
		out:  "‛␉\vψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\v␋",
	}, { // 3198
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\rψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\r\v",
		out:  "␉\rψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\r␋",
	}, { // 3199
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\rψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\r\v",
		out:  "‛␉\rψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\r␋",
	}, { // 3200
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\tψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\t\t",
		out:  "\x13\tψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\t␉",
	}, { // 3201
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\tψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\t␉",
		out:  "\x13\tψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\t‛␉",
	}, { // 3202
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\nψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\n\t",
		out:  "\x13\nψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\n␉",
	}, { // 3203
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\nψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\n␉",
		out:  "\x13\nψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\n‛␉",
	}, { // 3204
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\vψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\v\t",
		out:  "\x13\vψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\v␉",
	}, { // 3205
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\vψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\v␉",
		out:  "\x13\vψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\v‛␉",
	}, { // 3206
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\rψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\r\t",
		out:  "\x13\rψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\r␉",
	}, { // 3207
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\rψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\r␉",
		out:  "\x13\rψς␔8R[\x12ｆｖ␐ψ｜θ'|？PT\r！\x03ｑρ７␜＊\r‛␉",
	}, { // 3208
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\tＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\t\x18",
		out:  "␉\tＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\t\x18",
	}, { // 3209
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\tＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\t\x18",
		out:  "‛␉\tＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\t\x18",
	}, { // 3210
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\nＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\n\x18",
		out:  "␉\nＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\n\x18",
	}, { // 3211
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\nＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\n\x18",
		out:  "‛␉\nＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\n\x18",
	}, { // 3212
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\vＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\v\x18",
		out:  "␉\vＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\v\x18",
	}, { // 3213
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\vＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\v\x18",
		out:  "‛␉\vＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\v\x18",
	}, { // 3214
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\rＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\r\x18",
		out:  "␉\rＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\r\x18",
	}, { // 3215
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\rＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\r\x18",
		out:  "‛␉\rＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\r\x18",
	}, { // 3216
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "h\tＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\t\t",
		out:  "h\tＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\t␉",
	}, { // 3217
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "h\tＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\t␉",
		out:  "h\tＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\t‛␉",
	}, { // 3218
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "h\nＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\n\t",
		out:  "h\nＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\n␉",
	}, { // 3219
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "h\nＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\n␉",
		out:  "h\nＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\n‛␉",
	}, { // 3220
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "h\vＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\v\t",
		out:  "h\vＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\v␉",
	}, { // 3221
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "h\vＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\v␉",
		out:  "h\vＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\v‛␉",
	}, { // 3222
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "h\rＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\r\t",
		out:  "h\rＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\r␉",
	}, { // 3223
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "h\rＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\r␉",
		out:  "h\rＫςｖξ５\x19＊Ｒ␍？^ｙn\x15Ｖνθ␞␟］χοl/\x17k\r‛␉",
	}, { // 3224
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\tο",
		out:  "␉\t\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\tο",
	}, { // 3225
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\tο",
		out:  "‛␉\t\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\tο",
	}, { // 3226
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\nο",
		out:  "␉\n\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\nο",
	}, { // 3227
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\nο",
		out:  "‛␉\n\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\nο",
	}, { // 3228
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\vο",
		out:  "␉\v\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\vο",
	}, { // 3229
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\vο",
		out:  "‛␉\v\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\vο",
	}, { // 3230
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\rο",
		out:  "␉\r\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\rο",
	}, { // 3231
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\rο",
		out:  "‛␉\r\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\rο",
	}, { // 3232
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "φ\t\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\t\t",
		out:  "φ\t\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\t␉",
	}, { // 3233
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "φ\t\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\t␉",
		out:  "φ\t\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\t‛␉",
	}, { // 3234
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "φ\n\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\n\t",
		out:  "φ\n\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\n␉",
	}, { // 3235
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "φ\n\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\n␉",
		out:  "φ\n\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\n‛␉",
	}, { // 3236
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "φ\v\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\v\t",
		out:  "φ\v\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\v␉",
	}, { // 3237
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "φ\v\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\v␉",
		out:  "φ\v\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\v‛␉",
	}, { // 3238
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "φ\r\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\r\t",
		out:  "φ\r\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\r␉",
	}, { // 3239
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "φ\r\x1c<␉\x1cψ{␖\n？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\r␉",
		out:  "φ\r\x1c<␉\x1cψ{␖\n‛？ξ␁YｇψＡ５\x13␅Cｖζ\x11f␄Y;\r‛␉",
	}, { // 3240
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\tυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\t\x19",
		out:  "␉\tυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\t\x19",
	}, { // 3241
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\tυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\t\x19",
		out:  "‛␉\tυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\t\x19",
	}, { // 3242
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\nυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\n\x19",
		out:  "␉\nυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\n\x19",
	}, { // 3243
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\nυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\n\x19",
		out:  "‛␉\nυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\n\x19",
	}, { // 3244
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\vυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\v\x19",
		out:  "␉\vυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\v\x19",
	}, { // 3245
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\vυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\v\x19",
		out:  "‛␉\vυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\v\x19",
	}, { // 3246
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\rυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\r\x19",
		out:  "␉\rυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\r\x19",
	}, { // 3247
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\rυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\r\x19",
		out:  "‛␉\rυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\r\x19",
	}, { // 3248
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\tυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\t\t",
		out:  "\x13\tυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\t␉",
	}, { // 3249
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\tυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\t␉",
		out:  "\x13\tυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\t‛␉",
	}, { // 3250
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\nυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\n\t",
		out:  "\x13\nυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\n␉",
	}, { // 3251
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\nυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\n␉",
		out:  "\x13\nυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\n‛␉",
	}, { // 3252
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\vυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\v\t",
		out:  "\x13\vυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\v␉",
	}, { // 3253
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\vυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\v␉",
		out:  "\x13\vυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\v‛␉",
	}, { // 3254
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\rυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\r\t",
		out:  "\x13\rυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\r␉",
	}, { // 3255
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x13\rυU␉σ9<8θ－␒\x00␊O％＜f\x00\x14ＮＪαζ#＼␗１\r␉",
		out:  "\x13\rυU␉σ9<8θ－␒␀␊O％＜f␀\x14ＮＪαζ#＼␗１\r‛␉",
	}, { // 3256
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\t<",
		out:  "␉\t␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\t<",
	}, { // 3257
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\t<",
		out:  "‛␉\t␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\t<",
	}, { // 3258
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\n<",
		out:  "␉\n␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\n<",
	}, { // 3259
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\n<",
		out:  "‛␉\n␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\n<",
	}, { // 3260
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\v<",
		out:  "␉\v␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\v<",
	}, { // 3261
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\v<",
		out:  "‛␉\v␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\v<",
	}, { // 3262
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\r<",
		out:  "␉\r␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\r<",
	}, { // 3263
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\r<",
		out:  "‛␉\r␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\r<",
	}, { // 3264
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ε\t␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\t\t",
		out:  "ε\t␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\t␉",
	}, { // 3265
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ε\t␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\t␉",
		out:  "ε\t␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\t‛␉",
	}, { // 3266
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ε\n␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\n\t",
		out:  "ε\n␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\n␉",
	}, { // 3267
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ε\n␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\n␉",
		out:  "ε\n␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\n‛␉",
	}, { // 3268
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ε\v␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\v\t",
		out:  "ε\v␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\v␉",
	}, { // 3269
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ε\v␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\v␉",
		out:  "ε\v␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\v‛␉",
	}, { // 3270
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ε\r␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\r\t",
		out:  "ε\r␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\r␉",
	}, { // 3271
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ε\r␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\r␉",
		out:  "ε\r␔＄ＶοNｗCω/αY＼␋<`ＤZ＊lγw\x19＆＇；／\r‛␉",
	}, { // 3272
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\tζ",
		out:  "␉\t␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\tζ",
	}, { // 3273
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\tζ",
		out:  "‛␉\t␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\tζ",
	}, { // 3274
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\nζ",
		out:  "␉\n␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\nζ",
	}, { // 3275
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\nζ",
		out:  "‛␉\n␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\nζ",
	}, { // 3276
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\vζ",
		out:  "␉\v␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\vζ",
	}, { // 3277
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\vζ",
		out:  "‛␉\v␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\vζ",
	}, { // 3278
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\rζ",
		out:  "␉\r␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\rζ",
	}, { // 3279
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\rζ",
		out:  "‛␉\r␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\rζ",
	}, { // 3280
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␜\t␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\t\t",
		out:  "␜\t␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\t␉",
	}, { // 3281
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␜\t␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\t␉",
		out:  "␜\t␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\t‛␉",
	}, { // 3282
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␜\n␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\n\t",
		out:  "␜\n␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\n␉",
	}, { // 3283
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␜\n␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\n␉",
		out:  "␜\n␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\n‛␉",
	}, { // 3284
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␜\v␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\v\t",
		out:  "␜\v␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\v␉",
	}, { // 3285
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␜\v␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\v␉",
		out:  "␜\v␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\v‛␉",
	}, { // 3286
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␜\r␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\r\t",
		out:  "␜\r␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\r␉",
	}, { // 3287
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␜\r␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\r␉",
		out:  "␜\r␄␂&＾；εςN/g｀|α\f\x1aξＵＫE␏nＲＺ>\\␘\r‛␉",
	}, { // 3288
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\t｀",
		out:  "␉\t␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\t｀",
	}, { // 3289
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\t｀",
		out:  "‛␉\t␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\t｀",
	}, { // 3290
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\n｀",
		out:  "␉\n␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\n｀",
	}, { // 3291
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\n｀",
		out:  "‛␉\n␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\n｀",
	}, { // 3292
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\v｀",
		out:  "␉\v␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\v｀",
	}, { // 3293
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\v｀",
		out:  "‛␉\v␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\v｀",
	}, { // 3294
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\r｀",
		out:  "␉\r␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\r｀",
	}, { // 3295
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\r｀",
		out:  "‛␉\r␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\r｀",
	}, { // 3296
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x11\t␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\t\t",
		out:  "\x11\t␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\t␉",
	}, { // 3297
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x11\t␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\t␉",
		out:  "\x11\t␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\t‛␉",
	}, { // 3298
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x11\n␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\n\t",
		out:  "\x11\n␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\n␉",
	}, { // 3299
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x11\n␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\n␉",
		out:  "\x11\n␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\n‛␉",
	}, { // 3300
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x11\v␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\v\t",
		out:  "\x11\v␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\v␉",
	}, { // 3301
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x11\v␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\v␉",
		out:  "\x11\v␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\v‛␉",
	}, { // 3302
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x11\r␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\r\t",
		out:  "\x11\r␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\r␉",
	}, { // 3303
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x11\r␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\r␉",
		out:  "\x11\r␞␕］>γBIＧ３κ\x18␓\x05#\\ａγ␆υ～δ\ar*｝＇\r‛␉",
	}, { // 3304
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\t:",
		out:  "␉\t\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\t:",
	}, { // 3305
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\t:",
		out:  "‛␉\t\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\t:",
	}, { // 3306
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\n:",
		out:  "␉\n\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\n:",
	}, { // 3307
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\n:",
		out:  "‛␉\n\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\n:",
	}, { // 3308
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\v:",
		out:  "␉\v\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\v:",
	}, { // 3309
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\v:",
		out:  "‛␉\v\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\v:",
	}, { // 3310
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\r:",
		out:  "␉\r\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\r:",
	}, { // 3311
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\r:",
		out:  "‛␉\r\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\r:",
	}, { // 3312
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｄ\t\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\t\t",
		out:  "Ｄ\t\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\t␉",
	}, { // 3313
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｄ\t\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\t␉",
		out:  "Ｄ\t\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\t‛␉",
	}, { // 3314
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｄ\n\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\n\t",
		out:  "Ｄ\n\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\n␉",
	}, { // 3315
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｄ\n\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\n␉",
		out:  "Ｄ\n\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\n‛␉",
	}, { // 3316
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｄ\v\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\v\t",
		out:  "Ｄ\v\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\v␉",
	}, { // 3317
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｄ\v\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\v␉",
		out:  "Ｄ\v\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\v‛␉",
	}, { // 3318
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｄ\r\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\r\t",
		out:  "Ｄ\r\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\r␉",
	}, { // 3319
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｄ\r\x12＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\r␉",
		out:  "Ｄ\r\x12‛＼\"Ｋ␟τ＊p［ε␐｛u␑[\vκ\x15Ｂ␗=\x16␓μπr\r‛␉",
	}, { // 3320
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\tς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\tR",
		out:  "␉\tς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\tR",
	}, { // 3321
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\tς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\tR",
		out:  "‛␉\tς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\tR",
	}, { // 3322
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\nς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\nR",
		out:  "␉\nς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\nR",
	}, { // 3323
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\nς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\nR",
		out:  "‛␉\nς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\nR",
	}, { // 3324
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\vς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\vR",
		out:  "␉\vς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\vR",
	}, { // 3325
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\vς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\vR",
		out:  "‛␉\vς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\vR",
	}, { // 3326
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\rς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\rR",
		out:  "␉\rς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\rR",
	}, { // 3327
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\rς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\rR",
		out:  "‛␉\rς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\rR",
	}, { // 3328
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＾\tς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\t\t",
		out:  "＾\tς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\t␉",
	}, { // 3329
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＾\tς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\t␉",
		out:  "＾\tς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\t‛␉",
	}, { // 3330
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＾\nς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\n\t",
		out:  "＾\nς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\n␉",
	}, { // 3331
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＾\nς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\n␉",
		out:  "＾\nς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\n‛␉",
	}, { // 3332
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＾\vς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\v\t",
		out:  "＾\vς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\v␉",
	}, { // 3333
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＾\vς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\v␉",
		out:  "＾\vς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\v‛␉",
	}, { // 3334
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＾\rς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\r\t",
		out:  "＾\rς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\r␉",
	}, { // 3335
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＾\rς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\r␉",
		out:  "＾\rς\x10y␖ν｛｜\x0e＃＼＃'θ｛λＹf␜α`i｛\x0f\x11␈m\r‛␉",
	}, { // 3336
		mask: EncodeZero | EncodeRightSpace | EncodeLeftSpace,
		in:   "  \x1bE／<;␜＄]'|␀π'γ９＼ωχν|？␊τ␊␚U Ｊ",
		out:  "␠ \x1bE／<;␜＄]'|‛␀π'γ９＼ωχν|？␊τ␊␚U Ｊ",
	}, { // 3337
		mask: EncodeZero | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ \x1bE／<;␜＄]'|␀π'γ９＼ωχν|？␊τ␊␚U Ｊ",
		out:  "‛␠ \x1bE／<;␜＄]'|‛␀π'γ９＼ωχν|？␊τ␊␚U Ｊ",
	}, { // 3338
		mask: EncodeZero | EncodeRightSpace | EncodeLeftSpace,
		in:   "7 \x1bE／<;␜＄]'|␀π'γ９＼ωχν|？␊τ␊␚U  ",
		out:  "7 \x1bE／<;␜＄]'|‛␀π'γ９＼ωχν|？␊τ␊␚U ␠",
	}, { // 3339
		mask: EncodeZero | EncodeRightSpace | EncodeLeftSpace,
		in:   "7 \x1bE／<;␜＄]'|␀π'γ９＼ωχν|？␊τ␊␚U ␠",
		out:  "7 \x1bE／<;␜＄]'|‛␀π'γ９＼ωχν|？␊τ␊␚U ‛␠",
	}, { // 3340
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "  \x11t＜/τ１\x1dσ␊＞q!␇2？Ｆ\x06Hｐy＂χi`␀ｈ λ",
		out:  "␠ \x11t＜／τ１\x1dσ␊＞q!␇2？Ｆ\x06Hｐy＂χi`‛␀ｈ λ",
	}, { // 3341
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ \x11t＜/τ１\x1dσ␊＞q!␇2？Ｆ\x06Hｐy＂χi`␀ｈ λ",
		out:  "‛␠ \x11t＜／τ１\x1dσ␊＞q!␇2？Ｆ\x06Hｐy＂χi`‛␀ｈ λ",
	}, { // 3342
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "ζ \x11t＜/τ１\x1dσ␊＞q!␇2？Ｆ\x06Hｐy＂χi`␀ｈ  ",
		out:  "ζ \x11t＜／τ１\x1dσ␊＞q!␇2？Ｆ\x06Hｐy＂χi`‛␀ｈ ␠",
	}, { // 3343
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "ζ \x11t＜/τ１\x1dσ␊＞q!␇2？Ｆ\x06Hｐy＂χi`␀ｈ ␠",
		out:  "ζ \x11t＜／τ１\x1dσ␊＞q!␇2？Ｆ\x06Hｐy＂χi`‛␀ｈ ‛␠",
	}, { // 3344
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "  πZb*１ \x03β／＜τ]ξＵ\f／ιＭ\x02＊␙␎ψg#␚ \n",
		out:  "␠ πZb*１ \x03β／＜τ]ξＵ\f／ιＭ\x02＊␙␎ψg#␚ \n",
	}, { // 3345
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ πZb*１ \x03β／＜τ]ξＵ\f／ιＭ\x02＊␙␎ψg#␚ \n",
		out:  "‛␠ πZb*１ \x03β／＜τ]ξＵ\f／ιＭ\x02＊␙␎ψg#␚ \n",
	}, { // 3346
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "％ πZb*１ \x03β／＜τ]ξＵ\f／ιＭ\x02＊␙␎ψg#␚  ",
		out:  "％ πZb*１ \x03β／＜τ]ξＵ\f／ιＭ\x02＊␙␎ψg#␚ ␠",
	}, { // 3347
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "％ πZb*１ \x03β／＜τ]ξＵ\f／ιＭ\x02＊␙␎ψg#␚ ␠",
		out:  "％ πZb*１ \x03β／＜τ]ξＵ\f／ιＭ\x02＊␙␎ψg#␚ ‛␠",
	}, { // 3348
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "  \x1f]p)ｐθ４？\x06！ω␟：F(\x14＊Lφ＞␝）φλ～\x0e \x05",
		out:  "␠ \x1f]p)ｐθ４？\x06！ω␟：F(\x14＊Lφ＞␝）φλ～\x0e \x05",
	}, { // 3349
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ \x1f]p)ｐθ４？\x06！ω␟：F(\x14＊Lφ＞␝）φλ～\x0e \x05",
		out:  "‛␠ \x1f]p)ｐθ４？\x06！ω␟：F(\x14＊Lφ＞␝）φλ～\x0e \x05",
	}, { // 3350
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "S \x1f]p)ｐθ４？\x06！ω␟：F(\x14＊Lφ＞␝）φλ～\x0e  ",
		out:  "S \x1f]p)ｐθ４？\x06！ω␟：F(\x14＊Lφ＞␝）φλ～\x0e ␠",
	}, { // 3351
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "S \x1f]p)ｐθ４？\x06！ω␟：F(\x14＊Lφ＞␝）φλ～\x0e ␠",
		out:  "S \x1f]p)ｐθ４？\x06！ω␟：F(\x14＊Lφ＞␝）φλ～\x0e ‛␠",
	}, { // 3352
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftSpace,
		in:   "  οT＄hτεｇτ~５\"５\x13Ａ␎\x1b;\vNＧχ␖｜β␟４ ?",
		out:  "␠ οT＄hτεｇτ~５\"５\x13Ａ␎\x1b;\vNＧχ␖｜β␟４ ?",
	}, { // 3353
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ οT＄hτεｇτ~５\"５\x13Ａ␎\x1b;\vNＧχ␖｜β␟４ ?",
		out:  "‛␠ οT＄hτεｇτ~５\"５\x13Ａ␎\x1b;\vNＧχ␖｜β␟４ ?",
	}, { // 3354
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftSpace,
		in:   "␚ οT＄hτεｇτ~５\"５\x13Ａ␎\x1b;\vNＧχ␖｜β␟４  ",
		out:  "␚ οT＄hτεｇτ~５\"５\x13Ａ␎\x1b;\vNＧχ␖｜β␟４ ␠",
	}, { // 3355
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftSpace,
		in:   "␚ οT＄hτεｇτ~５\"５\x13Ａ␎\x1b;\vNＧχ␖｜β␟４ ␠",
		out:  "␚ οT＄hτεｇτ~５\"５\x13Ａ␎\x1b;\vNＧχ␖｜β␟４ ‛␠",
	}, { // 3356
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftSpace,
		in:   "  ｜␛g\x0eυ␑\x14Ｌ␋\x04mγ＿＄␚\x06Rs*\uff00９？\x03]|π γ",
		out:  "␠ ｜␛g\x0eυ␑\x14Ｌ␋\x04mγ＿＄␚\x06Rs*\uff00９？\x03］|π γ",
	}, { // 3357
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ ｜␛g\x0eυ␑\x14Ｌ␋\x04mγ＿＄␚\x06Rs*\uff00９？\x03]|π γ",
		out:  "‛␠ ｜␛g\x0eυ␑\x14Ｌ␋\x04mγ＿＄␚\x06Rs*\uff00９？\x03］|π γ",
	}, { // 3358
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftSpace,
		in:   "β ｜␛g\x0eυ␑\x14Ｌ␋\x04mγ＿＄␚\x06Rs*\uff00９？\x03]|π  ",
		out:  "β ｜␛g\x0eυ␑\x14Ｌ␋\x04mγ＿＄␚\x06Rs*\uff00９？\x03］|π ␠",
	}, { // 3359
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftSpace,
		in:   "β ｜␛g\x0eυ␑\x14Ｌ␋\x04mγ＿＄␚\x06Rs*\uff00９？\x03]|π ␠",
		out:  "β ｜␛g\x0eυ␑\x14Ｌ␋\x04mγ＿＄␚\x06Rs*\uff00９？\x03］|π ‛␠",
	}, { // 3360
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftSpace,
		in:   "  ;Ｍ\aκ␊φ\x0e＾εq＆τυC␀KＯ␙\x1bＡ＼５-% ＞ L",
		out:  "␠ ；Ｍ\aκ␊φ\x0e＾εq＆τυC‛␀KＯ␙\x1bＡ＼５-% ＞ L",
	}, { // 3361
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ ;Ｍ\aκ␊φ\x0e＾εq＆τυC␀KＯ␙\x1bＡ＼５-% ＞ L",
		out:  "‛␠ ；Ｍ\aκ␊φ\x0e＾εq＆τυC‛␀KＯ␙\x1bＡ＼５-% ＞ L",
	}, { // 3362
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftSpace,
		in:   "\x19 ;Ｍ\aκ␊φ\x0e＾εq＆τυC␀KＯ␙\x1bＡ＼５-% ＞  ",
		out:  "\x19 ；Ｍ\aκ␊φ\x0e＾εq＆τυC‛␀KＯ␙\x1bＡ＼５-% ＞ ␠",
	}, { // 3363
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftSpace,
		in:   "\x19 ;Ｍ\aκ␊φ\x0e＾εq＆τυC␀KＯ␙\x1bＡ＼５-% ＞ ␠",
		out:  "\x19 ；Ｍ\aκ␊φ\x0e＾εq＆τυC‛␀KＯ␙\x1bＡ＼５-% ＞ ‛␠",
	}, { // 3364
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftSpace,
		in:   "  3␜θπ\x190:ψｅｍ␗␑\x04␝␇t2ｋ\x0eγυ\"Ｑ␚-ｒ υ",
		out:  "␠ 3␜θπ\x190:ψｅｍ␗␑\x04␝␇t2ｋ\x0eγυ\"Ｑ␚-ｒ υ",
	}, { // 3365
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ 3␜θπ\x190:ψｅｍ␗␑\x04␝␇t2ｋ\x0eγυ\"Ｑ␚-ｒ υ",
		out:  "‛␠ 3␜θπ\x190:ψｅｍ␗␑\x04␝␇t2ｋ\x0eγυ\"Ｑ␚-ｒ υ",
	}, { // 3366
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftSpace,
		in:   "Ｎ 3␜θπ\x190:ψｅｍ␗␑\x04␝␇t2ｋ\x0eγυ\"Ｑ␚-ｒ  ",
		out:  "Ｎ 3␜θπ\x190:ψｅｍ␗␑\x04␝␇t2ｋ\x0eγυ\"Ｑ␚-ｒ ␠",
	}, { // 3367
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftSpace,
		in:   "Ｎ 3␜θπ\x190:ψｅｍ␗␑\x04␝␇t2ｋ\x0eγυ\"Ｑ␚-ｒ ␠",
		out:  "Ｎ 3␜θπ\x190:ψｅｍ␗␑\x04␝␇t2ｋ\x0eγυ\"Ｑ␚-ｒ ‛␠",
	}, { // 3368
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftSpace,
		in:   "  ８Ｙ\x03␌;␌＿\r\rJκ］Cυτ＂\x03Wψ，｜｀\x1fω␍\x7f μ",
		out:  "␠ ８Ｙ\x03␌;␌＿\r\rJκ］Cυτ＂\x03Wψ，｜｀\x1fω␍\x7f μ",
	}, { // 3369
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ ８Ｙ\x03␌;␌＿\r\rJκ］Cυτ＂\x03Wψ，｜｀\x1fω␍\x7f μ",
		out:  "‛␠ ８Ｙ\x03␌;␌＿\r\rJκ］Cυτ＂\x03Wψ，｜｀\x1fω␍\x7f μ",
	}, { // 3370
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftSpace,
		in:   "␃ ８Ｙ\x03␌;␌＿\r\rJκ］Cυτ＂\x03Wψ，｜｀\x1fω␍\x7f  ",
		out:  "␃ ８Ｙ\x03␌;␌＿\r\rJκ］Cυτ＂\x03Wψ，｜｀\x1fω␍\x7f ␠",
	}, { // 3371
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftSpace,
		in:   "␃ ８Ｙ\x03␌;␌＿\r\rJκ］Cυτ＂\x03Wψ，｜｀\x1fω␍\x7f ␠",
		out:  "␃ ８Ｙ\x03␌;␌＿\r\rJκ］Cυτ＂\x03Wψ，｜｀\x1fω␍\x7f ‛␠",
	}, { // 3372
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "  σ？ζeＸ'$␇］*\x00＜Ｅ␒＾=?βBC＜\tγ␀|\r ␒",
		out:  "␠ σ？ζeＸ'$␇］*␀＜Ｅ␒＾=?βBC＜\tγ‛␀|\r ␒",
	}, { // 3373
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ σ？ζeＸ'$␇］*\x00＜Ｅ␒＾=?βBC＜\tγ␀|\r ␒",
		out:  "‛␠ σ？ζeＸ'$␇］*␀＜Ｅ␒＾=?βBC＜\tγ‛␀|\r ␒",
	}, { // 3374
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "␁ σ？ζeＸ'$␇］*\x00＜Ｅ␒＾=?βBC＜\tγ␀|\r  ",
		out:  "␁ σ？ζeＸ'$␇］*␀＜Ｅ␒＾=?βBC＜\tγ‛␀|\r ␠",
	}, { // 3375
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "␁ σ？ζeＸ'$␇］*\x00＜Ｅ␒＾=?βBC＜\tγ␀|\r ␠",
		out:  "␁ σ？ζeＸ'$␇］*␀＜Ｅ␒＾=?βBC＜\tγ‛␀|\r ‛␠",
	}, { // 3376
		mask: EncodeColon | EncodeRightSpace | EncodeLeftSpace,
		in:   "  e\fργρ＄Ｆ␝\x01␘２`\a!ｌh␁\x16λ␚␗OO５t' ／",
		out:  "␠ e\fργρ＄Ｆ␝\x01␘２`\a!ｌh␁\x16λ␚␗OO５t' ／",
	}, { // 3377
		mask: EncodeColon | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ e\fργρ＄Ｆ␝\x01␘２`\a!ｌh␁\x16λ␚␗OO５t' ／",
		out:  "‛␠ e\fργρ＄Ｆ␝\x01␘２`\a!ｌh␁\x16λ␚␗OO５t' ／",
	}, { // 3378
		mask: EncodeColon | EncodeRightSpace | EncodeLeftSpace,
		in:   "ψ e\fργρ＄Ｆ␝\x01␘２`\a!ｌh␁\x16λ␚␗OO５t'  ",
		out:  "ψ e\fργρ＄Ｆ␝\x01␘２`\a!ｌh␁\x16λ␚␗OO５t' ␠",
	}, { // 3379
		mask: EncodeColon | EncodeRightSpace | EncodeLeftSpace,
		in:   "ψ e\fργρ＄Ｆ␝\x01␘２`\a!ｌh␁\x16λ␚␗OO５t' ␠",
		out:  "ψ e\fργρ＄Ｆ␝\x01␘２`\a!ｌh␁\x16λ␚␗OO５t' ‛␠",
	}, { // 3380
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftSpace,
		in:   "  ｉfＺｏv␈νμH\x18/［｜σ␑γ*u␌９␞␈δnι\x15 \"",
		out:  "␠ ｉfＺｏv␈νμH\x18/［｜σ␑γ*u␌９␞␈δnι\x15 \"",
	}, { // 3381
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ ｉfＺｏv␈νμH\x18/［｜σ␑γ*u␌９␞␈δnι\x15 \"",
		out:  "‛␠ ｉfＺｏv␈νμH\x18/［｜σ␑γ*u␌９␞␈δnι\x15 \"",
	}, { // 3382
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftSpace,
		in:   "% ｉfＺｏv␈νμH\x18/［｜σ␑γ*u␌９␞␈δnι\x15  ",
		out:  "% ｉfＺｏv␈νμH\x18/［｜σ␑γ*u␌９␞␈δnι\x15 ␠",
	}, { // 3383
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftSpace,
		in:   "% ｉfＺｏv␈νμH\x18/［｜σ␑γ*u␌９␞␈δnι\x15 ␠",
		out:  "% ｉfＺｏv␈νμH\x18/［｜σ␑γ*u␌９␞␈δnι\x15 ‛␠",
	}, { // 3384
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftSpace,
		in:   "  ;w]ηε␛；ｄσ\b＃＄Bφ␘γOｏ&\x17<＊8␑｛u ν",
		out:  "␠ ;w]ηε␛；ｄσ\b＃＄Bφ␘γOｏ&\x17<‛＊8␑｛u ν",
	}, { // 3385
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ ;w]ηε␛；ｄσ\b＃＄Bφ␘γOｏ&\x17<＊8␑｛u ν",
		out:  "‛␠ ;w]ηε␛；ｄσ\b＃＄Bφ␘γOｏ&\x17<‛＊8␑｛u ν",
	}, { // 3386
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftSpace,
		in:   "： ;w]ηε␛；ｄσ\b＃＄Bφ␘γOｏ&\x17<＊8␑｛u  ",
		out:  "： ;w]ηε␛；ｄσ\b＃＄Bφ␘γOｏ&\x17<‛＊8␑｛u ␠",
	}, { // 3387
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftSpace,
		in:   "： ;w]ηε␛；ｄσ\b＃＄Bφ␘γOｏ&\x17<＊8␑｛u ␠",
		out:  "： ;w]ηε␛；ｄσ\b＃＄Bφ␘γOｏ&\x17<‛＊8␑｛u ‛␠",
	}, { // 3388
		mask: EncodePipe | EncodeRightSpace | EncodeLeftSpace,
		in:   "  \x11yＰ␓＇γ＄８｀ｗ\\η：\nρ!；＂ψ\x17␑ζd3／~ Z",
		out:  "␠ \x11yＰ␓＇γ＄８｀ｗ\\η：\nρ!；＂ψ\x17␑ζd3／~ Z",
	}, { // 3389
		mask: EncodePipe | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ \x11yＰ␓＇γ＄８｀ｗ\\η：\nρ!；＂ψ\x17␑ζd3／~ Z",
		out:  "‛␠ \x11yＰ␓＇γ＄８｀ｗ\\η：\nρ!；＂ψ\x17␑ζd3／~ Z",
	}, { // 3390
		mask: EncodePipe | EncodeRightSpace | EncodeLeftSpace,
		in:   "\x16 \x11yＰ␓＇γ＄８｀ｗ\\η：\nρ!；＂ψ\x17␑ζd3／~  ",
		out:  "\x16 \x11yＰ␓＇γ＄８｀ｗ\\η：\nρ!；＂ψ\x17␑ζd3／~ ␠",
	}, { // 3391
		mask: EncodePipe | EncodeRightSpace | EncodeLeftSpace,
		in:   "\x16 \x11yＰ␓＇γ＄８｀ｗ\\η：\nρ!；＂ψ\x17␑ζd3／~ ␠",
		out:  "\x16 \x11yＰ␓＇γ＄８｀ｗ\\η：\nρ!；＂ψ\x17␑ζd3／~ ‛␠",
	}, { // 3392
		mask: EncodeHash | EncodeRightSpace | EncodeLeftSpace,
		in:   "  πr\n\t\x06)φWτ＄␃␈\x0fρ␐Ｘ?Cα［␗ｃ\x04ρｗ{ ＞",
		out:  "␠ πr\n\t\x06)φWτ＄␃␈\x0fρ␐Ｘ?Cα［␗ｃ\x04ρｗ{ ＞",
	}, { // 3393
		mask: EncodeHash | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ πr\n\t\x06)φWτ＄␃␈\x0fρ␐Ｘ?Cα［␗ｃ\x04ρｗ{ ＞",
		out:  "‛␠ πr\n\t\x06)φWτ＄␃␈\x0fρ␐Ｘ?Cα［␗ｃ\x04ρｗ{ ＞",
	}, { // 3394
		mask: EncodeHash | EncodeRightSpace | EncodeLeftSpace,
		in:   "␒ πr\n\t\x06)φWτ＄␃␈\x0fρ␐Ｘ?Cα［␗ｃ\x04ρｗ{  ",
		out:  "␒ πr\n\t\x06)φWτ＄␃␈\x0fρ␐Ｘ?Cα［␗ｃ\x04ρｗ{ ␠",
	}, { // 3395
		mask: EncodeHash | EncodeRightSpace | EncodeLeftSpace,
		in:   "␒ πr\n\t\x06)φWτ＄␃␈\x0fρ␐Ｘ?Cα［␗ｃ\x04ρｗ{ ␠",
		out:  "␒ πr\n\t\x06)φWτ＄␃␈\x0fρ␐Ｘ?Cα［␗ｃ\x04ρｗ{ ‛␠",
	}, { // 3396
		mask: EncodePercent | EncodeRightSpace | EncodeLeftSpace,
		in:   "  υ=]～η３θqξ＊ρ7：␕[η\x18！\x02ｐ０'U4\x17␃ \b",
		out:  "␠ υ=]～η３θqξ＊ρ7：␕[η\x18！\x02ｐ０'U4\x17␃ \b",
	}, { // 3397
		mask: EncodePercent | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ υ=]～η３θqξ＊ρ7：␕[η\x18！\x02ｐ０'U4\x17␃ \b",
		out:  "‛␠ υ=]～η３θqξ＊ρ7：␕[η\x18！\x02ｐ０'U4\x17␃ \b",
	}, { // 3398
		mask: EncodePercent | EncodeRightSpace | EncodeLeftSpace,
		in:   "＾ υ=]～η３θqξ＊ρ7：␕[η\x18！\x02ｐ０'U4\x17␃  ",
		out:  "＾ υ=]～η３θqξ＊ρ7：␕[η\x18！\x02ｐ０'U4\x17␃ ␠",
	}, { // 3399
		mask: EncodePercent | EncodeRightSpace | EncodeLeftSpace,
		in:   "＾ υ=]～η３θqξ＊ρ7：␕[η\x18！\x02ｐ０'U4\x17␃ ␠",
		out:  "＾ υ=]～η３θqξ＊ρ7：␕[η\x18！\x02ｐ０'U4\x17␃ ‛␠",
	}, { // 3400
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "  5_␑［ｄ；δ\nsη<＇\x12\x0eUθｓgπｋφ>␁P$␊ ␓",
		out:  "␠ 5_␑［ｄ；δ\nsη<＇\x12\x0eUθｓgπｋφ>␁P$␊ ␓",
	}, { // 3401
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ 5_␑［ｄ；δ\nsη<＇\x12\x0eUθｓgπｋφ>␁P$␊ ␓",
		out:  "‛␠ 5_␑［ｄ；δ\nsη<＇\x12\x0eUθｓgπｋφ>␁P$␊ ␓",
	}, { // 3402
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "ｎ 5_␑［ｄ；δ\nsη<＇\x12\x0eUθｓgπｋφ>␁P$␊  ",
		out:  "ｎ 5_␑［ｄ；δ\nsη<＇\x12\x0eUθｓgπｋφ>␁P$␊ ␠",
	}, { // 3403
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "ｎ 5_␑［ｄ；δ\nsη<＇\x12\x0eUθｓgπｋφ>␁P$␊ ␠",
		out:  "ｎ 5_␑［ｄ；δ\nsη<＇\x12\x0eUθｓgπｋφ>␁P$␊ ‛␠",
	}, { // 3404
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftSpace,
		in:   "  !␃ｇι\x19|６<6Ｔ｀＊=␁；α\x05\n［ζ<\x00υ:κ＃ ＞",
		out:  "␠ !␃ｇι\x19|６<6Ｔ｀＊=␁；α\x05␊［ζ<␀υ:κ＃ ＞",
	}, { // 3405
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ !␃ｇι\x19|６<6Ｔ｀＊=␁；α\x05\n［ζ<\x00υ:κ＃ ＞",
		out:  "‛␠ !␃ｇι\x19|６<6Ｔ｀＊=␁；α\x05␊［ζ<␀υ:κ＃ ＞",
	}, { // 3406
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftSpace,
		in:   "M !␃ｇι\x19|６<6Ｔ｀＊=␁；α\x05\n［ζ<\x00υ:κ＃  ",
		out:  "M !␃ｇι\x19|６<6Ｔ｀＊=␁；α\x05␊［ζ<␀υ:κ＃ ␠",
	}, { // 3407
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftSpace,
		in:   "M !␃ｇι\x19|６<6Ｔ｀＊=␁；α\x05\n［ζ<\x00υ:κ＃ ␠",
		out:  "M !␃ｇι\x19|６<6Ｔ｀＊=␁；α\x05␊［ζ<␀υ:κ＃ ‛␠",
	}, { // 3408
		mask: EncodeDel | EncodeRightSpace | EncodeLeftSpace,
		in:   "  ＱＺχ｀κ\x16＂␈\a\x05ωγAυ0\x17eσ\x1d｜／A␓5\x10Ｓ ]",
		out:  "␠ ＱＺχ｀κ\x16＂␈\a\x05ωγAυ0\x17eσ\x1d｜／A␓5\x10Ｓ ]",
	}, { // 3409
		mask: EncodeDel | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ ＱＺχ｀κ\x16＂␈\a\x05ωγAυ0\x17eσ\x1d｜／A␓5\x10Ｓ ]",
		out:  "‛␠ ＱＺχ｀κ\x16＂␈\a\x05ωγAυ0\x17eσ\x1d｜／A␓5\x10Ｓ ]",
	}, { // 3410
		mask: EncodeDel | EncodeRightSpace | EncodeLeftSpace,
		in:   "： ＱＺχ｀κ\x16＂␈\a\x05ωγAυ0\x17eσ\x1d｜／A␓5\x10Ｓ  ",
		out:  "： ＱＺχ｀κ\x16＂␈\a\x05ωγAυ0\x17eσ\x1d｜／A␓5\x10Ｓ ␠",
	}, { // 3411
		mask: EncodeDel | EncodeRightSpace | EncodeLeftSpace,
		in:   "： ＱＺχ｀κ\x16＂␈\a\x05ωγAυ0\x17eσ\x1d｜／A␓5\x10Ｓ ␠",
		out:  "： ＱＺχ｀κ\x16＂␈\a\x05ωγAυ0\x17eσ\x1d｜／A␓5\x10Ｓ ‛␠",
	}, { // 3412
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftSpace,
		in:   "  υγ\\θ\x12；␐ε＋\f␚９＃I␐*Mεt=␎\x7f\x19␙｀ν ｉ",
		out:  "␠ υγ\\θ␒；‛␐ε＋␌‛␚９＃I‛␐*Mεt=‛␎\x7f␙‛␙｀ν ｉ",
	}, { // 3413
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ υγ\\θ\x12；␐ε＋\f␚９＃I␐*Mεt=␎\x7f\x19␙｀ν ｉ",
		out:  "‛␠ υγ\\θ␒；‛␐ε＋␌‛␚９＃I‛␐*Mεt=‛␎\x7f␙‛␙｀ν ｉ",
	}, { // 3414
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftSpace,
		in:   "\f υγ\\θ\x12；␐ε＋\f␚９＃I␐*Mεt=␎\x7f\x19␙｀ν  ",
		out:  "␌ υγ\\θ␒；‛␐ε＋␌‛␚９＃I‛␐*Mεt=‛␎\x7f␙‛␙｀ν ␠",
	}, { // 3415
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftSpace,
		in:   "\f υγ\\θ\x12；␐ε＋\f␚９＃I␐*Mεt=␎\x7f\x19␙｀ν ␠",
		out:  "␌ υγ\\θ␒；‛␐ε＋␌‛␚９＃I‛␐*Mεt=‛␎\x7f␙‛␙｀ν ‛␠",
	}, { // 3416
		mask: EncodeZero | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .σ４!＝ο；＜9\x054@｜βσ３\x17１η｜］？\"'`$J.␂",
		out:  " .σ４!＝ο；＜9\x054@｜βσ３\x17１η｜］？\"'`$J.␂",
	}, { // 3417
		mask: EncodeZero | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.σ４!＝ο；＜9\x054@｜βσ３\x17１η｜］？\"'`$J.␂",
		out:  "␠.σ４!＝ο；＜9\x054@｜βσ３\x17１η｜］？\"'`$J.␂",
	}, { // 3418
		mask: EncodeZero | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␡.σ４!＝ο；＜9\x054@｜βσ３\x17１η｜］？\"'`$J. ",
		out:  "␡.σ４!＝ο；＜9\x054@｜βσ３\x17１η｜］？\"'`$J.␠",
	}, { // 3419
		mask: EncodeZero | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␡.σ４!＝ο；＜9\x054@｜βσ３\x17１η｜］？\"'`$J.␠",
		out:  "␡.σ４!＝ο；＜9\x054@｜βσ３\x17１η｜］？\"'`$J.‛␠",
	}, { // 3420
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .␞\uff00ω*β#␃W␍Ｚ＞Xbψ\x13－＊7＋'␛νＦβ．:.μ",
		out:  " .␞\uff00ω*β#␃W␍Ｚ＞Xbψ\x13－＊7＋'␛νＦβ．:.μ",
	}, { // 3421
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.␞\uff00ω*β#␃W␍Ｚ＞Xbψ\x13－＊7＋'␛νＦβ．:.μ",
		out:  "␠.␞\uff00ω*β#␃W␍Ｚ＞Xbψ\x13－＊7＋'␛νＦβ．:.μ",
	}, { // 3422
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "#.␞\uff00ω*β#␃W␍Ｚ＞Xbψ\x13－＊7＋'␛νＦβ．:. ",
		out:  "#.␞\uff00ω*β#␃W␍Ｚ＞Xbψ\x13－＊7＋'␛νＦβ．:.␠",
	}, { // 3423
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "#.␞\uff00ω*β#␃W␍Ｚ＞Xbψ\x13－＊7＋'␛νＦβ．:.␠",
		out:  "#.␞\uff00ω*β#␃W␍Ｚ＞Xbψ\x13－＊7＋'␛νＦβ．:.‛␠",
	}, { // 3424
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .'２%,＊Ｉ␂ζdτ！uW␋νＬ␜\x10\"Ｕ␝εξO／ν.\x18",
		out:  " .＇２%,＊Ｉ␂ζdτ！uW␋νＬ␜\x10\"Ｕ␝εξO／ν.\x18",
	}, { // 3425
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.'２%,＊Ｉ␂ζdτ！uW␋νＬ␜\x10\"Ｕ␝εξO／ν.\x18",
		out:  "␠.＇２%,＊Ｉ␂ζdτ！uW␋νＬ␜\x10\"Ｕ␝εξO／ν.\x18",
	}, { // 3426
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "\n.'２%,＊Ｉ␂ζdτ！uW␋νＬ␜\x10\"Ｕ␝εξO／ν. ",
		out:  "\n.＇２%,＊Ｉ␂ζdτ！uW␋νＬ␜\x10\"Ｕ␝εξO／ν.␠",
	}, { // 3427
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "\n.'２%,＊Ｉ␂ζdτ！uW␋νＬ␜\x10\"Ｕ␝εξO／ν.␠",
		out:  "\n.＇２%,＊Ｉ␂ζdτ！uW␋νＬ␜\x10\"Ｕ␝εξO／ν.‛␠",
	}, { // 3428
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .;␞Ａ␌,ωzＧ＝\x14α␀,␍ｙοＲｔ:κβτ\x1d␑,\n.\x19",
		out:  " .;␞Ａ␌,ωzＧ＝\x14α‛␀,␍ｙοＲｔ:κβτ\x1d␑,\n.\x19",
	}, { // 3429
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.;␞Ａ␌,ωzＧ＝\x14α␀,␍ｙοＲｔ:κβτ\x1d␑,\n.\x19",
		out:  "␠.;␞Ａ␌,ωzＧ＝\x14α‛␀,␍ｙοＲｔ:κβτ\x1d␑,\n.\x19",
	}, { // 3430
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "\x1b.;␞Ａ␌,ωzＧ＝\x14α␀,␍ｙοＲｔ:κβτ\x1d␑,\n. ",
		out:  "\x1b.;␞Ａ␌,ωzＧ＝\x14α‛␀,␍ｙοＲｔ:κβτ\x1d␑,\n.␠",
	}, { // 3431
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "\x1b.;␞Ａ␌,ωzＧ＝\x14α␀,␍ｙοＲｔ:κβτ\x1d␑,\n.␠",
		out:  "\x1b.;␞Ａ␌,ωzＧ＝\x14α‛␀,␍ｙοＲｔ:κβτ\x1d␑,\n.‛␠",
	}, { // 3432
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .\x0f＆\x16＊ｇｋ\x10＄Ｂρυ（C\x1d[}/␞ν｜η％ζ\\i*.θ",
		out:  " .\x0f＆\x16＊ｇｋ\x10＄Ｂρυ（C\x1d[}/␞ν｜η％ζ\\i*.θ",
	}, { // 3433
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.\x0f＆\x16＊ｇｋ\x10＄Ｂρυ（C\x1d[}/␞ν｜η％ζ\\i*.θ",
		out:  "␠.\x0f＆\x16＊ｇｋ\x10＄Ｂρυ（C\x1d[}/␞ν｜η％ζ\\i*.θ",
	}, { // 3434
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftPeriod,
		in:   "＄.\x0f＆\x16＊ｇｋ\x10＄Ｂρυ（C\x1d[}/␞ν｜η％ζ\\i*. ",
		out:  "＄.\x0f＆\x16＊ｇｋ\x10＄Ｂρυ（C\x1d[}/␞ν｜η％ζ\\i*.␠",
	}, { // 3435
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftPeriod,
		in:   "＄.\x0f＆\x16＊ｇｋ\x10＄Ｂρυ（C\x1d[}/␞ν｜η％ζ\\i*.␠",
		out:  "＄.\x0f＆\x16＊ｇｋ\x10＄Ｂρυ（C\x1d[}/␞ν｜η％ζ\\i*.‛␠",
	}, { // 3436
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .>＂βｒ.Y\fυH；＜α］Z␇?Ｚu#ρＧ％！ι\r－.'",
		out:  " .>＂βｒ.Y\fυH；＜α‛］Z␇?Ｚu#ρＧ％！ι\r－.'",
	}, { // 3437
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.>＂βｒ.Y\fυH；＜α］Z␇?Ｚu#ρＧ％！ι\r－.'",
		out:  "␠.>＂βｒ.Y\fυH；＜α‛］Z␇?Ｚu#ρＧ％！ι\r－.'",
	}, { // 3438
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftPeriod,
		in:   "Ｄ.>＂βｒ.Y\fυH；＜α］Z␇?Ｚu#ρＧ％！ι\r－. ",
		out:  "Ｄ.>＂βｒ.Y\fυH；＜α‛］Z␇?Ｚu#ρＧ％！ι\r－.␠",
	}, { // 3439
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftPeriod,
		in:   "Ｄ.>＂βｒ.Y\fυH；＜α］Z␇?Ｚu#ρＧ％！ι\r－.␠",
		out:  "Ｄ.>＂βｒ.Y\fυH；＜α‛］Z␇?Ｚu#ρＧ％！ι\r－.‛␠",
	}, { // 3440
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .＞6ｊη\x04|\x03τｗμ␜！λ␐＞ω\x01␇Ac?yl＼Ｖλ.０",
		out:  " .＞6ｊη\x04|\x03τｗμ␜！λ␐＞ω\x01␇Ac?yl＼Ｖλ.０",
	}, { // 3441
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.＞6ｊη\x04|\x03τｗμ␜！λ␐＞ω\x01␇Ac?yl＼Ｖλ.０",
		out:  "␠.＞6ｊη\x04|\x03τｗμ␜！λ␐＞ω\x01␇Ac?yl＼Ｖλ.０",
	}, { // 3442
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftPeriod,
		in:   "\x12.＞6ｊη\x04|\x03τｗμ␜！λ␐＞ω\x01␇Ac?yl＼Ｖλ. ",
		out:  "\x12.＞6ｊη\x04|\x03τｗμ␜！λ␐＞ω\x01␇Ac?yl＼Ｖλ.␠",
	}, { // 3443
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftPeriod,
		in:   "\x12.＞6ｊη\x04|\x03τｗμ␜！λ␐＞ω\x01␇Ac?yl＼Ｖλ.␠",
		out:  "\x12.＞6ｊη\x04|\x03τｗμ␜！λ␐＞ω\x01␇Ac?yl＼Ｖλ.‛␠",
	}, { // 3444
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .δ'σ␊ψｕy｜\t/β\x1fＧ\x15／␓_θ？μ０=␘＞＂\x17.h",
		out:  " .δ'σ␊ψｕy｜\t/β\x1fＧ\x15／␓_θ？μ０=␘＞＂\x17.h",
	}, { // 3445
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.δ'σ␊ψｕy｜\t/β\x1fＧ\x15／␓_θ？μ０=␘＞＂\x17.h",
		out:  "␠.δ'σ␊ψｕy｜\t/β\x1fＧ\x15／␓_θ？μ０=␘＞＂\x17.h",
	}, { // 3446
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftPeriod,
		in:   "m.δ'σ␊ψｕy｜\t/β\x1fＧ\x15／␓_θ？μ０=␘＞＂\x17. ",
		out:  "m.δ'σ␊ψｕy｜\t/β\x1fＧ\x15／␓_θ？μ０=␘＞＂\x17.␠",
	}, { // 3447
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftPeriod,
		in:   "m.δ'σ␊ψｕy｜\t/β\x1fＧ\x15／␓_θ？μ０=␘＞＂\x17.␠",
		out:  "m.δ'σ␊ψｕy｜\t/β\x1fＧ\x15／␓_θ？μ０=␘＞＂\x17.‛␠",
	}, { // 3448
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .e\x06．２\n\x14\\［\x18␁＊rＲｋ＃Ｌ>␕Ze␙φτθπθ.\x1b",
		out:  " .e\x06．２\n\x14\\［\x18␁＊rＲｋ＃Ｌ>␕Ze␙φτθπθ.\x1b",
	}, { // 3449
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.e\x06．２\n\x14\\［\x18␁＊rＲｋ＃Ｌ>␕Ze␙φτθπθ.\x1b",
		out:  "␠.e\x06．２\n\x14\\［\x18␁＊rＲｋ＃Ｌ>␕Ze␙φτθπθ.\x1b",
	}, { // 3450
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␈.e\x06．２\n\x14\\［\x18␁＊rＲｋ＃Ｌ>␕Ze␙φτθπθ. ",
		out:  "␈.e\x06．２\n\x14\\［\x18␁＊rＲｋ＃Ｌ>␕Ze␙φτθπθ.␠",
	}, { // 3451
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␈.e\x06．２\n\x14\\［\x18␁＊rＲｋ＃Ｌ>␕Ze␙φτθπθ.␠",
		out:  "␈.e\x06．２\n\x14\\［\x18␁＊rＲｋ＃Ｌ>␕Ze␙φτθπθ.‛␠",
	}, { // 3452
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .;rk'σ␉～\x18Ｋｗ␄␘*＊␡ｙ/α␆＝[\x13h7\\τ.Ｓ",
		out:  " .;rk'σ␉～\x18Ｋｗ␄␘*＊␡ｙ/α␆＝[\x13h7\\τ.Ｓ",
	}, { // 3453
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.;rk'σ␉～\x18Ｋｗ␄␘*＊␡ｙ/α␆＝[\x13h7\\τ.Ｓ",
		out:  "␠.;rk'σ␉～\x18Ｋｗ␄␘*＊␡ｙ/α␆＝[\x13h7\\τ.Ｓ",
	}, { // 3454
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "λ.;rk'σ␉～\x18Ｋｗ␄␘*＊␡ｙ/α␆＝[\x13h7\\τ. ",
		out:  "λ.;rk'σ␉～\x18Ｋｗ␄␘*＊␡ｙ/α␆＝[\x13h7\\τ.␠",
	}, { // 3455
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "λ.;rk'σ␉～\x18Ｋｗ␄␘*＊␡ｙ/α␆＝[\x13h7\\τ.␠",
		out:  "λ.;rk'σ␉～\x18Ｋｗ␄␘*＊␡ｙ/α␆＝[\x13h7\\τ.‛␠",
	}, { // 3456
		mask: EncodeColon | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .␝ｇ＠2ＮＶ！s>\x1dA\f␘φβ\v\nα\t␎｜~；ο␆\x03.ε",
		out:  " .␝ｇ＠2ＮＶ！s>\x1dA\f␘φβ\v\nα\t␎｜~；ο␆\x03.ε",
	}, { // 3457
		mask: EncodeColon | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.␝ｇ＠2ＮＶ！s>\x1dA\f␘φβ\v\nα\t␎｜~；ο␆\x03.ε",
		out:  "␠.␝ｇ＠2ＮＶ！s>\x1dA\f␘φβ\v\nα\t␎｜~；ο␆\x03.ε",
	}, { // 3458
		mask: EncodeColon | EncodeRightSpace | EncodeLeftPeriod,
		in:   "π.␝ｇ＠2ＮＶ！s>\x1dA\f␘φβ\v\nα\t␎｜~；ο␆\x03. ",
		out:  "π.␝ｇ＠2ＮＶ！s>\x1dA\f␘φβ\v\nα\t␎｜~；ο␆\x03.␠",
	}, { // 3459
		mask: EncodeColon | EncodeRightSpace | EncodeLeftPeriod,
		in:   "π.␝ｇ＠2ＮＶ！s>\x1dA\f␘φβ\v\nα\t␎｜~；ο␆\x03.␠",
		out:  "π.␝ｇ＠2ＮＶ！s>\x1dA\f␘φβ\v\nα\t␎｜~；ο␆\x03.‛␠",
	}, { // 3460
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .\x18|Ｎω␋$␔␘$πｈλ\x7f？ｔφ\x17p``=␟κＮ#f.␈",
		out:  " .\x18|Ｎω␋$␔␘$πｈλ\x7f‛？ｔφ\x17p``=␟κＮ#f.␈",
	}, { // 3461
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.\x18|Ｎω␋$␔␘$πｈλ\x7f？ｔφ\x17p``=␟κＮ#f.␈",
		out:  "␠.\x18|Ｎω␋$␔␘$πｈλ\x7f‛？ｔφ\x17p``=␟κＮ#f.␈",
	}, { // 3462
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftPeriod,
		in:   "ｊ.\x18|Ｎω␋$␔␘$πｈλ\x7f？ｔφ\x17p``=␟κＮ#f. ",
		out:  "ｊ.\x18|Ｎω␋$␔␘$πｈλ\x7f‛？ｔφ\x17p``=␟κＮ#f.␠",
	}, { // 3463
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftPeriod,
		in:   "ｊ.\x18|Ｎω␋$␔␘$πｈλ\x7f？ｔφ\x17p``=␟κＮ#f.␠",
		out:  "ｊ.\x18|Ｎω␋$␔␘$πｈλ\x7f‛？ｔφ\x17p``=␟κＮ#f.‛␠",
	}, { // 3464
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .\x7f\x16＼＇␆␡eω\x17␛\x0fＰε␘＞ｓｙκ\x1eκβｈ␍'δ%. ",
		out:  " .\x7f\x16＼＇␆␡eω\x17␛\x0fＰε␘＞ｓｙκ\x1eκβｈ␍'δ%.␠",
	}, { // 3465
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.\x7f\x16＼＇␆␡eω\x17␛\x0fＰε␘＞ｓｙκ\x1eκβｈ␍'δ%. ",
		out:  "␠.\x7f\x16＼＇␆␡eω\x17␛\x0fＰε␘＞ｓｙκ\x1eκβｈ␍'δ%.␠",
	}, { // 3466
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftPeriod,
		in:   "*.\x7f\x16＼＇␆␡eω\x17␛\x0fＰε␘＞ｓｙκ\x1eκβｈ␍'δ%. ",
		out:  "＊.\x7f\x16＼＇␆␡eω\x17␛\x0fＰε␘＞ｓｙκ\x1eκβｈ␍'δ%.␠",
	}, { // 3467
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftPeriod,
		in:   "*.\x7f\x16＼＇␆␡eω\x17␛\x0fＰε␘＞ｓｙκ\x1eκβｈ␍'δ%.␠",
		out:  "＊.\x7f\x16＼＇␆␡eω\x17␛\x0fＰε␘＞ｓｙκ\x1eκβｈ␍'δ%.‛␠",
	}, { // 3468
		mask: EncodePipe | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .ψ\b/␖I`％ψ３κ-－␗＼PK␡␕\x12．ρXLω\x12π.Ｎ",
		out:  " .ψ\b/␖I`％ψ３κ-－␗＼PK␡␕\x12．ρXLω\x12π.Ｎ",
	}, { // 3469
		mask: EncodePipe | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.ψ\b/␖I`％ψ３κ-－␗＼PK␡␕\x12．ρXLω\x12π.Ｎ",
		out:  "␠.ψ\b/␖I`％ψ３κ-－␗＼PK␡␕\x12．ρXLω\x12π.Ｎ",
	}, { // 3470
		mask: EncodePipe | EncodeRightSpace | EncodeLeftPeriod,
		in:   "９.ψ\b/␖I`％ψ３κ-－␗＼PK␡␕\x12．ρXLω\x12π. ",
		out:  "９.ψ\b/␖I`％ψ３κ-－␗＼PK␡␕\x12．ρXLω\x12π.␠",
	}, { // 3471
		mask: EncodePipe | EncodeRightSpace | EncodeLeftPeriod,
		in:   "９.ψ\b/␖I`％ψ３κ-－␗＼PK␡␕\x12．ρXLω\x12π.␠",
		out:  "９.ψ\b/␖I`％ψ３κ-－␗＼PK␡␕\x12．ρXLω\x12π.‛␠",
	}, { // 3472
		mask: EncodeHash | EncodeRightSpace | EncodeLeftPeriod,
		in:   " ./?Ｄ／ς\x13Xφ␗\x0fPN$＿；σα［␔＊ε:ξＢRｌ.\x04",
		out:  " ./?Ｄ／ς\x13Xφ␗\x0fPN$＿；σα［␔＊ε:ξＢRｌ.\x04",
	}, { // 3473
		mask: EncodeHash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠./?Ｄ／ς\x13Xφ␗\x0fPN$＿；σα［␔＊ε:ξＢRｌ.\x04",
		out:  "␠./?Ｄ／ς\x13Xφ␗\x0fPN$＿；σα［␔＊ε:ξＢRｌ.\x04",
	}, { // 3474
		mask: EncodeHash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "ｅ./?Ｄ／ς\x13Xφ␗\x0fPN$＿；σα［␔＊ε:ξＢRｌ. ",
		out:  "ｅ./?Ｄ／ς\x13Xφ␗\x0fPN$＿；σα［␔＊ε:ξＢRｌ.␠",
	}, { // 3475
		mask: EncodeHash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "ｅ./?Ｄ／ς\x13Xφ␗\x0fPN$＿；σα［␔＊ε:ξＢRｌ.␠",
		out:  "ｅ./?Ｄ／ς\x13Xφ␗\x0fPN$＿；σα［␔＊ε:ξＢRｌ.‛␠",
	}, { // 3476
		mask: EncodePercent | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .*␔|=＊*\v␟[Ｎ\x1b＇Ｉξιｉ\nσｇ␍；ςbｏα1.０",
		out:  " .*␔|=＊*\v␟[Ｎ\x1b＇Ｉξιｉ\nσｇ␍；ςbｏα1.０",
	}, { // 3477
		mask: EncodePercent | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.*␔|=＊*\v␟[Ｎ\x1b＇Ｉξιｉ\nσｇ␍；ςbｏα1.０",
		out:  "␠.*␔|=＊*\v␟[Ｎ\x1b＇Ｉξιｉ\nσｇ␍；ςbｏα1.０",
	}, { // 3478
		mask: EncodePercent | EncodeRightSpace | EncodeLeftPeriod,
		in:   "η.*␔|=＊*\v␟[Ｎ\x1b＇Ｉξιｉ\nσｇ␍；ςbｏα1. ",
		out:  "η.*␔|=＊*\v␟[Ｎ\x1b＇Ｉξιｉ\nσｇ␍；ςbｏα1.␠",
	}, { // 3479
		mask: EncodePercent | EncodeRightSpace | EncodeLeftPeriod,
		in:   "η.*␔|=＊*\v␟[Ｎ\x1b＇Ｉξιｉ\nσｇ␍；ςbｏα1.␠",
		out:  "η.*␔|=＊*\v␟[Ｎ\x1b＇Ｉξιｉ\nσｇ␍；ςbｏα1.‛␠",
	}, { // 3480
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .ε～Q'\n␆］hｋBηｓ\nωγ＂：ｏ␑O*\x1d*Ｍ␁\\.＼",
		out:  " .ε～Q'\n␆］hｋBηｓ\nωγ＂：ｏ␑O*\x1d*Ｍ␁＼.‛＼",
	}, { // 3481
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.ε～Q'\n␆］hｋBηｓ\nωγ＂：ｏ␑O*\x1d*Ｍ␁\\.＼",
		out:  "␠.ε～Q'\n␆］hｋBηｓ\nωγ＂：ｏ␑O*\x1d*Ｍ␁＼.‛＼",
	}, { // 3482
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "ω.ε～Q'\n␆］hｋBηｓ\nωγ＂：ｏ␑O*\x1d*Ｍ␁\\. ",
		out:  "ω.ε～Q'\n␆］hｋBηｓ\nωγ＂：ｏ␑O*\x1d*Ｍ␁＼.␠",
	}, { // 3483
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "ω.ε～Q'\n␆］hｋBηｓ\nωγ＂：ｏ␑O*\x1d*Ｍ␁\\.␠",
		out:  "ω.ε～Q'\n␆］hｋBηｓ\nωγ＂：ｏ␑O*\x1d*Ｍ␁＼.‛␠",
	}, { // 3484
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .λη\x1b\n␏ｂy\x1eｗb␓|\uff00４α＊S\\Ｗα／mγ\x18γ␐.\r",
		out:  " .λη\x1b␊␏ｂy\x1eｗb␓|\uff00４α＊S\\Ｗα／mγ\x18γ␐.␍",
	}, { // 3485
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.λη\x1b\n␏ｂy\x1eｗb␓|\uff00４α＊S\\Ｗα／mγ\x18γ␐.\r",
		out:  "␠.λη\x1b␊␏ｂy\x1eｗb␓|\uff00４α＊S\\Ｗα／mγ\x18γ␐.␍",
	}, { // 3486
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␊.λη\x1b\n␏ｂy\x1eｗb␓|\uff00４α＊S\\Ｗα／mγ\x18γ␐. ",
		out:  "‛␊.λη\x1b␊␏ｂy\x1eｗb␓|\uff00４α＊S\\Ｗα／mγ\x18γ␐.␠",
	}, { // 3487
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␊.λη\x1b\n␏ｂy\x1eｗb␓|\uff00４α＊S\\Ｗα／mγ\x18γ␐.␠",
		out:  "‛␊.λη\x1b␊␏ｂy\x1eｗb␓|\uff00４α＊S\\Ｗα／mγ\x18γ␐.‛␠",
	}, { // 3488
		mask: EncodeDel | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .＄γγω␍！␆ｚ０␇:9>\x1fσF;a>ＸχＩγT␟}.\a",
		out:  " .＄γγω␍！␆ｚ０␇:9>\x1fσF;a>ＸχＩγT␟}.\a",
	}, { // 3489
		mask: EncodeDel | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.＄γγω␍！␆ｚ０␇:9>\x1fσF;a>ＸχＩγT␟}.\a",
		out:  "␠.＄γγω␍！␆ｚ０␇:9>\x1fσF;a>ＸχＩγT␟}.\a",
	}, { // 3490
		mask: EncodeDel | EncodeRightSpace | EncodeLeftPeriod,
		in:   "＃.＄γγω␍！␆ｚ０␇:9>\x1fσF;a>ＸχＩγT␟}. ",
		out:  "＃.＄γγω␍！␆ｚ０␇:9>\x1fσF;a>ＸχＩγT␟}.␠",
	}, { // 3491
		mask: EncodeDel | EncodeRightSpace | EncodeLeftPeriod,
		in:   "＃.＄γγω␍！␆ｚ０␇:9>\x1fσF;a>ＸχＩγT␟}.␠",
		out:  "＃.＄γγω␍！␆ｚ０␇:9>\x1fσF;a>ＸχＩγT␟}.‛␠",
	}, { // 3492
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .α＄２*τ␞D`Ｓ\x1e＄：\x11;%７ＵIc＊\nυ␍＂Kν.η",
		out:  " .α＄２*τ‛␞D`Ｓ␞＄：␑;%７ＵIc＊␊υ‛␍＂Kν.η",
	}, { // 3493
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.α＄２*τ␞D`Ｓ\x1e＄：\x11;%７ＵIc＊\nυ␍＂Kν.η",
		out:  "␠.α＄２*τ‛␞D`Ｓ␞＄：␑;%７ＵIc＊␊υ‛␍＂Kν.η",
	}, { // 3494
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftPeriod,
		in:   "ι.α＄２*τ␞D`Ｓ\x1e＄：\x11;%７ＵIc＊\nυ␍＂Kν. ",
		out:  "ι.α＄２*τ‛␞D`Ｓ␞＄：␑;%７ＵIc＊␊υ‛␍＂Kν.␠",
	}, { // 3495
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftPeriod,
		in:   "ι.α＄２*τ␞D`Ｓ\x1e＄：\x11;%７ＵIc＊\nυ␍＂Kν.␠",
		out:  "ι.α＄２*τ‛␞D`Ｓ␞＄：␑;%７ＵIc＊␊υ‛␍＂Kν.‛␠",
	}, { // 3496
		mask: EncodeZero | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~ｏ|␓\"，0|<ε３：ω␈θ␍\tH␑?χn／Ｑｉ／\"~\x03",
		out:  " ~ｏ|␓\"，0|<ε３：ω␈θ␍\tH␑?χn／Ｑｉ／\"~\x03",
	}, { // 3497
		mask: EncodeZero | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~ｏ|␓\"，0|<ε３：ω␈θ␍\tH␑?χn／Ｑｉ／\"~\x03",
		out:  "␠~ｏ|␓\"，0|<ε３：ω␈θ␍\tH␑?χn／Ｑｉ／\"~\x03",
	}, { // 3498
		mask: EncodeZero | EncodeRightSpace | EncodeLeftTilde,
		in:   "ε~ｏ|␓\"，0|<ε３：ω␈θ␍\tH␑?χn／Ｑｉ／\"~ ",
		out:  "ε~ｏ|␓\"，0|<ε３：ω␈θ␍\tH␑?χn／Ｑｉ／\"~␠",
	}, { // 3499
		mask: EncodeZero | EncodeRightSpace | EncodeLeftTilde,
		in:   "ε~ｏ|␓\"，0|<ε３：ω␈θ␍\tH␑?χn／Ｑｉ／\"~␠",
		out:  "ε~ｏ|␓\"，0|<ε３：ω␈θ␍\tH␑?χn／Ｑｉ／\"~‛␠",
	}, { // 3500
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~＞｝\x04;ωＱ？␐#?d\uff00\x023ξ␊zκPｃψ<␌;!Ｎ~Ｊ",
		out:  " ~＞｝\x04;ωＱ？␐#?d\uff00\x023ξ␊zκPｃψ<␌;!Ｎ~Ｊ",
	}, { // 3501
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~＞｝\x04;ωＱ？␐#?d\uff00\x023ξ␊zκPｃψ<␌;!Ｎ~Ｊ",
		out:  "␠~＞｝\x04;ωＱ？␐#?d\uff00\x023ξ␊zκPｃψ<␌;!Ｎ~Ｊ",
	}, { // 3502
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   "ο~＞｝\x04;ωＱ？␐#?d\uff00\x023ξ␊zκPｃψ<␌;!Ｎ~ ",
		out:  "ο~＞｝\x04;ωＱ？␐#?d\uff00\x023ξ␊zκPｃψ<␌;!Ｎ~␠",
	}, { // 3503
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   "ο~＞｝\x04;ωＱ？␐#?d\uff00\x023ξ␊zκPｃψ<␌;!Ｎ~␠",
		out:  "ο~＞｝\x04;ωＱ？␐#?d\uff00\x023ξ␊zκPｃψ<␌;!Ｎ~‛␠",
	}, { // 3504
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~\x15\"εＮ#＂｀[δ＋κ3␔\x00ｐ?␟␚７Qi！＞␌]\x12~;",
		out:  " ~\x15\"εＮ#＂｀[δ＋κ3␔␀ｐ?␟␚７Qi！＞␌]\x12~;",
	}, { // 3505
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~\x15\"εＮ#＂｀[δ＋κ3␔\x00ｐ?␟␚７Qi！＞␌]\x12~;",
		out:  "␠~\x15\"εＮ#＂｀[δ＋κ3␔␀ｐ?␟␚７Qi！＞␌]\x12~;",
	}, { // 3506
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "β~\x15\"εＮ#＂｀[δ＋κ3␔\x00ｐ?␟␚７Qi！＞␌]\x12~ ",
		out:  "β~\x15\"εＮ#＂｀[δ＋κ3␔␀ｐ?␟␚７Qi！＞␌]\x12~␠",
	}, { // 3507
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "β~\x15\"εＮ#＂｀[δ＋κ3␔\x00ｐ?␟␚７Qi！＞␌]\x12~␠",
		out:  "β~\x15\"εＮ#＂｀[δ＋κ3␔␀ｐ?␟␚７Qi！＞␌]\x12~‛␠",
	}, { // 3508
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~χ？\x11＾5ｔ\x13＂1\x17Ｌι{0／A\f␛ψ\x16␊␍θ］ξ\x02~＼",
		out:  " ~χ？\x11＾5ｔ\x13＂1\x17Ｌι{0／A\f␛ψ\x16␊␍θ］ξ\x02~＼",
	}, { // 3509
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~χ？\x11＾5ｔ\x13＂1\x17Ｌι{0／A\f␛ψ\x16␊␍θ］ξ\x02~＼",
		out:  "␠~χ？\x11＾5ｔ\x13＂1\x17Ｌι{0／A\f␛ψ\x16␊␍θ］ξ\x02~＼",
	}, { // 3510
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "␑~χ？\x11＾5ｔ\x13＂1\x17Ｌι{0／A\f␛ψ\x16␊␍θ］ξ\x02~ ",
		out:  "␑~χ？\x11＾5ｔ\x13＂1\x17Ｌι{0／A\f␛ψ\x16␊␍θ］ξ\x02~␠",
	}, { // 3511
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "␑~χ？\x11＾5ｔ\x13＂1\x17Ｌι{0／A\f␛ψ\x16␊␍θ］ξ\x02~␠",
		out:  "␑~χ？\x11＾5ｔ\x13＂1\x17Ｌι{0／A\f␛ψ\x16␊␍θ］ξ\x02~‛␠",
	}, { // 3512
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~␓␆␓␛Lｒ␖\nωωψＲP␄:，6ε\n９>-？;π[~ａ",
		out:  " ~␓␆␓␛Lｒ␖\nωωψＲP␄:，6ε\n９＞-？;π[~ａ",
	}, { // 3513
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~␓␆␓␛Lｒ␖\nωωψＲP␄:，6ε\n９>-？;π[~ａ",
		out:  "␠~␓␆␓␛Lｒ␖\nωωψＲP␄:，6ε\n９＞-？;π[~ａ",
	}, { // 3514
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftTilde,
		in:   "\x0f~␓␆␓␛Lｒ␖\nωωψＲP␄:，6ε\n９>-？;π[~ ",
		out:  "\x0f~␓␆␓␛Lｒ␖\nωωψＲP␄:，6ε\n９＞-？;π[~␠",
	}, { // 3515
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftTilde,
		in:   "\x0f~␓␆␓␛Lｒ␖\nωωψＲP␄:，6ε\n９>-？;π[~␠",
		out:  "\x0f~␓␆␓␛Lｒ␖\nωωψＲP␄:，6ε\n９＞-？;π[~‛␠",
	}, { // 3516
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~␍＜Ｍ;＞␍\x7f｜＼θ\x12tυ:：７<]ｇβ\x7f\x1dμιd＊~␆",
		out:  " ~␍＜Ｍ;＞␍\x7f｜＼θ\x12tυ:：７<］ｇβ\x7f\x1dμιd＊~␆",
	}, { // 3517
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~␍＜Ｍ;＞␍\x7f｜＼θ\x12tυ:：７<]ｇβ\x7f\x1dμιd＊~␆",
		out:  "␠~␍＜Ｍ;＞␍\x7f｜＼θ\x12tυ:：７<］ｇβ\x7f\x1dμιd＊~␆",
	}, { // 3518
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftTilde,
		in:   "μ~␍＜Ｍ;＞␍\x7f｜＼θ\x12tυ:：７<]ｇβ\x7f\x1dμιd＊~ ",
		out:  "μ~␍＜Ｍ;＞␍\x7f｜＼θ\x12tυ:：７<］ｇβ\x7f\x1dμιd＊~␠",
	}, { // 3519
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftTilde,
		in:   "μ~␍＜Ｍ;＞␍\x7f｜＼θ\x12tυ:：７<]ｇβ\x7f\x1dμιd＊~␠",
		out:  "μ~␍＜Ｍ;＞␍\x7f｜＼θ\x12tυ:：７<］ｇβ\x7f\x1dμιd＊~‛␠",
	}, { // 3520
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~Vψｍ｜V／Ｈρ␕␁\x1aU\\␛ｖｆ\x18␄ςρ\x0fE8８\rT~␄",
		out:  " ~Vψｍ｜V／Ｈρ␕␁\x1aU\\␛ｖｆ\x18␄ςρ\x0fE8８\rT~␄",
	}, { // 3521
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~Vψｍ｜V／Ｈρ␕␁\x1aU\\␛ｖｆ\x18␄ςρ\x0fE8８\rT~␄",
		out:  "␠~Vψｍ｜V／Ｈρ␕␁\x1aU\\␛ｖｆ\x18␄ςρ\x0fE8８\rT~␄",
	}, { // 3522
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftTilde,
		in:   "φ~Vψｍ｜V／Ｈρ␕␁\x1aU\\␛ｖｆ\x18␄ςρ\x0fE8８\rT~ ",
		out:  "φ~Vψｍ｜V／Ｈρ␕␁\x1aU\\␛ｖｆ\x18␄ςρ\x0fE8８\rT~␠",
	}, { // 3523
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftTilde,
		in:   "φ~Vψｍ｜V／Ｈρ␕␁\x1aU\\␛ｖｆ\x18␄ςρ\x0fE8８\rT~␠",
		out:  "φ~Vψｍ｜V／Ｈρ␕␁\x1aU\\␛ｖｆ\x18␄ςρ\x0fE8８\rT~‛␠",
	}, { // 3524
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~[\t\fＣωｋ１＞|C␑ζκ␉＆␐Ｅ；＃Qrξρkt:~&",
		out:  " ~[\t\fＣωｋ１＞|C␑ζκ␉＆␐Ｅ；＃Qrξρkt:~&",
	}, { // 3525
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~[\t\fＣωｋ１＞|C␑ζκ␉＆␐Ｅ；＃Qrξρkt:~&",
		out:  "␠~[\t\fＣωｋ１＞|C␑ζκ␉＆␐Ｅ；＃Qrξρkt:~&",
	}, { // 3526
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftTilde,
		in:   "Ｘ~[\t\fＣωｋ１＞|C␑ζκ␉＆␐Ｅ；＃Qrξρkt:~ ",
		out:  "Ｘ~[\t\fＣωｋ１＞|C␑ζκ␉＆␐Ｅ；＃Qrξρkt:~␠",
	}, { // 3527
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftTilde,
		in:   "Ｘ~[\t\fＣωｋ１＞|C␑ζκ␉＆␐Ｅ；＃Qrξρkt:~␠",
		out:  "Ｘ~[\t\fＣωｋ１＞|C␑ζκ␉＆␐Ｅ；＃Qrξρkt:~‛␠",
	}, { // 3528
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~Ｏ＃1Ｑψ$τ\x17;)：␇ｐω␌\x0e%␌<␉o\x15'γχ␘~ξ",
		out:  " ~Ｏ＃1Ｑψ＄τ\x17;)：␇ｐω␌\x0e%␌<␉o\x15'γχ␘~ξ",
	}, { // 3529
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~Ｏ＃1Ｑψ$τ\x17;)：␇ｐω␌\x0e%␌<␉o\x15'γχ␘~ξ",
		out:  "␠~Ｏ＃1Ｑψ＄τ\x17;)：␇ｐω␌\x0e%␌<␉o\x15'γχ␘~ξ",
	}, { // 3530
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftTilde,
		in:   "[~Ｏ＃1Ｑψ$τ\x17;)：␇ｐω␌\x0e%␌<␉o\x15'γχ␘~ ",
		out:  "[~Ｏ＃1Ｑψ＄τ\x17;)：␇ｐω␌\x0e%␌<␉o\x15'γχ␘~␠",
	}, { // 3531
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftTilde,
		in:   "[~Ｏ＃1Ｑψ$τ\x17;)：␇ｐω␌\x0e%␌<␉o\x15'γχ␘~␠",
		out:  "[~Ｏ＃1Ｑψ＄τ\x17;)：␇ｐω␌\x0e%␌<␉o\x15'γχ␘~‛␠",
	}, { // 3532
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~＊oβνｉ\"／＜＄ο/／/\x18３λ␖e\x1dλＴB;|ｅ：~．",
		out:  " ~＊oβνｉ＂／＜＄ο/／/\x18３λ␖e\x1dλＴB;|ｅ：~．",
	}, { // 3533
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~＊oβνｉ\"／＜＄ο/／/\x18３λ␖e\x1dλＴB;|ｅ：~．",
		out:  "␠~＊oβνｉ＂／＜＄ο/／/\x18３λ␖e\x1dλＴB;|ｅ：~．",
	}, { // 3534
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "%~＊oβνｉ\"／＜＄ο/／/\x18３λ␖e\x1dλＴB;|ｅ：~ ",
		out:  "%~＊oβνｉ＂／＜＄ο/／/\x18３λ␖e\x1dλＴB;|ｅ：~␠",
	}, { // 3535
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "%~＊oβνｉ\"／＜＄ο/／/\x18３λ␖e\x1dλＴB;|ｅ：~␠",
		out:  "%~＊oβνｉ＂／＜＄ο/／/\x18３λ␖e\x1dλＴB;|ｅ：~‛␠",
	}, { // 3536
		mask: EncodeColon | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~|\t\x0eＣ␝U｀］~ρOＣＳm\x1d\x1bα␒α％\r＄αζ␄␂~4",
		out:  " ~|\t\x0eＣ␝U｀］~ρOＣＳm\x1d\x1bα␒α％\r＄αζ␄␂~4",
	}, { // 3537
		mask: EncodeColon | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~|\t\x0eＣ␝U｀］~ρOＣＳm\x1d\x1bα␒α％\r＄αζ␄␂~4",
		out:  "␠~|\t\x0eＣ␝U｀］~ρOＣＳm\x1d\x1bα␒α％\r＄αζ␄␂~4",
	}, { // 3538
		mask: EncodeColon | EncodeRightSpace | EncodeLeftTilde,
		in:   "＄~|\t\x0eＣ␝U｀］~ρOＣＳm\x1d\x1bα␒α％\r＄αζ␄␂~ ",
		out:  "＄~|\t\x0eＣ␝U｀］~ρOＣＳm\x1d\x1bα␒α％\r＄αζ␄␂~␠",
	}, { // 3539
		mask: EncodeColon | EncodeRightSpace | EncodeLeftTilde,
		in:   "＄~|\t\x0eＣ␝U｀］~ρOＣＳm\x1d\x1bα␒α％\r＄αζ␄␂~␠",
		out:  "＄~|\t\x0eＣ␝U｀］~ρOＣＳm\x1d\x1bα␒α％\r＄αζ␄␂~‛␠",
	}, { // 3540
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~ｙ｜\x0f\x10XsFb％＞␊＃φκ\"0␍Ｅ\tθ␞φＦ\x02ος~#",
		out:  " ~ｙ｜\x0f\x10XsFb％＞␊＃φκ\"0␍Ｅ\tθ␞φＦ\x02ος~#",
	}, { // 3541
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~ｙ｜\x0f\x10XsFb％＞␊＃φκ\"0␍Ｅ\tθ␞φＦ\x02ος~#",
		out:  "␠~ｙ｜\x0f\x10XsFb％＞␊＃φκ\"0␍Ｅ\tθ␞φＦ\x02ος~#",
	}, { // 3542
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftTilde,
		in:   "\x0e~ｙ｜\x0f\x10XsFb％＞␊＃φκ\"0␍Ｅ\tθ␞φＦ\x02ος~ ",
		out:  "\x0e~ｙ｜\x0f\x10XsFb％＞␊＃φκ\"0␍Ｅ\tθ␞φＦ\x02ος~␠",
	}, { // 3543
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftTilde,
		in:   "\x0e~ｙ｜\x0f\x10XsFb％＞␊＃φκ\"0␍Ｅ\tθ␞φＦ\x02ος~␠",
		out:  "\x0e~ｙ｜\x0f\x10XsFb％＞␊＃φκ\"0␍Ｅ\tθ␞φＦ\x02ος~‛␠",
	}, { // 3544
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~<｜ιＯ＊Ｊ＾=\x02:`␄uν␅＾[uχε\x1d␗$χ#ε~\x06",
		out:  " ~<｜ιＯ‛＊Ｊ＾=\x02:`␄uν␅＾[uχε\x1d␗$χ#ε~\x06",
	}, { // 3545
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~<｜ιＯ＊Ｊ＾=\x02:`␄uν␅＾[uχε\x1d␗$χ#ε~\x06",
		out:  "␠~<｜ιＯ‛＊Ｊ＾=\x02:`␄uν␅＾[uχε\x1d␗$χ#ε~\x06",
	}, { // 3546
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftTilde,
		in:   "］~<｜ιＯ＊Ｊ＾=\x02:`␄uν␅＾[uχε\x1d␗$χ#ε~ ",
		out:  "］~<｜ιＯ‛＊Ｊ＾=\x02:`␄uν␅＾[uχε\x1d␗$χ#ε~␠",
	}, { // 3547
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftTilde,
		in:   "］~<｜ιＯ＊Ｊ＾=\x02:`␄uν␅＾[uχε\x1d␗$χ#ε~␠",
		out:  "］~<｜ιＯ‛＊Ｊ＾=\x02:`␄uν␅＾[uχε\x1d␗$χ#ε~‛␠",
	}, { // 3548
		mask: EncodePipe | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~]μ␅θ\x1cμy\x06]／␘Pt\x18]＾？ＴγMη\uff00Ｚκｎ\x1c~＼",
		out:  " ~]μ␅θ\x1cμy\x06]／␘Pt\x18]＾？ＴγMη\uff00Ｚκｎ\x1c~＼",
	}, { // 3549
		mask: EncodePipe | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~]μ␅θ\x1cμy\x06]／␘Pt\x18]＾？ＴγMη\uff00Ｚκｎ\x1c~＼",
		out:  "␠~]μ␅θ\x1cμy\x06]／␘Pt\x18]＾？ＴγMη\uff00Ｚκｎ\x1c~＼",
	}, { // 3550
		mask: EncodePipe | EncodeRightSpace | EncodeLeftTilde,
		in:   "K~]μ␅θ\x1cμy\x06]／␘Pt\x18]＾？ＴγMη\uff00Ｚκｎ\x1c~ ",
		out:  "K~]μ␅θ\x1cμy\x06]／␘Pt\x18]＾？ＴγMη\uff00Ｚκｎ\x1c~␠",
	}, { // 3551
		mask: EncodePipe | EncodeRightSpace | EncodeLeftTilde,
		in:   "K~]μ␅θ\x1cμy\x06]／␘Pt\x18]＾？ＴγMη\uff00Ｚκｎ\x1c~␠",
		out:  "K~]μ␅θ\x1cμy\x06]／␘Pt\x18]＾？ＴγMη\uff00Ｚκｎ\x1c~‛␠",
	}, { // 3552
		mask: EncodeHash | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~［\x13lν｝＼～\nt8１＝\x1b␈\x0fＫβ/\x17κ=ι％ｊπ?~␏",
		out:  " ~［\x13lν｝＼～\nt8１＝\x1b␈\x0fＫβ/\x17κ=ι％ｊπ?~␏",
	}, { // 3553
		mask: EncodeHash | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~［\x13lν｝＼～\nt8１＝\x1b␈\x0fＫβ/\x17κ=ι％ｊπ?~␏",
		out:  "␠~［\x13lν｝＼～\nt8１＝\x1b␈\x0fＫβ/\x17κ=ι％ｊπ?~␏",
	}, { // 3554
		mask: EncodeHash | EncodeRightSpace | EncodeLeftTilde,
		in:   "-~［\x13lν｝＼～\nt8１＝\x1b␈\x0fＫβ/\x17κ=ι％ｊπ?~ ",
		out:  "-~［\x13lν｝＼～\nt8１＝\x1b␈\x0fＫβ/\x17κ=ι％ｊπ?~␠",
	}, { // 3555
		mask: EncodeHash | EncodeRightSpace | EncodeLeftTilde,
		in:   "-~［\x13lν｝＼～\nt8１＝\x1b␈\x0fＫβ/\x17κ=ι％ｊπ?~␠",
		out:  "-~［\x13lν｝＼～\nt8１＝\x1b␈\x0fＫβ/\x17κ=ι％ｊπ?~‛␠",
	}, { // 3556
		mask: EncodePercent | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~＄κv＊δＱh\rν\x11πＡ␒ρ／vFω\\␘tＧ[＞?_~：",
		out:  " ~＄κv＊δＱh\rν\x11πＡ␒ρ／vFω\\␘tＧ[＞?_~：",
	}, { // 3557
		mask: EncodePercent | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~＄κv＊δＱh\rν\x11πＡ␒ρ／vFω\\␘tＧ[＞?_~：",
		out:  "␠~＄κv＊δＱh\rν\x11πＡ␒ρ／vFω\\␘tＧ[＞?_~：",
	}, { // 3558
		mask: EncodePercent | EncodeRightSpace | EncodeLeftTilde,
		in:   "＆~＄κv＊δＱh\rν\x11πＡ␒ρ／vFω\\␘tＧ[＞?_~ ",
		out:  "＆~＄κv＊δＱh\rν\x11πＡ␒ρ／vFω\\␘tＧ[＞?_~␠",
	}, { // 3559
		mask: EncodePercent | EncodeRightSpace | EncodeLeftTilde,
		in:   "＆~＄κv＊δＱh\rν\x11πＡ␒ρ／vFω\\␘tＧ[＞?_~␠",
		out:  "＆~＄κv＊δＱh\rν\x11πＡ␒ρ／vFω\\␘tＧ[＞?_~‛␠",
	}, { // 3560
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~6λ｀Ｚ］2;Ｌ｝αη\x1d>$/␕｜＞χ\x12␚␌υ\x18*␂~％",
		out:  " ~6λ｀Ｚ］2;Ｌ｝αη\x1d>$/␕｜＞χ\x12␚␌υ\x18*␂~％",
	}, { // 3561
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~6λ｀Ｚ］2;Ｌ｝αη\x1d>$/␕｜＞χ\x12␚␌υ\x18*␂~％",
		out:  "␠~6λ｀Ｚ］2;Ｌ｝αη\x1d>$/␕｜＞χ\x12␚␌υ\x18*␂~％",
	}, { // 3562
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   "\x16~6λ｀Ｚ］2;Ｌ｝αη\x1d>$/␕｜＞χ\x12␚␌υ\x18*␂~ ",
		out:  "\x16~6λ｀Ｚ］2;Ｌ｝αη\x1d>$/␕｜＞χ\x12␚␌υ\x18*␂~␠",
	}, { // 3563
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   "\x16~6λ｀Ｚ］2;Ｌ｝αη\x1d>$/␕｜＞χ\x12␚␌υ\x18*␂~␠",
		out:  "\x16~6λ｀Ｚ］2;Ｌ｝αη\x1d>$/␕｜＞χ\x12␚␌υ\x18*␂~‛␠",
	}, { // 3564
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~␍\"(\v/）xψτγｄuj:\\Ａ＊␓ｗφ␔ζ␇`ς\x10~ｄ",
		out:  " ~‛␍\"(\v/）xψτγｄuj:\\Ａ＊␓ｗφ␔ζ␇`ς\x10~ｄ",
	}, { // 3565
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~␍\"(\v/）xψτγｄuj:\\Ａ＊␓ｗφ␔ζ␇`ς\x10~ｄ",
		out:  "␠~‛␍\"(\v/）xψτγｄuj:\\Ａ＊␓ｗφ␔ζ␇`ς\x10~ｄ",
	}, { // 3566
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftTilde,
		in:   "４~␍\"(\v/）xψτγｄuj:\\Ａ＊␓ｗφ␔ζ␇`ς\x10~ ",
		out:  "４~‛␍\"(\v/）xψτγｄuj:\\Ａ＊␓ｗφ␔ζ␇`ς\x10~␠",
	}, { // 3567
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftTilde,
		in:   "４~␍\"(\v/）xψτγｄuj:\\Ａ＊␓ｗφ␔ζ␇`ς\x10~␠",
		out:  "４~‛␍\"(\v/）xψτγｄuj:\\Ａ＊␓ｗφ␔ζ␇`ς\x10~‛␠",
	}, { // 3568
		mask: EncodeDel | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~'ρ＞gονZ＝\"`␔[␃；；ξζ\",５␏３ＶＣ｝\x1f~~",
		out:  " ~'ρ＞gονZ＝\"`␔[␃；；ξζ\",５␏３ＶＣ｝\x1f~~",
	}, { // 3569
		mask: EncodeDel | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~'ρ＞gονZ＝\"`␔[␃；；ξζ\",５␏３ＶＣ｝\x1f~~",
		out:  "␠~'ρ＞gονZ＝\"`␔[␃；；ξζ\",５␏３ＶＣ｝\x1f~~",
	}, { // 3570
		mask: EncodeDel | EncodeRightSpace | EncodeLeftTilde,
		in:   "χ~'ρ＞gονZ＝\"`␔[␃；；ξζ\",５␏３ＶＣ｝\x1f~ ",
		out:  "χ~'ρ＞gονZ＝\"`␔[␃；；ξζ\",５␏３ＶＣ｝\x1f~␠",
	}, { // 3571
		mask: EncodeDel | EncodeRightSpace | EncodeLeftTilde,
		in:   "χ~'ρ＞gονZ＝\"`␔[␃；；ξζ\",５␏３ＶＣ｝\x1f~␠",
		out:  "χ~'ρ＞gονZ＝\"`␔[␃；；ξζ\",５␏３ＶＣ｝\x1f~‛␠",
	}, { // 3572
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~\x1a$\aς＄␙\x16ν␖Ｆ＠；｛\rδ|ξＬx|？␚ηg␗\x16~J",
		out:  " ~␚$␇ς＄‛␙␖ν‛␖Ｆ＠；｛␍δ|ξＬx|？‛␚ηg‛␗␖~J",
	}, { // 3573
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~\x1a$\aς＄␙\x16ν␖Ｆ＠；｛\rδ|ξＬx|？␚ηg␗\x16~J",
		out:  "␠~␚$␇ς＄‛␙␖ν‛␖Ｆ＠；｛␍δ|ξＬx|？‛␚ηg‛␗␖~J",
	}, { // 3574
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftTilde,
		in:   "(~\x1a$\aς＄␙\x16ν␖Ｆ＠；｛\rδ|ξＬx|？␚ηg␗\x16~ ",
		out:  "(~␚$␇ς＄‛␙␖ν‛␖Ｆ＠；｛␍δ|ξＬx|？‛␚ηg‛␗␖~␠",
	}, { // 3575
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftTilde,
		in:   "(~\x1a$\aς＄␙\x16ν␖Ｆ＠；｛\rδ|ξＬx|？␚ηg␗\x16~␠",
		out:  "(~␚$␇ς＄‛␙␖ν‛␖Ｆ＠；｛␍δ|ξＬx|？‛␚ηg‛␗␖~‛␠",
	}, { // 3576
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\t␁",
		out:  " \t＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\t␁",
	}, { // 3577
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\t␁",
		out:  "␠\t＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\t␁",
	}, { // 3578
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\n␁",
		out:  " \n＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\n␁",
	}, { // 3579
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\n␁",
		out:  "␠\n＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\n␁",
	}, { // 3580
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\v␁",
		out:  " \v＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\v␁",
	}, { // 3581
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\v␁",
		out:  "␠\v＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\v␁",
	}, { // 3582
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\r␁",
		out:  " \r＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\r␁",
	}, { // 3583
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\r␁",
		out:  "␠\r＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\r␁",
	}, { // 3584
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␂\t＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\t ",
		out:  "␂\t＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\t␠",
	}, { // 3585
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␂\t＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\t␠",
		out:  "␂\t＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\t‛␠",
	}, { // 3586
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␂\n＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\n ",
		out:  "␂\n＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\n␠",
	}, { // 3587
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␂\n＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\n␠",
		out:  "␂\n＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\n‛␠",
	}, { // 3588
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␂\v＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\v ",
		out:  "␂\v＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\v␠",
	}, { // 3589
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␂\v＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\v␠",
		out:  "␂\v＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\v‛␠",
	}, { // 3590
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␂\r＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\r ",
		out:  "␂\r＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\r␠",
	}, { // 3591
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␂\r＊\x00␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\r␠",
		out:  "␂\r＊␀␔\x05{0:Ｙ，\"[π０＄ζ~ς\x10\x17６\x02δ］υ）␂\r‛␠",
	}, { // 3592
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\tw",
		out:  " \t␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\tw",
	}, { // 3593
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\tw",
		out:  "␠\t␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\tw",
	}, { // 3594
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\nw",
		out:  " \n␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\nw",
	}, { // 3595
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\nw",
		out:  "␠\n␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\nw",
	}, { // 3596
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\vw",
		out:  " \v␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\vw",
	}, { // 3597
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\vw",
		out:  "␠\v␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\vw",
	}, { // 3598
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\rw",
		out:  " \r␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\rw",
	}, { // 3599
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\rw",
		out:  "␠\r␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\rw",
	}, { // 3600
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␝\t␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\t ",
		out:  "␝\t␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\t␠",
	}, { // 3601
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␝\t␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\t␠",
		out:  "␝\t␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\t‛␠",
	}, { // 3602
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␝\n␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\n ",
		out:  "␝\n␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\n␠",
	}, { // 3603
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␝\n␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\n␠",
		out:  "␝\n␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\n‛␠",
	}, { // 3604
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␝\v␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\v ",
		out:  "␝\v␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\v␠",
	}, { // 3605
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␝\v␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\v␠",
		out:  "␝\v␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\v‛␠",
	}, { // 3606
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␝\r␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\r ",
		out:  "␝\r␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\r␠",
	}, { // 3607
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␝\r␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\r␠",
		out:  "␝\r␚q$\x10\x0f％␗\rFＮ␔Ｉ\x05τｌEψ\aιωρ␌２ζ＞Ｕ\r‛␠",
	}, { // 3608
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\t␕",
		out:  " \t３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\t␕",
	}, { // 3609
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\t␕",
		out:  "␠\t３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\t␕",
	}, { // 3610
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\n␕",
		out:  " \n３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\n␕",
	}, { // 3611
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\n␕",
		out:  "␠\n３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\n␕",
	}, { // 3612
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\v␕",
		out:  " \v３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\v␕",
	}, { // 3613
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\v␕",
		out:  "␠\v３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\v␕",
	}, { // 3614
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\r␕",
		out:  " \r３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\r␕",
	}, { // 3615
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\r␕",
		out:  "␠\r３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\r␕",
	}, { // 3616
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␊\t３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\t ",
		out:  "‛␊\t３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\t␠",
	}, { // 3617
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␊\t３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\t␠",
		out:  "‛␊\t３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\t‛␠",
	}, { // 3618
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␊\n３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\n ",
		out:  "‛␊\n３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\n␠",
	}, { // 3619
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␊\n３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\n␠",
		out:  "‛␊\n３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\n‛␠",
	}, { // 3620
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␊\v３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\v ",
		out:  "‛␊\v３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\v␠",
	}, { // 3621
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␊\v３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\v␠",
		out:  "‛␊\v３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\v‛␠",
	}, { // 3622
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␊\r３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\r ",
		out:  "‛␊\r３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\r␠",
	}, { // 3623
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␊\r３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\r␠",
		out:  "‛␊\r３υＷfψ＾␘\x15［κｕe)ξ␡θ\x1a\npu␆J；\x10ζ\x19\r‛␠",
	}, { // 3624
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \tβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\tn",
		out:  " \tβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\tn",
	}, { // 3625
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\tn",
		out:  "␠\tβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\tn",
	}, { // 3626
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \nβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\nn",
		out:  " \nβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\nn",
	}, { // 3627
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\nn",
		out:  "␠\nβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\nn",
	}, { // 3628
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \vβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\vn",
		out:  " \vβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\vn",
	}, { // 3629
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\vn",
		out:  "␠\vβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\vn",
	}, { // 3630
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \rβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\rn",
		out:  " \rβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\rn",
	}, { // 3631
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\rn",
		out:  "␠\rβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\rn",
	}, { // 3632
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␐\tβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\t ",
		out:  "␐\tβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\t␠",
	}, { // 3633
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␐\tβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\t␠",
		out:  "␐\tβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\t‛␠",
	}, { // 3634
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␐\nβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\n ",
		out:  "␐\nβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\n␠",
	}, { // 3635
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␐\nβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\n␠",
		out:  "␐\nβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\n‛␠",
	}, { // 3636
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␐\vβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\v ",
		out:  "␐\vβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\v␠",
	}, { // 3637
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␐\vβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\v␠",
		out:  "␐\vβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\v‛␠",
	}, { // 3638
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␐\rβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\r ",
		out:  "␐\rβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\r␠",
	}, { // 3639
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␐\rβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\r␠",
		out:  "␐\rβ\x0e，sｅＬ\x1b\uff00χ；ygπ␟␈?＆\fδ#＂％\x1aψ；φ\r‛␠",
	}, { // 3640
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \tυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\tφ",
		out:  " \tυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\tφ",
	}, { // 3641
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\tφ",
		out:  "␠\tυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\tφ",
	}, { // 3642
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \nυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\nφ",
		out:  " \nυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\nφ",
	}, { // 3643
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\nφ",
		out:  "␠\nυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\nφ",
	}, { // 3644
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \vυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\vφ",
		out:  " \vυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\vφ",
	}, { // 3645
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\vφ",
		out:  "␠\vυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\vφ",
	}, { // 3646
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \rυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\rφ",
		out:  " \rυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\rφ",
	}, { // 3647
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\rφ",
		out:  "␠\rυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\rφ",
	}, { // 3648
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\tυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\t ",
		out:  "λ\tυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\t␠",
	}, { // 3649
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\tυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\t␠",
		out:  "λ\tυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\t‛␠",
	}, { // 3650
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\nυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\n ",
		out:  "λ\nυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\n␠",
	}, { // 3651
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\nυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\n␠",
		out:  "λ\nυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\n‛␠",
	}, { // 3652
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\vυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\v ",
		out:  "λ\vυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\v␠",
	}, { // 3653
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\vυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\v␠",
		out:  "λ\vυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\v‛␠",
	}, { // 3654
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\rυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\r ",
		out:  "λ\rυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\r␠",
	}, { // 3655
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\rυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd＜\x7f＜␁\\\r␠",
		out:  "λ\rυθ\"ｊw\x18wUＢｙς\x1c＊\x10ｋψ＇␗\x7fＭd‛＜\x7f‛＜␁\\\r‛␠",
	}, { // 3656
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \tN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\tγ",
		out:  " \tN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\tγ",
	}, { // 3657
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\tγ",
		out:  "␠\tN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\tγ",
	}, { // 3658
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \nN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\nγ",
		out:  " \nN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\nγ",
	}, { // 3659
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\nγ",
		out:  "␠\nN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\nγ",
	}, { // 3660
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \vN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\vγ",
		out:  " \vN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\vγ",
	}, { // 3661
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\vγ",
		out:  "␠\vN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\vγ",
	}, { // 3662
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \rN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\rγ",
		out:  " \rN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\rγ",
	}, { // 3663
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\rγ",
		out:  "␠\rN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\rγ",
	}, { // 3664
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x06\tN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\t ",
		out:  "\x06\tN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\t␠",
	}, { // 3665
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x06\tN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\t␠",
		out:  "\x06\tN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\t‛␠",
	}, { // 3666
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x06\nN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\n ",
		out:  "\x06\nN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\n␠",
	}, { // 3667
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x06\nN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\n␠",
		out:  "\x06\nN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\n‛␠",
	}, { // 3668
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x06\vN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\v ",
		out:  "\x06\vN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\v␠",
	}, { // 3669
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x06\vN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\v␠",
		out:  "\x06\vN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\v‛␠",
	}, { // 3670
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x06\rN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\r ",
		out:  "\x06\rN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\r␠",
	}, { // 3671
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x06\rN#ω␄\x154␏E＄[ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω]χ\r␠",
		out:  "\x06\rN#ω␄\x154␏E＄［ｈＤＪ␂␊κ␜␕ｘ\x04ε`－ω］χ\r‛␠",
	}, { // 3672
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \tε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\tθ",
		out:  " \tε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\tθ",
	}, { // 3673
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\tθ",
		out:  "␠\tε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\tθ",
	}, { // 3674
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \nε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\nθ",
		out:  " \nε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\nθ",
	}, { // 3675
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\nθ",
		out:  "␠\nε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\nθ",
	}, { // 3676
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \vε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\vθ",
		out:  " \vε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\vθ",
	}, { // 3677
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\vθ",
		out:  "␠\vε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\vθ",
	}, { // 3678
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \rε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\rθ",
		out:  " \rε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\rθ",
	}, { // 3679
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\rθ",
		out:  "␠\rε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\rθ",
	}, { // 3680
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\tε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\t ",
		out:  "λ\tε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\t␠",
	}, { // 3681
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\tε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\t␠",
		out:  "λ\tε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\t‛␠",
	}, { // 3682
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\nε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\n ",
		out:  "λ\nε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\n␠",
	}, { // 3683
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\nε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\n␠",
		out:  "λ\nε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\n‛␠",
	}, { // 3684
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\vε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\v ",
		out:  "λ\vε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\v␠",
	}, { // 3685
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\vε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\v␠",
		out:  "λ\vε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\v‛␠",
	}, { // 3686
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\rε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\r ",
		out:  "λ\rε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\r␠",
	}, { // 3687
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "λ\rε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\r␠",
		out:  "λ\rε!\x10７\tＲC\b｝dθ＞ω［\\<／υ␓Ｙ\uff00C␍␁\x1b␅\r‛␠",
	}, { // 3688
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \tcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\tε",
		out:  " \tcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\tε",
	}, { // 3689
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\tε",
		out:  "␠\tcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\tε",
	}, { // 3690
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \ncＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\nε",
		out:  " \ncＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\nε",
	}, { // 3691
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\ncＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\nε",
		out:  "␠\ncＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\nε",
	}, { // 3692
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \vcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\vε",
		out:  " \vcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\vε",
	}, { // 3693
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\vε",
		out:  "␠\vcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\vε",
	}, { // 3694
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \rcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\rε",
		out:  " \rcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\rε",
	}, { // 3695
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\rε",
		out:  "␠\rcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\rε",
	}, { // 3696
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "α\tcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\t ",
		out:  "α\tcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\t␠",
	}, { // 3697
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "α\tcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\t␠",
		out:  "α\tcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\t‛␠",
	}, { // 3698
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "α\ncＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\n ",
		out:  "α\ncＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\n␠",
	}, { // 3699
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "α\ncＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\n␠",
		out:  "α\ncＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\n‛␠",
	}, { // 3700
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "α\vcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\v ",
		out:  "α\vcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\v␠",
	}, { // 3701
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "α\vcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\v␠",
		out:  "α\vcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\v‛␠",
	}, { // 3702
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "α\rcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\r ",
		out:  "α\rcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\r␠",
	}, { // 3703
		mask: EncodeExclamation | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "α\rcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\r␠",
		out:  "α\rcＩ／Ｐ␘Ｌ$σ␖9\x1735～\x0e＃~␍\x03{␍\x1aα／ι␌\r‛␠",
	}, { // 3704
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\t\x12",
		out:  " \t␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\t\x12",
	}, { // 3705
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\t\x12",
		out:  "␠\t␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\t\x12",
	}, { // 3706
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\n\x12",
		out:  " \n␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\n\x12",
	}, { // 3707
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\n\x12",
		out:  "␠\n␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\n\x12",
	}, { // 3708
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\v\x12",
		out:  " \v␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\v\x12",
	}, { // 3709
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\v\x12",
		out:  "␠\v␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\v\x12",
	}, { // 3710
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\r\x12",
		out:  " \r␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\r\x12",
	}, { // 3711
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\r\x12",
		out:  "␠\r␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\r\x12",
	}, { // 3712
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｈ\t␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\t ",
		out:  "ｈ\t␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\t␠",
	}, { // 3713
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｈ\t␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\t␠",
		out:  "ｈ\t␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\t‛␠",
	}, { // 3714
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｈ\n␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\n ",
		out:  "ｈ\n␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\n␠",
	}, { // 3715
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｈ\n␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\n␠",
		out:  "ｈ\n␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\n‛␠",
	}, { // 3716
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｈ\v␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\v ",
		out:  "ｈ\v␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\v␠",
	}, { // 3717
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｈ\v␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\v␠",
		out:  "ｈ\v␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\v‛␠",
	}, { // 3718
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｈ\r␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\r ",
		out:  "ｈ\r␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\r␠",
	}, { // 3719
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｈ\r␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\r␠",
		out:  "ｈ\r␞！ρ([ｚβ#ι␚␂１σr\x115\a␈υｑ␉'Yｅ\x18ψ\r‛␠",
	}, { // 3720
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\tψ",
		out:  " \t␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\tψ",
	}, { // 3721
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\tψ",
		out:  "␠\t␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\tψ",
	}, { // 3722
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\nψ",
		out:  " \n␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\nψ",
	}, { // 3723
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\nψ",
		out:  "␠\n␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\nψ",
	}, { // 3724
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\vψ",
		out:  " \v␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\vψ",
	}, { // 3725
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\vψ",
		out:  "␠\v␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\vψ",
	}, { // 3726
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\rψ",
		out:  " \r␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\rψ",
	}, { // 3727
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\rψ",
		out:  "␠\r␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\rψ",
	}, { // 3728
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ξ\t␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\t ",
		out:  "ξ\t␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\t␠",
	}, { // 3729
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ξ\t␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\t␠",
		out:  "ξ\t␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\t‛␠",
	}, { // 3730
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ξ\n␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\n ",
		out:  "ξ\n␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\n␠",
	}, { // 3731
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ξ\n␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\n␠",
		out:  "ξ\n␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\n‛␠",
	}, { // 3732
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ξ\v␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\v ",
		out:  "ξ\v␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\v␠",
	}, { // 3733
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ξ\v␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\v␠",
		out:  "ξ\v␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\v‛␠",
	}, { // 3734
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ξ\r␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\r ",
		out:  "ξ\r␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\r␠",
	}, { // 3735
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ξ\r␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\r␠",
		out:  "ξ\r␊８␝ｘκ＃\x04\aπ[＄z$'$μＥPＺ␅＋)\\８＇T\r‛␠",
	}, { // 3736
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\t７",
		out:  " \t}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\t７",
	}, { // 3737
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\t７",
		out:  "␠\t}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\t７",
	}, { // 3738
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\n７",
		out:  " \n}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\n７",
	}, { // 3739
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\n７",
		out:  "␠\n}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\n７",
	}, { // 3740
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\v７",
		out:  " \v}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\v７",
	}, { // 3741
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\v７",
		out:  "␠\v}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\v７",
	}, { // 3742
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\r７",
		out:  " \r}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\r７",
	}, { // 3743
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\r７",
		out:  "␠\r}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\r７",
	}, { // 3744
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␌\t}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\t ",
		out:  "␌\t}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\t␠",
	}, { // 3745
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␌\t}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\t␠",
		out:  "␌\t}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\t‛␠",
	}, { // 3746
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␌\n}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\n ",
		out:  "␌\n}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\n␠",
	}, { // 3747
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␌\n}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\n␠",
		out:  "␌\n}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\n‛␠",
	}, { // 3748
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␌\v}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\v ",
		out:  "␌\v}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\v␠",
	}, { // 3749
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␌\v}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\v␠",
		out:  "␌\v}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\v‛␠",
	}, { // 3750
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␌\r}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\r ",
		out:  "␌\r}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\r␠",
	}, { // 3751
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␌\r}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\r␠",
		out:  "␌\r}＼ιδU\\θ\x12！␡Ｃ_ＳbX＄ｚＧ\x1a［*>υχ;␑\r‛␠",
	}, { // 3752
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \tlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\t？",
		out:  " \tlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\t‛？",
	}, { // 3753
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\t？",
		out:  "␠\tlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\t‛？",
	}, { // 3754
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \nlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\n？",
		out:  " \nlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\n‛？",
	}, { // 3755
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\n？",
		out:  "␠\nlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\n‛？",
	}, { // 3756
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \vlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\v？",
		out:  " \vlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\v‛？",
	}, { // 3757
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\v？",
		out:  "␠\vlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\v‛？",
	}, { // 3758
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \rlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\r？",
		out:  " \rlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\r‛？",
	}, { // 3759
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\r？",
		out:  "␠\rlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\r‛？",
	}, { // 3760
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\tlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\t ",
		out:  "\x1c\tlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\t␠",
	}, { // 3761
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\tlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\t␠",
		out:  "\x1c\tlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\t‛␠",
	}, { // 3762
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\nlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\n ",
		out:  "\x1c\nlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\n␠",
	}, { // 3763
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\nlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\n␠",
		out:  "\x1c\nlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\n‛␠",
	}, { // 3764
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\vlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\v ",
		out:  "\x1c\vlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\v␠",
	}, { // 3765
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\vlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\v␠",
		out:  "\x1c\vlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\v‛␠",
	}, { // 3766
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\rlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\r ",
		out:  "\x1c\rlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\r␠",
	}, { // 3767
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\rlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\r␠",
		out:  "\x1c\rlω␆＊δ\x16δｊ@\x15βｊ␄Y%P␍\x12Ｍ７␗ρ\\␊.ν\r‛␠",
	}, { // 3768
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \th␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\t␜",
		out:  " \th␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\t␜",
	}, { // 3769
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\th␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\t␜",
		out:  "␠\th␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\t␜",
	}, { // 3770
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \nh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\n␜",
		out:  " \nh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\n␜",
	}, { // 3771
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\n␜",
		out:  "␠\nh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\n␜",
	}, { // 3772
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \vh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\v␜",
		out:  " \vh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\v␜",
	}, { // 3773
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\v␜",
		out:  "␠\vh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\v␜",
	}, { // 3774
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \rh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\r␜",
		out:  " \rh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\r␜",
	}, { // 3775
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\r␜",
		out:  "␠\rh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\r␜",
	}, { // 3776
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "F\th␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\t ",
		out:  "F\th␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\t␠",
	}, { // 3777
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "F\th␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\t␠",
		out:  "F\th␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\t‛␠",
	}, { // 3778
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "F\nh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\n ",
		out:  "F\nh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\n␠",
	}, { // 3779
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "F\nh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\n␠",
		out:  "F\nh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\n‛␠",
	}, { // 3780
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "F\vh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\v ",
		out:  "F\vh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\v␠",
	}, { // 3781
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "F\vh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\v␠",
		out:  "F\vh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\v‛␠",
	}, { // 3782
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "F\rh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\r ",
		out:  "F\rh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\r␠",
	}, { // 3783
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "F\rh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\r␠",
		out:  "F\rh␟␗␁！]\t\x0e＇φε．Ｃθ\x14~2＼ｓσH!\\γ＄β\r‛␠",
	}, { // 3784
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\t\r",
		out:  " \t9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\t\r",
	}, { // 3785
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\t\r",
		out:  "␠\t9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\t\r",
	}, { // 3786
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\n\r",
		out:  " \n9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\n\r",
	}, { // 3787
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\n\r",
		out:  "␠\n9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\n\r",
	}, { // 3788
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\v\r",
		out:  " \v9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\v\r",
	}, { // 3789
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\v\r",
		out:  "␠\v9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\v\r",
	}, { // 3790
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\r\r",
		out:  " \r9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\r\r",
	}, { // 3791
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\r\r",
		out:  "␠\r9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\r\r",
	}, { // 3792
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｋ\t9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\t ",
		out:  "ｋ\t9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\t␠",
	}, { // 3793
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｋ\t9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\t␠",
		out:  "ｋ\t9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\t‛␠",
	}, { // 3794
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｋ\n9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\n ",
		out:  "ｋ\n9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\n␠",
	}, { // 3795
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｋ\n9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\n␠",
		out:  "ｋ\n9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\n‛␠",
	}, { // 3796
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｋ\v9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\v ",
		out:  "ｋ\v9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\v␠",
	}, { // 3797
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｋ\v9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\v␠",
		out:  "ｋ\v9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\v‛␠",
	}, { // 3798
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｋ\r9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\r ",
		out:  "ｋ\r9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\r␠",
	}, { // 3799
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｋ\r9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\r␠",
		out:  "ｋ\r9ｌ４｛ιιS？\n\x12？ν␈}␋v\\_ζａγρ\x1a␏\x1c\x05\r‛␠",
	}, { // 3800
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\t*",
		out:  " \t␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\t*",
	}, { // 3801
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\t*",
		out:  "␠\t␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\t*",
	}, { // 3802
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\n*",
		out:  " \n␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\n*",
	}, { // 3803
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\n*",
		out:  "␠\n␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\n*",
	}, { // 3804
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\v*",
		out:  " \v␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\v*",
	}, { // 3805
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\v*",
		out:  "␠\v␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\v*",
	}, { // 3806
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\r*",
		out:  " \r␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\r*",
	}, { // 3807
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\r*",
		out:  "␠\r␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\r*",
	}, { // 3808
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\t␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\t ",
		out:  "ζ\t␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\t␠",
	}, { // 3809
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\t␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\t␠",
		out:  "ζ\t␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\t‛␠",
	}, { // 3810
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\n␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\n ",
		out:  "ζ\n␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\n␠",
	}, { // 3811
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\n␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\n␠",
		out:  "ζ\n␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\n‛␠",
	}, { // 3812
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\v␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\v ",
		out:  "ζ\v␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\v␠",
	}, { // 3813
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\v␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\v␠",
		out:  "ζ\v␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\v‛␠",
	}, { // 3814
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\r␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\r ",
		out:  "ζ\r␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\r␠",
	}, { // 3815
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\r␁？␈γ\x1cc／ξ/？３＼＃\x0f5iπ４|5␎>\x7fπ＞@\r␠",
		out:  "ζ\r␁？␈γ\x1cc／ξ/？３＼‛＃\x0f5iπ４|5␎>\x7fπ＞@\r‛␠",
	}, { // 3816
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\t８",
		out:  " \t␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\t８",
	}, { // 3817
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\t８",
		out:  "␠\t␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\t８",
	}, { // 3818
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\n８",
		out:  " \n␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\n８",
	}, { // 3819
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\n８",
		out:  "␠\n␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\n８",
	}, { // 3820
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\v８",
		out:  " \v␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\v８",
	}, { // 3821
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\v８",
		out:  "␠\v␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\v８",
	}, { // 3822
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\r８",
		out:  " \r␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\r８",
	}, { // 3823
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\r８",
		out:  "␠\r␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\r８",
	}, { // 3824
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "β\t␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\t ",
		out:  "β\t␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\t␠",
	}, { // 3825
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "β\t␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\t␠",
		out:  "β\t␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\t‛␠",
	}, { // 3826
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "β\n␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\n ",
		out:  "β\n␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\n␠",
	}, { // 3827
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "β\n␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\n␠",
		out:  "β\n␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\n‛␠",
	}, { // 3828
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "β\v␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\v ",
		out:  "β\v␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\v␠",
	}, { // 3829
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "β\v␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\v␠",
		out:  "β\v␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\v‛␠",
	}, { // 3830
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "β\r␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\r ",
		out:  "β\r␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\r␠",
	}, { // 3831
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "β\r␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\r␠",
		out:  "β\r␉＂＇␈␉ξ?ω\x1a．=6xφ\n［\x11Ｏκ]*_␗\x06Ｐ␄\r‛␠",
	}, { // 3832
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\t␞",
		out:  " \t\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\t␞",
	}, { // 3833
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\t␞",
		out:  "␠\t\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\t␞",
	}, { // 3834
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\n␞",
		out:  " \n\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\n␞",
	}, { // 3835
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\n␞",
		out:  "␠\n\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\n␞",
	}, { // 3836
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\v␞",
		out:  " \v\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\v␞",
	}, { // 3837
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\v␞",
		out:  "␠\v\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\v␞",
	}, { // 3838
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\r␞",
		out:  " \r\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\r␞",
	}, { // 3839
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\r␞",
		out:  "␠\r\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\r␞",
	}, { // 3840
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ａ\t\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\t ",
		out:  "Ａ\t\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\t␠",
	}, { // 3841
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ａ\t\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\t␠",
		out:  "Ａ\t\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\t‛␠",
	}, { // 3842
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ａ\n\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\n ",
		out:  "Ａ\n\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\n␠",
	}, { // 3843
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ａ\n\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\n␠",
		out:  "Ａ\n\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\n‛␠",
	}, { // 3844
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ａ\v\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\v ",
		out:  "Ａ\v\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\v␠",
	}, { // 3845
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ａ\v\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\v␠",
		out:  "Ａ\v\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\v‛␠",
	}, { // 3846
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ａ\r\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\r ",
		out:  "Ａ\r\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\r␠",
	}, { // 3847
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ａ\r\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\r␠",
		out:  "Ａ\r\x0e␘\x12B␃εＰ##␖ＷｐOζψς\x12/ｔθh|ｈ␊-␡\r‛␠",
	}, { // 3848
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \tk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\tL",
		out:  " \tk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\tL",
	}, { // 3849
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\tL",
		out:  "␠\tk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\tL",
	}, { // 3850
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \nk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\nL",
		out:  " \nk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\nL",
	}, { // 3851
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\nL",
		out:  "␠\nk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\nL",
	}, { // 3852
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \vk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\vL",
		out:  " \vk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\vL",
	}, { // 3853
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\vL",
		out:  "␠\vk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\vL",
	}, { // 3854
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \rk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\rL",
		out:  " \rk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\rL",
	}, { // 3855
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\rL",
		out:  "␠\rk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\rL",
	}, { // 3856
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "/\tk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\t ",
		out:  "/\tk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\t␠",
	}, { // 3857
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "/\tk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\t␠",
		out:  "/\tk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\t‛␠",
	}, { // 3858
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "/\nk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\n ",
		out:  "/\nk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\n␠",
	}, { // 3859
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "/\nk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\n␠",
		out:  "/\nk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\n‛␠",
	}, { // 3860
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "/\vk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\v ",
		out:  "/\vk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\v␠",
	}, { // 3861
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "/\vk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\v␠",
		out:  "/\vk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\v‛␠",
	}, { // 3862
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "/\rk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\r ",
		out:  "/\rk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\r␠",
	}, { // 3863
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "/\rk\r（／η｀；］ιＢ9Z\x00\x1eσ＠οβＢ`␀␊\x16ω␞␍\r␠",
		out:  "/\rk\r（／η｀；］ιＢ9Z␀\x1eσ＠οβＢ`‛␀␊\x16ω␞␍\r‛␠",
	}, { // 3864
		mask: EncodeZero | EncodeRightSpace | EncodeRightPeriod,
		in:   " .：εｇ6ＤF␁?\x1e@\\\x01＂\x16?νχα\x7f＂７␑Ｊε␝␄.γ",
		out:  " .：εｇ6ＤF␁?\x1e@\\\x01＂\x16?νχα\x7f＂７␑Ｊε␝␄.γ",
	}, { // 3865
		mask: EncodeZero | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.：εｇ6ＤF␁?\x1e@\\\x01＂\x16?νχα\x7f＂７␑Ｊε␝␄.γ",
		out:  "␠.：εｇ6ＤF␁?\x1e@\\\x01＂\x16?νχα\x7f＂７␑Ｊε␝␄.γ",
	}, { // 3866
		mask: EncodeZero | EncodeRightSpace | EncodeRightPeriod,
		in:   "*.：εｇ6ＤF␁?\x1e@\\\x01＂\x16?νχα\x7f＂７␑Ｊε␝␄. ",
		out:  "*.：εｇ6ＤF␁?\x1e@\\\x01＂\x16?νχα\x7f＂７␑Ｊε␝␄.␠",
	}, { // 3867
		mask: EncodeZero | EncodeRightSpace | EncodeRightPeriod,
		in:   "*.：εｇ6ＤF␁?\x1e@\\\x01＂\x16?νχα\x7f＂７␑Ｊε␝␄.␠",
		out:  "*.：εｇ6ＤF␁?\x1e@\\\x01＂\x16?νχα\x7f＂７␑Ｊε␝␄.‛␠",
	}, { // 3868
		mask: EncodeSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   " .Zi%\rｑ␈ζηb４Eψ＃ｐ\v｀／'Ｄ\x02(`␊α#ρ.τ",
		out:  " .Zi%\rｑ␈ζηb４Eψ＃ｐ\v｀‛／'Ｄ\x02(`␊α#ρ.τ",
	}, { // 3869
		mask: EncodeSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.Zi%\rｑ␈ζηb４Eψ＃ｐ\v｀／'Ｄ\x02(`␊α#ρ.τ",
		out:  "␠.Zi%\rｑ␈ζηb４Eψ＃ｐ\v｀‛／'Ｄ\x02(`␊α#ρ.τ",
	}, { // 3870
		mask: EncodeSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   "％.Zi%\rｑ␈ζηb４Eψ＃ｐ\v｀／'Ｄ\x02(`␊α#ρ. ",
		out:  "％.Zi%\rｑ␈ζηb４Eψ＃ｐ\v｀‛／'Ｄ\x02(`␊α#ρ.␠",
	}, { // 3871
		mask: EncodeSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   "％.Zi%\rｑ␈ζηb４Eψ＃ｐ\v｀／'Ｄ\x02(`␊α#ρ.␠",
		out:  "％.Zi%\rｑ␈ζηb４Eψ＃ｐ\v｀‛／'Ｄ\x02(`␊α#ρ.‛␠",
	}, { // 3872
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   " .\x1e␋？ζ\rζ;ρi4␛;υ?\rν␔１ι␇ａk／)ｄｋ.９",
		out:  " .\x1e␋？ζ\rζ;ρi4␛;υ?\rν␔１ι␇ａk／)ｄｋ.９",
	}, { // 3873
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.\x1e␋？ζ\rζ;ρi4␛;υ?\rν␔１ι␇ａk／)ｄｋ.９",
		out:  "␠.\x1e␋？ζ\rζ;ρi4␛;υ?\rν␔１ι␇ａk／)ｄｋ.９",
	}, { // 3874
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "␑.\x1e␋？ζ\rζ;ρi4␛;υ?\rν␔１ι␇ａk／)ｄｋ. ",
		out:  "␑.\x1e␋？ζ\rζ;ρi4␛;υ?\rν␔１ι␇ａk／)ｄｋ.␠",
	}, { // 3875
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "␑.\x1e␋？ζ\rζ;ρi4␛;υ?\rν␔１ι␇ａk／)ｄｋ.␠",
		out:  "␑.\x1e␋？ζ\rζ;ρi4␛;υ?\rν␔１ι␇ａk／)ｄｋ.‛␠",
	}, { // 3876
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   " .ｒ\"␓Ｕψ＂αδυ1ｓ␆\rdｖ@rQ$rｕμ␍φ：（.␡",
		out:  " .ｒ\"␓Ｕψ＂αδυ1ｓ␆\rdｖ@rQ$rｕμ␍φ：（.␡",
	}, { // 3877
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.ｒ\"␓Ｕψ＂αδυ1ｓ␆\rdｖ@rQ$rｕμ␍φ：（.␡",
		out:  "␠.ｒ\"␓Ｕψ＂αδυ1ｓ␆\rdｖ@rQ$rｕμ␍φ：（.␡",
	}, { // 3878
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "`.ｒ\"␓Ｕψ＂αδυ1ｓ␆\rdｖ@rQ$rｕμ␍φ：（. ",
		out:  "｀.ｒ\"␓Ｕψ＂αδυ1ｓ␆\rdｖ@rQ$rｕμ␍φ：（.␠",
	}, { // 3879
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "`.ｒ\"␓Ｕψ＂αδυ1ｓ␆\rdｖ@rQ$rｕμ␍φ：（.␠",
		out:  "｀.ｒ\"␓Ｕψ＂αδυ1ｓ␆\rdｖ@rQ$rｕμ␍φ：（.‛␠",
	}, { // 3880
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightPeriod,
		in:   " .I＠␊４\x12ｄｔo\x1e)␊␖|εοQ\x12＊δ␎x\"？Ｎγ9.\b",
		out:  " .I＠␊４\x12ｄｔo\x1e)␊␖|εοQ\x12＊δ␎x\"？Ｎγ9.\b",
	}, { // 3881
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.I＠␊４\x12ｄｔo\x1e)␊␖|εοQ\x12＊δ␎x\"？Ｎγ9.\b",
		out:  "␠.I＠␊４\x12ｄｔo\x1e)␊␖|εοQ\x12＊δ␎x\"？Ｎγ9.\b",
	}, { // 3882
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightPeriod,
		in:   "␅.I＠␊４\x12ｄｔo\x1e)␊␖|εοQ\x12＊δ␎x\"？Ｎγ9. ",
		out:  "␅.I＠␊４\x12ｄｔo\x1e)␊␖|εοQ\x12＊δ␎x\"？Ｎγ9.␠",
	}, { // 3883
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightPeriod,
		in:   "␅.I＠␊４\x12ｄｔo\x1e)␊␖|εοQ\x12＊δ␎x\"？Ｎγ9.␠",
		out:  "␅.I＠␊４\x12ｄｔo\x1e)␊␖|εοQ\x12＊δ␎x\"？Ｎγ9.‛␠",
	}, { // 3884
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightPeriod,
		in:   " .χ]＇\nD４／ct［'\x14ε;␇\x15ｅο）P␖χ４χσ␞.ｒ",
		out:  " .χ］＇\nD４／ct‛［'\x14ε;␇\x15ｅο）P␖χ４χσ␞.ｒ",
	}, { // 3885
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.χ]＇\nD４／ct［'\x14ε;␇\x15ｅο）P␖χ４χσ␞.ｒ",
		out:  "␠.χ］＇\nD４／ct‛［'\x14ε;␇\x15ｅο）P␖χ４χσ␞.ｒ",
	}, { // 3886
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightPeriod,
		in:   "\x14.χ]＇\nD４／ct［'\x14ε;␇\x15ｅο）P␖χ４χσ␞. ",
		out:  "\x14.χ］＇\nD４／ct‛［'\x14ε;␇\x15ｅο）P␖χ４χσ␞.␠",
	}, { // 3887
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightPeriod,
		in:   "\x14.χ]＇\nD４／ct［'\x14ε;␇\x15ｅο）P␖χ４χσ␞.␠",
		out:  "\x14.χ］＇\nD４／ct‛［'\x14ε;␇\x15ｅο）P␖χ４χσ␞.‛␠",
	}, { // 3888
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightPeriod,
		in:   " .\x19mＳ*｜W:Ｓ1＋>ηθ\x16φκ=␗;％μＮ␋β␟］.\x00",
		out:  " .\x19mＳ*｜W:Ｓ1＋>ηθ\x16φκ=␗；％μＮ␋β␟］.␀",
	}, { // 3889
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.\x19mＳ*｜W:Ｓ1＋>ηθ\x16φκ=␗;％μＮ␋β␟］.\x00",
		out:  "␠.\x19mＳ*｜W:Ｓ1＋>ηθ\x16φκ=␗；％μＮ␋β␟］.␀",
	}, { // 3890
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightPeriod,
		in:   "<.\x19mＳ*｜W:Ｓ1＋>ηθ\x16φκ=␗;％μＮ␋β␟］. ",
		out:  "<.\x19mＳ*｜W:Ｓ1＋>ηθ\x16φκ=␗；％μＮ␋β␟］.␠",
	}, { // 3891
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightPeriod,
		in:   "<.\x19mＳ*｜W:Ｓ1＋>ηθ\x16φκ=␗;％μＮ␋β␟］.␠",
		out:  "<.\x19mＳ*｜W:Ｓ1＋>ηθ\x16φκ=␗；％μＮ␋β␟］.‛␠",
	}, { // 3892
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightPeriod,
		in:   " .M］'σ\x1eN＂｜$？␍>*Dε|（ψn␂θx␟ζ０υ.!",
		out:  " .M］'σ\x1eN＂｜$？␍>*Dε|（ψn␂θx␟ζ０υ.！",
	}, { // 3893
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.M］'σ\x1eN＂｜$？␍>*Dε|（ψn␂θx␟ζ０υ.!",
		out:  "␠.M］'σ\x1eN＂｜$？␍>*Dε|（ψn␂θx␟ζ０υ.！",
	}, { // 3894
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightPeriod,
		in:   "（.M］'σ\x1eN＂｜$？␍>*Dε|（ψn␂θx␟ζ０υ. ",
		out:  "（.M］'σ\x1eN＂｜$？␍>*Dε|（ψn␂θx␟ζ０υ.␠",
	}, { // 3895
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightPeriod,
		in:   "（.M］'σ\x1eN＂｜$？␍>*Dε|（ψn␂θx␟ζ０υ.␠",
		out:  "（.M］'σ\x1eN＂｜$？␍>*Dε|（ψn␂θx␟ζ０υ.‛␠",
	}, { // 3896
		mask: EncodeDollar | EncodeRightSpace | EncodeRightPeriod,
		in:   " .％\x11\vδ␐\"＠z␏π%@１ｑ\x1f～VＧ␈｀ςω␖υ\bR.υ",
		out:  " .％\x11\vδ␐\"＠z␏π%@１ｑ\x1f～VＧ␈｀ςω␖υ\bR.υ",
	}, { // 3897
		mask: EncodeDollar | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.％\x11\vδ␐\"＠z␏π%@１ｑ\x1f～VＧ␈｀ςω␖υ\bR.υ",
		out:  "␠.％\x11\vδ␐\"＠z␏π%@１ｑ\x1f～VＧ␈｀ςω␖υ\bR.υ",
	}, { // 3898
		mask: EncodeDollar | EncodeRightSpace | EncodeRightPeriod,
		in:   "1.％\x11\vδ␐\"＠z␏π%@１ｑ\x1f～VＧ␈｀ςω␖υ\bR. ",
		out:  "1.％\x11\vδ␐\"＠z␏π%@１ｑ\x1f～VＧ␈｀ςω␖υ\bR.␠",
	}, { // 3899
		mask: EncodeDollar | EncodeRightSpace | EncodeRightPeriod,
		in:   "1.％\x11\vδ␐\"＠z␏π%@１ｑ\x1f～VＧ␈｀ςω␖υ\bR.␠",
		out:  "1.％\x11\vδ␐\"＠z␏π%@１ｑ\x1f～VＧ␈｀ςω␖υ\bR.‛␠",
	}, { // 3900
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   " .g#;ψ［ｔ␋Ｉ6～%＄＜σ／πσ[\x16`kY｝-＃｀.－",
		out:  " .g#;ψ［ｔ␋Ｉ6～%＄＜σ／πσ[\x16`kY｝-＃｀.－",
	}, { // 3901
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.g#;ψ［ｔ␋Ｉ6～%＄＜σ／πσ[\x16`kY｝-＃｀.－",
		out:  "␠.g#;ψ［ｔ␋Ｉ6～%＄＜σ／πσ[\x16`kY｝-＃｀.－",
	}, { // 3902
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "τ.g#;ψ［ｔ␋Ｉ6～%＄＜σ／πσ[\x16`kY｝-＃｀. ",
		out:  "τ.g#;ψ［ｔ␋Ｉ6～%＄＜σ／πσ[\x16`kY｝-＃｀.␠",
	}, { // 3903
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "τ.g#;ψ［ｔ␋Ｉ6～%＄＜σ／πσ[\x16`kY｝-＃｀.␠",
		out:  "τ.g#;ψ［ｔ␋Ｉ6～%＄＜σ／πσ[\x16`kY｝-＃｀.‛␠",
	}, { // 3904
		mask: EncodeColon | EncodeRightSpace | EncodeRightPeriod,
		in:   " .␖\x16\x17ρκD？h９9\x00＃E,\t[␍｛ＵHχ：ｉ␈'δ.ψ",
		out:  " .␖\x16\x17ρκD？h９9␀＃E,\t[␍｛ＵHχ‛：ｉ␈'δ.ψ",
	}, { // 3905
		mask: EncodeColon | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.␖\x16\x17ρκD？h９9\x00＃E,\t[␍｛ＵHχ：ｉ␈'δ.ψ",
		out:  "␠.␖\x16\x17ρκD？h９9␀＃E,\t[␍｛ＵHχ‛：ｉ␈'δ.ψ",
	}, { // 3906
		mask: EncodeColon | EncodeRightSpace | EncodeRightPeriod,
		in:   "␡.␖\x16\x17ρκD？h９9\x00＃E,\t[␍｛ＵHχ：ｉ␈'δ. ",
		out:  "␡.␖\x16\x17ρκD？h９9␀＃E,\t[␍｛ＵHχ‛：ｉ␈'δ.␠",
	}, { // 3907
		mask: EncodeColon | EncodeRightSpace | EncodeRightPeriod,
		in:   "␡.␖\x16\x17ρκD？h９9\x00＃E,\t[␍｛ＵHχ：ｉ␈'δ.␠",
		out:  "␡.␖\x16\x17ρκD？h９9␀＃E,\t[␍｛ＵHχ‛：ｉ␈'δ.‛␠",
	}, { // 3908
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightPeriod,
		in:   " .／%Ｉo\x1b１χＴ＇\x01ｓ␟ωJ;τα\vＢ，＊η\x12υ＂,.;",
		out:  " .／%Ｉo\x1b１χＴ＇\x01ｓ␟ωJ;τα\vＢ，＊η\x12υ＂,.;",
	}, { // 3909
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.／%Ｉo\x1b１χＴ＇\x01ｓ␟ωJ;τα\vＢ，＊η\x12υ＂,.;",
		out:  "␠.／%Ｉo\x1b１χＴ＇\x01ｓ␟ωJ;τα\vＢ，＊η\x12υ＂,.;",
	}, { // 3910
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightPeriod,
		in:   "u.／%Ｉo\x1b１χＴ＇\x01ｓ␟ωJ;τα\vＢ，＊η\x12υ＂,. ",
		out:  "u.／%Ｉo\x1b１χＴ＇\x01ｓ␟ωJ;τα\vＢ，＊η\x12υ＂,.␠",
	}, { // 3911
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightPeriod,
		in:   "u.／%Ｉo\x1b１χＴ＇\x01ｓ␟ωJ;τα\vＢ，＊η\x12υ＂,.␠",
		out:  "u.／%Ｉo\x1b１χＴ＇\x01ｓ␟ωJ;τα\vＢ，＊η\x12υ＂,.‛␠",
	}, { // 3912
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightPeriod,
		in:   " .␛／␎φ｜>！\x00␒\x06\x1fο＆\x127␇ａ␆$οςθ2k,w.＾",
		out:  " .␛／␎φ｜>！␀␒\x06\x1fο＆\x127␇ａ␆$οςθ2k,w.＾",
	}, { // 3913
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.␛／␎φ｜>！\x00␒\x06\x1fο＆\x127␇ａ␆$οςθ2k,w.＾",
		out:  "␠.␛／␎φ｜>！␀␒\x06\x1fο＆\x127␇ａ␆$οςθ2k,w.＾",
	}, { // 3914
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightPeriod,
		in:   "％.␛／␎φ｜>！\x00␒\x06\x1fο＆\x127␇ａ␆$οςθ2k,w. ",
		out:  "％.␛／␎φ｜>！␀␒\x06\x1fο＆\x127␇ａ␆$οςθ2k,w.␠",
	}, { // 3915
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightPeriod,
		in:   "％.␛／␎φ｜>！\x00␒\x06\x1fο＆\x127␇ａ␆$οςθ2k,w.␠",
		out:  "％.␛／␎φ｜>！␀␒\x06\x1fο＆\x127␇ａ␆$οςθ2k,w.‛␠",
	}, { // 3916
		mask: EncodePipe | EncodeRightSpace | EncodeRightPeriod,
		in:   " .επ␛␖σ％\x7fλＶｕ␏3ω\n％\tc/ｂ\x03ν␞Ｗ$＇3.Ｎ",
		out:  " .επ␛␖σ％\x7fλＶｕ␏3ω\n％\tc/ｂ\x03ν␞Ｗ$＇3.Ｎ",
	}, { // 3917
		mask: EncodePipe | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.επ␛␖σ％\x7fλＶｕ␏3ω\n％\tc/ｂ\x03ν␞Ｗ$＇3.Ｎ",
		out:  "␠.επ␛␖σ％\x7fλＶｕ␏3ω\n％\tc/ｂ\x03ν␞Ｗ$＇3.Ｎ",
	}, { // 3918
		mask: EncodePipe | EncodeRightSpace | EncodeRightPeriod,
		in:   "f.επ␛␖σ％\x7fλＶｕ␏3ω\n％\tc/ｂ\x03ν␞Ｗ$＇3. ",
		out:  "f.επ␛␖σ％\x7fλＶｕ␏3ω\n％\tc/ｂ\x03ν␞Ｗ$＇3.␠",
	}, { // 3919
		mask: EncodePipe | EncodeRightSpace | EncodeRightPeriod,
		in:   "f.επ␛␖σ％\x7fλＶｕ␏3ω\n％\tc/ｂ\x03ν␞Ｗ$＇3.␠",
		out:  "f.επ␛␖σ％\x7fλＶｕ␏3ω\n％\tc/ｂ\x03ν␞Ｗ$＇3.‛␠",
	}, { // 3920
		mask: EncodeHash | EncodeRightSpace | EncodeRightPeriod,
		in:   " .Ｊ｜ｚＬｊ␏B\r␍`␒:>␘1νωh［Yξ\x10θ␊Ｔ?.\x14",
		out:  " .Ｊ｜ｚＬｊ␏B\r␍`␒:>␘1νωh［Yξ\x10θ␊Ｔ?.\x14",
	}, { // 3921
		mask: EncodeHash | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.Ｊ｜ｚＬｊ␏B\r␍`␒:>␘1νωh［Yξ\x10θ␊Ｔ?.\x14",
		out:  "␠.Ｊ｜ｚＬｊ␏B\r␍`␒:>␘1νωh［Yξ\x10θ␊Ｔ?.\x14",
	}, { // 3922
		mask: EncodeHash | EncodeRightSpace | EncodeRightPeriod,
		in:   "γ.Ｊ｜ｚＬｊ␏B\r␍`␒:>␘1νωh［Yξ\x10θ␊Ｔ?. ",
		out:  "γ.Ｊ｜ｚＬｊ␏B\r␍`␒:>␘1νωh［Yξ\x10θ␊Ｔ?.␠",
	}, { // 3923
		mask: EncodeHash | EncodeRightSpace | EncodeRightPeriod,
		in:   "γ.Ｊ｜ｚＬｊ␏B\r␍`␒:>␘1νωh［Yξ\x10θ␊Ｔ?.␠",
		out:  "γ.Ｊ｜ｚＬｊ␏B\r␍`␒:>␘1νωh［Yξ\x10θ␊Ｔ?.‛␠",
	}, { // 3924
		mask: EncodePercent | EncodeRightSpace | EncodeRightPeriod,
		in:   " .\x0eτｅTh>θ␕\x17ρＤ#q＼␐κ#+\x12ν*？␇７ｙｂ.η",
		out:  " .\x0eτｅTh>θ␕\x17ρＤ#q＼␐κ#+\x12ν*？␇７ｙｂ.η",
	}, { // 3925
		mask: EncodePercent | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.\x0eτｅTh>θ␕\x17ρＤ#q＼␐κ#+\x12ν*？␇７ｙｂ.η",
		out:  "␠.\x0eτｅTh>θ␕\x17ρＤ#q＼␐κ#+\x12ν*？␇７ｙｂ.η",
	}, { // 3926
		mask: EncodePercent | EncodeRightSpace | EncodeRightPeriod,
		in:   "\x16.\x0eτｅTh>θ␕\x17ρＤ#q＼␐κ#+\x12ν*？␇７ｙｂ. ",
		out:  "\x16.\x0eτｅTh>θ␕\x17ρＤ#q＼␐κ#+\x12ν*？␇７ｙｂ.␠",
	}, { // 3927
		mask: EncodePercent | EncodeRightSpace | EncodeRightPeriod,
		in:   "\x16.\x0eτｅTh>θ␕\x17ρＤ#q＼␐κ#+\x12ν*？␇７ｙｂ.␠",
		out:  "\x16.\x0eτｅTh>θ␕\x17ρＤ#q＼␐κ#+\x12ν*？␇７ｙｂ.‛␠",
	}, { // 3928
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   " .\tＷ＊\x17Jμ｀Ｌ?2m\nｅ＂R［α␅\x18＃／ｕι\x15νο.ο",
		out:  " .\tＷ＊\x17Jμ｀Ｌ?2m\nｅ＂R［α␅\x18＃／ｕι\x15νο.ο",
	}, { // 3929
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.\tＷ＊\x17Jμ｀Ｌ?2m\nｅ＂R［α␅\x18＃／ｕι\x15νο.ο",
		out:  "␠.\tＷ＊\x17Jμ｀Ｌ?2m\nｅ＂R［α␅\x18＃／ｕι\x15νο.ο",
	}, { // 3930
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   "P.\tＷ＊\x17Jμ｀Ｌ?2m\nｅ＂R［α␅\x18＃／ｕι\x15νο. ",
		out:  "P.\tＷ＊\x17Jμ｀Ｌ?2m\nｅ＂R［α␅\x18＃／ｕι\x15νο.␠",
	}, { // 3931
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   "P.\tＷ＊\x17Jμ｀Ｌ?2m\nｅ＂R［α␅\x18＃／ｕι\x15νο.␠",
		out:  "P.\tＷ＊\x17Jμ｀Ｌ?2m\nｅ＂R［α␅\x18＃／ｕι\x15νο.‛␠",
	}, { // 3932
		mask: EncodeCrLf | EncodeRightSpace | EncodeRightPeriod,
		in:   " .λJｈｐ｀γ␊＠３*␐ητ＂w␄>（θ\x14\x06u<pω\\.＜",
		out:  " .λJｈｐ｀γ‛␊＠３*␐ητ＂w␄>（θ\x14\x06u<pω\\.＜",
	}, { // 3933
		mask: EncodeCrLf | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.λJｈｐ｀γ␊＠３*␐ητ＂w␄>（θ\x14\x06u<pω\\.＜",
		out:  "␠.λJｈｐ｀γ‛␊＠３*␐ητ＂w␄>（θ\x14\x06u<pω\\.＜",
	}, { // 3934
		mask: EncodeCrLf | EncodeRightSpace | EncodeRightPeriod,
		in:   "\".λJｈｐ｀γ␊＠３*␐ητ＂w␄>（θ\x14\x06u<pω\\. ",
		out:  "\".λJｈｐ｀γ‛␊＠３*␐ητ＂w␄>（θ\x14\x06u<pω\\.␠",
	}, { // 3935
		mask: EncodeCrLf | EncodeRightSpace | EncodeRightPeriod,
		in:   "\".λJｈｐ｀γ␊＠３*␐ητ＂w␄>（θ\x14\x06u<pω\\.␠",
		out:  "\".λJｈｐ｀γ‛␊＠３*␐ητ＂w␄>（θ\x14\x06u<pω\\.‛␠",
	}, { // 3936
		mask: EncodeDel | EncodeRightSpace | EncodeRightPeriod,
		in:   " .?ζφ？\x1dβ␆\t␊αＹN\n␕5␔;］␑＊SＨ:Ｇsθ.ς",
		out:  " .?ζφ？\x1dβ␆\t␊αＹN\n␕5␔;］␑＊SＨ:Ｇsθ.ς",
	}, { // 3937
		mask: EncodeDel | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.?ζφ？\x1dβ␆\t␊αＹN\n␕5␔;］␑＊SＨ:Ｇsθ.ς",
		out:  "␠.?ζφ？\x1dβ␆\t␊αＹN\n␕5␔;］␑＊SＨ:Ｇsθ.ς",
	}, { // 3938
		mask: EncodeDel | EncodeRightSpace | EncodeRightPeriod,
		in:   "\x1c.?ζφ？\x1dβ␆\t␊αＹN\n␕5␔;］␑＊SＨ:Ｇsθ. ",
		out:  "\x1c.?ζφ？\x1dβ␆\t␊αＹN\n␕5␔;］␑＊SＨ:Ｇsθ.␠",
	}, { // 3939
		mask: EncodeDel | EncodeRightSpace | EncodeRightPeriod,
		in:   "\x1c.?ζφ？\x1dβ␆\t␊αＹN\n␕5␔;］␑＊SＨ:Ｇsθ.␠",
		out:  "\x1c.?ζφ？\x1dβ␆\t␊αＹN\n␕5␔;］␑＊SＨ:Ｇsθ.‛␠",
	}, { // 3940
		mask: EncodeCtl | EncodeRightSpace | EncodeRightPeriod,
		in:   " .5φ\x04lBｘ＾λ，ｎ\f％␏␉φαＫθr&␡d␍\a\"ｖ.φ",
		out:  " .5φ␄lBｘ＾λ，ｎ␌％‛␏‛␉φαＫθr&␡d‛␍␇\"ｖ.φ",
	}, { // 3941
		mask: EncodeCtl | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.5φ\x04lBｘ＾λ，ｎ\f％␏␉φαＫθr&␡d␍\a\"ｖ.φ",
		out:  "␠.5φ␄lBｘ＾λ，ｎ␌％‛␏‛␉φαＫθr&␡d‛␍␇\"ｖ.φ",
	}, { // 3942
		mask: EncodeCtl | EncodeRightSpace | EncodeRightPeriod,
		in:   "｜.5φ\x04lBｘ＾λ，ｎ\f％␏␉φαＫθr&␡d␍\a\"ｖ. ",
		out:  "｜.5φ␄lBｘ＾λ，ｎ␌％‛␏‛␉φαＫθr&␡d‛␍␇\"ｖ.␠",
	}, { // 3943
		mask: EncodeCtl | EncodeRightSpace | EncodeRightPeriod,
		in:   "｜.5φ\x04lBｘ＾λ，ｎ\f％␏␉φαＫθr&␡d␍\a\"ｖ.␠",
		out:  "｜.5φ␄lBｘ＾λ，ｎ␌％‛␏‛␉φαＫθr&␡d‛␍␇\"ｖ.‛␠",
	}, { // 3944
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\tλ",
		out:  " \t\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\tλ",
	}, { // 3945
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\tλ",
		out:  "␠\t\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\tλ",
	}, { // 3946
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\nλ",
		out:  " \n\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\nλ",
	}, { // 3947
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\nλ",
		out:  "␠\n\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\nλ",
	}, { // 3948
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\vλ",
		out:  " \v\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\vλ",
	}, { // 3949
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\vλ",
		out:  "␠\v\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\vλ",
	}, { // 3950
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\rλ",
		out:  " \r\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\rλ",
	}, { // 3951
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\rλ",
		out:  "␠\r\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\rλ",
	}, { // 3952
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "σ\t\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\t ",
		out:  "σ\t\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\t␠",
	}, { // 3953
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "σ\t\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\t␠",
		out:  "σ\t\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\t‛␠",
	}, { // 3954
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "σ\n\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\n ",
		out:  "σ\n\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\n␠",
	}, { // 3955
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "σ\n\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\n␠",
		out:  "σ\n\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\n‛␠",
	}, { // 3956
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "σ\v\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\v ",
		out:  "σ\v\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\v␠",
	}, { // 3957
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "σ\v\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\v␠",
		out:  "σ\v\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\v‛␠",
	}, { // 3958
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "σ\r\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\r ",
		out:  "σ\r\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\r␠",
	}, { // 3959
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "σ\r\\q８|［␎ρGχＯ\x7f\x02＊␀<Ib／␗\fＳ\x00α＿/ｘ\r␠",
		out:  "σ\r\\q８|［␎ρGχＯ\x7f\x02＊‛␀<Ib／␗\fＳ␀α＿/ｘ\r‛␠",
	}, { // 3960
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\t＇",
		out:  " \t\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\t＇",
	}, { // 3961
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\t＇",
		out:  "␠\t\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\t＇",
	}, { // 3962
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\n＇",
		out:  " \n\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\n＇",
	}, { // 3963
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\n＇",
		out:  "␠\n\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\n＇",
	}, { // 3964
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\v＇",
		out:  " \v\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\v＇",
	}, { // 3965
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\v＇",
		out:  "␠\v\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\v＇",
	}, { // 3966
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\r＇",
		out:  " \r\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\r＇",
	}, { // 3967
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\r＇",
		out:  "␠\r\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\r＇",
	}, { // 3968
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "θ\t\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\t ",
		out:  "θ\t\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\t␠",
	}, { // 3969
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "θ\t\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\t␠",
		out:  "θ\t\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\t‛␠",
	}, { // 3970
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "θ\n\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\n ",
		out:  "θ\n\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\n␠",
	}, { // 3971
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "θ\n\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\n␠",
		out:  "θ\n\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\n‛␠",
	}, { // 3972
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "θ\v\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\v ",
		out:  "θ\v\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\v␠",
	}, { // 3973
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "θ\v\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\v␠",
		out:  "θ\v\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\v‛␠",
	}, { // 3974
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "θ\r\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\r ",
		out:  "θ\r\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\r␠",
	}, { // 3975
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "θ\r\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\r␠",
		out:  "θ\r\x1fＳι␗\x06\x10ｖrω␇８7v␞vξγ？＇Dｇg\x1e\x15\x02Ｍ\r‛␠",
	}, { // 3976
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \tφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\t=",
		out:  " \tφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\t=",
	}, { // 3977
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\tφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\t=",
		out:  "␠\tφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\t=",
	}, { // 3978
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \nφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\n=",
		out:  " \nφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\n=",
	}, { // 3979
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\nφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\n=",
		out:  "␠\nφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\n=",
	}, { // 3980
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \vφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\v=",
		out:  " \vφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\v=",
	}, { // 3981
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\vφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\v=",
		out:  "␠\vφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\v=",
	}, { // 3982
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \rφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\r=",
		out:  " \rφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\r=",
	}, { // 3983
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\rφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\r=",
		out:  "␠\rφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\r=",
	}, { // 3984
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "５\tφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\t ",
		out:  "５\tφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\t␠",
	}, { // 3985
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "５\tφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\t␠",
		out:  "５\tφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\t‛␠",
	}, { // 3986
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "５\nφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\n ",
		out:  "５\nφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\n␠",
	}, { // 3987
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "５\nφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\n␠",
		out:  "５\nφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\n‛␠",
	}, { // 3988
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "５\vφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\v ",
		out:  "５\vφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\v␠",
	}, { // 3989
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "５\vφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\v␠",
		out:  "５\vφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\v‛␠",
	}, { // 3990
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "５\rφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\r ",
		out:  "５\rφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\r␠",
	}, { // 3991
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "５\rφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ␀λ\x1b\r␠",
		out:  "５\rφι＼/％>：5ｔ-＜]␊＜\x14ｗＱqK\x12,υσ‛␀λ\x1b\r‛␠",
	}, { // 3992
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\tｋ",
		out:  " \t\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\tｋ",
	}, { // 3993
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\tｋ",
		out:  "␠\t\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\tｋ",
	}, { // 3994
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\nｋ",
		out:  " \n\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\nｋ",
	}, { // 3995
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\nｋ",
		out:  "␠\n\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\nｋ",
	}, { // 3996
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\vｋ",
		out:  " \v\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\vｋ",
	}, { // 3997
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\vｋ",
		out:  "␠\v\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\vｋ",
	}, { // 3998
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\rｋ",
		out:  " \r\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\rｋ",
	}, { // 3999
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\rｋ",
		out:  "␠\r\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\rｋ",
	}, { // 4000
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ι\t\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\t ",
		out:  "ι\t\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\t␠",
	}, { // 4001
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ι\t\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\t␠",
		out:  "ι\t\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\t‛␠",
	}, { // 4002
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ι\n\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\n ",
		out:  "ι\n\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\n␠",
	}, { // 4003
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ι\n\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\n␠",
		out:  "ι\n\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\n‛␠",
	}, { // 4004
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ι\v\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\v ",
		out:  "ι\v\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\v␠",
	}, { // 4005
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ι\v\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\v␠",
		out:  "ι\v\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\v‛␠",
	}, { // 4006
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ι\r\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\r ",
		out:  "ι\r\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\r␠",
	}, { // 4007
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ι\r\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\r␠",
		out:  "ι\r\x1d|１)χｌ!ｚι\x03␚＼\x11␜N␝λ?\x19δ４j-␞␡\x1e\r‛␠",
	}, { // 4008
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\tε",
		out:  " \t，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\tε",
	}, { // 4009
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\tε",
		out:  "␠\t，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\tε",
	}, { // 4010
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\nε",
		out:  " \n，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\nε",
	}, { // 4011
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\nε",
		out:  "␠\n，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\nε",
	}, { // 4012
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\vε",
		out:  " \v，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\vε",
	}, { // 4013
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\vε",
		out:  "␠\v，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\vε",
	}, { // 4014
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\rε",
		out:  " \r，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\rε",
	}, { // 4015
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\rε",
		out:  "␠\r，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\rε",
	}, { // 4016
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\t，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\t ",
		out:  "λ\t，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\t␠",
	}, { // 4017
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\t，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\t␠",
		out:  "λ\t，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\t‛␠",
	}, { // 4018
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\n，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\n ",
		out:  "λ\n，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\n␠",
	}, { // 4019
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\n，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\n␠",
		out:  "λ\n，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\n‛␠",
	}, { // 4020
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\v，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\v ",
		out:  "λ\v，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\v␠",
	}, { // 4021
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\v，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\v␠",
		out:  "λ\v，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\v‛␠",
	}, { // 4022
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\r，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\r ",
		out:  "λ\r，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\r␠",
	}, { // 4023
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\r，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\r␠",
		out:  "λ\r，␑：]σ7６３f␍␏;ｃn\x1e?\x0f\x0eb$␒\x03σζ；Ｅ\r‛␠",
	}, { // 4024
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\t）",
		out:  " \t\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\t）",
	}, { // 4025
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\t）",
		out:  "␠\t\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\t）",
	}, { // 4026
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\n）",
		out:  " \n\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\n）",
	}, { // 4027
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\n）",
		out:  "␠\n\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\n）",
	}, { // 4028
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\v）",
		out:  " \v\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\v）",
	}, { // 4029
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\v）",
		out:  "␠\v\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\v）",
	}, { // 4030
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\r）",
		out:  " \r\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\r）",
	}, { // 4031
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\r）",
		out:  "␠\r\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\r）",
	}, { // 4032
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "%\t\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\t ",
		out:  "%\t\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\t␠",
	}, { // 4033
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "%\t\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\t␠",
		out:  "%\t\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\t‛␠",
	}, { // 4034
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "%\n\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\n ",
		out:  "%\n\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\n␠",
	}, { // 4035
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "%\n\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\n␠",
		out:  "%\n\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\n‛␠",
	}, { // 4036
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "%\v\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\v ",
		out:  "%\v\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\v␠",
	}, { // 4037
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "%\v\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\v␠",
		out:  "%\v\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\v‛␠",
	}, { // 4038
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "%\r\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\r ",
		out:  "%\r\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\r␠",
	}, { // 4039
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "%\r\x0ew\x1cr］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\r␠",
		out:  "%\r\x0ew\x1cr‛］\\ＴιμＣ＠`\x7fς\x04␒␐κ｀␁␜6K\x19␘ι\r‛␠",
	}, { // 4040
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\tα",
		out:  " \t`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\tα",
	}, { // 4041
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\tα",
		out:  "␠\t`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\tα",
	}, { // 4042
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\nα",
		out:  " \n`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\nα",
	}, { // 4043
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\nα",
		out:  "␠\n`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\nα",
	}, { // 4044
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\vα",
		out:  " \v`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\vα",
	}, { // 4045
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\vα",
		out:  "␠\v`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\vα",
	}, { // 4046
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\rα",
		out:  " \r`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\rα",
	}, { // 4047
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\rα",
		out:  "␠\r`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\rα",
	}, { // 4048
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "d\t`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\t ",
		out:  "d\t`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\t␠",
	}, { // 4049
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "d\t`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\t␠",
		out:  "d\t`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\t‛␠",
	}, { // 4050
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "d\n`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\n ",
		out:  "d\n`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\n␠",
	}, { // 4051
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "d\n`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\n␠",
		out:  "d\n`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\n‛␠",
	}, { // 4052
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "d\v`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\v ",
		out:  "d\v`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\v␠",
	}, { // 4053
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "d\v`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\v␠",
		out:  "d\v`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\v‛␠",
	}, { // 4054
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "d\r`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\r ",
		out:  "d\r`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\r␠",
	}, { // 4055
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "d\r`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\r␠",
		out:  "d\r`［ｔ\n６\v?？οVχ3ηυ␍ι｀：\x06X␑9Ｏ␆␍$\r‛␠",
	}, { // 4056
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\tＴ",
		out:  " \t$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\tＴ",
	}, { // 4057
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\tＴ",
		out:  "␠\t$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\tＴ",
	}, { // 4058
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\nＴ",
		out:  " \n$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\nＴ",
	}, { // 4059
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\nＴ",
		out:  "␠\n$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\nＴ",
	}, { // 4060
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\vＴ",
		out:  " \v$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\vＴ",
	}, { // 4061
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\vＴ",
		out:  "␠\v$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\vＴ",
	}, { // 4062
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\rＴ",
		out:  " \r$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\rＴ",
	}, { // 4063
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\rＴ",
		out:  "␠\r$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\rＴ",
	}, { // 4064
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\t$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\t ",
		out:  "ｔ\t$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\t␠",
	}, { // 4065
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\t$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\t␠",
		out:  "ｔ\t$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\t‛␠",
	}, { // 4066
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\n$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\n ",
		out:  "ｔ\n$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\n␠",
	}, { // 4067
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\n$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\n␠",
		out:  "ｔ\n$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\n‛␠",
	}, { // 4068
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\v$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\v ",
		out:  "ｔ\v$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\v␠",
	}, { // 4069
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\v$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\v␠",
		out:  "ｔ\v$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\v‛␠",
	}, { // 4070
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\r$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\r ",
		out:  "ｔ\r$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\r␠",
	}, { // 4071
		mask: EncodeExclamation | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\r$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\r␠",
		out:  "ｔ\r$/v]␂nο␓␈Ｚ␆y\x04ηπXEδP（Ｓ\x14␓␍ιｉ\r‛␠",
	}, { // 4072
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \tｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\t］",
		out:  " \tｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\t］",
	}, { // 4073
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\tｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\t］",
		out:  "␠\tｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\t］",
	}, { // 4074
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \nｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\n］",
		out:  " \nｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\n］",
	}, { // 4075
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\nｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\n］",
		out:  "␠\nｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\n］",
	}, { // 4076
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \vｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\v］",
		out:  " \vｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\v］",
	}, { // 4077
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\vｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\v］",
		out:  "␠\vｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\v］",
	}, { // 4078
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \rｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\r］",
		out:  " \rｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\r］",
	}, { // 4079
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\rｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\r］",
		out:  "␠\rｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\r］",
	}, { // 4080
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\v\tｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\t ",
		out:  "\v\tｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\t␠",
	}, { // 4081
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\v\tｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\t␠",
		out:  "\v\tｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\t‛␠",
	}, { // 4082
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\v\nｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\n ",
		out:  "\v\nｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\n␠",
	}, { // 4083
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\v\nｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\n␠",
		out:  "\v\nｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\n‛␠",
	}, { // 4084
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\v\vｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\v ",
		out:  "\v\vｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\v␠",
	}, { // 4085
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\v\vｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\v␠",
		out:  "\v\vｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\v‛␠",
	}, { // 4086
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\v\rｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\r ",
		out:  "\v\rｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\r␠",
	}, { // 4087
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\v\rｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\r␠",
		out:  "\v\rｐ］\"＾％␘ι;δ␅＞v\x1eρ`＾｀；δe(ψ␑Uυ8\r‛␠",
	}, { // 4088
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \tβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\t␟",
		out:  " \tβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\t␟",
	}, { // 4089
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\tβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\t␟",
		out:  "␠\tβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\t␟",
	}, { // 4090
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \nβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\n␟",
		out:  " \nβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\n␟",
	}, { // 4091
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\nβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\n␟",
		out:  "␠\nβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\n␟",
	}, { // 4092
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \vβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\v␟",
		out:  " \vβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\v␟",
	}, { // 4093
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\vβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\v␟",
		out:  "␠\vβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\v␟",
	}, { // 4094
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \rβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\r␟",
		out:  " \rβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\r␟",
	}, { // 4095
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\rβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\r␟",
		out:  "␠\rβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\r␟",
	}, { // 4096
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "｝\tβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\t ",
		out:  "｝\tβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\t␠",
	}, { // 4097
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "｝\tβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\t␠",
		out:  "｝\tβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\t‛␠",
	}, { // 4098
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "｝\nβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\n ",
		out:  "｝\nβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\n␠",
	}, { // 4099
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "｝\nβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\n␠",
		out:  "｝\nβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\n‛␠",
	}, { // 4100
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "｝\vβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\v ",
		out:  "｝\vβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\v␠",
	}, { // 4101
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "｝\vβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\v␠",
		out:  "｝\vβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\v‛␠",
	}, { // 4102
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "｝\rβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\r ",
		out:  "｝\rβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\r␠",
	}, { // 4103
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "｝\rβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\r␠",
		out:  "｝\rβf/［ｂλ\x02Ｓ␃zHν\x1e\x04π\x1dπ␐␙ｂBX␇Ｋａj\r‛␠",
	}, { // 4104
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \tn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\t/",
		out:  " \tn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\t/",
	}, { // 4105
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\tn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\t/",
		out:  "␠\tn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\t/",
	}, { // 4106
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \nn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\n/",
		out:  " \nn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\n/",
	}, { // 4107
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\nn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\n/",
		out:  "␠\nn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\n/",
	}, { // 4108
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \vn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\v/",
		out:  " \vn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\v/",
	}, { // 4109
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\vn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\v/",
		out:  "␠\vn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\v/",
	}, { // 4110
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \rn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\r/",
		out:  " \rn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\r/",
	}, { // 4111
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\rn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\r/",
		out:  "␠\rn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\r/",
	}, { // 4112
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ν\tn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\t ",
		out:  "ν\tn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\t␠",
	}, { // 4113
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ν\tn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\t␠",
		out:  "ν\tn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\t‛␠",
	}, { // 4114
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ν\nn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\n ",
		out:  "ν\nn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\n␠",
	}, { // 4115
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ν\nn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\n␠",
		out:  "ν\nn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\n‛␠",
	}, { // 4116
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ν\vn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\v ",
		out:  "ν\vn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\v␠",
	}, { // 4117
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ν\vn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\v␠",
		out:  "ν\vn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\v‛␠",
	}, { // 4118
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ν\rn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\r ",
		out:  "ν\rn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\r␠",
	}, { // 4119
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ν\rn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\r␠",
		out:  "ν\rn␟l＂＃＾\\\vｉψιβο#6Ｃ␚ｚ␓\uff00\x13ｈm_\x13␓\r‛␠",
	}, { // 4120
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\tψ",
		out:  " \t_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\tψ",
	}, { // 4121
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\tψ",
		out:  "␠\t_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\tψ",
	}, { // 4122
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\nψ",
		out:  " \n_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\nψ",
	}, { // 4123
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\nψ",
		out:  "␠\n_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\nψ",
	}, { // 4124
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\vψ",
		out:  " \v_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\vψ",
	}, { // 4125
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\vψ",
		out:  "␠\v_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\vψ",
	}, { // 4126
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\rψ",
		out:  " \r_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\rψ",
	}, { // 4127
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\rψ",
		out:  "␠\r_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\rψ",
	}, { // 4128
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\t_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\t ",
		out:  "＄\t_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\t␠",
	}, { // 4129
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\t_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\t␠",
		out:  "＄\t_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\t‛␠",
	}, { // 4130
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\n_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\n ",
		out:  "＄\n_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\n␠",
	}, { // 4131
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\n_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\n␠",
		out:  "＄\n_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\n‛␠",
	}, { // 4132
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\v_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\v ",
		out:  "＄\v_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\v␠",
	}, { // 4133
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\v_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\v␠",
		out:  "＄\v_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\v‛␠",
	}, { // 4134
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\r_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\r ",
		out:  "＄\r_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\r␠",
	}, { // 4135
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\r_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\r␠",
		out:  "＄\r_／＆３ｏθ\x16␍␕\"ｙω：\x1a+＜ι\x03\x0f\x03VF＼ξμ\"\r‛␠",
	}, { // 4136
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\t/",
		out:  " \t␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\t/",
	}, { // 4137
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\t/",
		out:  "␠\t␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\t/",
	}, { // 4138
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\n/",
		out:  " \n␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\n/",
	}, { // 4139
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\n/",
		out:  "␠\n␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\n/",
	}, { // 4140
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\v/",
		out:  " \v␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\v/",
	}, { // 4141
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\v/",
		out:  "␠\v␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\v/",
	}, { // 4142
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\r/",
		out:  " \r␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\r/",
	}, { // 4143
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\r/",
		out:  "␠\r␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\r/",
	}, { // 4144
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "７\t␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\t ",
		out:  "７\t␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\t␠",
	}, { // 4145
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "７\t␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\t␠",
		out:  "７\t␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\t‛␠",
	}, { // 4146
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "７\n␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\n ",
		out:  "７\n␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\n␠",
	}, { // 4147
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "７\n␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\n␠",
		out:  "７\n␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\n‛␠",
	}, { // 4148
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "７\v␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\v ",
		out:  "７\v␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\v␠",
	}, { // 4149
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "７\v␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\v␠",
		out:  "７\v␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\v‛␠",
	}, { // 4150
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "７\r␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\r ",
		out:  "７\r␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\r␠",
	}, { // 4151
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "７\r␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍\x00␡ｔＬg\r\r␠",
		out:  "７\r␒~.\x1b+5χ\x11␊］π％Hρ＿κ３ω｀␍␀␡ｔＬg\r\r‛␠",
	}, { // 4152
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\t%",
		out:  " \t βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\t%",
	}, { // 4153
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\t%",
		out:  "␠\t βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\t%",
	}, { // 4154
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\n%",
		out:  " \n βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\n%",
	}, { // 4155
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\n%",
		out:  "␠\n βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\n%",
	}, { // 4156
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\v%",
		out:  " \v βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\v%",
	}, { // 4157
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\v%",
		out:  "␠\v βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\v%",
	}, { // 4158
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\r%",
		out:  " \r βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\r%",
	}, { // 4159
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\r%",
		out:  "␠\r βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\r%",
	}, { // 4160
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\t βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\t ",
		out:  "λ\t βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\t␠",
	}, { // 4161
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\t βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\t␠",
		out:  "λ\t βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\t‛␠",
	}, { // 4162
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\n βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\n ",
		out:  "λ\n βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\n␠",
	}, { // 4163
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\n βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\n␠",
		out:  "λ\n βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\n‛␠",
	}, { // 4164
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\v βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\v ",
		out:  "λ\v βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\v␠",
	}, { // 4165
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\v βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\v␠",
		out:  "λ\v βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\v‛␠",
	}, { // 4166
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\r βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\r ",
		out:  "λ\r βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\r␠",
	}, { // 4167
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\r βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<｜␇\x18␚\r␠",
		out:  "λ\r βｍＣ␃ｆ\rIν␡\x0f)\uff00\x15\rζ－}＄`χ<‛｜␇\x18␚\r‛␠",
	}, { // 4168
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\t!",
		out:  " \t`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\t!",
	}, { // 4169
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\t!",
		out:  "␠\t`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\t!",
	}, { // 4170
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\n!",
		out:  " \n`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\n!",
	}, { // 4171
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\n!",
		out:  "␠\n`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\n!",
	}, { // 4172
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\v!",
		out:  " \v`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\v!",
	}, { // 4173
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\v!",
		out:  "␠\v`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\v!",
	}, { // 4174
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\r!",
		out:  " \r`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\r!",
	}, { // 4175
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\r!",
		out:  "␠\r`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\r!",
	}, { // 4176
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＇\t`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\t ",
		out:  "＇\t`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\t␠",
	}, { // 4177
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＇\t`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\t␠",
		out:  "＇\t`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\t‛␠",
	}, { // 4178
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＇\n`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\n ",
		out:  "＇\n`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\n␠",
	}, { // 4179
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＇\n`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\n␠",
		out:  "＇\n`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\n‛␠",
	}, { // 4180
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＇\v`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\v ",
		out:  "＇\v`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\v␠",
	}, { // 4181
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＇\v`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\v␠",
		out:  "＇\v`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\v‛␠",
	}, { // 4182
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＇\r`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\r ",
		out:  "＇\r`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\r␠",
	}, { // 4183
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＇\r`<＜#\aJ\x16Ｃσｃκχｆｚ#３Aλx␅␄＼＂υdE\r␠",
		out:  "＇\r`<＜＃\aJ\x16Ｃσｃκχｆｚ＃３Aλx␅␄＼＂υdE\r‛␠",
	}, { // 4184
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\t：",
		out:  " \t\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\t：",
	}, { // 4185
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\t：",
		out:  "␠\t\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\t：",
	}, { // 4186
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\n：",
		out:  " \n\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\n：",
	}, { // 4187
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\n：",
		out:  "␠\n\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\n：",
	}, { // 4188
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\v：",
		out:  " \v\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\v：",
	}, { // 4189
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\v：",
		out:  "␠\v\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\v：",
	}, { // 4190
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\r：",
		out:  " \r\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\r：",
	}, { // 4191
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\r：",
		out:  "␠\r\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\r：",
	}, { // 4192
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "x\t\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\t ",
		out:  "x\t\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\t␠",
	}, { // 4193
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "x\t\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\t␠",
		out:  "x\t\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\t‛␠",
	}, { // 4194
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "x\n\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\n ",
		out:  "x\n\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\n␠",
	}, { // 4195
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "x\n\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\n␠",
		out:  "x\n\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\n‛␠",
	}, { // 4196
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "x\v\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\v ",
		out:  "x\v\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\v␠",
	}, { // 4197
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "x\v\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\v␠",
		out:  "x\v\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\v‛␠",
	}, { // 4198
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "x\r\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\r ",
		out:  "x\r\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\r␠",
	}, { // 4199
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "x\r\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ%Ｊγτ7δ␋\x03\r␠",
		out:  "x\r\x1dＭ\n9\x1b␊：\x05␊{？␘κφ～␑ｋQ％Ｊγτ7δ␋\x03\r‛␠",
	}, { // 4200
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\t?",
		out:  " \t\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\t?",
	}, { // 4201
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\t?",
		out:  "␠\t\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\t?",
	}, { // 4202
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\n?",
		out:  " \n\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\n?",
	}, { // 4203
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\n?",
		out:  "␠\n\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\n?",
	}, { // 4204
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\v?",
		out:  " \v\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\v?",
	}, { // 4205
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\v?",
		out:  "␠\v\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\v?",
	}, { // 4206
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\r?",
		out:  " \r\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\r?",
	}, { // 4207
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\r?",
		out:  "␠\r\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\r?",
	}, { // 4208
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "W\t\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\t ",
		out:  "W\t\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\t␠",
	}, { // 4209
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "W\t\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\t␠",
		out:  "W\t\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\t‛␠",
	}, { // 4210
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "W\n\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\n ",
		out:  "W\n\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\n␠",
	}, { // 4211
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "W\n\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\n␠",
		out:  "W\n\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\n‛␠",
	}, { // 4212
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "W\v\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\v ",
		out:  "W\v\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\v␠",
	}, { // 4213
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "W\v\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\v␠",
		out:  "W\v\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\v‛␠",
	}, { // 4214
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "W\r\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\r ",
		out:  "W\r\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\r␠",
	}, { // 4215
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "W\r\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\r␠",
		out:  "W\r\x03\r␌Ｒγ＂νeχ'β\x1b；πｊ'=ς\x1c|Ｙ␚␐7␘␁\r‛␠",
	}, { // 4216
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \tοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\t]",
		out:  " \tοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\t]",
	}, { // 4217
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\tοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\t]",
		out:  "␠\tοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\t]",
	}, { // 4218
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \nοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\n]",
		out:  " \nοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\n]",
	}, { // 4219
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\nοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\n]",
		out:  "␠\nοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\n]",
	}, { // 4220
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \vοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\v]",
		out:  " \vοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\v]",
	}, { // 4221
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\vοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\v]",
		out:  "␠\vοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\v]",
	}, { // 4222
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \rοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\r]",
		out:  " \rοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\r]",
	}, { // 4223
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\rοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\r]",
		out:  "␠\rοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\r]",
	}, { // 4224
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\tοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\t ",
		out:  "λ\tοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\t␠",
	}, { // 4225
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\tοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\t␠",
		out:  "λ\tοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\t‛␠",
	}, { // 4226
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\nοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\n ",
		out:  "λ\nοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\n␠",
	}, { // 4227
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\nοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\n␠",
		out:  "λ\nοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\n‛␠",
	}, { // 4228
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\vοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\v ",
		out:  "λ\vοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\v␠",
	}, { // 4229
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\vοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\v␠",
		out:  "λ\vοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\v‛␠",
	}, { // 4230
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\rοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\r ",
		out:  "λ\rοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\r␠",
	}, { // 4231
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "λ\rοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>␡Ｄ\r␠",
		out:  "λ\rοβ\x1aｆ[＊\x1cGdＮ␑␞κ％ν）Ｈ~␖\x06θ/g>‛␡Ｄ\r‛␠",
	}, { // 4232
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ␆ｗ$\x7fＭο!]␓/？␔ψ\nｘnθ␘@Xο␅\nμｏτ O",
		out:  ". ␆ｗ$\x7fＭο!]␓/？␔ψ\nｘnθ␘@Xο␅\nμｏτ O",
	}, { // 4233
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ␆ｗ$\x7fＭο!]␓/？␔ψ\nｘnθ␘@Xο␅\nμｏτ O",
		out:  "． ␆ｗ$\x7fＭο!]␓/？␔ψ\nｘnθ␘@Xο␅\nμｏτ O",
	}, { // 4234
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\r ␆ｗ$\x7fＭο!]␓/？␔ψ\nｘnθ␘@Xο␅\nμｏτ .",
		out:  "\r ␆ｗ$\x7fＭο!]␓/？␔ψ\nｘnθ␘@Xο␅\nμｏτ ．",
	}, { // 4235
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\r ␆ｗ$\x7fＭο!]␓/？␔ψ\nｘnθ␘@Xο␅\nμｏτ ．",
		out:  "\r ␆ｗ$\x7fＭο!]␓/？␔ψ\nｘnθ␘@Xο␅\nμｏτ ‛．",
	}, { // 4236
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ␡ζη［\n␙BR␌R＜γMλ\x7f?ν\x0e␛Ｆe，πF\x05Ｏ Ｅ",
		out:  ". ␡ζη［\n␙BR␌R＜γMλ\x7f?ν\x0e␛Ｆe，πF\x05Ｏ Ｅ",
	}, { // 4237
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ␡ζη［\n␙BR␌R＜γMλ\x7f?ν\x0e␛Ｆe，πF\x05Ｏ Ｅ",
		out:  "． ␡ζη［\n␙BR␌R＜γMλ\x7f?ν\x0e␛Ｆe，πF\x05Ｏ Ｅ",
	}, { // 4238
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "＜ ␡ζη［\n␙BR␌R＜γMλ\x7f?ν\x0e␛Ｆe，πF\x05Ｏ .",
		out:  "＜ ␡ζη［\n␙BR␌R＜γMλ\x7f?ν\x0e␛Ｆe，πF\x05Ｏ ．",
	}, { // 4239
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "＜ ␡ζη［\n␙BR␌R＜γMλ\x7f?ν\x0e␛Ｆe，πF\x05Ｏ ．",
		out:  "＜ ␡ζη［\n␙BR␌R＜γMλ\x7f?ν\x0e␛Ｆe，πF\x05Ｏ ‛．",
	}, { // 4240
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". σ\r>E\a␖φ_κ_+１＇Ｏ␂␜？ＸηW\x13Ｇρ；␍J \n",
		out:  ". σ\r>E\a␖φ_κ_+１‛＇Ｏ␂␜？ＸηW\x13Ｇρ；␍J \n",
	}, { // 4241
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． σ\r>E\a␖φ_κ_+１＇Ｏ␂␜？ＸηW\x13Ｇρ；␍J \n",
		out:  "． σ\r>E\a␖φ_κ_+１‛＇Ｏ␂␜？ＸηW\x13Ｇρ；␍J \n",
	}, { // 4242
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "␑ σ\r>E\a␖φ_κ_+１＇Ｏ␂␜？ＸηW\x13Ｇρ；␍J .",
		out:  "␑ σ\r>E\a␖φ_κ_+１‛＇Ｏ␂␜？ＸηW\x13Ｇρ；␍J ．",
	}, { // 4243
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "␑ σ\r>E\a␖φ_κ_+１＇Ｏ␂␜？ＸηW\x13Ｇρ；␍J ．",
		out:  "␑ σ\r>E\a␖φ_κ_+１‛＇Ｏ␂␜？ＸηW\x13Ｇρ；␍J ‛．",
	}, { // 4244
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". δb＞ρτ｜＂］θＣ␀B）\x13\x1aδζｐ６ \x0f\vW＜！\x7f A",
		out:  ". δb＞ρτ｜＂］θＣ‛␀B）\x13\x1aδζｐ６ \x0f\vW＜！\x7f A",
	}, { // 4245
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． δb＞ρτ｜＂］θＣ␀B）\x13\x1aδζｐ６ \x0f\vW＜！\x7f A",
		out:  "． δb＞ρτ｜＂］θＣ‛␀B）\x13\x1aδζｐ６ \x0f\vW＜！\x7f A",
	}, { // 4246
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x01 δb＞ρτ｜＂］θＣ␀B）\x13\x1aδζｐ６ \x0f\vW＜！\x7f .",
		out:  "\x01 δb＞ρτ｜＂］θＣ‛␀B）\x13\x1aδζｐ６ \x0f\vW＜！\x7f ．",
	}, { // 4247
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x01 δb＞ρτ｜＂］θＣ␀B）\x13\x1aδζｐ６ \x0f\vW＜！\x7f ．",
		out:  "\x01 δb＞ρτ｜＂］θＣ‛␀B）\x13\x1aδζｐ６ \x0f\vW＜！\x7f ‛．",
	}, { // 4248
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". μ8πυｙ␊３ｇｗ/␝\x10␞a［λ␙λ]!/ｕ4\bsς Ｌ",
		out:  ". μ8πυｙ␊３ｇｗ/␝\x10␞a［λ␙λ]!/ｕ4\bsς Ｌ",
	}, { // 4249
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． μ8πυｙ␊３ｇｗ/␝\x10␞a［λ␙λ]!/ｕ4\bsς Ｌ",
		out:  "． μ8πυｙ␊３ｇｗ/␝\x10␞a［λ␙λ]!/ｕ4\bsς Ｌ",
	}, { // 4250
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x13 μ8πυｙ␊３ｇｗ/␝\x10␞a［λ␙λ]!/ｕ4\bsς .",
		out:  "\x13 μ8πυｙ␊３ｇｗ/␝\x10␞a［λ␙λ]!/ｕ4\bsς ．",
	}, { // 4251
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x13 μ8πυｙ␊３ｇｗ/␝\x10␞a［λ␙λ]!/ｕ4\bsς ．",
		out:  "\x13 μ8πυｙ␊３ｇｗ/␝\x10␞a［λ␙λ]!/ｕ4\bsς ‛．",
	}, { // 4252
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ＇ω]␊＇␎\x16FＢＣ/nρχ\x15νE␎\\Ｈφ｜Ｆ６␎* o",
		out:  ". ＇ω］␊＇␎\x16FＢＣ/nρχ\x15νE␎\\Ｈφ｜Ｆ６␎* o",
	}, { // 4253
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ＇ω]␊＇␎\x16FＢＣ/nρχ\x15νE␎\\Ｈφ｜Ｆ６␎* o",
		out:  "． ＇ω］␊＇␎\x16FＢＣ/nρχ\x15νE␎\\Ｈφ｜Ｆ６␎* o",
	}, { // 4254
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftSpace,
		in:   "ε ＇ω]␊＇␎\x16FＢＣ/nρχ\x15νE␎\\Ｈφ｜Ｆ６␎* .",
		out:  "ε ＇ω］␊＇␎\x16FＢＣ/nρχ\x15νE␎\\Ｈφ｜Ｆ６␎* ．",
	}, { // 4255
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftSpace,
		in:   "ε ＇ω]␊＇␎\x16FＢＣ/nρχ\x15νE␎\\Ｈφ｜Ｆ６␎* ．",
		out:  "ε ＇ω］␊＇␎\x16FＢＣ/nρχ\x15νE␎\\Ｈφ｜Ｆ６␎* ‛．",
	}, { // 4256
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ␔␜π／-｝]；2Dβ\x7f＜}υξ\bQ２;ｚ$ｅ␉␍ξ Ｊ",
		out:  ". ␔␜π／-｝]‛；2Dβ\x7f＜}υξ\bQ２；ｚ$ｅ␉␍ξ Ｊ",
	}, { // 4257
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ␔␜π／-｝]；2Dβ\x7f＜}υξ\bQ２;ｚ$ｅ␉␍ξ Ｊ",
		out:  "． ␔␜π／-｝]‛；2Dβ\x7f＜}υξ\bQ２；ｚ$ｅ␉␍ξ Ｊ",
	}, { // 4258
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\r ␔␜π／-｝]；2Dβ\x7f＜}υξ\bQ２;ｚ$ｅ␉␍ξ .",
		out:  "\r ␔␜π／-｝]‛；2Dβ\x7f＜}υξ\bQ２；ｚ$ｅ␉␍ξ ．",
	}, { // 4259
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\r ␔␜π／-｝]；2Dβ\x7f＜}υξ\bQ２;ｚ$ｅ␉␍ξ ．",
		out:  "\r ␔␜π／-｝]‛；2Dβ\x7f＜}υξ\bQ２；ｚ$ｅ␉␍ξ ‛．",
	}, { // 4260
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ｀[υζ␁δ＾ο␎\r@:\"κ␡＠␜␚％V0[６␗*Z ＠",
		out:  ". ｀[υζ␁δ＾ο␎\r@:\"κ␡＠␜␚％V0[６␗*Z ＠",
	}, { // 4261
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ｀[υζ␁δ＾ο␎\r@:\"κ␡＠␜␚％V0[６␗*Z ＠",
		out:  "． ｀[υζ␁δ＾ο␎\r@:\"κ␡＠␜␚％V0[６␗*Z ＠",
	}, { // 4262
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x18 ｀[υζ␁δ＾ο␎\r@:\"κ␡＠␜␚％V0[６␗*Z .",
		out:  "\x18 ｀[υζ␁δ＾ο␎\r@:\"κ␡＠␜␚％V0[６␗*Z ．",
	}, { // 4263
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x18 ｀[υζ␁δ＾ο␎\r@:\"κ␡＠␜␚％V0[６␗*Z ．",
		out:  "\x18 ｀[υζ␁δ＾ο␎\r@:\"κ␡＠␜␚％V0[６␗*Z ‛．",
	}, { // 4264
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". L;ς*ｋ％?'Uσｒ;Ｋw（\bε\\␇ｆι␟＇τ2！ ＾",
		out:  ". L;ς*ｋ％?'Uσｒ;Ｋw（\bε\\␇ｆι␟＇τ2！ ＾",
	}, { // 4265
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． L;ς*ｋ％?'Uσｒ;Ｋw（\bε\\␇ｆι␟＇τ2！ ＾",
		out:  "． L;ς*ｋ％?'Uσｒ;Ｋw（\bε\\␇ｆι␟＇τ2！ ＾",
	}, { // 4266
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x1e L;ς*ｋ％?'Uσｒ;Ｋw（\bε\\␇ｆι␟＇τ2！ .",
		out:  "\x1e L;ς*ｋ％?'Uσｒ;Ｋw（\bε\\␇ｆι␟＇τ2！ ．",
	}, { // 4267
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x1e L;ς*ｋ％?'Uσｒ;Ｋw（\bε\\␇ｆι␟＇τ2！ ．",
		out:  "\x1e L;ς*ｋ％?'Uσｒ;Ｋw（\bε\\␇ｆι␟＇τ2！ ‛．",
	}, { // 4268
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ］\x11 Ｋμ！ρｒ\tx\x05λ｜;＂ρ3ρφ\x16ｚｕ％␁Ｇ& \t",
		out:  ". ］\x11 Ｋμ！ρｒ\tx\x05λ｜;‛＂ρ3ρφ\x16ｚｕ％␁Ｇ& \t",
	}, { // 4269
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ］\x11 Ｋμ！ρｒ\tx\x05λ｜;＂ρ3ρφ\x16ｚｕ％␁Ｇ& \t",
		out:  "． ］\x11 Ｋμ！ρｒ\tx\x05λ｜;‛＂ρ3ρφ\x16ｚｕ％␁Ｇ& \t",
	}, { // 4270
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "＼ ］\x11 Ｋμ！ρｒ\tx\x05λ｜;＂ρ3ρφ\x16ｚｕ％␁Ｇ& .",
		out:  "＼ ］\x11 Ｋμ！ρｒ\tx\x05λ｜;‛＂ρ3ρφ\x16ｚｕ％␁Ｇ& ．",
	}, { // 4271
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "＼ ］\x11 Ｋμ！ρｒ\tx\x05λ｜;＂ρ3ρφ\x16ｚｕ％␁Ｇ& ．",
		out:  "＼ ］\x11 Ｋμ！ρｒ\tx\x05λ｜;‛＂ρ3ρφ\x16ｚｕ％␁Ｇ& ‛．",
	}, { // 4272
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". δψ\v␁ι？％ρf，?*Ｍ␂{｀θＫ＇c｝｝q\n\x17| \\",
		out:  ". δψ\v␁ι？％ρf，?*Ｍ␂{｀θＫ＇c｝｝q\n\x17| \\",
	}, { // 4273
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． δψ\v␁ι？％ρf，?*Ｍ␂{｀θＫ＇c｝｝q\n\x17| \\",
		out:  "． δψ\v␁ι？％ρf，?*Ｍ␂{｀θＫ＇c｝｝q\n\x17| \\",
	}, { // 4274
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftSpace,
		in:   "｀ δψ\v␁ι？％ρf，?*Ｍ␂{｀θＫ＇c｝｝q\n\x17| .",
		out:  "｀ δψ\v␁ι？％ρf，?*Ｍ␂{｀θＫ＇c｝｝q\n\x17| ．",
	}, { // 4275
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftSpace,
		in:   "｀ δψ\v␁ι？％ρf，?*Ｍ␂{｀θＫ＇c｝｝q\n\x17| ．",
		out:  "｀ δψ\v␁ι？％ρf，?*Ｍ␂{｀θＫ＇c｝｝q\n\x17| ‛．",
	}, { // 4276
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ：Tm：␎！Ｍ\x17／!κ␝＼：β\x01π\voTνＦ.／ε｀ \x17",
		out:  ". ：Tm：␎！Ｍ\x17／!κ␝＼：β\x01π\voTνＦ.／ε｀ \x17",
	}, { // 4277
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ：Tm：␎！Ｍ\x17／!κ␝＼：β\x01π\voTνＦ.／ε｀ \x17",
		out:  "． ：Tm：␎！Ｍ\x17／!κ␝＼：β\x01π\voTνＦ.／ε｀ \x17",
	}, { // 4278
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftSpace,
		in:   "σ ：Tm：␎！Ｍ\x17／!κ␝＼：β\x01π\voTνＦ.／ε｀ .",
		out:  "σ ：Tm：␎！Ｍ\x17／!κ␝＼：β\x01π\voTνＦ.／ε｀ ．",
	}, { // 4279
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftSpace,
		in:   "σ ：Tm：␎！Ｍ\x17／!κ␝＼：β\x01π\voTνＦ.／ε｀ ．",
		out:  "σ ：Tm：␎！Ｍ\x17／!κ␝＼：β\x01π\voTνＦ.／ε｀ ‛．",
	}, { // 4280
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ␃πＳｈ！\b｝\x00U>␅\x1c␗βδT#ｏR\x7fυK`ε＞Ｄ Ｐ",
		out:  ". ␃πＳｈ！\b｝␀U>␅\x1c␗βδT#ｏR\x7fυK`ε＞Ｄ Ｐ",
	}, { // 4281
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ␃πＳｈ！\b｝\x00U>␅\x1c␗βδT#ｏR\x7fυK`ε＞Ｄ Ｐ",
		out:  "． ␃πＳｈ！\b｝␀U>␅\x1c␗βδT#ｏR\x7fυK`ε＞Ｄ Ｐ",
	}, { // 4282
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftSpace,
		in:   "φ ␃πＳｈ！\b｝\x00U>␅\x1c␗βδT#ｏR\x7fυK`ε＞Ｄ .",
		out:  "φ ␃πＳｈ！\b｝␀U>␅\x1c␗βδT#ｏR\x7fυK`ε＞Ｄ ．",
	}, { // 4283
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftSpace,
		in:   "φ ␃πＳｈ！\b｝\x00U>␅\x1c␗βδT#ｏR\x7fυK`ε＞Ｄ ．",
		out:  "φ ␃πＳｈ！\b｝␀U>␅\x1c␗βδT#ｏR\x7fυK`ε＞Ｄ ‛．",
	}, { // 4284
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ς2\r␓Ｚ［ｘ\x0e\"\fκｅ\x7fd６_η␙％χO/1＾μｓ ς",
		out:  ". ς2\r␓Ｚ［ｘ\x0e\"\fκｅ\x7fd６_η␙％χO/1＾μｓ ς",
	}, { // 4285
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ς2\r␓Ｚ［ｘ\x0e\"\fκｅ\x7fd６_η␙％χO/1＾μｓ ς",
		out:  "． ς2\r␓Ｚ［ｘ\x0e\"\fκｅ\x7fd６_η␙％χO/1＾μｓ ς",
	}, { // 4286
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftSpace,
		in:   "＞ ς2\r␓Ｚ［ｘ\x0e\"\fκｅ\x7fd６_η␙％χO/1＾μｓ .",
		out:  "＞ ς2\r␓Ｚ［ｘ\x0e\"\fκｅ\x7fd６_η␙％χO/1＾μｓ ．",
	}, { // 4287
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftSpace,
		in:   "＞ ς2\r␓Ｚ［ｘ\x0e\"\fκｅ\x7fd６_η␙％χO/1＾μｓ ．",
		out:  "＞ ς2\r␓Ｚ［ｘ\x0e\"\fκｅ\x7fd６_η␙％χO/1＾μｓ ‛．",
	}, { // 4288
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". θｏ／＜\x06［μ|ε$Pp_'\x1b［␜２ｍ．；\x16\aρδ\x1b ␅",
		out:  ". θｏ／＜\x06［μ|ε$Pp_'\x1b［␜２ｍ．；\x16\aρδ\x1b ␅",
	}, { // 4289
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． θｏ／＜\x06［μ|ε$Pp_'\x1b［␜２ｍ．；\x16\aρδ\x1b ␅",
		out:  "． θｏ／＜\x06［μ|ε$Pp_'\x1b［␜２ｍ．；\x16\aρδ\x1b ␅",
	}, { // 4290
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "ｇ θｏ／＜\x06［μ|ε$Pp_'\x1b［␜２ｍ．；\x16\aρδ\x1b .",
		out:  "ｇ θｏ／＜\x06［μ|ε$Pp_'\x1b［␜２ｍ．；\x16\aρδ\x1b ．",
	}, { // 4291
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "ｇ θｏ／＜\x06［μ|ε$Pp_'\x1b［␜２ｍ．；\x16\aρδ\x1b ．",
		out:  "ｇ θｏ／＜\x06［μ|ε$Pp_'\x1b［␜２ｍ．；\x16\aρδ\x1b ‛．",
	}, { // 4292
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". δδ７'\x01［２ｖM␍␂Nπmｏ\x1e＃␗Biμ：\x10\x06␗% ζ",
		out:  ". δδ７'\x01［２ｖM␍␂Nπmｏ\x1e＃␗Biμ：\x10\x06␗％ ζ",
	}, { // 4293
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． δδ７'\x01［２ｖM␍␂Nπmｏ\x1e＃␗Biμ：\x10\x06␗% ζ",
		out:  "． δδ７'\x01［２ｖM␍␂Nπmｏ\x1e＃␗Biμ：\x10\x06␗％ ζ",
	}, { // 4294
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftSpace,
		in:   "） δδ７'\x01［２ｖM␍␂Nπmｏ\x1e＃␗Biμ：\x10\x06␗% .",
		out:  "） δδ７'\x01［２ｖM␍␂Nπmｏ\x1e＃␗Biμ：\x10\x06␗％ ．",
	}, { // 4295
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftSpace,
		in:   "） δδ７'\x01［２ｖM␍␂Nπmｏ\x1e＃␗Biμ：\x10\x06␗% ．",
		out:  "） δδ７'\x01［２ｖM␍␂Nπmｏ\x1e＃␗Biμ：\x10\x06␗％ ‛．",
	}, { // 4296
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ␋\r+９ξ<␂χ␋ν＇[Ｏo␘８φθ.Vv＃ｆｇK> φ",
		out:  ". ␋\r+９ξ<␂χ␋ν＇[Ｏo␘８φθ.Vv＃ｆｇK> φ",
	}, { // 4297
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ␋\r+９ξ<␂χ␋ν＇[Ｏo␘８φθ.Vv＃ｆｇK> φ",
		out:  "． ␋\r+９ξ<␂χ␋ν＇[Ｏo␘８φθ.Vv＃ｆｇK> φ",
	}, { // 4298
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x1e ␋\r+９ξ<␂χ␋ν＇[Ｏo␘８φθ.Vv＃ｆｇK> .",
		out:  "\x1e ␋\r+９ξ<␂χ␋ν＇[Ｏo␘８φθ.Vv＃ｆｇK> ．",
	}, { // 4299
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x1e ␋\r+９ξ<␂χ␋ν＇[Ｏo␘８φθ.Vv＃ｆｇK> ．",
		out:  "\x1e ␋\r+９ξ<␂χ␋ν＇[Ｏo␘８φθ.Vv＃ｆｇK> ‛．",
	}, { // 4300
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ␑\x19␇\x03１]κε␆｜ε＊\x1bε:Ｍｔ;ρ␅,/␖E`> D",
		out:  ". ␑\x19␇\x03１]κε␆｜ε＊\x1bε:Ｍｔ;ρ␅,/␖E`> D",
	}, { // 4301
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ␑\x19␇\x03１]κε␆｜ε＊\x1bε:Ｍｔ;ρ␅,/␖E`> D",
		out:  "． ␑\x19␇\x03１]κε␆｜ε＊\x1bε:Ｍｔ;ρ␅,/␖E`> D",
	}, { // 4302
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftSpace,
		in:   "σ ␑\x19␇\x03１]κε␆｜ε＊\x1bε:Ｍｔ;ρ␅,/␖E`> .",
		out:  "σ ␑\x19␇\x03１]κε␆｜ε＊\x1bε:Ｍｔ;ρ␅,/␖E`> ．",
	}, { // 4303
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftSpace,
		in:   "σ ␑\x19␇\x03１]κε␆｜ε＊\x1bε:Ｍｔ;ρ␅,/␖E`> ．",
		out:  "σ ␑\x19␇\x03１]κε␆｜ε＊\x1bε:Ｍｔ;ρ␅,/␖E`> ‛．",
	}, { // 4304
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ␃＜θ~\x0en␓4\x1f<｜\x1eψiＱκｃ］sσ＜＂πＺ]β \x0e",
		out:  ". ␃＜θ~\x0en␓4\x1f<｜\x1eψiＱκｃ］sσ＜＂πＺ]β \x0e",
	}, { // 4305
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ␃＜θ~\x0en␓4\x1f<｜\x1eψiＱκｃ］sσ＜＂πＺ]β \x0e",
		out:  "． ␃＜θ~\x0en␓4\x1f<｜\x1eψiＱκｃ］sσ＜＂πＺ]β \x0e",
	}, { // 4306
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftSpace,
		in:   "Ｏ ␃＜θ~\x0en␓4\x1f<｜\x1eψiＱκｃ］sσ＜＂πＺ]β .",
		out:  "Ｏ ␃＜θ~\x0en␓4\x1f<｜\x1eψiＱκｃ］sσ＜＂πＺ]β ．",
	}, { // 4307
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftSpace,
		in:   "Ｏ ␃＜θ~\x0en␓4\x1f<｜\x1eψiＱκｃ］sσ＜＂πＺ]β ．",
		out:  "Ｏ ␃＜θ~\x0en␓4\x1f<｜\x1eψiＱκｃ］sσ＜＂πＺ]β ‛．",
	}, { // 4308
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ο，πｔ＃Ｅo\x01π！β5\x16\x17\x0e␒/：７t\x11ηaＢσ＊ ^",
		out:  ". ο，πｔ＃Ｅo␁π！β5␖␗␎‛␒/：７t␑ηaＢσ＊ ^",
	}, { // 4309
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ο，πｔ＃Ｅo\x01π！β5\x16\x17\x0e␒/：７t\x11ηaＢσ＊ ^",
		out:  "． ο，πｔ＃Ｅo␁π！β5␖␗␎‛␒/：７t␑ηaＢσ＊ ^",
	}, { // 4310
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftSpace,
		in:   "＊ ο，πｔ＃Ｅo\x01π！β5\x16\x17\x0e␒/：７t\x11ηaＢσ＊ .",
		out:  "＊ ο，πｔ＃Ｅo␁π！β5␖␗␎‛␒/：７t␑ηaＢσ＊ ．",
	}, { // 4311
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftSpace,
		in:   "＊ ο，πｔ＃Ｅo\x01π！β5\x16\x17\x0e␒/：７t\x11ηaＢσ＊ ．",
		out:  "＊ ο，πｔ＃Ｅo␁π！β5␖␗␎‛␒/：７t␑ηaＢσ＊ ‛．",
	}, { // 4312
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..τ＄␒\x14␞８π＆π\"H？gh＇８μεt%ｎ␎/;s［.υ",
		out:  "．.τ＄␒\x14␞８π＆π\"H？gh＇８μεt%ｎ␎/;s［.υ",
	}, { // 4313
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.τ＄␒\x14␞８π＆π\"H？gh＇８μεt%ｎ␎/;s［.υ",
		out:  "‛．.τ＄␒\x14␞８π＆π\"H？gh＇８μεt%ｎ␎/;s［.υ",
	}, { // 4314
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "␍.τ＄␒\x14␞８π＆π\"H？gh＇８μεt%ｎ␎/;s［..",
		out:  "␍.τ＄␒\x14␞８π＆π\"H？gh＇８μεt%ｎ␎/;s［.．",
	}, { // 4315
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "␍.τ＄␒\x14␞８π＆π\"H？gh＇８μεt%ｎ␎/;s［.．",
		out:  "␍.τ＄␒\x14␞８π＆π\"H？gh＇８μεt%ｎ␎/;s［.‛．",
	}, { // 4316
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..␖／／ε\x10μ？\bν\bｒπ\aM␓．␀qfJ，＋γ>＠ζ.g",
		out:  "．.␖‛／‛／ε\x10μ？\bν\bｒπ\aM␓．‛␀qfJ，＋γ>＠ζ.g",
	}, { // 4317
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.␖／／ε\x10μ？\bν\bｒπ\aM␓．␀qfJ，＋γ>＠ζ.g",
		out:  "‛．.␖‛／‛／ε\x10μ？\bν\bｒπ\aM␓．‛␀qfJ，＋γ>＠ζ.g",
	}, { // 4318
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "ｖ.␖／／ε\x10μ？\bν\bｒπ\aM␓．␀qfJ，＋γ>＠ζ..",
		out:  "ｖ.␖‛／‛／ε\x10μ？\bν\bｒπ\aM␓．‛␀qfJ，＋γ>＠ζ.．",
	}, { // 4319
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "ｖ.␖／／ε\x10μ？\bν\bｒπ\aM␓．␀qfJ，＋γ>＠ζ.．",
		out:  "ｖ.␖‛／‛／ε\x10μ？\bν\bｒπ\aM␓．‛␀qfJ，＋γ>＠ζ.‛．",
	}, { // 4320
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..\x16δ\x1d７\x1a␞Y␁\fιαζ␕／Ｖ}[Ａ\v␟Rａｔ'ε1.+",
		out:  "．.\x16δ\x1d７\x1a␞Y␁\fιαζ␕／Ｖ}[Ａ\v␟Rａｔ＇ε1.+",
	}, { // 4321
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.\x16δ\x1d７\x1a␞Y␁\fιαζ␕／Ｖ}[Ａ\v␟Rａｔ'ε1.+",
		out:  "‛．.\x16δ\x1d７\x1a␞Y␁\fιαζ␕／Ｖ}[Ａ\v␟Rａｔ＇ε1.+",
	}, { // 4322
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "６.\x16δ\x1d７\x1a␞Y␁\fιαζ␕／Ｖ}[Ａ\v␟Rａｔ'ε1..",
		out:  "６.\x16δ\x1d７\x1a␞Y␁\fιαζ␕／Ｖ}[Ａ\v␟Rａｔ＇ε1.．",
	}, { // 4323
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "６.\x16δ\x1d７\x1a␞Y␁\fιαζ␕／Ｖ}[Ａ\v␟Rａｔ'ε1.．",
		out:  "６.\x16δ\x1d７\x1a␞Y␁\fιαζ␕／Ｖ}[Ａ\v␟Rａｔ＇ε1.‛．",
	}, { // 4324
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "../y␗＼B｜τ\x14q\x0e\n＼θ/νζ＼\"＜＃␎\x7f7α（λ.；",
		out:  "．./y␗＼B｜τ\x14q\x0e\n＼θ/νζ＼\"＜＃␎\x7f7α（λ.；",
	}, { // 4325
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．./y␗＼B｜τ\x14q\x0e\n＼θ/νζ＼\"＜＃␎\x7f7α（λ.；",
		out:  "‛．./y␗＼B｜τ\x14q\x0e\n＼θ/νζ＼\"＜＃␎\x7f7α（λ.；",
	}, { // 4326
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "␘./y␗＼B｜τ\x14q\x0e\n＼θ/νζ＼\"＜＃␎\x7f7α（λ..",
		out:  "␘./y␗＼B｜τ\x14q\x0e\n＼θ/νζ＼\"＜＃␎\x7f7α（λ.．",
	}, { // 4327
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "␘./y␗＼B｜τ\x14q\x0e\n＼θ/νζ＼\"＜＃␎\x7f7α（λ.．",
		out:  "␘./y␗＼B｜τ\x14q\x0e\n＼θ/νζ＼\"＜＃␎\x7f7α（λ.‛．",
	}, { // 4328
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..␒q]\x10ς:\v␈/ｑυη７ｖ，:d］．.εν␘*ｐ\r.␡",
		out:  "．.␒q]\x10ς:\v␈/ｑυη７ｖ，:d］．.εν␘*ｐ\r.␡",
	}, { // 4329
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.␒q]\x10ς:\v␈/ｑυη７ｖ，:d］．.εν␘*ｐ\r.␡",
		out:  "‛．.␒q]\x10ς:\v␈/ｑυη７ｖ，:d］．.εν␘*ｐ\r.␡",
	}, { // 4330
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "<.␒q]\x10ς:\v␈/ｑυη７ｖ，:d］．.εν␘*ｐ\r..",
		out:  "＜.␒q]\x10ς:\v␈/ｑυη７ｖ，:d］．.εν␘*ｐ\r.．",
	}, { // 4331
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "<.␒q]\x10ς:\v␈/ｑυη７ｖ，:d］．.εν␘*ｐ\r.．",
		out:  "＜.␒q]\x10ς:\v␈/ｑυη７ｖ，:d］．.εν␘*ｐ\r.‛．",
	}, { // 4332
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..m？w；＞τｓ\x0ft％βυτμ\x17／/%＃G@Ｔω\\ｇ／.\v",
		out:  "．.m？w；＞τｓ\x0ft％βυτμ\x17／/%＃G@Ｔω\\ｇ／.\v",
	}, { // 4333
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.m？w；＞τｓ\x0ft％βυτμ\x17／/%＃G@Ｔω\\ｇ／.\v",
		out:  "‛．.m？w；＞τｓ\x0ft％βυτμ\x17／/%＃G@Ｔω\\ｇ／.\v",
	}, { // 4334
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "＠.m？w；＞τｓ\x0ft％βυτμ\x17／/%＃G@Ｔω\\ｇ／..",
		out:  "＠.m？w；＞τｓ\x0ft％βυτμ\x17／/%＃G@Ｔω\\ｇ／.．",
	}, { // 4335
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "＠.m？w；＞τｓ\x0ft％βυτμ\x17／/%＃G@Ｔω\\ｇ／.．",
		out:  "＠.m？w；＞τｓ\x0ft％βυτμ\x17／/%＃G@Ｔω\\ｇ／.‛．",
	}, { // 4336
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..␊ｙπＤＤ1５;\b\x0eｕ＼υ\n␊\x02'βχ\n=ο］:＼␌.ξ",
		out:  "．.␊ｙπＤＤ1５；\b\x0eｕ＼υ\n␊\x02'βχ\n=ο］:＼␌.ξ",
	}, { // 4337
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.␊ｙπＤＤ1５;\b\x0eｕ＼υ\n␊\x02'βχ\n=ο］:＼␌.ξ",
		out:  "‛．.␊ｙπＤＤ1５；\b\x0eｕ＼υ\n␊\x02'βχ\n=ο］:＼␌.ξ",
	}, { // 4338
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "f.␊ｙπＤＤ1５;\b\x0eｕ＼υ\n␊\x02'βχ\n=ο］:＼␌..",
		out:  "f.␊ｙπＤＤ1５；\b\x0eｕ＼υ\n␊\x02'βχ\n=ο］:＼␌.．",
	}, { // 4339
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "f.␊ｙπＤＤ1５;\b\x0eｕ＼υ\n␊\x02'βχ\n=ο］:＼␌.．",
		out:  "f.␊ｙπＤＤ1５；\b\x0eｕ＼υ\n␊\x02'βχ\n=ο］:＼␌.‛．",
	}, { // 4340
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..\x1a\x14；*-zｃκJ␍\x1diNς＄＝V：ｕ％\x17␘;φＬ␐.θ",
		out:  "．.\x1a\x14；*-zｃκJ␍\x1diNς＄＝V：ｕ％\x17␘;φＬ␐.θ",
	}, { // 4341
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.\x1a\x14；*-zｃκJ␍\x1diNς＄＝V：ｕ％\x17␘;φＬ␐.θ",
		out:  "‛．.\x1a\x14；*-zｃκJ␍\x1diNς＄＝V：ｕ％\x17␘;φＬ␐.θ",
	}, { // 4342
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "␅.\x1a\x14；*-zｃκJ␍\x1diNς＄＝V：ｕ％\x17␘;φＬ␐..",
		out:  "␅.\x1a\x14；*-zｃκJ␍\x1diNς＄＝V：ｕ％\x17␘;φＬ␐.．",
	}, { // 4343
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "␅.\x1a\x14；*-zｃκJ␍\x1diNς＄＝V：ｕ％\x17␘;φＬ␐.．",
		out:  "␅.\x1a\x14；*-zｃκJ␍\x1diNς＄＝V：ｕ％\x17␘;φＬ␐.‛．",
	}, { // 4344
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..Ｊδο\x16?~ｘλ!０␏γ［！γ\f％+F＿ｃ：d␕\x13χ.1",
		out:  "．.Ｊδο\x16?~ｘλ!０␏γ［！γ\f％+F＿ｃ：d␕\x13χ.1",
	}, { // 4345
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.Ｊδο\x16?~ｘλ!０␏γ［！γ\f％+F＿ｃ：d␕\x13χ.1",
		out:  "‛．.Ｊδο\x16?~ｘλ!０␏γ［！γ\f％+F＿ｃ：d␕\x13χ.1",
	}, { // 4346
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "Ｉ.Ｊδο\x16?~ｘλ!０␏γ［！γ\f％+F＿ｃ：d␕\x13χ..",
		out:  "Ｉ.Ｊδο\x16?~ｘλ!０␏γ［！γ\f％+F＿ｃ：d␕\x13χ.．",
	}, { // 4347
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "Ｉ.Ｊδο\x16?~ｘλ!０␏γ［！γ\f％+F＿ｃ：d␕\x13χ.．",
		out:  "Ｉ.Ｊδο\x16?~ｘλ!０␏γ［！γ\f％+F＿ｃ：d␕\x13χ.‛．",
	}, { // 4348
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..ｎ＠ιβ［\x1e1.E␝＞τ\x1cη\x1b␆;{：］]\x13`O；α.Ｐ",
		out:  "．.ｎ＠ιβ［\x1e1.E␝＞τ\x1cη\x1b␆;{：］]\x13`O；α.Ｐ",
	}, { // 4349
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.ｎ＠ιβ［\x1e1.E␝＞τ\x1cη\x1b␆;{：］]\x13`O；α.Ｐ",
		out:  "‛．.ｎ＠ιβ［\x1e1.E␝＞τ\x1cη\x1b␆;{：］]\x13`O；α.Ｐ",
	}, { // 4350
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "＄.ｎ＠ιβ［\x1e1.E␝＞τ\x1cη\x1b␆;{：］]\x13`O；α..",
		out:  "＄.ｎ＠ιβ［\x1e1.E␝＞τ\x1cη\x1b␆;{：］]\x13`O；α.．",
	}, { // 4351
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "＄.ｎ＠ιβ［\x1e1.E␝＞τ\x1cη\x1b␆;{：］]\x13`O；α.．",
		out:  "＄.ｎ＠ιβ［\x1e1.E␝＞τ\x1cη\x1b␆;{：］]\x13`O；α.‛．",
	}, { // 4352
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..ωυ］３＄＜＾\x11＄θ7rξψU\x030μ\x1e\x1f＇'z＊＜\x06.␂",
		out:  "．.ωυ］３＄＜＾\x11＄θ7rξψU\x030μ\x1e\x1f＇'z＊＜\x06.␂",
	}, { // 4353
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.ωυ］３＄＜＾\x11＄θ7rξψU\x030μ\x1e\x1f＇'z＊＜\x06.␂",
		out:  "‛．.ωυ］３＄＜＾\x11＄θ7rξψU\x030μ\x1e\x1f＇'z＊＜\x06.␂",
	}, { // 4354
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "␔.ωυ］３＄＜＾\x11＄θ7rξψU\x030μ\x1e\x1f＇'z＊＜\x06..",
		out:  "␔.ωυ］３＄＜＾\x11＄θ7rξψU\x030μ\x1e\x1f＇'z＊＜\x06.．",
	}, { // 4355
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "␔.ωυ］３＄＜＾\x11＄θ7rξψU\x030μ\x1e\x1f＇'z＊＜\x06.．",
		out:  "␔.ωυ］３＄＜＾\x11＄θ7rξψU\x030μ\x1e\x1f＇'z＊＜\x06.‛．",
	}, { // 4356
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..＼␁κ\x03␘\x1aω-νRNg␕\x19οq\x14ｃｙ>！ο␌k＊κ.\x16",
		out:  "．.＼␁κ\x03␘\x1aω-νRNg␕\x19οq\x14ｃｙ>！ο␌k＊κ.\x16",
	}, { // 4357
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.＼␁κ\x03␘\x1aω-νRNg␕\x19οq\x14ｃｙ>！ο␌k＊κ.\x16",
		out:  "‛．.＼␁κ\x03␘\x1aω-νRNg␕\x19οq\x14ｃｙ>！ο␌k＊κ.\x16",
	}, { // 4358
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "０.＼␁κ\x03␘\x1aω-νRNg␕\x19οq\x14ｃｙ>！ο␌k＊κ..",
		out:  "０.＼␁κ\x03␘\x1aω-νRNg␕\x19οq\x14ｃｙ>！ο␌k＊κ.．",
	}, { // 4359
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "０.＼␁κ\x03␘\x1aω-νRNg␕\x19οq\x14ｃｙ>！ο␌k＊κ.．",
		out:  "０.＼␁κ\x03␘\x1aω-νRNg␕\x19οq\x14ｃｙ>！ο␌k＊κ.‛．",
	}, { // 4360
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..PＪ/\x1b＂ψ｜Qε！αψｅ\x7f<\x02␉I／#＜α＠｜μu.G",
		out:  "．.PＪ/\x1b＂ψ｜Qε！αψｅ\x7f<\x02␉I／#＜α＠｜μu.G",
	}, { // 4361
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.PＪ/\x1b＂ψ｜Qε！αψｅ\x7f<\x02␉I／#＜α＠｜μu.G",
		out:  "‛．.PＪ/\x1b＂ψ｜Qε！αψｅ\x7f<\x02␉I／#＜α＠｜μu.G",
	}, { // 4362
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "＄.PＪ/\x1b＂ψ｜Qε！αψｅ\x7f<\x02␉I／#＜α＠｜μu..",
		out:  "＄.PＪ/\x1b＂ψ｜Qε！αψｅ\x7f<\x02␉I／#＜α＠｜μu.．",
	}, { // 4363
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "＄.PＪ/\x1b＂ψ｜Qε！αψｅ\x7f<\x02␉I／#＜α＠｜μu.．",
		out:  "＄.PＪ/\x1b＂ψ｜Qε！αψｅ\x7f<\x02␉I／#＜α＠｜μu.‛．",
	}, { // 4364
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..Nχt)］%/４／ν９␌Ｇγ␅ｕι␔＝\x19e]Qη␇X.Ｖ",
		out:  "．.Nχt)］%/４／ν９␌Ｇγ␅ｕι␔＝\x19e]Qη␇X.Ｖ",
	}, { // 4365
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.Nχt)］%/４／ν９␌Ｇγ␅ｕι␔＝\x19e]Qη␇X.Ｖ",
		out:  "‛．.Nχt)］%/４／ν９␌Ｇγ␅ｕι␔＝\x19e]Qη␇X.Ｖ",
	}, { // 4366
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "\x11.Nχt)］%/４／ν９␌Ｇγ␅ｕι␔＝\x19e]Qη␇X..",
		out:  "\x11.Nχt)］%/４／ν９␌Ｇγ␅ｕι␔＝\x19e]Qη␇X.．",
	}, { // 4367
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "\x11.Nχt)］%/４／ν９␌Ｇγ␅ｕι␔＝\x19e]Qη␇X.．",
		out:  "\x11.Nχt)］%/４／ν９␌Ｇγ␅ｕι␔＝\x19e]Qη␇X.‛．",
	}, { // 4368
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..ξ\nＴ␝＜Ｕ\x01␞Ｆη\n:O｜`β]Ｅ␝\x19ｑνς｀␐T.μ",
		out:  "．.ξ\nＴ␝＜Ｕ\x01␞Ｆη\n:O｜`β]Ｅ␝\x19ｑνς｀␐T.μ",
	}, { // 4369
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.ξ\nＴ␝＜Ｕ\x01␞Ｆη\n:O｜`β]Ｅ␝\x19ｑνς｀␐T.μ",
		out:  "‛．.ξ\nＴ␝＜Ｕ\x01␞Ｆη\n:O｜`β]Ｅ␝\x19ｑνς｀␐T.μ",
	}, { // 4370
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "B.ξ\nＴ␝＜Ｕ\x01␞Ｆη\n:O｜`β]Ｅ␝\x19ｑνς｀␐T..",
		out:  "B.ξ\nＴ␝＜Ｕ\x01␞Ｆη\n:O｜`β]Ｅ␝\x19ｑνς｀␐T.．",
	}, { // 4371
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "B.ξ\nＴ␝＜Ｕ\x01␞Ｆη\n:O｜`β]Ｅ␝\x19ｑνς｀␐T.．",
		out:  "B.ξ\nＴ␝＜Ｕ\x01␞Ｆη\n:O｜`β]Ｅ␝\x19ｑνς｀␐T.‛．",
	}, { // 4372
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..ｕφλ＼５\x01:\x1dｗ\rψJπ␈＃\x16␇$␕6；␊φμ'Ｅ.Q",
		out:  "．.ｕφλ＼５\x01:\x1dｗ\rψJπ␈＃\x16␇$␕6；␊φμ'Ｅ.Q",
	}, { // 4373
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.ｕφλ＼５\x01:\x1dｗ\rψJπ␈＃\x16␇$␕6；␊φμ'Ｅ.Q",
		out:  "‛．.ｕφλ＼５\x01:\x1dｗ\rψJπ␈＃\x16␇$␕6；␊φμ'Ｅ.Q",
	}, { // 4374
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "ｙ.ｕφλ＼５\x01:\x1dｗ\rψJπ␈＃\x16␇$␕6；␊φμ'Ｅ..",
		out:  "ｙ.ｕφλ＼５\x01:\x1dｗ\rψJπ␈＃\x16␇$␕6；␊φμ'Ｅ.．",
	}, { // 4375
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "ｙ.ｕφλ＼５\x01:\x1dｗ\rψJπ␈＃\x16␇$␕6；␊φμ'Ｅ.．",
		out:  "ｙ.ｕφλ＼５\x01:\x1dｗ\rψJπ␈＃\x16␇$␕6；␊φμ'Ｅ.‛．",
	}, { // 4376
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..＼\x7f␐Ｈυ#οA９］ν\x0f␎U\x18y＞＇｀ιm<τI～＊.Ｋ",
		out:  "．.‛＼\x7f␐Ｈυ#οA９］ν\x0f␎U\x18y＞＇｀ιm<τI～＊.Ｋ",
	}, { // 4377
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.＼\x7f␐Ｈυ#οA９］ν\x0f␎U\x18y＞＇｀ιm<τI～＊.Ｋ",
		out:  "‛．.‛＼\x7f␐Ｈυ#οA９］ν\x0f␎U\x18y＞＇｀ιm<τI～＊.Ｋ",
	}, { // 4378
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "ξ.＼\x7f␐Ｈυ#οA９］ν\x0f␎U\x18y＞＇｀ιm<τI～＊..",
		out:  "ξ.‛＼\x7f␐Ｈυ#οA９］ν\x0f␎U\x18y＞＇｀ιm<τI～＊.．",
	}, { // 4379
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "ξ.＼\x7f␐Ｈυ#οA９］ν\x0f␎U\x18y＞＇｀ιm<τI～＊.．",
		out:  "ξ.‛＼\x7f␐Ｈυ#οA９］ν\x0f␎U\x18y＞＇｀ιm<τI～＊.‛．",
	}, { // 4380
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..\x10!！␕bMκ\"\x03＂＞＃！W\"ｎρwj&φυ␋\nχ＝.ｂ",
		out:  "．.\x10!！␕bMκ\"\x03＂＞＃！W\"ｎρwj&φυ␋␊χ＝.ｂ",
	}, { // 4381
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.\x10!！␕bMκ\"\x03＂＞＃！W\"ｎρwj&φυ␋\nχ＝.ｂ",
		out:  "‛．.\x10!！␕bMκ\"\x03＂＞＃！W\"ｎρwj&φυ␋␊χ＝.ｂ",
	}, { // 4382
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "ｐ.\x10!！␕bMκ\"\x03＂＞＃！W\"ｎρwj&φυ␋\nχ＝..",
		out:  "ｐ.\x10!！␕bMκ\"\x03＂＞＃！W\"ｎρwj&φυ␋␊χ＝.．",
	}, { // 4383
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "ｐ.\x10!！␕bMκ\"\x03＂＞＃！W\"ｎρwj&φυ␋\nχ＝.．",
		out:  "ｐ.\x10!！␕bMκ\"\x03＂＞＃！W\"ｎρwj&φυ␋␊χ＝.‛．",
	}, { // 4384
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..ＤＤ.:␖␟v!ａ␞χ８7␃θψθ\x1a␝D\x15G／ηι＊.\x7f",
		out:  "．.ＤＤ.:␖␟v!ａ␞χ８7␃θψθ\x1a␝D\x15G／ηι＊.␡",
	}, { // 4385
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.ＤＤ.:␖␟v!ａ␞χ８7␃θψθ\x1a␝D\x15G／ηι＊.\x7f",
		out:  "‛．.ＤＤ.:␖␟v!ａ␞χ８7␃θψθ\x1a␝D\x15G／ηι＊.␡",
	}, { // 4386
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "Ｗ.ＤＤ.:␖␟v!ａ␞χ８7␃θψθ\x1a␝D\x15G／ηι＊..",
		out:  "Ｗ.ＤＤ.:␖␟v!ａ␞χ８7␃θψθ\x1a␝D\x15G／ηι＊.．",
	}, { // 4387
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "Ｗ.ＤＤ.:␖␟v!ａ␞χ８7␃θψθ\x1a␝D\x15G／ηι＊.．",
		out:  "Ｗ.ＤＤ.:␖␟v!ａ␞χ８7␃θψθ\x1a␝D\x15G／ηι＊.‛．",
	}, { // 4388
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..２/y\x1eκ/|!␑Ｃ\"␉Ｉ;ｖ␆]wＳ␚ωςfδ＜␕.8",
		out:  "．.２/y␞κ/|!‛␑Ｃ\"‛␉Ｉ;ｖ‛␆]wＳ‛␚ωςfδ＜‛␕.8",
	}, { // 4389
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.２/y\x1eκ/|!␑Ｃ\"␉Ｉ;ｖ␆]wＳ␚ωςfδ＜␕.8",
		out:  "‛．.２/y␞κ/|!‛␑Ｃ\"‛␉Ｉ;ｖ‛␆]wＳ‛␚ωςfδ＜‛␕.8",
	}, { // 4390
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "π.２/y\x1eκ/|!␑Ｃ\"␉Ｉ;ｖ␆]wＳ␚ωςfδ＜␕..",
		out:  "π.２/y␞κ/|!‛␑Ｃ\"‛␉Ｉ;ｖ‛␆]wＳ‛␚ωςfδ＜‛␕.．",
	}, { // 4391
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "π.２/y\x1eκ/|!␑Ｃ\"␉Ｉ;ｖ␆]wＳ␚ωςfδ＜␕.．",
		out:  "π.２/y␞κ/|!‛␑Ｃ\"‛␉Ｉ;ｖ‛␆]wＳ‛␚ωςfδ＜‛␕.‛．",
	}, { // 4392
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~␊T␍υ$\x15␎ζ\x1d＼＜ζ'$\x01K3μ％%Cθ；｀␍Ｓ~］",
		out:  ".~␊T␍υ$\x15␎ζ\x1d＼＜ζ'$\x01K3μ％%Cθ；｀␍Ｓ~］",
	}, { // 4393
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~␊T␍υ$\x15␎ζ\x1d＼＜ζ'$\x01K3μ％%Cθ；｀␍Ｓ~］",
		out:  "．~␊T␍υ$\x15␎ζ\x1d＼＜ζ'$\x01K3μ％%Cθ；｀␍Ｓ~］",
	}, { // 4394
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftTilde,
		in:   "/~␊T␍υ$\x15␎ζ\x1d＼＜ζ'$\x01K3μ％%Cθ；｀␍Ｓ~.",
		out:  "/~␊T␍υ$\x15␎ζ\x1d＼＜ζ'$\x01K3μ％%Cθ；｀␍Ｓ~．",
	}, { // 4395
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftTilde,
		in:   "/~␊T␍υ$\x15␎ζ\x1d＼＜ζ'$\x01K3μ％%Cθ；｀␍Ｓ~．",
		out:  "/~␊T␍υ$\x15␎ζ\x1d＼＜ζ'$\x01K3μ％%Cθ；｀␍Ｓ~‛．",
	}, { // 4396
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~！:\x19ωO＞ＷKSＰ／＿[ηκ%\x06γ*９βｓ␀π；\x11~␟",
		out:  ".~！:\x19ωO＞ＷKSＰ‛／＿[ηκ%\x06γ*９βｓ‛␀π；\x11~␟",
	}, { // 4397
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~！:\x19ωO＞ＷKSＰ／＿[ηκ%\x06γ*９βｓ␀π；\x11~␟",
		out:  "．~！:\x19ωO＞ＷKSＰ‛／＿[ηκ%\x06γ*９βｓ‛␀π；\x11~␟",
	}, { // 4398
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "a~！:\x19ωO＞ＷKSＰ／＿[ηκ%\x06γ*９βｓ␀π；\x11~.",
		out:  "a~！:\x19ωO＞ＷKSＰ‛／＿[ηκ%\x06γ*９βｓ‛␀π；\x11~．",
	}, { // 4399
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "a~！:\x19ωO＞ＷKSＰ／＿[ηκ%\x06γ*９βｓ␀π；\x11~．",
		out:  "a~！:\x19ωO＞ＷKSＰ‛／＿[ηκ%\x06γ*９βｓ‛␀π；\x11~‛．",
	}, { // 4400
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~ｅ␍7ο？α＞～aθκ\"\"␃␙ｚ］：\x12|\x1a{＞4／ω~\"",
		out:  ".~ｅ␍7ο？α＞～aθκ\"\"␃␙ｚ］：\x12|\x1a{＞4／ω~\"",
	}, { // 4401
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~ｅ␍7ο？α＞～aθκ\"\"␃␙ｚ］：\x12|\x1a{＞4／ω~\"",
		out:  "．~ｅ␍7ο？α＞～aθκ\"\"␃␙ｚ］：\x12|\x1a{＞4／ω~\"",
	}, { // 4402
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "\x18~ｅ␍7ο？α＞～aθκ\"\"␃␙ｚ］：\x12|\x1a{＞4／ω~.",
		out:  "\x18~ｅ␍7ο？α＞～aθκ\"\"␃␙ｚ］：\x12|\x1a{＞4／ω~．",
	}, { // 4403
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "\x18~ｅ␍7ο？α＞～aθκ\"\"␃␙ｚ］：\x12|\x1a{＞4／ω~．",
		out:  "\x18~ｅ␍7ο？α＞～aθκ\"\"␃␙ｚ］：\x12|\x1a{＞4／ω~‛．",
	}, { // 4404
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~`=λγ\x12␔．␍７␍)：a␃b:ｉ；ynｙξςψ\x13＊~ς",
		out:  ".~｀=λγ\x12␔．␍７␍)：a␃b:ｉ；ynｙξςψ\x13＊~ς",
	}, { // 4405
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~`=λγ\x12␔．␍７␍)：a␃b:ｉ；ynｙξςψ\x13＊~ς",
		out:  "．~｀=λγ\x12␔．␍７␍)：a␃b:ｉ；ynｙξςψ\x13＊~ς",
	}, { // 4406
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "\x19~`=λγ\x12␔．␍７␍)：a␃b:ｉ；ynｙξςψ\x13＊~.",
		out:  "\x19~｀=λγ\x12␔．␍７␍)：a␃b:ｉ；ynｙξςψ\x13＊~．",
	}, { // 4407
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "\x19~`=λγ\x12␔．␍７␍)：a␃b:ｉ；ynｙξςψ\x13＊~．",
		out:  "\x19~｀=λγ\x12␔．␍７␍)：a␃b:ｉ；ynｙξςψ\x13＊~‛．",
	}, { // 4408
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~βe６e\\υ＇␝;＞τA\x01ξ␊␍␜ζ>:\x13ｌ␃\x11Ｋ8~；",
		out:  ".~βe６e\\υ＇␝;‛＞τA\x01ξ␊␍␜ζ＞:\x13ｌ␃\x11Ｋ8~；",
	}, { // 4409
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~βe６e\\υ＇␝;＞τA\x01ξ␊␍␜ζ>:\x13ｌ␃\x11Ｋ8~；",
		out:  "．~βe６e\\υ＇␝;‛＞τA\x01ξ␊␍␜ζ＞:\x13ｌ␃\x11Ｋ8~；",
	}, { // 4410
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftTilde,
		in:   "6~βe６e\\υ＇␝;＞τA\x01ξ␊␍␜ζ>:\x13ｌ␃\x11Ｋ8~.",
		out:  "6~βe６e\\υ＇␝;‛＞τA\x01ξ␊␍␜ζ＞:\x13ｌ␃\x11Ｋ8~．",
	}, { // 4411
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftTilde,
		in:   "6~βe６e\\υ＇␝;＞τA\x01ξ␊␍␜ζ>:\x13ｌ␃\x11Ｋ8~．",
		out:  "6~βe６e\\υ＇␝;‛＞τA\x01ξ␊␍␜ζ＞:\x13ｌ␃\x11Ｋ8~‛．",
	}, { // 4412
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~\aB6:γ\x1c＄ｍα＼<π␊｜：*ςv＜␐\x1c7５ι\x03＆~␃",
		out:  ".~\aB6:γ\x1c＄ｍα＼<π␊｜：*ςv＜␐\x1c7５ι\x03＆~␃",
	}, { // 4413
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~\aB6:γ\x1c＄ｍα＼<π␊｜：*ςv＜␐\x1c7５ι\x03＆~␃",
		out:  "．~\aB6:γ\x1c＄ｍα＼<π␊｜：*ςv＜␐\x1c7５ι\x03＆~␃",
	}, { // 4414
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftTilde,
		in:   "\t~\aB6:γ\x1c＄ｍα＼<π␊｜：*ςv＜␐\x1c7５ι\x03＆~.",
		out:  "\t~\aB6:γ\x1c＄ｍα＼<π␊｜：*ςv＜␐\x1c7５ι\x03＆~．",
	}, { // 4415
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftTilde,
		in:   "\t~\aB6:γ\x1c＄ｍα＼<π␊｜：*ςv＜␐\x1c7５ι\x03＆~．",
		out:  "\t~\aB6:γ\x1c＄ｍα＼<π␊｜：*ςv＜␐\x1c7５ι\x03＆~‛．",
	}, { // 4416
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~?ＭδQ／\x05ιζN␒*+ＹuF～␉␋／８\x16υα～\r%~␌",
		out:  ".~?ＭδQ／\x05ιζN␒*+ＹuF～␉␋／８\x16υα～\r%~␌",
	}, { // 4417
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~?ＭδQ／\x05ιζN␒*+ＹuF～␉␋／８\x16υα～\r%~␌",
		out:  "．~?ＭδQ／\x05ιζN␒*+ＹuF～␉␋／８\x16υα～\r%~␌",
	}, { // 4418
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftTilde,
		in:   "θ~?ＭδQ／\x05ιζN␒*+ＹuF～␉␋／８\x16υα～\r%~.",
		out:  "θ~?ＭδQ／\x05ιζN␒*+ＹuF～␉␋／８\x16υα～\r%~．",
	}, { // 4419
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftTilde,
		in:   "θ~?ＭδQ／\x05ιζN␒*+ＹuF～␉␋／８\x16υα～\r%~．",
		out:  "θ~?ＭδQ／\x05ιζN␒*+ＹuF～␉␋／８\x16υα～\r%~‛．",
	}, { // 4420
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~3␉␉ψｂ␞9ε␗］\"ｈχ，41φ\n␄*！Ｔ｀\f\"γ~[",
		out:  ".~3␉␉ψｂ␞9ε␗］\"ｈχ，41φ\n␄*‛！Ｔ｀\f\"γ~[",
	}, { // 4421
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~3␉␉ψｂ␞9ε␗］\"ｈχ，41φ\n␄*！Ｔ｀\f\"γ~[",
		out:  "．~3␉␉ψｂ␞9ε␗］\"ｈχ，41φ\n␄*‛！Ｔ｀\f\"γ~[",
	}, { // 4422
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftTilde,
		in:   "ς~3␉␉ψｂ␞9ε␗］\"ｈχ，41φ\n␄*！Ｔ｀\f\"γ~.",
		out:  "ς~3␉␉ψｂ␞9ε␗］\"ｈχ，41φ\n␄*‛！Ｔ｀\f\"γ~．",
	}, { // 4423
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftTilde,
		in:   "ς~3␉␉ψｂ␞9ε␗］\"ｈχ，41φ\n␄*！Ｔ｀\f\"γ~．",
		out:  "ς~3␉␉ψｂ␞9ε␗］\"ｈχ，41φ\n␄*‛！Ｔ｀\f\"γ~‛．",
	}, { // 4424
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~␋{␄␇δ３␑η１β）ｒμζ\a\n␘␊ｘ]\x7f#(δhv~j",
		out:  ".~␋{␄␇δ３␑η１β）ｒμζ\a\n␘␊ｘ]\x7f#(δhv~j",
	}, { // 4425
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~␋{␄␇δ３␑η１β）ｒμζ\a\n␘␊ｘ]\x7f#(δhv~j",
		out:  "．~␋{␄␇δ３␑η１β）ｒμζ\a\n␘␊ｘ]\x7f#(δhv~j",
	}, { // 4426
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftTilde,
		in:   "j~␋{␄␇δ３␑η１β）ｒμζ\a\n␘␊ｘ]\x7f#(δhv~.",
		out:  "j~␋{␄␇δ３␑η１β）ｒμζ\a\n␘␊ｘ]\x7f#(δhv~．",
	}, { // 4427
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftTilde,
		in:   "j~␋{␄␇δ３␑η１β）ｒμζ\a\n␘␊ｘ]\x7f#(δhv~．",
		out:  "j~␋{␄␇δ３␑η１β）ｒμζ\a\n␘␊ｘ]\x7f#(δhv~‛．",
	}, { // 4428
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~K␙\x01ａTρB␏σL１\x12,␀JｃζＩＶυ\x16｜␕\vω\x17~\"",
		out:  ".~K␙\x01ａTρB␏σL１\x12,‛␀JｃζＩＶυ\x16｜␕\vω\x17~＂",
	}, { // 4429
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~K␙\x01ａTρB␏σL１\x12,␀JｃζＩＶυ\x16｜␕\vω\x17~\"",
		out:  "．~K␙\x01ａTρB␏σL１\x12,‛␀JｃζＩＶυ\x16｜␕\vω\x17~＂",
	}, { // 4430
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "ｅ~K␙\x01ａTρB␏σL１\x12,␀JｃζＩＶυ\x16｜␕\vω\x17~.",
		out:  "ｅ~K␙\x01ａTρB␏σL１\x12,‛␀JｃζＩＶυ\x16｜␕\vω\x17~．",
	}, { // 4431
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "ｅ~K␙\x01ａTρB␏σL１\x12,␀JｃζＩＶυ\x16｜␕\vω\x17~．",
		out:  "ｅ~K␙\x01ａTρB␏σL１\x12,‛␀JｃζＩＶυ\x16｜␕\vω\x17~‛．",
	}, { // 4432
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~θ#πMＶ␝｀λ2［Ｏ\fmζ\x00@␇α＃m\fsσ＆５\r~␒",
		out:  ".~θ#πMＶ␝｀λ2［Ｏ\fmζ␀@␇α＃m\fsσ＆５\r~␒",
	}, { // 4433
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~θ#πMＶ␝｀λ2［Ｏ\fmζ\x00@␇α＃m\fsσ＆５\r~␒",
		out:  "．~θ#πMＶ␝｀λ2［Ｏ\fmζ␀@␇α＃m\fsσ＆５\r~␒",
	}, { // 4434
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftTilde,
		in:   "\x12~θ#πMＶ␝｀λ2［Ｏ\fmζ\x00@␇α＃m\fsσ＆５\r~.",
		out:  "\x12~θ#πMＶ␝｀λ2［Ｏ\fmζ␀@␇α＃m\fsσ＆５\r~．",
	}, { // 4435
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftTilde,
		in:   "\x12~θ#πMＶ␝｀λ2［Ｏ\fmζ\x00@␇α＃m\fsσ＆５\r~．",
		out:  "\x12~θ#πMＶ␝｀λ2［Ｏ\fmζ␀@␇α＃m\fsσ＆５\r~‛．",
	}, { // 4436
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~\nχ\\\"d\x03\x14␋3\nmι␞ｅ｜ｙＵς␍τ＜］λＣσg~␛",
		out:  ".~\nχ\\\"d\x03\x14␋3\nmι␞ｅ｜ｙＵς␍τ＜］λＣσg~␛",
	}, { // 4437
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~\nχ\\\"d\x03\x14␋3\nmι␞ｅ｜ｙＵς␍τ＜］λＣσg~␛",
		out:  "．~\nχ\\\"d\x03\x14␋3\nmι␞ｅ｜ｙＵς␍τ＜］λＣσg~␛",
	}, { // 4438
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftTilde,
		in:   "`~\nχ\\\"d\x03\x14␋3\nmι␞ｅ｜ｙＵς␍τ＜］λＣσg~.",
		out:  "`~\nχ\\\"d\x03\x14␋3\nmι␞ｅ｜ｙＵς␍τ＜］λＣσg~．",
	}, { // 4439
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftTilde,
		in:   "`~\nχ\\\"d\x03\x14␋3\nmι␞ｅ｜ｙＵς␍τ＜］λＣσg~．",
		out:  "`~\nχ\\\"d\x03\x14␋3\nmι␞ｅ｜ｙＵς␍τ＜］λＣσg~‛．",
	}, { // 4440
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~␔／φ\ruυβ＼&Ｍ＃｛K\x03g［π\x12＋GVη␡ι\x0e$~ｑ",
		out:  ".~␔／φ\ruυβ＼&Ｍ＃｛K\x03g［π\x12＋GVη␡ι\x0e$~ｑ",
	}, { // 4441
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~␔／φ\ruυβ＼&Ｍ＃｛K\x03g［π\x12＋GVη␡ι\x0e$~ｑ",
		out:  "．~␔／φ\ruυβ＼&Ｍ＃｛K\x03g［π\x12＋GVη␡ι\x0e$~ｑ",
	}, { // 4442
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftTilde,
		in:   "＇~␔／φ\ruυβ＼&Ｍ＃｛K\x03g［π\x12＋GVη␡ι\x0e$~.",
		out:  "＇~␔／φ\ruυβ＼&Ｍ＃｛K\x03g［π\x12＋GVη␡ι\x0e$~．",
	}, { // 4443
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftTilde,
		in:   "＇~␔／φ\ruυβ＼&Ｍ＃｛K\x03g［π\x12＋GVη␡ι\x0e$~．",
		out:  "＇~␔／φ\ruυβ＼&Ｍ＃｛K\x03g［π\x12＋GVη␡ι\x0e$~‛．",
	}, { // 4444
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~ｖY\x17α－\\h>␞ω1Ａβ｝wο␏2`#？β␘：！^~␌",
		out:  ".~ｖY\x17α－\\h>␞ω1Ａβ｝wο␏2`#？β␘：！^~␌",
	}, { // 4445
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~ｖY\x17α－\\h>␞ω1Ａβ｝wο␏2`#？β␘：！^~␌",
		out:  "．~ｖY\x17α－\\h>␞ω1Ａβ｝wο␏2`#？β␘：！^~␌",
	}, { // 4446
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftTilde,
		in:   "|~ｖY\x17α－\\h>␞ω1Ａβ｝wο␏2`#？β␘：！^~.",
		out:  "｜~ｖY\x17α－\\h>␞ω1Ａβ｝wο␏2`#？β␘：！^~．",
	}, { // 4447
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftTilde,
		in:   "|~ｖY\x17α－\\h>␞ω1Ａβ｝wο␏2`#？β␘：！^~．",
		out:  "｜~ｖY\x17α－\\h>␞ω1Ａβ｝wο␏2`#？β␘：！^~‛．",
	}, { // 4448
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~)ψμ␔#|\x17＃\vＣλκ\x19+Ｕλ＜＆\x13Ｂ)ζ5␍␍␡~｛",
		out:  ".~)ψμ␔＃|\x17‛＃\vＣλκ\x19+Ｕλ＜＆\x13Ｂ)ζ5␍␍␡~｛",
	}, { // 4449
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~)ψμ␔#|\x17＃\vＣλκ\x19+Ｕλ＜＆\x13Ｂ)ζ5␍␍␡~｛",
		out:  "．~)ψμ␔＃|\x17‛＃\vＣλκ\x19+Ｕλ＜＆\x13Ｂ)ζ5␍␍␡~｛",
	}, { // 4450
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "␓~)ψμ␔#|\x17＃\vＣλκ\x19+Ｕλ＜＆\x13Ｂ)ζ5␍␍␡~.",
		out:  "␓~)ψμ␔＃|\x17‛＃\vＣλκ\x19+Ｕλ＜＆\x13Ｂ)ζ5␍␍␡~．",
	}, { // 4451
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "␓~)ψμ␔#|\x17＃\vＣλκ\x19+Ｕλ＜＆\x13Ｂ)ζ5␍␍␡~．",
		out:  "␓~)ψμ␔＃|\x17‛＃\vＣλκ\x19+Ｕλ＜＆\x13Ｂ)ζ5␍␍␡~‛．",
	}, { // 4452
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~γＫ\\(＞␔\fε＂;\n＃！bt\n'ε*␟M％ωκι\\~␑",
		out:  ".~γＫ\\(＞␔\fε＂;\n＃！bt\n'ε*␟M‛％ωκι\\~␑",
	}, { // 4453
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~γＫ\\(＞␔\fε＂;\n＃！bt\n'ε*␟M％ωκι\\~␑",
		out:  "．~γＫ\\(＞␔\fε＂;\n＃！bt\n'ε*␟M‛％ωκι\\~␑",
	}, { // 4454
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftTilde,
		in:   "␔~γＫ\\(＞␔\fε＂;\n＃！bt\n'ε*␟M％ωκι\\~.",
		out:  "␔~γＫ\\(＞␔\fε＂;\n＃！bt\n'ε*␟M‛％ωκι\\~．",
	}, { // 4455
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftTilde,
		in:   "␔~γＫ\\(＞␔\fε＂;\n＃！bt\n'ε*␟M％ωκι\\~．",
		out:  "␔~γＫ\\(＞␔\fε＂;\n＃！bt\n'ε*␟M‛％ωκι\\~‛．",
	}, { // 4456
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~?－ａ\x0fλ␃ω\f\x04;ψαｒ␎␐ι␓PZmγ＼Ｑ\x1fp1~＄",
		out:  ".~?－ａ\x0fλ␃ω\f\x04;ψαｒ␎␐ι␓PZmγ‛＼Ｑ\x1fp1~＄",
	}, { // 4457
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~?－ａ\x0fλ␃ω\f\x04;ψαｒ␎␐ι␓PZmγ＼Ｑ\x1fp1~＄",
		out:  "．~?－ａ\x0fλ␃ω\f\x04;ψαｒ␎␐ι␓PZmγ‛＼Ｑ\x1fp1~＄",
	}, { // 4458
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "␜~?－ａ\x0fλ␃ω\f\x04;ψαｒ␎␐ι␓PZmγ＼Ｑ\x1fp1~.",
		out:  "␜~?－ａ\x0fλ␃ω\f\x04;ψαｒ␎␐ι␓PZmγ‛＼Ｑ\x1fp1~．",
	}, { // 4459
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "␜~?－ａ\x0fλ␃ω\f\x04;ψαｒ␎␐ι␓PZmγ＼Ｑ\x1fp1~．",
		out:  "␜~?－ａ\x0fλ␃ω\f\x04;ψαｒ␎␐ι␓PZmγ‛＼Ｑ\x1fp1~‛．",
	}, { // 4460
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~␘：ημf]\x13␀＂ｉ＞?ι：δτd]１`|?］␆＇`~\x15",
		out:  ".~␘：ημf]\x13‛␀＂ｉ＞?ι：δτd]１`|?］␆＇`~\x15",
	}, { // 4461
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~␘：ημf]\x13␀＂ｉ＞?ι：δτd]１`|?］␆＇`~\x15",
		out:  "．~␘：ημf]\x13‛␀＂ｉ＞?ι：δτd]１`|?］␆＇`~\x15",
	}, { // 4462
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftTilde,
		in:   "＜~␘：ημf]\x13␀＂ｉ＞?ι：δτd]１`|?］␆＇`~.",
		out:  "＜~␘：ημf]\x13‛␀＂ｉ＞?ι：δτd]１`|?］␆＇`~．",
	}, { // 4463
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftTilde,
		in:   "＜~␘：ημf]\x13␀＂ｉ＞?ι：δτd]１`|?］␆＇`~．",
		out:  "＜~␘：ημf]\x13‛␀＂ｉ＞?ι：δτd]１`|?］␆＇`~‛．",
	}, { // 4464
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~Ｑrγ{μ␑u\x16␁K␟\x04\x1f？ν␍c９＋ι＆I'\r␒ｑ~]",
		out:  ".~Ｑrγ{μ␑u\x16␁K␟\x04\x1f？ν␍c９＋ι＆I'\r␒ｑ~]",
	}, { // 4465
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~Ｑrγ{μ␑u\x16␁K␟\x04\x1f？ν␍c９＋ι＆I'\r␒ｑ~]",
		out:  "．~Ｑrγ{μ␑u\x16␁K␟\x04\x1f？ν␍c９＋ι＆I'\r␒ｑ~]",
	}, { // 4466
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftTilde,
		in:   "ｙ~Ｑrγ{μ␑u\x16␁K␟\x04\x1f？ν␍c９＋ι＆I'\r␒ｑ~.",
		out:  "ｙ~Ｑrγ{μ␑u\x16␁K␟\x04\x1f？ν␍c９＋ι＆I'\r␒ｑ~．",
	}, { // 4467
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftTilde,
		in:   "ｙ~Ｑrγ{μ␑u\x16␁K␟\x04\x1f？ν␍c９＋ι＆I'\r␒ｑ~．",
		out:  "ｙ~Ｑrγ{μ␑u\x16␁K␟\x04\x1f？ν␍c９＋ι＆I'\r␒ｑ~‛．",
	}, { // 4468
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~\x16οｇ＊ωM1\x02)\x03ｔ\\χ␍␃A␓␚Ｄ－\x1dxτυ/]~［",
		out:  ".~␖οｇ＊ωM1␂)␃ｔ\\χ‛␍‛␃A‛␓‛␚Ｄ－␝xτυ/]~［",
	}, { // 4469
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~\x16οｇ＊ωM1\x02)\x03ｔ\\χ␍␃A␓␚Ｄ－\x1dxτυ/]~［",
		out:  "．~␖οｇ＊ωM1␂)␃ｔ\\χ‛␍‛␃A‛␓‛␚Ｄ－␝xτυ/]~［",
	}, { // 4470
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftTilde,
		in:   "ρ~\x16οｇ＊ωM1\x02)\x03ｔ\\χ␍␃A␓␚Ｄ－\x1dxτυ/]~.",
		out:  "ρ~␖οｇ＊ωM1␂)␃ｔ\\χ‛␍‛␃A‛␓‛␚Ｄ－␝xτυ/]~．",
	}, { // 4471
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftTilde,
		in:   "ρ~\x16οｇ＊ωM1\x02)\x03ｔ\\χ␍␃A␓␚Ｄ－\x1dxτυ/]~．",
		out:  "ρ~␖οｇ＊ωM1␂)␃ｔ\\χ‛␍‛␃A‛␓‛␚Ｄ－␝xτυ/]~‛．",
	}, { // 4472
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\tｊ",
		out:  ".\t/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\tｊ",
	}, { // 4473
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\tｊ",
		out:  "．\t/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\tｊ",
	}, { // 4474
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\nｊ",
		out:  ".\n/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\nｊ",
	}, { // 4475
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\nｊ",
		out:  "．\n/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\nｊ",
	}, { // 4476
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\vｊ",
		out:  ".\v/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\vｊ",
	}, { // 4477
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\vｊ",
		out:  "．\v/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\vｊ",
	}, { // 4478
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\rｊ",
		out:  ".\r/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\rｊ",
	}, { // 4479
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\rｊ",
		out:  "．\r/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\rｊ",
	}, { // 4480
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "R\t/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\t.",
		out:  "R\t/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\t．",
	}, { // 4481
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "R\t/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\t．",
		out:  "R\t/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\t‛．",
	}, { // 4482
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "R\n/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\n.",
		out:  "R\n/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\n．",
	}, { // 4483
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "R\n/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\n．",
		out:  "R\n/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\n‛．",
	}, { // 4484
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "R\v/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\v.",
		out:  "R\v/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\v．",
	}, { // 4485
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "R\v/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\v．",
		out:  "R\v/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\v‛．",
	}, { // 4486
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "R\r/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\r.",
		out:  "R\r/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\r．",
	}, { // 4487
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "R\r/␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\r．",
		out:  "R\r/‛␀／φHωκ＞␇␏/\x03\x04φ(AＤ＂φ）\b\x19f＃τ\f\r‛．",
	}, { // 4488
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\tＵ",
		out:  ".\tμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\tＵ",
	}, { // 4489
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\tＵ",
		out:  "．\tμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\tＵ",
	}, { // 4490
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\nＵ",
		out:  ".\nμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\nＵ",
	}, { // 4491
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\nＵ",
		out:  "．\nμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\nＵ",
	}, { // 4492
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\vＵ",
		out:  ".\vμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\vＵ",
	}, { // 4493
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\vＵ",
		out:  "．\vμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\vＵ",
	}, { // 4494
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\rＵ",
		out:  ".\rμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\rＵ",
	}, { // 4495
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\rＵ",
		out:  "．\rμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\rＵ",
	}, { // 4496
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ｅ\tμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\t.",
		out:  "ｅ\tμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\t．",
	}, { // 4497
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ｅ\tμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\t．",
		out:  "ｅ\tμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\t‛．",
	}, { // 4498
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ｅ\nμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\n.",
		out:  "ｅ\nμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\n．",
	}, { // 4499
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ｅ\nμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\n．",
		out:  "ｅ\nμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\n‛．",
	}, { // 4500
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ｅ\vμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\v.",
		out:  "ｅ\vμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\v．",
	}, { // 4501
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ｅ\vμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\v．",
		out:  "ｅ\vμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\v‛．",
	}, { // 4502
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ｅ\rμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\r.",
		out:  "ｅ\rμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\r．",
	}, { // 4503
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ｅ\rμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\r．",
		out:  "ｅ\rμ}α\x12\x18M␉ε］Fｂ\rhO;κ␋\x1e－ｐζ␊\t\x16４␓\r‛．",
	}, { // 4504
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\tz",
		out:  ".\t＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\tz",
	}, { // 4505
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\tz",
		out:  "．\t＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\tz",
	}, { // 4506
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\nz",
		out:  ".\n＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\nz",
	}, { // 4507
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\nz",
		out:  "．\n＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\nz",
	}, { // 4508
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\vz",
		out:  ".\v＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\vz",
	}, { // 4509
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\vz",
		out:  "．\v＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\vz",
	}, { // 4510
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\rz",
		out:  ".\r＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\rz",
	}, { // 4511
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\rz",
		out:  "．\r＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\rz",
	}, { // 4512
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\t＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\t.",
		out:  "␅\t＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\t．",
	}, { // 4513
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\t＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\t．",
		out:  "␅\t＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\t‛．",
	}, { // 4514
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\n＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\n.",
		out:  "␅\n＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\n．",
	}, { // 4515
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\n＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\n．",
		out:  "␅\n＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\n‛．",
	}, { // 4516
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\v＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\v.",
		out:  "␅\v＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\v．",
	}, { // 4517
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\v＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\v．",
		out:  "␅\v＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\v‛．",
	}, { // 4518
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\r＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\r.",
		out:  "␅\r＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\r．",
	}, { // 4519
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\r＄σ．␂\n:]\x00＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\r．",
		out:  "␅\r＄σ．␂\n:]␀＜ζ}N（σｃＦ␏Bδl\x1a＿ι\bｘρ\r‛．",
	}, { // 4520
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\tθ",
		out:  ".\tC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\tθ",
	}, { // 4521
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\tθ",
		out:  "．\tC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\tθ",
	}, { // 4522
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\nθ",
		out:  ".\nC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\nθ",
	}, { // 4523
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\nθ",
		out:  "．\nC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\nθ",
	}, { // 4524
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\vθ",
		out:  ".\vC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\vθ",
	}, { // 4525
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\vθ",
		out:  "．\vC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\vθ",
	}, { // 4526
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\rθ",
		out:  ".\rC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\rθ",
	}, { // 4527
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\rθ",
		out:  "．\rC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\rθ",
	}, { // 4528
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｂ\tC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\t.",
		out:  "Ｂ\tC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\t．",
	}, { // 4529
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｂ\tC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\t．",
		out:  "Ｂ\tC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\t‛．",
	}, { // 4530
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｂ\nC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\n.",
		out:  "Ｂ\nC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\n．",
	}, { // 4531
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｂ\nC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\n．",
		out:  "Ｂ\nC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\n‛．",
	}, { // 4532
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｂ\vC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\v.",
		out:  "Ｂ\vC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\v．",
	}, { // 4533
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｂ\vC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\v．",
		out:  "Ｂ\vC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\v‛．",
	}, { // 4534
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｂ\rC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\r.",
		out:  "Ｂ\rC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\r．",
	}, { // 4535
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｂ\rC\x16λｔ；σ\f)\tＧ!\x1bV＄␀d`␂！；｜τχαｎＱ\r．",
		out:  "Ｂ\rC\x16λｔ；σ\f)\tＧ!\x1bV＄‛␀d｀␂！；｜τχαｎＱ\r‛．",
	}, { // 4536
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\t\b",
		out:  ".\tVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\t\b",
	}, { // 4537
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\t\b",
		out:  "．\tVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\t\b",
	}, { // 4538
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\n\b",
		out:  ".\nVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\n\b",
	}, { // 4539
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\n\b",
		out:  "．\nVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\n\b",
	}, { // 4540
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\v\b",
		out:  ".\vVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\v\b",
	}, { // 4541
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\v\b",
		out:  "．\vVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\v\b",
	}, { // 4542
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\r\b",
		out:  ".\rVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\r\b",
	}, { // 4543
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\r\b",
		out:  "．\rVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\r\b",
	}, { // 4544
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\tVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\t.",
		out:  "＼\tVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\t．",
	}, { // 4545
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\tVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\t．",
		out:  "＼\tVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\t‛．",
	}, { // 4546
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\nVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\n.",
		out:  "＼\nVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\n．",
	}, { // 4547
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\nVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\n．",
		out:  "＼\nVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\n‛．",
	}, { // 4548
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\vVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\v.",
		out:  "＼\vVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\v．",
	}, { // 4549
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\vVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\v．",
		out:  "＼\vVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\v‛．",
	}, { // 4550
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\rVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\r.",
		out:  "＼\rVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\r．",
	}, { // 4551
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\rVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\r．",
		out:  "＼\rVβC|φｐ␙ο＇－␏\x06ως\b:ｋ␚␒h␎%ν＋\r_\r‛．",
	}, { // 4552
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\tV",
		out:  ".\t０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\tV",
	}, { // 4553
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\tV",
		out:  "．\t０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\tV",
	}, { // 4554
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\nV",
		out:  ".\n０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\nV",
	}, { // 4555
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\nV",
		out:  "．\n０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\nV",
	}, { // 4556
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\vV",
		out:  ".\v０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\vV",
	}, { // 4557
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\vV",
		out:  "．\v０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\vV",
	}, { // 4558
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\rV",
		out:  ".\r０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\rV",
	}, { // 4559
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\rV",
		out:  "．\r０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\rV",
	}, { // 4560
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x1d\t０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\t.",
		out:  "\x1d\t０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\t．",
	}, { // 4561
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x1d\t０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\t．",
		out:  "\x1d\t０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\t‛．",
	}, { // 4562
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x1d\n０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\n.",
		out:  "\x1d\n０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\n．",
	}, { // 4563
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x1d\n０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\n．",
		out:  "\x1d\n０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\n‛．",
	}, { // 4564
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x1d\v０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\v.",
		out:  "\x1d\v０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\v．",
	}, { // 4565
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x1d\v０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\v．",
		out:  "\x1d\v０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\v‛．",
	}, { // 4566
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x1d\r０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\r.",
		out:  "\x1d\r０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\r．",
	}, { // 4567
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x1d\r０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\r．",
		out:  "\x1d\r０!␋ｗ␙～ψ{υ$\x0f＿α:?\nι,？δ␗>␎δ＝｀\r‛．",
	}, { // 4568
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\t\x13",
		out:  ".\tｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\t\x13",
	}, { // 4569
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\t\x13",
		out:  "．\tｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\t\x13",
	}, { // 4570
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\n\x13",
		out:  ".\nｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\n\x13",
	}, { // 4571
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\n\x13",
		out:  "．\nｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\n\x13",
	}, { // 4572
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\v\x13",
		out:  ".\vｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\v\x13",
	}, { // 4573
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\v\x13",
		out:  "．\vｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\v\x13",
	}, { // 4574
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\r\x13",
		out:  ".\rｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\r\x13",
	}, { // 4575
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\r\x13",
		out:  "．\rｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\r\x13",
	}, { // 4576
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␉\tｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\t.",
		out:  "‛␉\tｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\t．",
	}, { // 4577
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␉\tｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\t．",
		out:  "‛␉\tｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\t‛．",
	}, { // 4578
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␉\nｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\n.",
		out:  "‛␉\nｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\n．",
	}, { // 4579
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␉\nｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\n．",
		out:  "‛␉\nｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\n‛．",
	}, { // 4580
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␉\vｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\v.",
		out:  "‛␉\vｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\v．",
	}, { // 4581
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␉\vｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\v．",
		out:  "‛␉\vｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\v‛．",
	}, { // 4582
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␉\rｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\r.",
		out:  "‛␉\rｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\r．",
	}, { // 4583
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␉\rｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\r．",
		out:  "‛␉\rｍ\x16ζｖ～λ＼\x1bSε␍␈␆ＶQοE␄>+＇\x1e\x12９ψλ\r‛．",
	}, { // 4584
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\t;",
		out:  ".\t␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\t;",
	}, { // 4585
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\t;",
		out:  "．\t␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\t;",
	}, { // 4586
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\n;",
		out:  ".\n␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\n;",
	}, { // 4587
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\n;",
		out:  "．\n␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\n;",
	}, { // 4588
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\v;",
		out:  ".\v␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\v;",
	}, { // 4589
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\v;",
		out:  "．\v␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\v;",
	}, { // 4590
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\r;",
		out:  ".\r␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\r;",
	}, { // 4591
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\r;",
		out:  "．\r␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\r;",
	}, { // 4592
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "μ\t␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\t.",
		out:  "μ\t␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\t．",
	}, { // 4593
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "μ\t␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\t．",
		out:  "μ\t␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\t‛．",
	}, { // 4594
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "μ\n␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\n.",
		out:  "μ\n␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\n．",
	}, { // 4595
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "μ\n␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\n．",
		out:  "μ\n␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\n‛．",
	}, { // 4596
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "μ\v␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\v.",
		out:  "μ\v␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\v．",
	}, { // 4597
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "μ\v␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\v．",
		out:  "μ\v␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\v‛．",
	}, { // 4598
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "μ\r␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\r.",
		out:  "μ\r␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\r．",
	}, { // 4599
		mask: EncodeExclamation | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "μ\r␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\r．",
		out:  "μ\r␃／4\x13：␁␇#τＤ$８κz\"ｋ>ψο^F？|\x15＜π\r‛．",
	}, { // 4600
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\t\x16",
		out:  ".\t\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\t\x16",
	}, { // 4601
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\t\x16",
		out:  "．\t\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\t\x16",
	}, { // 4602
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\n\x16",
		out:  ".\n\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\n\x16",
	}, { // 4603
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\n\x16",
		out:  "．\n\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\n\x16",
	}, { // 4604
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\v\x16",
		out:  ".\v\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\v\x16",
	}, { // 4605
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\v\x16",
		out:  "．\v\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\v\x16",
	}, { // 4606
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\r\x16",
		out:  ".\r\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\r\x16",
	}, { // 4607
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\r\x16",
		out:  "．\r\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\r\x16",
	}, { // 4608
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "！\t\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\t.",
		out:  "！\t\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\t．",
	}, { // 4609
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "！\t\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\t．",
		out:  "！\t\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\t‛．",
	}, { // 4610
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "！\n\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\n.",
		out:  "！\n\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\n．",
	}, { // 4611
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "！\n\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\n．",
		out:  "！\n\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\n‛．",
	}, { // 4612
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "！\v\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\v.",
		out:  "！\v\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\v．",
	}, { // 4613
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "！\v\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\v．",
		out:  "！\v\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\v‛．",
	}, { // 4614
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "！\r\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\r.",
		out:  "！\r\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\r．",
	}, { // 4615
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "！\r\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\r．",
		out:  "！\r\x11Ｌρ＜ｂ\x0f^ζｘξ␐\v4＞Z␊Ｈ,\x1b>［δ／8ωμ\r‛．",
	}, { // 4616
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\tγ",
		out:  ".\t*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\tγ",
	}, { // 4617
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\tγ",
		out:  "．\t*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\tγ",
	}, { // 4618
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\nγ",
		out:  ".\n*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\nγ",
	}, { // 4619
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\nγ",
		out:  "．\n*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\nγ",
	}, { // 4620
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\vγ",
		out:  ".\v*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\vγ",
	}, { // 4621
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\vγ",
		out:  "．\v*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\vγ",
	}, { // 4622
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\rγ",
		out:  ".\r*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\rγ",
	}, { // 4623
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\rγ",
		out:  "．\r*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\rγ",
	}, { // 4624
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x16\t*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\t.",
		out:  "\x16\t*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\t．",
	}, { // 4625
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x16\t*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\t．",
		out:  "\x16\t*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\t‛．",
	}, { // 4626
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x16\n*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\n.",
		out:  "\x16\n*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\n．",
	}, { // 4627
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x16\n*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\n．",
		out:  "\x16\n*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\n‛．",
	}, { // 4628
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x16\v*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\v.",
		out:  "\x16\v*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\v．",
	}, { // 4629
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x16\v*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\v．",
		out:  "\x16\v*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\v‛．",
	}, { // 4630
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x16\r*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\r.",
		out:  "\x16\r*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\r．",
	}, { // 4631
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\x16\r*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\r．",
		out:  "\x16\r*r␗&$␃␚ａ．␐␒γχdα\x1dＵα4Ｆ8\x1d\rｙλ␚\r‛．",
	}, { // 4632
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\t!",
		out:  ".\tχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\t!",
	}, { // 4633
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\t!",
		out:  "．\tχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\t!",
	}, { // 4634
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\n!",
		out:  ".\nχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\n!",
	}, { // 4635
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\n!",
		out:  "．\nχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\n!",
	}, { // 4636
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\v!",
		out:  ".\vχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\v!",
	}, { // 4637
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\v!",
		out:  "．\vχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\v!",
	}, { // 4638
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\r!",
		out:  ".\rχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\r!",
	}, { // 4639
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\r!",
		out:  "．\rχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\r!",
	}, { // 4640
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\tχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\t.",
		out:  "＼\tχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\t．",
	}, { // 4641
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\tχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\t．",
		out:  "＼\tχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\t‛．",
	}, { // 4642
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\nχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\n.",
		out:  "＼\nχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\n．",
	}, { // 4643
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\nχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\n．",
		out:  "＼\nχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\n‛．",
	}, { // 4644
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\vχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\v.",
		out:  "＼\vχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\v．",
	}, { // 4645
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\vχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\v．",
		out:  "＼\vχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\v‛．",
	}, { // 4646
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\rχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\r.",
		out:  "＼\rχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\r．",
	}, { // 4647
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＼\rχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋␀\r\x19\r．",
		out:  "＼\rχ{［ι；ＩξJ？β>O^ＣｖＪπλ\x03␔|␃＋‛␀\r\x19\r‛．",
	}, { // 4648
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\t＼",
		out:  ".\t␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\t＼",
	}, { // 4649
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\t＼",
		out:  "．\t␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\t＼",
	}, { // 4650
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\n＼",
		out:  ".\n␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\n＼",
	}, { // 4651
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\n＼",
		out:  "．\n␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\n＼",
	}, { // 4652
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\v＼",
		out:  ".\v␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\v＼",
	}, { // 4653
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\v＼",
		out:  "．\v␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\v＼",
	}, { // 4654
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\r＼",
		out:  ".\r␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\r＼",
	}, { // 4655
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\r＼",
		out:  "．\r␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\r＼",
	}, { // 4656
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Y\t␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\t.",
		out:  "Y\t␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\t．",
	}, { // 4657
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Y\t␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\t．",
		out:  "Y\t␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\t‛．",
	}, { // 4658
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Y\n␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\n.",
		out:  "Y\n␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\n．",
	}, { // 4659
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Y\n␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\n．",
		out:  "Y\n␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\n‛．",
	}, { // 4660
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Y\v␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\v.",
		out:  "Y\v␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\v．",
	}, { // 4661
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Y\v␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\v．",
		out:  "Y\v␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\v‛．",
	}, { // 4662
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Y\r␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\r.",
		out:  "Y\r␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\r．",
	}, { // 4663
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Y\r␅ι␉γ＾=＞&ｖχ９η\x1a?mαＰｅ]＆\"\x1al[；φ\r．",
		out:  "Y\r␅ι␉γ＾=＞&ｖχ９η\x1a？mαＰｅ]＆\"\x1al[；φ\r‛．",
	}, { // 4664
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\t＜",
		out:  ".\tR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\t＜",
	}, { // 4665
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\t＜",
		out:  "．\tR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\t＜",
	}, { // 4666
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\n＜",
		out:  ".\nR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\n＜",
	}, { // 4667
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\n＜",
		out:  "．\nR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\n＜",
	}, { // 4668
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\v＜",
		out:  ".\vR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\v＜",
	}, { // 4669
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\v＜",
		out:  "．\vR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\v＜",
	}, { // 4670
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\r＜",
		out:  ".\rR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\r＜",
	}, { // 4671
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\r＜",
		out:  "．\rR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\r＜",
	}, { // 4672
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "π\tR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\t.",
		out:  "π\tR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\t．",
	}, { // 4673
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "π\tR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\t．",
		out:  "π\tR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\t‛．",
	}, { // 4674
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "π\nR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\n.",
		out:  "π\nR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\n．",
	}, { // 4675
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "π\nR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\n．",
		out:  "π\nR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\n‛．",
	}, { // 4676
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "π\vR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\v.",
		out:  "π\vR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\v．",
	}, { // 4677
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "π\vR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\v．",
		out:  "π\vR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\v‛．",
	}, { // 4678
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "π\rR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\r.",
		out:  "π\rR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\r．",
	}, { // 4679
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "π\rR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;␀７σzυ\r．",
		out:  "π\rR␙\x1dy=␌ｓπ\n`;＄␔Ｊ|\x1b＝φw＂;‛␀７σzυ\r‛．",
	}, { // 4680
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\t ",
		out:  ".\tνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\t ",
	}, { // 4681
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\t ",
		out:  "．\tνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\t ",
	}, { // 4682
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\n ",
		out:  ".\nνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\n ",
	}, { // 4683
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\n ",
		out:  "．\nνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\n ",
	}, { // 4684
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\v ",
		out:  ".\vνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\v ",
	}, { // 4685
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\v ",
		out:  "．\vνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\v ",
	}, { // 4686
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\r ",
		out:  ".\rνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\r ",
	}, { // 4687
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\r ",
		out:  "．\rνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\r ",
	}, { // 4688
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "９\tνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\t.",
		out:  "９\tνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\t．",
	}, { // 4689
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "９\tνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\t．",
		out:  "９\tνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\t‛．",
	}, { // 4690
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "９\nνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\n.",
		out:  "９\nνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\n．",
	}, { // 4691
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "９\nνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\n．",
		out:  "９\nνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\n‛．",
	}, { // 4692
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "９\vνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\v.",
		out:  "９\vνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\v．",
	}, { // 4693
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "９\vνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\v．",
		out:  "９\vνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\v‛．",
	}, { // 4694
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "９\rνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\r.",
		out:  "９\rνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\r．",
	}, { // 4695
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "９\rνμψ\x1e｀␊\x157␛d＼αT`z>␙π>｜\x1c<＂：υＸ\r．",
		out:  "９\rνμψ\x1e｀␊\x157␛d＼αT`z>␙π>‛｜\x1c<＂：υＸ\r‛．",
	}, { // 4696
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\tυ",
		out:  ".\t%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\tυ",
	}, { // 4697
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\tυ",
		out:  "．\t%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\tυ",
	}, { // 4698
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\nυ",
		out:  ".\n%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\nυ",
	}, { // 4699
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\nυ",
		out:  "．\n%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\nυ",
	}, { // 4700
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\vυ",
		out:  ".\v%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\vυ",
	}, { // 4701
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\vυ",
		out:  "．\v%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\vυ",
	}, { // 4702
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\rυ",
		out:  ".\r%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\rυ",
	}, { // 4703
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\rυ",
		out:  "．\r%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\rυ",
	}, { // 4704
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␘\t%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\t.",
		out:  "␘\t%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\t．",
	}, { // 4705
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␘\t%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\t．",
		out:  "␘\t%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\t‛．",
	}, { // 4706
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␘\n%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\n.",
		out:  "␘\n%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\n．",
	}, { // 4707
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␘\n%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\n．",
		out:  "␘\n%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\n‛．",
	}, { // 4708
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␘\v%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\v.",
		out:  "␘\v%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\v．",
	}, { // 4709
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␘\v%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\v．",
		out:  "␘\v%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\v‛．",
	}, { // 4710
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␘\r%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\r.",
		out:  "␘\r%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\r．",
	}, { // 4711
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␘\r%\x10␔␍\x00Ｖ＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\r．",
		out:  "␘\r%\x10␔␍␀Ｖ‛＃μ'β４2␔μγ／？q\a_＞（Ｉ\"tS\r‛．",
	}, { // 4712
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\t␊",
		out:  ".\t\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\t␊",
	}, { // 4713
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\t␊",
		out:  "．\t\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\t␊",
	}, { // 4714
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\n␊",
		out:  ".\n\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\n␊",
	}, { // 4715
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\n␊",
		out:  "．\n\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\n␊",
	}, { // 4716
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\v␊",
		out:  ".\v\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\v␊",
	}, { // 4717
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\v␊",
		out:  "．\v\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\v␊",
	}, { // 4718
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\r␊",
		out:  ".\r\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\r␊",
	}, { // 4719
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\r␊",
		out:  "．\r\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\r␊",
	}, { // 4720
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\t\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\t.",
		out:  "/\t\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\t．",
	}, { // 4721
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\t\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\t．",
		out:  "/\t\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\t‛．",
	}, { // 4722
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\n\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\n.",
		out:  "/\n\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\n．",
	}, { // 4723
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\n\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\n．",
		out:  "/\n\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\n‛．",
	}, { // 4724
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\v\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\v.",
		out:  "/\v\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\v．",
	}, { // 4725
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\v\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\v．",
		out:  "/\v\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\v‛．",
	}, { // 4726
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\r\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\r.",
		out:  "/\r\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\r．",
	}, { // 4727
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\r\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\r．",
		out:  "/\r\\L\x12φ^５λ\x1e~␗]＜␡ωhＷ␓r\bοＹＵ：␂*τ\r‛．",
	}, { // 4728
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\t␋",
		out:  ".\t\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\t␋",
	}, { // 4729
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\t␋",
		out:  "．\t\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\t␋",
	}, { // 4730
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\n␋",
		out:  ".\n\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\n␋",
	}, { // 4731
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\n␋",
		out:  "．\n\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\n␋",
	}, { // 4732
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\v␋",
		out:  ".\v\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\v␋",
	}, { // 4733
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\v␋",
		out:  "．\v\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\v␋",
	}, { // 4734
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\r␋",
		out:  ".\r\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\r␋",
	}, { // 4735
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\r␋",
		out:  "．\r\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\r␋",
	}, { // 4736
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＜\t\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\t.",
		out:  "＜\t\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\t．",
	}, { // 4737
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＜\t\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\t．",
		out:  "＜\t\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\t‛．",
	}, { // 4738
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＜\n\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\n.",
		out:  "＜\n\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\n．",
	}, { // 4739
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＜\n\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\n．",
		out:  "＜\n\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\n‛．",
	}, { // 4740
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＜\v\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\v.",
		out:  "＜\v\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\v．",
	}, { // 4741
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＜\v\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\v．",
		out:  "＜\v\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\v‛．",
	}, { // 4742
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＜\r\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\r.",
		out:  "＜\r\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\r．",
	}, { // 4743
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＜\r\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\r．",
		out:  "＜\r\r＊␞s，␞\x0e2ψρ＊␏fσＱυＬ>]σ9\x176Ａ␕!\r‛．",
	}, { // 4744
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\t␊",
		out:  ".\t\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\t␊",
	}, { // 4745
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\t␊",
		out:  "．\t\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\t␊",
	}, { // 4746
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\n␊",
		out:  ".\n\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\n␊",
	}, { // 4747
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\n␊",
		out:  "．\n\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\n␊",
	}, { // 4748
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\v␊",
		out:  ".\v\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\v␊",
	}, { // 4749
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\v␊",
		out:  "．\v\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\v␊",
	}, { // 4750
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\r␊",
		out:  ".\r\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\r␊",
	}, { // 4751
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\r␊",
		out:  "．\r\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\r␊",
	}, { // 4752
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｑ\t\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\t.",
		out:  "Ｑ\t\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\t．",
	}, { // 4753
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｑ\t\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\t．",
		out:  "Ｑ\t\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\t‛．",
	}, { // 4754
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｑ\n\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\n.",
		out:  "Ｑ\n\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\n．",
	}, { // 4755
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｑ\n\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\n．",
		out:  "Ｑ\n\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\n‛．",
	}, { // 4756
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｑ\v\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\v.",
		out:  "Ｑ\v\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\v．",
	}, { // 4757
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｑ\v\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\v．",
		out:  "Ｑ\v\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\v‛．",
	}, { // 4758
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｑ\r\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\r.",
		out:  "Ｑ\r\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\r．",
	}, { // 4759
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｑ\r\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\r．",
		out:  "Ｑ\r\r:a4␒τ\v６ｐ#\x12\x1fπυ␐␏Ｂv␗ψ␊η*\x17:λ\r‛．",
	}, { // 4760
		mask: EncodeZero | EncodeRightPeriod | EncodeRightSpace,
		in:   ". \bσ\v\x19]UＢμο␕：！εo？ι；Ｈb*＜／／Ｍ\x16Ｍ \x04",
		out:  ". \bσ\v\x19]UＢμο␕：！εo？ι；Ｈb*＜／／Ｍ\x16Ｍ \x04",
	}, { // 4761
		mask: EncodeZero | EncodeRightPeriod | EncodeRightSpace,
		in:   "． \bσ\v\x19]UＢμο␕：！εo？ι；Ｈb*＜／／Ｍ\x16Ｍ \x04",
		out:  "． \bσ\v\x19]UＢμο␕：！εo？ι；Ｈb*＜／／Ｍ\x16Ｍ \x04",
	}, { // 4762
		mask: EncodeZero | EncodeRightPeriod | EncodeRightSpace,
		in:   "\x0e \bσ\v\x19]UＢμο␕：！εo？ι；Ｈb*＜／／Ｍ\x16Ｍ .",
		out:  "\x0e \bσ\v\x19]UＢμο␕：！εo？ι；Ｈb*＜／／Ｍ\x16Ｍ ．",
	}, { // 4763
		mask: EncodeZero | EncodeRightPeriod | EncodeRightSpace,
		in:   "\x0e \bσ\v\x19]UＢμο␕：！εo？ι；Ｈb*＜／／Ｍ\x16Ｍ ．",
		out:  "\x0e \bσ\v\x19]UＢμο␕：！εo？ι；Ｈb*＜／／Ｍ\x16Ｍ ‛．",
	}, { // 4764
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ／φ@=␊θ\x02<\x11／τ；M?4 Ｒｎ．\\[１δｂ＾χ \x18",
		out:  ". ‛／φ@=␊θ\x02<\x11‛／τ；M?4 Ｒｎ．\\[１δｂ＾χ \x18",
	}, { // 4765
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ／φ@=␊θ\x02<\x11／τ；M?4 Ｒｎ．\\[１δｂ＾χ \x18",
		out:  "． ‛／φ@=␊θ\x02<\x11‛／τ；M?4 Ｒｎ．\\[１δｂ＾χ \x18",
	}, { // 4766
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   "λ ／φ@=␊θ\x02<\x11／τ；M?4 Ｒｎ．\\[１δｂ＾χ .",
		out:  "λ ‛／φ@=␊θ\x02<\x11‛／τ；M?4 Ｒｎ．\\[１δｂ＾χ ．",
	}, { // 4767
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   "λ ／φ@=␊θ\x02<\x11／τ；M?4 Ｒｎ．\\[１δｂ＾χ ．",
		out:  "λ ‛／φ@=␊θ\x02<\x11‛／τ；M?4 Ｒｎ．\\[１δｂ＾χ ‛．",
	}, { // 4768
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ␡νJV␍＃θ＆６\x16_ε]\x06␅ο＄３\x14␕|ςφByU ＊",
		out:  ". ␡νJV␍＃θ＆６\x16_ε]\x06␅ο＄３\x14␕|ςφByU ＊",
	}, { // 4769
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ␡νJV␍＃θ＆６\x16_ε]\x06␅ο＄３\x14␕|ςφByU ＊",
		out:  "． ␡νJV␍＃θ＆６\x16_ε]\x06␅ο＄３\x14␕|ςφByU ＊",
	}, { // 4770
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ␡νJV␍＃θ＆６\x16_ε]\x06␅ο＄３\x14␕|ςφByU .",
		out:  "． ␡νJV␍＃θ＆６\x16_ε]\x06␅ο＄３\x14␕|ςφByU ．",
	}, { // 4771
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ␡νJV␍＃θ＆６\x16_ε]\x06␅ο＄３\x14␕|ςφByU ．",
		out:  "． ␡νJV␍＃θ＆６\x16_ε]\x06␅ο＄３\x14␕|ςφByU ‛．",
	}, { // 4772
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   ". \x02\x1dςκ␘:␁ξ␗ζ\"ｚ＞δ\x03~\x1f４Ｌ９␏x**＄λ ,",
		out:  ". \x02\x1dςκ␘:␁ξ␗ζ\"ｚ＞δ\x03~\x1f４Ｌ９␏x**＄λ ,",
	}, { // 4773
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "． \x02\x1dςκ␘:␁ξ␗ζ\"ｚ＞δ\x03~\x1f４Ｌ９␏x**＄λ ,",
		out:  "． \x02\x1dςκ␘:␁ξ␗ζ\"ｚ＞δ\x03~\x1f４Ｌ９␏x**＄λ ,",
	}, { // 4774
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "␜ \x02\x1dςκ␘:␁ξ␗ζ\"ｚ＞δ\x03~\x1f４Ｌ９␏x**＄λ .",
		out:  "␜ \x02\x1dςκ␘:␁ξ␗ζ\"ｚ＞δ\x03~\x1f４Ｌ９␏x**＄λ ．",
	}, { // 4775
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "␜ \x02\x1dςκ␘:␁ξ␗ζ\"ｚ＞δ\x03~\x1f４Ｌ９␏x**＄λ ．",
		out:  "␜ \x02\x1dςκ␘:␁ξ␗ζ\"ｚ＞δ\x03~\x1f４Ｌ９␏x**＄λ ‛．",
	}, { // 4776
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ␍１`\x1e␋*ςχγｓ＂\f[ｔχρK\n#(：λｕ'IＵ ␆",
		out:  ". ␍１`\x1e␋*ςχγｓ＂\f[ｔχρK\n#(：λｕ'IＵ ␆",
	}, { // 4777
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ␍１`\x1e␋*ςχγｓ＂\f[ｔχρK\n#(：λｕ'IＵ ␆",
		out:  "． ␍１`\x1e␋*ςχγｓ＂\f[ｔχρK\n#(：λｕ'IＵ ␆",
	}, { // 4778
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightSpace,
		in:   "␓ ␍１`\x1e␋*ςχγｓ＂\f[ｔχρK\n#(：λｕ'IＵ .",
		out:  "␓ ␍１`\x1e␋*ςχγｓ＂\f[ｔχρK\n#(：λｕ'IＵ ．",
	}, { // 4779
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightSpace,
		in:   "␓ ␍１`\x1e␋*ςχγｓ＂\f[ｔχρK\n#(：λｕ'IＵ ．",
		out:  "␓ ␍１`\x1e␋*ςχγｓ＂\f[ｔχρK\n#(：λｕ'IＵ ‛．",
	}, { // 4780
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ␈7\f␊／-\x1fυ]（\"ρBς␆？C｝－[ＪοαK\b［ $",
		out:  ". ␈7\f␊／-\x1fυ］（\"ρBς␆？C｝－［ＪοαK\b‛［ $",
	}, { // 4781
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ␈7\f␊／-\x1fυ]（\"ρBς␆？C｝－[ＪοαK\b［ $",
		out:  "． ␈7\f␊／-\x1fυ］（\"ρBς␆？C｝－［ＪοαK\b‛［ $",
	}, { // 4782
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightSpace,
		in:   "π ␈7\f␊／-\x1fυ]（\"ρBς␆？C｝－[ＪοαK\b［ .",
		out:  "π ␈7\f␊／-\x1fυ］（\"ρBς␆？C｝－［ＪοαK\b‛［ ．",
	}, { // 4783
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightSpace,
		in:   "π ␈7\f␊／-\x1fυ]（\"ρBς␆？C｝－[ＪοαK\b［ ．",
		out:  "π ␈7\f␊／-\x1fυ］（\"ρBς␆？C｝－［ＪοαK\b‛［ ‛．",
	}, { // 4784
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ␙\rＭ６ρρ]␞ξ␌␅<(␍=\nμβh:ω＃\x1d［Ｆ\t ／",
		out:  ". ␙\rＭ６ρρ]␞ξ␌␅<(␍=\nμβh:ω＃\x1d［Ｆ\t ／",
	}, { // 4785
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ␙\rＭ６ρρ]␞ξ␌␅<(␍=\nμβh:ω＃\x1d［Ｆ\t ／",
		out:  "． ␙\rＭ６ρρ]␞ξ␌␅<(␍=\nμβh:ω＃\x1d［Ｆ\t ／",
	}, { // 4786
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightSpace,
		in:   "\x03 ␙\rＭ６ρρ]␞ξ␌␅<(␍=\nμβh:ω＃\x1d［Ｆ\t .",
		out:  "\x03 ␙\rＭ６ρρ]␞ξ␌␅<(␍=\nμβh:ω＃\x1d［Ｆ\t ．",
	}, { // 4787
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightSpace,
		in:   "\x03 ␙\rＭ６ρρ]␞ξ␌␅<(␍=\nμβh:ω＃\x1d［Ｆ\t ．",
		out:  "\x03 ␙\rＭ６ρρ]␞ξ␌␅<(␍=\nμβh:ω＃\x1d［Ｆ\t ‛．",
	}, { // 4788
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightSpace,
		in:   ". N（／ξξ␂～／＊９υO）］␏*iHχ␆κ?β\x1c/ｕ \x1d",
		out:  ". N（／ξξ␂～／＊９υO）］␏*iHχ␆κ?β\x1c/ｕ \x1d",
	}, { // 4789
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightSpace,
		in:   "． N（／ξξ␂～／＊９υO）］␏*iHχ␆κ?β\x1c/ｕ \x1d",
		out:  "． N（／ξξ␂～／＊９υO）］␏*iHχ␆κ?β\x1c/ｕ \x1d",
	}, { // 4790
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightSpace,
		in:   "\x04 N（／ξξ␂～／＊９υO）］␏*iHχ␆κ?β\x1c/ｕ .",
		out:  "\x04 N（／ξξ␂～／＊９υO）］␏*iHχ␆κ?β\x1c/ｕ ．",
	}, { // 4791
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightSpace,
		in:   "\x04 N（／ξξ␂～／＊９υO）］␏*iHχ␆κ?β\x1c/ｕ ．",
		out:  "\x04 N（／ξξ␂～／＊９υO）］␏*iHχ␆κ?β\x1c/ｕ ‛．",
	}, { // 4792
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ␍η%＜$Ｌ␂\x18ｉE`␘yＲ\n8ｍφ８V，ν␄uLτ ：",
		out:  ". ␍η%＜＄Ｌ␂\x18ｉE`␘yＲ\n8ｍφ８V，ν␄uLτ ：",
	}, { // 4793
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ␍η%＜$Ｌ␂\x18ｉE`␘yＲ\n8ｍφ８V，ν␄uLτ ：",
		out:  "． ␍η%＜＄Ｌ␂\x18ｉE`␘yＲ\n8ｍφ８V，ν␄uLτ ：",
	}, { // 4794
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightSpace,
		in:   "γ ␍η%＜$Ｌ␂\x18ｉE`␘yＲ\n8ｍφ８V，ν␄uLτ .",
		out:  "γ ␍η%＜＄Ｌ␂\x18ｉE`␘yＲ\n8ｍφ８V，ν␄uLτ ．",
	}, { // 4795
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightSpace,
		in:   "γ ␍η%＜$Ｌ␂\x18ｉE`␘yＲ\n8ｍφ８V，ν␄uLτ ．",
		out:  "γ ␍η%＜＄Ｌ␂\x18ｉE`␘yＲ\n8ｍφ８V，ν␄uLτ ‛．",
	}, { // 4796
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   ". :\"～＞\x19␝＞/［dι␊２ａ|κ\x0f␊3θω\x11\x10ε＄Ｃ P",
		out:  ". :＂～＞\x19␝＞/［dι␊２ａ|κ\x0f␊3θω\x11\x10ε＄Ｃ P",
	}, { // 4797
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "． :\"～＞\x19␝＞/［dι␊２ａ|κ\x0f␊3θω\x11\x10ε＄Ｃ P",
		out:  "． :＂～＞\x19␝＞/［dι␊２ａ|κ\x0f␊3θω\x11\x10ε＄Ｃ P",
	}, { // 4798
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "ξ :\"～＞\x19␝＞/［dι␊２ａ|κ\x0f␊3θω\x11\x10ε＄Ｃ .",
		out:  "ξ :＂～＞\x19␝＞/［dι␊２ａ|κ\x0f␊3θω\x11\x10ε＄Ｃ ．",
	}, { // 4799
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "ξ :\"～＞\x19␝＞/［dι␊２ａ|κ\x0f␊3θω\x11\x10ε＄Ｃ ．",
		out:  "ξ :＂～＞\x19␝＞/［dι␊２ａ|κ\x0f␊3θω\x11\x10ε＄Ｃ ‛．",
	}, { // 4800
		mask: EncodeColon | EncodeRightPeriod | EncodeRightSpace,
		in:   ". \x16OςR␡r＄:␋η␜｜ξψ␐π\\\n\x1d\x12ρn␒␍＂］ I",
		out:  ". \x16OςR␡r＄：␋η␜｜ξψ␐π\\\n\x1d\x12ρn␒␍＂］ I",
	}, { // 4801
		mask: EncodeColon | EncodeRightPeriod | EncodeRightSpace,
		in:   "． \x16OςR␡r＄:␋η␜｜ξψ␐π\\\n\x1d\x12ρn␒␍＂］ I",
		out:  "． \x16OςR␡r＄：␋η␜｜ξψ␐π\\\n\x1d\x12ρn␒␍＂］ I",
	}, { // 4802
		mask: EncodeColon | EncodeRightPeriod | EncodeRightSpace,
		in:   "Ｏ \x16OςR␡r＄:␋η␜｜ξψ␐π\\\n\x1d\x12ρn␒␍＂］ .",
		out:  "Ｏ \x16OςR␡r＄：␋η␜｜ξψ␐π\\\n\x1d\x12ρn␒␍＂］ ．",
	}, { // 4803
		mask: EncodeColon | EncodeRightPeriod | EncodeRightSpace,
		in:   "Ｏ \x16OςR␡r＄:␋η␜｜ξψ␐π\\\n\x1d\x12ρn␒␍＂］ ．",
		out:  "Ｏ \x16OςR␡r＄：␋η␜｜ξψ␐π\\\n\x1d\x12ρn␒␍＂］ ‛．",
	}, { // 4804
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightSpace,
		in:   ". λｍ/T␞\x10-?W␍κ␈\\Ｚω＃＠\x14\x17：Ｂkψ[υ％ ο",
		out:  ". λｍ/T␞\x10-？W␍κ␈\\Ｚω＃＠\x14\x17：Ｂkψ[υ％ ο",
	}, { // 4805
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightSpace,
		in:   "． λｍ/T␞\x10-?W␍κ␈\\Ｚω＃＠\x14\x17：Ｂkψ[υ％ ο",
		out:  "． λｍ/T␞\x10-？W␍κ␈\\Ｚω＃＠\x14\x17：Ｂkψ[υ％ ο",
	}, { // 4806
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightSpace,
		in:   "\x03 λｍ/T␞\x10-?W␍κ␈\\Ｚω＃＠\x14\x17：Ｂkψ[υ％ .",
		out:  "\x03 λｍ/T␞\x10-？W␍κ␈\\Ｚω＃＠\x14\x17：Ｂkψ[υ％ ．",
	}, { // 4807
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightSpace,
		in:   "\x03 λｍ/T␞\x10-?W␍κ␈\\Ｚω＃＠\x14\x17：Ｂkψ[υ％ ．",
		out:  "\x03 λｍ/T␞\x10-？W␍κ␈\\Ｚω＃＠\x14\x17：Ｂkψ[υ％ ‛．",
	}, { // 4808
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ␟[␏１␛ｑμＤ\x18Ｎκｋτ\x03␑nν\x1d␚C>g\x0eI！τ [",
		out:  ". ␟[␏１␛ｑμＤ\x18Ｎκｋτ\x03␑nν\x1d␚C>g\x0eI！τ [",
	}, { // 4809
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ␟[␏１␛ｑμＤ\x18Ｎκｋτ\x03␑nν\x1d␚C>g\x0eI！τ [",
		out:  "． ␟[␏１␛ｑμＤ\x18Ｎκｋτ\x03␑nν\x1d␚C>g\x0eI！τ [",
	}, { // 4810
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightSpace,
		in:   "Ｄ ␟[␏１␛ｑμＤ\x18Ｎκｋτ\x03␑nν\x1d␚C>g\x0eI！τ .",
		out:  "Ｄ ␟[␏１␛ｑμＤ\x18Ｎκｋτ\x03␑nν\x1d␚C>g\x0eI！τ ．",
	}, { // 4811
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightSpace,
		in:   "Ｄ ␟[␏１␛ｑμＤ\x18Ｎκｋτ\x03␑nν\x1d␚C>g\x0eI！τ ．",
		out:  "Ｄ ␟[␏１␛ｑμＤ\x18Ｎκｋτ\x03␑nν\x1d␚C>g\x0eI！τ ‛．",
	}, { // 4812
		mask: EncodePipe | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ␔\t＃␊F1<\uff00\x7f␊'␌［\x15｀␑Tｐς]＜6poχ４ ε",
		out:  ". ␔\t＃␊F1<\uff00\x7f␊'␌［\x15｀␑Tｐς]＜6poχ４ ε",
	}, { // 4813
		mask: EncodePipe | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ␔\t＃␊F1<\uff00\x7f␊'␌［\x15｀␑Tｐς]＜6poχ４ ε",
		out:  "． ␔\t＃␊F1<\uff00\x7f␊'␌［\x15｀␑Tｐς]＜6poχ４ ε",
	}, { // 4814
		mask: EncodePipe | EncodeRightPeriod | EncodeRightSpace,
		in:   "ρ ␔\t＃␊F1<\uff00\x7f␊'␌［\x15｀␑Tｐς]＜6poχ４ .",
		out:  "ρ ␔\t＃␊F1<\uff00\x7f␊'␌［\x15｀␑Tｐς]＜6poχ４ ．",
	}, { // 4815
		mask: EncodePipe | EncodeRightPeriod | EncodeRightSpace,
		in:   "ρ ␔\t＃␊F1<\uff00\x7f␊'␌［\x15｀␑Tｐς]＜6poχ４ ．",
		out:  "ρ ␔\t＃␊F1<\uff00\x7f␊'␌［\x15｀␑Tｐς]＜6poχ４ ‛．",
	}, { // 4816
		mask: EncodeHash | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ρ；εφtE\x02）}０A\n\vｌ＞␕β␎λＪ\\μｉ>␆\x0f ＇",
		out:  ". ρ；εφtE\x02）}０A\n\vｌ＞␕β␎λＪ\\μｉ>␆\x0f ＇",
	}, { // 4817
		mask: EncodeHash | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ρ；εφtE\x02）}０A\n\vｌ＞␕β␎λＪ\\μｉ>␆\x0f ＇",
		out:  "． ρ；εφtE\x02）}０A\n\vｌ＞␕β␎λＪ\\μｉ>␆\x0f ＇",
	}, { // 4818
		mask: EncodeHash | EncodeRightPeriod | EncodeRightSpace,
		in:   "␞ ρ；εφtE\x02）}０A\n\vｌ＞␕β␎λＪ\\μｉ>␆\x0f .",
		out:  "␞ ρ；εφtE\x02）}０A\n\vｌ＞␕β␎λＪ\\μｉ>␆\x0f ．",
	}, { // 4819
		mask: EncodeHash | EncodeRightPeriod | EncodeRightSpace,
		in:   "␞ ρ；εφtE\x02）}０A\n\vｌ＞␕β␎λＪ\\μｉ>␆\x0f ．",
		out:  "␞ ρ；εφtE\x02）}０A\n\vｌ＞␕β␎λＪ\\μｉ>␆\x0f ‛．",
	}, { // 4820
		mask: EncodePercent | EncodeRightPeriod | EncodeRightSpace,
		in:   ". \x1d｜ως,；Y\x17νz␔|＊\x19λ\x15＜＂［␇.ωＺ\"␇\f ｅ",
		out:  ". \x1d｜ως,；Y\x17νz␔|＊\x19λ\x15＜＂［␇.ωＺ\"␇\f ｅ",
	}, { // 4821
		mask: EncodePercent | EncodeRightPeriod | EncodeRightSpace,
		in:   "． \x1d｜ως,；Y\x17νz␔|＊\x19λ\x15＜＂［␇.ωＺ\"␇\f ｅ",
		out:  "． \x1d｜ως,；Y\x17νz␔|＊\x19λ\x15＜＂［␇.ωＺ\"␇\f ｅ",
	}, { // 4822
		mask: EncodePercent | EncodeRightPeriod | EncodeRightSpace,
		in:   "M \x1d｜ως,；Y\x17νz␔|＊\x19λ\x15＜＂［␇.ωＺ\"␇\f .",
		out:  "M \x1d｜ως,；Y\x17νz␔|＊\x19λ\x15＜＂［␇.ωＺ\"␇\f ．",
	}, { // 4823
		mask: EncodePercent | EncodeRightPeriod | EncodeRightSpace,
		in:   "M \x1d｜ως,；Y\x17νz␔|＊\x19λ\x15＜＂［␇.ωＺ\"␇\f ．",
		out:  "M \x1d｜ως,；Y\x17νz␔|＊\x19λ\x15＜＂［␇.ωＺ\"␇\f ‛．",
	}, { // 4824
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   ". VTνμ\x03\x15␑＼ε＜<\x7fｔｓu?␔ω␊␝ｃ\x13.｝$． ␂",
		out:  ". VTνμ\x03\x15␑‛＼ε＜<\x7fｔｓu?␔ω␊␝ｃ\x13.｝$． ␂",
	}, { // 4825
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   "． VTνμ\x03\x15␑＼ε＜<\x7fｔｓu?␔ω␊␝ｃ\x13.｝$． ␂",
		out:  "． VTνμ\x03\x15␑‛＼ε＜<\x7fｔｓu?␔ω␊␝ｃ\x13.｝$． ␂",
	}, { // 4826
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   "θ VTνμ\x03\x15␑＼ε＜<\x7fｔｓu?␔ω␊␝ｃ\x13.｝$． .",
		out:  "θ VTνμ\x03\x15␑‛＼ε＜<\x7fｔｓu?␔ω␊␝ｃ\x13.｝$． ．",
	}, { // 4827
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   "θ VTνμ\x03\x15␑＼ε＜<\x7fｔｓu?␔ω␊␝ｃ\x13.｝$． ．",
		out:  "θ VTνμ\x03\x15␑‛＼ε＜<\x7fｔｓu?␔ω␊␝ｃ\x13.｝$． ‛．",
	}, { // 4828
		mask: EncodeCrLf | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ＝gκι：␁␖?ς\x19ηj3；ｘ\x1fπ␡?＞ｅλ｀：\t\v \x1f",
		out:  ". ＝gκι：␁␖?ς\x19ηj3；ｘ\x1fπ␡?＞ｅλ｀：\t\v \x1f",
	}, { // 4829
		mask: EncodeCrLf | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ＝gκι：␁␖?ς\x19ηj3；ｘ\x1fπ␡?＞ｅλ｀：\t\v \x1f",
		out:  "． ＝gκι：␁␖?ς\x19ηj3；ｘ\x1fπ␡?＞ｅλ｀：\t\v \x1f",
	}, { // 4830
		mask: EncodeCrLf | EncodeRightPeriod | EncodeRightSpace,
		in:   ": ＝gκι：␁␖?ς\x19ηj3；ｘ\x1fπ␡?＞ｅλ｀：\t\v .",
		out:  ": ＝gκι：␁␖?ς\x19ηj3；ｘ\x1fπ␡?＞ｅλ｀：\t\v ．",
	}, { // 4831
		mask: EncodeCrLf | EncodeRightPeriod | EncodeRightSpace,
		in:   ": ＝gκι：␁␖?ς\x19ηj3；ｘ\x1fπ␡?＞ｅλ｀：\t\v ．",
		out:  ": ＝gκι：␁␖?ς\x19ηj3；ｘ\x1fπ␡?＞ｅλ｀：\t\v ‛．",
	}, { // 4832
		mask: EncodeDel | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ␊0\rζ！１ςRγων\x01－J\a_␋Ｃa／Ｆ!/＆\x15␊ ｗ",
		out:  ". ␊0\rζ！１ςRγων\x01－J\a_␋Ｃa／Ｆ!/＆\x15␊ ｗ",
	}, { // 4833
		mask: EncodeDel | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ␊0\rζ！１ςRγων\x01－J\a_␋Ｃa／Ｆ!/＆\x15␊ ｗ",
		out:  "． ␊0\rζ！１ςRγων\x01－J\a_␋Ｃa／Ｆ!/＆\x15␊ ｗ",
	}, { // 4834
		mask: EncodeDel | EncodeRightPeriod | EncodeRightSpace,
		in:   "␜ ␊0\rζ！１ςRγων\x01－J\a_␋Ｃa／Ｆ!/＆\x15␊ .",
		out:  "␜ ␊0\rζ！１ςRγων\x01－J\a_␋Ｃa／Ｆ!/＆\x15␊ ．",
	}, { // 4835
		mask: EncodeDel | EncodeRightPeriod | EncodeRightSpace,
		in:   "␜ ␊0\rζ！１ςRγων\x01－J\a_␋Ｃa／Ｆ!/＆\x15␊ ．",
		out:  "␜ ␊0\rζ！１ςRγων\x01－J\a_␋Ｃa／Ｆ!/＆\x15␊ ‛．",
	}, { // 4836
		mask: EncodeCtl | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ]\x02）｛ν％σe＃ς／␀］[*bς＊\"＊i␟κＡ｜\x10 \x17",
		out:  ". ]␂）｛ν％σe＃ς／‛␀］[*bς＊\"＊i‛␟κＡ｜␐ ␗",
	}, { // 4837
		mask: EncodeCtl | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ]\x02）｛ν％σe＃ς／␀］[*bς＊\"＊i␟κＡ｜\x10 \x17",
		out:  "． ]␂）｛ν％σe＃ς／‛␀］[*bς＊\"＊i‛␟κＡ｜␐ ␗",
	}, { // 4838
		mask: EncodeCtl | EncodeRightPeriod | EncodeRightSpace,
		in:   "π ]\x02）｛ν％σe＃ς／␀］[*bς＊\"＊i␟κＡ｜\x10 .",
		out:  "π ]␂）｛ν％σe＃ς／‛␀］[*bς＊\"＊i‛␟κＡ｜␐ ．",
	}, { // 4839
		mask: EncodeCtl | EncodeRightPeriod | EncodeRightSpace,
		in:   "π ]\x02）｛ν％σe＃ς／␀］[*bς＊\"＊i␟κＡ｜\x10 ．",
		out:  "π ]␂）｛ν％σe＃ς／‛␀］[*bς＊\"＊i‛␟κＡ｜␐ ‛．",
	}, { // 4840
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\t␡",
		out:  ".\t9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\t␡",
	}, { // 4841
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\t␡",
		out:  "．\t9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\t␡",
	}, { // 4842
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\n␡",
		out:  ".\n9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\n␡",
	}, { // 4843
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\n␡",
		out:  "．\n9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\n␡",
	}, { // 4844
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\v␡",
		out:  ".\v9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\v␡",
	}, { // 4845
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\v␡",
		out:  "．\v9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\v␡",
	}, { // 4846
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\r␡",
		out:  ".\r9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\r␡",
	}, { // 4847
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\r␡",
		out:  "．\r9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\r␡",
	}, { // 4848
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "3\t9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\t.",
		out:  "3\t9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\t．",
	}, { // 4849
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "3\t9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\t．",
		out:  "3\t9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\t‛．",
	}, { // 4850
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "3\n9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\n.",
		out:  "3\n9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\n．",
	}, { // 4851
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "3\n9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\n．",
		out:  "3\n9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\n‛．",
	}, { // 4852
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "3\v9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\v.",
		out:  "3\v9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\v．",
	}, { // 4853
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "3\v9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\v．",
		out:  "3\v9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\v‛．",
	}, { // 4854
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "3\r9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\r.",
		out:  "3\r9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\r．",
	}, { // 4855
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "3\r9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\r．",
		out:  "3\r9Ｌ\x16ς］␟\x064\n␁＇␆ςωr\x1b\\ｖ＞-␂␒ηψ\x1cσ\r‛．",
	}, { // 4856
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\tθ",
		out:  ".\t␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\tθ",
	}, { // 4857
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\tθ",
		out:  "．\t␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\tθ",
	}, { // 4858
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\nθ",
		out:  ".\n␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\nθ",
	}, { // 4859
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\nθ",
		out:  "．\n␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\nθ",
	}, { // 4860
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\vθ",
		out:  ".\v␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\vθ",
	}, { // 4861
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\vθ",
		out:  "．\v␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\vθ",
	}, { // 4862
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\rθ",
		out:  ".\r␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\rθ",
	}, { // 4863
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\rθ",
		out:  "．\r␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\rθ",
	}, { // 4864
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ω\t␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\t.",
		out:  "ω\t␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\t．",
	}, { // 4865
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ω\t␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\t．",
		out:  "ω\t␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\t‛．",
	}, { // 4866
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ω\n␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\n.",
		out:  "ω\n␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\n．",
	}, { // 4867
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ω\n␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\n．",
		out:  "ω\n␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\n‛．",
	}, { // 4868
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ω\v␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\v.",
		out:  "ω\v␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\v．",
	}, { // 4869
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ω\v␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\v．",
		out:  "ω\v␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\v‛．",
	}, { // 4870
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ω\r␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\r.",
		out:  "ω\r␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\r．",
	}, { // 4871
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ω\r␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\r．",
		out:  "ω\r␝␜］υ?，\x14\r０wμ＄␃ｂ\x1b］ςν\x11＆d}S␙f\x18\r‛．",
	}, { // 4872
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\t－",
		out:  ".\t｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\t－",
	}, { // 4873
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\t－",
		out:  "．\t｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\t－",
	}, { // 4874
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\n－",
		out:  ".\n｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\n－",
	}, { // 4875
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\n－",
		out:  "．\n｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\n－",
	}, { // 4876
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\v－",
		out:  ".\v｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\v－",
	}, { // 4877
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\v－",
		out:  "．\v｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\v－",
	}, { // 4878
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\r－",
		out:  ".\r｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\r－",
	}, { // 4879
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\r－",
		out:  "．\r｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\r－",
	}, { // 4880
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "δ\t｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\t.",
		out:  "δ\t｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\t．",
	}, { // 4881
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "δ\t｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\t．",
		out:  "δ\t｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\t‛．",
	}, { // 4882
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "δ\n｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\n.",
		out:  "δ\n｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\n．",
	}, { // 4883
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "δ\n｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\n．",
		out:  "δ\n｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\n‛．",
	}, { // 4884
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "δ\v｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\v.",
		out:  "δ\v｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\v．",
	}, { // 4885
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "δ\v｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\v．",
		out:  "δ\v｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\v‛．",
	}, { // 4886
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "δ\r｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\r.",
		out:  "δ\r｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\r．",
	}, { // 4887
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "δ\r｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\r．",
		out:  "δ\r｝ξMyk3eｔβπε４ｘψ\\％\x10\x13␔;＞＜\x14：␜␊\r‛．",
	}, { // 4888
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\t␅",
		out:  ".\t␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\t␅",
	}, { // 4889
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\t␅",
		out:  "．\t␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\t␅",
	}, { // 4890
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\n␅",
		out:  ".\n␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\n␅",
	}, { // 4891
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\n␅",
		out:  "．\n␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\n␅",
	}, { // 4892
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\v␅",
		out:  ".\v␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\v␅",
	}, { // 4893
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\v␅",
		out:  "．\v␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\v␅",
	}, { // 4894
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\r␅",
		out:  ".\r␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\r␅",
	}, { // 4895
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\r␅",
		out:  "．\r␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\r␅",
	}, { // 4896
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "Ｖ\t␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\t.",
		out:  "Ｖ\t␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\t．",
	}, { // 4897
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "Ｖ\t␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\t．",
		out:  "Ｖ\t␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\t‛．",
	}, { // 4898
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "Ｖ\n␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\n.",
		out:  "Ｖ\n␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\n．",
	}, { // 4899
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "Ｖ\n␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\n．",
		out:  "Ｖ\n␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\n‛．",
	}, { // 4900
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "Ｖ\v␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\v.",
		out:  "Ｖ\v␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\v．",
	}, { // 4901
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "Ｖ\v␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\v．",
		out:  "Ｖ\v␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\v‛．",
	}, { // 4902
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "Ｖ\r␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\r.",
		out:  "Ｖ\r␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\r．",
	}, { // 4903
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "Ｖ\r␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\r．",
		out:  "Ｖ\r␐！\aλψ␔N ο\\P！ς/～\x17k\x02N␝κ！\t５ωｅ\r‛．",
	}, { // 4904
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\tfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\tλ",
		out:  ".\tfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\tλ",
	}, { // 4905
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\tfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\tλ",
		out:  "．\tfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\tλ",
	}, { // 4906
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\nfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\nλ",
		out:  ".\nfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\nλ",
	}, { // 4907
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\nfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\nλ",
		out:  "．\nfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\nλ",
	}, { // 4908
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\vfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\vλ",
		out:  ".\vfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\vλ",
	}, { // 4909
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\vfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\vλ",
		out:  "．\vfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\vλ",
	}, { // 4910
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\rfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\rλ",
		out:  ".\rfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\rλ",
	}, { // 4911
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\rfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\rλ",
		out:  "．\rfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\rλ",
	}, { // 4912
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｇ\tfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\t.",
		out:  "ｇ\tfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\t．",
	}, { // 4913
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｇ\tfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\t．",
		out:  "ｇ\tfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\t‛．",
	}, { // 4914
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｇ\nfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\n.",
		out:  "ｇ\nfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\n．",
	}, { // 4915
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｇ\nfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\n．",
		out:  "ｇ\nfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\n‛．",
	}, { // 4916
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｇ\vfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\v.",
		out:  "ｇ\vfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\v．",
	}, { // 4917
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｇ\vfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\v．",
		out:  "ｇ\vfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\v‛．",
	}, { // 4918
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｇ\rfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\r.",
		out:  "ｇ\rfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\r．",
	}, { // 4919
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｇ\rfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\r．",
		out:  "ｇ\rfＢ！＂;ψ;ε；｜κy＄\x1fηHＴ\\ｚ␛␅－\n\x1fZ3\r‛．",
	}, { // 4920
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\tｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\t\x00",
		out:  ".\tｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\t␀",
	}, { // 4921
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\tｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\t\x00",
		out:  "．\tｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\t␀",
	}, { // 4922
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\nｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\n\x00",
		out:  ".\nｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\n␀",
	}, { // 4923
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\nｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\n\x00",
		out:  "．\nｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\n␀",
	}, { // 4924
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\vｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\v\x00",
		out:  ".\vｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\v␀",
	}, { // 4925
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\vｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\v\x00",
		out:  "．\vｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\v␀",
	}, { // 4926
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\rｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\r\x00",
		out:  ".\rｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\r␀",
	}, { // 4927
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\rｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\r\x00",
		out:  "．\rｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\r␀",
	}, { // 4928
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\tｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\t.",
		out:  "\x0e\tｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\t．",
	}, { // 4929
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\tｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\t．",
		out:  "\x0e\tｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\t‛．",
	}, { // 4930
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\nｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\n.",
		out:  "\x0e\nｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\n．",
	}, { // 4931
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\nｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\n．",
		out:  "\x0e\nｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\n‛．",
	}, { // 4932
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\vｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\v.",
		out:  "\x0e\vｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\v．",
	}, { // 4933
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\vｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\v．",
		out:  "\x0e\vｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\v‛．",
	}, { // 4934
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\rｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\r.",
		out:  "\x0e\rｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\r．",
	}, { // 4935
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x0e\rｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\r．",
		out:  "\x0e\rｖ␁＿5;ｐＭα｛␙␕#wφ<;pζ＇␃φ␌jυ．j\r‛．",
	}, { // 4936
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\t\x11",
		out:  ".\t|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\t\x11",
	}, { // 4937
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\t\x11",
		out:  "．\t|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\t\x11",
	}, { // 4938
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\n\x11",
		out:  ".\n|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\n\x11",
	}, { // 4939
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\n\x11",
		out:  "．\n|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\n\x11",
	}, { // 4940
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\v\x11",
		out:  ".\v|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\v\x11",
	}, { // 4941
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\v\x11",
		out:  "．\v|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\v\x11",
	}, { // 4942
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\r\x11",
		out:  ".\r|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\r\x11",
	}, { // 4943
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\r\x11",
		out:  "．\r|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\r\x11",
	}, { // 4944
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "T\t|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\t.",
		out:  "T\t|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\t．",
	}, { // 4945
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "T\t|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\t．",
		out:  "T\t|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\t‛．",
	}, { // 4946
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "T\n|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\n.",
		out:  "T\n|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\n．",
	}, { // 4947
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "T\n|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\n．",
		out:  "T\n|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\n‛．",
	}, { // 4948
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "T\v|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\v.",
		out:  "T\v|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\v．",
	}, { // 4949
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "T\v|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\v．",
		out:  "T\v|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\v‛．",
	}, { // 4950
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "T\r|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\r.",
		out:  "T\r|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\r．",
	}, { // 4951
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "T\r|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\r．",
		out:  "T\r|］␂<ｎ\x1dςηｂＴςσH␏\x13vk␔＊ｒ␗ν\x14ψ｜ｌ\r‛．",
	}, { // 4952
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\tE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\tＷ",
		out:  ".\tE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\tＷ",
	}, { // 4953
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\tE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\tＷ",
		out:  "．\tE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\tＷ",
	}, { // 4954
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\nE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\nＷ",
		out:  ".\nE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\nＷ",
	}, { // 4955
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\nE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\nＷ",
		out:  "．\nE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\nＷ",
	}, { // 4956
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\vE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\vＷ",
		out:  ".\vE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\vＷ",
	}, { // 4957
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\vE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\vＷ",
		out:  "．\vE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\vＷ",
	}, { // 4958
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\rE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\rＷ",
		out:  ".\rE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\rＷ",
	}, { // 4959
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\rE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\rＷ",
		out:  "．\rE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\rＷ",
	}, { // 4960
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "｀\tE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\t.",
		out:  "｀\tE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\t．",
	}, { // 4961
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "｀\tE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\t．",
		out:  "｀\tE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\t‛．",
	}, { // 4962
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "｀\nE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\n.",
		out:  "｀\nE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\n．",
	}, { // 4963
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "｀\nE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\n．",
		out:  "｀\nE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\n‛．",
	}, { // 4964
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "｀\vE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\v.",
		out:  "｀\vE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\v．",
	}, { // 4965
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "｀\vE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\v．",
		out:  "｀\vE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\v‛．",
	}, { // 4966
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "｀\rE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\r.",
		out:  "｀\rE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\r．",
	}, { // 4967
		mask: EncodeExclamation | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "｀\rE!␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\r．",
		out:  "｀\rE！␆[␡Ｒτ｀１λφφφ %p＇|ε5？，<\x05w］\r‛．",
	}, { // 4968
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\t'",
		out:  ".\t\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\t'",
	}, { // 4969
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\t'",
		out:  "．\t\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\t'",
	}, { // 4970
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\n'",
		out:  ".\n\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\n'",
	}, { // 4971
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\n'",
		out:  "．\n\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\n'",
	}, { // 4972
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\v'",
		out:  ".\v\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\v'",
	}, { // 4973
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\v'",
		out:  "．\v\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\v'",
	}, { // 4974
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\r'",
		out:  ".\r\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\r'",
	}, { // 4975
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\r'",
		out:  "．\r\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\r'",
	}, { // 4976
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "n\t\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\t.",
		out:  "n\t\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\t．",
	}, { // 4977
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "n\t\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\t．",
		out:  "n\t\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\t‛．",
	}, { // 4978
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "n\n\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\n.",
		out:  "n\n\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\n．",
	}, { // 4979
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "n\n\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\n．",
		out:  "n\n\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\n‛．",
	}, { // 4980
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "n\v\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\v.",
		out:  "n\v\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\v．",
	}, { // 4981
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "n\v\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\v．",
		out:  "n\v\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\v‛．",
	}, { // 4982
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "n\r\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\r.",
		out:  "n\r\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\r．",
	}, { // 4983
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "n\r\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\r．",
		out:  "n\r\f\x10－y␕;␁ｗTＵ\x04␈\a；～Ｖπλκyι\x1dL␆δ␙\r‛．",
	}, { // 4984
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\tR",
		out:  ".\t>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\tR",
	}, { // 4985
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\tR",
		out:  "．\t>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\tR",
	}, { // 4986
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\nR",
		out:  ".\n>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\nR",
	}, { // 4987
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\nR",
		out:  "．\n>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\nR",
	}, { // 4988
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\vR",
		out:  ".\v>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\vR",
	}, { // 4989
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\vR",
		out:  "．\v>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\vR",
	}, { // 4990
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\rR",
		out:  ".\r>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\rR",
	}, { // 4991
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\rR",
		out:  "．\r>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\rR",
	}, { // 4992
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "？\t>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\t.",
		out:  "？\t>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\t．",
	}, { // 4993
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "？\t>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\t．",
		out:  "？\t>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\t‛．",
	}, { // 4994
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "？\n>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\n.",
		out:  "？\n>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\n．",
	}, { // 4995
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "？\n>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\n．",
		out:  "？\n>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\n‛．",
	}, { // 4996
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "？\v>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\v.",
		out:  "？\v>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\v．",
	}, { // 4997
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "？\v>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\v．",
		out:  "？\v>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\v‛．",
	}, { // 4998
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "？\r>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\r.",
		out:  "？\r>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\r．",
	}, { // 4999
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "？\r>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\r．",
		out:  "？\r>!７\x06τ\x01ξK｜\x12␒～|＝t␖ｊ␘θυU␇２l\x17］\r‛．",
	}, { // 5000
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\tλ",
		out:  ".\t／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\tλ",
	}, { // 5001
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\tλ",
		out:  "．\t／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\tλ",
	}, { // 5002
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\nλ",
		out:  ".\n／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\nλ",
	}, { // 5003
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\nλ",
		out:  "．\n／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\nλ",
	}, { // 5004
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\vλ",
		out:  ".\v／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\vλ",
	}, { // 5005
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\vλ",
		out:  "．\v／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\vλ",
	}, { // 5006
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\rλ",
		out:  ".\r／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\rλ",
	}, { // 5007
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\rλ",
		out:  "．\r／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\rλ",
	}, { // 5008
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\t／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\t.",
		out:  "ψ\t／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\t．",
	}, { // 5009
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\t／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\t．",
		out:  "ψ\t／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\t‛．",
	}, { // 5010
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\n／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\n.",
		out:  "ψ\n／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\n．",
	}, { // 5011
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\n／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\n．",
		out:  "ψ\n／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\n‛．",
	}, { // 5012
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\v／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\v.",
		out:  "ψ\v／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\v．",
	}, { // 5013
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\v／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\v．",
		out:  "ψ\v／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\v‛．",
	}, { // 5014
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\r／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\r.",
		out:  "ψ\r／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\r．",
	}, { // 5015
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\r／ty～｜9κ\f%4：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\r．",
		out:  "ψ\r／ty～｜9κ\f%4‛：␡＝\x14σ％\x0fｍ␅\rφπ\x1c０／Ｗ\r‛．",
	}, { // 5016
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\tα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\tρ",
		out:  ".\tα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\tρ",
	}, { // 5017
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\tα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\tρ",
		out:  "．\tα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\tρ",
	}, { // 5018
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\nα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\nρ",
		out:  ".\nα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\nρ",
	}, { // 5019
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\nα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\nρ",
		out:  "．\nα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\nρ",
	}, { // 5020
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\vα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\vρ",
		out:  ".\vα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\vρ",
	}, { // 5021
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\vα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\vρ",
		out:  "．\vα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\vρ",
	}, { // 5022
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\rα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\rρ",
		out:  ".\rα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\rρ",
	}, { // 5023
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\rα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\rρ",
		out:  "．\rα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\rρ",
	}, { // 5024
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\tα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\t.",
		out:  "␟\tα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\t．",
	}, { // 5025
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\tα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\t．",
		out:  "␟\tα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\t‛．",
	}, { // 5026
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\nα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\n.",
		out:  "␟\nα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\n．",
	}, { // 5027
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\nα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\n．",
		out:  "␟\nα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\n‛．",
	}, { // 5028
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\vα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\v.",
		out:  "␟\vα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\v．",
	}, { // 5029
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\vα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\v．",
		out:  "␟\vα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\v‛．",
	}, { // 5030
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\rα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\r.",
		out:  "␟\rα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\r．",
	}, { // 5031
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\rα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\r．",
		out:  "␟\rα[FK|βＺ／␌-iκ％οRｅ␜␒ｃε\\]\x05\f＾２\r‛．",
	}, { // 5032
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\tαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\tＵ",
		out:  ".\tαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\tＵ",
	}, { // 5033
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\tαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\tＵ",
		out:  "．\tαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\tＵ",
	}, { // 5034
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\nαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\nＵ",
		out:  ".\nαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\nＵ",
	}, { // 5035
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\nαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\nＵ",
		out:  "．\nαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\nＵ",
	}, { // 5036
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\vαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\vＵ",
		out:  ".\vαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\vＵ",
	}, { // 5037
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\vαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\vＵ",
		out:  "．\vαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\vＵ",
	}, { // 5038
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\rαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\rＵ",
		out:  ".\rαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\rＵ",
	}, { // 5039
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\rαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\rＵ",
		out:  "．\rαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\rＵ",
	}, { // 5040
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\b\tαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\t.",
		out:  "\b\tαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\t．",
	}, { // 5041
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\b\tαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\t．",
		out:  "\b\tαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\t‛．",
	}, { // 5042
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\b\nαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\n.",
		out:  "\b\nαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\n．",
	}, { // 5043
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\b\nαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\n．",
		out:  "\b\nαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\n‛．",
	}, { // 5044
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\b\vαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\v.",
		out:  "\b\vαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\v．",
	}, { // 5045
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\b\vαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\v．",
		out:  "\b\vαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\v‛．",
	}, { // 5046
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\b\rαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\r.",
		out:  "\b\rαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\r．",
	}, { // 5047
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\b\rαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\r．",
		out:  "\b\rαο／＠＾␊θψ\x19M\x1f\x152I␍SＷ\x19ｂο＼g␊κA␜\r‛．",
	}, { // 5048
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\tｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\t<",
		out:  ".\tｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\t<",
	}, { // 5049
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\tｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\t<",
		out:  "．\tｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\t<",
	}, { // 5050
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\nｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\n<",
		out:  ".\nｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\n<",
	}, { // 5051
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\nｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\n<",
		out:  "．\nｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\n<",
	}, { // 5052
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\vｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\v<",
		out:  ".\vｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\v<",
	}, { // 5053
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\vｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\v<",
		out:  "．\vｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\v<",
	}, { // 5054
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\rｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\r<",
		out:  ".\rｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\r<",
	}, { // 5055
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\rｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\r<",
		out:  "．\rｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\r<",
	}, { // 5056
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "γ\tｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\t.",
		out:  "γ\tｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\t．",
	}, { // 5057
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "γ\tｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\t．",
		out:  "γ\tｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\t‛．",
	}, { // 5058
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "γ\nｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\n.",
		out:  "γ\nｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\n．",
	}, { // 5059
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "γ\nｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\n．",
		out:  "γ\nｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\n‛．",
	}, { // 5060
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "γ\vｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\v.",
		out:  "γ\vｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\v．",
	}, { // 5061
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "γ\vｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\v．",
		out:  "γ\vｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\v‛．",
	}, { // 5062
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "γ\rｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\r.",
		out:  "γ\rｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\r．",
	}, { // 5063
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "γ\rｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\r．",
		out:  "γ\rｂ␄＂%Tδ␊@βRＴ␞␌．Ｋ'RDρνβ\f＃Ｄ\n\x0e\r‛．",
	}, { // 5064
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\tＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\t5",
		out:  ".\tＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\t5",
	}, { // 5065
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\tＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\t5",
		out:  "．\tＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\t5",
	}, { // 5066
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\nＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\n5",
		out:  ".\nＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\n5",
	}, { // 5067
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\nＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\n5",
		out:  "．\nＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\n5",
	}, { // 5068
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\vＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\v5",
		out:  ".\vＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\v5",
	}, { // 5069
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\vＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\v5",
		out:  "．\vＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\v5",
	}, { // 5070
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\rＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\r5",
		out:  ".\rＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\r5",
	}, { // 5071
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\rＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\r5",
		out:  "．\rＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\r5",
	}, { // 5072
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\tＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\t.",
		out:  "␐\tＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\t．",
	}, { // 5073
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\tＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\t．",
		out:  "␐\tＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\t‛．",
	}, { // 5074
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\nＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\n.",
		out:  "␐\nＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\n．",
	}, { // 5075
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\nＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\n．",
		out:  "␐\nＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\n‛．",
	}, { // 5076
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\vＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\v.",
		out:  "␐\vＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\v．",
	}, { // 5077
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\vＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\v．",
		out:  "␐\vＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\v‛．",
	}, { // 5078
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\rＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\r.",
		out:  "␐\rＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\r．",
	}, { // 5079
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\rＷ>τP＃Ｋ$I\x01\rςαν/\x12\t＃ｆ␖otＹ\uff00ｚν␉\r．",
		out:  "␐\rＷ>τP‛＃Ｋ$I\x01\rςαν/\x12\t‛＃ｆ␖otＹ\uff00ｚν␉\r‛．",
	}, { // 5080
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\t␍",
		out:  ".\t１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\t‛␍",
	}, { // 5081
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\t␍",
		out:  "．\t１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\t‛␍",
	}, { // 5082
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\n␍",
		out:  ".\n１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\n‛␍",
	}, { // 5083
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\n␍",
		out:  "．\n１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\n‛␍",
	}, { // 5084
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\v␍",
		out:  ".\v１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\v‛␍",
	}, { // 5085
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\v␍",
		out:  "．\v１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\v‛␍",
	}, { // 5086
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\r␍",
		out:  ".\r１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\r‛␍",
	}, { // 5087
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\r␍",
		out:  "．\r１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\r‛␍",
	}, { // 5088
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␏\t１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\t.",
		out:  "␏\t１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\t．",
	}, { // 5089
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␏\t１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\t．",
		out:  "␏\t１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\t‛．",
	}, { // 5090
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␏\n１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\n.",
		out:  "␏\n１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\n．",
	}, { // 5091
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␏\n１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\n．",
		out:  "␏\n１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\n‛．",
	}, { // 5092
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␏\v１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\v.",
		out:  "␏\v１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\v．",
	}, { // 5093
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␏\v１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\v．",
		out:  "␏\v１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\v‛．",
	}, { // 5094
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␏\r１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\r.",
		out:  "␏\r１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\r．",
	}, { // 5095
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␏\r１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\r．",
		out:  "␏\r１／␡＾\x1c\b－\n?fνπ␉｛φ<／Ｋψ\x03]\x1cμG｀d\r‛．",
	}, { // 5096
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\t\\",
		out:  ".\t：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\t＼",
	}, { // 5097
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\t\\",
		out:  "．\t：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\t＼",
	}, { // 5098
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\n\\",
		out:  ".\n：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\n＼",
	}, { // 5099
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\n\\",
		out:  "．\n：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\n＼",
	}, { // 5100
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\v\\",
		out:  ".\v：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\v＼",
	}, { // 5101
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\v\\",
		out:  "．\v：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\v＼",
	}, { // 5102
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\r\\",
		out:  ".\r：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\r＼",
	}, { // 5103
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\r\\",
		out:  "．\r：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\r＼",
	}, { // 5104
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "π\t：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\t.",
		out:  "π\t：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\t．",
	}, { // 5105
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "π\t：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\t．",
		out:  "π\t：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\t‛．",
	}, { // 5106
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "π\n：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\n.",
		out:  "π\n：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\n．",
	}, { // 5107
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "π\n：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\n．",
		out:  "π\n：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\n‛．",
	}, { // 5108
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "π\v：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\v.",
		out:  "π\v：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\v．",
	}, { // 5109
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "π\v：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\v．",
		out:  "π\v：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\v‛．",
	}, { // 5110
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "π\r：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\r.",
		out:  "π\r：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\r．",
	}, { // 5111
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "π\r：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu␀ρ\n＋\a\r．",
		out:  "π\r：＇χ␇_\"␟υＡ\x17D␔ζβ\x1fn（ａＤMu‛␀ρ\n＋\a\r‛．",
	}, { // 5112
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\t␊",
		out:  ".\t\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\t‛␊",
	}, { // 5113
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\t␊",
		out:  "．\t\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\t‛␊",
	}, { // 5114
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\n␊",
		out:  ".\n\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\n‛␊",
	}, { // 5115
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\n␊",
		out:  "．\n\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\n‛␊",
	}, { // 5116
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\v␊",
		out:  ".\v\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\v‛␊",
	}, { // 5117
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\v␊",
		out:  "．\v\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\v‛␊",
	}, { // 5118
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\r␊",
		out:  ".\r\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\r‛␊",
	}, { // 5119
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\r␊",
		out:  "．\r\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\r‛␊",
	}, { // 5120
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "２\t\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\t.",
		out:  "２\t\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\t．",
	}, { // 5121
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "２\t\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\t．",
		out:  "２\t\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\t‛．",
	}, { // 5122
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "２\n\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\n.",
		out:  "２\n\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\n．",
	}, { // 5123
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "２\n\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\n．",
		out:  "２\n\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\n‛．",
	}, { // 5124
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "２\v\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\v.",
		out:  "２\v\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\v．",
	}, { // 5125
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "２\v\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\v．",
		out:  "２\v\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\v‛．",
	}, { // 5126
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "２\r\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\r.",
		out:  "２\r\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\r．",
	}, { // 5127
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "２\r\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\r．",
		out:  "２\r\fγｏG␓\"τ$φp\x16７Fψｅυ／＂！\x1d1Ｒ{␍ε／\r‛．",
	}, { // 5128
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t θε\\Ｕｄ␋␛:μＴ\x063７\rQ␚cQ␊τ｀\x1cｗ\x176ψ +",
		out:  "\t θε\\Ｕｄ␋␛:μＴ\x063７\rQ␚cQ␊τ｀\x1cｗ\x176ψ +",
	}, { // 5129
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ θε\\Ｕｄ␋␛:μＴ\x063７\rQ␚cQ␊τ｀\x1cｗ\x176ψ +",
		out:  "␉ θε\\Ｕｄ␋␛:μＴ\x063７\rQ␚cQ␊τ｀\x1cｗ\x176ψ +",
	}, { // 5130
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␀ θε\\Ｕｄ␋␛:μＴ\x063７\rQ␚cQ␊τ｀\x1cｗ\x176ψ \t",
		out:  "‛␀ θε\\Ｕｄ␋␛:μＴ\x063７\rQ␚cQ␊τ｀\x1cｗ\x176ψ ␉",
	}, { // 5131
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␀ θε\\Ｕｄ␋␛:μＴ\x063７\rQ␚cQ␊τ｀\x1cｗ\x176ψ ␉",
		out:  "‛␀ θε\\Ｕｄ␋␛:μＴ\x063７\rQ␚cQ␊τ｀\x1cｗ\x176ψ ‛␉",
	}, { // 5132
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t η＃\x1fY\x15␄Isf␌＾β４Gｏβ\x03xωＬ\x10｀π␂␂ｅ γ",
		out:  "\t η＃\x1fY\x15␄Isf␌＾β４Gｏβ\x03xωＬ\x10｀π␂␂ｅ γ",
	}, { // 5133
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ η＃\x1fY\x15␄Isf␌＾β４Gｏβ\x03xωＬ\x10｀π␂␂ｅ γ",
		out:  "␉ η＃\x1fY\x15␄Isf␌＾β４Gｏβ\x03xωＬ\x10｀π␂␂ｅ γ",
	}, { // 5134
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\x13 η＃\x1fY\x15␄Isf␌＾β４Gｏβ\x03xωＬ\x10｀π␂␂ｅ \t",
		out:  "\x13 η＃\x1fY\x15␄Isf␌＾β４Gｏβ\x03xωＬ\x10｀π␂␂ｅ ␉",
	}, { // 5135
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\x13 η＃\x1fY\x15␄Isf␌＾β４Gｏβ\x03xωＬ\x10｀π␂␂ｅ ␉",
		out:  "\x13 η＃\x1fY\x15␄Isf␌＾β４Gｏβ\x03xωＬ\x10｀π␂␂ｅ ‛␉",
	}, { // 5136
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t n＂ωB]*\x0eWｚ］η␊3␐Ｃ␂␒␓\x16/ν\x1e\x15Ｂλ＿ =",
		out:  "\t n＂ωB]*\x0eWｚ］η␊3␐Ｃ␂␒␓\x16/ν\x1e\x15Ｂλ＿ =",
	}, { // 5137
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ n＂ωB]*\x0eWｚ］η␊3␐Ｃ␂␒␓\x16/ν\x1e\x15Ｂλ＿ =",
		out:  "␉ n＂ωB]*\x0eWｚ］η␊3␐Ｃ␂␒␓\x16/ν\x1e\x15Ｂλ＿ =",
	}, { // 5138
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "； n＂ωB]*\x0eWｚ］η␊3␐Ｃ␂␒␓\x16/ν\x1e\x15Ｂλ＿ \t",
		out:  "； n＂ωB]*\x0eWｚ］η␊3␐Ｃ␂␒␓\x16/ν\x1e\x15Ｂλ＿ ␉",
	}, { // 5139
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "； n＂ωB]*\x0eWｚ］η␊3␐Ｃ␂␒␓\x16/ν\x1e\x15Ｂλ＿ ␉",
		out:  "； n＂ωB]*\x0eWｚ］η␊3␐Ｃ␂␒␓\x16/ν\x1e\x15Ｂλ＿ ‛␉",
	}, { // 5140
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t ~λ＼｜ｊＧ\x11␡９\"␍n／.\x12\x7f`Zι９θ}#ζｏκ υ",
		out:  "\t ~λ＼｜ｊＧ\x11␡９\"␍n／.\x12\x7f｀Zι９θ}#ζｏκ υ",
	}, { // 5141
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ~λ＼｜ｊＧ\x11␡９\"␍n／.\x12\x7f`Zι９θ}#ζｏκ υ",
		out:  "␉ ~λ＼｜ｊＧ\x11␡９\"␍n／.\x12\x7f｀Zι９θ}#ζｏκ υ",
	}, { // 5142
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␓ ~λ＼｜ｊＧ\x11␡９\"␍n／.\x12\x7f`Zι９θ}#ζｏκ \t",
		out:  "␓ ~λ＼｜ｊＧ\x11␡９\"␍n／.\x12\x7f｀Zι９θ}#ζｏκ ␉",
	}, { // 5143
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␓ ~λ＼｜ｊＧ\x11␡９\"␍n／.\x12\x7f`Zι９θ}#ζｏκ ␉",
		out:  "␓ ~λ＼｜ｊＧ\x11␡９\"␍n／.\x12\x7f｀Zι９θ}#ζｏκ ‛␉",
	}, { // 5144
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t ｌ␆α\x1eｔ｜＠B␑*L｝␉;＼ς\vτπ␔9/ιＹ＊2 γ",
		out:  "\t ｌ␆α\x1eｔ｜＠B␑*L｝␉;＼ς\vτπ␔9/ιＹ＊2 γ",
	}, { // 5145
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ｌ␆α\x1eｔ｜＠B␑*L｝␉;＼ς\vτπ␔9/ιＹ＊2 γ",
		out:  "␉ ｌ␆α\x1eｔ｜＠B␑*L｝␉;＼ς\vτπ␔9/ιＹ＊2 γ",
	}, { // 5146
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "H ｌ␆α\x1eｔ｜＠B␑*L｝␉;＼ς\vτπ␔9/ιＹ＊2 \t",
		out:  "H ｌ␆α\x1eｔ｜＠B␑*L｝␉;＼ς\vτπ␔9/ιＹ＊2 ␉",
	}, { // 5147
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "H ｌ␆α\x1eｔ｜＠B␑*L｝␉;＼ς\vτπ␔9/ιＹ＊2 ␉",
		out:  "H ｌ␆α\x1eｔ｜＠B␑*L｝␉;＼ς\vτπ␔9/ιＹ＊2 ‛␉",
	}, { // 5148
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t ;６Ｃ＜\\λ\x1aｊχｓ(；!μ␒？οd>␆Ｄ\x1fｗ3ξ\x06 \t",
		out:  "\t ;６Ｃ＜\\λ\x1aｊχｓ(；!μ␒？οd>␆Ｄ\x1fｗ3ξ\x06 ␉",
	}, { // 5149
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ;６Ｃ＜\\λ\x1aｊχｓ(；!μ␒？οd>␆Ｄ\x1fｗ3ξ\x06 \t",
		out:  "␉ ;６Ｃ＜\\λ\x1aｊχｓ(；!μ␒？οd>␆Ｄ\x1fｗ3ξ\x06 ␉",
	}, { // 5150
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "｜ ;６Ｃ＜\\λ\x1aｊχｓ(；!μ␒？οd>␆Ｄ\x1fｗ3ξ\x06 \t",
		out:  "｜ ;６Ｃ＜\\λ\x1aｊχｓ(；!μ␒？οd>␆Ｄ\x1fｗ3ξ\x06 ␉",
	}, { // 5151
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "｜ ;６Ｃ＜\\λ\x1aｊχｓ(；!μ␒？οd>␆Ｄ\x1fｗ3ξ\x06 ␉",
		out:  "｜ ;６Ｃ＜\\λ\x1aｊχｓ(；!μ␒？οd>␆Ｄ\x1fｗ3ξ\x06 ‛␉",
	}, { // 5152
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t ␐\x04␍η␇U＄\x14＋x(＆rλ\r｛^＊'］＼\x1c\r８/π τ",
		out:  "\t ␐\x04␍η␇U＄\x14＋x(＆rλ\r｛^＊'］＼\x1c\r８/π τ",
	}, { // 5153
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ␐\x04␍η␇U＄\x14＋x(＆rλ\r｛^＊'］＼\x1c\r８/π τ",
		out:  "␉ ␐\x04␍η␇U＄\x14＋x(＆rλ\r｛^＊'］＼\x1c\r８/π τ",
	}, { // 5154
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "＇ ␐\x04␍η␇U＄\x14＋x(＆rλ\r｛^＊'］＼\x1c\r８/π \t",
		out:  "＇ ␐\x04␍η␇U＄\x14＋x(＆rλ\r｛^＊'］＼\x1c\r８/π ␉",
	}, { // 5155
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "＇ ␐\x04␍η␇U＄\x14＋x(＆rλ\r｛^＊'］＼\x1c\r８/π ␉",
		out:  "＇ ␐\x04␍η␇U＄\x14＋x(＆rλ\r｛^＊'］＼\x1c\r８/π ‛␉",
	}, { // 5156
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t π+θ\n\x7fπｂ｀\x00?Cｙｑ\\０␑ιlz9ε～\v␚／␞ ␟",
		out:  "\t π+θ\n\x7fπｂ｀␀?Cｙｑ\\０␑ιlz9ε～\v␚／␞ ␟",
	}, { // 5157
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ π+θ\n\x7fπｂ｀\x00?Cｙｑ\\０␑ιlz9ε～\v␚／␞ ␟",
		out:  "␉ π+θ\n\x7fπｂ｀␀?Cｙｑ\\０␑ιlz9ε～\v␚／␞ ␟",
	}, { // 5158
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "θ π+θ\n\x7fπｂ｀\x00?Cｙｑ\\０␑ιlz9ε～\v␚／␞ \t",
		out:  "θ π+θ\n\x7fπｂ｀␀?Cｙｑ\\０␑ιlz9ε～\v␚／␞ ␉",
	}, { // 5159
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "θ π+θ\n\x7fπｂ｀\x00?Cｙｑ\\０␑ιlz9ε～\v␚／␞ ␉",
		out:  "θ π+θ\n\x7fπｂ｀␀?Cｙｑ\\０␑ιlz9ε～\v␚／␞ ‛␉",
	}, { // 5160
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t βψ％x/\fχ；ｕUMε/F\x15\x17＼Ｇ␈␗j␔\f␈-Ｎ ␄",
		out:  "\t βψ％x/\fχ；ｕUMε/F\x15\x17＼Ｇ␈␗j␔\f␈-Ｎ ␄",
	}, { // 5161
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ βψ％x/\fχ；ｕUMε/F\x15\x17＼Ｇ␈␗j␔\f␈-Ｎ ␄",
		out:  "␉ βψ％x/\fχ；ｕUMε/F\x15\x17＼Ｇ␈␗j␔\f␈-Ｎ ␄",
	}, { // 5162
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "ζ βψ％x/\fχ；ｕUMε/F\x15\x17＼Ｇ␈␗j␔\f␈-Ｎ \t",
		out:  "ζ βψ％x/\fχ；ｕUMε/F\x15\x17＼Ｇ␈␗j␔\f␈-Ｎ ␉",
	}, { // 5163
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "ζ βψ％x/\fχ；ｕUMε/F\x15\x17＼Ｇ␈␗j␔\f␈-Ｎ ␉",
		out:  "ζ βψ％x/\fχ；ｕUMε/F\x15\x17＼Ｇ␈␗j␔\f␈-Ｎ ‛␉",
	}, { // 5164
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t ^！K｀{t8\x1bχ$ｅσ）／\r<ｃＴςη\x00ｈ\x0eμ＃ι ｜",
		out:  "\t ^！K｀{t8\x1bχ$ｅσ）／\r<ｃＴςη␀ｈ\x0eμ＃ι ｜",
	}, { // 5165
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ^！K｀{t8\x1bχ$ｅσ）／\r<ｃＴςη\x00ｈ\x0eμ＃ι ｜",
		out:  "␉ ^！K｀{t8\x1bχ$ｅσ）／\r<ｃＴςη␀ｈ\x0eμ＃ι ｜",
	}, { // 5166
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "q ^！K｀{t8\x1bχ$ｅσ）／\r<ｃＴςη\x00ｈ\x0eμ＃ι \t",
		out:  "q ^！K｀{t8\x1bχ$ｅσ）／\r<ｃＴςη␀ｈ\x0eμ＃ι ␉",
	}, { // 5167
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "q ^！K｀{t8\x1bχ$ｅσ）／\r<ｃＴςη\x00ｈ\x0eμ＃ι ␉",
		out:  "q ^！K｀{t8\x1bχ$ｅσ）／\r<ｃＴςη␀ｈ\x0eμ＃ι ‛␉",
	}, { // 5168
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t ␋＄␅Ｌτχ|％κ\x03␆8mn＇＇ＹＮ/τ4$ｓυ\x1a5 β",
		out:  "\t ␋＄␅Ｌτχ|％κ\x03␆8mn＇＇ＹＮ/τ4$ｓυ\x1a5 β",
	}, { // 5169
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ␋＄␅Ｌτχ|％κ\x03␆8mn＇＇ＹＮ/τ4$ｓυ\x1a5 β",
		out:  "␉ ␋＄␅Ｌτχ|％κ\x03␆8mn＇＇ＹＮ/τ4$ｓυ\x1a5 β",
	}, { // 5170
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\x11 ␋＄␅Ｌτχ|％κ\x03␆8mn＇＇ＹＮ/τ4$ｓυ\x1a5 \t",
		out:  "\x11 ␋＄␅Ｌτχ|％κ\x03␆8mn＇＇ＹＮ/τ4$ｓυ\x1a5 ␉",
	}, { // 5171
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\x11 ␋＄␅Ｌτχ|％κ\x03␆8mn＇＇ＹＮ/τ4$ｓυ\x1a5 ␉",
		out:  "\x11 ␋＄␅Ｌτχ|％κ\x03␆8mn＇＇ＹＮ/τ4$ｓυ\x1a5 ‛␉",
	}, { // 5172
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t ␌I␝｛\x10x｛\x1e\x0f{ε\x19\x05q/δＯ}τσκ．［ρ␏＆ ␎",
		out:  "\t ␌I␝｛\x10x｛\x1e\x0f{ε\x19\x05q/δＯ}τσκ．［ρ␏＆ ␎",
	}, { // 5173
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ␌I␝｛\x10x｛\x1e\x0f{ε\x19\x05q/δＯ}τσκ．［ρ␏＆ ␎",
		out:  "␉ ␌I␝｛\x10x｛\x1e\x0f{ε\x19\x05q/δＯ}τσκ．［ρ␏＆ ␎",
	}, { // 5174
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "＞ ␌I␝｛\x10x｛\x1e\x0f{ε\x19\x05q/δＯ}τσκ．［ρ␏＆ \t",
		out:  "＞ ␌I␝｛\x10x｛\x1e\x0f{ε\x19\x05q/δＯ}τσκ．［ρ␏＆ ␉",
	}, { // 5175
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "＞ ␌I␝｛\x10x｛\x1e\x0f{ε\x19\x05q/δＯ}τσκ．［ρ␏＆ ␉",
		out:  "＞ ␌I␝｛\x10x｛\x1e\x0f{ε\x19\x05q/δＯ}τσκ．［ρ␏＆ ‛␉",
	}, { // 5176
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t ｋν␁\rο*μJａ\f６！#:αＷ＄λ\uff00dＳ＃γ␚␂\x17 |",
		out:  "\t ｋν␁\rο＊μJａ\f６！#:αＷ＄λ\uff00dＳ＃γ␚␂\x17 |",
	}, { // 5177
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ｋν␁\rο*μJａ\f６！#:αＷ＄λ\uff00dＳ＃γ␚␂\x17 |",
		out:  "␉ ｋν␁\rο＊μJａ\f６！#:αＷ＄λ\uff00dＳ＃γ␚␂\x17 |",
	}, { // 5178
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "N ｋν␁\rο*μJａ\f６！#:αＷ＄λ\uff00dＳ＃γ␚␂\x17 \t",
		out:  "N ｋν␁\rο＊μJａ\f６！#:αＷ＄λ\uff00dＳ＃γ␚␂\x17 ␉",
	}, { // 5179
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "N ｋν␁\rο*μJａ\f６！#:αＷ＄λ\uff00dＳ＃γ␚␂\x17 ␉",
		out:  "N ｋν␁\rο＊μJａ\f６！#:αＷ＄λ\uff00dＳ＃γ␚␂\x17 ‛␉",
	}, { // 5180
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t /V␊+Ｄ｀ιδ'γ\x7fｕ\x12＃'␍Ｉζt＄７␟␏lχω c",
		out:  "\t /V␊+Ｄ｀ιδ'γ\x7fｕ\x12＃'␍Ｉζt＄７␟␏lχω c",
	}, { // 5181
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ /V␊+Ｄ｀ιδ'γ\x7fｕ\x12＃'␍Ｉζt＄７␟␏lχω c",
		out:  "␉ /V␊+Ｄ｀ιδ'γ\x7fｕ\x12＃'␍Ｉζt＄７␟␏lχω c",
	}, { // 5182
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␔ /V␊+Ｄ｀ιδ'γ\x7fｕ\x12＃'␍Ｉζt＄７␟␏lχω \t",
		out:  "␔ /V␊+Ｄ｀ιδ'γ\x7fｕ\x12＃'␍Ｉζt＄７␟␏lχω ␉",
	}, { // 5183
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␔ /V␊+Ｄ｀ιδ'γ\x7fｕ\x12＃'␍Ｉζt＄７␟␏lχω ␉",
		out:  "␔ /V␊+Ｄ｀ιδ'γ\x7fｕ\x12＃'␍Ｉζt＄７␟␏lχω ‛␉",
	}, { // 5184
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t ｃ␜Ｊ［０i␅\"Ｑ{\x18α0@ψ\x15!ζ7␗ο\x7fς\uff00\x16； ο",
		out:  "\t ｃ␜Ｊ［０i␅\"Ｑ{\x18α0@ψ\x15!ζ7␗ο\x7fς\uff00\x16； ο",
	}, { // 5185
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ｃ␜Ｊ［０i␅\"Ｑ{\x18α0@ψ\x15!ζ7␗ο\x7fς\uff00\x16； ο",
		out:  "␉ ｃ␜Ｊ［０i␅\"Ｑ{\x18α0@ψ\x15!ζ7␗ο\x7fς\uff00\x16； ο",
	}, { // 5186
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\x01 ｃ␜Ｊ［０i␅\"Ｑ{\x18α0@ψ\x15!ζ7␗ο\x7fς\uff00\x16； \t",
		out:  "\x01 ｃ␜Ｊ［０i␅\"Ｑ{\x18α0@ψ\x15!ζ7␗ο\x7fς\uff00\x16； ␉",
	}, { // 5187
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\x01 ｃ␜Ｊ［０i␅\"Ｑ{\x18α0@ψ\x15!ζ7␗ο\x7fς\uff00\x16； ␉",
		out:  "\x01 ｃ␜Ｊ［０i␅\"Ｑ{\x18α0@ψ\x15!ζ7␗ο\x7fς\uff00\x16； ‛␉",
	}, { // 5188
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t \x17␖\uff00ψ\x11&`σ\x01zｖψ［２@O␆␅ο\uff00\rz␙ιＰＰ \a",
		out:  "\t \x17␖\uff00ψ\x11&`σ\x01zｖψ［２@O␆␅ο\uff00\rz␙ιＰＰ \a",
	}, { // 5189
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ \x17␖\uff00ψ\x11&`σ\x01zｖψ［２@O␆␅ο\uff00\rz␙ιＰＰ \a",
		out:  "␉ \x17␖\uff00ψ\x11&`σ\x01zｖψ［２@O␆␅ο\uff00\rz␙ιＰＰ \a",
	}, { // 5190
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "2 \x17␖\uff00ψ\x11&`σ\x01zｖψ［２@O␆␅ο\uff00\rz␙ιＰＰ \t",
		out:  "2 \x17␖\uff00ψ\x11&`σ\x01zｖψ［２@O␆␅ο\uff00\rz␙ιＰＰ ␉",
	}, { // 5191
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "2 \x17␖\uff00ψ\x11&`σ\x01zｖψ［２@O␆␅ο\uff00\rz␙ιＰＰ ␉",
		out:  "2 \x17␖\uff00ψ\x11&`σ\x01zｖψ［２@O␆␅ο\uff00\rz␙ιＰＰ ‛␉",
	}, { // 5192
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t ＃;｀＼\x10π4\x1eβυ％Ｑ␓\x16φ␀#~␇ｆ［ο#\x0fRη b",
		out:  "\t ＃;｀‛＼\x10π4\x1eβυ％Ｑ␓\x16φ‛␀#~␇ｆ［ο#\x0fRη b",
	}, { // 5193
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ＃;｀＼\x10π4\x1eβυ％Ｑ␓\x16φ␀#~␇ｆ［ο#\x0fRη b",
		out:  "␉ ＃;｀‛＼\x10π4\x1eβυ％Ｑ␓\x16φ‛␀#~␇ｆ［ο#\x0fRη b",
	}, { // 5194
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "！ ＃;｀＼\x10π4\x1eβυ％Ｑ␓\x16φ␀#~␇ｆ［ο#\x0fRη \t",
		out:  "！ ＃;｀‛＼\x10π4\x1eβυ％Ｑ␓\x16φ‛␀#~␇ｆ［ο#\x0fRη ␉",
	}, { // 5195
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "！ ＃;｀＼\x10π4\x1eβυ％Ｑ␓\x16φ␀#~␇ｆ［ο#\x0fRη ␉",
		out:  "！ ＃;｀‛＼\x10π4\x1eβυ％Ｑ␓\x16φ‛␀#~␇ｆ［ο#\x0fRη ‛␉",
	}, { // 5196
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t e\x1b\b␅`７$␄\tχκυυ ζ\"&c␂\x03\uff00Ｙ␁`Ｂ␙ Ｖ",
		out:  "\t e\x1b\b␅`７$␄\tχκυυ ζ\"&c␂\x03\uff00Ｙ␁`Ｂ␙ Ｖ",
	}, { // 5197
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ e\x1b\b␅`７$␄\tχκυυ ζ\"&c␂\x03\uff00Ｙ␁`Ｂ␙ Ｖ",
		out:  "␉ e\x1b\b␅`７$␄\tχκυυ ζ\"&c␂\x03\uff00Ｙ␁`Ｂ␙ Ｖ",
	}, { // 5198
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "ｒ e\x1b\b␅`７$␄\tχκυυ ζ\"&c␂\x03\uff00Ｙ␁`Ｂ␙ \t",
		out:  "ｒ e\x1b\b␅`７$␄\tχκυυ ζ\"&c␂\x03\uff00Ｙ␁`Ｂ␙ ␉",
	}, { // 5199
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "ｒ e\x1b\b␅`７$␄\tχκυυ ζ\"&c␂\x03\uff00Ｙ␁`Ｂ␙ ␉",
		out:  "ｒ e\x1b\b␅`７$␄\tχκυυ ζ\"&c␂\x03\uff00Ｙ␁`Ｂ␙ ‛␉",
	}, { // 5200
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.[<ｖ␃{␉χθ\x15\x12φ｜θ\"π␃D[~υ\x03p,ｏ␑～.＃",
		out:  "\t.[<ｖ␃{␉χθ\x15\x12φ｜θ\"π␃D[~υ\x03p,ｏ␑～.＃",
	}, { // 5201
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.[<ｖ␃{␉χθ\x15\x12φ｜θ\"π␃D[~υ\x03p,ｏ␑～.＃",
		out:  "␉.[<ｖ␃{␉χθ\x15\x12φ｜θ\"π␃D[~υ\x03p,ｏ␑～.＃",
	}, { // 5202
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "ｊ.[<ｖ␃{␉χθ\x15\x12φ｜θ\"π␃D[~υ\x03p,ｏ␑～.\t",
		out:  "ｊ.[<ｖ␃{␉χθ\x15\x12φ｜θ\"π␃D[~υ\x03p,ｏ␑～.␉",
	}, { // 5203
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "ｊ.[<ｖ␃{␉χθ\x15\x12φ｜θ\"π␃D[~υ\x03p,ｏ␑～.␉",
		out:  "ｊ.[<ｖ␃{␉χθ\x15\x12φ｜θ\"π␃D[~υ\x03p,ｏ␑～.‛␉",
	}, { // 5204
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.4＜ψ＇＋／ζw`#\x1dζωＢｒ␉c！␄d9Ｘς\b␁\x15.η",
		out:  "\t.4＜ψ＇＋‛／ζw`#\x1dζωＢｒ␉c！␄d9Ｘς\b␁\x15.η",
	}, { // 5205
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.4＜ψ＇＋／ζw`#\x1dζωＢｒ␉c！␄d9Ｘς\b␁\x15.η",
		out:  "␉.4＜ψ＇＋‛／ζw`#\x1dζωＢｒ␉c！␄d9Ｘς\b␁\x15.η",
	}, { // 5206
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   ":.4＜ψ＇＋／ζw`#\x1dζωＢｒ␉c！␄d9Ｘς\b␁\x15.\t",
		out:  ":.4＜ψ＇＋‛／ζw`#\x1dζωＢｒ␉c！␄d9Ｘς\b␁\x15.␉",
	}, { // 5207
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   ":.4＜ψ＇＋／ζw`#\x1dζωＢｒ␉c！␄d9Ｘς\b␁\x15.␉",
		out:  ":.4＜ψ＇＋‛／ζw`#\x1dζωＢｒ␉c！␄d9Ｘς\b␁\x15.‛␉",
	}, { // 5208
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.ι４]␋Aεθ'κＷθｊ␓ψ\x1d/H\x18\\\\␉\x0e6+］：.｛",
		out:  "\t.ι４]␋Aεθ＇κＷθｊ␓ψ\x1d/H\x18\\\\␉\x0e6+］：.｛",
	}, { // 5209
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.ι４]␋Aεθ'κＷθｊ␓ψ\x1d/H\x18\\\\␉\x0e6+］：.｛",
		out:  "␉.ι４]␋Aεθ＇κＷθｊ␓ψ\x1d/H\x18\\\\␉\x0e6+］：.｛",
	}, { // 5210
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␊.ι４]␋Aεθ'κＷθｊ␓ψ\x1d/H\x18\\\\␉\x0e6+］：.\t",
		out:  "␊.ι４]␋Aεθ＇κＷθｊ␓ψ\x1d/H\x18\\\\␉\x0e6+］：.␉",
	}, { // 5211
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␊.ι４]␋Aεθ'κＷθｊ␓ψ\x1d/H\x18\\\\␉\x0e6+］：.␉",
		out:  "␊.ι４]␋Aεθ＇κＷθｊ␓ψ\x1d/H\x18\\\\␉\x0e6+］：.‛␉",
	}, { // 5212
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.ＪＱyjgψ\x16ξhυβ\x17␍␎'φ␅kＮ｜\vH␆/␋Ｉ.]",
		out:  "\t.ＪＱyjgψ\x16ξhυβ\x17␍␎'φ␅kＮ｜\vH␆/␋Ｉ.]",
	}, { // 5213
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.ＪＱyjgψ\x16ξhυβ\x17␍␎'φ␅kＮ｜\vH␆/␋Ｉ.]",
		out:  "␉.ＪＱyjgψ\x16ξhυβ\x17␍␎'φ␅kＮ｜\vH␆/␋Ｉ.]",
	}, { // 5214
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "４.ＪＱyjgψ\x16ξhυβ\x17␍␎'φ␅kＮ｜\vH␆/␋Ｉ.\t",
		out:  "４.ＪＱyjgψ\x16ξhυβ\x17␍␎'φ␅kＮ｜\vH␆/␋Ｉ.␉",
	}, { // 5215
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "４.ＪＱyjgψ\x16ξhυβ\x17␍␎'φ␅kＮ｜\vH␆/␋Ｉ.␉",
		out:  "４.ＪＱyjgψ\x16ξhυβ\x17␍␎'φ␅kＮ｜\vH␆/␋Ｉ.‛␉",
	}, { // 5216
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.οψｄ１＊\\\x10κ%␒ ；|#'οc␟u␅␗μ\x16＃ｚ\x19.＊",
		out:  "\t.οψｄ１＊\\\x10κ%␒ ；|#'οc␟u␅␗μ\x16＃ｚ\x19.＊",
	}, { // 5217
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.οψｄ１＊\\\x10κ%␒ ；|#'οc␟u␅␗μ\x16＃ｚ\x19.＊",
		out:  "␉.οψｄ１＊\\\x10κ%␒ ；|#'οc␟u␅␗μ\x16＃ｚ\x19.＊",
	}, { // 5218
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "４.οψｄ１＊\\\x10κ%␒ ；|#'οc␟u␅␗μ\x16＃ｚ\x19.\t",
		out:  "４.οψｄ１＊\\\x10κ%␒ ；|#'οc␟u␅␗μ\x16＃ｚ\x19.␉",
	}, { // 5219
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "４.οψｄ１＊\\\x10κ%␒ ；|#'οc␟u␅␗μ\x16＃ｚ\x19.␉",
		out:  "４.οψｄ１＊\\\x10κ%␒ ；|#'οc␟u␅␗μ\x16＃ｚ\x19.‛␉",
	}, { // 5220
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.\n！ω'Ｇν｀＄ι2ζＤ\t\x7fQ＂Ｒ\x1b／ι␝D\r!，［.␝",
		out:  "\t.\n！ω'Ｇν｀＄ι2ζＤ\t\x7fQ＂Ｒ\x1b／ι␝D\r!，‛［.␝",
	}, { // 5221
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.\n！ω'Ｇν｀＄ι2ζＤ\t\x7fQ＂Ｒ\x1b／ι␝D\r!，［.␝",
		out:  "␉.\n！ω'Ｇν｀＄ι2ζＤ\t\x7fQ＂Ｒ\x1b／ι␝D\r!，‛［.␝",
	}, { // 5222
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   ">.\n！ω'Ｇν｀＄ι2ζＤ\t\x7fQ＂Ｒ\x1b／ι␝D\r!，［.\t",
		out:  ">.\n！ω'Ｇν｀＄ι2ζＤ\t\x7fQ＂Ｒ\x1b／ι␝D\r!，‛［.␉",
	}, { // 5223
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   ">.\n！ω'Ｇν｀＄ι2ζＤ\t\x7fQ＂Ｒ\x1b／ι␝D\r!，［.␉",
		out:  ">.\n！ω'Ｇν｀＄ι2ζＤ\t\x7fQ＂Ｒ\x1b／ι␝D\r!，‛［.‛␉",
	}, { // 5224
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.＃ζ␀＼＞ｑj\r␀*ρδＰ$\x02\vTl８␎ｌ\\>\rρ␍.β",
		out:  "\t.＃ζ‛␀＼＞ｑj\r‛␀*ρδＰ$\x02\vTl８␎ｌ\\>\rρ␍.β",
	}, { // 5225
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.＃ζ␀＼＞ｑj\r␀*ρδＰ$\x02\vTl８␎ｌ\\>\rρ␍.β",
		out:  "␉.＃ζ‛␀＼＞ｑj\r‛␀*ρδＰ$\x02\vTl８␎ｌ\\>\rρ␍.β",
	}, { // 5226
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "［.＃ζ␀＼＞ｑj\r␀*ρδＰ$\x02\vTl８␎ｌ\\>\rρ␍.\t",
		out:  "［.＃ζ‛␀＼＞ｑj\r‛␀*ρδＰ$\x02\vTl８␎ｌ\\>\rρ␍.␉",
	}, { // 5227
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "［.＃ζ␀＼＞ｑj\r␀*ρδＰ$\x02\vTl８␎ｌ\\>\rρ␍.␉",
		out:  "［.＃ζ‛␀＼＞ｑj\r‛␀*ρδＰ$\x02\vTl８␎ｌ\\>\rρ␍.‛␉",
	}, { // 5228
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.␉␞8ξｗｎ␆３［α\x1d／*C/ζ␖\x18\\ηφψ\x17\x1fJ␡.Ｋ",
		out:  "\t.␉␞8ξｗｎ␆３［α\x1d／*C/ζ␖\x18\\ηφψ\x17\x1fJ␡.Ｋ",
	}, { // 5229
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.␉␞8ξｗｎ␆３［α\x1d／*C/ζ␖\x18\\ηφψ\x17\x1fJ␡.Ｋ",
		out:  "␉.␉␞8ξｗｎ␆３［α\x1d／*C/ζ␖\x18\\ηφψ\x17\x1fJ␡.Ｋ",
	}, { // 5230
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "<.␉␞8ξｗｎ␆３［α\x1d／*C/ζ␖\x18\\ηφψ\x17\x1fJ␡.\t",
		out:  "<.␉␞8ξｗｎ␆３［α\x1d／*C/ζ␖\x18\\ηφψ\x17\x1fJ␡.␉",
	}, { // 5231
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "<.␉␞8ξｗｎ␆３［α\x1d／*C/ζ␖\x18\\ηφψ\x17\x1fJ␡.␉",
		out:  "<.␉␞8ξｗｎ␆３［α\x1d／*C/ζ␖\x18\\ηφψ\x17\x1fJ␡.‛␉",
	}, { // 5232
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.；␡C＄Ｏζο{]θψ\bυ␋ｅ？y\x0fs␉？\aξ\f／＜.ｈ",
		out:  "\t.；␡C‛＄Ｏζο{]θψ\bυ␋ｅ？y\x0fs␉？\aξ\f／＜.ｈ",
	}, { // 5233
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.；␡C＄Ｏζο{]θψ\bυ␋ｅ？y\x0fs␉？\aξ\f／＜.ｈ",
		out:  "␉.；␡C‛＄Ｏζο{]θψ\bυ␋ｅ？y\x0fs␉？\aξ\f／＜.ｈ",
	}, { // 5234
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "O.；␡C＄Ｏζο{]θψ\bυ␋ｅ？y\x0fs␉？\aξ\f／＜.\t",
		out:  "O.；␡C‛＄Ｏζο{]θψ\bυ␋ｅ？y\x0fs␉？\aξ\f／＜.␉",
	}, { // 5235
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "O.；␡C＄Ｏζο{]θψ\bυ␋ｅ？y\x0fs␉？\aξ\f／＜.␉",
		out:  "O.；␡C‛＄Ｏζο{]θψ\bυ␋ｅ？y\x0fs␉？\aξ\f／＜.‛␉",
	}, { // 5236
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.;].ηχ␋?k＋|␁\t␘Ｈζ［Ｆ\x7fｉ␊␃9μη␒\x1e.π",
		out:  "\t.;].ηχ␋?k＋|␁\t␘Ｈζ［Ｆ\x7fｉ␊␃9μη␒\x1e.π",
	}, { // 5237
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.;].ηχ␋?k＋|␁\t␘Ｈζ［Ｆ\x7fｉ␊␃9μη␒\x1e.π",
		out:  "␉.;].ηχ␋?k＋|␁\t␘Ｈζ［Ｆ\x7fｉ␊␃9μη␒\x1e.π",
	}, { // 5238
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "e.;].ηχ␋?k＋|␁\t␘Ｈζ［Ｆ\x7fｉ␊␃9μη␒\x1e.\t",
		out:  "e.;].ηχ␋?k＋|␁\t␘Ｈζ［Ｆ\x7fｉ␊␃9μη␒\x1e.␉",
	}, { // 5239
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "e.;].ηχ␋?k＋|␁\t␘Ｈζ［Ｆ\x7fｉ␊␃9μη␒\x1e.␉",
		out:  "e.;].ηχ␋?k＋|␁\t␘Ｈζ［Ｆ\x7fｉ␊␃9μη␒\x1e.‛␉",
	}, { // 5240
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.␁ζｖＹ９πｌ␜νκ\x1bθ\x00␍ＦX\x13␕$␚χ1[@\x0f＄..",
		out:  "\t.␁ζｖＹ９πｌ␜νκ\x1bθ␀␍ＦX\x13␕$␚χ1[@\x0f＄..",
	}, { // 5241
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.␁ζｖＹ９πｌ␜νκ\x1bθ\x00␍ＦX\x13␕$␚χ1[@\x0f＄..",
		out:  "␉.␁ζｖＹ９πｌ␜νκ\x1bθ␀␍ＦX\x13␕$␚χ1[@\x0f＄..",
	}, { // 5242
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\x02.␁ζｖＹ９πｌ␜νκ\x1bθ\x00␍ＦX\x13␕$␚χ1[@\x0f＄.\t",
		out:  "\x02.␁ζｖＹ９πｌ␜νκ\x1bθ␀␍ＦX\x13␕$␚χ1[@\x0f＄.␉",
	}, { // 5243
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\x02.␁ζｖＹ９πｌ␜νκ\x1bθ\x00␍ＦX\x13␕$␚χ1[@\x0f＄.␉",
		out:  "\x02.␁ζｖＹ９πｌ␜νκ\x1bθ␀␍ＦX\x13␕$␚χ1[@\x0f＄.‛␉",
	}, { // 5244
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.δvκ\x1fｙｔ｜ｅ＃\\y␉.␟2！\x10ι6ν＼␊%κＤ@.\x06",
		out:  "\t.δvκ\x1fｙｔ｜ｅ＃\\y␉.␟2！\x10ι6ν＼␊%κＤ@.\x06",
	}, { // 5245
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.δvκ\x1fｙｔ｜ｅ＃\\y␉.␟2！\x10ι6ν＼␊%κＤ@.\x06",
		out:  "␉.δvκ\x1fｙｔ｜ｅ＃\\y␉.␟2！\x10ι6ν＼␊%κＤ@.\x06",
	}, { // 5246
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "π.δvκ\x1fｙｔ｜ｅ＃\\y␉.␟2！\x10ι6ν＼␊%κＤ@.\t",
		out:  "π.δvκ\x1fｙｔ｜ｅ＃\\y␉.␟2！\x10ι6ν＼␊%κＤ@.␉",
	}, { // 5247
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "π.δvκ\x1fｙｔ｜ｅ＃\\y␉.␟2！\x10ι6ν＼␊%κＤ@.␉",
		out:  "π.δvκ\x1fｙｔ｜ｅ＃\\y␉.␟2！\x10ι6ν＼␊%κＤ@.‛␉",
	}, { // 5248
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.ＺP'ROＦ９\x0e␝Ｆ\x1bj＂\x15\x01ζ␈％πς＜Ｕ\x00ςο\x0e.：",
		out:  "\t.ＺP'ROＦ９\x0e␝Ｆ\x1bj＂\x15\x01ζ␈％πς＜Ｕ␀ςο\x0e.：",
	}, { // 5249
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.ＺP'ROＦ９\x0e␝Ｆ\x1bj＂\x15\x01ζ␈％πς＜Ｕ\x00ςο\x0e.：",
		out:  "␉.ＺP'ROＦ９\x0e␝Ｆ\x1bj＂\x15\x01ζ␈％πς＜Ｕ␀ςο\x0e.：",
	}, { // 5250
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "P.ＺP'ROＦ９\x0e␝Ｆ\x1bj＂\x15\x01ζ␈％πς＜Ｕ\x00ςο\x0e.\t",
		out:  "P.ＺP'ROＦ９\x0e␝Ｆ\x1bj＂\x15\x01ζ␈％πς＜Ｕ␀ςο\x0e.␉",
	}, { // 5251
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "P.ＺP'ROＦ９\x0e␝Ｆ\x1bj＂\x15\x01ζ␈％πς＜Ｕ\x00ςο\x0e.␉",
		out:  "P.ＺP'ROＦ９\x0e␝Ｆ\x1bj＂\x15\x01ζ␈％πς＜Ｕ␀ςο\x0e.‛␉",
	}, { // 5252
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.－Iε8ξＥｏ␙␏\t＃<ν８７\x1f\x04␚ε␁A；$\x14%ι.#",
		out:  "\t.－Iε8ξＥｏ␙␏\t＃<ν８７\x1f\x04␚ε␁A；$\x14%ι.#",
	}, { // 5253
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.－Iε8ξＥｏ␙␏\t＃<ν８７\x1f\x04␚ε␁A；$\x14%ι.#",
		out:  "␉.－Iε8ξＥｏ␙␏\t＃<ν８７\x1f\x04␚ε␁A；$\x14%ι.#",
	}, { // 5254
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "ｍ.－Iε8ξＥｏ␙␏\t＃<ν８７\x1f\x04␚ε␁A；$\x14%ι.\t",
		out:  "ｍ.－Iε8ξＥｏ␙␏\t＃<ν８７\x1f\x04␚ε␁A；$\x14%ι.␉",
	}, { // 5255
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "ｍ.－Iε8ξＥｏ␙␏\t＃<ν８７\x1f\x04␚ε␁A；$\x14%ι.␉",
		out:  "ｍ.－Iε8ξＥｏ␙␏\t＃<ν８７\x1f\x04␚ε␁A；$\x14%ι.‛␉",
	}, { // 5256
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.Ｇ`kl？wＰ！␒χκＬ`\x1f ２ς＄.␍␖ζ＊γσ\x02.m",
		out:  "\t.Ｇ`kl？wＰ！␒χκＬ`\x1f ２ς＄.␍␖ζ＊γσ\x02.m",
	}, { // 5257
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.Ｇ`kl？wＰ！␒χκＬ`\x1f ２ς＄.␍␖ζ＊γσ\x02.m",
		out:  "␉.Ｇ`kl？wＰ！␒χκＬ`\x1f ２ς＄.␍␖ζ＊γσ\x02.m",
	}, { // 5258
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\x04.Ｇ`kl？wＰ！␒χκＬ`\x1f ２ς＄.␍␖ζ＊γσ\x02.\t",
		out:  "\x04.Ｇ`kl？wＰ！␒χκＬ`\x1f ２ς＄.␍␖ζ＊γσ\x02.␉",
	}, { // 5259
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\x04.Ｇ`kl？wＰ！␒χκＬ`\x1f ２ς＄.␍␖ζ＊γσ\x02.␉",
		out:  "\x04.Ｇ`kl？wＰ！␒χκＬ`\x1f ２ς＄.␍␖ζ＊γσ\x02.‛␉",
	}, { // 5260
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.１iα\x1e\v＂\x14］ｈ␜c ／0χＬ\x0f␟?␃~␓\x1f６［\r.δ",
		out:  "\t.１iα\x1e\v＂\x14］ｈ␜c ／0χＬ\x0f␟?␃~␓\x1f６［\r.δ",
	}, { // 5261
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.１iα\x1e\v＂\x14］ｈ␜c ／0χＬ\x0f␟?␃~␓\x1f６［\r.δ",
		out:  "␉.１iα\x1e\v＂\x14］ｈ␜c ／0χＬ\x0f␟?␃~␓\x1f６［\r.δ",
	}, { // 5262
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "ξ.１iα\x1e\v＂\x14］ｈ␜c ／0χＬ\x0f␟?␃~␓\x1f６［\r.\t",
		out:  "ξ.１iα\x1e\v＂\x14］ｈ␜c ／0χＬ\x0f␟?␃~␓\x1f６［\r.␉",
	}, { // 5263
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "ξ.１iα\x1e\v＂\x14］ｈ␜c ／0χＬ\x0f␟?␃~␓\x1f６［\r.␉",
		out:  "ξ.１iα\x1e\v＂\x14］ｈ␜c ／0χＬ\x0f␟?␃~␓\x1f６［\r.‛␉",
	}, { // 5264
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.\vμ\x00ι；Z｜Cｕm␞＇\t\x03!α\uff00Ｒ)ｎρνｕ␇(ς.␄",
		out:  "\t.\vμ␀ι；Z｜Cｕm␞＇\t\x03!α\uff00Ｒ)ｎρνｕ␇(ς.␄",
	}, { // 5265
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.\vμ\x00ι；Z｜Cｕm␞＇\t\x03!α\uff00Ｒ)ｎρνｕ␇(ς.␄",
		out:  "␉.\vμ␀ι；Z｜Cｕm␞＇\t\x03!α\uff00Ｒ)ｎρνｕ␇(ς.␄",
	}, { // 5266
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\x18.\vμ\x00ι；Z｜Cｕm␞＇\t\x03!α\uff00Ｒ)ｎρνｕ␇(ς.\t",
		out:  "\x18.\vμ␀ι；Z｜Cｕm␞＇\t\x03!α\uff00Ｒ)ｎρνｕ␇(ς.␉",
	}, { // 5267
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\x18.\vμ\x00ι；Z｜Cｕm␞＇\t\x03!α\uff00Ｒ)ｎρνｕ␇(ς.␉",
		out:  "\x18.\vμ␀ι；Z｜Cｕm␞＇\t\x03!α\uff00Ｒ)ｎρνｕ␇(ς.‛␉",
	}, { // 5268
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.ψ␖\x18N;ｌC\a；＂φπ\x12\x12｜␚h#␙＃\x10\\＊␔νｒ.！",
		out:  "\t.ψ␖\x18N;ｌC\a；＂φπ\x12\x12｜␚h#␙＃\x10\\＊␔νｒ.！",
	}, { // 5269
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.ψ␖\x18N;ｌC\a；＂φπ\x12\x12｜␚h#␙＃\x10\\＊␔νｒ.！",
		out:  "␉.ψ␖\x18N;ｌC\a；＂φπ\x12\x12｜␚h#␙＃\x10\\＊␔νｒ.！",
	}, { // 5270
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "β.ψ␖\x18N;ｌC\a；＂φπ\x12\x12｜␚h#␙＃\x10\\＊␔νｒ.\t",
		out:  "β.ψ␖\x18N;ｌC\a；＂φπ\x12\x12｜␚h#␙＃\x10\\＊␔νｒ.␉",
	}, { // 5271
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "β.ψ␖\x18N;ｌC\a；＂φπ\x12\x12｜␚h#␙＃\x10\\＊␔νｒ.␉",
		out:  "β.ψ␖\x18N;ｌC\a；＂φπ\x12\x12｜␚h#␙＃\x10\\＊␔νｒ.‛␉",
	}, { // 5272
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~＿6␏／U＄＿\x13gM@\x13τ$？）ω％μν\x1b\x10／␡ρσ~(",
		out:  "\t~＿6␏／U＄＿\x13gM@\x13τ$？）ω％μν\x1b\x10／␡ρσ~(",
	}, { // 5273
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~＿6␏／U＄＿\x13gM@\x13τ$？）ω％μν\x1b\x10／␡ρσ~(",
		out:  "␉~＿6␏／U＄＿\x13gM@\x13τ$？）ω％μν\x1b\x10／␡ρσ~(",
	}, { // 5274
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "ａ~＿6␏／U＄＿\x13gM@\x13τ$？）ω％μν\x1b\x10／␡ρσ~\t",
		out:  "ａ~＿6␏／U＄＿\x13gM@\x13τ$？）ω％μν\x1b\x10／␡ρσ~␉",
	}, { // 5275
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "ａ~＿6␏／U＄＿\x13gM@\x13τ$？）ω％μν\x1b\x10／␡ρσ~␉",
		out:  "ａ~＿6␏／U＄＿\x13gM@\x13τ$？）ω％μν\x1b\x10／␡ρσ~‛␉",
	}, { // 5276
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~ευ！\x01σ␟␖ＮM␇φｇ？\x12ｇ_\x14␉Q#ς'Ｙ]ν-~2",
		out:  "\t~ευ！\x01σ␟␖ＮM␇φｇ？\x12ｇ_\x14␉Q#ς'Ｙ]ν-~2",
	}, { // 5277
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~ευ！\x01σ␟␖ＮM␇φｇ？\x12ｇ_\x14␉Q#ς'Ｙ]ν-~2",
		out:  "␉~ευ！\x01σ␟␖ＮM␇φｇ？\x12ｇ_\x14␉Q#ς'Ｙ]ν-~2",
	}, { // 5278
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\x1b~ευ！\x01σ␟␖ＮM␇φｇ？\x12ｇ_\x14␉Q#ς'Ｙ]ν-~\t",
		out:  "\x1b~ευ！\x01σ␟␖ＮM␇φｇ？\x12ｇ_\x14␉Q#ς'Ｙ]ν-~␉",
	}, { // 5279
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\x1b~ευ！\x01σ␟␖ＮM␇φｇ？\x12ｇ_\x14␉Q#ς'Ｙ]ν-~␉",
		out:  "\x1b~ευ！\x01σ␟␖ＮM␇φｇ？\x12ｇ_\x14␉Q#ς'Ｙ]ν-~‛␉",
	}, { // 5280
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~Z\x1aχ`␜O｜φκ/L$７\x19\x16\x1aφ］>；｛/＊␋γ␒~δ",
		out:  "\t~Z\x1aχ`␜O｜φκ/L$７\x19\x16\x1aφ］>；｛/＊␋γ␒~δ",
	}, { // 5281
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~Z\x1aχ`␜O｜φκ/L$７\x19\x16\x1aφ］>；｛/＊␋γ␒~δ",
		out:  "␉~Z\x1aχ`␜O｜φκ/L$７\x19\x16\x1aφ］>；｛/＊␋γ␒~δ",
	}, { // 5282
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "ｔ~Z\x1aχ`␜O｜φκ/L$７\x19\x16\x1aφ］>；｛/＊␋γ␒~\t",
		out:  "ｔ~Z\x1aχ`␜O｜φκ/L$７\x19\x16\x1aφ］>；｛/＊␋γ␒~␉",
	}, { // 5283
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "ｔ~Z\x1aχ`␜O｜φκ/L$７\x19\x16\x1aφ］>；｛/＊␋γ␒~␉",
		out:  "ｔ~Z\x1aχ`␜O｜φκ/L$７\x19\x16\x1aφ］>；｛/＊␋γ␒~‛␉",
	}, { // 5284
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~␍υ␋␚ωｆｒＸ＊β/?7␅$|␋Z！\x10\x0f&θ␞/φ~ξ",
		out:  "\t~␍υ␋␚ωｆｒＸ＊β/?7␅$|␋Z！\x10\x0f&θ␞/φ~ξ",
	}, { // 5285
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~␍υ␋␚ωｆｒＸ＊β/?7␅$|␋Z！\x10\x0f&θ␞/φ~ξ",
		out:  "␉~␍υ␋␚ωｆｒＸ＊β/?7␅$|␋Z！\x10\x0f&θ␞/φ~ξ",
	}, { // 5286
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\x01~␍υ␋␚ωｆｒＸ＊β/?7␅$|␋Z！\x10\x0f&θ␞/φ~\t",
		out:  "\x01~␍υ␋␚ωｆｒＸ＊β/?7␅$|␋Z！\x10\x0f&θ␞/φ~␉",
	}, { // 5287
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\x01~␍υ␋␚ωｆｒＸ＊β/?7␅$|␋Z！\x10\x0f&θ␞/φ~␉",
		out:  "\x01~␍υ␋␚ωｆｒＸ＊β/?7␅$|␋Z！\x10\x0f&θ␞/φ~‛␉",
	}, { // 5288
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~␑␝＇␛μ３κ:ρν*μ\"␞\x13＜εＯＮ/M\x1ddt*␡~@",
		out:  "\t~␑␝＇␛μ３κ:ρν*μ\"␞\x13‛＜εＯＮ/M\x1ddt*␡~@",
	}, { // 5289
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~␑␝＇␛μ３κ:ρν*μ\"␞\x13＜εＯＮ/M\x1ddt*␡~@",
		out:  "␉~␑␝＇␛μ３κ:ρν*μ\"␞\x13‛＜εＯＮ/M\x1ddt*␡~@",
	}, { // 5290
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "！~␑␝＇␛μ３κ:ρν*μ\"␞\x13＜εＯＮ/M\x1ddt*␡~\t",
		out:  "！~␑␝＇␛μ３κ:ρν*μ\"␞\x13‛＜εＯＮ/M\x1ddt*␡~␉",
	}, { // 5291
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "！~␑␝＇␛μ３κ:ρν*μ\"␞\x13＜εＯＮ/M\x1ddt*␡~␉",
		out:  "！~␑␝＇␛μ３κ:ρν*μ\"␞\x13‛＜εＯＮ/M\x1ddt*␡~‛␉",
	}, { // 5292
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~？]␖\x1e␏\x14Ｍγｇ\uff00\x1c␊Hjε77τｙ／υ\\kβ␁Ｊ~\n",
		out:  "\t~？］␖\x1e␏\x14Ｍγｇ\uff00\x1c␊Hjε77τｙ／υ\\kβ␁Ｊ~␊",
	}, { // 5293
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~？]␖\x1e␏\x14Ｍγｇ\uff00\x1c␊Hjε77τｙ／υ\\kβ␁Ｊ~\n",
		out:  "␉~？］␖\x1e␏\x14Ｍγｇ\uff00\x1c␊Hjε77τｙ／υ\\kβ␁Ｊ~␊",
	}, { // 5294
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␐~？]␖\x1e␏\x14Ｍγｇ\uff00\x1c␊Hjε77τｙ／υ\\kβ␁Ｊ~\t",
		out:  "␐~？］␖\x1e␏\x14Ｍγｇ\uff00\x1c␊Hjε77τｙ／υ\\kβ␁Ｊ~␉",
	}, { // 5295
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␐~？]␖\x1e␏\x14Ｍγｇ\uff00\x1c␊Hjε77τｙ／υ\\kβ␁Ｊ~␉",
		out:  "␐~？］␖\x1e␏\x14Ｍγｇ\uff00\x1c␊Hjε77τｙ／υ\\kβ␁Ｊ~‛␉",
	}, { // 5296
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~/，Ｓ'Ｂ?0ς␗!η~ν␃\x10：？πoｗεａξ\x06ｙ*~␃",
		out:  "\t~/，Ｓ'Ｂ?0ς␗!η~ν␃\x10：？πoｗεａξ\x06ｙ*~␃",
	}, { // 5297
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~/，Ｓ'Ｂ?0ς␗!η~ν␃\x10：？πoｗεａξ\x06ｙ*~␃",
		out:  "␉~/，Ｓ'Ｂ?0ς␗!η~ν␃\x10：？πoｗεａξ\x06ｙ*~␃",
	}, { // 5298
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␆~/，Ｓ'Ｂ?0ς␗!η~ν␃\x10：？πoｗεａξ\x06ｙ*~\t",
		out:  "␆~/，Ｓ'Ｂ?0ς␗!η~ν␃\x10：？πoｗεａξ\x06ｙ*~␉",
	}, { // 5299
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␆~/，Ｓ'Ｂ?0ς␗!η~ν␃\x10：？πoｗεａξ\x06ｙ*~␉",
		out:  "␆~/，Ｓ'Ｂ?0ς␗!η~ν␃\x10：？πoｗεａξ\x06ｙ*~‛␉",
	}, { // 5300
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~]０\"ωＫ#\n␓χα\x12\t#\r？δψ！uQ_ο'␋␙Ｊ~９",
		out:  "\t~]０\"ωＫ#\n␓χα\x12\t#\r？δψ‛！uQ_ο'␋␙Ｊ~９",
	}, { // 5301
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~]０\"ωＫ#\n␓χα\x12\t#\r？δψ！uQ_ο'␋␙Ｊ~９",
		out:  "␉~]０\"ωＫ#\n␓χα\x12\t#\r？δψ‛！uQ_ο'␋␙Ｊ~９",
	}, { // 5302
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␆~]０\"ωＫ#\n␓χα\x12\t#\r？δψ！uQ_ο'␋␙Ｊ~\t",
		out:  "␆~]０\"ωＫ#\n␓χα\x12\t#\r？δψ‛！uQ_ο'␋␙Ｊ~␉",
	}, { // 5303
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␆~]０\"ωＫ#\n␓χα\x12\t#\r？δψ！uQ_ο'␋␙Ｊ~␉",
		out:  "␆~]０\"ωＫ#\n␓χα\x12\t#\r？δψ‛！uQ_ο'␋␙Ｊ~‛␉",
	}, { // 5304
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~ξ＜Ｙ␟fςb\x01␝ω？＞φ#]␍;\x19␆B＠σＴＭ!Ｗ~/",
		out:  "\t~ξ＜Ｙ␟fςb\x01␝ω？＞φ#]␍;\x19␆B＠σＴＭ!Ｗ~/",
	}, { // 5305
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~ξ＜Ｙ␟fςb\x01␝ω？＞φ#]␍;\x19␆B＠σＴＭ!Ｗ~/",
		out:  "␉~ξ＜Ｙ␟fςb\x01␝ω？＞φ#]␍;\x19␆B＠σＴＭ!Ｗ~/",
	}, { // 5306
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\x18~ξ＜Ｙ␟fςb\x01␝ω？＞φ#]␍;\x19␆B＠σＴＭ!Ｗ~\t",
		out:  "\x18~ξ＜Ｙ␟fςb\x01␝ω？＞φ#]␍;\x19␆B＠σＴＭ!Ｗ~␉",
	}, { // 5307
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\x18~ξ＜Ｙ␟fςb\x01␝ω？＞φ#]␍;\x19␆B＠σＴＭ!Ｗ~␉",
		out:  "\x18~ξ＜Ｙ␟fςb\x01␝ω？＞φ#]␍;\x19␆B＠σＴＭ!Ｗ~‛␉",
	}, { // 5308
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~s＋\x16\x12Gγｒ$\x05λ＇#␖ε␊␉ψμ＇/<Ａ｜ｍ<ｙ~V",
		out:  "\t~s＋\x16\x12Gγｒ$\x05λ＇#␖ε␊␉ψμ＇/<Ａ｜ｍ<ｙ~V",
	}, { // 5309
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~s＋\x16\x12Gγｒ$\x05λ＇#␖ε␊␉ψμ＇/<Ａ｜ｍ<ｙ~V",
		out:  "␉~s＋\x16\x12Gγｒ$\x05λ＇#␖ε␊␉ψμ＇/<Ａ｜ｍ<ｙ~V",
	}, { // 5310
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\\~s＋\x16\x12Gγｒ$\x05λ＇#␖ε␊␉ψμ＇/<Ａ｜ｍ<ｙ~\t",
		out:  "\\~s＋\x16\x12Gγｒ$\x05λ＇#␖ε␊␉ψμ＇/<Ａ｜ｍ<ｙ~␉",
	}, { // 5311
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\\~s＋\x16\x12Gγｒ$\x05λ＇#␖ε␊␉ψμ＇/<Ａ｜ｍ<ｙ~␉",
		out:  "\\~s＋\x16\x12Gγｒ$\x05λ＇#␖ε␊␉ψμ＇/<Ａ｜ｍ<ｙ~‛␉",
	}, { // 5312
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~(９ο␊␙ｎι;\x7f＠ρK␓\"ω␅]ｚ]\\θ>\x13_[ω~␟",
		out:  "\t~(９ο␊␙ｎι;\x7f＠ρK␓\"ω␅]ｚ]\\θ>\x13_[ω~␟",
	}, { // 5313
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~(９ο␊␙ｎι;\x7f＠ρK␓\"ω␅]ｚ]\\θ>\x13_[ω~␟",
		out:  "␉~(９ο␊␙ｎι;\x7f＠ρK␓\"ω␅]ｚ]\\θ>\x13_[ω~␟",
	}, { // 5314
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␚~(９ο␊␙ｎι;\x7f＠ρK␓\"ω␅]ｚ]\\θ>\x13_[ω~\t",
		out:  "␚~(９ο␊␙ｎι;\x7f＠ρK␓\"ω␅]ｚ]\\θ>\x13_[ω~␉",
	}, { // 5315
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␚~(９ο␊␙ｎι;\x7f＠ρK␓\"ω␅]ｚ]\\θ>\x13_[ω~␉",
		out:  "␚~(９ο␊␙ｎι;\x7f＠ρK␓\"ω␅]ｚ]\\θ>\x13_[ω~‛␉",
	}, { // 5316
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~Ｂ｜\r５\x1cπβ４␡Ｒψt<`YＭg␖␊σπ␄<Kκ\x11~＜",
		out:  "\t~Ｂ｜\r５\x1cπβ４␡Ｒψt<`YＭg␖␊σπ␄<Kκ\x11~＜",
	}, { // 5317
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~Ｂ｜\r５\x1cπβ４␡Ｒψt<`YＭg␖␊σπ␄<Kκ\x11~＜",
		out:  "␉~Ｂ｜\r５\x1cπβ４␡Ｒψt<`YＭg␖␊σπ␄<Kκ\x11~＜",
	}, { // 5318
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "p~Ｂ｜\r５\x1cπβ４␡Ｒψt<`YＭg␖␊σπ␄<Kκ\x11~\t",
		out:  "p~Ｂ｜\r５\x1cπβ４␡Ｒψt<`YＭg␖␊σπ␄<Kκ\x11~␉",
	}, { // 5319
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "p~Ｂ｜\r５\x1cπβ４␡Ｒψt<`YＭg␖␊σπ␄<Kκ\x11~␉",
		out:  "p~Ｂ｜\r５\x1cπβ４␡Ｒψt<`YＭg␖␊σπ␄<Kκ\x11~‛␉",
	}, { // 5320
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~φ\r＇ν␔＝＂＃\x19Bμ％β[c\x1fu｜kζ\x02#ｙ2␀φ~ｃ",
		out:  "\t~φ\r＇ν␔＝＂＃\x19Bμ％β[c\x1fu｜kζ\x02#ｙ2‛␀φ~ｃ",
	}, { // 5321
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~φ\r＇ν␔＝＂＃\x19Bμ％β[c\x1fu｜kζ\x02#ｙ2␀φ~ｃ",
		out:  "␉~φ\r＇ν␔＝＂＃\x19Bμ％β[c\x1fu｜kζ\x02#ｙ2‛␀φ~ｃ",
	}, { // 5322
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "，~φ\r＇ν␔＝＂＃\x19Bμ％β[c\x1fu｜kζ\x02#ｙ2␀φ~\t",
		out:  "，~φ\r＇ν␔＝＂＃\x19Bμ％β[c\x1fu｜kζ\x02#ｙ2‛␀φ~␉",
	}, { // 5323
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "，~φ\r＇ν␔＝＂＃\x19Bμ％β[c\x1fu｜kζ\x02#ｙ2␀φ~␉",
		out:  "，~φ\r＇ν␔＝＂＃\x19Bμ％β[c\x1fu｜kζ\x02#ｙ2‛␀φ~‛␉",
	}, { // 5324
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~τ?␊]\x1eι␍τＰο\tZ＄\x17␇φ3␀_+＊qＦ！&␍~\x04",
		out:  "\t~τ?␊]\x1eι␍τＰο\tZ＄\x17␇φ3‛␀_+＊qＦ！&␍~\x04",
	}, { // 5325
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~τ?␊]\x1eι␍τＰο\tZ＄\x17␇φ3␀_+＊qＦ！&␍~\x04",
		out:  "␉~τ?␊]\x1eι␍τＰο\tZ＄\x17␇φ3‛␀_+＊qＦ！&␍~\x04",
	}, { // 5326
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "Ｃ~τ?␊]\x1eι␍τＰο\tZ＄\x17␇φ3␀_+＊qＦ！&␍~\t",
		out:  "Ｃ~τ?␊]\x1eι␍τＰο\tZ＄\x17␇φ3‛␀_+＊qＦ！&␍~␉",
	}, { // 5327
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "Ｃ~τ?␊]\x1eι␍τＰο\tZ＄\x17␇φ3␀_+＊qＦ！&␍~␉",
		out:  "Ｃ~τ?␊]\x1eι␍τＰο\tZ＄\x17␇φ3‛␀_+＊qＦ！&␍~‛␉",
	}, { // 5328
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~\x12MＶｋ＃｀ρaβ\x16␜Rςχφ!\x1dφ０:＃ｅ\x0f␊␄N~{",
		out:  "\t~\x12MＶｋ‛＃｀ρaβ\x16␜Rςχφ!\x1dφ０:‛＃ｅ\x0f␊␄N~{",
	}, { // 5329
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~\x12MＶｋ＃｀ρaβ\x16␜Rςχφ!\x1dφ０:＃ｅ\x0f␊␄N~{",
		out:  "␉~\x12MＶｋ‛＃｀ρaβ\x16␜Rςχφ!\x1dφ０:‛＃ｅ\x0f␊␄N~{",
	}, { // 5330
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "｜~\x12MＶｋ＃｀ρaβ\x16␜Rςχφ!\x1dφ０:＃ｅ\x0f␊␄N~\t",
		out:  "｜~\x12MＶｋ‛＃｀ρaβ\x16␜Rςχφ!\x1dφ０:‛＃ｅ\x0f␊␄N~␉",
	}, { // 5331
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "｜~\x12MＶｋ＃｀ρaβ\x16␜Rςχφ!\x1dφ０:＃ｅ\x0f␊␄N~␉",
		out:  "｜~\x12MＶｋ‛＃｀ρaβ\x16␜Rςχφ!\x1dφ０:‛＃ｅ\x0f␊␄N~‛␉",
	}, { // 5332
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~＞％／sd@｜*:*Ａ］νηｈ␆Ｂ＂η|`＄\r%ξυ~?",
		out:  "\t~＞‛％／sd@｜*:*Ａ］νηｈ␆Ｂ＂η|`＄\r％ξυ~?",
	}, { // 5333
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~＞％／sd@｜*:*Ａ］νηｈ␆Ｂ＂η|`＄\r%ξυ~?",
		out:  "␉~＞‛％／sd@｜*:*Ａ］νηｈ␆Ｂ＂η|`＄\r％ξυ~?",
	}, { // 5334
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "m~＞％／sd@｜*:*Ａ］νηｈ␆Ｂ＂η|`＄\r%ξυ~\t",
		out:  "m~＞‛％／sd@｜*:*Ａ］νηｈ␆Ｂ＂η|`＄\r％ξυ~␉",
	}, { // 5335
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "m~＞％／sd@｜*:*Ａ］νηｈ␆Ｂ＂η|`＄\r%ξυ~␉",
		out:  "m~＞‛％／sd@｜*:*Ａ］νηｈ␆Ｂ＂η|`＄\r％ξυ~‛␉",
	}, { // 5336
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~ｔ?Ｐ␐/,\aＯk␛ｇηυβ\x05ωMＥ＞θ9＞7'#␆~ε",
		out:  "\t~ｔ?Ｐ␐/,\aＯk␛ｇηυβ\x05ωMＥ＞θ9＞7'#␆~ε",
	}, { // 5337
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~ｔ?Ｐ␐/,\aＯk␛ｇηυβ\x05ωMＥ＞θ9＞7'#␆~ε",
		out:  "␉~ｔ?Ｐ␐/,\aＯk␛ｇηυβ\x05ωMＥ＞θ9＞7'#␆~ε",
	}, { // 5338
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␜~ｔ?Ｐ␐/,\aＯk␛ｇηυβ\x05ωMＥ＞θ9＞7'#␆~\t",
		out:  "␜~ｔ?Ｐ␐/,\aＯk␛ｇηυβ\x05ωMＥ＞θ9＞7'#␆~␉",
	}, { // 5339
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␜~ｔ?Ｐ␐/,\aＯk␛ｇηυβ\x05ωMＥ＞θ9＞7'#␆~␉",
		out:  "␜~ｔ?Ｐ␐/,\aＯk␛ｇηυβ\x05ωMＥ＞θ9＞7'#␆~‛␉",
	}, { // 5340
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~σ␈＊␝％ｕ\f\x13Ｋ:γN\x7f\x17;\x1cＵＬ`ｇ␄ψ ␏ｎ~~ω",
		out:  "\t~σ␈＊␝％ｕ\f\x13Ｋ:γN␡\x17;\x1cＵＬ`ｇ␄ψ ␏ｎ~~ω",
	}, { // 5341
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~σ␈＊␝％ｕ\f\x13Ｋ:γN\x7f\x17;\x1cＵＬ`ｇ␄ψ ␏ｎ~~ω",
		out:  "␉~σ␈＊␝％ｕ\f\x13Ｋ:γN␡\x17;\x1cＵＬ`ｇ␄ψ ␏ｎ~~ω",
	}, { // 5342
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "j~σ␈＊␝％ｕ\f\x13Ｋ:γN\x7f\x17;\x1cＵＬ`ｇ␄ψ ␏ｎ~~\t",
		out:  "j~σ␈＊␝％ｕ\f\x13Ｋ:γN␡\x17;\x1cＵＬ`ｇ␄ψ ␏ｎ~~␉",
	}, { // 5343
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "j~σ␈＊␝％ｕ\f\x13Ｋ:γN\x7f\x17;\x1cＵＬ`ｇ␄ψ ␏ｎ~~␉",
		out:  "j~σ␈＊␝％ｕ\f\x13Ｋ:γN␡\x17;\x1cＵＬ`ｇ␄ψ ␏ｎ~~‛␉",
	}, { // 5344
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\tｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\t：",
		out:  "␉\tｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\t：",
	}, { // 5345
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\t：",
		out:  "‛␉\tｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\t：",
	}, { // 5346
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\nｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\n：",
		out:  "␉\nｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\n：",
	}, { // 5347
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\n：",
		out:  "‛␉\nｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\n：",
	}, { // 5348
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\vｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\v：",
		out:  "␉\vｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\v：",
	}, { // 5349
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\v：",
		out:  "‛␉\vｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\v：",
	}, { // 5350
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\rｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\r：",
		out:  "␉\rｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\r：",
	}, { // 5351
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\r：",
		out:  "‛␉\rｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\r：",
	}, { // 5352
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ν\tｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\t\t",
		out:  "ν\tｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\t␉",
	}, { // 5353
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ν\tｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\t␉",
		out:  "ν\tｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\t‛␉",
	}, { // 5354
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ν\nｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\n\t",
		out:  "ν\nｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\n␉",
	}, { // 5355
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ν\nｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\n␉",
		out:  "ν\nｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\n‛␉",
	}, { // 5356
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ν\vｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\v\t",
		out:  "ν\vｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\v␉",
	}, { // 5357
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ν\vｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\v␉",
		out:  "ν\vｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\v‛␉",
	}, { // 5358
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ν\rｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\r\t",
		out:  "ν\rｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\r␉",
	}, { // 5359
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ν\rｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\r␉",
		out:  "ν\rｑ－sπ\":\"ζ]ςＲ␞Ｂκ\x06φ｜␃\x06！␈h-0␋#\r‛␉",
	}, { // 5360
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\t\x17",
		out:  "␉\t！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\t\x17",
	}, { // 5361
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\t\x17",
		out:  "‛␉\t！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\t\x17",
	}, { // 5362
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\n\x17",
		out:  "␉\n！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\n\x17",
	}, { // 5363
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\n\x17",
		out:  "‛␉\n！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\n\x17",
	}, { // 5364
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\v\x17",
		out:  "␉\v！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\v\x17",
	}, { // 5365
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\v\x17",
		out:  "‛␉\v！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\v\x17",
	}, { // 5366
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\r\x17",
		out:  "␉\r！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\r\x17",
	}, { // 5367
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\r\x17",
		out:  "‛␉\r！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\r\x17",
	}, { // 5368
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "[\t！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\t\t",
		out:  "[\t！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\t␉",
	}, { // 5369
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "[\t！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\t␉",
		out:  "[\t！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\t‛␉",
	}, { // 5370
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "[\n！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\n\t",
		out:  "[\n！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\n␉",
	}, { // 5371
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "[\n！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\n␉",
		out:  "[\n！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\n‛␉",
	}, { // 5372
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "[\v！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\v\t",
		out:  "[\v！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\v␉",
	}, { // 5373
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "[\v！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\v␉",
		out:  "[\v！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\v‛␉",
	}, { // 5374
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "[\r！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\r\t",
		out:  "[\r！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\r␉",
	}, { // 5375
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "[\r！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\r␉",
		out:  "[\r！ε；ωJＫ＜π6␖Ｇｈ\x02\x15vβ\x15tＩｍ7␓ι\x12ε＊\r‛␉",
	}, { // 5376
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\tψ",
		out:  "␉\t：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\tψ",
	}, { // 5377
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\tψ",
		out:  "‛␉\t：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\tψ",
	}, { // 5378
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\nψ",
		out:  "␉\n：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\nψ",
	}, { // 5379
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\nψ",
		out:  "‛␉\n：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\nψ",
	}, { // 5380
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\vψ",
		out:  "␉\v：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\vψ",
	}, { // 5381
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\vψ",
		out:  "‛␉\v：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\vψ",
	}, { // 5382
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\rψ",
		out:  "␉\r：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\rψ",
	}, { // 5383
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\rψ",
		out:  "‛␉\r：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\rψ",
	}, { // 5384
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␍\t：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\t\t",
		out:  "‛␍\t：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\t␉",
	}, { // 5385
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␍\t：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\t␉",
		out:  "‛␍\t：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\t‛␉",
	}, { // 5386
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␍\n：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\n\t",
		out:  "‛␍\n：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\n␉",
	}, { // 5387
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␍\n：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\n␉",
		out:  "‛␍\n：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\n‛␉",
	}, { // 5388
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␍\v：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\v\t",
		out:  "‛␍\v：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\v␉",
	}, { // 5389
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␍\v：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\v␉",
		out:  "‛␍\v：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\v‛␉",
	}, { // 5390
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␍\r：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\r\t",
		out:  "‛␍\r：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\r␉",
	}, { // 5391
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␍\r：ω＼^\x05％+$\x00δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\r␉",
		out:  "‛␍\r：ω＼^\x05％+$␀δι\x0fν\r2ＹυＶN：\r－Ｏ；]h\r‛␉",
	}, { // 5392
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\t\n",
		out:  "␉\t␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\t␊",
	}, { // 5393
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\t\n",
		out:  "‛␉\t␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\t␊",
	}, { // 5394
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\n\n",
		out:  "␉\n␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\n␊",
	}, { // 5395
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\n\n",
		out:  "‛␉\n␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\n␊",
	}, { // 5396
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\v\n",
		out:  "␉\v␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\v␊",
	}, { // 5397
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\v\n",
		out:  "‛␉\v␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\v␊",
	}, { // 5398
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\r\n",
		out:  "␉\r␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\r␊",
	}, { // 5399
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\r\n",
		out:  "‛␉\r␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\r␊",
	}, { // 5400
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ω\t␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\t\t",
		out:  "ω\t␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\t␉",
	}, { // 5401
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ω\t␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\t␉",
		out:  "ω\t␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\t‛␉",
	}, { // 5402
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ω\n␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\n\t",
		out:  "ω\n␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\n␉",
	}, { // 5403
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ω\n␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\n␉",
		out:  "ω\n␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\n‛␉",
	}, { // 5404
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ω\v␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\v\t",
		out:  "ω\v␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\v␉",
	}, { // 5405
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ω\v␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\v␉",
		out:  "ω\v␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\v‛␉",
	}, { // 5406
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ω\r␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\r\t",
		out:  "ω\r␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\r␉",
	}, { // 5407
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ω\r␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\r␉",
		out:  "ω\r␊␈8␙!␑７υ\v［ζ＊ρν\x03Eｍ４␓L\x04V#zｅK\r‛␉",
	}, { // 5408
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\te\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\t␝",
		out:  "␉\te\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\t␝",
	}, { // 5409
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\te\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\t␝",
		out:  "‛␉\te\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\t␝",
	}, { // 5410
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\ne\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\n␝",
		out:  "␉\ne\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\n␝",
	}, { // 5411
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\ne\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\n␝",
		out:  "‛␉\ne\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\n␝",
	}, { // 5412
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\ve\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\v␝",
		out:  "␉\ve\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\v␝",
	}, { // 5413
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\ve\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\v␝",
		out:  "‛␉\ve\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\v␝",
	}, { // 5414
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\re\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\r␝",
		out:  "␉\re\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\r␝",
	}, { // 5415
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\re\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\r␝",
		out:  "‛␉\re\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\r␝",
	}, { // 5416
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ς\te\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\t\t",
		out:  "ς\te\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\t␉",
	}, { // 5417
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ς\te\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\t␉",
		out:  "ς\te\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\t‛␉",
	}, { // 5418
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ς\ne\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\n\t",
		out:  "ς\ne\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\n␉",
	}, { // 5419
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ς\ne\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\n␉",
		out:  "ς\ne\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\n‛␉",
	}, { // 5420
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ς\ve\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\v\t",
		out:  "ς\ve\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\v␉",
	}, { // 5421
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ς\ve\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\v␉",
		out:  "ς\ve\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\v‛␉",
	}, { // 5422
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ς\re\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\r\t",
		out:  "ς\re\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\r␉",
	}, { // 5423
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ς\re\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj＞κr\x1dν\x13ξｍＫB\r␉",
		out:  "ς\re\x0e␐\x1a␍λ\x17oBＣ\a␉␃：ｆj‛＞κr\x1dν\x13ξｍＫB\r‛␉",
	}, { // 5424
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\t－",
		out:  "␉\t\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\t－",
	}, { // 5425
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\t－",
		out:  "‛␉\t\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\t－",
	}, { // 5426
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\n－",
		out:  "␉\n\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\n－",
	}, { // 5427
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\n－",
		out:  "‛␉\n\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\n－",
	}, { // 5428
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\v－",
		out:  "␉\v\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\v－",
	}, { // 5429
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\v－",
		out:  "‛␉\v\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\v－",
	}, { // 5430
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\r－",
		out:  "␉\r\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\r－",
	}, { // 5431
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\r－",
		out:  "‛␉\r\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\r－",
	}, { // 5432
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ο\t\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\t\t",
		out:  "ο\t\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\t␉",
	}, { // 5433
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ο\t\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\t␉",
		out:  "ο\t\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\t‛␉",
	}, { // 5434
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ο\n\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\n\t",
		out:  "ο\n\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\n␉",
	}, { // 5435
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ο\n\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\n␉",
		out:  "ο\n\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\n‛␉",
	}, { // 5436
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ο\v\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\v\t",
		out:  "ο\v\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\v␉",
	}, { // 5437
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ο\v\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\v␉",
		out:  "ο\v\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\v‛␉",
	}, { // 5438
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ο\r\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\r\t",
		out:  "ο\r\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\r␉",
	}, { // 5439
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ο\r\"τ␡\x1dψ␆]␍λφ␟ν\x00＊ck.\\W␄␞\x10UＪ＋\t\r␉",
		out:  "ο\r\"τ␡\x1dψ␆］␍λφ␟ν␀＊ck.\\W␄␞\x10UＪ＋\t\r‛␉",
	}, { // 5440
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\tＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\t␑",
		out:  "␉\tＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\t␑",
	}, { // 5441
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\t␑",
		out:  "‛␉\tＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\t␑",
	}, { // 5442
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\nＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\n␑",
		out:  "␉\nＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\n␑",
	}, { // 5443
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\n␑",
		out:  "‛␉\nＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\n␑",
	}, { // 5444
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\vＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\v␑",
		out:  "␉\vＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\v␑",
	}, { // 5445
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\v␑",
		out:  "‛␉\vＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\v␑",
	}, { // 5446
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\rＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\r␑",
		out:  "␉\rＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\r␑",
	}, { // 5447
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\r␑",
		out:  "‛␉\rＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\r␑",
	}, { // 5448
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "％\tＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\t\t",
		out:  "％\tＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\t␉",
	}, { // 5449
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "％\tＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\t␉",
		out:  "％\tＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\t‛␉",
	}, { // 5450
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "％\nＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\n\t",
		out:  "％\nＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\n␉",
	}, { // 5451
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "％\nＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\n␉",
		out:  "％\nＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\n‛␉",
	}, { // 5452
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "％\vＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\v\t",
		out:  "％\vＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\v␉",
	}, { // 5453
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "％\vＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\v␉",
		out:  "％\vＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\v‛␉",
	}, { // 5454
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "％\rＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\r\t",
		out:  "％\rＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\r␉",
	}, { // 5455
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "％\rＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\r␉",
		out:  "％\rＷＧπ␋ω␘β\x10～GQPν２ξ\x02*,␊！１\x17L\vxρ\r‛␉",
	}, { // 5456
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\tπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\t'",
		out:  "␉\tπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\t'",
	}, { // 5457
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\t'",
		out:  "‛␉\tπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\t'",
	}, { // 5458
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\nπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\n'",
		out:  "␉\nπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\n'",
	}, { // 5459
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\n'",
		out:  "‛␉\nπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\n'",
	}, { // 5460
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\vπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\v'",
		out:  "␉\vπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\v'",
	}, { // 5461
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\v'",
		out:  "‛␉\vπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\v'",
	}, { // 5462
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\rπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\r'",
		out:  "␉\rπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\r'",
	}, { // 5463
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\r'",
		out:  "‛␉\rπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\r'",
	}, { // 5464
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␈\tπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\t\t",
		out:  "␈\tπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\t␉",
	}, { // 5465
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␈\tπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\t␉",
		out:  "␈\tπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\t‛␉",
	}, { // 5466
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␈\nπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\n\t",
		out:  "␈\nπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\n␉",
	}, { // 5467
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␈\nπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\n␉",
		out:  "␈\nπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\n‛␉",
	}, { // 5468
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␈\vπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\v\t",
		out:  "␈\vπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\v␉",
	}, { // 5469
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␈\vπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\v␉",
		out:  "␈\vπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\v‛␉",
	}, { // 5470
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␈\rπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\r\t",
		out:  "␈\rπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\r␉",
	}, { // 5471
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␈\rπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\r␉",
		out:  "␈\rπ:\x1bI＜［／γ␝[ｇωＶ\x04ηhｌnκF／\\~／｛ω\r‛␉",
	}, { // 5472
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\t%",
		out:  "␉\t␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\t%",
	}, { // 5473
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\t%",
		out:  "‛␉\t␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\t%",
	}, { // 5474
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\n%",
		out:  "␉\n␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\n%",
	}, { // 5475
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\n%",
		out:  "‛␉\n␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\n%",
	}, { // 5476
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\v%",
		out:  "␉\v␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\v%",
	}, { // 5477
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\v%",
		out:  "‛␉\v␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\v%",
	}, { // 5478
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\r%",
		out:  "␉\r␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\r%",
	}, { // 5479
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\r%",
		out:  "‛␉\r␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\r%",
	}, { // 5480
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␑\t␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\t\t",
		out:  "␑\t␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\t␉",
	}, { // 5481
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␑\t␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\t␉",
		out:  "␑\t␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\t‛␉",
	}, { // 5482
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␑\n␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\n\t",
		out:  "␑\n␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\n␉",
	}, { // 5483
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␑\n␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\n␉",
		out:  "␑\n␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\n‛␉",
	}, { // 5484
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␑\v␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\v\t",
		out:  "␑\v␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\v␉",
	}, { // 5485
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␑\v␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\v␉",
		out:  "␑\v␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\v‛␉",
	}, { // 5486
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␑\r␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\r\t",
		out:  "␑\r␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\r␉",
	}, { // 5487
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␑\r␍ς＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\r␉",
		out:  "␑\r␍ς‛＄θe0；#ｍ`νι_Ｎ]Ｇ\bσ[␁．\x7fδ/\x1eｋ\r‛␉",
	}, { // 5488
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\tC",
		out:  "␉\t␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\tC",
	}, { // 5489
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\tC",
		out:  "‛␉\t␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\tC",
	}, { // 5490
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\nC",
		out:  "␉\n␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\nC",
	}, { // 5491
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\nC",
		out:  "‛␉\n␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\nC",
	}, { // 5492
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\vC",
		out:  "␉\v␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\vC",
	}, { // 5493
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\vC",
		out:  "‛␉\v␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\vC",
	}, { // 5494
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\rC",
		out:  "␉\r␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\rC",
	}, { // 5495
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\rC",
		out:  "‛␉\r␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\rC",
	}, { // 5496
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\x00\t␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\t\t",
		out:  "␀\t␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\t␉",
	}, { // 5497
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\x00\t␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\t␉",
		out:  "␀\t␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\t‛␉",
	}, { // 5498
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\x00\n␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\n\t",
		out:  "␀\n␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\n␉",
	}, { // 5499
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\x00\n␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\n␉",
		out:  "␀\n␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\n‛␉",
	}, { // 5500
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\x00\v␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\v\t",
		out:  "␀\v␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\v␉",
	}, { // 5501
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\x00\v␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\v␉",
		out:  "␀\v␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\v‛␉",
	}, { // 5502
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\x00\r␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\r\t",
		out:  "␀\r␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\r␉",
	}, { // 5503
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\x00\r␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\r␉",
		out:  "␀\r␜␄$\x06χ␝＜7＃；␕γ｀εα[`\a␘μαH\x0f＼＾J\r‛␉",
	}, { // 5504
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\tＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\t\x1c",
		out:  "␉\tＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\t\x1c",
	}, { // 5505
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\t\x1c",
		out:  "‛␉\tＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\t\x1c",
	}, { // 5506
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\nＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\n\x1c",
		out:  "␉\nＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\n\x1c",
	}, { // 5507
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\n\x1c",
		out:  "‛␉\nＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\n\x1c",
	}, { // 5508
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\vＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\v\x1c",
		out:  "␉\vＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\v\x1c",
	}, { // 5509
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\v\x1c",
		out:  "‛␉\vＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\v\x1c",
	}, { // 5510
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\rＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\r\x1c",
		out:  "␉\rＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\r\x1c",
	}, { // 5511
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\r\x1c",
		out:  "‛␉\rＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\r\x1c",
	}, { // 5512
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\t\t",
		out:  "‛␉\tＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\t␉",
	}, { // 5513
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\t␉",
		out:  "‛␉\tＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\t‛␉",
	}, { // 5514
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\n\t",
		out:  "‛␉\nＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\n␉",
	}, { // 5515
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\n␉",
		out:  "‛␉\nＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\n‛␉",
	}, { // 5516
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\v\t",
		out:  "‛␉\vＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\v␉",
	}, { // 5517
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\v␉",
		out:  "‛␉\vＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\v‛␉",
	}, { // 5518
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\r\t",
		out:  "‛␉\rＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\r␉",
	}, { // 5519
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\r␉",
		out:  "‛␉\rＴτＯη６␍[)κ␇5φ$κ\x04＂ex␚\x1e␝（|!JＰ\r‛␉",
	}, { // 5520
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\t\x1c",
		out:  "␉\t\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\t\x1c",
	}, { // 5521
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\t\x1c",
		out:  "‛␉\t\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\t\x1c",
	}, { // 5522
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\n\x1c",
		out:  "␉\n\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\n\x1c",
	}, { // 5523
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\n\x1c",
		out:  "‛␉\n\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\n\x1c",
	}, { // 5524
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\v\x1c",
		out:  "␉\v\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\v\x1c",
	}, { // 5525
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\v\x1c",
		out:  "‛␉\v\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\v\x1c",
	}, { // 5526
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\r\x1c",
		out:  "␉\r\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\r\x1c",
	}, { // 5527
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\r\x1c",
		out:  "‛␉\r\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\r\x1c",
	}, { // 5528
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "χ\t\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\t\t",
		out:  "χ\t\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\t␉",
	}, { // 5529
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "χ\t\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\t␉",
		out:  "χ\t\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\t‛␉",
	}, { // 5530
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "χ\n\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\n\t",
		out:  "χ\n\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\n␉",
	}, { // 5531
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "χ\n\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\n␉",
		out:  "χ\n\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\n‛␉",
	}, { // 5532
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "χ\v\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\v\t",
		out:  "χ\v\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\v␉",
	}, { // 5533
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "χ\v\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\v␉",
		out:  "χ\v\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\v‛␉",
	}, { // 5534
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "χ\r\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\r\t",
		out:  "χ\r\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\r␉",
	}, { // 5535
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "χ\r\x14？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\r␉",
		out:  "χ\r\x14‛？[\r～σ％w\rγ\x12␒[w<ｈδｑ＜γ␌/ρ-␒␡\r‛␉",
	}, { // 5536
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\tξ",
		out:  "␉\t\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\tξ",
	}, { // 5537
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\tξ",
		out:  "‛␉\t\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\tξ",
	}, { // 5538
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\nξ",
		out:  "␉\n\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\nξ",
	}, { // 5539
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\nξ",
		out:  "‛␉\n\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\nξ",
	}, { // 5540
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\vξ",
		out:  "␉\v\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\vξ",
	}, { // 5541
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\vξ",
		out:  "‛␉\v\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\vξ",
	}, { // 5542
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\rξ",
		out:  "␉\r\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\rξ",
	}, { // 5543
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\rξ",
		out:  "‛␉\r\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\rξ",
	}, { // 5544
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｔ\t\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\t\t",
		out:  "ｔ\t\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\t␉",
	}, { // 5545
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｔ\t\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\t␉",
		out:  "ｔ\t\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\t‛␉",
	}, { // 5546
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｔ\n\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\n\t",
		out:  "ｔ\n\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\n␉",
	}, { // 5547
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｔ\n\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\n␉",
		out:  "ｔ\n\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\n‛␉",
	}, { // 5548
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｔ\v\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\v\t",
		out:  "ｔ\v\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\v␉",
	}, { // 5549
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｔ\v\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\v␉",
		out:  "ｔ\v\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\v‛␉",
	}, { // 5550
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｔ\r\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\r\t",
		out:  "ｔ\r\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\r␉",
	}, { // 5551
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｔ\r\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG␀υσχψｗt8␟｀\x02\r␉",
		out:  "ｔ\r\x0eｙ}␐\x06：Ａ␘\x03␔\t;ZｌG‛␀υσχψｗt8␟｀\x02\r‛␉",
	}, { // 5552
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\tn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\tＷ",
		out:  "␉\tn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\tＷ",
	}, { // 5553
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\tＷ",
		out:  "‛␉\tn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\tＷ",
	}, { // 5554
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\nn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\nＷ",
		out:  "␉\nn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\nＷ",
	}, { // 5555
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\nＷ",
		out:  "‛␉\nn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\nＷ",
	}, { // 5556
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\vn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\vＷ",
		out:  "␉\vn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\vＷ",
	}, { // 5557
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\vＷ",
		out:  "‛␉\vn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\vＷ",
	}, { // 5558
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\rn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\rＷ",
		out:  "␉\rn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\rＷ",
	}, { // 5559
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\rＷ",
		out:  "‛␉\rn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\rＷ",
	}, { // 5560
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "1\tn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\t\t",
		out:  "1\tn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\t␉",
	}, { // 5561
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "1\tn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\t␉",
		out:  "1\tn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\t‛␉",
	}, { // 5562
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "1\nn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\n\t",
		out:  "1\nn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\n␉",
	}, { // 5563
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "1\nn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\n␉",
		out:  "1\nn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\n‛␉",
	}, { // 5564
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "1\vn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\v\t",
		out:  "1\vn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\v␉",
	}, { // 5565
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "1\vn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\v␉",
		out:  "1\vn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\v‛␉",
	}, { // 5566
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "1\rn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\r\t",
		out:  "1\rn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\r␉",
	}, { // 5567
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "1\rn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\r␉",
		out:  "1\rn$\x19λｊ&ο␇α＿｀Ｚ<σ７␘κβＬ]/␓Q\x1f&；\r‛␉",
	}, { // 5568
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\tfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\t｀",
		out:  "␉\tfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\t｀",
	}, { // 5569
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\t｀",
		out:  "‛␉\tfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\t｀",
	}, { // 5570
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\nfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\n｀",
		out:  "␉\nfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\n｀",
	}, { // 5571
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\n｀",
		out:  "‛␉\nfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\n｀",
	}, { // 5572
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\vfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\v｀",
		out:  "␉\vfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\v｀",
	}, { // 5573
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\v｀",
		out:  "‛␉\vfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\v｀",
	}, { // 5574
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\rfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\r｀",
		out:  "␉\rfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\r｀",
	}, { // 5575
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\r｀",
		out:  "‛␉\rfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\r｀",
	}, { // 5576
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\tfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\t\t",
		out:  "\"\tfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\t␉",
	}, { // 5577
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\tfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\t␉",
		out:  "\"\tfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\t‛␉",
	}, { // 5578
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\nfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\n\t",
		out:  "\"\nfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\n␉",
	}, { // 5579
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\nfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\n␉",
		out:  "\"\nfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\n‛␉",
	}, { // 5580
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\vfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\v\t",
		out:  "\"\vfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\v␉",
	}, { // 5581
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\vfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\v␉",
		out:  "\"\vfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\v‛␉",
	}, { // 5582
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\rfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\r\t",
		out:  "\"\rfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\r␉",
	}, { // 5583
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\rfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ#｝Ｙ\\␀ςｓ\r␉",
		out:  "\"\rfξ@ρ！!␎1τβ␛δ＂_\x01＞Ｌ[ｅ＃｝Ｙ\\‛␀ςｓ\r‛␉",
	}, { // 5584
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\tλ",
		out:  "␉\t␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\tλ",
	}, { // 5585
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\tλ",
		out:  "‛␉\t␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\tλ",
	}, { // 5586
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\nλ",
		out:  "␉\n␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\nλ",
	}, { // 5587
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\nλ",
		out:  "‛␉\n␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\nλ",
	}, { // 5588
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\vλ",
		out:  "␉\v␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\vλ",
	}, { // 5589
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\vλ",
		out:  "‛␉\v␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\vλ",
	}, { // 5590
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\rλ",
		out:  "␉\r␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\rλ",
	}, { // 5591
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\rλ",
		out:  "‛␉\r␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\rλ",
	}, { // 5592
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ";\t␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\t\t",
		out:  ";\t␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\t␉",
	}, { // 5593
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ";\t␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\t␉",
		out:  ";\t␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\t‛␉",
	}, { // 5594
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ";\n␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\n\t",
		out:  ";\n␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\n␉",
	}, { // 5595
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ";\n␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\n␉",
		out:  ";\n␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\n‛␉",
	}, { // 5596
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ";\v␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\v\t",
		out:  ";\v␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\v␉",
	}, { // 5597
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ";\v␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\v␉",
		out:  ";\v␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\v‛␉",
	}, { // 5598
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ";\r␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\r\t",
		out:  ";\r␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\r␉",
	}, { // 5599
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ";\r␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω%\x01［`␟\x04␜\r␉",
		out:  ";\r␏#Ｉ=ｄδ^LＯ７\x7fμη␃ＶＶ\x1a＃ω％\x01［`␟\x04␜\r‛␉",
	}, { // 5600
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\tοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\t｜",
		out:  "␉\tοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\t｜",
	}, { // 5601
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\t｜",
		out:  "‛␉\tοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\t｜",
	}, { // 5602
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\nοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\n｜",
		out:  "␉\nοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\n｜",
	}, { // 5603
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\n｜",
		out:  "‛␉\nοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\n｜",
	}, { // 5604
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\vοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\v｜",
		out:  "␉\vοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\v｜",
	}, { // 5605
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\v｜",
		out:  "‛␉\vοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\v｜",
	}, { // 5606
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\rοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\r｜",
		out:  "␉\rοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\r｜",
	}, { // 5607
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\r｜",
		out:  "‛␉\rοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\r｜",
	}, { // 5608
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "s\tοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\t\t",
		out:  "s\tοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\t␉",
	}, { // 5609
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "s\tοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\t␉",
		out:  "s\tοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\t‛␉",
	}, { // 5610
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "s\nοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\n\t",
		out:  "s\nοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\n␉",
	}, { // 5611
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "s\nοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\n␉",
		out:  "s\nοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\n‛␉",
	}, { // 5612
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "s\vοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\v\t",
		out:  "s\vοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\v␉",
	}, { // 5613
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "s\vοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\v␉",
		out:  "s\vοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\v‛␉",
	}, { // 5614
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "s\rοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\r\t",
		out:  "s\rοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\r␉",
	}, { // 5615
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "s\rοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\r␉",
		out:  "s\rοC␖？ω；v\x06␆？４\b\fiπν/\x11αw\rλ｀Ｒ［f\r‛␉",
	}, { // 5616
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\tｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\t8",
		out:  "␉\tｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\t8",
	}, { // 5617
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\t8",
		out:  "‛␉\tｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\t8",
	}, { // 5618
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\nｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\n8",
		out:  "␉\nｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\n8",
	}, { // 5619
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\n8",
		out:  "‛␉\nｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\n8",
	}, { // 5620
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\vｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\v8",
		out:  "␉\vｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\v8",
	}, { // 5621
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\v8",
		out:  "‛␉\vｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\v8",
	}, { // 5622
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\rｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\r8",
		out:  "␉\rｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\r8",
	}, { // 5623
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\r8",
		out:  "‛␉\rｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\r8",
	}, { // 5624
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ">\tｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\t\t",
		out:  ">\tｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\t␉",
	}, { // 5625
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ">\tｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\t␉",
		out:  ">\tｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\t‛␉",
	}, { // 5626
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ">\nｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\n\t",
		out:  ">\nｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\n␉",
	}, { // 5627
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ">\nｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\n␉",
		out:  ">\nｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\n‛␉",
	}, { // 5628
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ">\vｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\v\t",
		out:  ">\vｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\v␉",
	}, { // 5629
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ">\vｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\v␉",
		out:  ">\vｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\v‛␉",
	}, { // 5630
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ">\rｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\r\t",
		out:  ">\rｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\r␉",
	}, { // 5631
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   ">\rｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW␡`␛｀χ\\：\r␉",
		out:  ">\rｊ␟λg\x0e␁-κι～6ψ２（␍!\x02ρW‛␡`␛｀χ\\：\r‛␉",
	}, { // 5632
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t χ\aｙ/gx␍␟}δ\x16｝ｏς␎r／\x19+λ＊％＆χe\x0f ５",
		out:  "\t χ\aｙ/gx␍␟}δ\x16｝ｏς␎r／\x19+λ＊％＆χe\x0f ５",
	}, { // 5633
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ χ\aｙ/gx␍␟}δ\x16｝ｏς␎r／\x19+λ＊％＆χe\x0f ５",
		out:  "␉ χ\aｙ/gx␍␟}δ\x16｝ｏς␎r／\x19+λ＊％＆χe\x0f ５",
	}, { // 5634
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\x12 χ\aｙ/gx␍␟}δ\x16｝ｏς␎r／\x19+λ＊％＆χe\x0f \t",
		out:  "\x12 χ\aｙ/gx␍␟}δ\x16｝ｏς␎r／\x19+λ＊％＆χe\x0f ␉",
	}, { // 5635
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\x12 χ\aｙ/gx␍␟}δ\x16｝ｏς␎r／\x19+λ＊％＆χe\x0f ␉",
		out:  "\x12 χ\aｙ/gx␍␟}δ\x16｝ｏς␎r／\x19+λ＊％＆χe\x0f ‛␉",
	}, { // 5636
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t ；␒Ｎ\x18\r；ｆ\x7f\x01l!μαｂFεζ；4␘λ␑\"６!Q ␐",
		out:  "\t ；␒Ｎ\x18\r；ｆ\x7f\x01l!μαｂFεζ；4␘λ␑\"６!Q ␐",
	}, { // 5637
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ ；␒Ｎ\x18\r；ｆ\x7f\x01l!μαｂFεζ；4␘λ␑\"６!Q ␐",
		out:  "␉ ；␒Ｎ\x18\r；ｆ\x7f\x01l!μαｂFεζ；4␘λ␑\"６!Q ␐",
	}, { // 5638
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "C ；␒Ｎ\x18\r；ｆ\x7f\x01l!μαｂFεζ；4␘λ␑\"６!Q \t",
		out:  "C ；␒Ｎ\x18\r；ｆ\x7f\x01l!μαｂFεζ；4␘λ␑\"６!Q ␉",
	}, { // 5639
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "C ；␒Ｎ\x18\r；ｆ\x7f\x01l!μαｂFεζ；4␘λ␑\"６!Q ␉",
		out:  "C ；␒Ｎ\x18\r；ｆ\x7f\x01l!μαｂFεζ；4␘λ␑\"６!Q ‛␉",
	}, { // 5640
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t ４ＺαMσ／Z␗:β␍␁）?δｚ␀\x1dφN．KKｈ␆β [",
		out:  "\t ４ＺαMσ／Z␗:β␍␁）?δｚ‛␀\x1dφN．KKｈ␆β [",
	}, { // 5641
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ ４ＺαMσ／Z␗:β␍␁）?δｚ␀\x1dφN．KKｈ␆β [",
		out:  "␉ ４ＺαMσ／Z␗:β␍␁）?δｚ‛␀\x1dφN．KKｈ␆β [",
	}, { // 5642
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\x06 ４ＺαMσ／Z␗:β␍␁）?δｚ␀\x1dφN．KKｈ␆β \t",
		out:  "\x06 ４ＺαMσ／Z␗:β␍␁）?δｚ‛␀\x1dφN．KKｈ␆β ␉",
	}, { // 5643
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\x06 ４ＺαMσ／Z␗:β␍␁）?δｚ␀\x1dφN．KKｈ␆β ␉",
		out:  "\x06 ４ＺαMσ／Z␗:β␍␁）?δｚ‛␀\x1dφN．KKｈ␆β ‛␉",
	}, { // 5644
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t ?＃␍oＪο␏．\x14(/\nνυ␀＇ε１␏Fω\rＦ\x0e＊y \b",
		out:  "\t ?＃␍oＪο␏．\x14(/\nνυ‛␀＇ε１␏Fω\rＦ\x0e＊y \b",
	}, { // 5645
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ ?＃␍oＪο␏．\x14(/\nνυ␀＇ε１␏Fω\rＦ\x0e＊y \b",
		out:  "␉ ?＃␍oＪο␏．\x14(/\nνυ‛␀＇ε１␏Fω\rＦ\x0e＊y \b",
	}, { // 5646
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␕ ?＃␍oＪο␏．\x14(/\nνυ␀＇ε１␏Fω\rＦ\x0e＊y \t",
		out:  "␕ ?＃␍oＪο␏．\x14(/\nνυ‛␀＇ε１␏Fω\rＦ\x0e＊y ␉",
	}, { // 5647
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␕ ?＃␍oＪο␏．\x14(/\nνυ␀＇ε１␏Fω\rＦ\x0e＊y ␉",
		out:  "␕ ?＃␍oＪο␏．\x14(/\nνυ‛␀＇ε１␏Fω\rＦ\x0e＊y ‛␉",
	}, { // 5648
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t δ９h\t／␕ｂＬ\x14␖φ␓ιｆ！\x1f\nｔθ7κ！wMλ^ \n",
		out:  "\t δ９h\t／␕ｂＬ\x14␖φ␓ιｆ！\x1f\nｔθ7κ！wMλ^ ␊",
	}, { // 5649
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ δ９h\t／␕ｂＬ\x14␖φ␓ιｆ！\x1f\nｔθ7κ！wMλ^ \n",
		out:  "␉ δ９h\t／␕ｂＬ\x14␖φ␓ιｆ！\x1f\nｔθ7κ！wMλ^ ␊",
	}, { // 5650
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\\ δ９h\t／␕ｂＬ\x14␖φ␓ιｆ！\x1f\nｔθ7κ！wMλ^ \t",
		out:  "\\ δ９h\t／␕ｂＬ\x14␖φ␓ιｆ！\x1f\nｔθ7κ！wMλ^ ␉",
	}, { // 5651
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\\ δ９h\t／␕ｂＬ\x14␖φ␓ιｆ！\x1f\nｔθ7κ！wMλ^ ␉",
		out:  "\\ δ９h\t／␕ｂＬ\x14␖φ␓ιｆ！\x1f\nｔθ7κ！wMλ^ ‛␉",
	}, { // 5652
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t pAζω＊θ＼`Ｆ｝\x11␇\x7f！ｍ<iｌ\x1dＴ.ξfς␒␔ \b",
		out:  "\t pAζω＊θ＼`Ｆ｝\x11␇\x7f！ｍ<iｌ\x1dＴ.ξfς␒␔ \b",
	}, { // 5653
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ pAζω＊θ＼`Ｆ｝\x11␇\x7f！ｍ<iｌ\x1dＴ.ξfς␒␔ \b",
		out:  "␉ pAζω＊θ＼`Ｆ｝\x11␇\x7f！ｍ<iｌ\x1dＴ.ξfς␒␔ \b",
	}, { // 5654
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␍ pAζω＊θ＼`Ｆ｝\x11␇\x7f！ｍ<iｌ\x1dＴ.ξfς␒␔ \t",
		out:  "␍ pAζω＊θ＼`Ｆ｝\x11␇\x7f！ｍ<iｌ\x1dＴ.ξfς␒␔ ␉",
	}, { // 5655
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␍ pAζω＊θ＼`Ｆ｝\x11␇\x7f！ｍ<iｌ\x1dＴ.ξfς␒␔ ␉",
		out:  "␍ pAζω＊θ＼`Ｆ｝\x11␇\x7f！ｍ<iｌ\x1dＴ.ξfς␒␔ ‛␉",
	}, { // 5656
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t ␀τ␒／ν；πＣＫｙ/ς!\t`5\x12！2\a{\rlβ＇␁ ｛",
		out:  "\t ‛␀τ␒／ν‛；πＣＫｙ/ς!\t`5\x12！2\a{\rlβ＇␁ ｛",
	}, { // 5657
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ ␀τ␒／ν；πＣＫｙ/ς!\t`5\x12！2\a{\rlβ＇␁ ｛",
		out:  "␉ ‛␀τ␒／ν‛；πＣＫｙ/ς!\t`5\x12！2\a{\rlβ＇␁ ｛",
	}, { // 5658
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "ｑ ␀τ␒／ν；πＣＫｙ/ς!\t`5\x12！2\a{\rlβ＇␁ \t",
		out:  "ｑ ‛␀τ␒／ν‛；πＣＫｙ/ς!\t`5\x12！2\a{\rlβ＇␁ ␉",
	}, { // 5659
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "ｑ ␀τ␒／ν；πＣＫｙ/ς!\t`5\x12！2\a{\rlβ＇␁ ␉",
		out:  "ｑ ‛␀τ␒／ν‛；πＣＫｙ/ς!\t`5\x12！2\a{\rlβ＇␁ ‛␉",
	}, { // 5660
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t c\"Ｒ␐vKＢχ＜␒␍\x7f␊\x15ｊ\x04\x0ec\\＃Ｋ\x18ι！α\x1d ψ",
		out:  "\t c\"Ｒ␐vKＢχ＜␒␍\x7f␊\x15ｊ\x04\x0ec\\＃Ｋ\x18ι‛！α\x1d ψ",
	}, { // 5661
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ c\"Ｒ␐vKＢχ＜␒␍\x7f␊\x15ｊ\x04\x0ec\\＃Ｋ\x18ι！α\x1d ψ",
		out:  "␉ c\"Ｒ␐vKＢχ＜␒␍\x7f␊\x15ｊ\x04\x0ec\\＃Ｋ\x18ι‛！α\x1d ψ",
	}, { // 5662
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "Ｖ c\"Ｒ␐vKＢχ＜␒␍\x7f␊\x15ｊ\x04\x0ec\\＃Ｋ\x18ι！α\x1d \t",
		out:  "Ｖ c\"Ｒ␐vKＢχ＜␒␍\x7f␊\x15ｊ\x04\x0ec\\＃Ｋ\x18ι‛！α\x1d ␉",
	}, { // 5663
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "Ｖ c\"Ｒ␐vKＢχ＜␒␍\x7f␊\x15ｊ\x04\x0ec\\＃Ｋ\x18ι！α\x1d ␉",
		out:  "Ｖ c\"Ｒ␐vKＢχ＜␒␍\x7f␊\x15ｊ\x04\x0ec\\＃Ｋ\x18ι‛！α\x1d ‛␉",
	}, { // 5664
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t ：\x12!\x1cc；v＝ωＸ%\a：!，ｂ\x15␈ιＡ^κ␊␌{λ β",
		out:  "\t ：\x12!\x1cc；v＝ωＸ%\a：!，ｂ\x15␈ιＡ^κ␊␌{λ β",
	}, { // 5665
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ ：\x12!\x1cc；v＝ωＸ%\a：!，ｂ\x15␈ιＡ^κ␊␌{λ β",
		out:  "␉ ：\x12!\x1cc；v＝ωＸ%\a：!，ｂ\x15␈ιＡ^κ␊␌{λ β",
	}, { // 5666
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␖ ：\x12!\x1cc；v＝ωＸ%\a：!，ｂ\x15␈ιＡ^κ␊␌{λ \t",
		out:  "␖ ：\x12!\x1cc；v＝ωＸ%\a：!，ｂ\x15␈ιＡ^κ␊␌{λ ␉",
	}, { // 5667
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␖ ：\x12!\x1cc；v＝ωＸ%\a：!，ｂ\x15␈ιＡ^κ␊␌{λ ␉",
		out:  "␖ ：\x12!\x1cc；v＝ωＸ%\a：!，ｂ\x15␈ιＡ^κ␊␌{λ ‛␉",
	}, { // 5668
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t \x00␆Ｎ＄ζ*ξκ｜Dα／\x18；yｄ\x1e␕\x1f]πφＨQ␃ｙ ＂",
		out:  "\t ␀␆Ｎ＄ζ*ξκ｜Dα／\x18；yｄ\x1e␕\x1f]πφＨQ␃ｙ ‛＂",
	}, { // 5669
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ \x00␆Ｎ＄ζ*ξκ｜Dα／\x18；yｄ\x1e␕\x1f]πφＨQ␃ｙ ＂",
		out:  "␉ ␀␆Ｎ＄ζ*ξκ｜Dα／\x18；yｄ\x1e␕\x1f]πφＨQ␃ｙ ‛＂",
	}, { // 5670
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "< \x00␆Ｎ＄ζ*ξκ｜Dα／\x18；yｄ\x1e␕\x1f]πφＨQ␃ｙ \t",
		out:  "< ␀␆Ｎ＄ζ*ξκ｜Dα／\x18；yｄ\x1e␕\x1f]πφＨQ␃ｙ ␉",
	}, { // 5671
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "< \x00␆Ｎ＄ζ*ξκ｜Dα／\x18；yｄ\x1e␕\x1f]πφＨQ␃ｙ ␉",
		out:  "< ␀␆Ｎ＄ζ*ξκ｜Dα／\x18；yｄ\x1e␕\x1f]πφＨQ␃ｙ ‛␉",
	}, { // 5672
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t π／$＇＋IＱ！ρπ@␆\x01\t␔，ｎ\\μ|:␍＜γ＂O \x1c",
		out:  "\t π／$＇＋IＱ！ρπ@␆\x01\t␔，ｎ\\μ|：␍＜γ＂O \x1c",
	}, { // 5673
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ π／$＇＋IＱ！ρπ@␆\x01\t␔，ｎ\\μ|:␍＜γ＂O \x1c",
		out:  "␉ π／$＇＋IＱ！ρπ@␆\x01\t␔，ｎ\\μ|：␍＜γ＂O \x1c",
	}, { // 5674
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "τ π／$＇＋IＱ！ρπ@␆\x01\t␔，ｎ\\μ|:␍＜γ＂O \t",
		out:  "τ π／$＇＋IＱ！ρπ@␆\x01\t␔，ｎ\\μ|：␍＜γ＂O ␉",
	}, { // 5675
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "τ π／$＇＋IＱ！ρπ@␆\x01\t␔，ｎ\\μ|:␍＜γ＂O ␉",
		out:  "τ π／$＇＋IＱ！ρπ@␆\x01\t␔，ｎ\\μ|：␍＜γ＂O ‛␉",
	}, { // 5676
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t ]N＊]λ'␍E\aｆfQψｓＲp\t\x03／\f␊␑␑Ｍδ｝ ν",
		out:  "\t ]N＊]λ'␍E\aｆfQψｓＲp\t\x03／\f␊␑␑Ｍδ｝ ν",
	}, { // 5677
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ ]N＊]λ'␍E\aｆfQψｓＲp\t\x03／\f␊␑␑Ｍδ｝ ν",
		out:  "␉ ]N＊]λ'␍E\aｆfQψｓＲp\t\x03／\f␊␑␑Ｍδ｝ ν",
	}, { // 5678
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "μ ]N＊]λ'␍E\aｆfQψｓＲp\t\x03／\f␊␑␑Ｍδ｝ \t",
		out:  "μ ]N＊]λ'␍E\aｆfQψｓＲp\t\x03／\f␊␑␑Ｍδ｝ ␉",
	}, { // 5679
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "μ ]N＊]λ'␍E\aｆfQψｓＲp\t\x03／\f␊␑␑Ｍδ｝ ␉",
		out:  "μ ]N＊]λ'␍E\aｆfQψｓＲp\t\x03／\f␊␑␑Ｍδ｝ ‛␉",
	}, { // 5680
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t φ，Db␌Ｒο\x10J␖＃\x14␞ρｒI␁/λ\x06`）␃\x06εＬ ␔",
		out:  "\t φ，Db␌Ｒο\x10J␖＃\x14␞ρｒI␁/λ\x06`）␃\x06εＬ ␔",
	}, { // 5681
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ φ，Db␌Ｒο\x10J␖＃\x14␞ρｒI␁/λ\x06`）␃\x06εＬ ␔",
		out:  "␉ φ，Db␌Ｒο\x10J␖＃\x14␞ρｒI␁/λ\x06`）␃\x06εＬ ␔",
	}, { // 5682
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\" φ，Db␌Ｒο\x10J␖＃\x14␞ρｒI␁/λ\x06`）␃\x06εＬ \t",
		out:  "\" φ，Db␌Ｒο\x10J␖＃\x14␞ρｒI␁/λ\x06`）␃\x06εＬ ␉",
	}, { // 5683
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\" φ，Db␌Ｒο\x10J␖＃\x14␞ρｒI␁/λ\x06`）␃\x06εＬ ␉",
		out:  "\" φ，Db␌Ｒο\x10J␖＃\x14␞ρｒI␁/λ\x06`）␃\x06εＬ ‛␉",
	}, { // 5684
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t ］1?␒δη＾\x00␃␎τ７-@＇**１Hη:␒tα＜# ␎",
		out:  "\t ］1?␒δη＾␀␃␎τ７-@＇**１Hη:␒tα＜# ␎",
	}, { // 5685
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ ］1?␒δη＾\x00␃␎τ７-@＇**１Hη:␒tα＜# ␎",
		out:  "␉ ］1?␒δη＾␀␃␎τ７-@＇**１Hη:␒tα＜# ␎",
	}, { // 5686
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "β ］1?␒δη＾\x00␃␎τ７-@＇**１Hη:␒tα＜# \t",
		out:  "β ］1?␒δη＾␀␃␎τ７-@＇**１Hη:␒tα＜# ␉",
	}, { // 5687
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "β ］1?␒δη＾\x00␃␎τ７-@＇**１Hη:␒tα＜# ␉",
		out:  "β ］1?␒δη＾␀␃␎τ７-@＇**１Hη:␒tα＜# ‛␉",
	}, { // 5688
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t ！＜ｉ］φ/Ｙ8*\x1eξwισμ\tχ\vY；UＴ？␟１U \x00",
		out:  "\t ！＜ｉ］φ/Ｙ8*\x1eξwισμ\tχ\vY；UＴ？␟１U ␀",
	}, { // 5689
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ ！＜ｉ］φ/Ｙ8*\x1eξwισμ\tχ\vY；UＴ？␟１U \x00",
		out:  "␉ ！＜ｉ］φ/Ｙ8*\x1eξwισμ\tχ\vY；UＴ？␟１U ␀",
	}, { // 5690
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\x10 ！＜ｉ］φ/Ｙ8*\x1eξwισμ\tχ\vY；UＴ？␟１U \t",
		out:  "\x10 ！＜ｉ］φ/Ｙ8*\x1eξwισμ\tχ\vY；UＴ？␟１U ␉",
	}, { // 5691
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\x10 ！＜ｉ］φ/Ｙ8*\x1eξwισμ\tχ\vY；UＴ？␟１U ␉",
		out:  "\x10 ！＜ｉ］φ/Ｙ8*\x1eξwισμ\tχ\vY；UＴ？␟１U ‛␉",
	}, { // 5692
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t \x1c＂␁ξ？\x18gＳ９ιζ！ｇ｜］\x16σ+［␞ψk~%I\x16 Ｙ",
		out:  "\t \x1c＂␁ξ？\x18gＳ９ιζ！ｇ｜］\x16σ+［␞ψk~％I\x16 Ｙ",
	}, { // 5693
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ \x1c＂␁ξ？\x18gＳ９ιζ！ｇ｜］\x16σ+［␞ψk~%I\x16 Ｙ",
		out:  "␉ \x1c＂␁ξ？\x18gＳ９ιζ！ｇ｜］\x16σ+［␞ψk~％I\x16 Ｙ",
	}, { // 5694
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\x1e \x1c＂␁ξ？\x18gＳ９ιζ！ｇ｜］\x16σ+［␞ψk~%I\x16 \t",
		out:  "\x1e \x1c＂␁ξ？\x18gＳ９ιζ！ｇ｜］\x16σ+［␞ψk~％I\x16 ␉",
	}, { // 5695
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\x1e \x1c＂␁ξ？\x18gＳ９ιζ！ｇ｜］\x16σ+［␞ψk~%I\x16 ␉",
		out:  "\x1e \x1c＂␁ξ？\x18gＳ９ιζ！ｇ｜］\x16σ+［␞ψk~％I\x16 ‛␉",
	}, { // 5696
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t ␝＠ｎη\x06τσ␜ηn␡␙tυｗ`\x17ｑｊ[*；ζ␒\x03A j",
		out:  "\t ␝＠ｎη\x06τσ␜ηn␡␙tυｗ`\x17ｑｊ[*；ζ␒\x03A j",
	}, { // 5697
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ ␝＠ｎη\x06τσ␜ηn␡␙tυｗ`\x17ｑｊ[*；ζ␒\x03A j",
		out:  "␉ ␝＠ｎη\x06τσ␜ηn␡␙tυｗ`\x17ｑｊ[*；ζ␒\x03A j",
	}, { // 5698
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "３ ␝＠ｎη\x06τσ␜ηn␡␙tυｗ`\x17ｑｊ[*；ζ␒\x03A \t",
		out:  "３ ␝＠ｎη\x06τσ␜ηn␡␙tυｗ`\x17ｑｊ[*；ζ␒\x03A ␉",
	}, { // 5699
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "３ ␝＠ｎη\x06τσ␜ηn␡␙tυｗ`\x17ｑｊ[*；ζ␒\x03A ␉",
		out:  "３ ␝＠ｎη\x06τσ␜ηn␡␙tυｗ`\x17ｑｊ[*；ζ␒\x03A ‛␉",
	}, { // 5700
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t V␚πα\tＳ\x18ｋ\x1c|μ\x16＃＆␐ολ␃ｏ＂U\x1dｗ/ia ␂",
		out:  "\t V␚πα\tＳ\x18ｋ\x1c|μ\x16＃＆␐ολ␃ｏ＂U\x1dｗ/ia ␂",
	}, { // 5701
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ V␚πα\tＳ\x18ｋ\x1c|μ\x16＃＆␐ολ␃ｏ＂U\x1dｗ/ia ␂",
		out:  "␉ V␚πα\tＳ\x18ｋ\x1c|μ\x16＃＆␐ολ␃ｏ＂U\x1dｗ/ia ␂",
	}, { // 5702
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "？ V␚πα\tＳ\x18ｋ\x1c|μ\x16＃＆␐ολ␃ｏ＂U\x1dｗ/ia \t",
		out:  "？ V␚πα\tＳ\x18ｋ\x1c|μ\x16＃＆␐ολ␃ｏ＂U\x1dｗ/ia ␉",
	}, { // 5703
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "？ V␚πα\tＳ\x18ｋ\x1c|μ\x16＃＆␐ολ␃ｏ＂U\x1dｗ/ia ␉",
		out:  "？ V␚πα\tＳ\x18ｋ\x1c|μ\x16＃＆␐ολ␃ｏ＂U\x1dｗ/ia ‛␉",
	}, { // 5704
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.＾␊Fφ'！ωjqW＠2␍/\rσκ％\x12Ｙｒ１\x17｜␛τ.｀",
		out:  "\t.＾␊Fφ'！ωjqW＠2␍/\rσκ％\x12Ｙｒ１\x17｜␛τ.｀",
	}, { // 5705
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.＾␊Fφ'！ωjqW＠2␍/\rσκ％\x12Ｙｒ１\x17｜␛τ.｀",
		out:  "␉.＾␊Fφ'！ωjqW＠2␍/\rσκ％\x12Ｙｒ１\x17｜␛τ.｀",
	}, { // 5706
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\f.＾␊Fφ'！ωjqW＠2␍/\rσκ％\x12Ｙｒ１\x17｜␛τ.\t",
		out:  "\f.＾␊Fφ'！ωjqW＠2␍/\rσκ％\x12Ｙｒ１\x17｜␛τ.␉",
	}, { // 5707
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\f.＾␊Fφ'！ωjqW＠2␍/\rσκ％\x12Ｙｒ１\x17｜␛τ.␉",
		out:  "\f.＾␊Fφ'！ωjqW＠2␍/\rσκ％\x12Ｙｒ１\x17｜␛τ.‛␉",
	}, { // 5708
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.λiυ＞\rhｋ␕μ＞␜\x02ｅ`ες␅<\x16W9[Ｚξ␟＄.I",
		out:  "\t.λiυ＞\rhｋ␕μ＞␜\x02ｅ`ες␅<\x16W9[Ｚξ␟＄.I",
	}, { // 5709
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.λiυ＞\rhｋ␕μ＞␜\x02ｅ`ες␅<\x16W9[Ｚξ␟＄.I",
		out:  "␉.λiυ＞\rhｋ␕μ＞␜\x02ｅ`ες␅<\x16W9[Ｚξ␟＄.I",
	}, { // 5710
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "ｖ.λiυ＞\rhｋ␕μ＞␜\x02ｅ`ες␅<\x16W9[Ｚξ␟＄.\t",
		out:  "ｖ.λiυ＞\rhｋ␕μ＞␜\x02ｅ`ες␅<\x16W9[Ｚξ␟＄.␉",
	}, { // 5711
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "ｖ.λiυ＞\rhｋ␕μ＞␜\x02ｅ`ες␅<\x16W9[Ｚξ␟＄.␉",
		out:  "ｖ.λiυ＞\rhｋ␕μ＞␜\x02ｅ`ες␅<\x16W9[Ｚξ␟＄.‛␉",
	}, { // 5712
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.\b？ο\t＠＂Yζ\x1bτ␓␟/<'πｏＪ␝/＇φps3P.β",
		out:  "\t.\b？ο\t＠＂Yζ\x1bτ␓␟/<＇πｏＪ␝/‛＇φps3P.β",
	}, { // 5713
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.\b？ο\t＠＂Yζ\x1bτ␓␟/<'πｏＪ␝/＇φps3P.β",
		out:  "␉.\b？ο\t＠＂Yζ\x1bτ␓␟/<＇πｏＪ␝/‛＇φps3P.β",
	}, { // 5714
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "５.\b？ο\t＠＂Yζ\x1bτ␓␟/<'πｏＪ␝/＇φps3P.\t",
		out:  "５.\b？ο\t＠＂Yζ\x1bτ␓␟/<＇πｏＪ␝/‛＇φps3P.␉",
	}, { // 5715
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "５.\b？ο\t＠＂Yζ\x1bτ␓␟/<'πｏＪ␝/＇φps3P.␉",
		out:  "５.\b？ο\t＠＂Yζ\x1bτ␓␟/<＇πｏＪ␝/‛＇φps3P.‛␉",
	}, { // 5716
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.1␟␉Ｗ␚ςe\t␈\x7fψβｋ␈@h␎δ*vＨ:~Ｎ\nλ.\x17",
		out:  "\t.1␟␉Ｗ␚ςe\t␈\x7fψβｋ␈@h␎δ*vＨ:~Ｎ\nλ.\x17",
	}, { // 5717
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.1␟␉Ｗ␚ςe\t␈\x7fψβｋ␈@h␎δ*vＨ:~Ｎ\nλ.\x17",
		out:  "␉.1␟␉Ｗ␚ςe\t␈\x7fψβｋ␈@h␎δ*vＨ:~Ｎ\nλ.\x17",
	}, { // 5718
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "ｘ.1␟␉Ｗ␚ςe\t␈\x7fψβｋ␈@h␎δ*vＨ:~Ｎ\nλ.\t",
		out:  "ｘ.1␟␉Ｗ␚ςe\t␈\x7fψβｋ␈@h␎δ*vＨ:~Ｎ\nλ.␉",
	}, { // 5719
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "ｘ.1␟␉Ｗ␚ςe\t␈\x7fψβｋ␈@h␎δ*vＨ:~Ｎ\nλ.␉",
		out:  "ｘ.1␟␉Ｗ␚ςe\t␈\x7fψβｋ␈@h␎δ*vＨ:~Ｎ\nλ.‛␉",
	}, { // 5720
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.\x18b␈οｑ\bδζκHｊ\x01dNx␉η％？\x0f␡ξ\x018Ｂ␚.ｉ",
		out:  "\t.\x18b␈οｑ\bδζκHｊ\x01dNx␉η％？\x0f␡ξ\x018Ｂ␚.ｉ",
	}, { // 5721
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.\x18b␈οｑ\bδζκHｊ\x01dNx␉η％？\x0f␡ξ\x018Ｂ␚.ｉ",
		out:  "␉.\x18b␈οｑ\bδζκHｊ\x01dNx␉η％？\x0f␡ξ\x018Ｂ␚.ｉ",
	}, { // 5722
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "Ｄ.\x18b␈οｑ\bδζκHｊ\x01dNx␉η％？\x0f␡ξ\x018Ｂ␚.\t",
		out:  "Ｄ.\x18b␈οｑ\bδζκHｊ\x01dNx␉η％？\x0f␡ξ\x018Ｂ␚.␉",
	}, { // 5723
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "Ｄ.\x18b␈οｑ\bδζκHｊ\x01dNx␉η％？\x0f␡ξ\x018Ｂ␚.␉",
		out:  "Ｄ.\x18b␈οｑ\bδζκHｊ\x01dNx␉η％？\x0f␡ξ\x018Ｂ␚.‛␉",
	}, { // 5724
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.|␃μ＊I1３μ\uff00`＝O,␅-＼%Ｐλ\x1fβνθ｜`｜.＇",
		out:  "\t.|␃μ＊I1３μ\uff00`＝O,␅-＼%Ｐλ\x1fβνθ｜`｜.＇",
	}, { // 5725
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.|␃μ＊I1３μ\uff00`＝O,␅-＼%Ｐλ\x1fβνθ｜`｜.＇",
		out:  "␉.|␃μ＊I1３μ\uff00`＝O,␅-＼%Ｐλ\x1fβνθ｜`｜.＇",
	}, { // 5726
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\x0e.|␃μ＊I1３μ\uff00`＝O,␅-＼%Ｐλ\x1fβνθ｜`｜.\t",
		out:  "\x0e.|␃μ＊I1３μ\uff00`＝O,␅-＼%Ｐλ\x1fβνθ｜`｜.␉",
	}, { // 5727
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\x0e.|␃μ＊I1３μ\uff00`＝O,␅-＼%Ｐλ\x1fβνθ｜`｜.␉",
		out:  "\x0e.|␃μ＊I1３μ\uff00`＝O,␅-＼%Ｐλ\x1fβνθ｜`｜.‛␉",
	}, { // 5728
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.λ/｜χλ？c\n`η＋␉!␔␊l\vＣＵ\\`ο34Ｋζ.C",
		out:  "\t.λ/｜χλ？c\n`η＋␉!␔␊l\vＣＵ\\`ο34Ｋζ.C",
	}, { // 5729
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.λ/｜χλ？c\n`η＋␉!␔␊l\vＣＵ\\`ο34Ｋζ.C",
		out:  "␉.λ/｜χλ？c\n`η＋␉!␔␊l\vＣＵ\\`ο34Ｋζ.C",
	}, { // 5730
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "＂.λ/｜χλ？c\n`η＋␉!␔␊l\vＣＵ\\`ο34Ｋζ.\t",
		out:  "＂.λ/｜χλ？c\n`η＋␉!␔␊l\vＣＵ\\`ο34Ｋζ.␉",
	}, { // 5731
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "＂.λ/｜χλ？c\n`η＋␉!␔␊l\vＣＵ\\`ο34Ｋζ.␉",
		out:  "＂.λ/｜χλ？c\n`η＋␉!␔␊l\vＣＵ\\`ο34Ｋζ.‛␉",
	}, { // 5732
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.␎:％\\κ\x0e\n＠ｒκ!～4＊｜␗．ａ7*\x01eπφ＄μ.>",
		out:  "\t.␎:％\\κ\x0e\n＠ｒκ！～4＊｜␗．ａ7*\x01eπφ＄μ.>",
	}, { // 5733
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.␎:％\\κ\x0e\n＠ｒκ!～4＊｜␗．ａ7*\x01eπφ＄μ.>",
		out:  "␉.␎:％\\κ\x0e\n＠ｒκ！～4＊｜␗．ａ7*\x01eπφ＄μ.>",
	}, { // 5734
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\x18.␎:％\\κ\x0e\n＠ｒκ!～4＊｜␗．ａ7*\x01eπφ＄μ.\t",
		out:  "\x18.␎:％\\κ\x0e\n＠ｒκ！～4＊｜␗．ａ7*\x01eπφ＄μ.␉",
	}, { // 5735
		mask: EncodeExclamation | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\x18.␎:％\\κ\x0e\n＠ｒκ!～4＊｜␗．ａ7*\x01eπφ＄μ.␉",
		out:  "\x18.␎:％\\κ\x0e\n＠ｒκ！～4＊｜␗．ａ7*\x01eπφ＄μ.‛␉",
	}, { // 5736
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.T｝τ\x1c｀κkＤ␕π/`＜＞\vt/\x10τ␉βπ4ｌ｜［.ｃ",
		out:  "\t.T｝τ\x1c｀κkＤ␕π/`＜＞\vt/\x10τ␉βπ4ｌ｜［.ｃ",
	}, { // 5737
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.T｝τ\x1c｀κkＤ␕π/`＜＞\vt/\x10τ␉βπ4ｌ｜［.ｃ",
		out:  "␉.T｝τ\x1c｀κkＤ␕π/`＜＞\vt/\x10τ␉βπ4ｌ｜［.ｃ",
	}, { // 5738
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "ｏ.T｝τ\x1c｀κkＤ␕π/`＜＞\vt/\x10τ␉βπ4ｌ｜［.\t",
		out:  "ｏ.T｝τ\x1c｀κkＤ␕π/`＜＞\vt/\x10τ␉βπ4ｌ｜［.␉",
	}, { // 5739
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "ｏ.T｝τ\x1c｀κkＤ␕π/`＜＞\vt/\x10τ␉βπ4ｌ｜［.␉",
		out:  "ｏ.T｝τ\x1c｀κkＤ␕π/`＜＞\vt/\x10τ␉βπ4ｌ｜［.‛␉",
	}, { // 5740
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.９t\x1a＾σ\x1aερ！xf\nτ␛ｂ\x14;?␃$␈␛＃4ζμ.ｙ",
		out:  "\t.９t\x1a＾σ\x1aερ！xf\nτ␛ｂ\x14;?␃$␈␛＃4ζμ.ｙ",
	}, { // 5741
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.９t\x1a＾σ\x1aερ！xf\nτ␛ｂ\x14;?␃$␈␛＃4ζμ.ｙ",
		out:  "␉.９t\x1a＾σ\x1aερ！xf\nτ␛ｂ\x14;?␃$␈␛＃4ζμ.ｙ",
	}, { // 5742
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "ｇ.９t\x1a＾σ\x1aερ！xf\nτ␛ｂ\x14;?␃$␈␛＃4ζμ.\t",
		out:  "ｇ.９t\x1a＾σ\x1aερ！xf\nτ␛ｂ\x14;?␃$␈␛＃4ζμ.␉",
	}, { // 5743
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "ｇ.９t\x1a＾σ\x1aερ！xf\nτ␛ｂ\x14;?␃$␈␛＃4ζμ.␉",
		out:  "ｇ.９t\x1a＾σ\x1aερ！xf\nτ␛ｂ\x14;?␃$␈␛＃4ζμ.‛␉",
	}, { // 5744
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.\x1fμ␑]␍７ＨH]␉K＠\x1b|θ␇ｅωξ.9␜Ｈ\n␜，.o",
		out:  "\t.\x1fμ␑]␍７ＨH]␉K＠\x1b|θ␇ｅωξ.9␜Ｈ\n␜，.o",
	}, { // 5745
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.\x1fμ␑]␍７ＨH]␉K＠\x1b|θ␇ｅωξ.9␜Ｈ\n␜，.o",
		out:  "␉.\x1fμ␑]␍７ＨH]␉K＠\x1b|θ␇ｅωξ.9␜Ｈ\n␜，.o",
	}, { // 5746
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "ρ.\x1fμ␑]␍７ＨH]␉K＠\x1b|θ␇ｅωξ.9␜Ｈ\n␜，.\t",
		out:  "ρ.\x1fμ␑]␍７ＨH]␉K＠\x1b|θ␇ｅωξ.9␜Ｈ\n␜，.␉",
	}, { // 5747
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "ρ.\x1fμ␑]␍７ＨH]␉K＠\x1b|θ␇ｅωξ.9␜Ｈ\n␜，.␉",
		out:  "ρ.\x1fμ␑]␍７ＨH]␉K＠\x1b|θ␇ｅωξ.9␜Ｈ\n␜，.‛␉",
	}, { // 5748
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.ρ\x19Gg\x00\x18γ）ｒ␊０＃>δｏθ\v.'i］＄δE＋␁.`",
		out:  "\t.ρ\x19Gg␀\x18γ）ｒ␊０＃>δｏθ\v.'i］＄δE＋␁.`",
	}, { // 5749
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.ρ\x19Gg\x00\x18γ）ｒ␊０＃>δｏθ\v.'i］＄δE＋␁.`",
		out:  "␉.ρ\x19Gg␀\x18γ）ｒ␊０＃>δｏθ\v.'i］＄δE＋␁.`",
	}, { // 5750
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␁.ρ\x19Gg\x00\x18γ）ｒ␊０＃>δｏθ\v.'i］＄δE＋␁.\t",
		out:  "␁.ρ\x19Gg␀\x18γ）ｒ␊０＃>δｏθ\v.'i］＄δE＋␁.␉",
	}, { // 5751
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␁.ρ\x19Gg\x00\x18γ）ｒ␊０＃>δｏθ\v.'i］＄δE＋␁.␉",
		out:  "␁.ρ\x19Gg␀\x18γ）ｒ␊０＃>δｏθ\v.'i］＄δE＋␁.‛␉",
	}, { // 5752
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.#0Ｊ＞Ｕ１νε\\τ␓τ␊P␛<?n；＿？ψ\rE\x1e␝.Ｋ",
		out:  "\t.#0Ｊ＞Ｕ１νε\\τ␓τ␊P␛<?n；＿？ψ\rE\x1e␝.Ｋ",
	}, { // 5753
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.#0Ｊ＞Ｕ１νε\\τ␓τ␊P␛<?n；＿？ψ\rE\x1e␝.Ｋ",
		out:  "␉.#0Ｊ＞Ｕ１νε\\τ␓τ␊P␛<?n；＿？ψ\rE\x1e␝.Ｋ",
	}, { // 5754
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\x00.#0Ｊ＞Ｕ１νε\\τ␓τ␊P␛<?n；＿？ψ\rE\x1e␝.\t",
		out:  "␀.#0Ｊ＞Ｕ１νε\\τ␓τ␊P␛<?n；＿？ψ\rE\x1e␝.␉",
	}, { // 5755
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\x00.#0Ｊ＞Ｕ１νε\\τ␓τ␊P␛<?n；＿？ψ\rE\x1e␝.␉",
		out:  "␀.#0Ｊ＞Ｕ１νε\\τ␓τ␊P␛<?n；＿？ψ\rE\x1e␝.‛␉",
	}, { // 5756
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.␉Eμψ9／＼λρ␑t0%ｅｂ␊＿／δ*!\fλｂ＃%.␏",
		out:  "\t.␉Eμψ9／＼λρ␑t0%ｅｂ␊＿／δ*!\fλｂ＃%.␏",
	}, { // 5757
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.␉Eμψ9／＼λρ␑t0%ｅｂ␊＿／δ*!\fλｂ＃%.␏",
		out:  "␉.␉Eμψ9／＼λρ␑t0%ｅｂ␊＿／δ*!\fλｂ＃%.␏",
	}, { // 5758
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "[.␉Eμψ9／＼λρ␑t0%ｅｂ␊＿／δ*!\fλｂ＃%.\t",
		out:  "[.␉Eμψ9／＼λρ␑t0%ｅｂ␊＿／δ*!\fλｂ＃%.␉",
	}, { // 5759
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "[.␉Eμψ9／＼λρ␑t0%ｅｂ␊＿／δ*!\fλｂ＃%.␉",
		out:  "[.␉Eμψ9／＼λρ␑t0%ｅｂ␊＿／δ*!\fλｂ＃%.‛␉",
	}, { // 5760
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.ω\x01Ｘη␙\n\x05␉ｌ␓<?（＿%τφ␋z2C␘ｚ;Ｖ*.σ",
		out:  "\t.ω\x01Ｘη␙\n\x05␉ｌ␓<?（＿%τφ␋z2C␘ｚ;Ｖ*.σ",
	}, { // 5761
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.ω\x01Ｘη␙\n\x05␉ｌ␓<?（＿%τφ␋z2C␘ｚ;Ｖ*.σ",
		out:  "␉.ω\x01Ｘη␙\n\x05␉ｌ␓<?（＿%τφ␋z2C␘ｚ;Ｖ*.σ",
	}, { // 5762
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "？.ω\x01Ｘη␙\n\x05␉ｌ␓<?（＿%τφ␋z2C␘ｚ;Ｖ*.\t",
		out:  "？.ω\x01Ｘη␙\n\x05␉ｌ␓<?（＿%τφ␋z2C␘ｚ;Ｖ*.␉",
	}, { // 5763
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "？.ω\x01Ｘη␙\n\x05␉ｌ␓<?（＿%τφ␋z2C␘ｚ;Ｖ*.␉",
		out:  "？.ω\x01Ｘη␙\n\x05␉ｌ␓<?（＿%τφ␋z2C␘ｚ;Ｖ*.‛␉",
	}, { // 5764
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.８πe}｀n\x03βυ␛,\rλＡ\x1d\x15ｄη３␀Pηｈ␋␐＼.\v",
		out:  "\t.８πe}｀n\x03βυ␛,\rλＡ\x1d\x15ｄη３‛␀Pηｈ␋␐＼.␋",
	}, { // 5765
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.８πe}｀n\x03βυ␛,\rλＡ\x1d\x15ｄη３␀Pηｈ␋␐＼.\v",
		out:  "␉.８πe}｀n\x03βυ␛,\rλＡ\x1d\x15ｄη３‛␀Pηｈ␋␐＼.␋",
	}, { // 5766
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "'.８πe}｀n\x03βυ␛,\rλＡ\x1d\x15ｄη３␀Pηｈ␋␐＼.\t",
		out:  "'.８πe}｀n\x03βυ␛,\rλＡ\x1d\x15ｄη３‛␀Pηｈ␋␐＼.␉",
	}, { // 5767
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "'.８πe}｀n\x03βυ␛,\rλＡ\x1d\x15ｄη３␀Pηｈ␋␐＼.␉",
		out:  "'.８πe}｀n\x03βυ␛,\rλＡ\x1d\x15ｄη３‛␀Pηｈ␋␐＼.‛␉",
	}, { // 5768
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.#\x02υμγＱ;VV␄␟Ｊδ/␙｀␟g＞␑Ｆοδｚｈ$.d",
		out:  "\t.#\x02υμγＱ;VV␄␟Ｊδ/␙｀␟g＞␑Ｆοδｚｈ$.d",
	}, { // 5769
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.#\x02υμγＱ;VV␄␟Ｊδ/␙｀␟g＞␑Ｆοδｚｈ$.d",
		out:  "␉.#\x02υμγＱ;VV␄␟Ｊδ/␙｀␟g＞␑Ｆοδｚｈ$.d",
	}, { // 5770
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   ";.#\x02υμγＱ;VV␄␟Ｊδ/␙｀␟g＞␑Ｆοδｚｈ$.\t",
		out:  ";.#\x02υμγＱ;VV␄␟Ｊδ/␙｀␟g＞␑Ｆοδｚｈ$.␉",
	}, { // 5771
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   ";.#\x02υμγＱ;VV␄␟Ｊδ/␙｀␟g＞␑Ｆοδｚｈ$.␉",
		out:  ";.#\x02υμγＱ;VV␄␟Ｊδ/␙｀␟g＞␑Ｆοδｚｈ$.‛␉",
	}, { // 5772
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.ρ%α*fｗ９~｀␐｀＼3␋＜\n/χ␂εＢχ[/$W.Ｙ",
		out:  "\t.ρ%α*fｗ９~｀␐｀＼3␋＜\n/χ␂εＢχ[/$W.Ｙ",
	}, { // 5773
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.ρ%α*fｗ９~｀␐｀＼3␋＜\n/χ␂εＢχ[/$W.Ｙ",
		out:  "␉.ρ%α*fｗ９~｀␐｀＼3␋＜\n/χ␂εＢχ[/$W.Ｙ",
	}, { // 5774
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "［.ρ%α*fｗ９~｀␐｀＼3␋＜\n/χ␂εＢχ[/$W.\t",
		out:  "［.ρ%α*fｗ９~｀␐｀＼3␋＜\n/χ␂εＢχ[/$W.␉",
	}, { // 5775
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "［.ρ%α*fｗ９~｀␐｀＼3␋＜\n/χ␂εＢχ[/$W.␉",
		out:  "［.ρ%α*fｗ９~｀␐｀＼3␋＜\n/χ␂εＢχ[/$W.‛␉",
	},
}
